import 'package:countries_world_map/countries_colors.dart';
import 'package:flutter/material.dart';

/// This painter will paint a world map with all countries in it.
///
/// Giving countries a different color based on a data set can help visualize data.

class WorldMapPainter extends CustomPainter {
  /// This Color is used for all the countries that have no custom color
  final Color defaultCountryColor;

  /// The CountryColors is basically a list of Countries and Colors to give a Countrie a color of choice.
  final CountryColors countryColors;

  const WorldMapPainter(
      {required this.defaultCountryColor, required this.countryColors});

  @override
  void paint(Canvas canvas, Size size) {
    print('Getting new paint');
    Path path0 = Path();
    path0.moveTo(size.width * 0.6915000, size.height * 0.3052509);
    path0.lineTo(size.width * 0.6922500, size.height * 0.3073512);
    path0.lineTo(size.width * 0.6908000, size.height * 0.3082847);
    path0.lineTo(size.width * 0.6896000, size.height * 0.3095683);
    path0.lineTo(size.width * 0.6866500, size.height * 0.3105018);
    path0.lineTo(size.width * 0.6840000, size.height * 0.3120187);
    path0.lineTo(size.width * 0.6828000, size.height * 0.3152859);
    path0.lineTo(size.width * 0.6837500, size.height * 0.3184364);
    path0.lineTo(size.width * 0.6844500, size.height * 0.3221704);
    path0.lineTo(size.width * 0.6834500, size.height * 0.3253209);
    path0.lineTo(size.width * 0.6838500, size.height * 0.3282380);
    path0.lineTo(size.width * 0.6834000, size.height * 0.3309218);
    path0.lineTo(size.width * 0.6808000, size.height * 0.3306884);
    path0.lineTo(size.width * 0.6823500, size.height * 0.3355893);
    path0.lineTo(size.width * 0.6808000, size.height * 0.3375729);
    path0.lineTo(size.width * 0.6801000, size.height * 0.3420070);
    path0.lineTo(size.width * 0.6806500, size.height * 0.3465578);
    path0.lineTo(size.width * 0.6797500, size.height * 0.3486581);
    path0.lineTo(size.width * 0.6787000, size.height * 0.3479580);
    path0.lineTo(size.width * 0.6767000, size.height * 0.3490082);
    path0.lineTo(size.width * 0.6766000, size.height * 0.3509918);
    path0.lineTo(size.width * 0.6745500, size.height * 0.3509918);
    path0.lineTo(size.width * 0.6734000, size.height * 0.3553092);
    path0.lineTo(size.width * 0.6738000, size.height * 0.3616103);
    path0.lineTo(size.width * 0.6705000, size.height * 0.3647608);
    path0.lineTo(size.width * 0.6685500, size.height * 0.3640607);
    path0.lineTo(size.width * 0.6681000, size.height * 0.3656943);
    path0.lineTo(size.width * 0.6664000, size.height * 0.3647608);
    path0.lineTo(size.width * 0.6637500, size.height * 0.3659277);
    path0.lineTo(size.width * 0.6589500, size.height * 0.3620770);
    path0.lineTo(size.width * 0.6609000, size.height * 0.3553092);
    path0.lineTo(size.width * 0.6603500, size.height * 0.3505251);
    path0.lineTo(size.width * 0.6582000, size.height * 0.3492415);
    path0.lineTo(size.width * 0.6576000, size.height * 0.3444574);
    path0.lineTo(size.width * 0.6562500, size.height * 0.3385064);
    path0.lineTo(size.width * 0.6570500, size.height * 0.3344224);
    path0.lineTo(size.width * 0.6558000, size.height * 0.3332555);
    path0.lineTo(size.width * 0.6560500, size.height * 0.3277713);
    path0.lineTo(size.width * 0.6563500, size.height * 0.3184364);
    path0.lineTo(size.width * 0.6593000, size.height * 0.3213536);
    path0.lineTo(size.width * 0.6612500, size.height * 0.3203034);
    path0.lineTo(size.width * 0.6614500, size.height * 0.3169195);
    path0.lineTo(size.width * 0.6634500, size.height * 0.3158693);
    path0.lineTo(size.width * 0.6647500, size.height * 0.3135356);
    path0.lineTo(size.width * 0.6646500, size.height * 0.3075846);
    path0.lineTo(size.width * 0.6667500, size.height * 0.3060677);
    path0.lineTo(size.width * 0.6669000, size.height * 0.3035006);
    path0.lineTo(size.width * 0.6683500, size.height * 0.3054842);
    path0.lineTo(size.width * 0.6691500, size.height * 0.3057176);
    path0.lineTo(size.width * 0.6706500, size.height * 0.3057176);
    path0.lineTo(size.width * 0.6728000, size.height * 0.3073512);
    path0.lineTo(size.width * 0.6737000, size.height * 0.3081680);
    path0.lineTo(size.width * 0.6754000, size.height * 0.3058343);
    path0.lineTo(size.width * 0.6764500, size.height * 0.3072345);
    path0.lineTo(size.width * 0.6769000, size.height * 0.3038506);
    path0.lineTo(size.width * 0.6785000, size.height * 0.3039673);
    path0.lineTo(size.width * 0.6788000, size.height * 0.3029172);
    path0.lineTo(size.width * 0.6787000, size.height * 0.2998833);
    path0.lineTo(size.width * 0.6795500, size.height * 0.2973162);
    path0.lineTo(size.width * 0.6812000, size.height * 0.2989498);
    path0.lineTo(size.width * 0.6811500, size.height * 0.3012835);
    path0.lineTo(size.width * 0.6820000, size.height * 0.3016336);
    path0.lineTo(size.width * 0.6824500, size.height * 0.3079347);
    path0.lineTo(size.width * 0.6838000, size.height * 0.3103851);
    path0.lineTo(size.width * 0.6845500, size.height * 0.3087515);
    path0.lineTo(size.width * 0.6856500, size.height * 0.3080513);
    path0.lineTo(size.width * 0.6869000, size.height * 0.3046674);
    path0.lineTo(size.width * 0.6888000, size.height * 0.3052509);
    path0.lineTo(size.width * 0.6915000, size.height * 0.3052509);
    path0.close();

    Paint paint0fill = Paint()..style = PaintingStyle.fill;
    paint0fill.color = countryColors.aF ?? defaultCountryColor;
    canvas.drawPath(path0, paint0fill);

    Path path1 = Path();
    path1.moveTo(size.width * 0.5606000, size.height * 0.6674446);
    path1.lineTo(size.width * 0.5609000, size.height * 0.6697783);
    path1.lineTo(size.width * 0.5605500, size.height * 0.6733956);
    path1.lineTo(size.width * 0.5610000, size.height * 0.6768961);
    path1.lineTo(size.width * 0.5605500, size.height * 0.6796966);
    path1.lineTo(size.width * 0.5607500, size.height * 0.6822637);
    path1.lineTo(size.width * 0.5549000, size.height * 0.6821470);
    path1.lineTo(size.width * 0.5545000, size.height * 0.7060677);
    path1.lineTo(size.width * 0.5563000, size.height * 0.7121354);
    path1.lineTo(size.width * 0.5581000, size.height * 0.7168028);
    path1.lineTo(size.width * 0.5529000, size.height * 0.7198366);
    path1.lineTo(size.width * 0.5461500, size.height * 0.7187865);
    path1.lineTo(size.width * 0.5442500, size.height * 0.7152859);
    path1.lineTo(size.width * 0.5329000, size.height * 0.7155193);
    path1.lineTo(size.width * 0.5325000, size.height * 0.7161027);
    path1.lineTo(size.width * 0.5308500, size.height * 0.7127188);
    path1.lineTo(size.width * 0.5290500, size.height * 0.7124854);
    path1.lineTo(size.width * 0.5273500, size.height * 0.7137690);
    path1.lineTo(size.width * 0.5260000, size.height * 0.7151692);
    path1.lineTo(size.width * 0.5257500, size.height * 0.7105018);
    path1.lineTo(size.width * 0.5262000, size.height * 0.7038506);
    path1.lineTo(size.width * 0.5272000, size.height * 0.6969662);
    path1.lineTo(size.width * 0.5273500, size.height * 0.6938156);
    path1.lineTo(size.width * 0.5283000, size.height * 0.6870478);
    path1.lineTo(size.width * 0.5290000, size.height * 0.6840140);
    path1.lineTo(size.width * 0.5306500, size.height * 0.6791132);
    path1.lineTo(size.width * 0.5316000, size.height * 0.6757293);
    path1.lineTo(size.width * 0.5319000, size.height * 0.6702450);
    path1.lineTo(size.width * 0.5317500, size.height * 0.6659277);
    path1.lineTo(size.width * 0.5309500, size.height * 0.6632439);
    path1.lineTo(size.width * 0.5302000, size.height * 0.6586931);
    path1.lineTo(size.width * 0.5295500, size.height * 0.6542590);
    path1.lineTo(size.width * 0.5297000, size.height * 0.6526254);
    path1.lineTo(size.width * 0.5305500, size.height * 0.6497083);
    path1.lineTo(size.width * 0.5297500, size.height * 0.6424737);
    path1.lineTo(size.width * 0.5291500, size.height * 0.6374562);
    path1.lineTo(size.width * 0.5277500, size.height * 0.6326721);
    path1.lineTo(size.width * 0.5280500, size.height * 0.6312719);
    path1.lineTo(size.width * 0.5292000, size.height * 0.6302217);
    path1.lineTo(size.width * 0.5300500, size.height * 0.6303384);
    path1.lineTo(size.width * 0.5310500, size.height * 0.6295216);
    path1.lineTo(size.width * 0.5394000, size.height * 0.6296383);
    path1.lineTo(size.width * 0.5400500, size.height * 0.6351225);
    path1.lineTo(size.width * 0.5408500, size.height * 0.6396733);
    path1.lineTo(size.width * 0.5415000, size.height * 0.6421237);
    path1.lineTo(size.width * 0.5425500, size.height * 0.6459743);
    path1.lineTo(size.width * 0.5444500, size.height * 0.6453909);
    path1.lineTo(size.width * 0.5453500, size.height * 0.6443407);
    path1.lineTo(size.width * 0.5469000, size.height * 0.6453909);
    path1.lineTo(size.width * 0.5473500, size.height * 0.6435239);
    path1.lineTo(size.width * 0.5481000, size.height * 0.6392065);
    path1.lineTo(size.width * 0.5498500, size.height * 0.6388565);
    path1.lineTo(size.width * 0.5500000, size.height * 0.6375729);
    path1.lineTo(size.width * 0.5514500, size.height * 0.6375729);
    path1.lineTo(size.width * 0.5512000, size.height * 0.6402567);
    path1.lineTo(size.width * 0.5546000, size.height * 0.6401400);
    path1.lineTo(size.width * 0.5546500, size.height * 0.6449242);
    path1.lineTo(size.width * 0.5552000, size.height * 0.6477246);
    path1.lineTo(size.width * 0.5547500, size.height * 0.6522754);
    path1.lineTo(size.width * 0.5549500, size.height * 0.6569428);
    path1.lineTo(size.width * 0.5558500, size.height * 0.6597433);
    path1.lineTo(size.width * 0.5556500, size.height * 0.6686114);
    path1.lineTo(size.width * 0.5563500, size.height * 0.6679113);
    path1.lineTo(size.width * 0.5575500, size.height * 0.6681447);
    path1.lineTo(size.width * 0.5593000, size.height * 0.6669778);
    path1.lineTo(size.width * 0.5606000, size.height * 0.6674446);
    path1.close();

    Paint paint1fill = Paint()..style = PaintingStyle.fill;
    paint1fill.color = countryColors.aO ?? defaultCountryColor;
    canvas.drawPath(path1, paint1fill);

    Path path2 = Path();
    path2.moveTo(size.width * 0.5276500, size.height * 0.6289382);
    path2.lineTo(size.width * 0.5269000, size.height * 0.6233372);
    path2.lineTo(size.width * 0.5280500, size.height * 0.6200700);
    path2.lineTo(size.width * 0.5289000, size.height * 0.6187865);
    path2.lineTo(size.width * 0.5299500, size.height * 0.6213536);
    path2.lineTo(size.width * 0.5289500, size.height * 0.6229872);
    path2.lineTo(size.width * 0.5284500, size.height * 0.6248541);
    path2.lineTo(size.width * 0.5283500, size.height * 0.6281214);
    path2.lineTo(size.width * 0.5276500, size.height * 0.6289382);
    path2.close();

    Paint paint2fill = Paint()..style = PaintingStyle.fill;
    paint2fill.color = countryColors.aO ?? defaultCountryColor;
    canvas.drawPath(path2, paint2fill);

    Path path3 = Path();
    path3.moveTo(size.width * 0.5440000, size.height * 0.2660443);
    path3.lineTo(size.width * 0.5442000, size.height * 0.2674446);
    path3.lineTo(size.width * 0.5449000, size.height * 0.2667445);
    path3.lineTo(size.width * 0.5455000, size.height * 0.2687281);
    path3.lineTo(size.width * 0.5461500, size.height * 0.2695449);
    path3.lineTo(size.width * 0.5464500, size.height * 0.2722287);
    path3.lineTo(size.width * 0.5462000, size.height * 0.2747958);
    path3.lineTo(size.width * 0.5467000, size.height * 0.2779463);
    path3.lineTo(size.width * 0.5478500, size.height * 0.2796966);
    path3.lineTo(size.width * 0.5479000, size.height * 0.2816803);
    path3.lineTo(size.width * 0.5470500, size.height * 0.2827305);
    path3.lineTo(size.width * 0.5470000, size.height * 0.2851809);
    path3.lineTo(size.width * 0.5459000, size.height * 0.2887981);
    path3.lineTo(size.width * 0.5454500, size.height * 0.2883314);
    path3.lineTo(size.width * 0.5453500, size.height * 0.2866978);
    path3.lineTo(size.width * 0.5438000, size.height * 0.2841307);
    path3.lineTo(size.width * 0.5434500, size.height * 0.2806301);
    path3.lineTo(size.width * 0.5435000, size.height * 0.2754959);
    path3.lineTo(size.width * 0.5437500, size.height * 0.2732789);
    path3.lineTo(size.width * 0.5433000, size.height * 0.2721120);
    path3.lineTo(size.width * 0.5430500, size.height * 0.2696616);
    path3.lineTo(size.width * 0.5440000, size.height * 0.2660443);
    path3.close();

    Paint paint3fill = Paint()..style = PaintingStyle.fill;
    paint3fill.color = countryColors.aL ?? defaultCountryColor;
    canvas.drawPath(path3, paint3fill);

    Path path4 = Path();
    path4.moveTo(size.width * 0.6481000, size.height * 0.3928821);
    path4.lineTo(size.width * 0.6487500, size.height * 0.3988331);
    path4.lineTo(size.width * 0.6473500, size.height * 0.3988331);
    path4.lineTo(size.width * 0.6473500, size.height * 0.4037340);
    path4.lineTo(size.width * 0.6479000, size.height * 0.4047841);
    path4.lineTo(size.width * 0.6467000, size.height * 0.4063011);
    path4.lineTo(size.width * 0.6468000, size.height * 0.4093349);
    path4.lineTo(size.width * 0.6461500, size.height * 0.4123687);
    path4.lineTo(size.width * 0.6461500, size.height * 0.4154026);
    path4.lineTo(size.width * 0.6456500, size.height * 0.4170362);
    path4.lineTo(size.width * 0.6372000, size.height * 0.4133022);
    path4.lineTo(size.width * 0.6358500, size.height * 0.4056009);
    path4.lineTo(size.width * 0.6357000, size.height * 0.4039673);
    path4.lineTo(size.width * 0.6361500, size.height * 0.4035006);
    path4.lineTo(size.width * 0.6363500, size.height * 0.4056009);
    path4.lineTo(size.width * 0.6384500, size.height * 0.4044341);
    path4.lineTo(size.width * 0.6407500, size.height * 0.4046674);
    path4.lineTo(size.width * 0.6424500, size.height * 0.4049008);
    path4.lineTo(size.width * 0.6441000, size.height * 0.3997666);
    path4.lineTo(size.width * 0.6459500, size.height * 0.3949825);
    path4.lineTo(size.width * 0.6474500, size.height * 0.3903151);
    path4.lineTo(size.width * 0.6481000, size.height * 0.3928821);
    path4.close();

    Paint paint4fill = Paint()..style = PaintingStyle.fill;
    paint4fill.color = countryColors.aE ?? defaultCountryColor;
    canvas.drawPath(path4, paint4fill);

    Path path5 = Path();
    path5.moveTo(size.width * 0.3345500, size.height * 0.9938156);
    path5.lineTo(size.width * 0.3330500, size.height * 0.9935823);
    path5.lineTo(size.width * 0.3305500, size.height * 0.9935823);
    path5.lineTo(size.width * 0.3275500, size.height * 0.9777130);
    path5.lineTo(size.width * 0.3291000, size.height * 0.9809802);
    path5.lineTo(size.width * 0.3312500, size.height * 0.9863477);
    path5.lineTo(size.width * 0.3351500, size.height * 0.9906651);
    path5.lineTo(size.width * 0.3388000, size.height * 0.9924154);
    path5.lineTo(size.width * 0.3384000, size.height * 0.9959160);
    path5.lineTo(size.width * 0.3362000, size.height * 0.9962660);
    path5.lineTo(size.width * 0.3345500, size.height * 0.9938156);
    path5.close();

    Paint paint5fill = Paint()..style = PaintingStyle.fill;
    paint5fill.color = countryColors.aR ?? defaultCountryColor;
    canvas.drawPath(path5, paint5fill);

    Path path6 = Path();
    path6.moveTo(size.width * 0.3193000, size.height * 0.7522754);
    path6.lineTo(size.width * 0.3249500, size.height * 0.7644107);
    path6.lineTo(size.width * 0.3272500, size.height * 0.7655776);
    path6.lineTo(size.width * 0.3309000, size.height * 0.7711785);
    path6.lineTo(size.width * 0.3338500, size.height * 0.7740957);
    path6.lineTo(size.width * 0.3344000, size.height * 0.7773629);
    path6.lineTo(size.width * 0.3323000, size.height * 0.7887981);
    path6.lineTo(size.width * 0.3352000, size.height * 0.7907818);
    path6.lineTo(size.width * 0.3383500, size.height * 0.7919487);
    path6.lineTo(size.width * 0.3404500, size.height * 0.7907818);
    path6.lineTo(size.width * 0.3426000, size.height * 0.7849475);
    path6.lineTo(size.width * 0.3427500, size.height * 0.7784131);
    path6.lineTo(size.width * 0.3440500, size.height * 0.7768961);
    path6.lineTo(size.width * 0.3456500, size.height * 0.7813302);
    path6.lineTo(size.width * 0.3458500, size.height * 0.7872812);
    path6.lineTo(size.width * 0.3437500, size.height * 0.7913652);
    path6.lineTo(size.width * 0.3421000, size.height * 0.7943991);
    path6.lineTo(size.width * 0.3394500, size.height * 0.8017503);
    path6.lineTo(size.width * 0.3364500, size.height * 0.8119020);
    path6.lineTo(size.width * 0.3362000, size.height * 0.8179697);
    path6.lineTo(size.width * 0.3360000, size.height * 0.8256709);
    path6.lineTo(size.width * 0.3366000, size.height * 0.8331389);
    path6.lineTo(size.width * 0.3361500, size.height * 0.8347725);
    path6.lineTo(size.width * 0.3363500, size.height * 0.8395566);
    path6.lineTo(size.width * 0.3365000, size.height * 0.8435239);
    path6.lineTo(size.width * 0.3404000, size.height * 0.8499417);
    path6.lineTo(size.width * 0.3405000, size.height * 0.8550758);
    path6.lineTo(size.width * 0.3424500, size.height * 0.8583431);
    path6.lineTo(size.width * 0.3426000, size.height * 0.8619603);
    path6.lineTo(size.width * 0.3409500, size.height * 0.8715286);
    path6.lineTo(size.width * 0.3374500, size.height * 0.8756126);
    path6.lineTo(size.width * 0.3323500, size.height * 0.8771295);
    path6.lineTo(size.width * 0.3293500, size.height * 0.8763127);
    path6.lineTo(size.width * 0.3304000, size.height * 0.8808635);
    path6.lineTo(size.width * 0.3304500, size.height * 0.8863477);
    path6.lineTo(size.width * 0.3313500, size.height * 0.8900817);
    path6.lineTo(size.width * 0.3301000, size.height * 0.8927655);
    path6.lineTo(size.width * 0.3275500, size.height * 0.8938156);
    path6.lineTo(size.width * 0.3247500, size.height * 0.8910152);
    path6.lineTo(size.width * 0.3240000, size.height * 0.8929988);
    path6.lineTo(size.width * 0.3252500, size.height * 0.9003501);
    path6.lineTo(size.width * 0.3272500, size.height * 0.9025671);
    path6.lineTo(size.width * 0.3284000, size.height * 0.9002334);
    path6.lineTo(size.width * 0.3296500, size.height * 0.9040840);
    path6.lineTo(size.width * 0.3275500, size.height * 0.9064177);
    path6.lineTo(size.width * 0.3261000, size.height * 0.9110852);
    path6.lineTo(size.width * 0.3267000, size.height * 0.9184364);
    path6.lineTo(size.width * 0.3266500, size.height * 0.9224037);
    path6.lineTo(size.width * 0.3242500, size.height * 0.9224037);
    path6.lineTo(size.width * 0.3227500, size.height * 0.9261377);
    path6.lineTo(size.width * 0.3228000, size.height * 0.9317386);
    path6.lineTo(size.width * 0.3260500, size.height * 0.9371062);
    path6.lineTo(size.width * 0.3286500, size.height * 0.9385064);
    path6.lineTo(size.width * 0.3287500, size.height * 0.9451575);
    path6.lineTo(size.width * 0.3264500, size.height * 0.9492415);
    path6.lineTo(size.width * 0.3261500, size.height * 0.9577596);
    path6.lineTo(size.width * 0.3244000, size.height * 0.9605601);
    path6.lineTo(size.width * 0.3239500, size.height * 0.9639440);
    path6.lineTo(size.width * 0.3260500, size.height * 0.9715286);
    path6.lineTo(size.width * 0.3283500, size.height * 0.9756126);
    path6.lineTo(size.width * 0.3273000, size.height * 0.9752625);
    path6.lineTo(size.width * 0.3248500, size.height * 0.9740957);
    path6.lineTo(size.width * 0.3188000, size.height * 0.9731622);
    path6.lineTo(size.width * 0.3170500, size.height * 0.9689615);
    path6.lineTo(size.width * 0.3161000, size.height * 0.9635939);
    path6.lineTo(size.width * 0.3145500, size.height * 0.9640607);
    path6.lineTo(size.width * 0.3132500, size.height * 0.9613769);
    path6.lineTo(size.width * 0.3117000, size.height * 0.9537923);
    path6.lineTo(size.width * 0.3130500, size.height * 0.9505251);
    path6.lineTo(size.width * 0.3131000, size.height * 0.9459743);
    path6.lineTo(size.width * 0.3122000, size.height * 0.9422404);
    path6.lineTo(size.width * 0.3125500, size.height * 0.9359393);
    path6.lineTo(size.width * 0.3120000, size.height * 0.9262544);
    path6.lineTo(size.width * 0.3111000, size.height * 0.9219370);
    path6.lineTo(size.width * 0.3120000, size.height * 0.9205368);
    path6.lineTo(size.width * 0.3113000, size.height * 0.9177363);
    path6.lineTo(size.width * 0.3099000, size.height * 0.9163361);
    path6.lineTo(size.width * 0.3103000, size.height * 0.9131855);
    path6.lineTo(size.width * 0.3087500, size.height * 0.9103851);
    path6.lineTo(size.width * 0.3069000, size.height * 0.9018670);
    path6.lineTo(size.width * 0.3077500, size.height * 0.9003501);
    path6.lineTo(size.width * 0.3061000, size.height * 0.8912485);
    path6.lineTo(size.width * 0.3057000, size.height * 0.8836639);
    path6.lineTo(size.width * 0.3056000, size.height * 0.8770128);
    path6.lineTo(size.width * 0.3068500, size.height * 0.8743291);
    path6.lineTo(size.width * 0.3052000, size.height * 0.8669778);
    path6.lineTo(size.width * 0.3044000, size.height * 0.8602100);
    path6.lineTo(size.width * 0.3059000, size.height * 0.8553092);
    path6.lineTo(size.width * 0.3052000, size.height * 0.8490082);
    path6.lineTo(size.width * 0.3060000, size.height * 0.8417736);
    path6.lineTo(size.width * 0.3053000, size.height * 0.8348891);
    path6.lineTo(size.width * 0.3045000, size.height * 0.8334889);
    path6.lineTo(size.width * 0.3020500, size.height * 0.8205368);
    path6.lineTo(size.width * 0.3031000, size.height * 0.8128355);
    path6.lineTo(size.width * 0.3022500, size.height * 0.8056009);
    path6.lineTo(size.width * 0.3027000, size.height * 0.7987165);
    path6.lineTo(size.width * 0.3040000, size.height * 0.7917153);
    path6.lineTo(size.width * 0.3056500, size.height * 0.7870478);
    path6.lineTo(size.width * 0.3046500, size.height * 0.7841307);
    path6.lineTo(size.width * 0.3050500, size.height * 0.7816803);
    path6.lineTo(size.width * 0.3042500, size.height * 0.7691949);
    path6.lineTo(size.width * 0.3070500, size.height * 0.7655776);
    path6.lineTo(size.width * 0.3076500, size.height * 0.7577596);
    path6.lineTo(size.width * 0.3072000, size.height * 0.7558926);
    path6.lineTo(size.width * 0.3092000, size.height * 0.7491249);
    path6.lineTo(size.width * 0.3129500, size.height * 0.7509918);
    path6.lineTo(size.width * 0.3148000, size.height * 0.7563594);
    path6.lineTo(size.width * 0.3156000, size.height * 0.7502917);
    path6.lineTo(size.width * 0.3188000, size.height * 0.7506418);
    path6.lineTo(size.width * 0.3193000, size.height * 0.7522754);
    path6.close();

    Paint paint6fill = Paint()..style = PaintingStyle.fill;
    paint6fill.color = countryColors.aR ?? defaultCountryColor;
    canvas.drawPath(path6, paint6fill);

    Path path7 = Path();
    path7.moveTo(size.width * 0.6154000, size.height * 0.2952159);
    path7.lineTo(size.width * 0.6145000, size.height * 0.2954492);
    path7.lineTo(size.width * 0.6131000, size.height * 0.2911319);
    path7.lineTo(size.width * 0.6130000, size.height * 0.2899650);
    path7.lineTo(size.width * 0.6118500, size.height * 0.2899650);
    path7.lineTo(size.width * 0.6109000, size.height * 0.2879813);
    path7.lineTo(size.width * 0.6104000, size.height * 0.2880980);
    path7.lineTo(size.width * 0.6092000, size.height * 0.2859977);
    path7.lineTo(size.width * 0.6071000, size.height * 0.2841307);
    path7.lineTo(size.width * 0.6070500, size.height * 0.2805134);
    path7.lineTo(size.width * 0.6064000, size.height * 0.2779463);
    path7.lineTo(size.width * 0.6099000, size.height * 0.2767795);
    path7.lineTo(size.width * 0.6106000, size.height * 0.2786464);
    path7.lineTo(size.width * 0.6117000, size.height * 0.2799300);
    path7.lineTo(size.width * 0.6113500, size.height * 0.2817970);
    path7.lineTo(size.width * 0.6129500, size.height * 0.2843641);
    path7.lineTo(size.width * 0.6124000, size.height * 0.2868145);
    path7.lineTo(size.width * 0.6137000, size.height * 0.2887981);
    path7.lineTo(size.width * 0.6149500, size.height * 0.2899650);
    path7.lineTo(size.width * 0.6154000, size.height * 0.2952159);
    path7.close();

    Paint paint7fill = Paint()..style = PaintingStyle.fill;
    paint7fill.color = countryColors.aM ?? defaultCountryColor;
    canvas.drawPath(path7, paint7fill);

    Path path8 = Path();
    path8.moveTo(size.width * 0.8715000, size.height * 0.8910152);
    path8.lineTo(size.width * 0.8733500, size.height * 0.8935823);
    path8.lineTo(size.width * 0.8750000, size.height * 0.8925321);
    path8.lineTo(size.width * 0.8774500, size.height * 0.8911319);
    path8.lineTo(size.width * 0.8788500, size.height * 0.8915986);
    path8.lineTo(size.width * 0.8766000, size.height * 0.9004667);
    path8.lineTo(size.width * 0.8749500, size.height * 0.9029172);
    path8.lineTo(size.width * 0.8729500, size.height * 0.9089848);
    path8.lineTo(size.width * 0.8726500, size.height * 0.9068845);
    path8.lineTo(size.width * 0.8693500, size.height * 0.9120187);
    path8.lineTo(size.width * 0.8689500, size.height * 0.9116686);
    path8.lineTo(size.width * 0.8674500, size.height * 0.9114352);
    path8.lineTo(size.width * 0.8677000, size.height * 0.9051342);
    path8.lineTo(size.width * 0.8687000, size.height * 0.9002334);
    path8.lineTo(size.width * 0.8690000, size.height * 0.8936989);
    path8.lineTo(size.width * 0.8700000, size.height * 0.8903151);
    path8.lineTo(size.width * 0.8715000, size.height * 0.8910152);
    path8.close();

    Paint paint8fill = Paint()..style = PaintingStyle.fill;
    paint8fill.color = countryColors.aU ?? defaultCountryColor;
    canvas.drawPath(path8, paint8fill);

    Path path9 = Path();
    path9.moveTo(size.width * 0.8967500, size.height * 0.6886814);
    path9.lineTo(size.width * 0.8973500, size.height * 0.6945158);
    path9.lineTo(size.width * 0.8993500, size.height * 0.6917153);
    path9.lineTo(size.width * 0.9000500, size.height * 0.6948658);
    path9.lineTo(size.width * 0.9012000, size.height * 0.6977830);
    path9.lineTo(size.width * 0.9006500, size.height * 0.7011669);
    path9.lineTo(size.width * 0.9007500, size.height * 0.7075846);
    path9.lineTo(size.width * 0.9008500, size.height * 0.7113186);
    path9.lineTo(size.width * 0.9015000, size.height * 0.7122520);
    path9.lineTo(size.width * 0.9017000, size.height * 0.7186698);
    path9.lineTo(size.width * 0.9011000, size.height * 0.7225204);
    path9.lineTo(size.width * 0.9015000, size.height * 0.7275379);
    path9.lineTo(size.width * 0.9042000, size.height * 0.7315053);
    path9.lineTo(size.width * 0.9058000, size.height * 0.7350058);
    path9.lineTo(size.width * 0.9074000, size.height * 0.7382730);
    path9.lineTo(size.width * 0.9068500, size.height * 0.7401400);
    path9.lineTo(size.width * 0.9080000, size.height * 0.7448075);
    path9.lineTo(size.width * 0.9082500, size.height * 0.7529755);
    path9.lineTo(size.width * 0.9095500, size.height * 0.7513419);
    path9.lineTo(size.width * 0.9103000, size.height * 0.7544924);
    path9.lineTo(size.width * 0.9111000, size.height * 0.7534422);
    path9.lineTo(size.width * 0.9107500, size.height * 0.7613769);
    path9.lineTo(size.width * 0.9122000, size.height * 0.7659277);
    path9.lineTo(size.width * 0.9131500, size.height * 0.7687281);
    path9.lineTo(size.width * 0.9145500, size.height * 0.7747958);
    path9.lineTo(size.width * 0.9145500, size.height * 0.7808635);
    path9.lineTo(size.width * 0.9140500, size.height * 0.7851809);
    path9.lineTo(size.width * 0.9131500, size.height * 0.7897316);
    path9.lineTo(size.width * 0.9135000, size.height * 0.7961494);
    path9.lineTo(size.width * 0.9122500, size.height * 0.8028005);
    path9.lineTo(size.width * 0.9112000, size.height * 0.8063011);
    path9.lineTo(size.width * 0.9093000, size.height * 0.8129522);
    path9.lineTo(size.width * 0.9085500, size.height * 0.8172695);
    path9.lineTo(size.width * 0.9070000, size.height * 0.8226371);
    path9.lineTo(size.width * 0.9045000, size.height * 0.8294049);
    path9.lineTo(size.width * 0.9017500, size.height * 0.8331389);
    path9.lineTo(size.width * 0.8995500, size.height * 0.8388565);
    path9.lineTo(size.width * 0.8979000, size.height * 0.8425904);
    path9.lineTo(size.width * 0.8957000, size.height * 0.8490082);
    path9.lineTo(size.width * 0.8938500, size.height * 0.8527421);
    path9.lineTo(size.width * 0.8919000, size.height * 0.8583431);
    path9.lineTo(size.width * 0.8903500, size.height * 0.8634772);
    path9.lineTo(size.width * 0.8899500, size.height * 0.8659277);
    path9.lineTo(size.width * 0.8878000, size.height * 0.8684947);
    path9.lineTo(size.width * 0.8847500, size.height * 0.8687281);
    path9.lineTo(size.width * 0.8816000, size.height * 0.8718786);
    path9.lineTo(size.width * 0.8797000, size.height * 0.8746791);
    path9.lineTo(size.width * 0.8773000, size.height * 0.8779463);
    path9.lineTo(size.width * 0.8759500, size.height * 0.8745624);
    path9.lineTo(size.width * 0.8746500, size.height * 0.8732789);
    path9.lineTo(size.width * 0.8759500, size.height * 0.8694282);
    path9.lineTo(size.width * 0.8742000, size.height * 0.8708285);
    path9.lineTo(size.width * 0.8706000, size.height * 0.8761960);
    path9.lineTo(size.width * 0.8688000, size.height * 0.8742124);
    path9.lineTo(size.width * 0.8676000, size.height * 0.8730455);
    path9.lineTo(size.width * 0.8662000, size.height * 0.8724621);
    path9.lineTo(size.width * 0.8641500, size.height * 0.8703617);
    path9.lineTo(size.width * 0.8635000, size.height * 0.8656943);
    path9.lineTo(size.width * 0.8642500, size.height * 0.8600933);
    path9.lineTo(size.width * 0.8644500, size.height * 0.8562427);
    path9.lineTo(size.width * 0.8637500, size.height * 0.8532089);
    path9.lineTo(size.width * 0.8614000, size.height * 0.8523921);
    path9.lineTo(size.width * 0.8630000, size.height * 0.8486581);
    path9.lineTo(size.width * 0.8634500, size.height * 0.8431739);
    path9.lineTo(size.width * 0.8611000, size.height * 0.8483081);
    path9.lineTo(size.width * 0.8584500, size.height * 0.8497083);
    path9.lineTo(size.width * 0.8607000, size.height * 0.8456243);
    path9.lineTo(size.width * 0.8619500, size.height * 0.8413069);
    path9.lineTo(size.width * 0.8637000, size.height * 0.8375729);
    path9.lineTo(size.width * 0.8645000, size.height * 0.8320887);
    path9.lineTo(size.width * 0.8611000, size.height * 0.8383897);
    path9.lineTo(size.width * 0.8589500, size.height * 0.8409568);
    path9.lineTo(size.width * 0.8568000, size.height * 0.8469078);
    path9.lineTo(size.width * 0.8553000, size.height * 0.8438740);
    path9.lineTo(size.width * 0.8561500, size.height * 0.8399067);
    path9.lineTo(size.width * 0.8554500, size.height * 0.8344224);
    path9.lineTo(size.width * 0.8545500, size.height * 0.8316219);
    path9.lineTo(size.width * 0.8553500, size.height * 0.8298716);
    path9.lineTo(size.width * 0.8527000, size.height * 0.8253209);
    path9.lineTo(size.width * 0.8508000, size.height * 0.8252042);
    path9.lineTo(size.width * 0.8488000, size.height * 0.8214702);
    path9.lineTo(size.width * 0.8438500, size.height * 0.8221704);
    path9.lineTo(size.width * 0.8399000, size.height * 0.8248541);
    path9.lineTo(size.width * 0.8364500, size.height * 0.8274212);
    path9.lineTo(size.width * 0.8339500, size.height * 0.8269545);
    path9.lineTo(size.width * 0.8304500, size.height * 0.8308051);
    path9.lineTo(size.width * 0.8278000, size.height * 0.8324387);
    path9.lineTo(size.width * 0.8266500, size.height * 0.8364061);
    path9.lineTo(size.width * 0.8251500, size.height * 0.8394399);
    path9.lineTo(size.width * 0.8228000, size.height * 0.8396733);
    path9.lineTo(size.width * 0.8210000, size.height * 0.8402567);
    path9.lineTo(size.width * 0.8189000, size.height * 0.8389732);
    path9.lineTo(size.width * 0.8168000, size.height * 0.8397900);
    path9.lineTo(size.width * 0.8149000, size.height * 0.8401400);
    path9.lineTo(size.width * 0.8126500, size.height * 0.8441074);
    path9.lineTo(size.width * 0.8119000, size.height * 0.8437573);
    path9.lineTo(size.width * 0.8102000, size.height * 0.8458576);
    path9.lineTo(size.width * 0.8085000, size.height * 0.8481914);
    path9.lineTo(size.width * 0.8066000, size.height * 0.8479580);
    path9.lineTo(size.width * 0.8048500, size.height * 0.8479580);
    path9.lineTo(size.width * 0.8028000, size.height * 0.8431739);
    path9.lineTo(size.width * 0.8016000, size.height * 0.8417736);
    path9.lineTo(size.width * 0.8023500, size.height * 0.8374562);
    path9.lineTo(size.width * 0.8038000, size.height * 0.8364061);
    path9.lineTo(size.width * 0.8045500, size.height * 0.8347725);
    path9.lineTo(size.width * 0.8048500, size.height * 0.8320887);
    path9.lineTo(size.width * 0.8060000, size.height * 0.8268378);
    path9.lineTo(size.width * 0.8063500, size.height * 0.8224037);
    path9.lineTo(size.width * 0.8060000, size.height * 0.8148191);
    path9.lineTo(size.width * 0.8061000, size.height * 0.8105018);
    path9.lineTo(size.width * 0.8068000, size.height * 0.8063011);
    path9.lineTo(size.width * 0.8063500, size.height * 0.8014002);
    path9.lineTo(size.width * 0.8065000, size.height * 0.7991832);
    path9.lineTo(size.width * 0.8056500, size.height * 0.7961494);
    path9.lineTo(size.width * 0.8060000, size.height * 0.7903151);
    path9.lineTo(size.width * 0.8050500, size.height * 0.7843641);
    path9.lineTo(size.width * 0.8050000, size.height * 0.7812135);
    path9.lineTo(size.width * 0.8059000, size.height * 0.7844807);
    path9.lineTo(size.width * 0.8056500, size.height * 0.7774796);
    path9.lineTo(size.width * 0.8068000, size.height * 0.7796966);
    path9.lineTo(size.width * 0.8073500, size.height * 0.7826138);
    path9.lineTo(size.width * 0.8076500, size.height * 0.7787631);
    path9.lineTo(size.width * 0.8068500, size.height * 0.7728121);
    path9.lineTo(size.width * 0.8068000, size.height * 0.7704784);
    path9.lineTo(size.width * 0.8064000, size.height * 0.7682614);
    path9.lineTo(size.width * 0.8070500, size.height * 0.7639440);
    path9.lineTo(size.width * 0.8078000, size.height * 0.7620770);
    path9.lineTo(size.width * 0.8084500, size.height * 0.7583431);
    path9.lineTo(size.width * 0.8085000, size.height * 0.7539090);
    path9.lineTo(size.width * 0.8100500, size.height * 0.7485414);
    path9.lineTo(size.width * 0.8098500, size.height * 0.7542590);
    path9.lineTo(size.width * 0.8114000, size.height * 0.7491249);
    path9.lineTo(size.width * 0.8138500, size.height * 0.7465578);
    path9.lineTo(size.width * 0.8154500, size.height * 0.7434072);
    path9.lineTo(size.width * 0.8178000, size.height * 0.7406068);
    path9.lineTo(size.width * 0.8191000, size.height * 0.7400233);
    path9.lineTo(size.width * 0.8198000, size.height * 0.7409568);
    path9.lineTo(size.width * 0.8222000, size.height * 0.7381564);
    path9.lineTo(size.width * 0.8239500, size.height * 0.7373396);
    path9.lineTo(size.width * 0.8245000, size.height * 0.7357060);
    path9.lineTo(size.width * 0.8252500, size.height * 0.7350058);
    path9.lineTo(size.width * 0.8268000, size.height * 0.7352392);
    path9.lineTo(size.width * 0.8299000, size.height * 0.7330222);
    path9.lineTo(size.width * 0.8316500, size.height * 0.7296383);
    path9.lineTo(size.width * 0.8326500, size.height * 0.7256709);
    path9.lineTo(size.width * 0.8346000, size.height * 0.7219370);
    path9.lineTo(size.width * 0.8349500, size.height * 0.7189032);
    path9.lineTo(size.width * 0.8353000, size.height * 0.7148191);
    path9.lineTo(size.width * 0.8377500, size.height * 0.7084014);
    path9.lineTo(size.width * 0.8384500, size.height * 0.7149358);
    path9.lineTo(size.width * 0.8397500, size.height * 0.7134189);
    path9.lineTo(size.width * 0.8390000, size.height * 0.7099183);
    path9.lineTo(size.width * 0.8401500, size.height * 0.7063011);
    path9.lineTo(size.width * 0.8412500, size.height * 0.7079347);
    path9.lineTo(size.width * 0.8420000, size.height * 0.7022170);
    path9.lineTo(size.width * 0.8437500, size.height * 0.6984831);
    path9.lineTo(size.width * 0.8446500, size.height * 0.6955659);
    path9.lineTo(size.width * 0.8461000, size.height * 0.6942824);
    path9.lineTo(size.width * 0.8463000, size.height * 0.6921820);
    path9.lineTo(size.width * 0.8474500, size.height * 0.6929988);
    path9.lineTo(size.width * 0.8476500, size.height * 0.6911319);
    path9.lineTo(size.width * 0.8489500, size.height * 0.6900817);
    path9.lineTo(size.width * 0.8503500, size.height * 0.6890315);
    path9.lineTo(size.width * 0.8522000, size.height * 0.6925321);
    path9.lineTo(size.width * 0.8535000, size.height * 0.6969662);
    path9.lineTo(size.width * 0.8552500, size.height * 0.6969662);
    path9.lineTo(size.width * 0.8570000, size.height * 0.6976663);
    path9.lineTo(size.width * 0.8566500, size.height * 0.6935823);
    path9.lineTo(size.width * 0.8584000, size.height * 0.6876313);
    path9.lineTo(size.width * 0.8597500, size.height * 0.6856476);
    path9.lineTo(size.width * 0.8594500, size.height * 0.6837806);
    path9.lineTo(size.width * 0.8609000, size.height * 0.6794632);
    path9.lineTo(size.width * 0.8627500, size.height * 0.6767795);
    path9.lineTo(size.width * 0.8641000, size.height * 0.6777130);
    path9.lineTo(size.width * 0.8665500, size.height * 0.6763127);
    path9.lineTo(size.width * 0.8667000, size.height * 0.6724621);
    path9.lineTo(size.width * 0.8647500, size.height * 0.6700117);
    path9.lineTo(size.width * 0.8663000, size.height * 0.6689615);
    path9.lineTo(size.width * 0.8681000, size.height * 0.6708285);
    path9.lineTo(size.width * 0.8694500, size.height * 0.6738623);
    path9.lineTo(size.width * 0.8717000, size.height * 0.6757293);
    path9.lineTo(size.width * 0.8725500, size.height * 0.6750292);
    path9.lineTo(size.width * 0.8742000, size.height * 0.6773629);
    path9.lineTo(size.width * 0.8759500, size.height * 0.6751459);
    path9.lineTo(size.width * 0.8769500, size.height * 0.6758460);
    path9.lineTo(size.width * 0.8777000, size.height * 0.6743291);
    path9.lineTo(size.width * 0.8788000, size.height * 0.6780630);
    path9.lineTo(size.width * 0.8778000, size.height * 0.6821470);
    path9.lineTo(size.width * 0.8765500, size.height * 0.6851809);
    path9.lineTo(size.width * 0.8756000, size.height * 0.6854142);
    path9.lineTo(size.width * 0.8757500, size.height * 0.6883314);
    path9.lineTo(size.width * 0.8746500, size.height * 0.6920653);
    path9.lineTo(size.width * 0.8734000, size.height * 0.6957993);
    path9.lineTo(size.width * 0.8735000, size.height * 0.6978996);
    path9.lineTo(size.width * 0.8754000, size.height * 0.7021004);
    path9.lineTo(size.width * 0.8774000, size.height * 0.7044341);
    path9.lineTo(size.width * 0.8786500, size.height * 0.7070012);
    path9.lineTo(size.width * 0.8803000, size.height * 0.7114352);
    path9.lineTo(size.width * 0.8811000, size.height * 0.7114352);
    path9.lineTo(size.width * 0.8824000, size.height * 0.7134189);
    path9.lineTo(size.width * 0.8826500, size.height * 0.7157526);
    path9.lineTo(size.width * 0.8851000, size.height * 0.7182030);
    path9.lineTo(size.width * 0.8871500, size.height * 0.7156359);
    path9.lineTo(size.width * 0.8880500, size.height * 0.7116686);
    path9.lineTo(size.width * 0.8889000, size.height * 0.7082847);
    path9.lineTo(size.width * 0.8895500, size.height * 0.7042007);
    path9.lineTo(size.width * 0.8908500, size.height * 0.6982497);
    path9.lineTo(size.width * 0.8907500, size.height * 0.6946324);
    path9.lineTo(size.width * 0.8911000, size.height * 0.6924154);
    path9.lineTo(size.width * 0.8910500, size.height * 0.6882147);
    path9.lineTo(size.width * 0.8917500, size.height * 0.6824971);
    path9.lineTo(size.width * 0.8924000, size.height * 0.6809802);
    path9.lineTo(size.width * 0.8921000, size.height * 0.6785298);
    path9.lineTo(size.width * 0.8930000, size.height * 0.6745624);
    path9.lineTo(size.width * 0.8937500, size.height * 0.6704784);
    path9.lineTo(size.width * 0.8939500, size.height * 0.6682614);
    path9.lineTo(size.width * 0.8951000, size.height * 0.6654609);
    path9.lineTo(size.width * 0.8957500, size.height * 0.6691949);
    path9.lineTo(size.width * 0.8957000, size.height * 0.6738623);
    path9.lineTo(size.width * 0.8963500, size.height * 0.6747958);
    path9.lineTo(size.width * 0.8963000, size.height * 0.6779463);
    path9.lineTo(size.width * 0.8971000, size.height * 0.6816803);
    path9.lineTo(size.width * 0.8970500, size.height * 0.6859977);
    path9.lineTo(size.width * 0.8967500, size.height * 0.6886814);
    path9.close();

    Paint paint9fill = Paint()..style = PaintingStyle.fill;
    paint9fill.color = countryColors.aU ?? defaultCountryColor;
    canvas.drawPath(path9, paint9fill);

    Path path10 = Path();
    path10.moveTo(size.width * 0.5353000, size.height * 0.2226371);
    path10.lineTo(size.width * 0.5351500, size.height * 0.2235706);
    path10.lineTo(size.width * 0.5355000, size.height * 0.2260210);
    path10.lineTo(size.width * 0.5354000, size.height * 0.2290548);
    path10.lineTo(size.width * 0.5340000, size.height * 0.2290548);
    path10.lineTo(size.width * 0.5345500, size.height * 0.2306884);
    path10.lineTo(size.width * 0.5339000, size.height * 0.2353559);
    path10.lineTo(size.width * 0.5334500, size.height * 0.2366394);
    path10.lineTo(size.width * 0.5312500, size.height * 0.2367561);
    path10.lineTo(size.width * 0.5300500, size.height * 0.2385064);
    path10.lineTo(size.width * 0.5279500, size.height * 0.2379230);
    path10.lineTo(size.width * 0.5243000, size.height * 0.2359393);
    path10.lineTo(size.width * 0.5236500, size.height * 0.2334889);
    path10.lineTo(size.width * 0.5212000, size.height * 0.2347725);
    path10.lineTo(size.width * 0.5209500, size.height * 0.2361727);
    path10.lineTo(size.width * 0.5194000, size.height * 0.2351225);
    path10.lineTo(size.width * 0.5181000, size.height * 0.2348891);
    path10.lineTo(size.width * 0.5169500, size.height * 0.2334889);
    path10.lineTo(size.width * 0.5173000, size.height * 0.2317386);
    path10.lineTo(size.width * 0.5172000, size.height * 0.2304551);
    path10.lineTo(size.width * 0.5179000, size.height * 0.2301050);
    path10.lineTo(size.width * 0.5192500, size.height * 0.2320887);
    path10.lineTo(size.width * 0.5195500, size.height * 0.2301050);
    path10.lineTo(size.width * 0.5217500, size.height * 0.2304551);
    path10.lineTo(size.width * 0.5235000, size.height * 0.2291715);
    path10.lineTo(size.width * 0.5247000, size.height * 0.2294049);
    path10.lineTo(size.width * 0.5255500, size.height * 0.2309218);
    path10.lineTo(size.width * 0.5257500, size.height * 0.2296383);
    path10.lineTo(size.width * 0.5252500, size.height * 0.2248541);
    path10.lineTo(size.width * 0.5261000, size.height * 0.2239207);
    path10.lineTo(size.width * 0.5269000, size.height * 0.2205368);
    path10.lineTo(size.width * 0.5288000, size.height * 0.2229872);
    path10.lineTo(size.width * 0.5301000, size.height * 0.2199533);
    path10.lineTo(size.width * 0.5309500, size.height * 0.2193699);
    path10.lineTo(size.width * 0.5329500, size.height * 0.2215869);
    path10.lineTo(size.width * 0.5341000, size.height * 0.2212369);
    path10.lineTo(size.width * 0.5353000, size.height * 0.2226371);
    path10.close();

    Paint paint10fill = Paint()..style = PaintingStyle.fill;
    paint10fill.color = countryColors.aT ?? defaultCountryColor;
    canvas.drawPath(path10, paint10fill);

    Path path11 = Path();
    path11.moveTo(size.width * 0.6145000, size.height * 0.2954492);
    path11.lineTo(size.width * 0.6126000, size.height * 0.2943991);
    path11.lineTo(size.width * 0.6110000, size.height * 0.2910152);
    path11.lineTo(size.width * 0.6104000, size.height * 0.2880980);
    path11.lineTo(size.width * 0.6109000, size.height * 0.2879813);
    path11.lineTo(size.width * 0.6118500, size.height * 0.2899650);
    path11.lineTo(size.width * 0.6130000, size.height * 0.2899650);
    path11.lineTo(size.width * 0.6131000, size.height * 0.2911319);
    path11.lineTo(size.width * 0.6145000, size.height * 0.2954492);
    path11.close();

    Paint paint11fill = Paint()..style = PaintingStyle.fill;
    paint11fill.color = countryColors.aZ ?? defaultCountryColor;
    canvas.drawPath(path11, paint11fill);

    Path path12 = Path();
    path12.moveTo(size.width * 0.6176500, size.height * 0.2756126);
    path12.lineTo(size.width * 0.6189000, size.height * 0.2725788);
    path12.lineTo(size.width * 0.6206500, size.height * 0.2764294);
    path12.lineTo(size.width * 0.6224500, size.height * 0.2817970);
    path12.lineTo(size.width * 0.6237000, size.height * 0.2821470);
    path12.lineTo(size.width * 0.6246500, size.height * 0.2841307);
    path12.lineTo(size.width * 0.6225500, size.height * 0.2847141);
    path12.lineTo(size.width * 0.6226000, size.height * 0.2905484);
    path12.lineTo(size.width * 0.6224000, size.height * 0.2931155);
    path12.lineTo(size.width * 0.6215500, size.height * 0.2948658);
    path12.lineTo(size.width * 0.6219500, size.height * 0.2984831);
    path12.lineTo(size.width * 0.6213000, size.height * 0.2989498);
    path12.lineTo(size.width * 0.6193500, size.height * 0.2949825);
    path12.lineTo(size.width * 0.6199500, size.height * 0.2913652);
    path12.lineTo(size.width * 0.6190000, size.height * 0.2891482);
    path12.lineTo(size.width * 0.6180500, size.height * 0.2897316);
    path12.lineTo(size.width * 0.6154000, size.height * 0.2952159);
    path12.lineTo(size.width * 0.6149500, size.height * 0.2899650);
    path12.lineTo(size.width * 0.6137000, size.height * 0.2887981);
    path12.lineTo(size.width * 0.6124000, size.height * 0.2868145);
    path12.lineTo(size.width * 0.6129500, size.height * 0.2843641);
    path12.lineTo(size.width * 0.6113500, size.height * 0.2817970);
    path12.lineTo(size.width * 0.6117000, size.height * 0.2799300);
    path12.lineTo(size.width * 0.6106000, size.height * 0.2786464);
    path12.lineTo(size.width * 0.6099000, size.height * 0.2767795);
    path12.lineTo(size.width * 0.6104500, size.height * 0.2754959);
    path12.lineTo(size.width * 0.6125500, size.height * 0.2777130);
    path12.lineTo(size.width * 0.6140000, size.height * 0.2780630);
    path12.lineTo(size.width * 0.6143000, size.height * 0.2772462);
    path12.lineTo(size.width * 0.6126500, size.height * 0.2731622);
    path12.lineTo(size.width * 0.6132500, size.height * 0.2722287);
    path12.lineTo(size.width * 0.6140000, size.height * 0.2724621);
    path12.lineTo(size.width * 0.6161500, size.height * 0.2768961);
    path12.lineTo(size.width * 0.6173500, size.height * 0.2774796);
    path12.lineTo(size.width * 0.6176500, size.height * 0.2756126);
    path12.close();

    Paint paint12fill = Paint()..style = PaintingStyle.fill;
    paint12fill.color = countryColors.aZ ?? defaultCountryColor;
    canvas.drawPath(path12, paint12fill);

    Path path13 = Path();
    path13.moveTo(size.width * 0.5774500, size.height * 0.6189032);
    path13.lineTo(size.width * 0.5771500, size.height * 0.6190198);
    path13.lineTo(size.width * 0.5771500, size.height * 0.6186698);
    path13.lineTo(size.width * 0.5761500, size.height * 0.6115519);
    path13.lineTo(size.width * 0.5761450, size.height * 0.6114819);
    path13.lineTo(size.width * 0.5761000, size.height * 0.6102684);
    path13.lineTo(size.width * 0.5754000, size.height * 0.6068845);
    path13.lineTo(size.width * 0.5771500, size.height * 0.6074679);
    path13.lineTo(size.width * 0.5780000, size.height * 0.6031505);
    path13.lineTo(size.width * 0.5795500, size.height * 0.6036173);
    path13.lineTo(size.width * 0.5797000, size.height * 0.6065344);
    path13.lineTo(size.width * 0.5803000, size.height * 0.6082847);
    path13.lineTo(size.width * 0.5803000, size.height * 0.6107351);
    path13.lineTo(size.width * 0.5796000, size.height * 0.6122520);
    path13.lineTo(size.width * 0.5784500, size.height * 0.6162194);
    path13.lineTo(size.width * 0.5774500, size.height * 0.6189032);
    path13.close();

    Paint paint13fill = Paint()..style = PaintingStyle.fill;
    paint13fill.color = countryColors.bI ?? defaultCountryColor;
    canvas.drawPath(path13, paint13fill);

    Path path14 = Path();
    path14.moveTo(size.width * 0.5082500, size.height * 0.2066511);
    path14.lineTo(size.width * 0.5080500, size.height * 0.2115519);
    path14.lineTo(size.width * 0.5074000, size.height * 0.2117853);
    path14.lineTo(size.width * 0.5072000, size.height * 0.2158693);
    path14.lineTo(size.width * 0.5050000, size.height * 0.2124854);
    path14.lineTo(size.width * 0.5037500, size.height * 0.2130688);
    path14.lineTo(size.width * 0.5020000, size.height * 0.2096849);
    path14.lineTo(size.width * 0.5008000, size.height * 0.2067678);
    path14.lineTo(size.width * 0.4997000, size.height * 0.2066511);
    path14.lineTo(size.width * 0.4993000, size.height * 0.2040840);
    path14.lineTo(size.width * 0.5012500, size.height * 0.2026838);
    path14.lineTo(size.width * 0.5030500, size.height * 0.2032672);
    path14.lineTo(size.width * 0.5053000, size.height * 0.2017503);
    path14.lineTo(size.width * 0.5068500, size.height * 0.2049008);
    path14.lineTo(size.width * 0.5082500, size.height * 0.2066511);
    path14.close();

    Paint paint14fill = Paint()..style = PaintingStyle.fill;
    paint14fill.color = countryColors.bE ?? defaultCountryColor;
    canvas.drawPath(path14, paint14fill);

    Path path15 = Path();
    path15.moveTo(size.width * 0.5033500, size.height * 0.4982497);
    path15.lineTo(size.width * 0.5032500, size.height * 0.5007001);
    path15.lineTo(size.width * 0.5039000, size.height * 0.5051342);
    path15.lineTo(size.width * 0.5033500, size.height * 0.5081680);
    path15.lineTo(size.width * 0.5036500, size.height * 0.5101517);
    path15.lineTo(size.width * 0.5022500, size.height * 0.5148191);
    path15.lineTo(size.width * 0.5014000, size.height * 0.5171529);
    path15.lineTo(size.width * 0.5008500, size.height * 0.5218203);
    path15.lineTo(size.width * 0.5009500, size.height * 0.5266044);
    path15.lineTo(size.width * 0.5008000, size.height * 0.5386231);
    path15.lineTo(size.width * 0.4984500, size.height * 0.5395566);
    path15.lineTo(size.width * 0.4977500, size.height * 0.5344224);
    path15.lineTo(size.width * 0.4979000, size.height * 0.5171529);
    path15.lineTo(size.width * 0.4973000, size.height * 0.5156359);
    path15.lineTo(size.width * 0.4972000, size.height * 0.5119020);
    path15.lineTo(size.width * 0.4962000, size.height * 0.5093349);
    path15.lineTo(size.width * 0.4953500, size.height * 0.5071179);
    path15.lineTo(size.width * 0.4957000, size.height * 0.5031505);
    path15.lineTo(size.width * 0.4967000, size.height * 0.5023337);
    path15.lineTo(size.width * 0.4972500, size.height * 0.4990665);
    path15.lineTo(size.width * 0.4986500, size.height * 0.4983664);
    path15.lineTo(size.width * 0.4992500, size.height * 0.4961494);
    path15.lineTo(size.width * 0.5002000, size.height * 0.4939323);
    path15.lineTo(size.width * 0.5012000, size.height * 0.4939323);
    path15.lineTo(size.width * 0.5033500, size.height * 0.4982497);
    path15.close();

    Paint paint15fill = Paint()..style = PaintingStyle.fill;
    paint15fill.color = countryColors.bJ ?? defaultCountryColor;
    canvas.drawPath(path15, paint15fill);

    Path path16 = Path();
    path16.moveTo(size.width * 0.4942500, size.height * 0.4737456);
    path16.lineTo(size.width * 0.4940000, size.height * 0.4773629);
    path16.lineTo(size.width * 0.4944000, size.height * 0.4807468);
    path16.lineTo(size.width * 0.4959500, size.height * 0.4856476);
    path16.lineTo(size.width * 0.4960500, size.height * 0.4892649);
    path16.lineTo(size.width * 0.4993000, size.height * 0.4910152);
    path16.lineTo(size.width * 0.4992500, size.height * 0.4961494);
    path16.lineTo(size.width * 0.4986500, size.height * 0.4983664);
    path16.lineTo(size.width * 0.4972500, size.height * 0.4990665);
    path16.lineTo(size.width * 0.4967000, size.height * 0.5023337);
    path16.lineTo(size.width * 0.4957000, size.height * 0.5031505);
    path16.lineTo(size.width * 0.4932500, size.height * 0.5030338);
    path16.lineTo(size.width * 0.4919500, size.height * 0.5024504);
    path16.lineTo(size.width * 0.4910500, size.height * 0.5036173);
    path16.lineTo(size.width * 0.4898000, size.height * 0.5030338);
    path16.lineTo(size.width * 0.4849000, size.height * 0.5033839);
    path16.lineTo(size.width * 0.4848000, size.height * 0.5077013);
    path16.lineTo(size.width * 0.4852000, size.height * 0.5133022);
    path16.lineTo(size.width * 0.4832500, size.height * 0.5114352);
    path16.lineTo(size.width * 0.4819500, size.height * 0.5116686);
    path16.lineTo(size.width * 0.4809500, size.height * 0.5135356);
    path16.lineTo(size.width * 0.4797000, size.height * 0.5120187);
    path16.lineTo(size.width * 0.4792000, size.height * 0.5094516);
    path16.lineTo(size.width * 0.4779500, size.height * 0.5078180);
    path16.lineTo(size.width * 0.4777500, size.height * 0.5035006);
    path16.lineTo(size.width * 0.4785500, size.height * 0.5003501);
    path16.lineTo(size.width * 0.4784500, size.height * 0.4977830);
    path16.lineTo(size.width * 0.4807000, size.height * 0.4915986);
    path16.lineTo(size.width * 0.4811500, size.height * 0.4864644);
    path16.lineTo(size.width * 0.4819000, size.height * 0.4845974);
    path16.lineTo(size.width * 0.4832500, size.height * 0.4856476);
    path16.lineTo(size.width * 0.4844500, size.height * 0.4841307);
    path16.lineTo(size.width * 0.4848500, size.height * 0.4821470);
    path16.lineTo(size.width * 0.4870000, size.height * 0.4788798);
    path16.lineTo(size.width * 0.4875500, size.height * 0.4765461);
    path16.lineTo(size.width * 0.4902000, size.height * 0.4733956);
    path16.lineTo(size.width * 0.4917500, size.height * 0.4723454);
    path16.lineTo(size.width * 0.4924500, size.height * 0.4737456);
    path16.lineTo(size.width * 0.4942500, size.height * 0.4737456);
    path16.close();

    Paint paint16fill = Paint()..style = PaintingStyle.fill;
    paint16fill.color = countryColors.bF ?? defaultCountryColor;
    canvas.drawPath(path16, paint16fill);

    Path path17 = Path();
    path17.moveTo(size.width * 0.7503000, size.height * 0.4204201);
    path17.lineTo(size.width * 0.7506000, size.height * 0.4257876);
    path17.lineTo(size.width * 0.7495500, size.height * 0.4246208);
    path17.lineTo(size.width * 0.7501000, size.height * 0.4306884);
    path17.lineTo(size.width * 0.7490500, size.height * 0.4268378);
    path17.lineTo(size.width * 0.7486500, size.height * 0.4229872);
    path17.lineTo(size.width * 0.7479000, size.height * 0.4193699);
    path17.lineTo(size.width * 0.7465000, size.height * 0.4150525);
    path17.lineTo(size.width * 0.7439000, size.height * 0.4147025);
    path17.lineTo(size.width * 0.7443500, size.height * 0.4178530);
    path17.lineTo(size.width * 0.7437500, size.height * 0.4219370);
    path17.lineTo(size.width * 0.7424500, size.height * 0.4204201);
    path17.lineTo(size.width * 0.7421500, size.height * 0.4218203);
    path17.lineTo(size.width * 0.7413000, size.height * 0.4210035);
    path17.lineTo(size.width * 0.7402000, size.height * 0.4203034);
    path17.lineTo(size.width * 0.7394000, size.height * 0.4141190);
    path17.lineTo(size.width * 0.7381000, size.height * 0.4085181);
    path17.lineTo(size.width * 0.7382500, size.height * 0.4039673);
    path17.lineTo(size.width * 0.7364000, size.height * 0.4019837);
    path17.lineTo(size.width * 0.7368500, size.height * 0.3992999);
    path17.lineTo(size.width * 0.7383500, size.height * 0.3964994);
    path17.lineTo(size.width * 0.7360500, size.height * 0.3925321);
    path17.lineTo(size.width * 0.7366500, size.height * 0.3873979);
    path17.lineTo(size.width * 0.7391000, size.height * 0.3906651);
    path17.lineTo(size.width * 0.7404500, size.height * 0.3910152);
    path17.lineTo(size.width * 0.7410500, size.height * 0.3962660);
    path17.lineTo(size.width * 0.7437500, size.height * 0.3973162);
    path17.lineTo(size.width * 0.7463000, size.height * 0.3971995);
    path17.lineTo(size.width * 0.7480000, size.height * 0.3984831);
    path17.lineTo(size.width * 0.7472000, size.height * 0.4047841);
    path17.lineTo(size.width * 0.7460000, size.height * 0.4052509);
    path17.lineTo(size.width * 0.7454000, size.height * 0.4094516);
    path17.lineTo(size.width * 0.7472000, size.height * 0.4134189);
    path17.lineTo(size.width * 0.7473500, size.height * 0.4085181);
    path17.lineTo(size.width * 0.7481000, size.height * 0.4085181);
    path17.lineTo(size.width * 0.7503000, size.height * 0.4204201);
    path17.close();

    Paint paint17fill = Paint()..style = PaintingStyle.fill;
    paint17fill.color = countryColors.bD ?? defaultCountryColor;
    canvas.drawPath(path17, paint17fill);

    Path path18 = Path();
    path18.moveTo(size.width * 0.5663000, size.height * 0.2585764);
    path18.lineTo(size.width * 0.5651500, size.height * 0.2616103);
    path18.lineTo(size.width * 0.5645000, size.height * 0.2668611);
    path18.lineTo(size.width * 0.5655500, size.height * 0.2710618);
    path18.lineTo(size.width * 0.5632500, size.height * 0.2701284);
    path18.lineTo(size.width * 0.5607500, size.height * 0.2724621);
    path18.lineTo(size.width * 0.5609000, size.height * 0.2761960);
    path18.lineTo(size.width * 0.5586000, size.height * 0.2768961);
    path18.lineTo(size.width * 0.5566500, size.height * 0.2742124);
    path18.lineTo(size.width * 0.5546500, size.height * 0.2763127);
    path18.lineTo(size.width * 0.5527500, size.height * 0.2760793);
    path18.lineTo(size.width * 0.5523500, size.height * 0.2711785);
    path18.lineTo(size.width * 0.5509500, size.height * 0.2687281);
    path18.lineTo(size.width * 0.5513000, size.height * 0.2677946);
    path18.lineTo(size.width * 0.5510000, size.height * 0.2668611);
    path18.lineTo(size.width * 0.5513000, size.height * 0.2645274);
    path18.lineTo(size.width * 0.5522000, size.height * 0.2621937);
    path18.lineTo(size.width * 0.5508000, size.height * 0.2590432);
    path18.lineTo(size.width * 0.5504500, size.height * 0.2562427);
    path18.lineTo(size.width * 0.5510000, size.height * 0.2546091);
    path18.lineTo(size.width * 0.5519000, size.height * 0.2576429);
    path18.lineTo(size.width * 0.5528500, size.height * 0.2571762);
    path18.lineTo(size.width * 0.5548500, size.height * 0.2582264);
    path18.lineTo(size.width * 0.5586500, size.height * 0.2586931);
    path18.lineTo(size.width * 0.5598000, size.height * 0.2568261);
    path18.lineTo(size.width * 0.5627500, size.height * 0.2550758);
    path18.lineTo(size.width * 0.5647500, size.height * 0.2577596);
    path18.lineTo(size.width * 0.5663000, size.height * 0.2585764);
    path18.close();

    Paint paint18fill = Paint()..style = PaintingStyle.fill;
    paint18fill.color = countryColors.bG ?? defaultCountryColor;
    canvas.drawPath(path18, paint18fill);

    Path path19 = Path();
    path19.moveTo(size.width * 0.5415000, size.height * 0.2500583);
    path19.lineTo(size.width * 0.5424500, size.height * 0.2499417);
    path19.lineTo(size.width * 0.5419000, size.height * 0.2532089);
    path19.lineTo(size.width * 0.5432500, size.height * 0.2561260);
    path19.lineTo(size.width * 0.5430000, size.height * 0.2595099);
    path19.lineTo(size.width * 0.5424500, size.height * 0.2598600);
    path19.lineTo(size.width * 0.5420000, size.height * 0.2605601);
    path19.lineTo(size.width * 0.5412000, size.height * 0.2623104);
    path19.lineTo(size.width * 0.5410000, size.height * 0.2663944);
    path19.lineTo(size.width * 0.5386000, size.height * 0.2635939);
    path19.lineTo(size.width * 0.5375500, size.height * 0.2604434);
    path19.lineTo(size.width * 0.5365000, size.height * 0.2588098);
    path19.lineTo(size.width * 0.5352500, size.height * 0.2560093);
    path19.lineTo(size.width * 0.5346000, size.height * 0.2537923);
    path19.lineTo(size.width * 0.5332500, size.height * 0.2502917);
    path19.lineTo(size.width * 0.5336500, size.height * 0.2472579);
    path19.lineTo(size.width * 0.5346500, size.height * 0.2490082);
    path19.lineTo(size.width * 0.5351500, size.height * 0.2473746);
    path19.lineTo(size.width * 0.5363000, size.height * 0.2472579);
    path19.lineTo(size.width * 0.5385500, size.height * 0.2485414);
    path19.lineTo(size.width * 0.5403000, size.height * 0.2484247);
    path19.lineTo(size.width * 0.5415000, size.height * 0.2500583);
    path19.close();

    Paint paint19fill = Paint()..style = PaintingStyle.fill;
    paint19fill.color = countryColors.bA ?? defaultCountryColor;
    canvas.drawPath(path19, paint19fill);

    Path path20 = Path();
    path20.moveTo(size.width * 0.5708000, size.height * 0.1898483);
    path20.lineTo(size.width * 0.5688500, size.height * 0.1896149);
    path20.lineTo(size.width * 0.5684500, size.height * 0.1903151);
    path20.lineTo(size.width * 0.5692000, size.height * 0.1926488);
    path20.lineTo(size.width * 0.5702000, size.height * 0.1973162);
    path20.lineTo(size.width * 0.5681500, size.height * 0.1976663);
    path20.lineTo(size.width * 0.5675000, size.height * 0.1992999);
    path20.lineTo(size.width * 0.5676500, size.height * 0.2029172);
    path20.lineTo(size.width * 0.5666000, size.height * 0.2022170);
    path20.lineTo(size.width * 0.5644500, size.height * 0.2025671);
    path20.lineTo(size.width * 0.5637000, size.height * 0.2008168);
    path20.lineTo(size.width * 0.5628500, size.height * 0.2021004);
    path20.lineTo(size.width * 0.5619000, size.height * 0.2010502);
    path20.lineTo(size.width * 0.5599500, size.height * 0.2009335);
    path20.lineTo(size.width * 0.5571000, size.height * 0.1991832);
    path20.lineTo(size.width * 0.5546500, size.height * 0.1985998);
    path20.lineTo(size.width * 0.5527500, size.height * 0.1988331);
    path20.lineTo(size.width * 0.5515500, size.height * 0.2007001);
    path20.lineTo(size.width * 0.5504000, size.height * 0.2010502);
    path20.lineTo(size.width * 0.5501500, size.height * 0.1977830);
    path20.lineTo(size.width * 0.5492000, size.height * 0.1945158);
    path20.lineTo(size.width * 0.5506000, size.height * 0.1929988);
    path20.lineTo(size.width * 0.5504000, size.height * 0.1901984);
    path20.lineTo(size.width * 0.5495500, size.height * 0.1875146);
    path20.lineTo(size.width * 0.5492500, size.height * 0.1843641);
    path20.lineTo(size.width * 0.5516000, size.height * 0.1843641);
    path20.lineTo(size.width * 0.5540000, size.height * 0.1816803);
    path20.lineTo(size.width * 0.5542500, size.height * 0.1777130);
    path20.lineTo(size.width * 0.5560500, size.height * 0.1753792);
    path20.lineTo(size.width * 0.5555500, size.height * 0.1722287);
    path20.lineTo(size.width * 0.5569000, size.height * 0.1710618);
    path20.lineTo(size.width * 0.5592000, size.height * 0.1683781);
    path20.lineTo(size.width * 0.5618500, size.height * 0.1701284);
    path20.lineTo(size.width * 0.5623000, size.height * 0.1718786);
    path20.lineTo(size.width * 0.5635000, size.height * 0.1710618);
    path20.lineTo(size.width * 0.5659000, size.height * 0.1726954);
    path20.lineTo(size.width * 0.5664500, size.height * 0.1760793);
    path20.lineTo(size.width * 0.5661000, size.height * 0.1779463);
    path20.lineTo(size.width * 0.5680000, size.height * 0.1826138);
    path20.lineTo(size.width * 0.5690500, size.height * 0.1838973);
    path20.lineTo(size.width * 0.5690500, size.height * 0.1851809);
    path20.lineTo(size.width * 0.5707500, size.height * 0.1864644);
    path20.lineTo(size.width * 0.5716000, size.height * 0.1883314);
    path20.lineTo(size.width * 0.5708000, size.height * 0.1898483);
    path20.close();

    Paint paint20fill = Paint()..style = PaintingStyle.fill;
    paint20fill.color = countryColors.bY ?? defaultCountryColor;
    canvas.drawPath(path20, paint20fill);

    Path path21 = Path();
    path21.moveTo(size.width * 0.2439000, size.height * 0.4665111);
    path21.lineTo(size.width * 0.2430500, size.height * 0.4665111);
    path21.lineTo(size.width * 0.2437000, size.height * 0.4581097);
    path21.lineTo(size.width * 0.2440500, size.height * 0.4521587);
    path21.lineTo(size.width * 0.2441000, size.height * 0.4509918);
    path21.lineTo(size.width * 0.2444500, size.height * 0.4506418);
    path21.lineTo(size.width * 0.2449000, size.height * 0.4515753);
    path21.lineTo(size.width * 0.2461500, size.height * 0.4470245);
    path21.lineTo(size.width * 0.2467000, size.height * 0.4469078);
    path21.lineTo(size.width * 0.2466500, size.height * 0.4480747);
    path21.lineTo(size.width * 0.2471500, size.height * 0.4480747);
    path21.lineTo(size.width * 0.2470000, size.height * 0.4501750);
    path21.lineTo(size.width * 0.2463500, size.height * 0.4533256);
    path21.lineTo(size.width * 0.2465500, size.height * 0.4544924);
    path21.lineTo(size.width * 0.2461000, size.height * 0.4571762);
    path21.lineTo(size.width * 0.2462500, size.height * 0.4578763);
    path21.lineTo(size.width * 0.2457500, size.height * 0.4617270);
    path21.lineTo(size.width * 0.2451000, size.height * 0.4637106);
    path21.lineTo(size.width * 0.2445500, size.height * 0.4639440);
    path21.lineTo(size.width * 0.2439000, size.height * 0.4665111);
    path21.close();

    Paint paint21fill = Paint()..style = PaintingStyle.fill;
    paint21fill.color = countryColors.bZ ?? defaultCountryColor;
    canvas.drawPath(path21, paint21fill);

    Path path22 = Path();
    path22.moveTo(size.width * 0.3312500, size.height * 0.7367561);
    path22.lineTo(size.width * 0.3311000, size.height * 0.7344224);
    path22.lineTo(size.width * 0.3284000, size.height * 0.7305718);
    path22.lineTo(size.width * 0.3258000, size.height * 0.7304551);
    path22.lineTo(size.width * 0.3210000, size.height * 0.7326721);
    path22.lineTo(size.width * 0.3199500, size.height * 0.7392065);
    path22.lineTo(size.width * 0.3200500, size.height * 0.7432905);
    path22.lineTo(size.width * 0.3193000, size.height * 0.7522754);
    path22.lineTo(size.width * 0.3188000, size.height * 0.7506418);
    path22.lineTo(size.width * 0.3156000, size.height * 0.7502917);
    path22.lineTo(size.width * 0.3148000, size.height * 0.7563594);
    path22.lineTo(size.width * 0.3129500, size.height * 0.7509918);
    path22.lineTo(size.width * 0.3092000, size.height * 0.7491249);
    path22.lineTo(size.width * 0.3072000, size.height * 0.7558926);
    path22.lineTo(size.width * 0.3052500, size.height * 0.7569428);
    path22.lineTo(size.width * 0.3037000, size.height * 0.7465578);
    path22.lineTo(size.width * 0.3018500, size.height * 0.7381564);
    path22.lineTo(size.width * 0.3024000, size.height * 0.7309218);
    path22.lineTo(size.width * 0.3008000, size.height * 0.7277713);
    path22.lineTo(size.width * 0.3002000, size.height * 0.7224037);
    path22.lineTo(size.width * 0.2986000, size.height * 0.7172695);
    path22.lineTo(size.width * 0.3000500, size.height * 0.7092182);
    path22.lineTo(size.width * 0.2986000, size.height * 0.7029172);
    path22.lineTo(size.width * 0.2991500, size.height * 0.7003501);
    path22.lineTo(size.width * 0.2985500, size.height * 0.6975496);
    path22.lineTo(size.width * 0.2995000, size.height * 0.6938156);
    path22.lineTo(size.width * 0.2993500, size.height * 0.6875146);
    path22.lineTo(size.width * 0.2993500, size.height * 0.6821470);
    path22.lineTo(size.width * 0.2999000, size.height * 0.6796966);
    path22.lineTo(size.width * 0.2971500, size.height * 0.6675613);
    path22.lineTo(size.width * 0.2992500, size.height * 0.6682614);
    path22.lineTo(size.width * 0.3007000, size.height * 0.6680280);
    path22.lineTo(size.width * 0.3012500, size.height * 0.6658110);
    path22.lineTo(size.width * 0.3036500, size.height * 0.6627771);
    path22.lineTo(size.width * 0.3051000, size.height * 0.6599767);
    path22.lineTo(size.width * 0.3087500, size.height * 0.6586931);
    path22.lineTo(size.width * 0.3085500, size.height * 0.6642940);
    path22.lineTo(size.width * 0.3090000, size.height * 0.6672112);
    path22.lineTo(size.width * 0.3088500, size.height * 0.6722287);
    path22.lineTo(size.width * 0.3121000, size.height * 0.6788798);
    path22.lineTo(size.width * 0.3153000, size.height * 0.6801634);
    path22.lineTo(size.width * 0.3164500, size.height * 0.6829638);
    path22.lineTo(size.width * 0.3184000, size.height * 0.6844807);
    path22.lineTo(size.width * 0.3196500, size.height * 0.6865811);
    path22.lineTo(size.width * 0.3214000, size.height * 0.6865811);
    path22.lineTo(size.width * 0.3231000, size.height * 0.6887981);
    path22.lineTo(size.width * 0.3233500, size.height * 0.6931155);
    path22.lineTo(size.width * 0.3239500, size.height * 0.6953326);
    path22.lineTo(size.width * 0.3241000, size.height * 0.6984831);
    path22.lineTo(size.width * 0.3232500, size.height * 0.6985998);
    path22.lineTo(size.width * 0.3246500, size.height * 0.7073512);
    path22.lineTo(size.width * 0.3300000, size.height * 0.7077013);
    path22.lineTo(size.width * 0.3297500, size.height * 0.7120187);
    path22.lineTo(size.width * 0.3301500, size.height * 0.7149358);
    path22.lineTo(size.width * 0.3317500, size.height * 0.7170362);
    path22.lineTo(size.width * 0.3326000, size.height * 0.7217036);
    path22.lineTo(size.width * 0.3323000, size.height * 0.7276546);
    path22.lineTo(size.width * 0.3316500, size.height * 0.7309218);
    path22.lineTo(size.width * 0.3320500, size.height * 0.7351225);
    path22.lineTo(size.width * 0.3312500, size.height * 0.7367561);
    path22.close();

    Paint paint22fill = Paint()..style = PaintingStyle.fill;
    paint22fill.color = countryColors.bO ?? defaultCountryColor;
    canvas.drawPath(path22, paint22fill);

    Path path23 = Path();
    path23.moveTo(size.width * 0.3329000, size.height * 0.5712952);
    path23.lineTo(size.width * 0.3344500, size.height * 0.5719953);
    path23.lineTo(size.width * 0.3347500, size.height * 0.5703617);
    path23.lineTo(size.width * 0.3342500, size.height * 0.5689615);
    path23.lineTo(size.width * 0.3345500, size.height * 0.5667445);
    path23.lineTo(size.width * 0.3357000, size.height * 0.5674446);
    path23.lineTo(size.width * 0.3370500, size.height * 0.5666278);
    path23.lineTo(size.width * 0.3386500, size.height * 0.5682614);
    path23.lineTo(size.width * 0.3399000, size.height * 0.5697783);
    path23.lineTo(size.width * 0.3407500, size.height * 0.5677946);
    path23.lineTo(size.width * 0.3414000, size.height * 0.5680280);
    path23.lineTo(size.width * 0.3418000, size.height * 0.5701284);
    path23.lineTo(size.width * 0.3431500, size.height * 0.5696616);
    path23.lineTo(size.width * 0.3442500, size.height * 0.5667445);
    path23.lineTo(size.width * 0.3451500, size.height * 0.5612602);
    path23.lineTo(size.width * 0.3468500, size.height * 0.5543757);
    path23.lineTo(size.width * 0.3478500, size.height * 0.5540257);
    path23.lineTo(size.width * 0.3485000, size.height * 0.5582264);
    path23.lineTo(size.width * 0.3500000, size.height * 0.5712952);
    path23.lineTo(size.width * 0.3515500, size.height * 0.5725788);
    path23.lineTo(size.width * 0.3516000, size.height * 0.5777130);
    path23.lineTo(size.width * 0.3494500, size.height * 0.5838973);
    path23.lineTo(size.width * 0.3503000, size.height * 0.5861144);
    path23.lineTo(size.width * 0.3553500, size.height * 0.5872812);
    path23.lineTo(size.width * 0.3554500, size.height * 0.5948658);
    path23.lineTo(size.width * 0.3576000, size.height * 0.5899650);
    path23.lineTo(size.width * 0.3611500, size.height * 0.5926488);
    path23.lineTo(size.width * 0.3659000, size.height * 0.5971995);
    path23.lineTo(size.width * 0.3673000, size.height * 0.6015169);
    path23.lineTo(size.width * 0.3668500, size.height * 0.6057176);
    path23.lineTo(size.width * 0.3701500, size.height * 0.6033839);
    path23.lineTo(size.width * 0.3756500, size.height * 0.6073512);
    path23.lineTo(size.width * 0.3799000, size.height * 0.6071179);
    path23.lineTo(size.width * 0.3841000, size.height * 0.6133022);
    path23.lineTo(size.width * 0.3878000, size.height * 0.6217036);
    path23.lineTo(size.width * 0.3900000, size.height * 0.6238040);
    path23.lineTo(size.width * 0.3924000, size.height * 0.6241540);
    path23.lineTo(size.width * 0.3934500, size.height * 0.6264877);
    path23.lineTo(size.width * 0.3944500, size.height * 0.6360560);
    path23.lineTo(size.width * 0.3950000, size.height * 0.6406068);
    path23.lineTo(size.width * 0.3939500, size.height * 0.6529755);
    path23.lineTo(size.width * 0.3926000, size.height * 0.6578763);
    path23.lineTo(size.width * 0.3887500, size.height * 0.6682614);
    path23.lineTo(size.width * 0.3870500, size.height * 0.6767795);
    path23.lineTo(size.width * 0.3850500, size.height * 0.6831972);
    path23.lineTo(size.width * 0.3843500, size.height * 0.6834306);
    path23.lineTo(size.width * 0.3837000, size.height * 0.6889148);
    path23.lineTo(size.width * 0.3841500, size.height * 0.7029172);
    path23.lineTo(size.width * 0.3836000, size.height * 0.7144691);
    path23.lineTo(size.width * 0.3834500, size.height * 0.7193699);
    path23.lineTo(size.width * 0.3826500, size.height * 0.7224037);
    path23.lineTo(size.width * 0.3824000, size.height * 0.7324387);
    path23.lineTo(size.width * 0.3798000, size.height * 0.7421237);
    path23.lineTo(size.width * 0.3795500, size.height * 0.7499417);
    path23.lineTo(size.width * 0.3774000, size.height * 0.7530922);
    path23.lineTo(size.width * 0.3768500, size.height * 0.7576429);
    path23.lineTo(size.width * 0.3738500, size.height * 0.7576429);
    path23.lineTo(size.width * 0.3696000, size.height * 0.7604434);
    path23.lineTo(size.width * 0.3677500, size.height * 0.7638273);
    path23.lineTo(size.width * 0.3647500, size.height * 0.7660443);
    path23.lineTo(size.width * 0.3617000, size.height * 0.7719953);
    path23.lineTo(size.width * 0.3596500, size.height * 0.7794632);
    path23.lineTo(size.width * 0.3595000, size.height * 0.7850642);
    path23.lineTo(size.width * 0.3601500, size.height * 0.7891482);
    path23.lineTo(size.width * 0.3600000, size.height * 0.7967328);
    path23.lineTo(size.width * 0.3596000, size.height * 0.8003501);
    path23.lineTo(size.width * 0.3579000, size.height * 0.8045508);
    path23.lineTo(size.width * 0.3556500, size.height * 0.8177363);
    path23.lineTo(size.width * 0.3536500, size.height * 0.8235706);
    path23.lineTo(size.width * 0.3520500, size.height * 0.8271879);
    path23.lineTo(size.width * 0.3513000, size.height * 0.8343057);
    path23.lineTo(size.width * 0.3498500, size.height * 0.8385064);
    path23.lineTo(size.width * 0.3488000, size.height * 0.8343057);
    path23.lineTo(size.width * 0.3497000, size.height * 0.8306884);
    path23.lineTo(size.width * 0.3478000, size.height * 0.8256709);
    path23.lineTo(size.width * 0.3454000, size.height * 0.8214702);
    path23.lineTo(size.width * 0.3422500, size.height * 0.8166861);
    path23.lineTo(size.width * 0.3413000, size.height * 0.8169195);
    path23.lineTo(size.width * 0.3381500, size.height * 0.8110852);
    path23.lineTo(size.width * 0.3364500, size.height * 0.8119020);
    path23.lineTo(size.width * 0.3394500, size.height * 0.8017503);
    path23.lineTo(size.width * 0.3421000, size.height * 0.7943991);
    path23.lineTo(size.width * 0.3437500, size.height * 0.7913652);
    path23.lineTo(size.width * 0.3458500, size.height * 0.7872812);
    path23.lineTo(size.width * 0.3456500, size.height * 0.7813302);
    path23.lineTo(size.width * 0.3440500, size.height * 0.7768961);
    path23.lineTo(size.width * 0.3427500, size.height * 0.7784131);
    path23.lineTo(size.width * 0.3431000, size.height * 0.7740957);
    path23.lineTo(size.width * 0.3432500, size.height * 0.7696616);
    path23.lineTo(size.width * 0.3431000, size.height * 0.7654609);
    path23.lineTo(size.width * 0.3420500, size.height * 0.7641774);
    path23.lineTo(size.width * 0.3410500, size.height * 0.7653442);
    path23.lineTo(size.width * 0.3400000, size.height * 0.7649942);
    path23.lineTo(size.width * 0.3396000, size.height * 0.7621937);
    path23.lineTo(size.width * 0.3390500, size.height * 0.7553092);
    path23.lineTo(size.width * 0.3384500, size.height * 0.7530922);
    path23.lineTo(size.width * 0.3365000, size.height * 0.7509918);
    path23.lineTo(size.width * 0.3354000, size.height * 0.7525088);
    path23.lineTo(size.width * 0.3324500, size.height * 0.7509918);
    path23.lineTo(size.width * 0.3322500, size.height * 0.7408401);
    path23.lineTo(size.width * 0.3312500, size.height * 0.7367561);
    path23.lineTo(size.width * 0.3320500, size.height * 0.7351225);
    path23.lineTo(size.width * 0.3316500, size.height * 0.7309218);
    path23.lineTo(size.width * 0.3323000, size.height * 0.7276546);
    path23.lineTo(size.width * 0.3326000, size.height * 0.7217036);
    path23.lineTo(size.width * 0.3317500, size.height * 0.7170362);
    path23.lineTo(size.width * 0.3301500, size.height * 0.7149358);
    path23.lineTo(size.width * 0.3297500, size.height * 0.7120187);
    path23.lineTo(size.width * 0.3300000, size.height * 0.7077013);
    path23.lineTo(size.width * 0.3246500, size.height * 0.7073512);
    path23.lineTo(size.width * 0.3232500, size.height * 0.6985998);
    path23.lineTo(size.width * 0.3241000, size.height * 0.6984831);
    path23.lineTo(size.width * 0.3239500, size.height * 0.6953326);
    path23.lineTo(size.width * 0.3233500, size.height * 0.6931155);
    path23.lineTo(size.width * 0.3231000, size.height * 0.6887981);
    path23.lineTo(size.width * 0.3214000, size.height * 0.6865811);
    path23.lineTo(size.width * 0.3196500, size.height * 0.6865811);
    path23.lineTo(size.width * 0.3184000, size.height * 0.6844807);
    path23.lineTo(size.width * 0.3164500, size.height * 0.6829638);
    path23.lineTo(size.width * 0.3153000, size.height * 0.6801634);
    path23.lineTo(size.width * 0.3121000, size.height * 0.6788798);
    path23.lineTo(size.width * 0.3088500, size.height * 0.6722287);
    path23.lineTo(size.width * 0.3090000, size.height * 0.6672112);
    path23.lineTo(size.width * 0.3085500, size.height * 0.6642940);
    path23.lineTo(size.width * 0.3087500, size.height * 0.6586931);
    path23.lineTo(size.width * 0.3051000, size.height * 0.6599767);
    path23.lineTo(size.width * 0.3036500, size.height * 0.6627771);
    path23.lineTo(size.width * 0.3012500, size.height * 0.6658110);
    path23.lineTo(size.width * 0.3007000, size.height * 0.6680280);
    path23.lineTo(size.width * 0.2992500, size.height * 0.6682614);
    path23.lineTo(size.width * 0.2971500, size.height * 0.6675613);
    path23.lineTo(size.width * 0.2955500, size.height * 0.6688448);
    path23.lineTo(size.width * 0.2942500, size.height * 0.6680280);
    path23.lineTo(size.width * 0.2942000, size.height * 0.6567095);
    path23.lineTo(size.width * 0.2920000, size.height * 0.6610268);
    path23.lineTo(size.width * 0.2895000, size.height * 0.6609102);
    path23.lineTo(size.width * 0.2883500, size.height * 0.6568261);
    path23.lineTo(size.width * 0.2864500, size.height * 0.6564761);
    path23.lineTo(size.width * 0.2869500, size.height * 0.6532089);
    path23.lineTo(size.width * 0.2853000, size.height * 0.6486581);
    path23.lineTo(size.width * 0.2840000, size.height * 0.6418903);
    path23.lineTo(size.width * 0.2847500, size.height * 0.6406068);
    path23.lineTo(size.width * 0.2846500, size.height * 0.6373396);
    path23.lineTo(size.width * 0.2863500, size.height * 0.6352392);
    path23.lineTo(size.width * 0.2860000, size.height * 0.6311552);
    path23.lineTo(size.width * 0.2867000, size.height * 0.6285881);
    path23.lineTo(size.width * 0.2868500, size.height * 0.6250875);
    path23.lineTo(size.width * 0.2900000, size.height * 0.6199533);
    path23.lineTo(size.width * 0.2923000, size.height * 0.6185531);
    path23.lineTo(size.width * 0.2927000, size.height * 0.6173862);
    path23.lineTo(size.width * 0.2952500, size.height * 0.6177363);
    path23.lineTo(size.width * 0.2963500, size.height * 0.5971995);
    path23.lineTo(size.width * 0.2964000, size.height * 0.5939323);
    path23.lineTo(size.width * 0.2959500, size.height * 0.5897316);
    path23.lineTo(size.width * 0.2946500, size.height * 0.5869312);
    path23.lineTo(size.width * 0.2947000, size.height * 0.5814469);
    path23.lineTo(size.width * 0.2963000, size.height * 0.5802800);
    path23.lineTo(size.width * 0.2968500, size.height * 0.5810968);
    path23.lineTo(size.width * 0.2969500, size.height * 0.5781797);
    path23.lineTo(size.width * 0.2953000, size.height * 0.5773629);
    path23.lineTo(size.width * 0.2953000, size.height * 0.5726954);
    path23.lineTo(size.width * 0.3008000, size.height * 0.5729288);
    path23.lineTo(size.width * 0.3017500, size.height * 0.5702450);
    path23.lineTo(size.width * 0.3025500, size.height * 0.5726954);
    path23.lineTo(size.width * 0.3030500, size.height * 0.5771295);
    path23.lineTo(size.width * 0.3036000, size.height * 0.5761960);
    path23.lineTo(size.width * 0.3051500, size.height * 0.5801634);
    path23.lineTo(size.width * 0.3073500, size.height * 0.5796966);
    path23.lineTo(size.width * 0.3079000, size.height * 0.5773629);
    path23.lineTo(size.width * 0.3100000, size.height * 0.5756126);
    path23.lineTo(size.width * 0.3112000, size.height * 0.5743291);
    path23.lineTo(size.width * 0.3115500, size.height * 0.5711785);
    path23.lineTo(size.width * 0.3136000, size.height * 0.5690782);
    path23.lineTo(size.width * 0.3134500, size.height * 0.5674446);
    path23.lineTo(size.width * 0.3110500, size.height * 0.5668611);
    path23.lineTo(size.width * 0.3107000, size.height * 0.5620770);
    path23.lineTo(size.width * 0.3108500, size.height * 0.5570595);
    path23.lineTo(size.width * 0.3096000, size.height * 0.5551925);
    path23.lineTo(size.width * 0.3101500, size.height * 0.5544924);
    path23.lineTo(size.width * 0.3122000, size.height * 0.5554259);
    path23.lineTo(size.width * 0.3144500, size.height * 0.5572929);
    path23.lineTo(size.width * 0.3153000, size.height * 0.5555426);
    path23.lineTo(size.width * 0.3173500, size.height * 0.5543757);
    path23.lineTo(size.width * 0.3205500, size.height * 0.5515753);
    path23.lineTo(size.width * 0.3216000, size.height * 0.5486581);
    path23.lineTo(size.width * 0.3212500, size.height * 0.5465578);
    path23.lineTo(size.width * 0.3227500, size.height * 0.5463244);
    path23.lineTo(size.width * 0.3233500, size.height * 0.5479580);
    path23.lineTo(size.width * 0.3229500, size.height * 0.5513419);
    path23.lineTo(size.width * 0.3239500, size.height * 0.5523921);
    path23.lineTo(size.width * 0.3245500, size.height * 0.5558926);
    path23.lineTo(size.width * 0.3237500, size.height * 0.5585764);
    path23.lineTo(size.width * 0.3232500, size.height * 0.5648775);
    path23.lineTo(size.width * 0.3239500, size.height * 0.5687281);
    path23.lineTo(size.width * 0.3241000, size.height * 0.5722287);
    path23.lineTo(size.width * 0.3258500, size.height * 0.5757293);
    path23.lineTo(size.width * 0.3272500, size.height * 0.5760793);
    path23.lineTo(size.width * 0.3275500, size.height * 0.5745624);
    path23.lineTo(size.width * 0.3284500, size.height * 0.5742124);
    path23.lineTo(size.width * 0.3297500, size.height * 0.5729288);
    path23.lineTo(size.width * 0.3306500, size.height * 0.5709452);
    path23.lineTo(size.width * 0.3322500, size.height * 0.5716453);
    path23.lineTo(size.width * 0.3329000, size.height * 0.5712952);
    path23.close();

    Paint paint23fill = Paint()..style = PaintingStyle.fill;
    paint23fill.color = countryColors.bR ?? defaultCountryColor;
    canvas.drawPath(path23, paint23fill);

    Path path24 = Path();
    path24.moveTo(size.width * 0.8165500, size.height * 0.5516919);
    path24.lineTo(size.width * 0.8176500, size.height * 0.5488915);
    path24.lineTo(size.width * 0.8199500, size.height * 0.5446908);
    path24.lineTo(size.width * 0.8199000, size.height * 0.5484247);
    path24.lineTo(size.width * 0.8198500, size.height * 0.5532089);
    path24.lineTo(size.width * 0.8185000, size.height * 0.5529755);
    path24.lineTo(size.width * 0.8179500, size.height * 0.5555426);
    path24.lineTo(size.width * 0.8165500, size.height * 0.5516919);
    path24.close();

    Paint paint24fill = Paint()..style = PaintingStyle.fill;
    paint24fill.color = countryColors.bN ?? defaultCountryColor;
    canvas.drawPath(path24, paint24fill);

    Path path25 = Path();
    path25.moveTo(size.width * 0.7444000, size.height * 0.3774796);
    path25.lineTo(size.width * 0.7457000, size.height * 0.3799300);
    path25.lineTo(size.width * 0.7459500, size.height * 0.3844807);
    path25.lineTo(size.width * 0.7437000, size.height * 0.3847141);
    path25.lineTo(size.width * 0.7413500, size.height * 0.3842474);
    path25.lineTo(size.width * 0.7397500, size.height * 0.3854142);
    path25.lineTo(size.width * 0.7370000, size.height * 0.3824971);
    path25.lineTo(size.width * 0.7368000, size.height * 0.3810968);
    path25.lineTo(size.width * 0.7381000, size.height * 0.3754959);
    path25.lineTo(size.width * 0.7394000, size.height * 0.3736289);
    path25.lineTo(size.width * 0.7415500, size.height * 0.3752625);
    path25.lineTo(size.width * 0.7430000, size.height * 0.3754959);
    path25.lineTo(size.width * 0.7444000, size.height * 0.3774796);
    path25.close();

    Paint paint25fill = Paint()..style = PaintingStyle.fill;
    paint25fill.color = countryColors.bT ?? defaultCountryColor;
    canvas.drawPath(path25, paint25fill);

    Path path26 = Path();
    path26.moveTo(size.width * 0.5638000, size.height * 0.7184364);
    path26.lineTo(size.width * 0.5647500, size.height * 0.7243874);
    path26.lineTo(size.width * 0.5653000, size.height * 0.7257876);
    path26.lineTo(size.width * 0.5661000, size.height * 0.7301050);
    path26.lineTo(size.width * 0.5691500, size.height * 0.7382730);
    path26.lineTo(size.width * 0.5703000, size.height * 0.7390898);
    path26.lineTo(size.width * 0.5702500, size.height * 0.7417736);
    path26.lineTo(size.width * 0.5710000, size.height * 0.7465578);
    path26.lineTo(size.width * 0.5731500, size.height * 0.7477246);
    path26.lineTo(size.width * 0.5748500, size.height * 0.7511085);
    path26.lineTo(size.width * 0.5708000, size.height * 0.7565928);
    path26.lineTo(size.width * 0.5682000, size.height * 0.7621937);
    path26.lineTo(size.width * 0.5672000, size.height * 0.7672112);
    path26.lineTo(size.width * 0.5663000, size.height * 0.7700117);
    path26.lineTo(size.width * 0.5648000, size.height * 0.7705951);
    path26.lineTo(size.width * 0.5642000, size.height * 0.7742124);
    path26.lineTo(size.width * 0.5639000, size.height * 0.7765461);
    path26.lineTo(size.width * 0.5621000, size.height * 0.7781797);
    path26.lineTo(size.width * 0.5598500, size.height * 0.7778296);
    path26.lineTo(size.width * 0.5586000, size.height * 0.7757293);
    path26.lineTo(size.width * 0.5574500, size.height * 0.7749125);
    path26.lineTo(size.width * 0.5560500, size.height * 0.7765461);
    path26.lineTo(size.width * 0.5553000, size.height * 0.7801634);
    path26.lineTo(size.width * 0.5539500, size.height * 0.7823804);
    path26.lineTo(size.width * 0.5525500, size.height * 0.7857643);
    path26.lineTo(size.width * 0.5505500, size.height * 0.7865811);
    path26.lineTo(size.width * 0.5500000, size.height * 0.7838973);
    path26.lineTo(size.width * 0.5503000, size.height * 0.7793466);
    path26.lineTo(size.width * 0.5488000, size.height * 0.7722287);
    path26.lineTo(size.width * 0.5481000, size.height * 0.7710618);
    path26.lineTo(size.width * 0.5484000, size.height * 0.7492415);
    path26.lineTo(size.width * 0.5511500, size.height * 0.7490082);
    path26.lineTo(size.width * 0.5515500, size.height * 0.7222870);
    path26.lineTo(size.width * 0.5536500, size.height * 0.7220537);
    path26.lineTo(size.width * 0.5580000, size.height * 0.7193699);
    path26.lineTo(size.width * 0.5590000, size.height * 0.7225204);
    path26.lineTo(size.width * 0.5608500, size.height * 0.7196033);
    path26.lineTo(size.width * 0.5617000, size.height * 0.7196033);
    path26.lineTo(size.width * 0.5633000, size.height * 0.7178530);
    path26.lineTo(size.width * 0.5638000, size.height * 0.7184364);
    path26.close();

    Paint paint26fill = Paint()..style = PaintingStyle.fill;
    paint26fill.color = countryColors.bW ?? defaultCountryColor;
    canvas.drawPath(path26, paint26fill);

    Path path27 = Path();
    path27.moveTo(size.width * 0.5606500, size.height * 0.5210035);
    path27.lineTo(size.width * 0.5626000, size.height * 0.5239207);
    path27.lineTo(size.width * 0.5641500, size.height * 0.5269545);
    path27.lineTo(size.width * 0.5642000, size.height * 0.5294049);
    path27.lineTo(size.width * 0.5661500, size.height * 0.5332555);
    path27.lineTo(size.width * 0.5673500, size.height * 0.5365228);
    path27.lineTo(size.width * 0.5680500, size.height * 0.5409568);
    path27.lineTo(size.width * 0.5702000, size.height * 0.5439907);
    path27.lineTo(size.width * 0.5706500, size.height * 0.5463244);
    path27.lineTo(size.width * 0.5697500, size.height * 0.5471412);
    path27.lineTo(size.width * 0.5679000, size.height * 0.5470245);
    path27.lineTo(size.width * 0.5658000, size.height * 0.5462077);
    path27.lineTo(size.width * 0.5647500, size.height * 0.5467911);
    path27.lineTo(size.width * 0.5643000, size.height * 0.5486581);
    path27.lineTo(size.width * 0.5634000, size.height * 0.5488915);
    path27.lineTo(size.width * 0.5623000, size.height * 0.5472579);
    path27.lineTo(size.width * 0.5591500, size.height * 0.5509918);
    path27.lineTo(size.width * 0.5578500, size.height * 0.5502917);
    path27.lineTo(size.width * 0.5574500, size.height * 0.5508751);
    path27.lineTo(size.width * 0.5566500, size.height * 0.5554259);
    path27.lineTo(size.width * 0.5545000, size.height * 0.5539090);
    path27.lineTo(size.width * 0.5524500, size.height * 0.5532089);
    path27.lineTo(size.width * 0.5506500, size.height * 0.5504084);
    path27.lineTo(size.width * 0.5483000, size.height * 0.5478413);
    path27.lineTo(size.width * 0.5468000, size.height * 0.5502917);
    path27.lineTo(size.width * 0.5457000, size.height * 0.5540257);
    path27.lineTo(size.width * 0.5454500, size.height * 0.5592765);
    path27.lineTo(size.width * 0.5436500, size.height * 0.5589265);
    path27.lineTo(size.width * 0.5417000, size.height * 0.5576429);
    path27.lineTo(size.width * 0.5400500, size.height * 0.5616103);
    path27.lineTo(size.width * 0.5385500, size.height * 0.5686114);
    path27.lineTo(size.width * 0.5382500, size.height * 0.5663944);
    path27.lineTo(size.width * 0.5381000, size.height * 0.5630105);
    path27.lineTo(size.width * 0.5368000, size.height * 0.5605601);
    path27.lineTo(size.width * 0.5357500, size.height * 0.5567095);
    path27.lineTo(size.width * 0.5355000, size.height * 0.5540257);
    path27.lineTo(size.width * 0.5341500, size.height * 0.5500583);
    path27.lineTo(size.width * 0.5344000, size.height * 0.5478413);
    path27.lineTo(size.width * 0.5341000, size.height * 0.5446908);
    path27.lineTo(size.width * 0.5343000, size.height * 0.5388565);
    path27.lineTo(size.width * 0.5350000, size.height * 0.5375729);
    path27.lineTo(size.width * 0.5364000, size.height * 0.5299883);
    path27.lineTo(size.width * 0.5387000, size.height * 0.5294049);
    path27.lineTo(size.width * 0.5392000, size.height * 0.5274212);
    path27.lineTo(size.width * 0.5397000, size.height * 0.5276546);
    path27.lineTo(size.width * 0.5404000, size.height * 0.5292882);
    path27.lineTo(size.width * 0.5439500, size.height * 0.5264877);
    path27.lineTo(size.width * 0.5451500, size.height * 0.5235706);
    path27.lineTo(size.width * 0.5466000, size.height * 0.5208868);
    path27.lineTo(size.width * 0.5463000, size.height * 0.5183197);
    path27.lineTo(size.width * 0.5471000, size.height * 0.5176196);
    path27.lineTo(size.width * 0.5498500, size.height * 0.5180863);
    path27.lineTo(size.width * 0.5524500, size.height * 0.5145858);
    path27.lineTo(size.width * 0.5544500, size.height * 0.5064177);
    path27.lineTo(size.width * 0.5558500, size.height * 0.5033839);
    path27.lineTo(size.width * 0.5576500, size.height * 0.5021004);
    path27.lineTo(size.width * 0.5580000, size.height * 0.5052509);
    path27.lineTo(size.width * 0.5596500, size.height * 0.5099183);
    path27.lineTo(size.width * 0.5596500, size.height * 0.5130688);
    path27.lineTo(size.width * 0.5592500, size.height * 0.5161027);
    path27.lineTo(size.width * 0.5594500, size.height * 0.5184364);
    path27.lineTo(size.width * 0.5604000, size.height * 0.5206534);
    path27.lineTo(size.width * 0.5606500, size.height * 0.5210035);
    path27.close();

    Paint paint27fill = Paint()..style = PaintingStyle.fill;
    paint27fill.color = countryColors.cF ?? defaultCountryColor;
    canvas.drawPath(path27, paint27fill);

    Path path28 = Path();
    path28.moveTo(size.width * 0.3329500, size.height * 0.2375729);
    path28.lineTo(size.width * 0.3346500, size.height * 0.2386231);
    path28.lineTo(size.width * 0.3370000, size.height * 0.2383897);
    path28.lineTo(size.width * 0.3353500, size.height * 0.2414236);
    path28.lineTo(size.width * 0.3343500, size.height * 0.2418903);
    path28.lineTo(size.width * 0.3316000, size.height * 0.2387398);
    path28.lineTo(size.width * 0.3313000, size.height * 0.2362894);
    path28.lineTo(size.width * 0.3325500, size.height * 0.2340723);
    path28.lineTo(size.width * 0.3329500, size.height * 0.2375729);
    path28.close();

    Paint paint28fill = Paint()..style = PaintingStyle.fill;
    paint28fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path28, paint28fill);

    Path path29 = Path();
    path29.moveTo(size.width * 0.3401500, size.height * 0.2189032);
    path29.lineTo(size.width * 0.3389500, size.height * 0.2190198);
    path29.lineTo(size.width * 0.3360500, size.height * 0.2168028);
    path29.lineTo(size.width * 0.3343000, size.height * 0.2133022);
    path29.lineTo(size.width * 0.3352500, size.height * 0.2127188);
    path29.lineTo(size.width * 0.3382000, size.height * 0.2145858);
    path29.lineTo(size.width * 0.3403000, size.height * 0.2176196);
    path29.lineTo(size.width * 0.3401500, size.height * 0.2189032);
    path29.close();

    Paint paint29fill = Paint()..style = PaintingStyle.fill;
    paint29fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path29, paint29fill);

    Path path30 = Path();
    path30.moveTo(size.width * 0.1862000, size.height * 0.2232205);
    path30.lineTo(size.width * 0.1846500, size.height * 0.2242707);
    path30.lineTo(size.width * 0.1815000, size.height * 0.2210035);
    path30.lineTo(size.width * 0.1815000, size.height * 0.2184364);
    path30.lineTo(size.width * 0.1800500, size.height * 0.2158693);
    path30.lineTo(size.width * 0.1802000, size.height * 0.2137690);
    path30.lineTo(size.width * 0.1780500, size.height * 0.2124854);
    path30.lineTo(size.width * 0.1783500, size.height * 0.2085181);
    path30.lineTo(size.width * 0.1791000, size.height * 0.2068845);
    path30.lineTo(size.width * 0.1811500, size.height * 0.2084014);
    path30.lineTo(size.width * 0.1823500, size.height * 0.2095683);
    path30.lineTo(size.width * 0.1844000, size.height * 0.2102684);
    path30.lineTo(size.width * 0.1845000, size.height * 0.2128355);
    path30.lineTo(size.width * 0.1847000, size.height * 0.2162194);
    path30.lineTo(size.width * 0.1863000, size.height * 0.2192532);
    path30.lineTo(size.width * 0.1862000, size.height * 0.2232205);
    path30.close();

    Paint paint30fill = Paint()..style = PaintingStyle.fill;
    paint30fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path30, paint30fill);

    Path path31 = Path();
    path31.moveTo(size.width * 0.3557500, size.height * 0.2074679);
    path31.lineTo(size.width * 0.3532500, size.height * 0.2137690);
    path31.lineTo(size.width * 0.3552000, size.height * 0.2113186);
    path31.lineTo(size.width * 0.3566500, size.height * 0.2129522);
    path31.lineTo(size.width * 0.3554500, size.height * 0.2154026);
    path31.lineTo(size.width * 0.3573500, size.height * 0.2173862);
    path31.lineTo(size.width * 0.3587500, size.height * 0.2156359);
    path31.lineTo(size.width * 0.3609000, size.height * 0.2178530);
    path31.lineTo(size.width * 0.3595000, size.height * 0.2232205);
    path31.lineTo(size.width * 0.3614000, size.height * 0.2219370);
    path31.lineTo(size.width * 0.3612500, size.height * 0.2257876);
    path31.lineTo(size.width * 0.3615000, size.height * 0.2303384);
    path31.lineTo(size.width * 0.3597000, size.height * 0.2368728);
    path31.lineTo(size.width * 0.3585000, size.height * 0.2371062);
    path31.lineTo(size.width * 0.3570500, size.height * 0.2357060);
    path31.lineTo(size.width * 0.3583000, size.height * 0.2297550);
    path31.lineTo(size.width * 0.3577000, size.height * 0.2288215);
    path31.lineTo(size.width * 0.3540500, size.height * 0.2351225);
    path31.lineTo(size.width * 0.3525500, size.height * 0.2348891);
    path31.lineTo(size.width * 0.3547500, size.height * 0.2313886);
    path31.lineTo(size.width * 0.3525500, size.height * 0.2296383);
    path31.lineTo(size.width * 0.3498000, size.height * 0.2301050);
    path31.lineTo(size.width * 0.3450000, size.height * 0.2298716);
    path31.lineTo(size.width * 0.3449000, size.height * 0.2277713);
    path31.lineTo(size.width * 0.3468000, size.height * 0.2250875);
    path31.lineTo(size.width * 0.3459500, size.height * 0.2232205);
    path31.lineTo(size.width * 0.3486500, size.height * 0.2187865);
    path31.lineTo(size.width * 0.3527500, size.height * 0.2072345);
    path31.lineTo(size.width * 0.3548500, size.height * 0.2031505);
    path31.lineTo(size.width * 0.3573500, size.height * 0.2007001);
    path31.lineTo(size.width * 0.3584000, size.height * 0.2009335);
    path31.lineTo(size.width * 0.3576500, size.height * 0.2029172);
    path31.lineTo(size.width * 0.3557500, size.height * 0.2074679);
    path31.close();

    Paint paint31fill = Paint()..style = PaintingStyle.fill;
    paint31fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path31, paint31fill);

    Path path32 = Path();
    path32.moveTo(size.width * 0.1757500, size.height * 0.1824971);
    path32.lineTo(size.width * 0.1765000, size.height * 0.1834306);
    path32.lineTo(size.width * 0.1790000, size.height * 0.1828471);
    path32.lineTo(size.width * 0.1754000, size.height * 0.1908985);
    path32.lineTo(size.width * 0.1755500, size.height * 0.1967328);
    path32.lineTo(size.width * 0.1746000, size.height * 0.1967328);
    path32.lineTo(size.width * 0.1742500, size.height * 0.1934656);
    path32.lineTo(size.width * 0.1745000, size.height * 0.1900817);
    path32.lineTo(size.width * 0.1741000, size.height * 0.1878646);
    path32.lineTo(size.width * 0.1747500, size.height * 0.1847141);
    path32.lineTo(size.width * 0.1757500, size.height * 0.1824971);
    path32.close();

    Paint paint32fill = Paint()..style = PaintingStyle.fill;
    paint32fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path32, paint32fill);

    Path path33 = Path();
    path33.moveTo(size.width * 0.3174500, size.height * 0.1270712);
    path33.lineTo(size.width * 0.3156500, size.height * 0.1305718);
    path33.lineTo(size.width * 0.3148000, size.height * 0.1299883);
    path33.lineTo(size.width * 0.3147500, size.height * 0.1280047);
    path33.lineTo(size.width * 0.3149500, size.height * 0.1275379);
    path33.lineTo(size.width * 0.3163500, size.height * 0.1255543);
    path33.lineTo(size.width * 0.3172000, size.height * 0.1256709);
    path33.lineTo(size.width * 0.3174500, size.height * 0.1270712);
    path33.close();

    Paint paint33fill = Paint()..style = PaintingStyle.fill;
    paint33fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path33, paint33fill);

    Path path34 = Path();
    path34.moveTo(size.width * 0.3126000, size.height * 0.1233372);
    path34.lineTo(size.width * 0.3090000, size.height * 0.1270712);
    path34.lineTo(size.width * 0.3075000, size.height * 0.1268378);
    path34.lineTo(size.width * 0.3075000, size.height * 0.1250875);
    path34.lineTo(size.width * 0.3100000, size.height * 0.1219370);
    path34.lineTo(size.width * 0.3130000, size.height * 0.1220537);
    path34.lineTo(size.width * 0.3126000, size.height * 0.1233372);
    path34.close();

    Paint paint34fill = Paint()..style = PaintingStyle.fill;
    paint34fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path34, paint34fill);

    Path path35 = Path();
    path35.moveTo(size.width * 0.3110500, size.height * 0.1037340);
    path35.lineTo(size.width * 0.3106000, size.height * 0.1066511);
    path35.lineTo(size.width * 0.3119500, size.height * 0.1056009);
    path35.lineTo(size.width * 0.3127000, size.height * 0.1073512);
    path35.lineTo(size.width * 0.3144500, size.height * 0.1096849);
    path35.lineTo(size.width * 0.3163500, size.height * 0.1116686);
    path35.lineTo(size.width * 0.3156500, size.height * 0.1148191);
    path35.lineTo(size.width * 0.3174000, size.height * 0.1143524);
    path35.lineTo(size.width * 0.3183500, size.height * 0.1165694);
    path35.lineTo(size.width * 0.3158500, size.height * 0.1186698);
    path35.lineTo(size.width * 0.3129000, size.height * 0.1170362);
    path35.lineTo(size.width * 0.3125000, size.height * 0.1140023);
    path35.lineTo(size.width * 0.3093500, size.height * 0.1176196);
    path35.lineTo(size.width * 0.3052500, size.height * 0.1210035);
    path35.lineTo(size.width * 0.3056000, size.height * 0.1171529);
    path35.lineTo(size.width * 0.3024500, size.height * 0.1177363);
    path35.lineTo(size.width * 0.3053000, size.height * 0.1144691);
    path35.lineTo(size.width * 0.3071000, size.height * 0.1092182);
    path35.lineTo(size.width * 0.3096500, size.height * 0.1032672);
    path35.lineTo(size.width * 0.3110500, size.height * 0.1037340);
    path35.close();

    Paint paint35fill = Paint()..style = PaintingStyle.fill;
    paint35fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path35, paint35fill);

    Path path36 = Path();
    path36.moveTo(size.width * 0.3335000, size.height * 0.09404901);
    path36.lineTo(size.width * 0.3310500, size.height * 0.09439907);
    path36.lineTo(size.width * 0.3314000, size.height * 0.09124854);
    path36.lineTo(size.width * 0.3333000, size.height * 0.08763127);
    path36.lineTo(size.width * 0.3354500, size.height * 0.08681447);
    path36.lineTo(size.width * 0.3366000, size.height * 0.08856476);
    path36.lineTo(size.width * 0.3358500, size.height * 0.09124854);
    path36.lineTo(size.width * 0.3354000, size.height * 0.09218203);
    path36.lineTo(size.width * 0.3335000, size.height * 0.09404901);
    path36.close();

    Paint paint36fill = Paint()..style = PaintingStyle.fill;
    paint36fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path36, paint36fill);

    Path path37 = Path();
    path37.moveTo(size.width * 0.2962500, size.height * 0.08156359);
    path37.lineTo(size.width * 0.2942000, size.height * 0.08378063);
    path37.lineTo(size.width * 0.2921000, size.height * 0.08191365);
    path37.lineTo(size.width * 0.2901500, size.height * 0.08249708);
    path37.lineTo(size.width * 0.2884500, size.height * 0.07969662);
    path37.lineTo(size.width * 0.2909500, size.height * 0.07771295);
    path37.lineTo(size.width * 0.2934000, size.height * 0.07502917);
    path37.lineTo(size.width * 0.2949000, size.height * 0.07677946);
    path37.lineTo(size.width * 0.2957000, size.height * 0.07794632);
    path37.lineTo(size.width * 0.2959000, size.height * 0.07911319);
    path37.lineTo(size.width * 0.2962500, size.height * 0.08156359);
    path37.close();

    Paint paint37fill = Paint()..style = PaintingStyle.fill;
    paint37fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path37, paint37fill);

    Path path38 = Path();
    path38.moveTo(size.width * 0.3227500, size.height * 0.2479580);
    path38.lineTo(size.width * 0.3216500, size.height * 0.2437573);
    path38.lineTo(size.width * 0.3231000, size.height * 0.2338390);
    path38.lineTo(size.width * 0.3223000, size.height * 0.2317386);
    path38.lineTo(size.width * 0.3204500, size.height * 0.2329055);
    path38.lineTo(size.width * 0.3199000, size.height * 0.2310385);
    path38.lineTo(size.width * 0.3171500, size.height * 0.2365228);
    path38.lineTo(size.width * 0.3155500, size.height * 0.2422404);
    path38.lineTo(size.width * 0.3141500, size.height * 0.2456243);
    path38.lineTo(size.width * 0.3129000, size.height * 0.2467911);
    path38.lineTo(size.width * 0.3120500, size.height * 0.2471412);
    path38.lineTo(size.width * 0.3115000, size.height * 0.2488915);
    path38.lineTo(size.width * 0.3068500, size.height * 0.2488915);
    path38.lineTo(size.width * 0.3029500, size.height * 0.2490082);
    path38.lineTo(size.width * 0.3016000, size.height * 0.2502917);
    path38.lineTo(size.width * 0.2982000, size.height * 0.2554259);
    path38.lineTo(size.width * 0.2982000, size.height * 0.2553092);
    path38.lineTo(size.width * 0.2977500, size.height * 0.2548425);
    path38.lineTo(size.width * 0.2967500, size.height * 0.2558926);
    path38.lineTo(size.width * 0.2958000, size.height * 0.2574096);
    path38.lineTo(size.width * 0.2949000, size.height * 0.2561260);
    path38.lineTo(size.width * 0.2925500, size.height * 0.2570595);
    path38.lineTo(size.width * 0.2906000, size.height * 0.2581097);
    path38.lineTo(size.width * 0.2896500, size.height * 0.2590432);
    path38.lineTo(size.width * 0.2885000, size.height * 0.2614936);
    path38.lineTo(size.width * 0.2894000, size.height * 0.2623104);
    path38.lineTo(size.width * 0.2902500, size.height * 0.2618436);
    path38.lineTo(size.width * 0.2904000, size.height * 0.2618436);
    path38.lineTo(size.width * 0.2902500, size.height * 0.2640607);
    path38.lineTo(size.width * 0.2878500, size.height * 0.2648775);
    path38.lineTo(size.width * 0.2864500, size.height * 0.2658110);
    path38.lineTo(size.width * 0.2856000, size.height * 0.2669778);
    path38.lineTo(size.width * 0.2843000, size.height * 0.2662777);
    path38.lineTo(size.width * 0.2835000, size.height * 0.2666278);
    path38.lineTo(size.width * 0.2820500, size.height * 0.2687281);
    path38.lineTo(size.width * 0.2797500, size.height * 0.2710618);
    path38.lineTo(size.width * 0.2784000, size.height * 0.2705951);
    path38.lineTo(size.width * 0.2794000, size.height * 0.2680280);
    path38.lineTo(size.width * 0.2812500, size.height * 0.2639440);
    path38.lineTo(size.width * 0.2833000, size.height * 0.2614936);
    path38.lineTo(size.width * 0.2838500, size.height * 0.2593932);
    path38.lineTo(size.width * 0.2843000, size.height * 0.2558926);
    path38.lineTo(size.width * 0.2862000, size.height * 0.2518086);
    path38.lineTo(size.width * 0.2866500, size.height * 0.2471412);
    path38.lineTo(size.width * 0.2872000, size.height * 0.2516919);
    path38.lineTo(size.width * 0.2891000, size.height * 0.2527421);
    path38.lineTo(size.width * 0.2903000, size.height * 0.2502917);
    path38.lineTo(size.width * 0.2896000, size.height * 0.2446908);
    path38.lineTo(size.width * 0.2891500, size.height * 0.2423571);
    path38.lineTo(size.width * 0.2871500, size.height * 0.2409568);
    path38.lineTo(size.width * 0.2852500, size.height * 0.2401400);
    path38.lineTo(size.width * 0.2833000, size.height * 0.2401400);
    path38.lineTo(size.width * 0.2816000, size.height * 0.2392065);
    path38.lineTo(size.width * 0.2814000, size.height * 0.2375729);
    path38.lineTo(size.width * 0.2807000, size.height * 0.2386231);
    path38.lineTo(size.width * 0.2801000, size.height * 0.2383897);
    path38.lineTo(size.width * 0.2810500, size.height * 0.2359393);
    path38.lineTo(size.width * 0.2801500, size.height * 0.2350058);
    path38.lineTo(size.width * 0.2811000, size.height * 0.2322054);
    path38.lineTo(size.width * 0.2805000, size.height * 0.2301050);
    path38.lineTo(size.width * 0.2813500, size.height * 0.2280047);
    path38.lineTo(size.width * 0.2787500, size.height * 0.2269545);
    path38.lineTo(size.width * 0.2787000, size.height * 0.2227538);
    path38.lineTo(size.width * 0.2783000, size.height * 0.2218203);
    path38.lineTo(size.width * 0.2766500, size.height * 0.2215869);
    path38.lineTo(size.width * 0.2746000, size.height * 0.2201867);
    path38.lineTo(size.width * 0.2738500, size.height * 0.2211202);
    path38.lineTo(size.width * 0.2729500, size.height * 0.2228705);
    path38.lineTo(size.width * 0.2713000, size.height * 0.2240373);
    path38.lineTo(size.width * 0.2697500, size.height * 0.2269545);
    path38.lineTo(size.width * 0.2670500, size.height * 0.2249708);
    path38.lineTo(size.width * 0.2648500, size.height * 0.2259043);
    path38.lineTo(size.width * 0.2629000, size.height * 0.2236873);
    path38.lineTo(size.width * 0.2606000, size.height * 0.2225204);
    path38.lineTo(size.width * 0.2589500, size.height * 0.2220537);
    path38.lineTo(size.width * 0.2584500, size.height * 0.2208868);
    path38.lineTo(size.width * 0.2589000, size.height * 0.2169195);
    path38.lineTo(size.width * 0.2580500, size.height * 0.2169195);
    path38.lineTo(size.width * 0.2574000, size.height * 0.2197200);
    path38.lineTo(size.width * 0.2523000, size.height * 0.2197200);
    path38.lineTo(size.width * 0.2438000, size.height * 0.2197200);
    path38.lineTo(size.width * 0.2354000, size.height * 0.2197200);
    path38.lineTo(size.width * 0.2279500, size.height * 0.2197200);
    path38.lineTo(size.width * 0.2205500, size.height * 0.2197200);
    path38.lineTo(size.width * 0.2132000, size.height * 0.2197200);
    path38.lineTo(size.width * 0.2056500, size.height * 0.2197200);
    path38.lineTo(size.width * 0.2032500, size.height * 0.2197200);
    path38.lineTo(size.width * 0.1959000, size.height * 0.2197200);
    path38.lineTo(size.width * 0.1888500, size.height * 0.2197200);
    path38.lineTo(size.width * 0.1885000, size.height * 0.2197200);
    path38.lineTo(size.width * 0.1858000, size.height * 0.2126021);
    path38.lineTo(size.width * 0.1850000, size.height * 0.2094516);
    path38.lineTo(size.width * 0.1815000, size.height * 0.2064177);
    path38.lineTo(size.width * 0.1821500, size.height * 0.2000000);
    path38.lineTo(size.width * 0.1839500, size.height * 0.1956826);
    path38.lineTo(size.width * 0.1819000, size.height * 0.1925321);
    path38.lineTo(size.width * 0.1834500, size.height * 0.1868145);
    path38.lineTo(size.width * 0.1824000, size.height * 0.1816803);
    path38.lineTo(size.width * 0.1836500, size.height * 0.1779463);
    path38.lineTo(size.width * 0.1862000, size.height * 0.1745624);
    path38.lineTo(size.width * 0.1878000, size.height * 0.1701284);
    path38.lineTo(size.width * 0.1855000, size.height * 0.1656943);
    path38.lineTo(size.width * 0.1862000, size.height * 0.1576429);
    path38.lineTo(size.width * 0.1867500, size.height * 0.1527421);
    path38.lineTo(size.width * 0.1859500, size.height * 0.1495916);
    path38.lineTo(size.width * 0.1855500, size.height * 0.1467911);
    path38.lineTo(size.width * 0.1858500, size.height * 0.1431739);
    path38.lineTo(size.width * 0.1826000, size.height * 0.1453909);
    path38.lineTo(size.width * 0.1788000, size.height * 0.1492415);
    path38.lineTo(size.width * 0.1786500, size.height * 0.1448075);
    path38.lineTo(size.width * 0.1784000, size.height * 0.1417736);
    path38.lineTo(size.width * 0.1770000, size.height * 0.1399067);
    path38.lineTo(size.width * 0.1749000, size.height * 0.1396733);
    path38.lineTo(size.width * 0.1927000, size.height * 0.1015169);
    path38.lineTo(size.width * 0.2050000, size.height * 0.07771295);
    path38.lineTo(size.width * 0.2080000, size.height * 0.07922987);
    path38.lineTo(size.width * 0.2096500, size.height * 0.08226371);
    path38.lineTo(size.width * 0.2115000, size.height * 0.08284714);
    path38.lineTo(size.width * 0.2146500, size.height * 0.08028005);
    path38.lineTo(size.width * 0.2181500, size.height * 0.07829638);
    path38.lineTo(size.width * 0.2208000, size.height * 0.07899650);
    path38.lineTo(size.width * 0.2252500, size.height * 0.07631272);
    path38.lineTo(size.width * 0.2293500, size.height * 0.07479580);
    path38.lineTo(size.width * 0.2294500, size.height * 0.07736289);
    path38.lineTo(size.width * 0.2317000, size.height * 0.07584597);
    path38.lineTo(size.width * 0.2336500, size.height * 0.07292882);
    path38.lineTo(size.width * 0.2347000, size.height * 0.07362894);
    path38.lineTo(size.width * 0.2354000, size.height * 0.07922987);
    path38.lineTo(size.width * 0.2401500, size.height * 0.07491249);
    path38.lineTo(size.width * 0.2382000, size.height * 0.07969662);
    path38.lineTo(size.width * 0.2412000, size.height * 0.07864644);
    path38.lineTo(size.width * 0.2428000, size.height * 0.07689615);
    path38.lineTo(size.width * 0.2451000, size.height * 0.07724621);
    path38.lineTo(size.width * 0.2470500, size.height * 0.07981330);
    path38.lineTo(size.width * 0.2508000, size.height * 0.08214702);
    path38.lineTo(size.width * 0.2531500, size.height * 0.08319720);
    path38.lineTo(size.width * 0.2553500, size.height * 0.08284714);
    path38.lineTo(size.width * 0.2568000, size.height * 0.08611435);
    path38.lineTo(size.width * 0.2525500, size.height * 0.08926488);
    path38.lineTo(size.width * 0.2557500, size.height * 0.09054842);
    path38.lineTo(size.width * 0.2617000, size.height * 0.08984831);
    path38.lineTo(size.width * 0.2639000, size.height * 0.08868145);
    path38.lineTo(size.width * 0.2646000, size.height * 0.09253209);
    path38.lineTo(size.width * 0.2681500, size.height * 0.08938156);
    path38.lineTo(size.width * 0.2671000, size.height * 0.08658110);
    path38.lineTo(size.width * 0.2693500, size.height * 0.08448075);
    path38.lineTo(size.width * 0.2719500, size.height * 0.08413069);
    path38.lineTo(size.width * 0.2739000, size.height * 0.08354726);
    path38.lineTo(size.width * 0.2749500, size.height * 0.08506418);
    path38.lineTo(size.width * 0.2757000, size.height * 0.08844807);
    path38.lineTo(size.width * 0.2782000, size.height * 0.08798133);
    path38.lineTo(size.width * 0.2808500, size.height * 0.09089848);
    path38.lineTo(size.width * 0.2844500, size.height * 0.08984831);
    path38.lineTo(size.width * 0.2874500, size.height * 0.08996499);
    path38.lineTo(size.width * 0.2886500, size.height * 0.08599767);
    path38.lineTo(size.width * 0.2909000, size.height * 0.08494749);
    path38.lineTo(size.width * 0.2933500, size.height * 0.08704784);
    path38.lineTo(size.width * 0.2912000, size.height * 0.09311552);
    path38.lineTo(size.width * 0.2943000, size.height * 0.08798133);
    path38.lineTo(size.width * 0.2959000, size.height * 0.08821470);
    path38.lineTo(size.width * 0.2991000, size.height * 0.08179697);
    path38.lineTo(size.width * 0.2983000, size.height * 0.07794632);
    path38.lineTo(size.width * 0.2968500, size.height * 0.07537923);
    path38.lineTo(size.width * 0.2996000, size.height * 0.06849475);
    path38.lineTo(size.width * 0.3037000, size.height * 0.06406068);
    path38.lineTo(size.width * 0.3059500, size.height * 0.06511085);
    path38.lineTo(size.width * 0.3069500, size.height * 0.06779463);
    path38.lineTo(size.width * 0.3071500, size.height * 0.07479580);
    path38.lineTo(size.width * 0.3042500, size.height * 0.07782964);
    path38.lineTo(size.width * 0.3076000, size.height * 0.07911319);
    path38.lineTo(size.width * 0.3054000, size.height * 0.08553092);
    path38.lineTo(size.width * 0.3098500, size.height * 0.08063011);
    path38.lineTo(size.width * 0.3109500, size.height * 0.08471412);
    path38.lineTo(size.width * 0.3088000, size.height * 0.08938156);
    path38.lineTo(size.width * 0.3094500, size.height * 0.09369895);
    path38.lineTo(size.width * 0.3131000, size.height * 0.08914819);
    path38.lineTo(size.width * 0.3163500, size.height * 0.08354726);
    path38.lineTo(size.width * 0.3187000, size.height * 0.07666278);
    path38.lineTo(size.width * 0.3214500, size.height * 0.07712952);
    path38.lineTo(size.width * 0.3241500, size.height * 0.07806301);
    path38.lineTo(size.width * 0.3259500, size.height * 0.08121354);
    path38.lineTo(size.width * 0.3251000, size.height * 0.08436406);
    path38.lineTo(size.width * 0.3225500, size.height * 0.08774796);
    path38.lineTo(size.width * 0.3230000, size.height * 0.09113186);
    path38.lineTo(size.width * 0.3218000, size.height * 0.09428238);
    path38.lineTo(size.width * 0.3163500, size.height * 0.09883314);
    path38.lineTo(size.width * 0.3131000, size.height * 0.09988331);
    path38.lineTo(size.width * 0.3115000, size.height * 0.09789965);
    path38.lineTo(size.width * 0.3098500, size.height * 0.1011669);
    path38.lineTo(size.width * 0.3061500, size.height * 0.1066511);
    path38.lineTo(size.width * 0.3046500, size.height * 0.1095683);
    path38.lineTo(size.width * 0.3008000, size.height * 0.1140023);
    path38.lineTo(size.width * 0.2975500, size.height * 0.1144691);
    path38.lineTo(size.width * 0.2950000, size.height * 0.1172695);
    path38.lineTo(size.width * 0.2935500, size.height * 0.1217036);
    path38.lineTo(size.width * 0.2907000, size.height * 0.1225204);
    path38.lineTo(size.width * 0.2863500, size.height * 0.1280047);
    path38.lineTo(size.width * 0.2816500, size.height * 0.1355893);
    path38.lineTo(size.width * 0.2791500, size.height * 0.1409568);
    path38.lineTo(size.width * 0.2767000, size.height * 0.1490082);
    path38.lineTo(size.width * 0.2797000, size.height * 0.1501750);
    path38.lineTo(size.width * 0.2789500, size.height * 0.1565928);
    path38.lineTo(size.width * 0.2785500, size.height * 0.1619603);
    path38.lineTo(size.width * 0.2822000, size.height * 0.1605601);
    path38.lineTo(size.width * 0.2857000, size.height * 0.1635939);
    path38.lineTo(size.width * 0.2873500, size.height * 0.1662777);
    path38.lineTo(size.width * 0.2882000, size.height * 0.1695449);
    path38.lineTo(size.width * 0.2906500, size.height * 0.1715286);
    path38.lineTo(size.width * 0.2924500, size.height * 0.1744457);
    path38.lineTo(size.width * 0.2962500, size.height * 0.1749125);
    path38.lineTo(size.width * 0.2986500, size.height * 0.1756126);
    path38.lineTo(size.width * 0.2968500, size.height * 0.1816803);
    path38.lineTo(size.width * 0.2960000, size.height * 0.1887981);
    path38.lineTo(size.width * 0.2960500, size.height * 0.1968495);
    path38.lineTo(size.width * 0.2982500, size.height * 0.2037340);
    path38.lineTo(size.width * 0.3006000, size.height * 0.2014002);
    path38.lineTo(size.width * 0.3034000, size.height * 0.1939323);
    path38.lineTo(size.width * 0.3045500, size.height * 0.1827305);
    path38.lineTo(size.width * 0.3037000, size.height * 0.1789965);
    path38.lineTo(size.width * 0.3082000, size.height * 0.1756126);
    path38.lineTo(size.width * 0.3119500, size.height * 0.1707118);
    path38.lineTo(size.width * 0.3143500, size.height * 0.1658110);
    path38.lineTo(size.width * 0.3152000, size.height * 0.1611435);
    path38.lineTo(size.width * 0.3150000, size.height * 0.1551925);
    path38.lineTo(size.width * 0.3134000, size.height * 0.1499417);
    path38.lineTo(size.width * 0.3178500, size.height * 0.1427071);
    path38.lineTo(size.width * 0.3183500, size.height * 0.1365228);
    path38.lineTo(size.width * 0.3203000, size.height * 0.1260210);
    path38.lineTo(size.width * 0.3222000, size.height * 0.1243874);
    path38.lineTo(size.width * 0.3255500, size.height * 0.1262544);
    path38.lineTo(size.width * 0.3276500, size.height * 0.1269545);
    path38.lineTo(size.width * 0.3299000, size.height * 0.1250875);
    path38.lineTo(size.width * 0.3314500, size.height * 0.1274212);
    path38.lineTo(size.width * 0.3332500, size.height * 0.1313886);
    path38.lineTo(size.width * 0.3333500, size.height * 0.1339557);
    path38.lineTo(size.width * 0.3372000, size.height * 0.1345391);
    path38.lineTo(size.width * 0.3359000, size.height * 0.1402567);
    path38.lineTo(size.width * 0.3347500, size.height * 0.1488915);
    path38.lineTo(size.width * 0.3366500, size.height * 0.1500583);
    path38.lineTo(size.width * 0.3374500, size.height * 0.1541424);
    path38.lineTo(size.width * 0.3415500, size.height * 0.1502917);
    path38.lineTo(size.width * 0.3453000, size.height * 0.1425904);
    path38.lineTo(size.width * 0.3474000, size.height * 0.1394399);
    path38.lineTo(size.width * 0.3479500, size.height * 0.1456243);
    path38.lineTo(size.width * 0.3492500, size.height * 0.1543757);
    path38.lineTo(size.width * 0.3502500, size.height * 0.1627771);
    path38.lineTo(size.width * 0.3485500, size.height * 0.1672112);
    path38.lineTo(size.width * 0.3509500, size.height * 0.1711785);
    path38.lineTo(size.width * 0.3524000, size.height * 0.1751459);
    path38.lineTo(size.width * 0.3558500, size.height * 0.1770128);
    path38.lineTo(size.width * 0.3570500, size.height * 0.1792299);
    path38.lineTo(size.width * 0.3570500, size.height * 0.1852975);
    path38.lineTo(size.width * 0.3587500, size.height * 0.1862310);
    path38.lineTo(size.width * 0.3593000, size.height * 0.1889148);
    path38.lineTo(size.width * 0.3583000, size.height * 0.1969662);
    path38.lineTo(size.width * 0.3561500, size.height * 0.1996499);
    path38.lineTo(size.width * 0.3540500, size.height * 0.2022170);
    path38.lineTo(size.width * 0.3496500, size.height * 0.2047841);
    path38.lineTo(size.width * 0.3457000, size.height * 0.2106184);
    path38.lineTo(size.width * 0.3414000, size.height * 0.2119020);
    path38.lineTo(size.width * 0.3363500, size.height * 0.2102684);
    path38.lineTo(size.width * 0.3327000, size.height * 0.2102684);
    path38.lineTo(size.width * 0.3300500, size.height * 0.2107351);
    path38.lineTo(size.width * 0.3272000, size.height * 0.2159860);
    path38.lineTo(size.width * 0.3235000, size.height * 0.2192532);
    path38.lineTo(size.width * 0.3184500, size.height * 0.2288215);
    path38.lineTo(size.width * 0.3145000, size.height * 0.2355893);
    path38.lineTo(size.width * 0.3168500, size.height * 0.2344224);
    path38.lineTo(size.width * 0.3223000, size.height * 0.2247375);
    path38.lineTo(size.width * 0.3284500, size.height * 0.2186698);
    path38.lineTo(size.width * 0.3322500, size.height * 0.2179697);
    path38.lineTo(size.width * 0.3339000, size.height * 0.2215869);
    path38.lineTo(size.width * 0.3308500, size.height * 0.2264877);
    path38.lineTo(size.width * 0.3305500, size.height * 0.2343057);
    path38.lineTo(size.width * 0.3306000, size.height * 0.2399067);
    path38.lineTo(size.width * 0.3334000, size.height * 0.2435239);
    path38.lineTo(size.width * 0.3377000, size.height * 0.2424737);
    path38.lineTo(size.width * 0.3413000, size.height * 0.2341890);
    path38.lineTo(size.width * 0.3408000, size.height * 0.2395566);
    path38.lineTo(size.width * 0.3420500, size.height * 0.2422404);
    path38.lineTo(size.width * 0.3383500, size.height * 0.2470245);
    path38.lineTo(size.width * 0.3321500, size.height * 0.2514586);
    path38.lineTo(size.width * 0.3292500, size.height * 0.2543757);
    path38.lineTo(size.width * 0.3256500, size.height * 0.2597433);
    path38.lineTo(size.width * 0.3238000, size.height * 0.2591599);
    path38.lineTo(size.width * 0.3245500, size.height * 0.2529755);
    path38.lineTo(size.width * 0.3297500, size.height * 0.2467911);
    path38.lineTo(size.width * 0.3257000, size.height * 0.2470245);
    path38.lineTo(size.width * 0.3227500, size.height * 0.2479580);
    path38.close();

    Paint paint38fill = Paint()..style = PaintingStyle.fill;
    paint38fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path38, paint38fill);

    Path path39 = Path();
    path39.moveTo(size.width * 0.2695000, size.height * 0.05682614);
    path39.lineTo(size.width * 0.2671500, size.height * 0.05962660);
    path39.lineTo(size.width * 0.2724000, size.height * 0.05787631);
    path39.lineTo(size.width * 0.2737000, size.height * 0.06091015);
    path39.lineTo(size.width * 0.2773500, size.height * 0.05775963);
    path39.lineTo(size.width * 0.2782500, size.height * 0.05974329);
    path39.lineTo(size.width * 0.2771500, size.height * 0.06569428);
    path39.lineTo(size.width * 0.2793000, size.height * 0.06324387);
    path39.lineTo(size.width * 0.2807000, size.height * 0.05705951);
    path39.lineTo(size.width * 0.2828500, size.height * 0.05612602);
    path39.lineTo(size.width * 0.2843500, size.height * 0.05705951);
    path39.lineTo(size.width * 0.2854500, size.height * 0.05950992);
    path39.lineTo(size.width * 0.2841000, size.height * 0.06546091);
    path39.lineTo(size.width * 0.2829000, size.height * 0.06977830);
    path39.lineTo(size.width * 0.2850000, size.height * 0.07281214);
    path39.lineTo(size.width * 0.2875000, size.height * 0.07584597);
    path39.lineTo(size.width * 0.2862000, size.height * 0.07852975);
    path39.lineTo(size.width * 0.2826500, size.height * 0.07911319);
    path39.lineTo(size.width * 0.2830500, size.height * 0.08144691);
    path39.lineTo(size.width * 0.2814500, size.height * 0.08378063);
    path39.lineTo(size.width * 0.2781000, size.height * 0.08284714);
    path39.lineTo(size.width * 0.2752500, size.height * 0.08109685);
    path39.lineTo(size.width * 0.2727000, size.height * 0.08144691);
    path39.lineTo(size.width * 0.2679500, size.height * 0.08366394);
    path39.lineTo(size.width * 0.2623000, size.height * 0.08459743);
    path39.lineTo(size.width * 0.2583500, size.height * 0.08518086);
    path39.lineTo(size.width * 0.2585000, size.height * 0.08214702);
    path39.lineTo(size.width * 0.2564500, size.height * 0.08051342);
    path39.lineTo(size.width * 0.2543000, size.height * 0.08121354);
    path39.lineTo(size.width * 0.2540000, size.height * 0.07619603);
    path39.lineTo(size.width * 0.2556500, size.height * 0.07549592);
    path39.lineTo(size.width * 0.2593000, size.height * 0.07444574);
    path39.lineTo(size.width * 0.2620500, size.height * 0.07479580);
    path39.lineTo(size.width * 0.2651500, size.height * 0.07362894);
    path39.lineTo(size.width * 0.2619000, size.height * 0.07222870);
    path39.lineTo(size.width * 0.2573500, size.height * 0.07269545);
    path39.lineTo(size.width * 0.2545000, size.height * 0.07257876);
    path39.lineTo(size.width * 0.2545000, size.height * 0.07036173);
    path39.lineTo(size.width * 0.2603500, size.height * 0.06779463);
    path39.lineTo(size.width * 0.2572000, size.height * 0.06791132);
    path39.lineTo(size.width * 0.2545000, size.height * 0.06627771);
    path39.lineTo(size.width * 0.2584000, size.height * 0.06172695);
    path39.lineTo(size.width * 0.2610000, size.height * 0.05927655);
    path39.lineTo(size.width * 0.2681000, size.height * 0.05565928);
    path39.lineTo(size.width * 0.2695000, size.height * 0.05682614);
    path39.close();

    Paint paint39fill = Paint()..style = PaintingStyle.fill;
    paint39fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path39, paint39fill);

    Path path40 = Path();
    path40.moveTo(size.width * 0.2892500, size.height * 0.05507585);
    path40.lineTo(size.width * 0.2857500, size.height * 0.05904317);
    path40.lineTo(size.width * 0.2846000, size.height * 0.05484247);
    path40.lineTo(size.width * 0.2856500, size.height * 0.05390898);
    path40.lineTo(size.width * 0.2884000, size.height * 0.05367561);
    path40.lineTo(size.width * 0.2892500, size.height * 0.05507585);
    path40.close();

    Paint paint40fill = Paint()..style = PaintingStyle.fill;
    paint40fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path40, paint40fill);

    Path path41 = Path();
    path41.moveTo(size.width * 0.3435500, size.height * 0.05694282);
    path41.lineTo(size.width * 0.3432000, size.height * 0.05857643);
    path41.lineTo(size.width * 0.3411500, size.height * 0.05845974);
    path41.lineTo(size.width * 0.3391000, size.height * 0.05834306);
    path41.lineTo(size.width * 0.3366500, size.height * 0.05915986);
    path41.lineTo(size.width * 0.3362000, size.height * 0.05869312);
    path41.lineTo(size.width * 0.3351500, size.height * 0.05554259);
    path41.lineTo(size.width * 0.3360000, size.height * 0.05344224);
    path41.lineTo(size.width * 0.3371000, size.height * 0.05297550);
    path41.lineTo(size.width * 0.3413000, size.height * 0.05367561);
    path41.lineTo(size.width * 0.3435500, size.height * 0.05694282);
    path41.close();

    Paint paint41fill = Paint()..style = PaintingStyle.fill;
    paint41fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path41, paint41fill);

    Path path42 = Path();
    path42.moveTo(size.width * 0.3236500, size.height * 0.05659277);
    path42.lineTo(size.width * 0.3238000, size.height * 0.06032672);
    path42.lineTo(size.width * 0.3274000, size.height * 0.05554259);
    path42.lineTo(size.width * 0.3332500, size.height * 0.05309218);
    path42.lineTo(size.width * 0.3344000, size.height * 0.05927655);
    path42.lineTo(size.width * 0.3328000, size.height * 0.06324387);
    path42.lineTo(size.width * 0.3373000, size.height * 0.06149358);
    path42.lineTo(size.width * 0.3399500, size.height * 0.05904317);
    path42.lineTo(size.width * 0.3433500, size.height * 0.06207701);
    path42.lineTo(size.width * 0.3452000, size.height * 0.06499417);
    path42.lineTo(size.width * 0.3446500, size.height * 0.06767795);
    path42.lineTo(size.width * 0.3487500, size.height * 0.06627771);
    path42.lineTo(size.width * 0.3497000, size.height * 0.07024504);
    path42.lineTo(size.width * 0.3539000, size.height * 0.07269545);
    path42.lineTo(size.width * 0.3550000, size.height * 0.07514586);
    path42.lineTo(size.width * 0.3554500, size.height * 0.08109685);
    path42.lineTo(size.width * 0.3509000, size.height * 0.08401400);
    path42.lineTo(size.width * 0.3547500, size.height * 0.08821470);
    path42.lineTo(size.width * 0.3577000, size.height * 0.08961494);
    path42.lineTo(size.width * 0.3593500, size.height * 0.09544924);
    path42.lineTo(size.width * 0.3626000, size.height * 0.09591599);
    path42.lineTo(size.width * 0.3609500, size.height * 0.1004667);
    path42.lineTo(size.width * 0.3555000, size.height * 0.1080513);
    path42.lineTo(size.width * 0.3535000, size.height * 0.1052509);
    path42.lineTo(size.width * 0.3516000, size.height * 0.09894982);
    path42.lineTo(size.width * 0.3486500, size.height * 0.09976663);
    path42.lineTo(size.width * 0.3475000, size.height * 0.1036173);
    path42.lineTo(size.width * 0.3488500, size.height * 0.1073512);
    path42.lineTo(size.width * 0.3511000, size.height * 0.1103851);
    path42.lineTo(size.width * 0.3516000, size.height * 0.1121354);
    path42.lineTo(size.width * 0.3515500, size.height * 0.1187865);
    path42.lineTo(size.width * 0.3497500, size.height * 0.1235706);
    path42.lineTo(size.width * 0.3474000, size.height * 0.1217036);
    path42.lineTo(size.width * 0.3431000, size.height * 0.1164527);
    path42.lineTo(size.width * 0.3449000, size.height * 0.1221704);
    path42.lineTo(size.width * 0.3463000, size.height * 0.1262544);
    path42.lineTo(size.width * 0.3461500, size.height * 0.1285881);
    path42.lineTo(size.width * 0.3407000, size.height * 0.1259043);
    path42.lineTo(size.width * 0.3369000, size.height * 0.1219370);
    path42.lineTo(size.width * 0.3350000, size.height * 0.1187865);
    path42.lineTo(size.width * 0.3362000, size.height * 0.1168028);
    path42.lineTo(size.width * 0.3338000, size.height * 0.1134189);
    path42.lineTo(size.width * 0.3314500, size.height * 0.1102684);
    path42.lineTo(size.width * 0.3310000, size.height * 0.1121354);
    path42.lineTo(size.width * 0.3244500, size.height * 0.1131855);
    path42.lineTo(size.width * 0.3232500, size.height * 0.1109685);
    path42.lineTo(size.width * 0.3259500, size.height * 0.1060677);
    path42.lineTo(size.width * 0.3300000, size.height * 0.1059510);
    path42.lineTo(size.width * 0.3346500, size.height * 0.1051342);
    path42.lineTo(size.width * 0.3345500, size.height * 0.1028005);
    path42.lineTo(size.width * 0.3361000, size.height * 0.09953326);
    path42.lineTo(size.width * 0.3405000, size.height * 0.09323221);
    path42.lineTo(size.width * 0.3407000, size.height * 0.09031505);
    path42.lineTo(size.width * 0.3404500, size.height * 0.08821470);
    path42.lineTo(size.width * 0.3381000, size.height * 0.08506418);
    path42.lineTo(size.width * 0.3345500, size.height * 0.08296383);
    path42.lineTo(size.width * 0.3363000, size.height * 0.08133022);
    path42.lineTo(size.width * 0.3353000, size.height * 0.07736289);
    path42.lineTo(size.width * 0.3336000, size.height * 0.07701284);
    path42.lineTo(size.width * 0.3326500, size.height * 0.07491249);
    path42.lineTo(size.width * 0.3310000, size.height * 0.07677946);
    path42.lineTo(size.width * 0.3270500, size.height * 0.07759627);
    path42.lineTo(size.width * 0.3200500, size.height * 0.07619603);
    path42.lineTo(size.width * 0.3163500, size.height * 0.07432905);
    path42.lineTo(size.width * 0.3134000, size.height * 0.07339557);
    path42.lineTo(size.width * 0.3124500, size.height * 0.07117853);
    path42.lineTo(size.width * 0.3156000, size.height * 0.06837806);
    path42.lineTo(size.width * 0.3127500, size.height * 0.06837806);
    path42.lineTo(size.width * 0.3144000, size.height * 0.06219370);
    path42.lineTo(size.width * 0.3179500, size.height * 0.05682614);
    path42.lineTo(size.width * 0.3209500, size.height * 0.05437573);
    path42.lineTo(size.width * 0.3265500, size.height * 0.05274212);
    path42.lineTo(size.width * 0.3236500, size.height * 0.05659277);
    path42.close();

    Paint paint42fill = Paint()..style = PaintingStyle.fill;
    paint42fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path42, paint42fill);

    Path path43 = Path();
    path43.moveTo(size.width * 0.2984500, size.height * 0.05250875);
    path43.lineTo(size.width * 0.3002500, size.height * 0.05379230);
    path43.lineTo(size.width * 0.3040500, size.height * 0.05297550);
    path43.lineTo(size.width * 0.3038000, size.height * 0.05472579);
    path43.lineTo(size.width * 0.3007500, size.height * 0.05764294);
    path43.lineTo(size.width * 0.3026500, size.height * 0.06021004);
    path43.lineTo(size.width * 0.3000500, size.height * 0.06569428);
    path43.lineTo(size.width * 0.2958500, size.height * 0.06802800);
    path43.lineTo(size.width * 0.2941500, size.height * 0.06756126);
    path43.lineTo(size.width * 0.2937000, size.height * 0.06522754);
    path43.lineTo(size.width * 0.2907500, size.height * 0.06056009);
    path43.lineTo(size.width * 0.2916000, size.height * 0.05857643);
    path43.lineTo(size.width * 0.2953000, size.height * 0.05927655);
    path43.lineTo(size.width * 0.2948500, size.height * 0.05542590);
    path43.lineTo(size.width * 0.2984500, size.height * 0.05250875);
    path43.close();

    Paint paint43fill = Paint()..style = PaintingStyle.fill;
    paint43fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path43, paint43fill);

    Path path44 = Path();
    path44.moveTo(size.width * 0.3097500, size.height * 0.05892649);
    path44.lineTo(size.width * 0.3058500, size.height * 0.06347725);
    path44.lineTo(size.width * 0.3036500, size.height * 0.06324387);
    path44.lineTo(size.width * 0.3045500, size.height * 0.05787631);
    path44.lineTo(size.width * 0.3058500, size.height * 0.05495916);
    path44.lineTo(size.width * 0.3079500, size.height * 0.05239207);
    path44.lineTo(size.width * 0.3105500, size.height * 0.05075846);
    path44.lineTo(size.width * 0.3145000, size.height * 0.05099183);
    path44.lineTo(size.width * 0.3176000, size.height * 0.05239207);
    path44.lineTo(size.width * 0.3125500, size.height * 0.05775963);
    path44.lineTo(size.width * 0.3097500, size.height * 0.05892649);
    path44.close();

    Paint paint44fill = Paint()..style = PaintingStyle.fill;
    paint44fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path44, paint44fill);

    Path path45 = Path();
    path45.moveTo(size.width * 0.2518500, size.height * 0.06732789);
    path45.lineTo(size.width * 0.2451000, size.height * 0.07036173);
    path45.lineTo(size.width * 0.2454000, size.height * 0.06767795);
    path45.lineTo(size.width * 0.2424000, size.height * 0.06441074);
    path45.lineTo(size.width * 0.2446000, size.height * 0.06184364);
    path45.lineTo(size.width * 0.2483500, size.height * 0.05740957);
    path45.lineTo(size.width * 0.2521500, size.height * 0.05344224);
    path45.lineTo(size.width * 0.2523500, size.height * 0.04982497);
    path45.lineTo(size.width * 0.2593500, size.height * 0.04889148);
    path45.lineTo(size.width * 0.2614500, size.height * 0.05017503);
    path45.lineTo(size.width * 0.2662000, size.height * 0.05052509);
    path45.lineTo(size.width * 0.2671500, size.height * 0.05215869);
    path45.lineTo(size.width * 0.2679500, size.height * 0.05472579);
    path45.lineTo(size.width * 0.2647000, size.height * 0.05624271);
    path45.lineTo(size.width * 0.2577500, size.height * 0.06044341);
    path45.lineTo(size.width * 0.2531500, size.height * 0.06476079);
    path45.lineTo(size.width * 0.2518500, size.height * 0.06732789);
    path45.close();

    Paint paint45fill = Paint()..style = PaintingStyle.fill;
    paint45fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path45, paint45fill);

    Path path46 = Path();
    path46.moveTo(size.width * 0.3144500, size.height * 0.04585764);
    path46.lineTo(size.width * 0.3124000, size.height * 0.04807468);
    path46.lineTo(size.width * 0.3098000, size.height * 0.04760793);
    path46.lineTo(size.width * 0.3082000, size.height * 0.04609102);
    path46.lineTo(size.width * 0.3104500, size.height * 0.04352392);
    path46.lineTo(size.width * 0.3139000, size.height * 0.04189032);
    path46.lineTo(size.width * 0.3146000, size.height * 0.04399067);
    path46.lineTo(size.width * 0.3144500, size.height * 0.04585764);
    path46.close();

    Paint paint46fill = Paint()..style = PaintingStyle.fill;
    paint46fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path46, paint46fill);

    Path path47 = Path();
    path47.moveTo(size.width * 0.3100500, size.height * 0.03570595);
    path47.lineTo(size.width * 0.3101500, size.height * 0.03838973);
    path47.lineTo(size.width * 0.3087500, size.height * 0.04130688);
    path47.lineTo(size.width * 0.3058500, size.height * 0.04574096);
    path47.lineTo(size.width * 0.3024000, size.height * 0.04632439);
    path47.lineTo(size.width * 0.3008000, size.height * 0.04539090);
    path47.lineTo(size.width * 0.3025000, size.height * 0.04200700);
    path47.lineTo(size.width * 0.2992000, size.height * 0.04235706);
    path47.lineTo(size.width * 0.3013500, size.height * 0.03792299);
    path47.lineTo(size.width * 0.3032500, size.height * 0.03815636);
    path47.lineTo(size.width * 0.3071000, size.height * 0.03617270);
    path47.lineTo(size.width * 0.3095500, size.height * 0.03652275);
    path47.lineTo(size.width * 0.3100500, size.height * 0.03570595);
    path47.close();

    Paint paint47fill = Paint()..style = PaintingStyle.fill;
    paint47fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path47, paint47fill);

    Path path48 = Path();
    path48.moveTo(size.width * 0.2903500, size.height * 0.03873979);
    path48.lineTo(size.width * 0.2900000, size.height * 0.04072345);
    path48.lineTo(size.width * 0.2922000, size.height * 0.03978996);
    path48.lineTo(size.width * 0.2940000, size.height * 0.04002334);
    path48.lineTo(size.width * 0.2928500, size.height * 0.04294049);
    path48.lineTo(size.width * 0.2903000, size.height * 0.04562427);
    path48.lineTo(size.width * 0.2833500, size.height * 0.04655776);
    path48.lineTo(size.width * 0.2772000, size.height * 0.04912485);
    path48.lineTo(size.width * 0.2742000, size.height * 0.04924154);
    path48.lineTo(size.width * 0.2749500, size.height * 0.04737456);
    path48.lineTo(size.width * 0.2803000, size.height * 0.04469078);
    path48.lineTo(size.width * 0.2713500, size.height * 0.04539090);
    path48.lineTo(size.width * 0.2692500, size.height * 0.04434072);
    path48.lineTo(size.width * 0.2751000, size.height * 0.03873979);
    path48.lineTo(size.width * 0.2778000, size.height * 0.03710618);
    path48.lineTo(size.width * 0.2819500, size.height * 0.03908985);
    path48.lineTo(size.width * 0.2834000, size.height * 0.04247375);
    path48.lineTo(size.width * 0.2864500, size.height * 0.04294049);
    path48.lineTo(size.width * 0.2868000, size.height * 0.03745624);
    path48.lineTo(size.width * 0.2897000, size.height * 0.03535589);
    path48.lineTo(size.width * 0.2912500, size.height * 0.03593932);
    path48.lineTo(size.width * 0.2903500, size.height * 0.03873979);
    path48.close();

    Paint paint48fill = Paint()..style = PaintingStyle.fill;
    paint48fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path48, paint48fill);

    Path path49 = Path();
    path49.moveTo(size.width * 0.3182000, size.height * 0.03360560);
    path49.lineTo(size.width * 0.3193500, size.height * 0.03547258);
    path49.lineTo(size.width * 0.3230500, size.height * 0.03547258);
    path49.lineTo(size.width * 0.3237500, size.height * 0.03733956);
    path49.lineTo(size.width * 0.3223500, size.height * 0.03943991);
    path49.lineTo(size.width * 0.3239000, size.height * 0.04072345);
    path49.lineTo(size.width * 0.3245000, size.height * 0.04212369);
    path49.lineTo(size.width * 0.3269500, size.height * 0.04235706);
    path49.lineTo(size.width * 0.3295000, size.height * 0.04282380);
    path49.lineTo(size.width * 0.3330500, size.height * 0.04165694);
    path49.lineTo(size.width * 0.3371000, size.height * 0.04107351);
    path49.lineTo(size.width * 0.3400000, size.height * 0.04154026);
    path49.lineTo(size.width * 0.3411500, size.height * 0.04375729);
    path49.lineTo(size.width * 0.3406500, size.height * 0.04609102);
    path49.lineTo(size.width * 0.3388500, size.height * 0.04772462);
    path49.lineTo(size.width * 0.3355000, size.height * 0.04900817);
    path49.lineTo(size.width * 0.3333500, size.height * 0.04819137);
    path49.lineTo(size.width * 0.3274500, size.height * 0.04912485);
    path49.lineTo(size.width * 0.3234500, size.height * 0.04924154);
    path49.lineTo(size.width * 0.3206500, size.height * 0.04854142);
    path49.lineTo(size.width * 0.3163500, size.height * 0.04667445);
    path49.lineTo(size.width * 0.3171500, size.height * 0.04340723);
    path49.lineTo(size.width * 0.3182000, size.height * 0.04060677);
    path49.lineTo(size.width * 0.3175000, size.height * 0.03803967);
    path49.lineTo(size.width * 0.3140000, size.height * 0.03733956);
    path49.lineTo(size.width * 0.3127000, size.height * 0.03558926);
    path49.lineTo(size.width * 0.3146000, size.height * 0.03325554);
    path49.lineTo(size.width * 0.3182000, size.height * 0.03360560);
    path49.close();

    Paint paint49fill = Paint()..style = PaintingStyle.fill;
    paint49fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path49, paint49fill);

    Path path50 = Path();
    path50.moveTo(size.width * 0.2803500, size.height * 0.03057176);
    path50.lineTo(size.width * 0.2774500, size.height * 0.03488915);
    path50.lineTo(size.width * 0.2748000, size.height * 0.03687281);
    path50.lineTo(size.width * 0.2729000, size.height * 0.03710618);
    path50.lineTo(size.width * 0.2679500, size.height * 0.03955659);
    path50.lineTo(size.width * 0.2644000, size.height * 0.04049008);
    path50.lineTo(size.width * 0.2626000, size.height * 0.03920653);
    path50.lineTo(size.width * 0.2684500, size.height * 0.03488915);
    path50.lineTo(size.width * 0.2745500, size.height * 0.03127188);
    path50.lineTo(size.width * 0.2773000, size.height * 0.03138856);
    path50.lineTo(size.width * 0.2803500, size.height * 0.03057176);
    path50.close();

    Paint paint50fill = Paint()..style = PaintingStyle.fill;
    paint50fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path50, paint50fill);

    Path path51 = Path();
    path51.moveTo(size.width * 0.3209500, size.height * 0.03127188);
    path51.lineTo(size.width * 0.3200500, size.height * 0.03138856);
    path51.lineTo(size.width * 0.3167500, size.height * 0.03103851);
    path51.lineTo(size.width * 0.3171000, size.height * 0.02952159);
    path51.lineTo(size.width * 0.3207000, size.height * 0.02963827);
    path51.lineTo(size.width * 0.3215000, size.height * 0.03057176);
    path51.lineTo(size.width * 0.3209500, size.height * 0.03127188);
    path51.close();

    Paint paint51fill = Paint()..style = PaintingStyle.fill;
    paint51fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path51, paint51fill);

    Path path52 = Path();
    path52.moveTo(size.width * 0.2915500, size.height * 0.03022170);
    path52.lineTo(size.width * 0.2871500, size.height * 0.03185531);
    path52.lineTo(size.width * 0.2855000, size.height * 0.03010502);
    path52.lineTo(size.width * 0.2880500, size.height * 0.02835473);
    path52.lineTo(size.width * 0.2910500, size.height * 0.02777130);
    path52.lineTo(size.width * 0.2931000, size.height * 0.02858810);
    path52.lineTo(size.width * 0.2915500, size.height * 0.03022170);
    path52.close();

    Paint paint52fill = Paint()..style = PaintingStyle.fill;
    paint52fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path52, paint52fill);

    Path path53 = Path();
    path53.moveTo(size.width * 0.2954500, size.height * 0.02532089);
    path53.lineTo(size.width * 0.2926000, size.height * 0.02637106);
    path53.lineTo(size.width * 0.2896000, size.height * 0.02637106);
    path53.lineTo(size.width * 0.2901000, size.height * 0.02555426);
    path53.lineTo(size.width * 0.2929500, size.height * 0.02403734);
    path53.lineTo(size.width * 0.2938000, size.height * 0.02427071);
    path53.lineTo(size.width * 0.2954500, size.height * 0.02532089);
    path53.close();

    Paint paint53fill = Paint()..style = PaintingStyle.fill;
    paint53fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path53, paint53fill);

    Path path54 = Path();
    path54.moveTo(size.width * 0.3188500, size.height * 0.02823804);
    path54.lineTo(size.width * 0.3155500, size.height * 0.02940490);
    path54.lineTo(size.width * 0.3147500, size.height * 0.02812135);
    path54.lineTo(size.width * 0.3150500, size.height * 0.02613769);
    path54.lineTo(size.width * 0.3161500, size.height * 0.02392065);
    path54.lineTo(size.width * 0.3183500, size.height * 0.02415403);
    path54.lineTo(size.width * 0.3192000, size.height * 0.02450408);
    path54.lineTo(size.width * 0.3203500, size.height * 0.02637106);
    path54.lineTo(size.width * 0.3188500, size.height * 0.02823804);
    path54.close();

    Paint paint54fill = Paint()..style = PaintingStyle.fill;
    paint54fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path54, paint54fill);

    Path path55 = Path();
    path55.moveTo(size.width * 0.3119500, size.height * 0.02683781);
    path55.lineTo(size.width * 0.3114000, size.height * 0.02905484);
    path55.lineTo(size.width * 0.3087500, size.height * 0.02847141);
    path55.lineTo(size.width * 0.3067500, size.height * 0.02672112);
    path55.lineTo(size.width * 0.3028500, size.height * 0.02648775);
    path55.lineTo(size.width * 0.3055000, size.height * 0.02497083);
    path55.lineTo(size.width * 0.3041000, size.height * 0.02368728);
    path55.lineTo(size.width * 0.3052000, size.height * 0.02158693);
    path55.lineTo(size.width * 0.3082500, size.height * 0.02228705);
    path55.lineTo(size.width * 0.3120000, size.height * 0.02427071);
    path55.lineTo(size.width * 0.3119500, size.height * 0.02683781);
    path55.close();

    Paint paint55fill = Paint()..style = PaintingStyle.fill;
    paint55fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path55, paint55fill);

    Path path56 = Path();
    path56.moveTo(size.width * 0.3390000, size.height * 0.01971995);
    path56.lineTo(size.width * 0.3403500, size.height * 0.02147025);
    path56.lineTo(size.width * 0.3371000, size.height * 0.02298716);
    path56.lineTo(size.width * 0.3318000, size.height * 0.02707118);
    path56.lineTo(size.width * 0.3284000, size.height * 0.02742124);
    path56.lineTo(size.width * 0.3250000, size.height * 0.02672112);
    path56.lineTo(size.width * 0.3242000, size.height * 0.02450408);
    path56.lineTo(size.width * 0.3252500, size.height * 0.02263711);
    path56.lineTo(size.width * 0.3274000, size.height * 0.02123687);
    path56.lineTo(size.width * 0.3241000, size.height * 0.02123687);
    path56.lineTo(size.width * 0.3231000, size.height * 0.01948658);
    path56.lineTo(size.width * 0.3233000, size.height * 0.01726954);
    path56.lineTo(size.width * 0.3257500, size.height * 0.01505251);
    path56.lineTo(size.width * 0.3278000, size.height * 0.01353559);
    path56.lineTo(size.width * 0.3298000, size.height * 0.01318553);
    path56.lineTo(size.width * 0.3296500, size.height * 0.01201867);
    path56.lineTo(size.width * 0.3338000, size.height * 0.01178530);
    path56.lineTo(size.width * 0.3346000, size.height * 0.01435239);
    path56.lineTo(size.width * 0.3369500, size.height * 0.01540257);
    path56.lineTo(size.width * 0.3393500, size.height * 0.01645274);
    path56.lineTo(size.width * 0.3390000, size.height * 0.01971995);
    path56.close();

    Paint paint56fill = Paint()..style = PaintingStyle.fill;
    paint56fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path56, paint56fill);

    Path path57 = Path();
    path57.moveTo(size.width * 0.3786000, size.height * 0.003383897);
    path57.lineTo(size.width * 0.3829500, size.height * 0.003733956);
    path57.lineTo(size.width * 0.3863000, size.height * 0.004317386);
    path57.lineTo(size.width * 0.3889000, size.height * 0.005484247);
    path57.lineTo(size.width * 0.3883500, size.height * 0.006651109);
    path57.lineTo(size.width * 0.3834500, size.height * 0.008634772);
    path57.lineTo(size.width * 0.3789500, size.height * 0.009568261);
    path57.lineTo(size.width * 0.3769500, size.height * 0.01061844);
    path57.lineTo(size.width * 0.3807000, size.height * 0.01061844);
    path57.lineTo(size.width * 0.3754500, size.height * 0.01353559);
    path57.lineTo(size.width * 0.3720500, size.height * 0.01493582);
    path57.lineTo(size.width * 0.3674000, size.height * 0.01901984);
    path57.lineTo(size.width * 0.3633500, size.height * 0.01983664);
    path57.lineTo(size.width * 0.3618000, size.height * 0.02100350);
    path57.lineTo(size.width * 0.3561500, size.height * 0.02147025);
    path57.lineTo(size.width * 0.3583500, size.height * 0.02217036);
    path57.lineTo(size.width * 0.3567000, size.height * 0.02310385);
    path57.lineTo(size.width * 0.3570500, size.height * 0.02578763);
    path57.lineTo(size.width * 0.3545500, size.height * 0.02765461);
    path57.lineTo(size.width * 0.3511000, size.height * 0.02917153);
    path57.lineTo(size.width * 0.3493500, size.height * 0.03127188);
    path57.lineTo(size.width * 0.3460500, size.height * 0.03302217);
    path57.lineTo(size.width * 0.3458000, size.height * 0.03430572);
    path57.lineTo(size.width * 0.3490500, size.height * 0.03407235);
    path57.lineTo(size.width * 0.3485000, size.height * 0.03547258);
    path57.lineTo(size.width * 0.3421500, size.height * 0.03885648);
    path57.lineTo(size.width * 0.3379000, size.height * 0.03722287);
    path57.lineTo(size.width * 0.3320500, size.height * 0.03815636);
    path57.lineTo(size.width * 0.3295500, size.height * 0.03745624);
    path57.lineTo(size.width * 0.3261500, size.height * 0.03710618);
    path57.lineTo(size.width * 0.3272000, size.height * 0.03442240);
    path57.lineTo(size.width * 0.3312000, size.height * 0.03313886);
    path57.lineTo(size.width * 0.3322000, size.height * 0.02917153);
    path57.lineTo(size.width * 0.3335000, size.height * 0.02882147);
    path57.lineTo(size.width * 0.3372500, size.height * 0.03115519);
    path57.lineTo(size.width * 0.3364000, size.height * 0.02765461);
    path57.lineTo(size.width * 0.3339500, size.height * 0.02660443);
    path57.lineTo(size.width * 0.3364500, size.height * 0.02450408);
    path57.lineTo(size.width * 0.3402500, size.height * 0.02322054);
    path57.lineTo(size.width * 0.3416500, size.height * 0.02135356);
    path57.lineTo(size.width * 0.3401500, size.height * 0.01936989);
    path57.lineTo(size.width * 0.3407000, size.height * 0.01680280);
    path57.lineTo(size.width * 0.3454000, size.height * 0.01691949);
    path57.lineTo(size.width * 0.3465000, size.height * 0.01750292);
    path57.lineTo(size.width * 0.3501500, size.height * 0.01563594);
    path57.lineTo(size.width * 0.3465000, size.height * 0.01505251);
    path57.lineTo(size.width * 0.3402000, size.height * 0.01540257);
    path57.lineTo(size.width * 0.3380000, size.height * 0.01376896);
    path57.lineTo(size.width * 0.3376000, size.height * 0.01178530);
    path57.lineTo(size.width * 0.3363500, size.height * 0.01038506);
    path57.lineTo(size.width * 0.3369000, size.height * 0.008868145);
    path57.lineTo(size.width * 0.3399000, size.height * 0.007934656);
    path57.lineTo(size.width * 0.3420000, size.height * 0.007817970);
    path57.lineTo(size.width * 0.3457000, size.height * 0.007117853);
    path57.lineTo(size.width * 0.3491000, size.height * 0.005367561);
    path57.lineTo(size.width * 0.3510500, size.height * 0.005600933);
    path57.lineTo(size.width * 0.3522500, size.height * 0.006884481);
    path57.lineTo(size.width * 0.3547500, size.height * 0.004550758);
    path57.lineTo(size.width * 0.3573500, size.height * 0.003850642);
    path57.lineTo(size.width * 0.3606000, size.height * 0.003383897);
    path57.lineTo(size.width * 0.3658000, size.height * 0.003150525);
    path57.lineTo(size.width * 0.3664500, size.height * 0.003617270);
    path57.lineTo(size.width * 0.3716000, size.height * 0.002917153);
    path57.lineTo(size.width * 0.3751000, size.height * 0.003150525);
    path57.lineTo(size.width * 0.3786000, size.height * 0.003383897);
    path57.close();

    Paint paint57fill = Paint()..style = PaintingStyle.fill;
    paint57fill.color = countryColors.cA ?? defaultCountryColor;
    canvas.drawPath(path57, paint57fill);

    Path path58 = Path();
    path58.moveTo(size.width * 0.5172000, size.height * 0.2304551);
    path58.lineTo(size.width * 0.5173000, size.height * 0.2317386);
    path58.lineTo(size.width * 0.5169500, size.height * 0.2334889);
    path58.lineTo(size.width * 0.5181000, size.height * 0.2348891);
    path58.lineTo(size.width * 0.5194000, size.height * 0.2351225);
    path58.lineTo(size.width * 0.5192500, size.height * 0.2380397);
    path58.lineTo(size.width * 0.5182000, size.height * 0.2393232);
    path58.lineTo(size.width * 0.5163000, size.height * 0.2383897);
    path58.lineTo(size.width * 0.5158000, size.height * 0.2413069);
    path58.lineTo(size.width * 0.5146000, size.height * 0.2415403);
    path58.lineTo(size.width * 0.5141500, size.height * 0.2403734);
    path58.lineTo(size.width * 0.5128000, size.height * 0.2429405);
    path58.lineTo(size.width * 0.5115500, size.height * 0.2432905);
    path58.lineTo(size.width * 0.5104500, size.height * 0.2416569);
    path58.lineTo(size.width * 0.5095500, size.height * 0.2385064);
    path58.lineTo(size.width * 0.5083500, size.height * 0.2396733);
    path58.lineTo(size.width * 0.5083500, size.height * 0.2362894);
    path58.lineTo(size.width * 0.5101500, size.height * 0.2322054);
    path58.lineTo(size.width * 0.5100500, size.height * 0.2303384);
    path58.lineTo(size.width * 0.5112000, size.height * 0.2310385);
    path58.lineTo(size.width * 0.5118500, size.height * 0.2297550);
    path58.lineTo(size.width * 0.5139500, size.height * 0.2297550);
    path58.lineTo(size.width * 0.5144500, size.height * 0.2282380);
    path58.lineTo(size.width * 0.5172000, size.height * 0.2304551);
    path58.close();

    Paint paint58fill = Paint()..style = PaintingStyle.fill;
    paint58fill.color = countryColors.cH ?? defaultCountryColor;
    canvas.drawPath(path58, paint58fill);

    Path path59 = Path();
    path59.moveTo(size.width * 0.8011000, size.height * 0.4456243);
    path59.lineTo(size.width * 0.7989500, size.height * 0.4492415);
    path59.lineTo(size.width * 0.7965000, size.height * 0.4469078);
    path59.lineTo(size.width * 0.7960000, size.height * 0.4404901);
    path59.lineTo(size.width * 0.7971000, size.height * 0.4371062);
    path59.lineTo(size.width * 0.8000000, size.height * 0.4350058);
    path59.lineTo(size.width * 0.8016500, size.height * 0.4351225);
    path59.lineTo(size.width * 0.8024500, size.height * 0.4380397);
    path59.lineTo(size.width * 0.8014500, size.height * 0.4413069);
    path59.lineTo(size.width * 0.8011000, size.height * 0.4456243);
    path59.close();

    Paint paint59fill = Paint()..style = PaintingStyle.fill;
    paint59fill.color = countryColors.cN ?? defaultCountryColor;
    canvas.drawPath(path59, paint59fill);

    Path path60 = Path();
    path60.moveTo(size.width * 0.8128000, size.height * 0.2164527);
    path60.lineTo(size.width * 0.8173000, size.height * 0.2217036);
    path60.lineTo(size.width * 0.8203000, size.height * 0.2284714);
    path60.lineTo(size.width * 0.8241000, size.height * 0.2284714);
    path60.lineTo(size.width * 0.8254000, size.height * 0.2256709);
    path60.lineTo(size.width * 0.8288500, size.height * 0.2234539);
    path60.lineTo(size.width * 0.8295000, size.height * 0.2301050);
    path60.lineTo(size.width * 0.8293500, size.height * 0.2327888);
    path60.lineTo(size.width * 0.8307500, size.height * 0.2407235);
    path60.lineTo(size.width * 0.8310500, size.height * 0.2479580);
    path60.lineTo(size.width * 0.8276000, size.height * 0.2466744);
    path60.lineTo(size.width * 0.8261500, size.height * 0.2492415);
    path60.lineTo(size.width * 0.8285000, size.height * 0.2555426);
    path60.lineTo(size.width * 0.8304500, size.height * 0.2642940);
    path60.lineTo(size.width * 0.8292000, size.height * 0.2644107);
    path60.lineTo(size.width * 0.8301500, size.height * 0.2682614);
    path60.lineTo(size.width * 0.8274000, size.height * 0.2638273);
    path60.lineTo(size.width * 0.8274000, size.height * 0.2680280);
    path60.lineTo(size.width * 0.8242000, size.height * 0.2711785);
    path60.lineTo(size.width * 0.8256000, size.height * 0.2751459);
    path60.lineTo(size.width * 0.8233000, size.height * 0.2747958);
    path60.lineTo(size.width * 0.8215000, size.height * 0.2724621);
    path60.lineTo(size.width * 0.8209500, size.height * 0.2778296);
    path60.lineTo(size.width * 0.8190000, size.height * 0.2817970);
    path60.lineTo(size.width * 0.8179500, size.height * 0.2865811);
    path60.lineTo(size.width * 0.8148000, size.height * 0.2886814);
    path60.lineTo(size.width * 0.8136000, size.height * 0.2921820);
    path60.lineTo(size.width * 0.8112000, size.height * 0.2942824);
    path60.lineTo(size.width * 0.8118500, size.height * 0.2907818);
    path60.lineTo(size.width * 0.8107000, size.height * 0.2878646);
    path60.lineTo(size.width * 0.8117000, size.height * 0.2828471);
    path60.lineTo(size.width * 0.8094500, size.height * 0.2789965);
    path60.lineTo(size.width * 0.8077500, size.height * 0.2815636);
    path60.lineTo(size.width * 0.8059500, size.height * 0.2868145);
    path60.lineTo(size.width * 0.8053000, size.height * 0.2915986);
    path60.lineTo(size.width * 0.8028000, size.height * 0.2919487);
    path60.lineTo(size.width * 0.8021500, size.height * 0.2954492);
    path60.lineTo(size.width * 0.8045500, size.height * 0.3004667);
    path60.lineTo(size.width * 0.8069500, size.height * 0.3017503);
    path60.lineTo(size.width * 0.8076500, size.height * 0.3050175);
    path60.lineTo(size.width * 0.8102000, size.height * 0.3072345);
    path60.lineTo(size.width * 0.8121000, size.height * 0.3018670);
    path60.lineTo(size.width * 0.8150500, size.height * 0.3047841);
    path60.lineTo(size.width * 0.8168000, size.height * 0.3050175);
    path60.lineTo(size.width * 0.8179500, size.height * 0.3088681);
    path60.lineTo(size.width * 0.8146000, size.height * 0.3109685);
    path60.lineTo(size.width * 0.8141000, size.height * 0.3150525);
    path60.lineTo(size.width * 0.8122000, size.height * 0.3187865);
    path60.lineTo(size.width * 0.8117500, size.height * 0.3240373);
    path60.lineTo(size.width * 0.8153000, size.height * 0.3281214);
    path60.lineTo(size.width * 0.8176000, size.height * 0.3354726);
    path60.lineTo(size.width * 0.8203500, size.height * 0.3423571);
    path60.lineTo(size.width * 0.8231000, size.height * 0.3480747);
    path60.lineTo(size.width * 0.8239000, size.height * 0.3536756);
    path60.lineTo(size.width * 0.8225000, size.height * 0.3557760);
    path60.lineTo(size.width * 0.8237000, size.height * 0.3597433);
    path60.lineTo(size.width * 0.8256500, size.height * 0.3620770);
    path60.lineTo(size.width * 0.8260500, size.height * 0.3681447);
    path60.lineTo(size.width * 0.8261000, size.height * 0.3740957);
    path60.lineTo(size.width * 0.8247000, size.height * 0.3747958);
    path60.lineTo(size.width * 0.8236500, size.height * 0.3828471);
    path60.lineTo(size.width * 0.8225000, size.height * 0.3927655);
    path60.lineTo(size.width * 0.8208000, size.height * 0.4016336);
    path60.lineTo(size.width * 0.8176000, size.height * 0.4085181);
    path60.lineTo(size.width * 0.8143000, size.height * 0.4149358);
    path60.lineTo(size.width * 0.8112500, size.height * 0.4157526);
    path60.lineTo(size.width * 0.8098000, size.height * 0.4190198);
    path60.lineTo(size.width * 0.8086500, size.height * 0.4166861);
    path60.lineTo(size.width * 0.8074000, size.height * 0.4203034);
    path60.lineTo(size.width * 0.8038000, size.height * 0.4241540);
    path60.lineTo(size.width * 0.8009000, size.height * 0.4252042);
    path60.lineTo(size.width * 0.8005500, size.height * 0.4331389);
    path60.lineTo(size.width * 0.7990000, size.height * 0.4336056);
    path60.lineTo(size.width * 0.7979000, size.height * 0.4281214);
    path60.lineTo(size.width * 0.7983500, size.height * 0.4253209);
    path60.lineTo(size.width * 0.7944500, size.height * 0.4228705);
    path60.lineTo(size.width * 0.7932500, size.height * 0.4241540);
    path60.lineTo(size.width * 0.7903000, size.height * 0.4221704);
    path60.lineTo(size.width * 0.7887500, size.height * 0.4191365);
    path60.lineTo(size.width * 0.7889000, size.height * 0.4148191);
    path60.lineTo(size.width * 0.7862500, size.height * 0.4134189);
    path60.lineTo(size.width * 0.7847000, size.height * 0.4106184);
    path60.lineTo(size.width * 0.7826500, size.height * 0.4145858);
    path60.lineTo(size.width * 0.7800000, size.height * 0.4155193);
    path60.lineTo(size.width * 0.7778000, size.height * 0.4154026);
    path60.lineTo(size.width * 0.7764500, size.height * 0.4172695);
    path60.lineTo(size.width * 0.7751000, size.height * 0.4183197);
    path60.lineTo(size.width * 0.7761000, size.height * 0.4269545);
    path60.lineTo(size.width * 0.7746000, size.height * 0.4267211);
    path60.lineTo(size.width * 0.7742000, size.height * 0.4249708);
    path60.lineTo(size.width * 0.7739500, size.height * 0.4218203);
    path60.lineTo(size.width * 0.7720500, size.height * 0.4240373);
    path60.lineTo(size.width * 0.7707500, size.height * 0.4226371);
    path60.lineTo(size.width * 0.7685000, size.height * 0.4198366);
    path60.lineTo(size.width * 0.7689000, size.height * 0.4136523);
    path60.lineTo(size.width * 0.7670500, size.height * 0.4121354);
    path60.lineTo(size.width * 0.7658500, size.height * 0.4052509);
    path60.lineTo(size.width * 0.7630500, size.height * 0.4065344);
    path60.lineTo(size.width * 0.7627000, size.height * 0.3976663);
    path60.lineTo(size.width * 0.7648000, size.height * 0.3913652);
    path60.lineTo(size.width * 0.7643500, size.height * 0.3851809);
    path60.lineTo(size.width * 0.7637000, size.height * 0.3794632);
    path60.lineTo(size.width * 0.7623500, size.height * 0.3777130);
    path60.lineTo(size.width * 0.7610000, size.height * 0.3732789);
    path60.lineTo(size.width * 0.7594500, size.height * 0.3738623);
    path60.lineTo(size.width * 0.7564000, size.height * 0.3726954);
    path60.lineTo(size.width * 0.7570000, size.height * 0.3695449);
    path60.lineTo(size.width * 0.7552000, size.height * 0.3648775);
    path60.lineTo(size.width * 0.7536000, size.height * 0.3680280);
    path60.lineTo(size.width * 0.7511500, size.height * 0.3662777);
    path60.lineTo(size.width * 0.7484500, size.height * 0.3709452);
    path60.lineTo(size.width * 0.7465000, size.height * 0.3765461);
    path60.lineTo(size.width * 0.7444000, size.height * 0.3774796);
    path60.lineTo(size.width * 0.7430000, size.height * 0.3754959);
    path60.lineTo(size.width * 0.7415500, size.height * 0.3752625);
    path60.lineTo(size.width * 0.7394000, size.height * 0.3736289);
    path60.lineTo(size.width * 0.7381000, size.height * 0.3754959);
    path60.lineTo(size.width * 0.7368000, size.height * 0.3810968);
    path60.lineTo(size.width * 0.7360500, size.height * 0.3751459);
    path60.lineTo(size.width * 0.7345000, size.height * 0.3767795);
    path60.lineTo(size.width * 0.7312500, size.height * 0.3759627);
    path60.lineTo(size.width * 0.7280000, size.height * 0.3743291);
    path60.lineTo(size.width * 0.7255000, size.height * 0.3709452);
    path60.lineTo(size.width * 0.7232500, size.height * 0.3695449);
    path60.lineTo(size.width * 0.7220000, size.height * 0.3659277);
    path60.lineTo(size.width * 0.7203500, size.height * 0.3648775);
    path60.lineTo(size.width * 0.7171500, size.height * 0.3599767);
    path60.lineTo(size.width * 0.7147500, size.height * 0.3576429);
    path60.lineTo(size.width * 0.7138000, size.height * 0.3593932);
    path60.lineTo(size.width * 0.7095000, size.height * 0.3541424);
    path60.lineTo(size.width * 0.7064000, size.height * 0.3494749);
    path60.lineTo(size.width * 0.7048000, size.height * 0.3411902);
    path60.lineTo(size.width * 0.7068500, size.height * 0.3422404);
    path60.lineTo(size.width * 0.7065500, size.height * 0.3383897);
    path60.lineTo(size.width * 0.7050500, size.height * 0.3345391);
    path60.lineTo(size.width * 0.7046500, size.height * 0.3284714);
    path60.lineTo(size.width * 0.7008000, size.height * 0.3196033);
    path60.lineTo(size.width * 0.6960500, size.height * 0.3166861);
    path60.lineTo(size.width * 0.6946000, size.height * 0.3108518);
    path60.lineTo(size.width * 0.6922500, size.height * 0.3073512);
    path60.lineTo(size.width * 0.6915000, size.height * 0.3052509);
    path60.lineTo(size.width * 0.6906000, size.height * 0.3010502);
    path60.lineTo(size.width * 0.6903500, size.height * 0.2981330);
    path60.lineTo(size.width * 0.6885000, size.height * 0.2963827);
    path60.lineTo(size.width * 0.6877500, size.height * 0.2971995);
    path60.lineTo(size.width * 0.6862000, size.height * 0.2901984);
    path60.lineTo(size.width * 0.6867500, size.height * 0.2885648);
    path60.lineTo(size.width * 0.6861500, size.height * 0.2868145);
    path60.lineTo(size.width * 0.6882000, size.height * 0.2833139);
    path60.lineTo(size.width * 0.6898000, size.height * 0.2817970);
    path60.lineTo(size.width * 0.6927000, size.height * 0.2828471);
    path60.lineTo(size.width * 0.6930000, size.height * 0.2780630);
    path60.lineTo(size.width * 0.6962000, size.height * 0.2772462);
    path60.lineTo(size.width * 0.6967000, size.height * 0.2742124);
    path60.lineTo(size.width * 0.7001500, size.height * 0.2702450);
    path60.lineTo(size.width * 0.7002500, size.height * 0.2686114);
    path60.lineTo(size.width * 0.6994000, size.height * 0.2642940);
    path60.lineTo(size.width * 0.7008500, size.height * 0.2624271);
    path60.lineTo(size.width * 0.6964500, size.height * 0.2495916);
    path60.lineTo(size.width * 0.7010000, size.height * 0.2466744);
    path60.lineTo(size.width * 0.7020000, size.height * 0.2450408);
    path60.lineTo(size.width * 0.7015000, size.height * 0.2318553);
    path60.lineTo(size.width * 0.7069000, size.height * 0.2343057);
    path60.lineTo(size.width * 0.7077000, size.height * 0.2309218);
    path60.lineTo(size.width * 0.7064500, size.height * 0.2236873);
    path60.lineTo(size.width * 0.7083500, size.height * 0.2229872);
    path60.lineTo(size.width * 0.7093000, size.height * 0.2180863);
    path60.lineTo(size.width * 0.7101500, size.height * 0.2175029);
    path60.lineTo(size.width * 0.7118000, size.height * 0.2226371);
    path60.lineTo(size.width * 0.7146500, size.height * 0.2264877);
    path60.lineTo(size.width * 0.7187500, size.height * 0.2291715);
    path60.lineTo(size.width * 0.7216500, size.height * 0.2351225);
    path60.lineTo(size.width * 0.7223500, size.height * 0.2436406);
    path60.lineTo(size.width * 0.7238500, size.height * 0.2469078);
    path60.lineTo(size.width * 0.7271000, size.height * 0.2481914);
    path60.lineTo(size.width * 0.7307000, size.height * 0.2491249);
    path60.lineTo(size.width * 0.7347000, size.height * 0.2537923);
    path60.lineTo(size.width * 0.7364000, size.height * 0.2546091);
    path60.lineTo(size.width * 0.7389000, size.height * 0.2613769);
    path60.lineTo(size.width * 0.7412500, size.height * 0.2658110);
    path60.lineTo(size.width * 0.7440500, size.height * 0.2655776);
    path60.lineTo(size.width * 0.7497000, size.height * 0.2673279);
    path60.lineTo(size.width * 0.7529000, size.height * 0.2662777);
    path60.lineTo(size.width * 0.7557000, size.height * 0.2673279);
    path60.lineTo(size.width * 0.7604000, size.height * 0.2718786);
    path60.lineTo(size.width * 0.7635000, size.height * 0.2718786);
    path60.lineTo(size.width * 0.7651500, size.height * 0.2740957);
    path60.lineTo(size.width * 0.7673500, size.height * 0.2701284);
    path60.lineTo(size.width * 0.7709500, size.height * 0.2675613);
    path60.lineTo(size.width * 0.7747500, size.height * 0.2673279);
    path60.lineTo(size.width * 0.7772000, size.height * 0.2647608);
    path60.lineTo(size.width * 0.7782000, size.height * 0.2607935);
    path60.lineTo(size.width * 0.7794000, size.height * 0.2582264);
    path60.lineTo(size.width * 0.7784500, size.height * 0.2557760);
    path60.lineTo(size.width * 0.7770000, size.height * 0.2529755);
    path60.lineTo(size.width * 0.7772500, size.height * 0.2481914);
    path60.lineTo(size.width * 0.7788500, size.height * 0.2488915);
    path60.lineTo(size.width * 0.7818000, size.height * 0.2504084);
    path60.lineTo(size.width * 0.7834000, size.height * 0.2464411);
    path60.lineTo(size.width * 0.7866000, size.height * 0.2436406);
    path60.lineTo(size.width * 0.7872500, size.height * 0.2387398);
    path60.lineTo(size.width * 0.7885000, size.height * 0.2366394);
    path60.lineTo(size.width * 0.7919000, size.height * 0.2357060);
    path60.lineTo(size.width * 0.7941000, size.height * 0.2365228);
    path60.lineTo(size.width * 0.7937000, size.height * 0.2339557);
    path60.lineTo(size.width * 0.7901000, size.height * 0.2288215);
    path60.lineTo(size.width * 0.7875000, size.height * 0.2264877);
    path60.lineTo(size.width * 0.7862500, size.height * 0.2291715);
    path60.lineTo(size.width * 0.7835000, size.height * 0.2280047);
    path60.lineTo(size.width * 0.7823500, size.height * 0.2289382);
    path60.lineTo(size.width * 0.7809500, size.height * 0.2260210);
    path60.lineTo(size.width * 0.7808000, size.height * 0.2186698);
    path60.lineTo(size.width * 0.7805000, size.height * 0.2131855);
    path60.lineTo(size.width * 0.7842000, size.height * 0.2159860);
    path60.lineTo(size.width * 0.7864000, size.height * 0.2114352);
    path60.lineTo(size.width * 0.7854500, size.height * 0.2081680);
    path60.lineTo(size.width * 0.7853500, size.height * 0.2005834);
    path60.lineTo(size.width * 0.7860000, size.height * 0.1982497);
    path60.lineTo(size.width * 0.7847500, size.height * 0.1942824);
    path60.lineTo(size.width * 0.7829000, size.height * 0.1926488);
    path60.lineTo(size.width * 0.7837500, size.height * 0.1890315);
    path60.lineTo(size.width * 0.7863000, size.height * 0.1877480);
    path60.lineTo(size.width * 0.7894000, size.height * 0.1875146);
    path60.lineTo(size.width * 0.7937000, size.height * 0.1897316);
    path60.lineTo(size.width * 0.7967000, size.height * 0.1922987);
    path60.lineTo(size.width * 0.8005500, size.height * 0.1995333);
    path60.lineTo(size.width * 0.8024500, size.height * 0.2026838);
    path60.lineTo(size.width * 0.8047000, size.height * 0.2071179);
    path60.lineTo(size.width * 0.8078000, size.height * 0.2141190);
    path60.lineTo(size.width * 0.8128000, size.height * 0.2164527);
    path60.close();

    Paint paint60fill = Paint()..style = PaintingStyle.fill;
    paint60fill.color = countryColors.cN ?? defaultCountryColor;
    canvas.drawPath(path60, paint60fill);

    Path path61 = Path();
    path61.moveTo(size.width * 0.4779500, size.height * 0.5078180);
    path61.lineTo(size.width * 0.4792000, size.height * 0.5094516);
    path61.lineTo(size.width * 0.4797000, size.height * 0.5120187);
    path61.lineTo(size.width * 0.4809500, size.height * 0.5135356);
    path61.lineTo(size.width * 0.4819500, size.height * 0.5116686);
    path61.lineTo(size.width * 0.4832500, size.height * 0.5114352);
    path61.lineTo(size.width * 0.4852000, size.height * 0.5133022);
    path61.lineTo(size.width * 0.4859500, size.height * 0.5240373);
    path61.lineTo(size.width * 0.4847500, size.height * 0.5302217);
    path61.lineTo(size.width * 0.4840000, size.height * 0.5387398);
    path61.lineTo(size.width * 0.4852000, size.height * 0.5451575);
    path61.lineTo(size.width * 0.4851000, size.height * 0.5481914);
    path61.lineTo(size.width * 0.4838000, size.height * 0.5481914);
    path61.lineTo(size.width * 0.4818500, size.height * 0.5467911);
    path61.lineTo(size.width * 0.4800000, size.height * 0.5467911);
    path61.lineTo(size.width * 0.4766500, size.height * 0.5481914);
    path61.lineTo(size.width * 0.4747000, size.height * 0.5502917);
    path61.lineTo(size.width * 0.4719000, size.height * 0.5530922);
    path61.lineTo(size.width * 0.4713500, size.height * 0.5528588);
    path61.lineTo(size.width * 0.4715500, size.height * 0.5466744);
    path61.lineTo(size.width * 0.4718500, size.height * 0.5457410);
    path61.lineTo(size.width * 0.4717500, size.height * 0.5428238);
    path61.lineTo(size.width * 0.4705500, size.height * 0.5396733);
    path61.lineTo(size.width * 0.4696500, size.height * 0.5392065);
    path61.lineTo(size.width * 0.4688500, size.height * 0.5371062);
    path61.lineTo(size.width * 0.4694500, size.height * 0.5337223);
    path61.lineTo(size.width * 0.4692000, size.height * 0.5301050);
    path61.lineTo(size.width * 0.4693000, size.height * 0.5280047);
    path61.lineTo(size.width * 0.4697500, size.height * 0.5280047);
    path61.lineTo(size.width * 0.4699500, size.height * 0.5247375);
    path61.lineTo(size.width * 0.4697500, size.height * 0.5232205);
    path61.lineTo(size.width * 0.4700000, size.height * 0.5221704);
    path61.lineTo(size.width * 0.4710500, size.height * 0.5213536);
    path61.lineTo(size.width * 0.4703500, size.height * 0.5152859);
    path61.lineTo(size.width * 0.4697000, size.height * 0.5122520);
    path61.lineTo(size.width * 0.4699500, size.height * 0.5096849);
    path61.lineTo(size.width * 0.4705000, size.height * 0.5091015);
    path61.lineTo(size.width * 0.4709000, size.height * 0.5084014);
    path61.lineTo(size.width * 0.4716500, size.height * 0.5095683);
    path61.lineTo(size.width * 0.4738500, size.height * 0.5095683);
    path61.lineTo(size.width * 0.4743500, size.height * 0.5074679);
    path61.lineTo(size.width * 0.4748500, size.height * 0.5075846);
    path61.lineTo(size.width * 0.4756500, size.height * 0.5067678);
    path61.lineTo(size.width * 0.4761000, size.height * 0.5099183);
    path61.lineTo(size.width * 0.4767500, size.height * 0.5089848);
    path61.lineTo(size.width * 0.4779500, size.height * 0.5078180);
    path61.close();

    Paint paint61fill = Paint()..style = PaintingStyle.fill;
    paint61fill.color = countryColors.cI ?? defaultCountryColor;
    canvas.drawPath(path61, paint61fill);

    Path path62 = Path();
    path62.moveTo(size.width * 0.5364000, size.height * 0.5299883);
    path62.lineTo(size.width * 0.5350000, size.height * 0.5375729);
    path62.lineTo(size.width * 0.5343000, size.height * 0.5388565);
    path62.lineTo(size.width * 0.5341000, size.height * 0.5446908);
    path62.lineTo(size.width * 0.5344000, size.height * 0.5478413);
    path62.lineTo(size.width * 0.5341500, size.height * 0.5500583);
    path62.lineTo(size.width * 0.5355000, size.height * 0.5540257);
    path62.lineTo(size.width * 0.5357500, size.height * 0.5567095);
    path62.lineTo(size.width * 0.5368000, size.height * 0.5605601);
    path62.lineTo(size.width * 0.5381000, size.height * 0.5630105);
    path62.lineTo(size.width * 0.5382500, size.height * 0.5663944);
    path62.lineTo(size.width * 0.5385500, size.height * 0.5686114);
    path62.lineTo(size.width * 0.5383500, size.height * 0.5725788);
    path62.lineTo(size.width * 0.5361000, size.height * 0.5708285);
    path62.lineTo(size.width * 0.5338000, size.height * 0.5688448);
    path62.lineTo(size.width * 0.5302500, size.height * 0.5686114);
    path62.lineTo(size.width * 0.5299000, size.height * 0.5681447);
    path62.lineTo(size.width * 0.5282000, size.height * 0.5690782);
    path62.lineTo(size.width * 0.5265000, size.height * 0.5681447);
    path62.lineTo(size.width * 0.5251500, size.height * 0.5686114);
    path62.lineTo(size.width * 0.5205000, size.height * 0.5684947);
    path62.lineTo(size.width * 0.5209500, size.height * 0.5625438);
    path62.lineTo(size.width * 0.5198000, size.height * 0.5575263);
    path62.lineTo(size.width * 0.5185000, size.height * 0.5563594);
    path62.lineTo(size.width * 0.5179500, size.height * 0.5529755);
    path62.lineTo(size.width * 0.5172000, size.height * 0.5519253);
    path62.lineTo(size.width * 0.5172500, size.height * 0.5498250);
    path62.lineTo(size.width * 0.5179500, size.height * 0.5444574);
    path62.lineTo(size.width * 0.5193000, size.height * 0.5372229);
    path62.lineTo(size.width * 0.5201000, size.height * 0.5372229);
    path62.lineTo(size.width * 0.5218000, size.height * 0.5327888);
    path62.lineTo(size.width * 0.5228500, size.height * 0.5326721);
    path62.lineTo(size.width * 0.5244500, size.height * 0.5358226);
    path62.lineTo(size.width * 0.5264000, size.height * 0.5332555);
    path62.lineTo(size.width * 0.5266500, size.height * 0.5301050);
    path62.lineTo(size.width * 0.5273000, size.height * 0.5270712);
    path62.lineTo(size.width * 0.5277000, size.height * 0.5233372);
    path62.lineTo(size.width * 0.5292000, size.height * 0.5203034);
    path62.lineTo(size.width * 0.5297500, size.height * 0.5150525);
    path62.lineTo(size.width * 0.5303500, size.height * 0.5133022);
    path62.lineTo(size.width * 0.5307500, size.height * 0.5094516);
    path62.lineTo(size.width * 0.5314500, size.height * 0.5046674);
    path62.lineTo(size.width * 0.5338000, size.height * 0.4988331);
    path62.lineTo(size.width * 0.5339500, size.height * 0.4963827);
    path62.lineTo(size.width * 0.5342500, size.height * 0.4949825);
    path62.lineTo(size.width * 0.5331000, size.height * 0.4920653);
    path62.lineTo(size.width * 0.5332000, size.height * 0.4896149);
    path62.lineTo(size.width * 0.5339500, size.height * 0.4892649);
    path62.lineTo(size.width * 0.5351000, size.height * 0.4940490);
    path62.lineTo(size.width * 0.5353500, size.height * 0.4989498);
    path62.lineTo(size.width * 0.5352500, size.height * 0.5039673);
    path62.lineTo(size.width * 0.5368500, size.height * 0.5107351);
    path62.lineTo(size.width * 0.5352500, size.height * 0.5107351);
    path62.lineTo(size.width * 0.5344500, size.height * 0.5112019);
    path62.lineTo(size.width * 0.5331500, size.height * 0.5105018);
    path62.lineTo(size.width * 0.5325500, size.height * 0.5140023);
    path62.lineTo(size.width * 0.5342500, size.height * 0.5184364);
    path62.lineTo(size.width * 0.5355000, size.height * 0.5197200);
    path62.lineTo(size.width * 0.5359000, size.height * 0.5227538);
    path62.lineTo(size.width * 0.5368000, size.height * 0.5278880);
    path62.lineTo(size.width * 0.5364000, size.height * 0.5299883);
    path62.close();

    Paint paint62fill = Paint()..style = PaintingStyle.fill;
    paint62fill.color = countryColors.cM ?? defaultCountryColor;
    canvas.drawPath(path62, paint62fill);

    Path path63 = Path();
    path63.moveTo(size.width * 0.5706500, size.height * 0.5463244);
    path63.lineTo(size.width * 0.5724000, size.height * 0.5525088);
    path63.lineTo(size.width * 0.5737000, size.height * 0.5534422);
    path63.lineTo(size.width * 0.5744500, size.height * 0.5521587);
    path63.lineTo(size.width * 0.5757500, size.height * 0.5526254);
    path63.lineTo(size.width * 0.5773000, size.height * 0.5511085);
    path63.lineTo(size.width * 0.5780000, size.height * 0.5542590);
    path63.lineTo(size.width * 0.5805500, size.height * 0.5592765);
    path63.lineTo(size.width * 0.5804000, size.height * 0.5680280);
    path63.lineTo(size.width * 0.5815500, size.height * 0.5690782);
    path63.lineTo(size.width * 0.5806000, size.height * 0.5716453);
    path63.lineTo(size.width * 0.5795500, size.height * 0.5737456);
    path63.lineTo(size.width * 0.5784500, size.height * 0.5775963);
    path63.lineTo(size.width * 0.5778500, size.height * 0.5810968);
    path63.lineTo(size.width * 0.5777000, size.height * 0.5870478);
    path63.lineTo(size.width * 0.5770500, size.height * 0.5899650);
    path63.lineTo(size.width * 0.5770000, size.height * 0.5955659);
    path63.lineTo(size.width * 0.5762000, size.height * 0.5976663);
    path63.lineTo(size.width * 0.5761000, size.height * 0.6021004);
    path63.lineTo(size.width * 0.5757000, size.height * 0.6026838);
    path63.lineTo(size.width * 0.5754000, size.height * 0.6068845);
    path63.lineTo(size.width * 0.5761000, size.height * 0.6102684);
    path63.lineTo(size.width * 0.5761500, size.height * 0.6114352);
    path63.lineTo(size.width * 0.5755500, size.height * 0.6234539);
    path63.lineTo(size.width * 0.5763000, size.height * 0.6276546);
    path63.lineTo(size.width * 0.5758000, size.height * 0.6308051);
    path63.lineTo(size.width * 0.5767000, size.height * 0.6361727);
    path63.lineTo(size.width * 0.5784000, size.height * 0.6402567);
    path63.lineTo(size.width * 0.5787500, size.height * 0.6443407);
    path63.lineTo(size.width * 0.5795500, size.height * 0.6463244);
    path63.lineTo(size.width * 0.5794000, size.height * 0.6476079);
    path63.lineTo(size.width * 0.5789500, size.height * 0.6472579);
    path63.lineTo(size.width * 0.5751000, size.height * 0.6485414);
    path63.lineTo(size.width * 0.5743500, size.height * 0.6494749);
    path63.lineTo(size.width * 0.5735000, size.height * 0.6542590);
    path63.lineTo(size.width * 0.5741000, size.height * 0.6575263);
    path63.lineTo(size.width * 0.5735500, size.height * 0.6663944);
    path63.lineTo(size.width * 0.5731000, size.height * 0.6738623);
    path63.lineTo(size.width * 0.5738500, size.height * 0.6752625);
    path63.lineTo(size.width * 0.5758000, size.height * 0.6781797);
    path63.lineTo(size.width * 0.5766000, size.height * 0.6767795);
    path63.lineTo(size.width * 0.5767000, size.height * 0.6848308);
    path63.lineTo(size.width * 0.5745500, size.height * 0.6848308);
    path63.lineTo(size.width * 0.5734500, size.height * 0.6807468);
    path63.lineTo(size.width * 0.5724500, size.height * 0.6774796);
    path63.lineTo(size.width * 0.5703000, size.height * 0.6764294);
    path63.lineTo(size.width * 0.5697000, size.height * 0.6725788);
    path63.lineTo(size.width * 0.5679500, size.height * 0.6749125);
    path63.lineTo(size.width * 0.5657500, size.height * 0.6738623);
    path63.lineTo(size.width * 0.5648000, size.height * 0.6704784);
    path63.lineTo(size.width * 0.5630500, size.height * 0.6697783);
    path63.lineTo(size.width * 0.5617000, size.height * 0.6698950);
    path63.lineTo(size.width * 0.5615500, size.height * 0.6675613);
    path63.lineTo(size.width * 0.5606000, size.height * 0.6674446);
    path63.lineTo(size.width * 0.5593000, size.height * 0.6669778);
    path63.lineTo(size.width * 0.5575500, size.height * 0.6681447);
    path63.lineTo(size.width * 0.5563500, size.height * 0.6679113);
    path63.lineTo(size.width * 0.5556500, size.height * 0.6686114);
    path63.lineTo(size.width * 0.5558500, size.height * 0.6597433);
    path63.lineTo(size.width * 0.5549500, size.height * 0.6569428);
    path63.lineTo(size.width * 0.5547500, size.height * 0.6522754);
    path63.lineTo(size.width * 0.5552000, size.height * 0.6477246);
    path63.lineTo(size.width * 0.5546500, size.height * 0.6449242);
    path63.lineTo(size.width * 0.5546000, size.height * 0.6401400);
    path63.lineTo(size.width * 0.5512000, size.height * 0.6402567);
    path63.lineTo(size.width * 0.5514500, size.height * 0.6375729);
    path63.lineTo(size.width * 0.5500000, size.height * 0.6375729);
    path63.lineTo(size.width * 0.5498500, size.height * 0.6388565);
    path63.lineTo(size.width * 0.5481000, size.height * 0.6392065);
    path63.lineTo(size.width * 0.5473500, size.height * 0.6435239);
    path63.lineTo(size.width * 0.5469000, size.height * 0.6453909);
    path63.lineTo(size.width * 0.5453500, size.height * 0.6443407);
    path63.lineTo(size.width * 0.5444500, size.height * 0.6453909);
    path63.lineTo(size.width * 0.5425500, size.height * 0.6459743);
    path63.lineTo(size.width * 0.5415000, size.height * 0.6421237);
    path63.lineTo(size.width * 0.5408500, size.height * 0.6396733);
    path63.lineTo(size.width * 0.5400500, size.height * 0.6351225);
    path63.lineTo(size.width * 0.5394000, size.height * 0.6296383);
    path63.lineTo(size.width * 0.5310500, size.height * 0.6295216);
    path63.lineTo(size.width * 0.5300500, size.height * 0.6303384);
    path63.lineTo(size.width * 0.5292000, size.height * 0.6302217);
    path63.lineTo(size.width * 0.5280500, size.height * 0.6312719);
    path63.lineTo(size.width * 0.5276500, size.height * 0.6289382);
    path63.lineTo(size.width * 0.5283500, size.height * 0.6281214);
    path63.lineTo(size.width * 0.5284500, size.height * 0.6248541);
    path63.lineTo(size.width * 0.5289500, size.height * 0.6229872);
    path63.lineTo(size.width * 0.5299500, size.height * 0.6213536);
    path63.lineTo(size.width * 0.5307000, size.height * 0.6221704);
    path63.lineTo(size.width * 0.5317000, size.height * 0.6192532);
    path63.lineTo(size.width * 0.5332500, size.height * 0.6193699);
    path63.lineTo(size.width * 0.5334000, size.height * 0.6214702);
    path63.lineTo(size.width * 0.5344500, size.height * 0.6227538);
    path63.lineTo(size.width * 0.5361500, size.height * 0.6180863);
    path63.lineTo(size.width * 0.5378000, size.height * 0.6144691);
    path63.lineTo(size.width * 0.5385000, size.height * 0.6120187);
    path63.lineTo(size.width * 0.5384500, size.height * 0.6058343);
    path63.lineTo(size.width * 0.5397000, size.height * 0.5985998);
    path63.lineTo(size.width * 0.5410000, size.height * 0.5947491);
    path63.lineTo(size.width * 0.5428500, size.height * 0.5911319);
    path63.lineTo(size.width * 0.5432000, size.height * 0.5887981);
    path63.lineTo(size.width * 0.5432500, size.height * 0.5859977);
    path63.lineTo(size.width * 0.5437000, size.height * 0.5834306);
    path63.lineTo(size.width * 0.5435500, size.height * 0.5791132);
    path63.lineTo(size.width * 0.5439000, size.height * 0.5724621);
    path63.lineTo(size.width * 0.5444500, size.height * 0.5677946);
    path63.lineTo(size.width * 0.5453000, size.height * 0.5638273);
    path63.lineTo(size.width * 0.5454500, size.height * 0.5592765);
    path63.lineTo(size.width * 0.5457000, size.height * 0.5540257);
    path63.lineTo(size.width * 0.5468000, size.height * 0.5502917);
    path63.lineTo(size.width * 0.5483000, size.height * 0.5478413);
    path63.lineTo(size.width * 0.5506500, size.height * 0.5504084);
    path63.lineTo(size.width * 0.5524500, size.height * 0.5532089);
    path63.lineTo(size.width * 0.5545000, size.height * 0.5539090);
    path63.lineTo(size.width * 0.5566500, size.height * 0.5554259);
    path63.lineTo(size.width * 0.5574500, size.height * 0.5508751);
    path63.lineTo(size.width * 0.5578500, size.height * 0.5502917);
    path63.lineTo(size.width * 0.5591500, size.height * 0.5509918);
    path63.lineTo(size.width * 0.5623000, size.height * 0.5472579);
    path63.lineTo(size.width * 0.5634000, size.height * 0.5488915);
    path63.lineTo(size.width * 0.5643000, size.height * 0.5486581);
    path63.lineTo(size.width * 0.5647500, size.height * 0.5467911);
    path63.lineTo(size.width * 0.5658000, size.height * 0.5462077);
    path63.lineTo(size.width * 0.5679000, size.height * 0.5470245);
    path63.lineTo(size.width * 0.5697500, size.height * 0.5471412);
    path63.lineTo(size.width * 0.5706500, size.height * 0.5463244);
    path63.close();

    Paint paint63fill = Paint()..style = PaintingStyle.fill;
    paint63fill.color = countryColors.cD ?? defaultCountryColor;
    canvas.drawPath(path63, paint63fill);

    Path path64 = Path();
    path64.moveTo(size.width * 0.5454500, size.height * 0.5592765);
    path64.lineTo(size.width * 0.5453000, size.height * 0.5638273);
    path64.lineTo(size.width * 0.5444500, size.height * 0.5677946);
    path64.lineTo(size.width * 0.5439000, size.height * 0.5724621);
    path64.lineTo(size.width * 0.5435500, size.height * 0.5791132);
    path64.lineTo(size.width * 0.5437000, size.height * 0.5834306);
    path64.lineTo(size.width * 0.5432500, size.height * 0.5859977);
    path64.lineTo(size.width * 0.5432000, size.height * 0.5887981);
    path64.lineTo(size.width * 0.5428500, size.height * 0.5911319);
    path64.lineTo(size.width * 0.5410000, size.height * 0.5947491);
    path64.lineTo(size.width * 0.5397000, size.height * 0.5985998);
    path64.lineTo(size.width * 0.5384500, size.height * 0.6058343);
    path64.lineTo(size.width * 0.5385000, size.height * 0.6120187);
    path64.lineTo(size.width * 0.5378000, size.height * 0.6144691);
    path64.lineTo(size.width * 0.5361500, size.height * 0.6180863);
    path64.lineTo(size.width * 0.5344500, size.height * 0.6227538);
    path64.lineTo(size.width * 0.5334000, size.height * 0.6214702);
    path64.lineTo(size.width * 0.5332500, size.height * 0.6193699);
    path64.lineTo(size.width * 0.5317000, size.height * 0.6192532);
    path64.lineTo(size.width * 0.5307000, size.height * 0.6221704);
    path64.lineTo(size.width * 0.5299500, size.height * 0.6213536);
    path64.lineTo(size.width * 0.5289000, size.height * 0.6187865);
    path64.lineTo(size.width * 0.5280500, size.height * 0.6200700);
    path64.lineTo(size.width * 0.5269000, size.height * 0.6233372);
    path64.lineTo(size.width * 0.5246000, size.height * 0.6154026);
    path64.lineTo(size.width * 0.5267500, size.height * 0.6112019);
    path64.lineTo(size.width * 0.5257000, size.height * 0.6063011);
    path64.lineTo(size.width * 0.5267000, size.height * 0.6044341);
    path64.lineTo(size.width * 0.5286000, size.height * 0.6035006);
    path64.lineTo(size.width * 0.5288000, size.height * 0.6001167);
    path64.lineTo(size.width * 0.5303500, size.height * 0.6037340);
    path64.lineTo(size.width * 0.5328500, size.height * 0.6040840);
    path64.lineTo(size.width * 0.5337000, size.height * 0.6005834);
    path64.lineTo(size.width * 0.5340500, size.height * 0.5955659);
    path64.lineTo(size.width * 0.5337500, size.height * 0.5897316);
    path64.lineTo(size.width * 0.5324000, size.height * 0.5852975);
    path64.lineTo(size.width * 0.5336500, size.height * 0.5765461);
    path64.lineTo(size.width * 0.5329500, size.height * 0.5751459);
    path64.lineTo(size.width * 0.5308500, size.height * 0.5757293);
    path64.lineTo(size.width * 0.5300500, size.height * 0.5718786);
    path64.lineTo(size.width * 0.5302500, size.height * 0.5686114);
    path64.lineTo(size.width * 0.5338000, size.height * 0.5688448);
    path64.lineTo(size.width * 0.5361000, size.height * 0.5708285);
    path64.lineTo(size.width * 0.5383500, size.height * 0.5725788);
    path64.lineTo(size.width * 0.5385500, size.height * 0.5686114);
    path64.lineTo(size.width * 0.5400500, size.height * 0.5616103);
    path64.lineTo(size.width * 0.5417000, size.height * 0.5576429);
    path64.lineTo(size.width * 0.5436500, size.height * 0.5589265);
    path64.lineTo(size.width * 0.5454500, size.height * 0.5592765);
    path64.close();

    Paint paint64fill = Paint()..style = PaintingStyle.fill;
    paint64fill.color = countryColors.cG ?? defaultCountryColor;
    canvas.drawPath(path64, paint64fill);

    Path path65 = Path();
    path65.moveTo(size.width * 0.2922000, size.height * 0.4973162);
    path65.lineTo(size.width * 0.2903500, size.height * 0.4985998);
    path65.lineTo(size.width * 0.2895500, size.height * 0.5023337);
    path65.lineTo(size.width * 0.2884000, size.height * 0.5044341);
    path65.lineTo(size.width * 0.2875000, size.height * 0.5072345);
    path65.lineTo(size.width * 0.2870500, size.height * 0.5126021);
    path65.lineTo(size.width * 0.2861500, size.height * 0.5170362);
    path65.lineTo(size.width * 0.2876000, size.height * 0.5175029);
    path65.lineTo(size.width * 0.2879000, size.height * 0.5208868);
    path65.lineTo(size.width * 0.2885000, size.height * 0.5226371);
    path65.lineTo(size.width * 0.2886500, size.height * 0.5255543);
    path65.lineTo(size.width * 0.2883000, size.height * 0.5283547);
    path65.lineTo(size.width * 0.2883500, size.height * 0.5299883);
    path65.lineTo(size.width * 0.2890500, size.height * 0.5305718);
    path65.lineTo(size.width * 0.2896500, size.height * 0.5331389);
    path65.lineTo(size.width * 0.2933000, size.height * 0.5324387);
    path65.lineTo(size.width * 0.2949500, size.height * 0.5333722);
    path65.lineTo(size.width * 0.2968500, size.height * 0.5399067);
    path65.lineTo(size.width * 0.2980000, size.height * 0.5390898);
    path65.lineTo(size.width * 0.3000500, size.height * 0.5394399);
    path65.lineTo(size.width * 0.3016500, size.height * 0.5386231);
    path65.lineTo(size.width * 0.3026500, size.height * 0.5399067);
    path65.lineTo(size.width * 0.3020500, size.height * 0.5438740);
    path65.lineTo(size.width * 0.3014000, size.height * 0.5464411);
    path65.lineTo(size.width * 0.3011000, size.height * 0.5518086);
    path65.lineTo(size.width * 0.3016500, size.height * 0.5568261);
    path65.lineTo(size.width * 0.3024000, size.height * 0.5590432);
    path65.lineTo(size.width * 0.3025000, size.height * 0.5606768);
    path65.lineTo(size.width * 0.3010500, size.height * 0.5644107);
    path65.lineTo(size.width * 0.3020500, size.height * 0.5660443);
    path65.lineTo(size.width * 0.3028000, size.height * 0.5687281);
    path65.lineTo(size.width * 0.3036000, size.height * 0.5761960);
    path65.lineTo(size.width * 0.3030500, size.height * 0.5771295);
    path65.lineTo(size.width * 0.3025500, size.height * 0.5726954);
    path65.lineTo(size.width * 0.3017500, size.height * 0.5702450);
    path65.lineTo(size.width * 0.3008000, size.height * 0.5729288);
    path65.lineTo(size.width * 0.2953000, size.height * 0.5726954);
    path65.lineTo(size.width * 0.2953000, size.height * 0.5773629);
    path65.lineTo(size.width * 0.2969500, size.height * 0.5781797);
    path65.lineTo(size.width * 0.2968500, size.height * 0.5810968);
    path65.lineTo(size.width * 0.2963000, size.height * 0.5802800);
    path65.lineTo(size.width * 0.2947000, size.height * 0.5814469);
    path65.lineTo(size.width * 0.2946500, size.height * 0.5869312);
    path65.lineTo(size.width * 0.2959500, size.height * 0.5897316);
    path65.lineTo(size.width * 0.2964000, size.height * 0.5939323);
    path65.lineTo(size.width * 0.2963500, size.height * 0.5971995);
    path65.lineTo(size.width * 0.2952500, size.height * 0.6177363);
    path65.lineTo(size.width * 0.2938000, size.height * 0.6137690);
    path65.lineTo(size.width * 0.2929500, size.height * 0.6136523);
    path65.lineTo(size.width * 0.2947000, size.height * 0.6059510);
    path65.lineTo(size.width * 0.2925000, size.height * 0.6024504);
    path65.lineTo(size.width * 0.2908000, size.height * 0.6031505);
    path65.lineTo(size.width * 0.2897500, size.height * 0.6018670);
    path65.lineTo(size.width * 0.2882000, size.height * 0.6038506);
    path65.lineTo(size.width * 0.2861000, size.height * 0.6028005);
    path65.lineTo(size.width * 0.2843500, size.height * 0.5949825);
    path65.lineTo(size.width * 0.2830500, size.height * 0.5931155);
    path65.lineTo(size.width * 0.2821500, size.height * 0.5894982);
    path65.lineTo(size.width * 0.2802500, size.height * 0.5859977);
    path65.lineTo(size.width * 0.2795000, size.height * 0.5866978);
    path65.lineTo(size.width * 0.2783000, size.height * 0.5849475);
    path65.lineTo(size.width * 0.2769000, size.height * 0.5824971);
    path65.lineTo(size.width * 0.2761000, size.height * 0.5836639);
    path65.lineTo(size.width * 0.2737000, size.height * 0.5826138);
    path65.lineTo(size.width * 0.2730000, size.height * 0.5793466);
    path65.lineTo(size.width * 0.2724500, size.height * 0.5794632);
    path65.lineTo(size.width * 0.2696500, size.height * 0.5752625);
    path65.lineTo(size.width * 0.2693000, size.height * 0.5729288);
    path65.lineTo(size.width * 0.2703500, size.height * 0.5723454);
    path65.lineTo(size.width * 0.2702500, size.height * 0.5686114);
    path65.lineTo(size.width * 0.2709500, size.height * 0.5658110);
    path65.lineTo(size.width * 0.2723500, size.height * 0.5653442);
    path65.lineTo(size.width * 0.2736000, size.height * 0.5606768);
    path65.lineTo(size.width * 0.2747000, size.height * 0.5567095);
    path65.lineTo(size.width * 0.2737000, size.height * 0.5549592);
    path65.lineTo(size.width * 0.2743000, size.height * 0.5506418);
    path65.lineTo(size.width * 0.2737500, size.height * 0.5437573);
    path65.lineTo(size.width * 0.2744000, size.height * 0.5417736);
    path65.lineTo(size.width * 0.2740500, size.height * 0.5354726);
    path65.lineTo(size.width * 0.2729500, size.height * 0.5313886);
    path65.lineTo(size.width * 0.2734000, size.height * 0.5277713);
    path65.lineTo(size.width * 0.2743000, size.height * 0.5283547);
    path65.lineTo(size.width * 0.2748500, size.height * 0.5261377);
    path65.lineTo(size.width * 0.2743000, size.height * 0.5217036);
    path65.lineTo(size.width * 0.2746500, size.height * 0.5206534);
    path65.lineTo(size.width * 0.2761000, size.height * 0.5208868);
    path65.lineTo(size.width * 0.2783500, size.height * 0.5156359);
    path65.lineTo(size.width * 0.2795500, size.height * 0.5148191);
    path65.lineTo(size.width * 0.2796000, size.height * 0.5123687);
    path65.lineTo(size.width * 0.2803000, size.height * 0.5059510);
    path65.lineTo(size.width * 0.2820000, size.height * 0.5025671);
    path65.lineTo(size.width * 0.2837500, size.height * 0.5023337);
    path65.lineTo(size.width * 0.2840500, size.height * 0.5008168);
    path65.lineTo(size.width * 0.2862500, size.height * 0.5014002);
    path65.lineTo(size.width * 0.2885500, size.height * 0.4976663);
    path65.lineTo(size.width * 0.2897000, size.height * 0.4960327);
    path65.lineTo(size.width * 0.2911500, size.height * 0.4924154);
    path65.lineTo(size.width * 0.2921500, size.height * 0.4928821);
    path65.lineTo(size.width * 0.2928000, size.height * 0.4948658);
    path65.lineTo(size.width * 0.2922000, size.height * 0.4973162);
    path65.close();

    Paint paint65fill = Paint()..style = PaintingStyle.fill;
    paint65fill.color = countryColors.cO ?? defaultCountryColor;
    canvas.drawPath(path65, paint65fill);

    Path path66 = Path();
    path66.moveTo(size.width * 0.2573000, size.height * 0.5036173);
    path66.lineTo(size.width * 0.2579000, size.height * 0.5077013);
    path66.lineTo(size.width * 0.2589000, size.height * 0.5107351);
    path66.lineTo(size.width * 0.2601500, size.height * 0.5138856);
    path66.lineTo(size.width * 0.2590500, size.height * 0.5145858);
    path66.lineTo(size.width * 0.2590000, size.height * 0.5176196);
    path66.lineTo(size.width * 0.2595500, size.height * 0.5186698);
    path66.lineTo(size.width * 0.2591000, size.height * 0.5196033);
    path66.lineTo(size.width * 0.2592000, size.height * 0.5208868);
    path66.lineTo(size.width * 0.2589000, size.height * 0.5224037);
    path66.lineTo(size.width * 0.2587500, size.height * 0.5239207);
    path66.lineTo(size.width * 0.2572500, size.height * 0.5222870);
    path66.lineTo(size.width * 0.2567000, size.height * 0.5206534);
    path66.lineTo(size.width * 0.2570500, size.height * 0.5193699);
    path66.lineTo(size.width * 0.2570000, size.height * 0.5177363);
    path66.lineTo(size.width * 0.2562500, size.height * 0.5159860);
    path66.lineTo(size.width * 0.2551500, size.height * 0.5144691);
    path66.lineTo(size.width * 0.2542500, size.height * 0.5135356);
    path66.lineTo(size.width * 0.2541000, size.height * 0.5113186);
    path66.lineTo(size.width * 0.2534000, size.height * 0.5100350);
    path66.lineTo(size.width * 0.2535000, size.height * 0.5121354);
    path66.lineTo(size.width * 0.2529000, size.height * 0.5140023);
    path66.lineTo(size.width * 0.2523000, size.height * 0.5119020);
    path66.lineTo(size.width * 0.2514500, size.height * 0.5110852);
    path66.lineTo(size.width * 0.2511000, size.height * 0.5096849);
    path66.lineTo(size.width * 0.2511500, size.height * 0.5073512);
    path66.lineTo(size.width * 0.2516000, size.height * 0.5050175);
    path66.lineTo(size.width * 0.2508500, size.height * 0.5039673);
    path66.lineTo(size.width * 0.2515500, size.height * 0.5024504);
    path66.lineTo(size.width * 0.2520000, size.height * 0.5015169);
    path66.lineTo(size.width * 0.2538000, size.height * 0.5035006);
    path66.lineTo(size.width * 0.2544500, size.height * 0.5025671);
    path66.lineTo(size.width * 0.2553500, size.height * 0.5031505);
    path66.lineTo(size.width * 0.2557500, size.height * 0.5046674);
    path66.lineTo(size.width * 0.2566000, size.height * 0.5052509);
    path66.lineTo(size.width * 0.2573000, size.height * 0.5036173);
    path66.close();

    Paint paint66fill = Paint()..style = PaintingStyle.fill;
    paint66fill.color = countryColors.cR ?? defaultCountryColor;
    canvas.drawPath(path66, paint66fill);

    Path path67 = Path();
    path67.moveTo(size.width * 0.2724000, size.height * 0.4150525);
    path67.lineTo(size.width * 0.2733500, size.height * 0.4177363);
    path67.lineTo(size.width * 0.2759500, size.height * 0.4169195);
    path67.lineTo(size.width * 0.2768500, size.height * 0.4186698);
    path67.lineTo(size.width * 0.2789500, size.height * 0.4233372);
    path67.lineTo(size.width * 0.2805500, size.height * 0.4267211);
    path67.lineTo(size.width * 0.2814500, size.height * 0.4266044);
    path67.lineTo(size.width * 0.2830500, size.height * 0.4281214);
    path67.lineTo(size.width * 0.2827500, size.height * 0.4302217);
    path67.lineTo(size.width * 0.2847500, size.height * 0.4305718);
    path67.lineTo(size.width * 0.2867000, size.height * 0.4336056);
    path67.lineTo(size.width * 0.2863000, size.height * 0.4353559);
    path67.lineTo(size.width * 0.2844000, size.height * 0.4362894);
    path67.lineTo(size.width * 0.2825000, size.height * 0.4366394);
    path67.lineTo(size.width * 0.2806500, size.height * 0.4360560);
    path67.lineTo(size.width * 0.2766000, size.height * 0.4367561);
    path67.lineTo(size.width * 0.2787000, size.height * 0.4326721);
    path67.lineTo(size.width * 0.2776500, size.height * 0.4306884);
    path67.lineTo(size.width * 0.2758500, size.height * 0.4302217);
    path67.lineTo(size.width * 0.2750000, size.height * 0.4280047);
    path67.lineTo(size.width * 0.2746000, size.height * 0.4238040);
    path67.lineTo(size.width * 0.2730000, size.height * 0.4240373);
    path67.lineTo(size.width * 0.2705000, size.height * 0.4220537);
    path67.lineTo(size.width * 0.2697500, size.height * 0.4204201);
    path67.lineTo(size.width * 0.2662000, size.height * 0.4192532);
    path67.lineTo(size.width * 0.2653000, size.height * 0.4178530);
    path67.lineTo(size.width * 0.2664500, size.height * 0.4159860);
    path67.lineTo(size.width * 0.2637500, size.height * 0.4156359);
    path67.lineTo(size.width * 0.2615500, size.height * 0.4194866);
    path67.lineTo(size.width * 0.2604000, size.height * 0.4196033);
    path67.lineTo(size.width * 0.2599000, size.height * 0.4214702);
    path67.lineTo(size.width * 0.2585000, size.height * 0.4222870);
    path67.lineTo(size.width * 0.2573500, size.height * 0.4214702);
    path67.lineTo(size.width * 0.2589500, size.height * 0.4192532);
    path67.lineTo(size.width * 0.2597000, size.height * 0.4164527);
    path67.lineTo(size.width * 0.2610500, size.height * 0.4148191);
    path67.lineTo(size.width * 0.2625500, size.height * 0.4134189);
    path67.lineTo(size.width * 0.2647000, size.height * 0.4127188);
    path67.lineTo(size.width * 0.2654000, size.height * 0.4117853);
    path67.lineTo(size.width * 0.2677500, size.height * 0.4123687);
    path67.lineTo(size.width * 0.2699500, size.height * 0.4124854);
    path67.lineTo(size.width * 0.2724000, size.height * 0.4150525);
    path67.close();

    Paint paint67fill = Paint()..style = PaintingStyle.fill;
    paint67fill.color = countryColors.cU ?? defaultCountryColor;
    canvas.drawPath(path67, paint67fill);

    Path path68 = Path();
    path68.moveTo(size.width * 0.5298500, size.height * 0.2044341);
    path68.lineTo(size.width * 0.5311000, size.height * 0.2067678);
    path68.lineTo(size.width * 0.5329500, size.height * 0.2073512);
    path68.lineTo(size.width * 0.5328500, size.height * 0.2093349);
    path68.lineTo(size.width * 0.5342500, size.height * 0.2108518);
    path68.lineTo(size.width * 0.5345500, size.height * 0.2089848);
    path68.lineTo(size.width * 0.5362500, size.height * 0.2098016);
    path68.lineTo(size.width * 0.5366000, size.height * 0.2121354);
    path68.lineTo(size.width * 0.5384500, size.height * 0.2124854);
    path68.lineTo(size.width * 0.5397500, size.height * 0.2161027);
    path68.lineTo(size.width * 0.5390000, size.height * 0.2161027);
    path68.lineTo(size.width * 0.5386500, size.height * 0.2173862);
    path68.lineTo(size.width * 0.5381000, size.height * 0.2177363);
    path68.lineTo(size.width * 0.5380000, size.height * 0.2193699);
    path68.lineTo(size.width * 0.5375500, size.height * 0.2197200);
    path68.lineTo(size.width * 0.5375000, size.height * 0.2204201);
    path68.lineTo(size.width * 0.5367000, size.height * 0.2211202);
    path68.lineTo(size.width * 0.5356000, size.height * 0.2210035);
    path68.lineTo(size.width * 0.5353000, size.height * 0.2226371);
    path68.lineTo(size.width * 0.5341000, size.height * 0.2212369);
    path68.lineTo(size.width * 0.5329500, size.height * 0.2215869);
    path68.lineTo(size.width * 0.5309500, size.height * 0.2193699);
    path68.lineTo(size.width * 0.5301000, size.height * 0.2199533);
    path68.lineTo(size.width * 0.5288000, size.height * 0.2229872);
    path68.lineTo(size.width * 0.5269000, size.height * 0.2205368);
    path68.lineTo(size.width * 0.5254000, size.height * 0.2175029);
    path68.lineTo(size.width * 0.5241000, size.height * 0.2157526);
    path68.lineTo(size.width * 0.5237500, size.height * 0.2126021);
    path68.lineTo(size.width * 0.5232500, size.height * 0.2105018);
    path68.lineTo(size.width * 0.5249500, size.height * 0.2089848);
    path68.lineTo(size.width * 0.5258000, size.height * 0.2071179);
    path68.lineTo(size.width * 0.5275500, size.height * 0.2057176);
    path68.lineTo(size.width * 0.5281000, size.height * 0.2043174);
    path68.lineTo(size.width * 0.5287500, size.height * 0.2051342);
    path68.lineTo(size.width * 0.5298500, size.height * 0.2044341);
    path68.close();

    Paint paint68fill = Paint()..style = PaintingStyle.fill;
    paint68fill.color = countryColors.cZ ?? defaultCountryColor;
    canvas.drawPath(path68, paint68fill);

    Path path69 = Path();
    path69.moveTo(size.width * 0.5269500, size.height * 0.1854142);
    path69.lineTo(size.width * 0.5276500, size.height * 0.1890315);
    path69.lineTo(size.width * 0.5270500, size.height * 0.1910152);
    path69.lineTo(size.width * 0.5280000, size.height * 0.1934656);
    path69.lineTo(size.width * 0.5287500, size.height * 0.1973162);
    path69.lineTo(size.width * 0.5286500, size.height * 0.1998833);
    path69.lineTo(size.width * 0.5298500, size.height * 0.2044341);
    path69.lineTo(size.width * 0.5287500, size.height * 0.2051342);
    path69.lineTo(size.width * 0.5281000, size.height * 0.2043174);
    path69.lineTo(size.width * 0.5275500, size.height * 0.2057176);
    path69.lineTo(size.width * 0.5258000, size.height * 0.2071179);
    path69.lineTo(size.width * 0.5249500, size.height * 0.2089848);
    path69.lineTo(size.width * 0.5232500, size.height * 0.2105018);
    path69.lineTo(size.width * 0.5237500, size.height * 0.2126021);
    path69.lineTo(size.width * 0.5241000, size.height * 0.2157526);
    path69.lineTo(size.width * 0.5254000, size.height * 0.2175029);
    path69.lineTo(size.width * 0.5269000, size.height * 0.2205368);
    path69.lineTo(size.width * 0.5261000, size.height * 0.2239207);
    path69.lineTo(size.width * 0.5252500, size.height * 0.2248541);
    path69.lineTo(size.width * 0.5257500, size.height * 0.2296383);
    path69.lineTo(size.width * 0.5255500, size.height * 0.2309218);
    path69.lineTo(size.width * 0.5247000, size.height * 0.2294049);
    path69.lineTo(size.width * 0.5235000, size.height * 0.2291715);
    path69.lineTo(size.width * 0.5217500, size.height * 0.2304551);
    path69.lineTo(size.width * 0.5195500, size.height * 0.2301050);
    path69.lineTo(size.width * 0.5192500, size.height * 0.2320887);
    path69.lineTo(size.width * 0.5179000, size.height * 0.2301050);
    path69.lineTo(size.width * 0.5172000, size.height * 0.2304551);
    path69.lineTo(size.width * 0.5144500, size.height * 0.2282380);
    path69.lineTo(size.width * 0.5139500, size.height * 0.2297550);
    path69.lineTo(size.width * 0.5118500, size.height * 0.2297550);
    path69.lineTo(size.width * 0.5120500, size.height * 0.2245041);
    path69.lineTo(size.width * 0.5132500, size.height * 0.2196033);
    path69.lineTo(size.width * 0.5096500, size.height * 0.2182030);
    path69.lineTo(size.width * 0.5084500, size.height * 0.2163361);
    path69.lineTo(size.width * 0.5085500, size.height * 0.2131855);
    path69.lineTo(size.width * 0.5080500, size.height * 0.2115519);
    path69.lineTo(size.width * 0.5082500, size.height * 0.2066511);
    path69.lineTo(size.width * 0.5077000, size.height * 0.1990665);
    path69.lineTo(size.width * 0.5091500, size.height * 0.1990665);
    path69.lineTo(size.width * 0.5097500, size.height * 0.1963827);
    path69.lineTo(size.width * 0.5102000, size.height * 0.1898483);
    path69.lineTo(size.width * 0.5097500, size.height * 0.1873979);
    path69.lineTo(size.width * 0.5101500, size.height * 0.1858810);
    path69.lineTo(size.width * 0.5121500, size.height * 0.1855309);
    path69.lineTo(size.width * 0.5126500, size.height * 0.1870478);
    path69.lineTo(size.width * 0.5142000, size.height * 0.1835473);
    path69.lineTo(size.width * 0.5135500, size.height * 0.1808635);
    path69.lineTo(size.width * 0.5133500, size.height * 0.1768961);
    path69.lineTo(size.width * 0.5152000, size.height * 0.1778296);
    path69.lineTo(size.width * 0.5166500, size.height * 0.1767795);
    path69.lineTo(size.width * 0.5168000, size.height * 0.1794632);
    path69.lineTo(size.width * 0.5192500, size.height * 0.1810968);
    path69.lineTo(size.width * 0.5193000, size.height * 0.1836639);
    path69.lineTo(size.width * 0.5216500, size.height * 0.1822637);
    path69.lineTo(size.width * 0.5229500, size.height * 0.1803967);
    path69.lineTo(size.width * 0.5257500, size.height * 0.1831972);
    path69.lineTo(size.width * 0.5269500, size.height * 0.1854142);
    path69.close();

    Paint paint69fill = Paint()..style = PaintingStyle.fill;
    paint69fill.color = countryColors.dE ?? defaultCountryColor;
    canvas.drawPath(path69, paint69fill);

    Path path70 = Path();
    path70.moveTo(size.width * 0.6147500, size.height * 0.4996499);
    path70.lineTo(size.width * 0.6138000, size.height * 0.5037340);
    path70.lineTo(size.width * 0.6131500, size.height * 0.5023337);
    path70.lineTo(size.width * 0.6125000, size.height * 0.5029172);
    path70.lineTo(size.width * 0.6109000, size.height * 0.5028005);
    path70.lineTo(size.width * 0.6108000, size.height * 0.5004667);
    path70.lineTo(size.width * 0.6105500, size.height * 0.4983664);
    path70.lineTo(size.width * 0.6114500, size.height * 0.4948658);
    path70.lineTo(size.width * 0.6124000, size.height * 0.4915986);
    path70.lineTo(size.width * 0.6136000, size.height * 0.4922987);
    path70.lineTo(size.width * 0.6144500, size.height * 0.4904317);
    path70.lineTo(size.width * 0.6151500, size.height * 0.4927655);
    path70.lineTo(size.width * 0.6151000, size.height * 0.4957993);
    path70.lineTo(size.width * 0.6135500, size.height * 0.4976663);
    path70.lineTo(size.width * 0.6147500, size.height * 0.4996499);
    path70.close();

    Paint paint70fill = Paint()..style = PaintingStyle.fill;
    paint70fill.color = countryColors.dJ ?? defaultCountryColor;
    canvas.drawPath(path70, paint70fill);

    Path path71 = Path();
    path71.moveTo(size.width * 0.5230500, size.height * 0.1723454);
    path71.lineTo(size.width * 0.5218500, size.height * 0.1780630);
    path71.lineTo(size.width * 0.5192500, size.height * 0.1739790);
    path71.lineTo(size.width * 0.5188000, size.height * 0.1710618);
    path71.lineTo(size.width * 0.5222000, size.height * 0.1687281);
    path71.lineTo(size.width * 0.5230500, size.height * 0.1723454);
    path71.close();

    Paint paint71fill = Paint()..style = PaintingStyle.fill;
    paint71fill.color = countryColors.dK ?? defaultCountryColor;
    canvas.drawPath(path71, paint71fill);

    Path path72 = Path();
    path72.moveTo(size.width * 0.5166500, size.height * 0.1767795);
    path72.lineTo(size.width * 0.5152000, size.height * 0.1778296);
    path72.lineTo(size.width * 0.5133500, size.height * 0.1768961);
    path72.lineTo(size.width * 0.5123000, size.height * 0.1729288);
    path72.lineTo(size.width * 0.5121000, size.height * 0.1658110);
    path72.lineTo(size.width * 0.5124000, size.height * 0.1638273);
    path72.lineTo(size.width * 0.5130500, size.height * 0.1617270);
    path72.lineTo(size.width * 0.5150500, size.height * 0.1613769);
    path72.lineTo(size.width * 0.5158500, size.height * 0.1593932);
    path72.lineTo(size.width * 0.5176500, size.height * 0.1574096);
    path72.lineTo(size.width * 0.5176500, size.height * 0.1610268);
    path72.lineTo(size.width * 0.5170500, size.height * 0.1633606);
    path72.lineTo(size.width * 0.5174000, size.height * 0.1652275);
    path72.lineTo(size.width * 0.5187000, size.height * 0.1662777);
    path72.lineTo(size.width * 0.5182000, size.height * 0.1689615);
    path72.lineTo(size.width * 0.5175000, size.height * 0.1682614);
    path72.lineTo(size.width * 0.5159500, size.height * 0.1732789);
    path72.lineTo(size.width * 0.5166500, size.height * 0.1767795);
    path72.close();

    Paint paint72fill = Paint()..style = PaintingStyle.fill;
    paint72fill.color = countryColors.dK ?? defaultCountryColor;
    canvas.drawPath(path72, paint72fill);

    Path path73 = Path();
    path73.moveTo(size.width * 0.2928500, size.height * 0.4504084);
    path73.lineTo(size.width * 0.2930000, size.height * 0.4483081);
    path73.lineTo(size.width * 0.2923500, size.height * 0.4460910);
    path73.lineTo(size.width * 0.2931000, size.height * 0.4448075);
    path73.lineTo(size.width * 0.2934500, size.height * 0.4418903);
    path73.lineTo(size.width * 0.2934000, size.height * 0.4379230);
    path73.lineTo(size.width * 0.2938000, size.height * 0.4366394);
    path73.lineTo(size.width * 0.2959500, size.height * 0.4366394);
    path73.lineTo(size.width * 0.2975500, size.height * 0.4385064);
    path73.lineTo(size.width * 0.2983000, size.height * 0.4383897);
    path73.lineTo(size.width * 0.2986500, size.height * 0.4410735);
    path73.lineTo(size.width * 0.3002000, size.height * 0.4408401);
    path73.lineTo(size.width * 0.3000000, size.height * 0.4430572);
    path73.lineTo(size.width * 0.3012500, size.height * 0.4434072);
    path73.lineTo(size.width * 0.3025000, size.height * 0.4460910);
    path73.lineTo(size.width * 0.3013500, size.height * 0.4491249);
    path73.lineTo(size.width * 0.3000500, size.height * 0.4474912);
    path73.lineTo(size.width * 0.2987500, size.height * 0.4478413);
    path73.lineTo(size.width * 0.2978500, size.height * 0.4474912);
    path73.lineTo(size.width * 0.2973000, size.height * 0.4488915);
    path73.lineTo(size.width * 0.2962000, size.height * 0.4493582);
    path73.lineTo(size.width * 0.2958500, size.height * 0.4474912);
    path73.lineTo(size.width * 0.2949000, size.height * 0.4485414);
    path73.lineTo(size.width * 0.2935500, size.height * 0.4536756);
    path73.lineTo(size.width * 0.2929000, size.height * 0.4525088);
    path73.lineTo(size.width * 0.2928500, size.height * 0.4504084);
    path73.close();

    Paint paint73fill = Paint()..style = PaintingStyle.fill;
    paint73fill.color = countryColors.dO ?? defaultCountryColor;
    canvas.drawPath(path73, paint73fill);

    Path path74 = Path();
    path74.moveTo(size.width * 0.5155000, size.height * 0.3087515);
    path74.lineTo(size.width * 0.5150000, size.height * 0.3126021);
    path74.lineTo(size.width * 0.5155000, size.height * 0.3197200);
    path74.lineTo(size.width * 0.5149500, size.height * 0.3259043);
    path74.lineTo(size.width * 0.5133500, size.height * 0.3301050);
    path74.lineTo(size.width * 0.5136500, size.height * 0.3357060);
    path74.lineTo(size.width * 0.5159000, size.height * 0.3402567);
    path74.lineTo(size.width * 0.5159500, size.height * 0.3420070);
    path74.lineTo(size.width * 0.5176500, size.height * 0.3450408);
    path74.lineTo(size.width * 0.5189500, size.height * 0.3584597);
    path74.lineTo(size.width * 0.5199000, size.height * 0.3651109);
    path74.lineTo(size.width * 0.5201000, size.height * 0.3686114);
    path74.lineTo(size.width * 0.5197000, size.height * 0.3746791);
    path74.lineTo(size.width * 0.5199000, size.height * 0.3781797);
    path74.lineTo(size.width * 0.5196000, size.height * 0.3822637);
    path74.lineTo(size.width * 0.5199000, size.height * 0.3869312);
    path74.lineTo(size.width * 0.5188000, size.height * 0.3900817);
    path74.lineTo(size.width * 0.5205000, size.height * 0.3955659);
    path74.lineTo(size.width * 0.5206000, size.height * 0.3987165);
    path74.lineTo(size.width * 0.5216500, size.height * 0.4029172);
    path74.lineTo(size.width * 0.5229000, size.height * 0.4015169);
    path74.lineTo(size.width * 0.5251500, size.height * 0.4050175);
    path74.lineTo(size.width * 0.5264000, size.height * 0.4096849);
    path74.lineTo(size.width * 0.5170000, size.height * 0.4240373);
    path74.lineTo(size.width * 0.5090000, size.height * 0.4387398);
    path74.lineTo(size.width * 0.5051000, size.height * 0.4420070);
    path74.lineTo(size.width * 0.5020000, size.height * 0.4428238);
    path74.lineTo(size.width * 0.5019500, size.height * 0.4380397);
    path74.lineTo(size.width * 0.5006500, size.height * 0.4367561);
    path74.lineTo(size.width * 0.4989000, size.height * 0.4346558);
    path74.lineTo(size.width * 0.4982500, size.height * 0.4311552);
    path74.lineTo(size.width * 0.4889000, size.height * 0.4148191);
    path74.lineTo(size.width * 0.4796000, size.height * 0.3984831);
    path74.lineTo(size.width * 0.4693500, size.height * 0.3802800);
    path74.lineTo(size.width * 0.4694000, size.height * 0.3788798);
    path74.lineTo(size.width * 0.4694500, size.height * 0.3784131);
    path74.lineTo(size.width * 0.4695000, size.height * 0.3695449);
    path74.lineTo(size.width * 0.4739500, size.height * 0.3639440);
    path74.lineTo(size.width * 0.4766500, size.height * 0.3627771);
    path74.lineTo(size.width * 0.4789000, size.height * 0.3607935);
    path74.lineTo(size.width * 0.4799500, size.height * 0.3570595);
    path74.lineTo(size.width * 0.4831500, size.height * 0.3541424);
    path74.lineTo(size.width * 0.4833000, size.height * 0.3485414);
    path74.lineTo(size.width * 0.4848500, size.height * 0.3478413);
    path74.lineTo(size.width * 0.4861000, size.height * 0.3451575);
    path74.lineTo(size.width * 0.4896500, size.height * 0.3438740);
    path74.lineTo(size.width * 0.4901500, size.height * 0.3409568);
    path74.lineTo(size.width * 0.4894500, size.height * 0.3393232);
    path74.lineTo(size.width * 0.4885000, size.height * 0.3313886);
    path74.lineTo(size.width * 0.4883500, size.height * 0.3268378);
    path74.lineTo(size.width * 0.4874000, size.height * 0.3220537);
    path74.lineTo(size.width * 0.4899500, size.height * 0.3179697);
    path74.lineTo(size.width * 0.4928500, size.height * 0.3166861);
    path74.lineTo(size.width * 0.4945000, size.height * 0.3136523);
    path74.lineTo(size.width * 0.4970500, size.height * 0.3113186);
    path74.lineTo(size.width * 0.5015500, size.height * 0.3100350);
    path74.lineTo(size.width * 0.5059500, size.height * 0.3094516);
    path74.lineTo(size.width * 0.5073000, size.height * 0.3105018);
    path74.lineTo(size.width * 0.5097500, size.height * 0.3075846);
    path74.lineTo(size.width * 0.5126000, size.height * 0.3074679);
    path74.lineTo(size.width * 0.5137000, size.height * 0.3092182);
    path74.lineTo(size.width * 0.5155000, size.height * 0.3087515);
    path74.close();

    Paint paint74fill = Paint()..style = PaintingStyle.fill;
    paint74fill.color = countryColors.dZ ?? defaultCountryColor;
    canvas.drawPath(path74, paint74fill);

    Path path75 = Path();
    path75.moveTo(size.width * 0.2795000, size.height * 0.5866978);
    path75.lineTo(size.width * 0.2799000, size.height * 0.5924154);
    path75.lineTo(size.width * 0.2790500, size.height * 0.5971995);
    path75.lineTo(size.width * 0.2760000, size.height * 0.6051342);
    path75.lineTo(size.width * 0.2726500, size.height * 0.6080513);
    path75.lineTo(size.width * 0.2709500, size.height * 0.6145858);
    path75.lineTo(size.width * 0.2705000, size.height * 0.6196033);
    path75.lineTo(size.width * 0.2689500, size.height * 0.6227538);
    path75.lineTo(size.width * 0.2677000, size.height * 0.6189032);
    path75.lineTo(size.width * 0.2665500, size.height * 0.6180863);
    path75.lineTo(size.width * 0.2654000, size.height * 0.6186698);
    path75.lineTo(size.width * 0.2652500, size.height * 0.6159860);
    path75.lineTo(size.width * 0.2660500, size.height * 0.6142357);
    path75.lineTo(size.width * 0.2657000, size.height * 0.6110852);
    path75.lineTo(size.width * 0.2671500, size.height * 0.6054842);
    path75.lineTo(size.width * 0.2665000, size.height * 0.6022170);
    path75.lineTo(size.width * 0.2654500, size.height * 0.6057176);
    path75.lineTo(size.width * 0.2637000, size.height * 0.6023337);
    path75.lineTo(size.width * 0.2642500, size.height * 0.6002334);
    path75.lineTo(size.width * 0.2637500, size.height * 0.5934656);
    path75.lineTo(size.width * 0.2647500, size.height * 0.5922987);
    path75.lineTo(size.width * 0.2652500, size.height * 0.5876313);
    path75.lineTo(size.width * 0.2663000, size.height * 0.5828471);
    path75.lineTo(size.width * 0.2661500, size.height * 0.5798133);
    path75.lineTo(size.width * 0.2677000, size.height * 0.5781797);
    path75.lineTo(size.width * 0.2696500, size.height * 0.5752625);
    path75.lineTo(size.width * 0.2724500, size.height * 0.5794632);
    path75.lineTo(size.width * 0.2730000, size.height * 0.5793466);
    path75.lineTo(size.width * 0.2737000, size.height * 0.5826138);
    path75.lineTo(size.width * 0.2761000, size.height * 0.5836639);
    path75.lineTo(size.width * 0.2769000, size.height * 0.5824971);
    path75.lineTo(size.width * 0.2783000, size.height * 0.5849475);
    path75.lineTo(size.width * 0.2795000, size.height * 0.5866978);
    path75.close();

    Paint paint75fill = Paint()..style = PaintingStyle.fill;
    paint75fill.color = countryColors.eC ?? defaultCountryColor;
    canvas.drawPath(path75, paint75fill);

    Path path76 = Path();
    path76.moveTo(size.width * 0.5860500, size.height * 0.3516919);
    path76.lineTo(size.width * 0.5880000, size.height * 0.3626604);
    path76.lineTo(size.width * 0.5883500, size.height * 0.3645274);
    path76.lineTo(size.width * 0.5877000, size.height * 0.3675613);
    path76.lineTo(size.width * 0.5873500, size.height * 0.3731622);
    path76.lineTo(size.width * 0.5867500, size.height * 0.3771295);
    path76.lineTo(size.width * 0.5861500, size.height * 0.3784131);
    path76.lineTo(size.width * 0.5851500, size.height * 0.3759627);
    path76.lineTo(size.width * 0.5838000, size.height * 0.3726954);
    path76.lineTo(size.width * 0.5814500, size.height * 0.3619603);
    path76.lineTo(size.width * 0.5812000, size.height * 0.3626604);
    path76.lineTo(size.width * 0.5826000, size.height * 0.3704784);
    path76.lineTo(size.width * 0.5845500, size.height * 0.3780630);
    path76.lineTo(size.width * 0.5870000, size.height * 0.3897316);
    path76.lineTo(size.width * 0.5881500, size.height * 0.3938156);
    path76.lineTo(size.width * 0.5891500, size.height * 0.3980163);
    path76.lineTo(size.width * 0.5918500, size.height * 0.4063011);
    path76.lineTo(size.width * 0.5913500, size.height * 0.4075846);
    path76.lineTo(size.width * 0.5915500, size.height * 0.4124854);
    path76.lineTo(size.width * 0.5949500, size.height * 0.4192532);
    path76.lineTo(size.width * 0.5955000, size.height * 0.4207701);
    path76.lineTo(size.width * 0.5844500, size.height * 0.4207701);
    path76.lineTo(size.width * 0.5737000, size.height * 0.4207701);
    path76.lineTo(size.width * 0.5625500, size.height * 0.4207701);
    path76.lineTo(size.width * 0.5620500, size.height * 0.3931155);
    path76.lineTo(size.width * 0.5614000, size.height * 0.3665111);
    path76.lineTo(size.width * 0.5604000, size.height * 0.3604434);
    path76.lineTo(size.width * 0.5609500, size.height * 0.3558926);
    path76.lineTo(size.width * 0.5604500, size.height * 0.3526254);
    path76.lineTo(size.width * 0.5613000, size.height * 0.3490082);
    path76.lineTo(size.width * 0.5649000, size.height * 0.3488915);
    path76.lineTo(size.width * 0.5676000, size.height * 0.3508751);
    path76.lineTo(size.width * 0.5703500, size.height * 0.3530922);
    path76.lineTo(size.width * 0.5716500, size.height * 0.3542590);
    path76.lineTo(size.width * 0.5736500, size.height * 0.3519253);
    path76.lineTo(size.width * 0.5747000, size.height * 0.3498250);
    path76.lineTo(size.width * 0.5770500, size.height * 0.3491249);
    path76.lineTo(size.width * 0.5790000, size.height * 0.3500583);
    path76.lineTo(size.width * 0.5799000, size.height * 0.3537923);
    path76.lineTo(size.width * 0.5804500, size.height * 0.3513419);
    path76.lineTo(size.width * 0.5826500, size.height * 0.3530922);
    path76.lineTo(size.width * 0.5848000, size.height * 0.3535589);
    path76.lineTo(size.width * 0.5860500, size.height * 0.3516919);
    path76.close();

    Paint paint76fill = Paint()..style = PaintingStyle.fill;
    paint76fill.color = countryColors.eG ?? defaultCountryColor;
    canvas.drawPath(path76, paint76fill);

    Path path77 = Path();
    path77.moveTo(size.width * 0.6144500, size.height * 0.4904317);
    path77.lineTo(size.width * 0.6136000, size.height * 0.4922987);
    path77.lineTo(size.width * 0.6124000, size.height * 0.4915986);
    path77.lineTo(size.width * 0.6114000, size.height * 0.4891482);
    path77.lineTo(size.width * 0.6101500, size.height * 0.4848308);
    path77.lineTo(size.width * 0.6088500, size.height * 0.4823804);
    path77.lineTo(size.width * 0.6081000, size.height * 0.4798133);
    path77.lineTo(size.width * 0.6056000, size.height * 0.4767795);
    path77.lineTo(size.width * 0.6036500, size.height * 0.4766628);
    path77.lineTo(size.width * 0.6029500, size.height * 0.4751459);
    path77.lineTo(size.width * 0.6013500, size.height * 0.4768961);
    path77.lineTo(size.width * 0.5995500, size.height * 0.4735123);
    path77.lineTo(size.width * 0.5988000, size.height * 0.4791132);
    path77.lineTo(size.width * 0.5955000, size.height * 0.4774796);
    path77.lineTo(size.width * 0.5951500, size.height * 0.4745624);
    path77.lineTo(size.width * 0.5961500, size.height * 0.4634772);
    path77.lineTo(size.width * 0.5963000, size.height * 0.4585764);
    path77.lineTo(size.width * 0.5971500, size.height * 0.4562427);
    path77.lineTo(size.width * 0.5991500, size.height * 0.4549592);
    path77.lineTo(size.width * 0.6005000, size.height * 0.4507585);
    path77.lineTo(size.width * 0.6023000, size.height * 0.4593932);
    path77.lineTo(size.width * 0.6032500, size.height * 0.4662777);
    path77.lineTo(size.width * 0.6048500, size.height * 0.4698950);
    path77.lineTo(size.width * 0.6088500, size.height * 0.4770128);
    path77.lineTo(size.width * 0.6105000, size.height * 0.4812135);
    path77.lineTo(size.width * 0.6121000, size.height * 0.4856476);
    path77.lineTo(size.width * 0.6130000, size.height * 0.4882147);
    path77.lineTo(size.width * 0.6144500, size.height * 0.4904317);
    path77.close();

    Paint paint77fill = Paint()..style = PaintingStyle.fill;
    paint77fill.color = countryColors.eR ?? defaultCountryColor;
    canvas.drawPath(path77, paint77fill);

    Path path78 = Path();
    path78.moveTo(size.width * 0.5568500, size.height * 0.1453909);
    path78.lineTo(size.width * 0.5573000, size.height * 0.1465578);
    path78.lineTo(size.width * 0.5560000, size.height * 0.1505251);
    path78.lineTo(size.width * 0.5572000, size.height * 0.1570595);
    path78.lineTo(size.width * 0.5564000, size.height * 0.1592765);
    path78.lineTo(size.width * 0.5545000, size.height * 0.1591599);
    path78.lineTo(size.width * 0.5523000, size.height * 0.1565928);
    path78.lineTo(size.width * 0.5512500, size.height * 0.1557760);
    path78.lineTo(size.width * 0.5493500, size.height * 0.1569428);
    path78.lineTo(size.width * 0.5493000, size.height * 0.1528588);
    path78.lineTo(size.width * 0.5485500, size.height * 0.1537923);
    path78.lineTo(size.width * 0.5469000, size.height * 0.1513419);
    path78.lineTo(size.width * 0.5464000, size.height * 0.1473746);
    path78.lineTo(size.width * 0.5491500, size.height * 0.1453909);
    path78.lineTo(size.width * 0.5519500, size.height * 0.1444574);
    path78.lineTo(size.width * 0.5545000, size.height * 0.1455076);
    path78.lineTo(size.width * 0.5568500, size.height * 0.1453909);
    path78.close();

    Paint paint78fill = Paint()..style = PaintingStyle.fill;
    paint78fill.color = countryColors.eE ?? defaultCountryColor;
    canvas.drawPath(path78, paint78fill);

    Path path79 = Path();
    path79.moveTo(size.width * 0.6036500, size.height * 0.4766628);
    path79.lineTo(size.width * 0.6056000, size.height * 0.4767795);
    path79.lineTo(size.width * 0.6081000, size.height * 0.4798133);
    path79.lineTo(size.width * 0.6088500, size.height * 0.4823804);
    path79.lineTo(size.width * 0.6101500, size.height * 0.4848308);
    path79.lineTo(size.width * 0.6114000, size.height * 0.4891482);
    path79.lineTo(size.width * 0.6124000, size.height * 0.4915986);
    path79.lineTo(size.width * 0.6114500, size.height * 0.4948658);
    path79.lineTo(size.width * 0.6105500, size.height * 0.4983664);
    path79.lineTo(size.width * 0.6108000, size.height * 0.5004667);
    path79.lineTo(size.width * 0.6109000, size.height * 0.5028005);
    path79.lineTo(size.width * 0.6125000, size.height * 0.5029172);
    path79.lineTo(size.width * 0.6131500, size.height * 0.5023337);
    path79.lineTo(size.width * 0.6138000, size.height * 0.5037340);
    path79.lineTo(size.width * 0.6132000, size.height * 0.5063011);
    path79.lineTo(size.width * 0.6143000, size.height * 0.5105018);
    path79.lineTo(size.width * 0.6154000, size.height * 0.5141190);
    path79.lineTo(size.width * 0.6165000, size.height * 0.5168028);
    path79.lineTo(size.width * 0.6258500, size.height * 0.5256709);
    path79.lineTo(size.width * 0.6282500, size.height * 0.5255543);
    path79.lineTo(size.width * 0.6204500, size.height * 0.5480747);
    path79.lineTo(size.width * 0.6168000, size.height * 0.5484247);
    path79.lineTo(size.width * 0.6143000, size.height * 0.5536756);
    path79.lineTo(size.width * 0.6125000, size.height * 0.5537923);
    path79.lineTo(size.width * 0.6117500, size.height * 0.5562427);
    path79.lineTo(size.width * 0.6098000, size.height * 0.5562427);
    path79.lineTo(size.width * 0.6086500, size.height * 0.5536756);
    path79.lineTo(size.width * 0.6060500, size.height * 0.5568261);
    path79.lineTo(size.width * 0.6052500, size.height * 0.5599767);
    path79.lineTo(size.width * 0.6033500, size.height * 0.5592765);
    path79.lineTo(size.width * 0.6027000, size.height * 0.5584597);
    path79.lineTo(size.width * 0.6020500, size.height * 0.5586931);
    path79.lineTo(size.width * 0.6011500, size.height * 0.5585764);
    path79.lineTo(size.width * 0.5975500, size.height * 0.5522754);
    path79.lineTo(size.width * 0.5955500, size.height * 0.5522754);
    path79.lineTo(size.width * 0.5946000, size.height * 0.5498250);
    path79.lineTo(size.width * 0.5945500, size.height * 0.5456243);
    path79.lineTo(size.width * 0.5931000, size.height * 0.5443407);
    path79.lineTo(size.width * 0.5913500, size.height * 0.5361727);
    path79.lineTo(size.width * 0.5900500, size.height * 0.5344224);
    path79.lineTo(size.width * 0.5895500, size.height * 0.5313886);
    path79.lineTo(size.width * 0.5880500, size.height * 0.5277713);
    path79.lineTo(size.width * 0.5863000, size.height * 0.5271879);
    path79.lineTo(size.width * 0.5872500, size.height * 0.5229872);
    path79.lineTo(size.width * 0.5887500, size.height * 0.5227538);
    path79.lineTo(size.width * 0.5891500, size.height * 0.5205368);
    path79.lineTo(size.width * 0.5890500, size.height * 0.5147025);
    path79.lineTo(size.width * 0.5890500, size.height * 0.5137690);
    path79.lineTo(size.width * 0.5898000, size.height * 0.5059510);
    path79.lineTo(size.width * 0.5911000, size.height * 0.5038506);
    path79.lineTo(size.width * 0.5913500, size.height * 0.5008168);
    path79.lineTo(size.width * 0.5925000, size.height * 0.4949825);
    path79.lineTo(size.width * 0.5941500, size.height * 0.4913652);
    path79.lineTo(size.width * 0.5951500, size.height * 0.4838973);
    path79.lineTo(size.width * 0.5955000, size.height * 0.4774796);
    path79.lineTo(size.width * 0.5988000, size.height * 0.4791132);
    path79.lineTo(size.width * 0.5995500, size.height * 0.4735123);
    path79.lineTo(size.width * 0.6013500, size.height * 0.4768961);
    path79.lineTo(size.width * 0.6029500, size.height * 0.4751459);
    path79.lineTo(size.width * 0.6036500, size.height * 0.4766628);
    path79.close();

    Paint paint79fill = Paint()..style = PaintingStyle.fill;
    paint79fill.color = countryColors.eT ?? defaultCountryColor;
    canvas.drawPath(path79, paint79fill);

    Path path80 = Path();
    path80.moveTo(size.width * 0.5520500, size.height * 0.08179697);
    path80.lineTo(size.width * 0.5522500, size.height * 0.08623104);
    path80.lineTo(size.width * 0.5559000, size.height * 0.09054842);
    path80.lineTo(size.width * 0.5544500, size.height * 0.09544924);
    path80.lineTo(size.width * 0.5577000, size.height * 0.1028005);
    path80.lineTo(size.width * 0.5568500, size.height * 0.1084014);
    path80.lineTo(size.width * 0.5593000, size.height * 0.1133022);
    path80.lineTo(size.width * 0.5588500, size.height * 0.1177363);
    path80.lineTo(size.width * 0.5625500, size.height * 0.1222870);
    path80.lineTo(size.width * 0.5621000, size.height * 0.1256709);
    path80.lineTo(size.width * 0.5604000, size.height * 0.1296383);
    path80.lineTo(size.width * 0.5564000, size.height * 0.1382730);
    path80.lineTo(size.width * 0.5524000, size.height * 0.1388565);
    path80.lineTo(size.width * 0.5486000, size.height * 0.1413069);
    path80.lineTo(size.width * 0.5450500, size.height * 0.1428238);
    path80.lineTo(size.width * 0.5434500, size.height * 0.1390898);
    path80.lineTo(size.width * 0.5411000, size.height * 0.1368728);
    path80.lineTo(size.width * 0.5411500, size.height * 0.1301050);
    path80.lineTo(size.width * 0.5396500, size.height * 0.1240373);
    path80.lineTo(size.width * 0.5404500, size.height * 0.1200700);
    path80.lineTo(size.width * 0.5421000, size.height * 0.1159860);
    path80.lineTo(size.width * 0.5465000, size.height * 0.1087515);
    path80.lineTo(size.width * 0.5478000, size.height * 0.1073512);
    path80.lineTo(size.width * 0.5473500, size.height * 0.1045508);
    path80.lineTo(size.width * 0.5441000, size.height * 0.1015169);
    path80.lineTo(size.width * 0.5432000, size.height * 0.09894982);
    path80.lineTo(size.width * 0.5423000, size.height * 0.08903151);
    path80.lineTo(size.width * 0.5387000, size.height * 0.08471412);
    path80.lineTo(size.width * 0.5357000, size.height * 0.08156359);
    path80.lineTo(size.width * 0.5368000, size.height * 0.07992999);
    path80.lineTo(size.width * 0.5393500, size.height * 0.08319720);
    path80.lineTo(size.width * 0.5420000, size.height * 0.08296383);
    path80.lineTo(size.width * 0.5443500, size.height * 0.08448075);
    path80.lineTo(size.width * 0.5460500, size.height * 0.08168028);
    path80.lineTo(size.width * 0.5466000, size.height * 0.07701284);
    path80.lineTo(size.width * 0.5495500, size.height * 0.07491249);
    path80.lineTo(size.width * 0.5524500, size.height * 0.07736289);
    path80.lineTo(size.width * 0.5520500, size.height * 0.08179697);
    path80.close();

    Paint paint80fill = Paint()..style = PaintingStyle.fill;
    paint80fill.color = countryColors.fI ?? defaultCountryColor;
    canvas.drawPath(path80, paint80fill);

    Path path81 = Path();
    path81.moveTo(size.width * 0.5302500, size.height * 0.5686114);
    path81.lineTo(size.width * 0.5300500, size.height * 0.5718786);
    path81.lineTo(size.width * 0.5308500, size.height * 0.5757293);
    path81.lineTo(size.width * 0.5329500, size.height * 0.5751459);
    path81.lineTo(size.width * 0.5336500, size.height * 0.5765461);
    path81.lineTo(size.width * 0.5324000, size.height * 0.5852975);
    path81.lineTo(size.width * 0.5337500, size.height * 0.5897316);
    path81.lineTo(size.width * 0.5340500, size.height * 0.5955659);
    path81.lineTo(size.width * 0.5337000, size.height * 0.6005834);
    path81.lineTo(size.width * 0.5328500, size.height * 0.6040840);
    path81.lineTo(size.width * 0.5303500, size.height * 0.6037340);
    path81.lineTo(size.width * 0.5288000, size.height * 0.6001167);
    path81.lineTo(size.width * 0.5286000, size.height * 0.6035006);
    path81.lineTo(size.width * 0.5267000, size.height * 0.6044341);
    path81.lineTo(size.width * 0.5257000, size.height * 0.6063011);
    path81.lineTo(size.width * 0.5267500, size.height * 0.6112019);
    path81.lineTo(size.width * 0.5246000, size.height * 0.6154026);
    path81.lineTo(size.width * 0.5217000, size.height * 0.6078180);
    path81.lineTo(size.width * 0.5198500, size.height * 0.6016336);
    path81.lineTo(size.width * 0.5181000, size.height * 0.5939323);
    path81.lineTo(size.width * 0.5182000, size.height * 0.5913652);
    path81.lineTo(size.width * 0.5188500, size.height * 0.5890315);
    path81.lineTo(size.width * 0.5195000, size.height * 0.5835473);
    path81.lineTo(size.width * 0.5201000, size.height * 0.5779463);
    path81.lineTo(size.width * 0.5210500, size.height * 0.5775963);
    path81.lineTo(size.width * 0.5251500, size.height * 0.5775963);
    path81.lineTo(size.width * 0.5251500, size.height * 0.5686114);
    path81.lineTo(size.width * 0.5265000, size.height * 0.5681447);
    path81.lineTo(size.width * 0.5282000, size.height * 0.5690782);
    path81.lineTo(size.width * 0.5299000, size.height * 0.5681447);
    path81.lineTo(size.width * 0.5302500, size.height * 0.5686114);
    path81.close();

    Paint paint81fill = Paint()..style = PaintingStyle.fill;
    paint81fill.color = countryColors.gA ?? defaultCountryColor;
    canvas.drawPath(path81, paint81fill);

    Path path82 = Path();
    path82.moveTo(size.width * 0.4783500, size.height * 0.1845974);
    path82.lineTo(size.width * 0.4766000, size.height * 0.1831972);
    path82.lineTo(size.width * 0.4751000, size.height * 0.1833139);
    path82.lineTo(size.width * 0.4757000, size.height * 0.1794632);
    path82.lineTo(size.width * 0.4752500, size.height * 0.1757293);
    path82.lineTo(size.width * 0.4772500, size.height * 0.1753792);
    path82.lineTo(size.width * 0.4797000, size.height * 0.1798133);
    path82.lineTo(size.width * 0.4783500, size.height * 0.1845974);
    path82.close();

    Paint paint82fill = Paint()..style = PaintingStyle.fill;
    paint82fill.color = countryColors.gB ?? defaultCountryColor;
    canvas.drawPath(path82, paint82fill);

    Path path83 = Path();
    path83.moveTo(size.width * 0.4863000, size.height * 0.1511085);
    path83.lineTo(size.width * 0.4837500, size.height * 0.1586931);
    path83.lineTo(size.width * 0.4861000, size.height * 0.1577596);
    path83.lineTo(size.width * 0.4886500, size.height * 0.1577596);
    path83.lineTo(size.width * 0.4880000, size.height * 0.1634772);
    path83.lineTo(size.width * 0.4858500, size.height * 0.1697783);
    path83.lineTo(size.width * 0.4883000, size.height * 0.1701284);
    path83.lineTo(size.width * 0.4884500, size.height * 0.1709452);
    path83.lineTo(size.width * 0.4905500, size.height * 0.1792299);
    path83.lineTo(size.width * 0.4921500, size.height * 0.1803967);
    path83.lineTo(size.width * 0.4936000, size.height * 0.1885648);
    path83.lineTo(size.width * 0.4943000, size.height * 0.1913652);
    path83.lineTo(size.width * 0.4972500, size.height * 0.1926488);
    path83.lineTo(size.width * 0.4969500, size.height * 0.1973162);
    path83.lineTo(size.width * 0.4957500, size.height * 0.1994166);
    path83.lineTo(size.width * 0.4967000, size.height * 0.2031505);
    path83.lineTo(size.width * 0.4945000, size.height * 0.2068845);
    path83.lineTo(size.width * 0.4912500, size.height * 0.2067678);
    path83.lineTo(size.width * 0.4870500, size.height * 0.2088681);
    path83.lineTo(size.width * 0.4859500, size.height * 0.2073512);
    path83.lineTo(size.width * 0.4843000, size.height * 0.2107351);
    path83.lineTo(size.width * 0.4820500, size.height * 0.2099183);
    path83.lineTo(size.width * 0.4802500, size.height * 0.2127188);
    path83.lineTo(size.width * 0.4790000, size.height * 0.2113186);
    path83.lineTo(size.width * 0.4826500, size.height * 0.2037340);
    path83.lineTo(size.width * 0.4848500, size.height * 0.2021004);
    path83.lineTo(size.width * 0.4810500, size.height * 0.2009335);
    path83.lineTo(size.width * 0.4804000, size.height * 0.1980163);
    path83.lineTo(size.width * 0.4829500, size.height * 0.1957993);
    path83.lineTo(size.width * 0.4817000, size.height * 0.1919487);
    path83.lineTo(size.width * 0.4822000, size.height * 0.1872812);
    path83.lineTo(size.width * 0.4857500, size.height * 0.1879813);
    path83.lineTo(size.width * 0.4861500, size.height * 0.1837806);
    path83.lineTo(size.width * 0.4846000, size.height * 0.1794632);
    path83.lineTo(size.width * 0.4845500, size.height * 0.1793466);
    path83.lineTo(size.width * 0.4817000, size.height * 0.1780630);
    path83.lineTo(size.width * 0.4811500, size.height * 0.1761960);
    path83.lineTo(size.width * 0.4820500, size.height * 0.1730455);
    path83.lineTo(size.width * 0.4813000, size.height * 0.1710618);
    path83.lineTo(size.width * 0.4800000, size.height * 0.1744457);
    path83.lineTo(size.width * 0.4799500, size.height * 0.1675613);
    path83.lineTo(size.width * 0.4788500, size.height * 0.1640607);
    path83.lineTo(size.width * 0.4798000, size.height * 0.1568261);
    path83.lineTo(size.width * 0.4817000, size.height * 0.1512252);
    path83.lineTo(size.width * 0.4835000, size.height * 0.1516919);
    path83.lineTo(size.width * 0.4863000, size.height * 0.1511085);
    path83.close();

    Paint paint83fill = Paint()..style = PaintingStyle.fill;
    paint83fill.color = countryColors.gB ?? defaultCountryColor;
    canvas.drawPath(path83, paint83fill);

    Path path84 = Path();
    path84.moveTo(size.width * 0.6078500, size.height * 0.2659277);
    path84.lineTo(size.width * 0.6104000, size.height * 0.2674446);
    path84.lineTo(size.width * 0.6114500, size.height * 0.2704784);
    path84.lineTo(size.width * 0.6132500, size.height * 0.2722287);
    path84.lineTo(size.width * 0.6126500, size.height * 0.2731622);
    path84.lineTo(size.width * 0.6143000, size.height * 0.2772462);
    path84.lineTo(size.width * 0.6140000, size.height * 0.2780630);
    path84.lineTo(size.width * 0.6125500, size.height * 0.2777130);
    path84.lineTo(size.width * 0.6104500, size.height * 0.2754959);
    path84.lineTo(size.width * 0.6099000, size.height * 0.2767795);
    path84.lineTo(size.width * 0.6064000, size.height * 0.2779463);
    path84.lineTo(size.width * 0.6036000, size.height * 0.2742124);
    path84.lineTo(size.width * 0.6008500, size.height * 0.2745624);
    path84.lineTo(size.width * 0.6010000, size.height * 0.2714119);
    path84.lineTo(size.width * 0.5999500, size.height * 0.2663944);
    path84.lineTo(size.width * 0.5982500, size.height * 0.2635939);
    path84.lineTo(size.width * 0.5967500, size.height * 0.2627771);
    path84.lineTo(size.width * 0.5956500, size.height * 0.2605601);
    path84.lineTo(size.width * 0.5958500, size.height * 0.2596266);
    path84.lineTo(size.width * 0.5981500, size.height * 0.2609102);
    path84.lineTo(size.width * 0.6020000, size.height * 0.2620770);
    path84.lineTo(size.width * 0.6058000, size.height * 0.2656943);
    path84.lineTo(size.width * 0.6064000, size.height * 0.2670945);
    path84.lineTo(size.width * 0.6078500, size.height * 0.2659277);
    path84.close();

    Paint paint84fill = Paint()..style = PaintingStyle.fill;
    paint84fill.color = countryColors.gE ?? defaultCountryColor;
    canvas.drawPath(path84, paint84fill);

    Path path85 = Path();
    path85.moveTo(size.width * 0.4932500, size.height * 0.5030338);
    path85.lineTo(size.width * 0.4930500, size.height * 0.5053676);
    path85.lineTo(size.width * 0.4942000, size.height * 0.5092182);
    path85.lineTo(size.width * 0.4942000, size.height * 0.5147025);
    path85.lineTo(size.width * 0.4945000, size.height * 0.5205368);
    path85.lineTo(size.width * 0.4952000, size.height * 0.5233372);
    path85.lineTo(size.width * 0.4945500, size.height * 0.5299883);
    path85.lineTo(size.width * 0.4948000, size.height * 0.5337223);
    path85.lineTo(size.width * 0.4955500, size.height * 0.5385064);
    path85.lineTo(size.width * 0.4962000, size.height * 0.5411902);
    path85.lineTo(size.width * 0.4917500, size.height * 0.5455076);
    path85.lineTo(size.width * 0.4901500, size.height * 0.5480747);
    path85.lineTo(size.width * 0.4876000, size.height * 0.5502917);
    path85.lineTo(size.width * 0.4851000, size.height * 0.5481914);
    path85.lineTo(size.width * 0.4852000, size.height * 0.5451575);
    path85.lineTo(size.width * 0.4840000, size.height * 0.5387398);
    path85.lineTo(size.width * 0.4847500, size.height * 0.5302217);
    path85.lineTo(size.width * 0.4859500, size.height * 0.5240373);
    path85.lineTo(size.width * 0.4852000, size.height * 0.5133022);
    path85.lineTo(size.width * 0.4848000, size.height * 0.5077013);
    path85.lineTo(size.width * 0.4849000, size.height * 0.5033839);
    path85.lineTo(size.width * 0.4898000, size.height * 0.5030338);
    path85.lineTo(size.width * 0.4910500, size.height * 0.5036173);
    path85.lineTo(size.width * 0.4919500, size.height * 0.5024504);
    path85.lineTo(size.width * 0.4932500, size.height * 0.5030338);
    path85.close();

    Paint paint85fill = Paint()..style = PaintingStyle.fill;
    paint85fill.color = countryColors.gH ?? defaultCountryColor;
    canvas.drawPath(path85, paint85fill);

    Path path86 = Path();
    path86.moveTo(size.width * 0.4607500, size.height * 0.4922987);
    path86.lineTo(size.width * 0.4609000, size.height * 0.4950992);
    path86.lineTo(size.width * 0.4613500, size.height * 0.4950992);
    path86.lineTo(size.width * 0.4621000, size.height * 0.4940490);
    path86.lineTo(size.width * 0.4625500, size.height * 0.4942824);
    path86.lineTo(size.width * 0.4633500, size.height * 0.4962660);
    path86.lineTo(size.width * 0.4645500, size.height * 0.4968495);
    path86.lineTo(size.width * 0.4653000, size.height * 0.4952159);
    path86.lineTo(size.width * 0.4662500, size.height * 0.4941657);
    path86.lineTo(size.width * 0.4669000, size.height * 0.4931155);
    path86.lineTo(size.width * 0.4674500, size.height * 0.4933489);
    path86.lineTo(size.width * 0.4681000, size.height * 0.4949825);
    path86.lineTo(size.width * 0.4684000, size.height * 0.4970828);
    path86.lineTo(size.width * 0.4695500, size.height * 0.5002334);
    path86.lineTo(size.width * 0.4690000, size.height * 0.5021004);
    path86.lineTo(size.width * 0.4688500, size.height * 0.5045508);
    path86.lineTo(size.width * 0.4694500, size.height * 0.5038506);
    path86.lineTo(size.width * 0.4698000, size.height * 0.5046674);
    path86.lineTo(size.width * 0.4696500, size.height * 0.5068845);
    path86.lineTo(size.width * 0.4705000, size.height * 0.5091015);
    path86.lineTo(size.width * 0.4699500, size.height * 0.5096849);
    path86.lineTo(size.width * 0.4697000, size.height * 0.5122520);
    path86.lineTo(size.width * 0.4703500, size.height * 0.5152859);
    path86.lineTo(size.width * 0.4710500, size.height * 0.5213536);
    path86.lineTo(size.width * 0.4700000, size.height * 0.5221704);
    path86.lineTo(size.width * 0.4697500, size.height * 0.5232205);
    path86.lineTo(size.width * 0.4699500, size.height * 0.5247375);
    path86.lineTo(size.width * 0.4697500, size.height * 0.5280047);
    path86.lineTo(size.width * 0.4693000, size.height * 0.5280047);
    path86.lineTo(size.width * 0.4685000, size.height * 0.5277713);
    path86.lineTo(size.width * 0.4679500, size.height * 0.5308051);
    path86.lineTo(size.width * 0.4671500, size.height * 0.5308051);
    path86.lineTo(size.width * 0.4666000, size.height * 0.5291715);
    path86.lineTo(size.width * 0.4668000, size.height * 0.5261377);
    path86.lineTo(size.width * 0.4656000, size.height * 0.5215869);
    path86.lineTo(size.width * 0.4649000, size.height * 0.5224037);
    path86.lineTo(size.width * 0.4642500, size.height * 0.5226371);
    path86.lineTo(size.width * 0.4635000, size.height * 0.5229872);
    path86.lineTo(size.width * 0.4635500, size.height * 0.5203034);
    path86.lineTo(size.width * 0.4631000, size.height * 0.5183197);
    path86.lineTo(size.width * 0.4632000, size.height * 0.5161027);
    path86.lineTo(size.width * 0.4626000, size.height * 0.5129522);
    path86.lineTo(size.width * 0.4618000, size.height * 0.5102684);
    path86.lineTo(size.width * 0.4595500, size.height * 0.5102684);
    path86.lineTo(size.width * 0.4589000, size.height * 0.5116686);
    path86.lineTo(size.width * 0.4581000, size.height * 0.5119020);
    path86.lineTo(size.width * 0.4576000, size.height * 0.5135356);
    path86.lineTo(size.width * 0.4573000, size.height * 0.5155193);
    path86.lineTo(size.width * 0.4557500, size.height * 0.5189032);
    path86.lineTo(size.width * 0.4545500, size.height * 0.5144691);
    path86.lineTo(size.width * 0.4534500, size.height * 0.5115519);
    path86.lineTo(size.width * 0.4527500, size.height * 0.5105018);
    path86.lineTo(size.width * 0.4520500, size.height * 0.5089848);
    path86.lineTo(size.width * 0.4517500, size.height * 0.5057176);
    path86.lineTo(size.width * 0.4513500, size.height * 0.5040840);
    path86.lineTo(size.width * 0.4505000, size.height * 0.5028005);
    path86.lineTo(size.width * 0.4518000, size.height * 0.4991832);
    path86.lineTo(size.width * 0.4526500, size.height * 0.4992999);
    path86.lineTo(size.width * 0.4534000, size.height * 0.4981330);
    path86.lineTo(size.width * 0.4540000, size.height * 0.4980163);
    path86.lineTo(size.width * 0.4544500, size.height * 0.4970828);
    path86.lineTo(size.width * 0.4542500, size.height * 0.4946324);
    path86.lineTo(size.width * 0.4545500, size.height * 0.4938156);
    path86.lineTo(size.width * 0.4546000, size.height * 0.4912485);
    path86.lineTo(size.width * 0.4559500, size.height * 0.4913652);
    path86.lineTo(size.width * 0.4580000, size.height * 0.4931155);
    path86.lineTo(size.width * 0.4586000, size.height * 0.4929988);
    path86.lineTo(size.width * 0.4588000, size.height * 0.4921820);
    path86.lineTo(size.width * 0.4603500, size.height * 0.4927655);
    path86.lineTo(size.width * 0.4607500, size.height * 0.4922987);
    path86.close();

    Paint paint86fill = Paint()..style = PaintingStyle.fill;
    paint86fill.color = countryColors.gN ?? defaultCountryColor;
    canvas.drawPath(path86, paint86fill);

    Path path87 = Path();
    path87.moveTo(size.width * 0.4458000, size.height * 0.4870478);
    path87.lineTo(size.width * 0.4462000, size.height * 0.4836639);
    path87.lineTo(size.width * 0.4492500, size.height * 0.4835473);
    path87.lineTo(size.width * 0.4499000, size.height * 0.4816803);
    path87.lineTo(size.width * 0.4508000, size.height * 0.4815636);
    path87.lineTo(size.width * 0.4519000, size.height * 0.4834306);
    path87.lineTo(size.width * 0.4527500, size.height * 0.4834306);
    path87.lineTo(size.width * 0.4537000, size.height * 0.4822637);
    path87.lineTo(size.width * 0.4542500, size.height * 0.4843641);
    path87.lineTo(size.width * 0.4530000, size.height * 0.4861144);
    path87.lineTo(size.width * 0.4518000, size.height * 0.4858810);
    path87.lineTo(size.width * 0.4506000, size.height * 0.4843641);
    path87.lineTo(size.width * 0.4495500, size.height * 0.4861144);
    path87.lineTo(size.width * 0.4490500, size.height * 0.4861144);
    path87.lineTo(size.width * 0.4483500, size.height * 0.4871645);
    path87.lineTo(size.width * 0.4458000, size.height * 0.4870478);
    path87.close();

    Paint paint87fill = Paint()..style = PaintingStyle.fill;
    paint87fill.color = countryColors.gM ?? defaultCountryColor;
    canvas.drawPath(path87, paint87fill);

    Path path88 = Path();
    path88.moveTo(size.width * 0.4546000, size.height * 0.4912485);
    path88.lineTo(size.width * 0.4545500, size.height * 0.4938156);
    path88.lineTo(size.width * 0.4542500, size.height * 0.4946324);
    path88.lineTo(size.width * 0.4544500, size.height * 0.4970828);
    path88.lineTo(size.width * 0.4540000, size.height * 0.4980163);
    path88.lineTo(size.width * 0.4534000, size.height * 0.4981330);
    path88.lineTo(size.width * 0.4526500, size.height * 0.4992999);
    path88.lineTo(size.width * 0.4518000, size.height * 0.4991832);
    path88.lineTo(size.width * 0.4505000, size.height * 0.5028005);
    path88.lineTo(size.width * 0.4490500, size.height * 0.4997666);
    path88.lineTo(size.width * 0.4478500, size.height * 0.4991832);
    path88.lineTo(size.width * 0.4472000, size.height * 0.4970828);
    path88.lineTo(size.width * 0.4472500, size.height * 0.4959160);
    path88.lineTo(size.width * 0.4464000, size.height * 0.4943991);
    path88.lineTo(size.width * 0.4462000, size.height * 0.4927655);
    path88.lineTo(size.width * 0.4477000, size.height * 0.4915986);
    path88.lineTo(size.width * 0.4486500, size.height * 0.4918320);
    path88.lineTo(size.width * 0.4494000, size.height * 0.4908985);
    path88.lineTo(size.width * 0.4546000, size.height * 0.4912485);
    path88.close();

    Paint paint88fill = Paint()..style = PaintingStyle.fill;
    paint88fill.color = countryColors.gW ?? defaultCountryColor;
    canvas.drawPath(path88, paint88fill);

    Path path89 = Path();
    path89.moveTo(size.width * 0.5251500, size.height * 0.5686114);
    path89.lineTo(size.width * 0.5251500, size.height * 0.5775963);
    path89.lineTo(size.width * 0.5210500, size.height * 0.5775963);
    path89.lineTo(size.width * 0.5201000, size.height * 0.5779463);
    path89.lineTo(size.width * 0.5195500, size.height * 0.5768961);
    path89.lineTo(size.width * 0.5205000, size.height * 0.5684947);
    path89.lineTo(size.width * 0.5251500, size.height * 0.5686114);
    path89.close();

    Paint paint89fill = Paint()..style = PaintingStyle.fill;
    paint89fill.color = countryColors.gQ ?? defaultCountryColor;
    canvas.drawPath(path89, paint89fill);

    Path path90 = Path();
    path90.moveTo(size.width * 0.5563500, size.height * 0.3180863);
    path90.lineTo(size.width * 0.5579000, size.height * 0.3206534);
    path90.lineTo(size.width * 0.5599500, size.height * 0.3201867);
    path90.lineTo(size.width * 0.5619500, size.height * 0.3206534);
    path90.lineTo(size.width * 0.5619500, size.height * 0.3220537);
    path90.lineTo(size.width * 0.5633500, size.height * 0.3211202);
    path90.lineTo(size.width * 0.5631000, size.height * 0.3233372);
    path90.lineTo(size.width * 0.5593000, size.height * 0.3239207);
    path90.lineTo(size.width * 0.5592500, size.height * 0.3227538);
    path90.lineTo(size.width * 0.5559500, size.height * 0.3212369);
    path90.lineTo(size.width * 0.5563500, size.height * 0.3180863);
    path90.close();

    Paint paint90fill = Paint()..style = PaintingStyle.fill;
    paint90fill.color = countryColors.gR ?? defaultCountryColor;
    canvas.drawPath(path90, paint90fill);

    Path path91 = Path();
    path91.moveTo(size.width * 0.5609500, size.height * 0.2799300);
    path91.lineTo(size.width * 0.5593500, size.height * 0.2796966);
    path91.lineTo(size.width * 0.5580000, size.height * 0.2789965);
    path91.lineTo(size.width * 0.5549000, size.height * 0.2808635);
    path91.lineTo(size.width * 0.5569000, size.height * 0.2850642);
    path91.lineTo(size.width * 0.5556500, size.height * 0.2863477);
    path91.lineTo(size.width * 0.5542000, size.height * 0.2863477);
    path91.lineTo(size.width * 0.5526500, size.height * 0.2824971);
    path91.lineTo(size.width * 0.5522000, size.height * 0.2841307);
    path91.lineTo(size.width * 0.5530000, size.height * 0.2885648);
    path91.lineTo(size.width * 0.5544500, size.height * 0.2920653);
    path91.lineTo(size.width * 0.5535000, size.height * 0.2936989);
    path91.lineTo(size.width * 0.5551000, size.height * 0.2970828);
    path91.lineTo(size.width * 0.5565000, size.height * 0.2992999);
    path91.lineTo(size.width * 0.5567000, size.height * 0.3035006);
    path91.lineTo(size.width * 0.5542000, size.height * 0.3015169);
    path91.lineTo(size.width * 0.5551000, size.height * 0.3053676);
    path91.lineTo(size.width * 0.5534500, size.height * 0.3060677);
    path91.lineTo(size.width * 0.5547000, size.height * 0.3127188);
    path91.lineTo(size.width * 0.5529500, size.height * 0.3128355);
    path91.lineTo(size.width * 0.5506500, size.height * 0.3095683);
    path91.lineTo(size.width * 0.5494500, size.height * 0.3036173);
    path91.lineTo(size.width * 0.5488000, size.height * 0.2985998);
    path91.lineTo(size.width * 0.5476500, size.height * 0.2952159);
    path91.lineTo(size.width * 0.5461500, size.height * 0.2908985);
    path91.lineTo(size.width * 0.5459000, size.height * 0.2887981);
    path91.lineTo(size.width * 0.5470000, size.height * 0.2851809);
    path91.lineTo(size.width * 0.5470500, size.height * 0.2827305);
    path91.lineTo(size.width * 0.5479000, size.height * 0.2816803);
    path91.lineTo(size.width * 0.5478500, size.height * 0.2796966);
    path91.lineTo(size.width * 0.5495500, size.height * 0.2791132);
    path91.lineTo(size.width * 0.5504500, size.height * 0.2774796);
    path91.lineTo(size.width * 0.5518500, size.height * 0.2775963);
    path91.lineTo(size.width * 0.5522500, size.height * 0.2763127);
    path91.lineTo(size.width * 0.5527500, size.height * 0.2760793);
    path91.lineTo(size.width * 0.5546500, size.height * 0.2763127);
    path91.lineTo(size.width * 0.5566500, size.height * 0.2742124);
    path91.lineTo(size.width * 0.5586000, size.height * 0.2768961);
    path91.lineTo(size.width * 0.5609000, size.height * 0.2761960);
    path91.lineTo(size.width * 0.5607500, size.height * 0.2724621);
    path91.lineTo(size.width * 0.5621000, size.height * 0.2744457);
    path91.lineTo(size.width * 0.5615500, size.height * 0.2791132);
    path91.lineTo(size.width * 0.5609500, size.height * 0.2799300);
    path91.close();

    Paint paint91fill = Paint()..style = PaintingStyle.fill;
    paint91fill.color = countryColors.gR ?? defaultCountryColor;
    canvas.drawPath(path91, paint91fill);

    Path path92 = Path();
    path92.moveTo(size.width * 0.4481500, size.height * 0.001633606);
    path92.lineTo(size.width * 0.4581000, size.height * 0.005134189);
    path92.lineTo(size.width * 0.4547500, size.height * 0.006767795);
    path92.lineTo(size.width * 0.4482500, size.height * 0.007001167);
    path92.lineTo(size.width * 0.4390000, size.height * 0.007467911);
    path92.lineTo(size.width * 0.4397000, size.height * 0.008284714);
    path92.lineTo(size.width * 0.4458500, size.height * 0.007701284);
    path92.lineTo(size.width * 0.4507000, size.height * 0.009334889);
    path92.lineTo(size.width * 0.4542000, size.height * 0.007934656);
    path92.lineTo(size.width * 0.4554000, size.height * 0.009568261);
    path92.lineTo(size.width * 0.4531500, size.height * 0.01236873);
    path92.lineTo(size.width * 0.4577500, size.height * 0.01050175);
    path92.lineTo(size.width * 0.4663000, size.height * 0.008751459);
    path92.lineTo(size.width * 0.4713000, size.height * 0.009684947);
    path92.lineTo(size.width * 0.4721500, size.height * 0.01166861);
    path92.lineTo(size.width * 0.4647500, size.height * 0.01505251);
    path92.lineTo(size.width * 0.4636500, size.height * 0.01621937);
    path92.lineTo(size.width * 0.4579500, size.height * 0.01715286);
    path92.lineTo(size.width * 0.4620000, size.height * 0.01738623);
    path92.lineTo(size.width * 0.4595500, size.height * 0.02112019);
    path92.lineTo(size.width * 0.4577500, size.height * 0.02450408);
    path92.lineTo(size.width * 0.4571500, size.height * 0.03057176);
    path92.lineTo(size.width * 0.4590000, size.height * 0.03430572);
    path92.lineTo(size.width * 0.4560500, size.height * 0.03442240);
    path92.lineTo(size.width * 0.4528000, size.height * 0.03628938);
    path92.lineTo(size.width * 0.4559500, size.height * 0.03932322);
    path92.lineTo(size.width * 0.4559000, size.height * 0.04422404);
    path92.lineTo(size.width * 0.4538000, size.height * 0.04480747);
    path92.lineTo(size.width * 0.4558500, size.height * 0.04982497);
    path92.lineTo(size.width * 0.4515000, size.height * 0.05029172);
    path92.lineTo(size.width * 0.4535000, size.height * 0.05262544);
    path92.lineTo(size.width * 0.4527000, size.height * 0.05472579);
    path92.lineTo(size.width * 0.4498500, size.height * 0.05565928);
    path92.lineTo(size.width * 0.4471000, size.height * 0.05577596);
    path92.lineTo(size.width * 0.4492000, size.height * 0.05974329);
    path92.lineTo(size.width * 0.4489500, size.height * 0.06254376);
    path92.lineTo(size.width * 0.4453000, size.height * 0.05997666);
    path92.lineTo(size.width * 0.4441000, size.height * 0.06161027);
    path92.lineTo(size.width * 0.4466000, size.height * 0.06312719);
    path92.lineTo(size.width * 0.4489000, size.height * 0.06686114);
    path92.lineTo(size.width * 0.4492000, size.height * 0.07187865);
    path92.lineTo(size.width * 0.4455000, size.height * 0.07304551);
    path92.lineTo(size.width * 0.4441500, size.height * 0.07059510);
    path92.lineTo(size.width * 0.4420500, size.height * 0.06709452);
    path92.lineTo(size.width * 0.4423000, size.height * 0.07129522);
    path92.lineTo(size.width * 0.4396000, size.height * 0.07456243);
    path92.lineTo(size.width * 0.4449500, size.height * 0.07479580);
    path92.lineTo(size.width * 0.4477000, size.height * 0.07514586);
    path92.lineTo(size.width * 0.4417500, size.height * 0.08063011);
    path92.lineTo(size.width * 0.4356500, size.height * 0.08564761);
    path92.lineTo(size.width * 0.4293000, size.height * 0.08774796);
    path92.lineTo(size.width * 0.4270000, size.height * 0.08786464);
    path92.lineTo(size.width * 0.4245500, size.height * 0.09031505);
    path92.lineTo(size.width * 0.4208000, size.height * 0.09708285);
    path92.lineTo(size.width * 0.4157000, size.height * 0.1016336);
    path92.lineTo(size.width * 0.4142000, size.height * 0.1019837);
    path92.lineTo(size.width * 0.4111500, size.height * 0.1035006);
    path92.lineTo(size.width * 0.4078500, size.height * 0.1051342);
    path92.lineTo(size.width * 0.4054500, size.height * 0.1091015);
    path92.lineTo(size.width * 0.4047500, size.height * 0.1137690);
    path92.lineTo(size.width * 0.4030500, size.height * 0.1182030);
    path92.lineTo(size.width * 0.3987500, size.height * 0.1235706);
    path92.lineTo(size.width * 0.3989000, size.height * 0.1288215);
    path92.lineTo(size.width * 0.3971000, size.height * 0.1344224);
    path92.lineTo(size.width * 0.3950500, size.height * 0.1410735);
    path92.lineTo(size.width * 0.3918000, size.height * 0.1415403);
    path92.lineTo(size.width * 0.3893000, size.height * 0.1359393);
    path92.lineTo(size.width * 0.3848000, size.height * 0.1358226);
    path92.lineTo(size.width * 0.3832000, size.height * 0.1320887);
    path92.lineTo(size.width * 0.3828000, size.height * 0.1255543);
    path92.lineTo(size.width * 0.3804000, size.height * 0.1171529);
    path92.lineTo(size.width * 0.3800500, size.height * 0.1128355);
    path92.lineTo(size.width * 0.3808000, size.height * 0.1068845);
    path92.lineTo(size.width * 0.3789500, size.height * 0.1009335);
    path92.lineTo(size.width * 0.3806000, size.height * 0.09614936);
    path92.lineTo(size.width * 0.3796500, size.height * 0.09381564);
    path92.lineTo(size.width * 0.3831500, size.height * 0.08634772);
    path92.lineTo(size.width * 0.3867500, size.height * 0.08389732);
    path92.lineTo(size.width * 0.3880500, size.height * 0.08133022);
    path92.lineTo(size.width * 0.3894500, size.height * 0.07642940);
    path92.lineTo(size.width * 0.3867000, size.height * 0.07864644);
    path92.lineTo(size.width * 0.3854000, size.height * 0.07957993);
    path92.lineTo(size.width * 0.3833500, size.height * 0.08039673);
    path92.lineTo(size.width * 0.3812500, size.height * 0.07841307);
    path92.lineTo(size.width * 0.3820000, size.height * 0.07409568);
    path92.lineTo(size.width * 0.3835000, size.height * 0.07082847);
    path92.lineTo(size.width * 0.3854000, size.height * 0.07071179);
    path92.lineTo(size.width * 0.3892000, size.height * 0.07246208);
    path92.lineTo(size.width * 0.3865500, size.height * 0.06849475);
    path92.lineTo(size.width * 0.3852000, size.height * 0.06639440);
    path92.lineTo(size.width * 0.3830000, size.height * 0.06721120);
    path92.lineTo(size.width * 0.3817000, size.height * 0.06569428);
    path92.lineTo(size.width * 0.3852000, size.height * 0.06009335);
    path92.lineTo(size.width * 0.3845500, size.height * 0.05775963);
    path92.lineTo(size.width * 0.3840000, size.height * 0.05367561);
    path92.lineTo(size.width * 0.3833000, size.height * 0.04737456);
    path92.lineTo(size.width * 0.3815000, size.height * 0.04515753);
    path92.lineTo(size.width * 0.3822000, size.height * 0.04270712);
    path92.lineTo(size.width * 0.3781500, size.height * 0.03932322);
    path92.lineTo(size.width * 0.3743000, size.height * 0.03885648);
    path92.lineTo(size.width * 0.3692500, size.height * 0.03908985);
    path92.lineTo(size.width * 0.3645000, size.height * 0.03955659);
    path92.lineTo(size.width * 0.3629500, size.height * 0.03768961);
    path92.lineTo(size.width * 0.3610500, size.height * 0.03407235);
    path92.lineTo(size.width * 0.3665500, size.height * 0.03232205);
    path92.lineTo(size.width * 0.3703500, size.height * 0.03208868);
    path92.lineTo(size.width * 0.3630500, size.height * 0.03057176);
    path92.lineTo(size.width * 0.3598000, size.height * 0.02835473);
    path92.lineTo(size.width * 0.3609000, size.height * 0.02625438);
    path92.lineTo(size.width * 0.3687500, size.height * 0.02368728);
    path92.lineTo(size.width * 0.3762500, size.height * 0.02112019);
    path92.lineTo(size.width * 0.3776500, size.height * 0.01925321);
    path92.lineTo(size.width * 0.3736000, size.height * 0.01738623);
    path92.lineTo(size.width * 0.3759000, size.height * 0.01540257);
    path92.lineTo(size.width * 0.3832500, size.height * 0.01201867);
    path92.lineTo(size.width * 0.3859500, size.height * 0.01155193);
    path92.lineTo(size.width * 0.3860500, size.height * 0.009451575);
    path92.lineTo(size.width * 0.3905500, size.height * 0.008168028);
    path92.lineTo(size.width * 0.3960500, size.height * 0.007467911);
    path92.lineTo(size.width * 0.4012500, size.height * 0.007467911);
    path92.lineTo(size.width * 0.4026500, size.height * 0.008868145);
    path92.lineTo(size.width * 0.4079500, size.height * 0.006301050);
    path92.lineTo(size.width * 0.4115000, size.height * 0.008051342);
    path92.lineTo(size.width * 0.4138000, size.height * 0.008401400);
    path92.lineTo(size.width * 0.4169000, size.height * 0.009918320);
    path92.lineTo(size.width * 0.4135500, size.height * 0.007467911);
    path92.lineTo(size.width * 0.4143500, size.height * 0.005484247);
    path92.lineTo(size.width * 0.4207000, size.height * 0.002917153);
    path92.lineTo(size.width * 0.4265000, size.height * 0.003150525);
    path92.lineTo(size.width * 0.4290500, size.height * 0.001516919);
    path92.lineTo(size.width * 0.4350000, size.height * 0.001166861);
    path92.lineTo(size.width * 0.4481500, size.height * 0.001633606);
    path92.close();

    Paint paint92fill = Paint()..style = PaintingStyle.fill;
    paint92fill.color = countryColors.gL ?? defaultCountryColor;
    canvas.drawPath(path92, paint92fill);

    Path path93 = Path();
    path93.moveTo(size.width * 0.2440500, size.height * 0.4521587);
    path93.lineTo(size.width * 0.2437000, size.height * 0.4581097);
    path93.lineTo(size.width * 0.2430500, size.height * 0.4665111);
    path93.lineTo(size.width * 0.2439000, size.height * 0.4665111);
    path93.lineTo(size.width * 0.2447500, size.height * 0.4679113);
    path93.lineTo(size.width * 0.2450500, size.height * 0.4667445);
    path93.lineTo(size.width * 0.2458000, size.height * 0.4676779);
    path93.lineTo(size.width * 0.2444000, size.height * 0.4705951);
    path93.lineTo(size.width * 0.2429500, size.height * 0.4726954);
    path93.lineTo(size.width * 0.2427000, size.height * 0.4740957);
    path93.lineTo(size.width * 0.2428500, size.height * 0.4756126);
    path93.lineTo(size.width * 0.2422000, size.height * 0.4774796);
    path93.lineTo(size.width * 0.2415000, size.height * 0.4779463);
    path93.lineTo(size.width * 0.2416500, size.height * 0.4788798);
    path93.lineTo(size.width * 0.2410500, size.height * 0.4796966);
    path93.lineTo(size.width * 0.2400500, size.height * 0.4815636);
    path93.lineTo(size.width * 0.2399000, size.height * 0.4826138);
    path93.lineTo(size.width * 0.2385000, size.height * 0.4813302);
    path93.lineTo(size.width * 0.2367500, size.height * 0.4812135);
    path93.lineTo(size.width * 0.2355500, size.height * 0.4796966);
    path93.lineTo(size.width * 0.2341500, size.height * 0.4766628);
    path93.lineTo(size.width * 0.2343500, size.height * 0.4744457);
    path93.lineTo(size.width * 0.2347500, size.height * 0.4726954);
    path93.lineTo(size.width * 0.2344000, size.height * 0.4712952);
    path93.lineTo(size.width * 0.2360500, size.height * 0.4652275);
    path93.lineTo(size.width * 0.2396500, size.height * 0.4652275);
    path93.lineTo(size.width * 0.2398500, size.height * 0.4626604);
    path93.lineTo(size.width * 0.2394500, size.height * 0.4621937);
    path93.lineTo(size.width * 0.2392000, size.height * 0.4605601);
    path93.lineTo(size.width * 0.2382500, size.height * 0.4588098);
    path93.lineTo(size.width * 0.2373500, size.height * 0.4563594);
    path93.lineTo(size.width * 0.2386000, size.height * 0.4562427);
    path93.lineTo(size.width * 0.2388500, size.height * 0.4520420);
    path93.lineTo(size.width * 0.2414500, size.height * 0.4520420);
    path93.lineTo(size.width * 0.2440500, size.height * 0.4521587);
    path93.close();

    Paint paint93fill = Paint()..style = PaintingStyle.fill;
    paint93fill.color = countryColors.gT ?? defaultCountryColor;
    canvas.drawPath(path93, paint93fill);

    Path path94 = Path();
    path94.moveTo(size.width * 0.3314500, size.height * 0.5408401);
    path94.lineTo(size.width * 0.3309500, size.height * 0.5476079);
    path94.lineTo(size.width * 0.3292000, size.height * 0.5494749);
    path94.lineTo(size.width * 0.3293500, size.height * 0.5512252);
    path94.lineTo(size.width * 0.3288000, size.height * 0.5551925);
    path94.lineTo(size.width * 0.3300000, size.height * 0.5605601);
    path94.lineTo(size.width * 0.3309000, size.height * 0.5605601);
    path94.lineTo(size.width * 0.3312500, size.height * 0.5647608);
    path94.lineTo(size.width * 0.3329000, size.height * 0.5712952);
    path94.lineTo(size.width * 0.3322500, size.height * 0.5716453);
    path94.lineTo(size.width * 0.3306500, size.height * 0.5709452);
    path94.lineTo(size.width * 0.3297500, size.height * 0.5729288);
    path94.lineTo(size.width * 0.3284500, size.height * 0.5742124);
    path94.lineTo(size.width * 0.3275500, size.height * 0.5745624);
    path94.lineTo(size.width * 0.3272500, size.height * 0.5760793);
    path94.lineTo(size.width * 0.3258500, size.height * 0.5757293);
    path94.lineTo(size.width * 0.3241000, size.height * 0.5722287);
    path94.lineTo(size.width * 0.3239500, size.height * 0.5687281);
    path94.lineTo(size.width * 0.3232500, size.height * 0.5648775);
    path94.lineTo(size.width * 0.3237500, size.height * 0.5585764);
    path94.lineTo(size.width * 0.3245500, size.height * 0.5558926);
    path94.lineTo(size.width * 0.3239500, size.height * 0.5523921);
    path94.lineTo(size.width * 0.3229500, size.height * 0.5513419);
    path94.lineTo(size.width * 0.3233500, size.height * 0.5479580);
    path94.lineTo(size.width * 0.3227500, size.height * 0.5463244);
    path94.lineTo(size.width * 0.3212500, size.height * 0.5465578);
    path94.lineTo(size.width * 0.3194000, size.height * 0.5409568);
    path94.lineTo(size.width * 0.3202000, size.height * 0.5388565);
    path94.lineTo(size.width * 0.3202000, size.height * 0.5353559);
    path94.lineTo(size.width * 0.3219500, size.height * 0.5341890);
    path94.lineTo(size.width * 0.3226500, size.height * 0.5327888);
    path94.lineTo(size.width * 0.3217500, size.height * 0.5299883);
    path94.lineTo(size.width * 0.3220000, size.height * 0.5273046);
    path94.lineTo(size.width * 0.3243500, size.height * 0.5228705);
    path94.lineTo(size.width * 0.3261500, size.height * 0.5256709);
    path94.lineTo(size.width * 0.3278000, size.height * 0.5304551);
    path94.lineTo(size.width * 0.3278500, size.height * 0.5344224);
    path94.lineTo(size.width * 0.3289000, size.height * 0.5345391);
    path94.lineTo(size.width * 0.3304000, size.height * 0.5381564);
    path94.lineTo(size.width * 0.3314500, size.height * 0.5408401);
    path94.close();

    Paint paint94fill = Paint()..style = PaintingStyle.fill;
    paint94fill.color = countryColors.gY ?? defaultCountryColor;
    canvas.drawPath(path94, paint94fill);

    Path path95 = Path();
    path95.moveTo(size.width * 0.2598000, size.height * 0.4731622);
    path95.lineTo(size.width * 0.2588500, size.height * 0.4730455);
    path95.lineTo(size.width * 0.2584000, size.height * 0.4740957);
    path95.lineTo(size.width * 0.2574000, size.height * 0.4750292);
    path95.lineTo(size.width * 0.2567000, size.height * 0.4750292);
    path95.lineTo(size.width * 0.2560500, size.height * 0.4759627);
    path95.lineTo(size.width * 0.2555000, size.height * 0.4757293);
    path95.lineTo(size.width * 0.2550500, size.height * 0.4745624);
    path95.lineTo(size.width * 0.2547500, size.height * 0.4747958);
    path95.lineTo(size.width * 0.2543000, size.height * 0.4765461);
    path95.lineTo(size.width * 0.2540500, size.height * 0.4764294);
    path95.lineTo(size.width * 0.2539500, size.height * 0.4780630);
    path95.lineTo(size.width * 0.2529000, size.height * 0.4800467);
    path95.lineTo(size.width * 0.2523000, size.height * 0.4809802);
    path95.lineTo(size.width * 0.2520000, size.height * 0.4819137);
    path95.lineTo(size.width * 0.2512500, size.height * 0.4803967);
    path95.lineTo(size.width * 0.2505500, size.height * 0.4823804);
    path95.lineTo(size.width * 0.2499500, size.height * 0.4823804);
    path95.lineTo(size.width * 0.2493000, size.height * 0.4824971);
    path95.lineTo(size.width * 0.2492000, size.height * 0.4862310);
    path95.lineTo(size.width * 0.2488000, size.height * 0.4862310);
    path95.lineTo(size.width * 0.2484000, size.height * 0.4879813);
    path95.lineTo(size.width * 0.2475000, size.height * 0.4883314);
    path95.lineTo(size.width * 0.2471000, size.height * 0.4859977);
    path95.lineTo(size.width * 0.2462500, size.height * 0.4852975);
    path95.lineTo(size.width * 0.2466000, size.height * 0.4822637);
    path95.lineTo(size.width * 0.2462500, size.height * 0.4814469);
    path95.lineTo(size.width * 0.2456500, size.height * 0.4809802);
    path95.lineTo(size.width * 0.2444000, size.height * 0.4817970);
    path95.lineTo(size.width * 0.2443500, size.height * 0.4808635);
    path95.lineTo(size.width * 0.2435500, size.height * 0.4795799);
    path95.lineTo(size.width * 0.2430000, size.height * 0.4781797);
    path95.lineTo(size.width * 0.2422000, size.height * 0.4774796);
    path95.lineTo(size.width * 0.2428500, size.height * 0.4756126);
    path95.lineTo(size.width * 0.2427000, size.height * 0.4740957);
    path95.lineTo(size.width * 0.2429500, size.height * 0.4726954);
    path95.lineTo(size.width * 0.2444000, size.height * 0.4705951);
    path95.lineTo(size.width * 0.2458000, size.height * 0.4676779);
    path95.lineTo(size.width * 0.2461000, size.height * 0.4680280);
    path95.lineTo(size.width * 0.2467500, size.height * 0.4667445);
    path95.lineTo(size.width * 0.2475500, size.height * 0.4666278);
    path95.lineTo(size.width * 0.2478000, size.height * 0.4672112);
    path95.lineTo(size.width * 0.2482500, size.height * 0.4668611);
    path95.lineTo(size.width * 0.2495500, size.height * 0.4675613);
    path95.lineTo(size.width * 0.2508500, size.height * 0.4673279);
    path95.lineTo(size.width * 0.2517500, size.height * 0.4665111);
    path95.lineTo(size.width * 0.2521500, size.height * 0.4656943);
    path95.lineTo(size.width * 0.2530000, size.height * 0.4660443);
    path95.lineTo(size.width * 0.2536500, size.height * 0.4665111);
    path95.lineTo(size.width * 0.2544000, size.height * 0.4663944);
    path95.lineTo(size.width * 0.2550000, size.height * 0.4656943);
    path95.lineTo(size.width * 0.2562500, size.height * 0.4667445);
    path95.lineTo(size.width * 0.2566500, size.height * 0.4669778);
    path95.lineTo(size.width * 0.2574500, size.height * 0.4683781);
    path95.lineTo(size.width * 0.2582000, size.height * 0.4700117);
    path95.lineTo(size.width * 0.2591500, size.height * 0.4711785);
    path95.lineTo(size.width * 0.2598000, size.height * 0.4731622);
    path95.close();

    Paint paint95fill = Paint()..style = PaintingStyle.fill;
    paint95fill.color = countryColors.hN ?? defaultCountryColor;
    canvas.drawPath(path95, paint95fill);

    Path path96 = Path();
    path96.moveTo(size.width * 0.5407500, size.height * 0.2422404);
    path96.lineTo(size.width * 0.5415000, size.height * 0.2451575);
    path96.lineTo(size.width * 0.5423500, size.height * 0.2472579);
    path96.lineTo(size.width * 0.5415000, size.height * 0.2500583);
    path96.lineTo(size.width * 0.5403000, size.height * 0.2484247);
    path96.lineTo(size.width * 0.5385500, size.height * 0.2485414);
    path96.lineTo(size.width * 0.5363000, size.height * 0.2472579);
    path96.lineTo(size.width * 0.5351500, size.height * 0.2473746);
    path96.lineTo(size.width * 0.5346500, size.height * 0.2490082);
    path96.lineTo(size.width * 0.5336500, size.height * 0.2472579);
    path96.lineTo(size.width * 0.5332500, size.height * 0.2502917);
    path96.lineTo(size.width * 0.5346000, size.height * 0.2537923);
    path96.lineTo(size.width * 0.5352500, size.height * 0.2560093);
    path96.lineTo(size.width * 0.5365000, size.height * 0.2588098);
    path96.lineTo(size.width * 0.5375500, size.height * 0.2604434);
    path96.lineTo(size.width * 0.5386000, size.height * 0.2635939);
    path96.lineTo(size.width * 0.5410000, size.height * 0.2663944);
    path96.lineTo(size.width * 0.5407500, size.height * 0.2675613);
    path96.lineTo(size.width * 0.5382500, size.height * 0.2648775);
    path96.lineTo(size.width * 0.5366500, size.height * 0.2621937);
    path96.lineTo(size.width * 0.5342500, size.height * 0.2599767);
    path96.lineTo(size.width * 0.5319000, size.height * 0.2546091);
    path96.lineTo(size.width * 0.5324000, size.height * 0.2540257);
    path96.lineTo(size.width * 0.5311500, size.height * 0.2508751);
    path96.lineTo(size.width * 0.5310000, size.height * 0.2484247);
    path96.lineTo(size.width * 0.5293500, size.height * 0.2472579);
    path96.lineTo(size.width * 0.5286500, size.height * 0.2504084);
    path96.lineTo(size.width * 0.5278500, size.height * 0.2479580);
    path96.lineTo(size.width * 0.5278500, size.height * 0.2453909);
    path96.lineTo(size.width * 0.5279000, size.height * 0.2452742);
    path96.lineTo(size.width * 0.5297000, size.height * 0.2455076);
    path96.lineTo(size.width * 0.5301000, size.height * 0.2443407);
    path96.lineTo(size.width * 0.5310000, size.height * 0.2455076);
    path96.lineTo(size.width * 0.5320000, size.height * 0.2456243);
    path96.lineTo(size.width * 0.5319500, size.height * 0.2436406);
    path96.lineTo(size.width * 0.5328000, size.height * 0.2428238);
    path96.lineTo(size.width * 0.5329500, size.height * 0.2399067);
    path96.lineTo(size.width * 0.5349000, size.height * 0.2379230);
    path96.lineTo(size.width * 0.5357000, size.height * 0.2388565);
    path96.lineTo(size.width * 0.5377000, size.height * 0.2420070);
    path96.lineTo(size.width * 0.5398500, size.height * 0.2434072);
    path96.lineTo(size.width * 0.5407500, size.height * 0.2422404);
    path96.close();

    Paint paint96fill = Paint()..style = PaintingStyle.fill;
    paint96fill.color = countryColors.hR ?? defaultCountryColor;
    canvas.drawPath(path96, paint96fill);

    Path path97 = Path();
    path97.moveTo(size.width * 0.2934000, size.height * 0.4379230);
    path97.lineTo(size.width * 0.2934500, size.height * 0.4418903);
    path97.lineTo(size.width * 0.2931000, size.height * 0.4448075);
    path97.lineTo(size.width * 0.2923500, size.height * 0.4460910);
    path97.lineTo(size.width * 0.2930000, size.height * 0.4483081);
    path97.lineTo(size.width * 0.2928500, size.height * 0.4504084);
    path97.lineTo(size.width * 0.2910500, size.height * 0.4491249);
    path97.lineTo(size.width * 0.2897000, size.height * 0.4495916);
    path97.lineTo(size.width * 0.2880000, size.height * 0.4491249);
    path97.lineTo(size.width * 0.2866500, size.height * 0.4505251);
    path97.lineTo(size.width * 0.2852500, size.height * 0.4481914);
    path97.lineTo(size.width * 0.2856000, size.height * 0.4457410);
    path97.lineTo(size.width * 0.2881500, size.height * 0.4467911);
    path97.lineTo(size.width * 0.2902000, size.height * 0.4473746);
    path97.lineTo(size.width * 0.2913000, size.height * 0.4457410);
    path97.lineTo(size.width * 0.2901500, size.height * 0.4424737);
    path97.lineTo(size.width * 0.2903500, size.height * 0.4395566);
    path97.lineTo(size.width * 0.2886000, size.height * 0.4383897);
    path97.lineTo(size.width * 0.2893500, size.height * 0.4364061);
    path97.lineTo(size.width * 0.2910500, size.height * 0.4366394);
    path97.lineTo(size.width * 0.2934000, size.height * 0.4379230);
    path97.close();

    Paint paint97fill = Paint()..style = PaintingStyle.fill;
    paint97fill.color = countryColors.hT ?? defaultCountryColor;
    canvas.drawPath(path97, paint97fill);

    Path path98 = Path();
    path98.moveTo(size.width * 0.5481000, size.height * 0.2239207);
    path98.lineTo(size.width * 0.5496000, size.height * 0.2259043);
    path98.lineTo(size.width * 0.5498500, size.height * 0.2278880);
    path98.lineTo(size.width * 0.5484000, size.height * 0.2294049);
    path98.lineTo(size.width * 0.5474500, size.height * 0.2343057);
    path98.lineTo(size.width * 0.5461500, size.height * 0.2393232);
    path98.lineTo(size.width * 0.5442000, size.height * 0.2407235);
    path98.lineTo(size.width * 0.5426000, size.height * 0.2403734);
    path98.lineTo(size.width * 0.5407500, size.height * 0.2422404);
    path98.lineTo(size.width * 0.5398500, size.height * 0.2434072);
    path98.lineTo(size.width * 0.5377000, size.height * 0.2420070);
    path98.lineTo(size.width * 0.5357000, size.height * 0.2388565);
    path98.lineTo(size.width * 0.5349000, size.height * 0.2379230);
    path98.lineTo(size.width * 0.5343000, size.height * 0.2354726);
    path98.lineTo(size.width * 0.5339000, size.height * 0.2353559);
    path98.lineTo(size.width * 0.5345500, size.height * 0.2306884);
    path98.lineTo(size.width * 0.5340000, size.height * 0.2290548);
    path98.lineTo(size.width * 0.5354000, size.height * 0.2290548);
    path98.lineTo(size.width * 0.5355000, size.height * 0.2260210);
    path98.lineTo(size.width * 0.5368500, size.height * 0.2280047);
    path98.lineTo(size.width * 0.5378000, size.height * 0.2287048);
    path98.lineTo(size.width * 0.5398500, size.height * 0.2278880);
    path98.lineTo(size.width * 0.5400000, size.height * 0.2263711);
    path98.lineTo(size.width * 0.5409500, size.height * 0.2261377);
    path98.lineTo(size.width * 0.5421000, size.height * 0.2250875);
    path98.lineTo(size.width * 0.5424000, size.height * 0.2255543);
    path98.lineTo(size.width * 0.5435500, size.height * 0.2246208);
    path98.lineTo(size.width * 0.5440500, size.height * 0.2228705);
    path98.lineTo(size.width * 0.5448500, size.height * 0.2224037);
    path98.lineTo(size.width * 0.5476000, size.height * 0.2246208);
    path98.lineTo(size.width * 0.5481000, size.height * 0.2239207);
    path98.close();

    Paint paint98fill = Paint()..style = PaintingStyle.fill;
    paint98fill.color = countryColors.hU ?? defaultCountryColor;
    canvas.drawPath(path98, paint98fill);

    Path path99 = Path();
    path99.moveTo(size.width * 0.8337500, size.height * 0.6623104);
    path99.lineTo(size.width * 0.8325500, size.height * 0.6624271);
    path99.lineTo(size.width * 0.8290000, size.height * 0.6571762);
    path99.lineTo(size.width * 0.8317000, size.height * 0.6556593);
    path99.lineTo(size.width * 0.8331000, size.height * 0.6579930);
    path99.lineTo(size.width * 0.8340000, size.height * 0.6602100);
    path99.lineTo(size.width * 0.8337500, size.height * 0.6623104);
    path99.close();

    Paint paint99fill = Paint()..style = PaintingStyle.fill;
    paint99fill.color = countryColors.iD ?? defaultCountryColor;
    canvas.drawPath(path99, paint99fill);

    Path path100 = Path();
    path100.moveTo(size.width * 0.8461500, size.height * 0.6521587);
    path100.lineTo(size.width * 0.8464000, size.height * 0.6536756);
    path100.lineTo(size.width * 0.8463500, size.height * 0.6558926);
    path100.lineTo(size.width * 0.8443000, size.height * 0.6614936);
    path100.lineTo(size.width * 0.8418000, size.height * 0.6631272);
    path100.lineTo(size.width * 0.8415000, size.height * 0.6623104);
    path100.lineTo(size.width * 0.8418500, size.height * 0.6597433);
    path100.lineTo(size.width * 0.8432500, size.height * 0.6551925);
    path100.lineTo(size.width * 0.8461500, size.height * 0.6521587);
    path100.close();

    Paint paint100fill = Paint()..style = PaintingStyle.fill;
    paint100fill.color = countryColors.iD ?? defaultCountryColor;
    canvas.drawPath(path100, paint100fill);

    Path path101 = Path();
    path101.moveTo(size.width * 0.8263500, size.height * 0.6462077);
    path101.lineTo(size.width * 0.8273000, size.height * 0.6481914);
    path101.lineTo(size.width * 0.8291000, size.height * 0.6476079);
    path101.lineTo(size.width * 0.8297000, size.height * 0.6507585);
    path101.lineTo(size.width * 0.8263500, size.height * 0.6522754);
    path101.lineTo(size.width * 0.8244000, size.height * 0.6533256);
    path101.lineTo(size.width * 0.8228500, size.height * 0.6532089);
    path101.lineTo(size.width * 0.8239500, size.height * 0.6488915);
    path101.lineTo(size.width * 0.8255500, size.height * 0.6488915);
    path101.lineTo(size.width * 0.8263500, size.height * 0.6462077);
    path101.close();

    Paint paint101fill = Paint()..style = PaintingStyle.fill;
    paint101fill.color = countryColors.iD ?? defaultCountryColor;
    canvas.drawPath(path101, paint101fill);

    Path path102 = Path();
    path102.moveTo(size.width * 0.8405000, size.height * 0.6462077);
    path102.lineTo(size.width * 0.8399500, size.height * 0.6504084);
    path102.lineTo(size.width * 0.8356500, size.height * 0.6525088);
    path102.lineTo(size.width * 0.8319000, size.height * 0.6515753);
    path102.lineTo(size.width * 0.8320000, size.height * 0.6487748);
    path102.lineTo(size.width * 0.8343000, size.height * 0.6472579);
    path102.lineTo(size.width * 0.8360000, size.height * 0.6494749);
    path102.lineTo(size.width * 0.8379000, size.height * 0.6488915);
    path102.lineTo(size.width * 0.8405000, size.height * 0.6462077);
    path102.close();

    Paint paint102fill = Paint()..style = PaintingStyle.fill;
    paint102fill.color = countryColors.iD ?? defaultCountryColor;
    canvas.drawPath(path102, paint102fill);

    Path path103 = Path();
    path103.moveTo(size.width * 0.8004000, size.height * 0.6362894);
    path103.lineTo(size.width * 0.8058000, size.height * 0.6371062);
    path103.lineTo(size.width * 0.8065000, size.height * 0.6339557);
    path103.lineTo(size.width * 0.8116500, size.height * 0.6375729);
    path103.lineTo(size.width * 0.8125500, size.height * 0.6424737);
    path103.lineTo(size.width * 0.8167500, size.height * 0.6438740);
    path103.lineTo(size.width * 0.8201000, size.height * 0.6483081);
    path103.lineTo(size.width * 0.8168000, size.height * 0.6511085);
    path103.lineTo(size.width * 0.8137500, size.height * 0.6480747);
    path103.lineTo(size.width * 0.8112000, size.height * 0.6483081);
    path103.lineTo(size.width * 0.8083000, size.height * 0.6477246);
    path103.lineTo(size.width * 0.8057000, size.height * 0.6464411);
    path103.lineTo(size.width * 0.8025000, size.height * 0.6435239);
    path103.lineTo(size.width * 0.8004500, size.height * 0.6428238);
    path103.lineTo(size.width * 0.7992500, size.height * 0.6437573);
    path103.lineTo(size.width * 0.7941500, size.height * 0.6406068);
    path103.lineTo(size.width * 0.7937500, size.height * 0.6374562);
    path103.lineTo(size.width * 0.7912000, size.height * 0.6368728);
    path103.lineTo(size.width * 0.7933000, size.height * 0.6297550);
    path103.lineTo(size.width * 0.7967000, size.height * 0.6302217);
    path103.lineTo(size.width * 0.7989000, size.height * 0.6331389);
    path103.lineTo(size.width * 0.8001000, size.height * 0.6337223);
    path103.lineTo(size.width * 0.8004000, size.height * 0.6362894);
    path103.close();

    Paint paint103fill = Paint()..style = PaintingStyle.fill;
    paint103fill.color = countryColors.iD ?? defaultCountryColor;
    canvas.drawPath(path103, paint103fill);

    Path path104 = Path();
    path104.moveTo(size.width * 0.8743500, size.height * 0.6320887);
    path104.lineTo(size.width * 0.8727500, size.height * 0.6372229);
    path104.lineTo(size.width * 0.8726500, size.height * 0.6316219);
    path104.lineTo(size.width * 0.8732000, size.height * 0.6289382);
    path104.lineTo(size.width * 0.8738500, size.height * 0.6263711);
    path104.lineTo(size.width * 0.8744500, size.height * 0.6285881);
    path104.lineTo(size.width * 0.8743500, size.height * 0.6320887);
    path104.close();

    Paint paint104fill = Paint()..style = PaintingStyle.fill;
    paint104fill.color = countryColors.iD ?? defaultCountryColor;
    canvas.drawPath(path104, paint104fill);

    Path path105 = Path();
    path105.moveTo(size.width * 0.8536500, size.height * 0.6114352);
    path105.lineTo(size.width * 0.8525500, size.height * 0.6140023);
    path105.lineTo(size.width * 0.8506500, size.height * 0.6126021);
    path105.lineTo(size.width * 0.8501500, size.height * 0.6093349);
    path105.lineTo(size.width * 0.8530000, size.height * 0.6089848);
    path105.lineTo(size.width * 0.8536500, size.height * 0.6114352);
    path105.close();

    Paint paint105fill = Paint()..style = PaintingStyle.fill;
    paint105fill.color = countryColors.iD ?? defaultCountryColor;
    canvas.drawPath(path105, paint105fill);

    Path path106 = Path();
    path106.moveTo(size.width * 0.8628500, size.height * 0.6087515);
    path106.lineTo(size.width * 0.8637500, size.height * 0.6144691);
    path106.lineTo(size.width * 0.8614500, size.height * 0.6113186);
    path106.lineTo(size.width * 0.8591000, size.height * 0.6107351);
    path106.lineTo(size.width * 0.8574500, size.height * 0.6112019);
    path106.lineTo(size.width * 0.8555000, size.height * 0.6109685);
    path106.lineTo(size.width * 0.8562500, size.height * 0.6068845);
    path106.lineTo(size.width * 0.8597500, size.height * 0.6065344);
    path106.lineTo(size.width * 0.8628500, size.height * 0.6087515);
    path106.close();

    Paint paint106fill = Paint()..style = PaintingStyle.fill;
    paint106fill.color = countryColors.iD ?? defaultCountryColor;
    canvas.drawPath(path106, paint106fill);

    Path path107 = Path();
    path107.moveTo(size.width * 0.8927500, size.height * 0.6050175);
    path107.lineTo(size.width * 0.8922500, size.height * 0.6294049);
    path107.lineTo(size.width * 0.8914500, size.height * 0.6539090);
    path107.lineTo(size.width * 0.8891500, size.height * 0.6477246);
    path107.lineTo(size.width * 0.8863500, size.height * 0.6462077);
    path107.lineTo(size.width * 0.8856000, size.height * 0.6483081);
    path107.lineTo(size.width * 0.8820000, size.height * 0.6485414);
    path107.lineTo(size.width * 0.8834000, size.height * 0.6424737);
    path107.lineTo(size.width * 0.8852500, size.height * 0.6403734);
    path107.lineTo(size.width * 0.8847500, size.height * 0.6322054);
    path107.lineTo(size.width * 0.8836000, size.height * 0.6260210);
    path107.lineTo(size.width * 0.8782500, size.height * 0.6196033);
    path107.lineTo(size.width * 0.8759500, size.height * 0.6190198);
    path107.lineTo(size.width * 0.8718000, size.height * 0.6120187);
    path107.lineTo(size.width * 0.8709000, size.height * 0.6157526);
    path107.lineTo(size.width * 0.8698000, size.height * 0.6163361);
    path107.lineTo(size.width * 0.8692500, size.height * 0.6136523);
    path107.lineTo(size.width * 0.8693000, size.height * 0.6103851);
    path107.lineTo(size.width * 0.8672000, size.height * 0.6066511);
    path107.lineTo(size.width * 0.8703000, size.height * 0.6039673);
    path107.lineTo(size.width * 0.8723000, size.height * 0.6040840);
    path107.lineTo(size.width * 0.8721000, size.height * 0.6021004);
    path107.lineTo(size.width * 0.8679500, size.height * 0.6021004);
    path107.lineTo(size.width * 0.8668500, size.height * 0.5976663);
    path107.lineTo(size.width * 0.8643500, size.height * 0.5962660);
    path107.lineTo(size.width * 0.8632000, size.height * 0.5925321);
    path107.lineTo(size.width * 0.8670000, size.height * 0.5907818);
    path107.lineTo(size.width * 0.8684500, size.height * 0.5883314);
    path107.lineTo(size.width * 0.8730000, size.height * 0.5913652);
    path107.lineTo(size.width * 0.8734500, size.height * 0.5941657);
    path107.lineTo(size.width * 0.8741000, size.height * 0.6063011);
    path107.lineTo(size.width * 0.8769500, size.height * 0.6107351);
    path107.lineTo(size.width * 0.8794500, size.height * 0.6028005);
    path107.lineTo(size.width * 0.8827500, size.height * 0.5983664);
    path107.lineTo(size.width * 0.8852500, size.height * 0.5983664);
    path107.lineTo(size.width * 0.8876500, size.height * 0.6009335);
    path107.lineTo(size.width * 0.8897000, size.height * 0.6036173);
    path107.lineTo(size.width * 0.8927500, size.height * 0.6050175);
    path107.close();

    Paint paint107fill = Paint()..style = PaintingStyle.fill;
    paint107fill.color = countryColors.iD ?? defaultCountryColor;
    canvas.drawPath(path107, paint107fill);

    Path path108 = Path();
    path108.moveTo(size.width * 0.8482000, size.height * 0.5749125);
    path108.lineTo(size.width * 0.8459500, size.height * 0.5823804);
    path108.lineTo(size.width * 0.8438000, size.height * 0.5837806);
    path108.lineTo(size.width * 0.8411000, size.height * 0.5823804);
    path108.lineTo(size.width * 0.8363500, size.height * 0.5827305);
    path108.lineTo(size.width * 0.8339000, size.height * 0.5837806);
    path108.lineTo(size.width * 0.8335000, size.height * 0.5894982);
    path108.lineTo(size.width * 0.8360000, size.height * 0.5961494);
    path108.lineTo(size.width * 0.8375500, size.height * 0.5927655);
    path108.lineTo(size.width * 0.8428500, size.height * 0.5901984);
    path108.lineTo(size.width * 0.8426000, size.height * 0.5935823);
    path108.lineTo(size.width * 0.8413500, size.height * 0.5925321);
    path108.lineTo(size.width * 0.8401000, size.height * 0.5969662);
    path108.lineTo(size.width * 0.8375500, size.height * 0.5998833);
    path108.lineTo(size.width * 0.8401000, size.height * 0.6094516);
    path108.lineTo(size.width * 0.8395500, size.height * 0.6120187);
    path108.lineTo(size.width * 0.8419500, size.height * 0.6206534);
    path108.lineTo(size.width * 0.8418000, size.height * 0.6255543);
    path108.lineTo(size.width * 0.8402500, size.height * 0.6277713);
    path108.lineTo(size.width * 0.8392000, size.height * 0.6250875);
    path108.lineTo(size.width * 0.8407000, size.height * 0.6190198);
    path108.lineTo(size.width * 0.8378500, size.height * 0.6219370);
    path108.lineTo(size.width * 0.8372000, size.height * 0.6198366);
    path108.lineTo(size.width * 0.8376000, size.height * 0.6169195);
    path108.lineTo(size.width * 0.8356500, size.height * 0.6124854);
    path108.lineTo(size.width * 0.8360000, size.height * 0.6052509);
    path108.lineTo(size.width * 0.8340500, size.height * 0.6074679);
    path108.lineTo(size.width * 0.8341500, size.height * 0.6162194);
    path108.lineTo(size.width * 0.8340500, size.height * 0.6269545);
    path108.lineTo(size.width * 0.8322000, size.height * 0.6280047);
    path108.lineTo(size.width * 0.8310500, size.height * 0.6259043);
    path108.lineTo(size.width * 0.8320000, size.height * 0.6190198);
    path108.lineTo(size.width * 0.8317000, size.height * 0.6117853);
    path108.lineTo(size.width * 0.8305000, size.height * 0.6116686);
    path108.lineTo(size.width * 0.8297000, size.height * 0.6065344);
    path108.lineTo(size.width * 0.8309500, size.height * 0.6016336);
    path108.lineTo(size.width * 0.8314000, size.height * 0.5956826);
    path108.lineTo(size.width * 0.8329000, size.height * 0.5843641);
    path108.lineTo(size.width * 0.8334500, size.height * 0.5813302);
    path108.lineTo(size.width * 0.8358500, size.height * 0.5757293);
    path108.lineTo(size.width * 0.8381000, size.height * 0.5779463);
    path108.lineTo(size.width * 0.8416500, size.height * 0.5789965);
    path108.lineTo(size.width * 0.8449000, size.height * 0.5786464);
    path108.lineTo(size.width * 0.8477000, size.height * 0.5732789);
    path108.lineTo(size.width * 0.8482000, size.height * 0.5749125);
    path108.close();

    Paint paint108fill = Paint()..style = PaintingStyle.fill;
    paint108fill.color = countryColors.iD ?? defaultCountryColor;
    canvas.drawPath(path108, paint108fill);

    Path path109 = Path();
    path109.moveTo(size.width * 0.8580000, size.height * 0.5771295);
    path109.lineTo(size.width * 0.8578500, size.height * 0.5836639);
    path109.lineTo(size.width * 0.8564000, size.height * 0.5828471);
    path109.lineTo(size.width * 0.8559500, size.height * 0.5873979);
    path109.lineTo(size.width * 0.8571000, size.height * 0.5913652);
    path109.lineTo(size.width * 0.8563000, size.height * 0.5922987);
    path109.lineTo(size.width * 0.8552000, size.height * 0.5875146);
    path109.lineTo(size.width * 0.8543500, size.height * 0.5779463);
    path109.lineTo(size.width * 0.8548500, size.height * 0.5719953);
    path109.lineTo(size.width * 0.8557500, size.height * 0.5693116);
    path109.lineTo(size.width * 0.8560000, size.height * 0.5733956);
    path109.lineTo(size.width * 0.8577000, size.height * 0.5739790);
    path109.lineTo(size.width * 0.8580000, size.height * 0.5771295);
    path109.close();

    Paint paint109fill = Paint()..style = PaintingStyle.fill;
    paint109fill.color = countryColors.iD ?? defaultCountryColor;
    canvas.drawPath(path109, paint109fill);

    Path path110 = Path();
    path110.moveTo(size.width * 0.8040000, size.height * 0.5704784);
    path110.lineTo(size.width * 0.8045000, size.height * 0.5754959);
    path110.lineTo(size.width * 0.8064500, size.height * 0.5798133);
    path110.lineTo(size.width * 0.8083000, size.height * 0.5782964);
    path110.lineTo(size.width * 0.8101000, size.height * 0.5787631);
    path110.lineTo(size.width * 0.8117500, size.height * 0.5750292);
    path110.lineTo(size.width * 0.8131000, size.height * 0.5743291);
    path110.lineTo(size.width * 0.8158000, size.height * 0.5764294);
    path110.lineTo(size.width * 0.8181000, size.height * 0.5747958);
    path110.lineTo(size.width * 0.8194000, size.height * 0.5644107);
    path110.lineTo(size.width * 0.8204500, size.height * 0.5618436);
    path110.lineTo(size.width * 0.8213000, size.height * 0.5533256);
    path110.lineTo(size.width * 0.8245500, size.height * 0.5533256);
    path110.lineTo(size.width * 0.8270500, size.height * 0.5546091);
    path110.lineTo(size.width * 0.8255500, size.height * 0.5613769);
    path110.lineTo(size.width * 0.8277500, size.height * 0.5683781);
    path110.lineTo(size.width * 0.8273000, size.height * 0.5718786);
    path110.lineTo(size.width * 0.8305000, size.height * 0.5787631);
    path110.lineTo(size.width * 0.8271500, size.height * 0.5796966);
    path110.lineTo(size.width * 0.8262500, size.height * 0.5848308);
    path110.lineTo(size.width * 0.8263500, size.height * 0.5915986);
    path110.lineTo(size.width * 0.8236000, size.height * 0.5967328);
    path110.lineTo(size.width * 0.8234000, size.height * 0.6042007);
    path110.lineTo(size.width * 0.8221500, size.height * 0.6156359);
    path110.lineTo(size.width * 0.8218000, size.height * 0.6129522);
    path110.lineTo(size.width * 0.8185000, size.height * 0.6163361);
    path110.lineTo(size.width * 0.8174500, size.height * 0.6117853);
    path110.lineTo(size.width * 0.8154500, size.height * 0.6113186);
    path110.lineTo(size.width * 0.8140500, size.height * 0.6088681);
    path110.lineTo(size.width * 0.8106500, size.height * 0.6116686);
    path110.lineTo(size.width * 0.8097000, size.height * 0.6079347);
    path110.lineTo(size.width * 0.8078000, size.height * 0.6084014);
    path110.lineTo(size.width * 0.8055000, size.height * 0.6075846);
    path110.lineTo(size.width * 0.8052000, size.height * 0.5975496);
    path110.lineTo(size.width * 0.8038000, size.height * 0.5954492);
    path110.lineTo(size.width * 0.8024500, size.height * 0.5890315);
    path110.lineTo(size.width * 0.8020500, size.height * 0.5824971);
    path110.lineTo(size.width * 0.8023500, size.height * 0.5754959);
    path110.lineTo(size.width * 0.8040000, size.height * 0.5704784);
    path110.close();

    Paint paint110fill = Paint()..style = PaintingStyle.fill;
    paint110fill.color = countryColors.iD ?? defaultCountryColor;
    canvas.drawPath(path110, paint110fill);

    Path path111 = Path();
    path111.moveTo(size.width * 0.7926000, size.height * 0.6294049);
    path111.lineTo(size.width * 0.7895000, size.height * 0.6295216);
    path111.lineTo(size.width * 0.7872500, size.height * 0.6233372);
    path111.lineTo(size.width * 0.7837000, size.height * 0.6171529);
    path111.lineTo(size.width * 0.7825500, size.height * 0.6126021);
    path111.lineTo(size.width * 0.7805000, size.height * 0.6065344);
    path111.lineTo(size.width * 0.7791500, size.height * 0.6009335);
    path111.lineTo(size.width * 0.7770500, size.height * 0.5904317);
    path111.lineTo(size.width * 0.7746000, size.height * 0.5841307);
    path111.lineTo(size.width * 0.7737500, size.height * 0.5777130);
    path111.lineTo(size.width * 0.7726500, size.height * 0.5718786);
    path111.lineTo(size.width * 0.7700500, size.height * 0.5672112);
    path111.lineTo(size.width * 0.7685000, size.height * 0.5607935);
    path111.lineTo(size.width * 0.7663000, size.height * 0.5565928);
    path111.lineTo(size.width * 0.7632000, size.height * 0.5483081);
    path111.lineTo(size.width * 0.7629000, size.height * 0.5444574);
    path111.lineTo(size.width * 0.7647000, size.height * 0.5448075);
    path111.lineTo(size.width * 0.7691500, size.height * 0.5462077);
    path111.lineTo(size.width * 0.7717500, size.height * 0.5535589);
    path111.lineTo(size.width * 0.7740500, size.height * 0.5586931);
    path111.lineTo(size.width * 0.7756500, size.height * 0.5617270);
    path111.lineTo(size.width * 0.7784000, size.height * 0.5697783);
    path111.lineTo(size.width * 0.7813000, size.height * 0.5698950);
    path111.lineTo(size.width * 0.7837000, size.height * 0.5750292);
    path111.lineTo(size.width * 0.7854000, size.height * 0.5813302);
    path111.lineTo(size.width * 0.7875500, size.height * 0.5848308);
    path111.lineTo(size.width * 0.7864000, size.height * 0.5908985);
    path111.lineTo(size.width * 0.7880500, size.height * 0.5934656);
    path111.lineTo(size.width * 0.7890500, size.height * 0.5936989);
    path111.lineTo(size.width * 0.7895000, size.height * 0.5989498);
    path111.lineTo(size.width * 0.7904500, size.height * 0.6030338);
    path111.lineTo(size.width * 0.7925000, size.height * 0.6037340);
    path111.lineTo(size.width * 0.7938000, size.height * 0.6085181);
    path111.lineTo(size.width * 0.7929500, size.height * 0.6178530);
    path111.lineTo(size.width * 0.7926000, size.height * 0.6294049);
    path111.close();

    Paint paint111fill = Paint()..style = PaintingStyle.fill;
    paint111fill.color = countryColors.iD ?? defaultCountryColor;
    canvas.drawPath(path111, paint111fill);

    Path path112 = Path();
    path112.moveTo(size.width * 0.7138000, size.height * 0.3593932);
    path112.lineTo(size.width * 0.7124000, size.height * 0.3628938);
    path112.lineTo(size.width * 0.7119500, size.height * 0.3698950);
    path112.lineTo(size.width * 0.7148500, size.height * 0.3726954);
    path112.lineTo(size.width * 0.7177500, size.height * 0.3763127);
    path112.lineTo(size.width * 0.7216500, size.height * 0.3805134);
    path112.lineTo(size.width * 0.7255000, size.height * 0.3815636);
    path112.lineTo(size.width * 0.7274000, size.height * 0.3852975);
    path112.lineTo(size.width * 0.7295500, size.height * 0.3859977);
    path112.lineTo(size.width * 0.7330000, size.height * 0.3877480);
    path112.lineTo(size.width * 0.7353000, size.height * 0.3876313);
    path112.lineTo(size.width * 0.7353500, size.height * 0.3847141);
    path112.lineTo(size.width * 0.7346000, size.height * 0.3799300);
    path112.lineTo(size.width * 0.7345000, size.height * 0.3767795);
    path112.lineTo(size.width * 0.7360500, size.height * 0.3751459);
    path112.lineTo(size.width * 0.7368000, size.height * 0.3810968);
    path112.lineTo(size.width * 0.7370000, size.height * 0.3824971);
    path112.lineTo(size.width * 0.7397500, size.height * 0.3854142);
    path112.lineTo(size.width * 0.7413500, size.height * 0.3842474);
    path112.lineTo(size.width * 0.7437000, size.height * 0.3847141);
    path112.lineTo(size.width * 0.7459500, size.height * 0.3844807);
    path112.lineTo(size.width * 0.7457000, size.height * 0.3799300);
    path112.lineTo(size.width * 0.7444000, size.height * 0.3774796);
    path112.lineTo(size.width * 0.7465000, size.height * 0.3765461);
    path112.lineTo(size.width * 0.7484500, size.height * 0.3709452);
    path112.lineTo(size.width * 0.7511500, size.height * 0.3662777);
    path112.lineTo(size.width * 0.7536000, size.height * 0.3680280);
    path112.lineTo(size.width * 0.7552000, size.height * 0.3648775);
    path112.lineTo(size.width * 0.7570000, size.height * 0.3695449);
    path112.lineTo(size.width * 0.7564000, size.height * 0.3726954);
    path112.lineTo(size.width * 0.7594500, size.height * 0.3738623);
    path112.lineTo(size.width * 0.7599500, size.height * 0.3766628);
    path112.lineTo(size.width * 0.7591000, size.height * 0.3780630);
    path112.lineTo(size.width * 0.7598000, size.height * 0.3826138);
    path112.lineTo(size.width * 0.7577000, size.height * 0.3813302);
    path112.lineTo(size.width * 0.7546000, size.height * 0.3864644);
    path112.lineTo(size.width * 0.7550500, size.height * 0.3907818);
    path112.lineTo(size.width * 0.7540500, size.height * 0.3970828);
    path112.lineTo(size.width * 0.7542000, size.height * 0.4007001);
    path112.lineTo(size.width * 0.7534000, size.height * 0.4068845);
    path112.lineTo(size.width * 0.7511000, size.height * 0.4051342);
    path112.lineTo(size.width * 0.7515500, size.height * 0.4129522);
    path112.lineTo(size.width * 0.7510500, size.height * 0.4155193);
    path112.lineTo(size.width * 0.7515500, size.height * 0.4186698);
    path112.lineTo(size.width * 0.7503000, size.height * 0.4204201);
    path112.lineTo(size.width * 0.7481000, size.height * 0.4085181);
    path112.lineTo(size.width * 0.7473500, size.height * 0.4085181);
    path112.lineTo(size.width * 0.7472000, size.height * 0.4134189);
    path112.lineTo(size.width * 0.7454000, size.height * 0.4094516);
    path112.lineTo(size.width * 0.7460000, size.height * 0.4052509);
    path112.lineTo(size.width * 0.7472000, size.height * 0.4047841);
    path112.lineTo(size.width * 0.7480000, size.height * 0.3984831);
    path112.lineTo(size.width * 0.7463000, size.height * 0.3971995);
    path112.lineTo(size.width * 0.7437500, size.height * 0.3973162);
    path112.lineTo(size.width * 0.7410500, size.height * 0.3962660);
    path112.lineTo(size.width * 0.7404500, size.height * 0.3910152);
    path112.lineTo(size.width * 0.7391000, size.height * 0.3906651);
    path112.lineTo(size.width * 0.7366500, size.height * 0.3873979);
    path112.lineTo(size.width * 0.7360500, size.height * 0.3925321);
    path112.lineTo(size.width * 0.7383500, size.height * 0.3964994);
    path112.lineTo(size.width * 0.7368500, size.height * 0.3992999);
    path112.lineTo(size.width * 0.7364000, size.height * 0.4019837);
    path112.lineTo(size.width * 0.7382500, size.height * 0.4039673);
    path112.lineTo(size.width * 0.7381000, size.height * 0.4085181);
    path112.lineTo(size.width * 0.7394000, size.height * 0.4141190);
    path112.lineTo(size.width * 0.7402000, size.height * 0.4203034);
    path112.lineTo(size.width * 0.7399500, size.height * 0.4231039);
    path112.lineTo(size.width * 0.7380500, size.height * 0.4229872);
    path112.lineTo(size.width * 0.7347500, size.height * 0.4245041);
    path112.lineTo(size.width * 0.7352000, size.height * 0.4301050);
    path112.lineTo(size.width * 0.7340000, size.height * 0.4345391);
    path112.lineTo(size.width * 0.7302500, size.height * 0.4396733);
    path112.lineTo(size.width * 0.7276000, size.height * 0.4484247);
    path112.lineTo(size.width * 0.7257000, size.height * 0.4532089);
    path112.lineTo(size.width * 0.7232000, size.height * 0.4581097);
    path112.lineTo(size.width * 0.7233500, size.height * 0.4614936);
    path112.lineTo(size.width * 0.7220500, size.height * 0.4633606);
    path112.lineTo(size.width * 0.7196500, size.height * 0.4660443);
    path112.lineTo(size.width * 0.7183500, size.height * 0.4663944);
    path112.lineTo(size.width * 0.7177500, size.height * 0.4721120);
    path112.lineTo(size.width * 0.7187000, size.height * 0.4819137);
    path112.lineTo(size.width * 0.7190500, size.height * 0.4880980);
    path112.lineTo(size.width * 0.7181000, size.height * 0.4952159);
    path112.lineTo(size.width * 0.7184500, size.height * 0.5079347);
    path112.lineTo(size.width * 0.7170000, size.height * 0.5082847);
    path112.lineTo(size.width * 0.7158500, size.height * 0.5140023);
    path112.lineTo(size.width * 0.7168000, size.height * 0.5165694);
    path112.lineTo(size.width * 0.7142500, size.height * 0.5186698);
    path112.lineTo(size.width * 0.7134000, size.height * 0.5236873);
    path112.lineTo(size.width * 0.7123000, size.height * 0.5259043);
    path112.lineTo(size.width * 0.7095000, size.height * 0.5189032);
    path112.lineTo(size.width * 0.7079500, size.height * 0.5084014);
    path112.lineTo(size.width * 0.7067000, size.height * 0.5008168);
    path112.lineTo(size.width * 0.7056000, size.height * 0.4973162);
    path112.lineTo(size.width * 0.7039000, size.height * 0.4900817);
    path112.lineTo(size.width * 0.7029000, size.height * 0.4807468);
    path112.lineTo(size.width * 0.7022000, size.height * 0.4760793);
    path112.lineTo(size.width * 0.6992500, size.height * 0.4658110);
    path112.lineTo(size.width * 0.6975000, size.height * 0.4512252);
    path112.lineTo(size.width * 0.6962000, size.height * 0.4416569);
    path112.lineTo(size.width * 0.6958000, size.height * 0.4325554);
    path112.lineTo(size.width * 0.6949500, size.height * 0.4255543);
    path112.lineTo(size.width * 0.6911000, size.height * 0.4301050);
    path112.lineTo(size.width * 0.6891000, size.height * 0.4291715);
    path112.lineTo(size.width * 0.6850500, size.height * 0.4200700);
    path112.lineTo(size.width * 0.6862500, size.height * 0.4173862);
    path112.lineTo(size.width * 0.6853000, size.height * 0.4144691);
    path112.lineTo(size.width * 0.6817500, size.height * 0.4080513);
    path112.lineTo(size.width * 0.6833500, size.height * 0.4030338);
    path112.lineTo(size.width * 0.6894000, size.height * 0.4030338);
    path112.lineTo(size.width * 0.6885000, size.height * 0.3966161);
    path112.lineTo(size.width * 0.6867500, size.height * 0.3928821);
    path112.lineTo(size.width * 0.6860500, size.height * 0.3870478);
    path112.lineTo(size.width * 0.6840500, size.height * 0.3837806);
    path112.lineTo(size.width * 0.6865000, size.height * 0.3758460);
    path112.lineTo(size.width * 0.6897500, size.height * 0.3764294);
    path112.lineTo(size.width * 0.6920000, size.height * 0.3686114);
    path112.lineTo(size.width * 0.6931000, size.height * 0.3610268);
    path112.lineTo(size.width * 0.6950500, size.height * 0.3534422);
    path112.lineTo(size.width * 0.6945500, size.height * 0.3480747);
    path112.lineTo(size.width * 0.6964500, size.height * 0.3437573);
    path112.lineTo(size.width * 0.6939000, size.height * 0.3401400);
    path112.lineTo(size.width * 0.6924500, size.height * 0.3350058);
    path112.lineTo(size.width * 0.6908000, size.height * 0.3284714);
    path112.lineTo(size.width * 0.6918000, size.height * 0.3252042);
    path112.lineTo(size.width * 0.6960500, size.height * 0.3270712);
    path112.lineTo(size.width * 0.6989000, size.height * 0.3259043);
    path112.lineTo(size.width * 0.7008000, size.height * 0.3196033);
    path112.lineTo(size.width * 0.7046500, size.height * 0.3284714);
    path112.lineTo(size.width * 0.7050500, size.height * 0.3345391);
    path112.lineTo(size.width * 0.7065500, size.height * 0.3383897);
    path112.lineTo(size.width * 0.7068500, size.height * 0.3422404);
    path112.lineTo(size.width * 0.7048000, size.height * 0.3411902);
    path112.lineTo(size.width * 0.7064000, size.height * 0.3494749);
    path112.lineTo(size.width * 0.7095000, size.height * 0.3541424);
    path112.lineTo(size.width * 0.7138000, size.height * 0.3593932);
    path112.close();

    Paint paint112fill = Paint()..style = PaintingStyle.fill;
    paint112fill.color = countryColors.iN ?? defaultCountryColor;
    canvas.drawPath(path112, paint112fill);

    Path path113 = Path();
    path113.moveTo(size.width * 0.4783500, size.height * 0.1845974);
    path113.lineTo(size.width * 0.4787000, size.height * 0.1897316);
    path113.lineTo(size.width * 0.4767500, size.height * 0.1961494);
    path113.lineTo(size.width * 0.4723500, size.height * 0.2003501);
    path113.lineTo(size.width * 0.4689500, size.height * 0.1992999);
    path113.lineTo(size.width * 0.4711000, size.height * 0.1918320);
    path113.lineTo(size.width * 0.4700500, size.height * 0.1845974);
    path113.lineTo(size.width * 0.4734000, size.height * 0.1789965);
    path113.lineTo(size.width * 0.4752500, size.height * 0.1757293);
    path113.lineTo(size.width * 0.4757000, size.height * 0.1794632);
    path113.lineTo(size.width * 0.4751000, size.height * 0.1833139);
    path113.lineTo(size.width * 0.4766000, size.height * 0.1831972);
    path113.lineTo(size.width * 0.4783500, size.height * 0.1845974);
    path113.close();

    Paint paint113fill = Paint()..style = PaintingStyle.fill;
    paint113fill.color = countryColors.iE ?? defaultCountryColor;
    canvas.drawPath(path113, paint113fill);

    Path path114 = Path();
    path114.moveTo(size.width * 0.6145000, size.height * 0.2954492);
    path114.lineTo(size.width * 0.6154000, size.height * 0.2952159);
    path114.lineTo(size.width * 0.6180500, size.height * 0.2897316);
    path114.lineTo(size.width * 0.6190000, size.height * 0.2891482);
    path114.lineTo(size.width * 0.6199500, size.height * 0.2913652);
    path114.lineTo(size.width * 0.6193500, size.height * 0.2949825);
    path114.lineTo(size.width * 0.6213000, size.height * 0.2989498);
    path114.lineTo(size.width * 0.6219500, size.height * 0.2984831);
    path114.lineTo(size.width * 0.6232000, size.height * 0.3040840);
    path114.lineTo(size.width * 0.6258500, size.height * 0.3056009);
    path114.lineTo(size.width * 0.6280000, size.height * 0.3093349);
    path114.lineTo(size.width * 0.6318500, size.height * 0.3106184);
    path114.lineTo(size.width * 0.6358500, size.height * 0.3086348);
    path114.lineTo(size.width * 0.6359500, size.height * 0.3068845);
    path114.lineTo(size.width * 0.6381500, size.height * 0.3054842);
    path114.lineTo(size.width * 0.6396500, size.height * 0.3011669);
    path114.lineTo(size.width * 0.6414500, size.height * 0.3014002);
    path114.lineTo(size.width * 0.6424500, size.height * 0.3000000);
    path114.lineTo(size.width * 0.6444000, size.height * 0.3007001);
    path114.lineTo(size.width * 0.6477000, size.height * 0.3045508);
    path114.lineTo(size.width * 0.6498500, size.height * 0.3053676);
    path114.lineTo(size.width * 0.6535000, size.height * 0.3119020);
    path114.lineTo(size.width * 0.6555000, size.height * 0.3122520);
    path114.lineTo(size.width * 0.6563500, size.height * 0.3184364);
    path114.lineTo(size.width * 0.6560500, size.height * 0.3277713);
    path114.lineTo(size.width * 0.6558000, size.height * 0.3332555);
    path114.lineTo(size.width * 0.6570500, size.height * 0.3344224);
    path114.lineTo(size.width * 0.6562500, size.height * 0.3385064);
    path114.lineTo(size.width * 0.6576000, size.height * 0.3444574);
    path114.lineTo(size.width * 0.6582000, size.height * 0.3492415);
    path114.lineTo(size.width * 0.6603500, size.height * 0.3505251);
    path114.lineTo(size.width * 0.6609000, size.height * 0.3553092);
    path114.lineTo(size.width * 0.6589500, size.height * 0.3620770);
    path114.lineTo(size.width * 0.6605500, size.height * 0.3660443);
    path114.lineTo(size.width * 0.6619500, size.height * 0.3705951);
    path114.lineTo(size.width * 0.6648000, size.height * 0.3738623);
    path114.lineTo(size.width * 0.6653000, size.height * 0.3803967);
    path114.lineTo(size.width * 0.6666500, size.height * 0.3816803);
    path114.lineTo(size.width * 0.6671000, size.height * 0.3850642);
    path114.lineTo(size.width * 0.6633500, size.height * 0.3890315);
    path114.lineTo(size.width * 0.6628000, size.height * 0.3976663);
    path114.lineTo(size.width * 0.6575000, size.height * 0.3954492);
    path114.lineTo(size.width * 0.6544000, size.height * 0.3936989);
    path114.lineTo(size.width * 0.6512500, size.height * 0.3927655);
    path114.lineTo(size.width * 0.6496000, size.height * 0.3835473);
    path114.lineTo(size.width * 0.6482000, size.height * 0.3822637);
    path114.lineTo(size.width * 0.6461500, size.height * 0.3835473);
    path114.lineTo(size.width * 0.6436000, size.height * 0.3871645);
    path114.lineTo(size.width * 0.6401000, size.height * 0.3847141);
    path114.lineTo(size.width * 0.6370500, size.height * 0.3788798);
    path114.lineTo(size.width * 0.6343000, size.height * 0.3767795);
    path114.lineTo(size.width * 0.6321000, size.height * 0.3696616);
    path114.lineTo(size.width * 0.6295000, size.height * 0.3597433);
    path114.lineTo(size.width * 0.6281000, size.height * 0.3609102);
    path114.lineTo(size.width * 0.6262500, size.height * 0.3584597);
    path114.lineTo(size.width * 0.6254000, size.height * 0.3613769);
    path114.lineTo(size.width * 0.6236500, size.height * 0.3574096);
    path114.lineTo(size.width * 0.6234000, size.height * 0.3534422);
    path114.lineTo(size.width * 0.6225500, size.height * 0.3534422);
    path114.lineTo(size.width * 0.6226500, size.height * 0.3479580);
    path114.lineTo(size.width * 0.6209000, size.height * 0.3423571);
    path114.lineTo(size.width * 0.6173500, size.height * 0.3381564);
    path114.lineTo(size.width * 0.6150500, size.height * 0.3310385);
    path114.lineTo(size.width * 0.6153000, size.height * 0.3252042);
    path114.lineTo(size.width * 0.6164500, size.height * 0.3226371);
    path114.lineTo(size.width * 0.6160000, size.height * 0.3183197);
    path114.lineTo(size.width * 0.6141000, size.height * 0.3159860);
    path114.lineTo(size.width * 0.6117500, size.height * 0.3071179);
    path114.lineTo(size.width * 0.6098500, size.height * 0.3011669);
    path114.lineTo(size.width * 0.6102000, size.height * 0.2988331);
    path114.lineTo(size.width * 0.6087500, size.height * 0.2903151);
    path114.lineTo(size.width * 0.6104000, size.height * 0.2880980);
    path114.lineTo(size.width * 0.6110000, size.height * 0.2910152);
    path114.lineTo(size.width * 0.6126000, size.height * 0.2943991);
    path114.lineTo(size.width * 0.6145000, size.height * 0.2954492);
    path114.close();

    Paint paint114fill = Paint()..style = PaintingStyle.fill;
    paint114fill.color = countryColors.iR ?? defaultCountryColor;
    canvas.drawPath(path114, paint114fill);

    Path path115 = Path();
    path115.moveTo(size.width * 0.6117500, size.height * 0.3071179);
    path115.lineTo(size.width * 0.6141000, size.height * 0.3159860);
    path115.lineTo(size.width * 0.6160000, size.height * 0.3183197);
    path115.lineTo(size.width * 0.6164500, size.height * 0.3226371);
    path115.lineTo(size.width * 0.6153000, size.height * 0.3252042);
    path115.lineTo(size.width * 0.6150500, size.height * 0.3310385);
    path115.lineTo(size.width * 0.6173500, size.height * 0.3381564);
    path115.lineTo(size.width * 0.6209000, size.height * 0.3423571);
    path115.lineTo(size.width * 0.6226500, size.height * 0.3479580);
    path115.lineTo(size.width * 0.6225500, size.height * 0.3534422);
    path115.lineTo(size.width * 0.6234000, size.height * 0.3534422);
    path115.lineTo(size.width * 0.6236500, size.height * 0.3574096);
    path115.lineTo(size.width * 0.6254000, size.height * 0.3613769);
    path115.lineTo(size.width * 0.6237500, size.height * 0.3610268);
    path115.lineTo(size.width * 0.6219000, size.height * 0.3603267);
    path115.lineTo(size.width * 0.6202500, size.height * 0.3675613);
    path115.lineTo(size.width * 0.6151500, size.height * 0.3669778);
    path115.lineTo(size.width * 0.6067500, size.height * 0.3519253);
    path115.lineTo(size.width * 0.6024500, size.height * 0.3466744);
    path115.lineTo(size.width * 0.5990500, size.height * 0.3445741);
    path115.lineTo(size.width * 0.5975000, size.height * 0.3354726);
    path115.lineTo(size.width * 0.6030000, size.height * 0.3276546);
    path115.lineTo(size.width * 0.6035000, size.height * 0.3186698);
    path115.lineTo(size.width * 0.6029000, size.height * 0.3131855);
    path115.lineTo(size.width * 0.6042500, size.height * 0.3113186);
    path115.lineTo(size.width * 0.6053000, size.height * 0.3066511);
    path115.lineTo(size.width * 0.6063500, size.height * 0.3054842);
    path115.lineTo(size.width * 0.6095000, size.height * 0.3065344);
    path115.lineTo(size.width * 0.6105500, size.height * 0.3084014);
    path115.lineTo(size.width * 0.6117500, size.height * 0.3071179);
    path115.close();

    Paint paint115fill = Paint()..style = PaintingStyle.fill;
    paint115fill.color = countryColors.iQ ?? defaultCountryColor;
    canvas.drawPath(path115, paint115fill);

    Path path116 = Path();
    path116.moveTo(size.width * 0.4624000, size.height * 0.09859977);
    path116.lineTo(size.width * 0.4617000, size.height * 0.1028005);
    path116.lineTo(size.width * 0.4639000, size.height * 0.1072345);
    path116.lineTo(size.width * 0.4608500, size.height * 0.1122520);
    path116.lineTo(size.width * 0.4543000, size.height * 0.1168028);
    path116.lineTo(size.width * 0.4523500, size.height * 0.1180863);
    path116.lineTo(size.width * 0.4495500, size.height * 0.1170362);
    path116.lineTo(size.width * 0.4436000, size.height * 0.1149358);
    path116.lineTo(size.width * 0.4460000, size.height * 0.1120187);
    path116.lineTo(size.width * 0.4415000, size.height * 0.1088681);
    path116.lineTo(size.width * 0.4454500, size.height * 0.1075846);
    path116.lineTo(size.width * 0.4455000, size.height * 0.1056009);
    path116.lineTo(size.width * 0.4411000, size.height * 0.1040840);
    path116.lineTo(size.width * 0.4429000, size.height * 0.09976663);
    path116.lineTo(size.width * 0.4462000, size.height * 0.09883314);
    path116.lineTo(size.width * 0.4492000, size.height * 0.1032672);
    path116.lineTo(size.width * 0.4527000, size.height * 0.09976663);
    path116.lineTo(size.width * 0.4552500, size.height * 0.1015169);
    path116.lineTo(size.width * 0.4589000, size.height * 0.09813302);
    path116.lineTo(size.width * 0.4624000, size.height * 0.09859977);
    path116.close();

    Paint paint116fill = Paint()..style = PaintingStyle.fill;
    paint116fill.color = countryColors.iS ?? defaultCountryColor;
    canvas.drawPath(path116, paint116fill);

    Path path117 = Path();
    path117.moveTo(size.width * 0.5895500, size.height * 0.3362894);
    path117.lineTo(size.width * 0.5897500, size.height * 0.3393232);
    path117.lineTo(size.width * 0.5894500, size.height * 0.3404901);
    path117.lineTo(size.width * 0.5895000, size.height * 0.3404901);
    path117.lineTo(size.width * 0.5891500, size.height * 0.3428238);
    path117.lineTo(size.width * 0.5881000, size.height * 0.3418903);
    path117.lineTo(size.width * 0.5877500, size.height * 0.3467911);
    path117.lineTo(size.width * 0.5885000, size.height * 0.3476079);
    path117.lineTo(size.width * 0.5878500, size.height * 0.3486581);
    path117.lineTo(size.width * 0.5878000, size.height * 0.3506418);
    path117.lineTo(size.width * 0.5890500, size.height * 0.3497083);
    path117.lineTo(size.width * 0.5892500, size.height * 0.3526254);
    path117.lineTo(size.width * 0.5883500, size.height * 0.3645274);
    path117.lineTo(size.width * 0.5880000, size.height * 0.3626604);
    path117.lineTo(size.width * 0.5860500, size.height * 0.3516919);
    path117.lineTo(size.width * 0.5867500, size.height * 0.3492415);
    path117.lineTo(size.width * 0.5865500, size.height * 0.3487748);
    path117.lineTo(size.width * 0.5871000, size.height * 0.3452742);
    path117.lineTo(size.width * 0.5874000, size.height * 0.3396733);
    path117.lineTo(size.width * 0.5877000, size.height * 0.3376896);
    path117.lineTo(size.width * 0.5877500, size.height * 0.3376896);
    path117.lineTo(size.width * 0.5886500, size.height * 0.3376896);
    path117.lineTo(size.width * 0.5888500, size.height * 0.3364061);
    path117.lineTo(size.width * 0.5895500, size.height * 0.3362894);
    path117.close();

    Paint paint117fill = Paint()..style = PaintingStyle.fill;
    paint117fill.color = countryColors.iL ?? defaultCountryColor;
    canvas.drawPath(path117, paint117fill);

    Path path118 = Path();
    path118.moveTo(size.width * 0.5341000, size.height * 0.2991832);
    path118.lineTo(size.width * 0.5332500, size.height * 0.3051342);
    path118.lineTo(size.width * 0.5337000, size.height * 0.3073512);
    path118.lineTo(size.width * 0.5332500, size.height * 0.3112019);
    path118.lineTo(size.width * 0.5311500, size.height * 0.3084014);
    path118.lineTo(size.width * 0.5298000, size.height * 0.3075846);
    path118.lineTo(size.width * 0.5260500, size.height * 0.3038506);
    path118.lineTo(size.width * 0.5263000, size.height * 0.3000000);
    path118.lineTo(size.width * 0.5294000, size.height * 0.3007001);
    path118.lineTo(size.width * 0.5321000, size.height * 0.2998833);
    path118.lineTo(size.width * 0.5341000, size.height * 0.2991832);
    path118.close();

    Paint paint118fill = Paint()..style = PaintingStyle.fill;
    paint118fill.color = countryColors.iT ?? defaultCountryColor;
    canvas.drawPath(path118, paint118fill);

    Path path119 = Path();
    path119.moveTo(size.width * 0.5171000, size.height * 0.2770128);
    path119.lineTo(size.width * 0.5187500, size.height * 0.2822637);
    path119.lineTo(size.width * 0.5185500, size.height * 0.2921820);
    path119.lineTo(size.width * 0.5173500, size.height * 0.2917153);
    path119.lineTo(size.width * 0.5163000, size.height * 0.2941657);
    path119.lineTo(size.width * 0.5153000, size.height * 0.2921820);
    path119.lineTo(size.width * 0.5150500, size.height * 0.2831972);
    path119.lineTo(size.width * 0.5144000, size.height * 0.2789965);
    path119.lineTo(size.width * 0.5158500, size.height * 0.2793466);
    path119.lineTo(size.width * 0.5171000, size.height * 0.2770128);
    path119.close();

    Paint paint119fill = Paint()..style = PaintingStyle.fill;
    paint119fill.color = countryColors.iT ?? defaultCountryColor;
    canvas.drawPath(path119, paint119fill);

    Path path120 = Path();
    path120.moveTo(size.width * 0.5279500, size.height * 0.2379230);
    path120.lineTo(size.width * 0.5277500, size.height * 0.2415403);
    path120.lineTo(size.width * 0.5284500, size.height * 0.2446908);
    path120.lineTo(size.width * 0.5264000, size.height * 0.2435239);
    path120.lineTo(size.width * 0.5244500, size.height * 0.2462077);
    path120.lineTo(size.width * 0.5246500, size.height * 0.2498250);
    path120.lineTo(size.width * 0.5244000, size.height * 0.2519253);
    path120.lineTo(size.width * 0.5253500, size.height * 0.2556593);
    path120.lineTo(size.width * 0.5278500, size.height * 0.2593932);
    path120.lineTo(size.width * 0.5293000, size.height * 0.2655776);
    path120.lineTo(size.width * 0.5323500, size.height * 0.2715286);
    path120.lineTo(size.width * 0.5343500, size.height * 0.2714119);
    path120.lineTo(size.width * 0.5350500, size.height * 0.2730455);
    path120.lineTo(size.width * 0.5343500, size.height * 0.2745624);
    path120.lineTo(size.width * 0.5367500, size.height * 0.2772462);
    path120.lineTo(size.width * 0.5387500, size.height * 0.2794632);
    path120.lineTo(size.width * 0.5411000, size.height * 0.2834306);
    path120.lineTo(size.width * 0.5414000, size.height * 0.2847141);
    path120.lineTo(size.width * 0.5410000, size.height * 0.2873979);
    path120.lineTo(size.width * 0.5394500, size.height * 0.2838973);
    path120.lineTo(size.width * 0.5371500, size.height * 0.2827305);
    path120.lineTo(size.width * 0.5362000, size.height * 0.2875146);
    path120.lineTo(size.width * 0.5381500, size.height * 0.2903151);
    path120.lineTo(size.width * 0.5379500, size.height * 0.2941657);
    path120.lineTo(size.width * 0.5369000, size.height * 0.2946324);
    path120.lineTo(size.width * 0.5356500, size.height * 0.3010502);
    path120.lineTo(size.width * 0.5345500, size.height * 0.3016336);
    path120.lineTo(size.width * 0.5345000, size.height * 0.2992999);
    path120.lineTo(size.width * 0.5349500, size.height * 0.2953326);
    path120.lineTo(size.width * 0.5355000, size.height * 0.2936989);
    path120.lineTo(size.width * 0.5343500, size.height * 0.2893816);
    path120.lineTo(size.width * 0.5334500, size.height * 0.2856476);
    path120.lineTo(size.width * 0.5323500, size.height * 0.2847141);
    path120.lineTo(size.width * 0.5314500, size.height * 0.2815636);
    path120.lineTo(size.width * 0.5297500, size.height * 0.2801634);
    path120.lineTo(size.width * 0.5285500, size.height * 0.2771295);
    path120.lineTo(size.width * 0.5266500, size.height * 0.2766628);
    path120.lineTo(size.width * 0.5245000, size.height * 0.2733956);
    path120.lineTo(size.width * 0.5220500, size.height * 0.2684947);
    path120.lineTo(size.width * 0.5202000, size.height * 0.2642940);
    path120.lineTo(size.width * 0.5192500, size.height * 0.2569428);
    path120.lineTo(size.width * 0.5179500, size.height * 0.2561260);
    path120.lineTo(size.width * 0.5158500, size.height * 0.2536756);
    path120.lineTo(size.width * 0.5147000, size.height * 0.2546091);
    path120.lineTo(size.width * 0.5132500, size.height * 0.2581097);
    path120.lineTo(size.width * 0.5122000, size.height * 0.2585764);
    path120.lineTo(size.width * 0.5124500, size.height * 0.2554259);
    path120.lineTo(size.width * 0.5110500, size.height * 0.2544924);
    path120.lineTo(size.width * 0.5103000, size.height * 0.2487748);
    path120.lineTo(size.width * 0.5111500, size.height * 0.2465578);
    path120.lineTo(size.width * 0.5104000, size.height * 0.2437573);
    path120.lineTo(size.width * 0.5104500, size.height * 0.2416569);
    path120.lineTo(size.width * 0.5115500, size.height * 0.2432905);
    path120.lineTo(size.width * 0.5128000, size.height * 0.2429405);
    path120.lineTo(size.width * 0.5141500, size.height * 0.2403734);
    path120.lineTo(size.width * 0.5146000, size.height * 0.2415403);
    path120.lineTo(size.width * 0.5158000, size.height * 0.2413069);
    path120.lineTo(size.width * 0.5163000, size.height * 0.2383897);
    path120.lineTo(size.width * 0.5182000, size.height * 0.2393232);
    path120.lineTo(size.width * 0.5192500, size.height * 0.2380397);
    path120.lineTo(size.width * 0.5194000, size.height * 0.2351225);
    path120.lineTo(size.width * 0.5209500, size.height * 0.2361727);
    path120.lineTo(size.width * 0.5212000, size.height * 0.2347725);
    path120.lineTo(size.width * 0.5236500, size.height * 0.2334889);
    path120.lineTo(size.width * 0.5243000, size.height * 0.2359393);
    path120.lineTo(size.width * 0.5279500, size.height * 0.2379230);
    path120.close();

    Paint paint120fill = Paint()..style = PaintingStyle.fill;
    paint120fill.color = countryColors.iT ?? defaultCountryColor;
    canvas.drawPath(path120, paint120fill);

    Path path121 = Path();
    path121.moveTo(size.width * 0.2782500, size.height * 0.4516919);
    path121.lineTo(size.width * 0.2773500, size.height * 0.4529755);
    path121.lineTo(size.width * 0.2758500, size.height * 0.4516919);
    path121.lineTo(size.width * 0.2744000, size.height * 0.4490082);
    path121.lineTo(size.width * 0.2748000, size.height * 0.4472579);
    path121.lineTo(size.width * 0.2760000, size.height * 0.4467911);
    path121.lineTo(size.width * 0.2766500, size.height * 0.4470245);
    path121.lineTo(size.width * 0.2785000, size.height * 0.4477246);
    path121.lineTo(size.width * 0.2798500, size.height * 0.4494749);
    path121.lineTo(size.width * 0.2802500, size.height * 0.4515753);
    path121.lineTo(size.width * 0.2782500, size.height * 0.4516919);
    path121.close();

    Paint paint121fill = Paint()..style = PaintingStyle.fill;
    paint121fill.color = countryColors.jM ?? defaultCountryColor;
    canvas.drawPath(path121, paint121fill);

    Path path122 = Path();
    path122.moveTo(size.width * 0.5990500, size.height * 0.3445741);
    path122.lineTo(size.width * 0.5986000, size.height * 0.3457410);
    path122.lineTo(size.width * 0.5934000, size.height * 0.3494749);
    path122.lineTo(size.width * 0.5964000, size.height * 0.3570595);
    path122.lineTo(size.width * 0.5956000, size.height * 0.3582264);
    path122.lineTo(size.width * 0.5952500, size.height * 0.3607935);
    path122.lineTo(size.width * 0.5932000, size.height * 0.3618436);
    path122.lineTo(size.width * 0.5926500, size.height * 0.3645274);
    path122.lineTo(size.width * 0.5916000, size.height * 0.3668611);
    path122.lineTo(size.width * 0.5885000, size.height * 0.3655776);
    path122.lineTo(size.width * 0.5883500, size.height * 0.3645274);
    path122.lineTo(size.width * 0.5892500, size.height * 0.3526254);
    path122.lineTo(size.width * 0.5890500, size.height * 0.3497083);
    path122.lineTo(size.width * 0.5893500, size.height * 0.3474912);
    path122.lineTo(size.width * 0.5891500, size.height * 0.3428238);
    path122.lineTo(size.width * 0.5895000, size.height * 0.3404901);
    path122.lineTo(size.width * 0.5926500, size.height * 0.3435239);
    path122.lineTo(size.width * 0.5975000, size.height * 0.3354726);
    path122.lineTo(size.width * 0.5990500, size.height * 0.3445741);
    path122.close();

    Paint paint122fill = Paint()..style = PaintingStyle.fill;
    paint122fill.color = countryColors.jO ?? defaultCountryColor;
    canvas.drawPath(path122, paint122fill);

    Path path123 = Path();
    path123.moveTo(size.width * 0.8542500, size.height * 0.3297550);
    path123.lineTo(size.width * 0.8550500, size.height * 0.3323221);
    path123.lineTo(size.width * 0.8544000, size.height * 0.3368728);
    path123.lineTo(size.width * 0.8528500, size.height * 0.3344224);
    path123.lineTo(size.width * 0.8518000, size.height * 0.3361727);
    path123.lineTo(size.width * 0.8518500, size.height * 0.3404901);
    path123.lineTo(size.width * 0.8497000, size.height * 0.3383897);
    path123.lineTo(size.width * 0.8491000, size.height * 0.3348891);
    path123.lineTo(size.width * 0.8497500, size.height * 0.3303384);
    path123.lineTo(size.width * 0.8514500, size.height * 0.3312719);
    path123.lineTo(size.width * 0.8519500, size.height * 0.3281214);
    path123.lineTo(size.width * 0.8542500, size.height * 0.3297550);
    path123.close();

    Paint paint123fill = Paint()..style = PaintingStyle.fill;
    paint123fill.color = countryColors.jP ?? defaultCountryColor;
    canvas.drawPath(path123, paint123fill);

    Path path124 = Path();
    path124.moveTo(size.width * 0.8665500, size.height * 0.3073512);
    path124.lineTo(size.width * 0.8668500, size.height * 0.3133022);
    path124.lineTo(size.width * 0.8681000, size.height * 0.3170362);
    path124.lineTo(size.width * 0.8678000, size.height * 0.3222870);
    path124.lineTo(size.width * 0.8651000, size.height * 0.3257876);
    path124.lineTo(size.width * 0.8605000, size.height * 0.3262544);
    path124.lineTo(size.width * 0.8583000, size.height * 0.3348891);
    path124.lineTo(size.width * 0.8559500, size.height * 0.3319720);
    path124.lineTo(size.width * 0.8547500, size.height * 0.3263711);
    path124.lineTo(size.width * 0.8504500, size.height * 0.3280047);
    path124.lineTo(size.width * 0.8479000, size.height * 0.3315053);
    path124.lineTo(size.width * 0.8448000, size.height * 0.3317386);
    path124.lineTo(size.width * 0.8485000, size.height * 0.3372229);
    path124.lineTo(size.width * 0.8489000, size.height * 0.3499417);
    path124.lineTo(size.width * 0.8476500, size.height * 0.3530922);
    path124.lineTo(size.width * 0.8458500, size.height * 0.3501750);
    path124.lineTo(size.width * 0.8454000, size.height * 0.3434072);
    path124.lineTo(size.width * 0.8433500, size.height * 0.3413069);
    path124.lineTo(size.width * 0.8413500, size.height * 0.3361727);
    path124.lineTo(size.width * 0.8435000, size.height * 0.3338390);
    path124.lineTo(size.width * 0.8440500, size.height * 0.3290548);
    path124.lineTo(size.width * 0.8460000, size.height * 0.3252042);
    path124.lineTo(size.width * 0.8470000, size.height * 0.3200700);
    path124.lineTo(size.width * 0.8518500, size.height * 0.3178530);
    path124.lineTo(size.width * 0.8550000, size.height * 0.3193699);
    path124.lineTo(size.width * 0.8550000, size.height * 0.3060677);
    path124.lineTo(size.width * 0.8575500, size.height * 0.3096849);
    path124.lineTo(size.width * 0.8598000, size.height * 0.3022170);
    path124.lineTo(size.width * 0.8606500, size.height * 0.2992999);
    path124.lineTo(size.width * 0.8601500, size.height * 0.2901984);
    path124.lineTo(size.width * 0.8576000, size.height * 0.2817970);
    path124.lineTo(size.width * 0.8575000, size.height * 0.2771295);
    path124.lineTo(size.width * 0.8599000, size.height * 0.2757293);
    path124.lineTo(size.width * 0.8640000, size.height * 0.2861144);
    path124.lineTo(size.width * 0.8654000, size.height * 0.2920653);
    path124.lineTo(size.width * 0.8647500, size.height * 0.2996499);
    path124.lineTo(size.width * 0.8665500, size.height * 0.3073512);
    path124.close();

    Paint paint124fill = Paint()..style = PaintingStyle.fill;
    paint124fill.color = countryColors.jP ?? defaultCountryColor;
    canvas.drawPath(path124, paint124fill);

    Path path125 = Path();
    path125.moveTo(size.width * 0.8606000, size.height * 0.2550758);
    path125.lineTo(size.width * 0.8628500, size.height * 0.2565928);
    path125.lineTo(size.width * 0.8637500, size.height * 0.2535589);
    path125.lineTo(size.width * 0.8667500, size.height * 0.2618436);
    path125.lineTo(size.width * 0.8635500, size.height * 0.2638273);
    path125.lineTo(size.width * 0.8633500, size.height * 0.2711785);
    path125.lineTo(size.width * 0.8579000, size.height * 0.2661610);
    path125.lineTo(size.width * 0.8587000, size.height * 0.2742124);
    path125.lineTo(size.width * 0.8558500, size.height * 0.2743291);
    path125.lineTo(size.width * 0.8535000, size.height * 0.2669778);
    path125.lineTo(size.width * 0.8532000, size.height * 0.2612602);
    path125.lineTo(size.width * 0.8558000, size.height * 0.2609102);
    path125.lineTo(size.width * 0.8536000, size.height * 0.2506418);
    path125.lineTo(size.width * 0.8527000, size.height * 0.2449242);
    path125.lineTo(size.width * 0.8579500, size.height * 0.2526254);
    path125.lineTo(size.width * 0.8606000, size.height * 0.2550758);
    path125.close();

    Paint paint125fill = Paint()..style = PaintingStyle.fill;
    paint125fill.color = countryColors.jP ?? defaultCountryColor;
    canvas.drawPath(path125, paint125fill);

    Path path126 = Path();
    path126.moveTo(size.width * 0.6691500, size.height * 0.1872812);
    path126.lineTo(size.width * 0.6713500, size.height * 0.1869312);
    path126.lineTo(size.width * 0.6759500, size.height * 0.1801634);
    path126.lineTo(size.width * 0.6755500, size.height * 0.1824971);
    path126.lineTo(size.width * 0.6797500, size.height * 0.1879813);
    path126.lineTo(size.width * 0.6889000, size.height * 0.2061844);
    path126.lineTo(size.width * 0.6894500, size.height * 0.2024504);
    path126.lineTo(size.width * 0.6936500, size.height * 0.2065344);
    path126.lineTo(size.width * 0.6967500, size.height * 0.2046674);
    path126.lineTo(size.width * 0.6984000, size.height * 0.2059510);
    path126.lineTo(size.width * 0.7004500, size.height * 0.2101517);
    path126.lineTo(size.width * 0.7024500, size.height * 0.2115519);
    path126.lineTo(size.width * 0.7041000, size.height * 0.2147025);
    path126.lineTo(size.width * 0.7071000, size.height * 0.2136523);
    path126.lineTo(size.width * 0.7093000, size.height * 0.2180863);
    path126.lineTo(size.width * 0.7083500, size.height * 0.2229872);
    path126.lineTo(size.width * 0.7064500, size.height * 0.2236873);
    path126.lineTo(size.width * 0.7077000, size.height * 0.2309218);
    path126.lineTo(size.width * 0.7069000, size.height * 0.2343057);
    path126.lineTo(size.width * 0.7015000, size.height * 0.2318553);
    path126.lineTo(size.width * 0.7020000, size.height * 0.2450408);
    path126.lineTo(size.width * 0.7010000, size.height * 0.2466744);
    path126.lineTo(size.width * 0.6964500, size.height * 0.2495916);
    path126.lineTo(size.width * 0.7008500, size.height * 0.2624271);
    path126.lineTo(size.width * 0.6994000, size.height * 0.2642940);
    path126.lineTo(size.width * 0.7002500, size.height * 0.2686114);
    path126.lineTo(size.width * 0.6985000, size.height * 0.2674446);
    path126.lineTo(size.width * 0.6968000, size.height * 0.2647608);
    path126.lineTo(size.width * 0.6928500, size.height * 0.2640607);
    path126.lineTo(size.width * 0.6885500, size.height * 0.2638273);
    path126.lineTo(size.width * 0.6877500, size.height * 0.2646441);
    path126.lineTo(size.width * 0.6836500, size.height * 0.2614936);
    path126.lineTo(size.width * 0.6824000, size.height * 0.2631272);
    path126.lineTo(size.width * 0.6826500, size.height * 0.2674446);
    path126.lineTo(size.width * 0.6780500, size.height * 0.2648775);
    path126.lineTo(size.width * 0.6765000, size.height * 0.2659277);
    path126.lineTo(size.width * 0.6763500, size.height * 0.2691949);
    path126.lineTo(size.width * 0.6750500, size.height * 0.2705951);
    path126.lineTo(size.width * 0.6723500, size.height * 0.2757293);
    path126.lineTo(size.width * 0.6719000, size.height * 0.2810968);
    path126.lineTo(size.width * 0.6709000, size.height * 0.2810968);
    path126.lineTo(size.width * 0.6697500, size.height * 0.2775963);
    path126.lineTo(size.width * 0.6664000, size.height * 0.2773629);
    path126.lineTo(size.width * 0.6651500, size.height * 0.2712952);
    path126.lineTo(size.width * 0.6638500, size.height * 0.2711785);
    path126.lineTo(size.width * 0.6631000, size.height * 0.2637106);
    path126.lineTo(size.width * 0.6593000, size.height * 0.2583431);
    path126.lineTo(size.width * 0.6550000, size.height * 0.2589265);
    path126.lineTo(size.width * 0.6521500, size.height * 0.2599767);
    path126.lineTo(size.width * 0.6488500, size.height * 0.2533256);
    path126.lineTo(size.width * 0.6464500, size.height * 0.2505251);
    path126.lineTo(size.width * 0.6418500, size.height * 0.2452742);
    path126.lineTo(size.width * 0.6413000, size.height * 0.2446908);
    path126.lineTo(size.width * 0.6353000, size.height * 0.2490082);
    path126.lineTo(size.width * 0.6384000, size.height * 0.2763127);
    path126.lineTo(size.width * 0.6371000, size.height * 0.2766628);
    path126.lineTo(size.width * 0.6347000, size.height * 0.2708285);
    path126.lineTo(size.width * 0.6327500, size.height * 0.2687281);
    path126.lineTo(size.width * 0.6299500, size.height * 0.2702450);
    path126.lineTo(size.width * 0.6290500, size.height * 0.2728121);
    path126.lineTo(size.width * 0.6287500, size.height * 0.2709452);
    path126.lineTo(size.width * 0.6290500, size.height * 0.2679113);
    path126.lineTo(size.width * 0.6283000, size.height * 0.2653442);
    path126.lineTo(size.width * 0.6250500, size.height * 0.2627771);
    path126.lineTo(size.width * 0.6232000, size.height * 0.2561260);
    path126.lineTo(size.width * 0.6216000, size.height * 0.2542590);
    path126.lineTo(size.width * 0.6213000, size.height * 0.2518086);
    path126.lineTo(size.width * 0.6238500, size.height * 0.2525088);
    path126.lineTo(size.width * 0.6233500, size.height * 0.2471412);
    path126.lineTo(size.width * 0.6254000, size.height * 0.2459743);
    path126.lineTo(size.width * 0.6277500, size.height * 0.2470245);
    path126.lineTo(size.width * 0.6274000, size.height * 0.2399067);
    path126.lineTo(size.width * 0.6264500, size.height * 0.2353559);
    path126.lineTo(size.width * 0.6239500, size.height * 0.2357060);
    path126.lineTo(size.width * 0.6216000, size.height * 0.2339557);
    path126.lineTo(size.width * 0.6190500, size.height * 0.2371062);
    path126.lineTo(size.width * 0.6168500, size.height * 0.2387398);
    path126.lineTo(size.width * 0.6154500, size.height * 0.2374562);
    path126.lineTo(size.width * 0.6153500, size.height * 0.2337223);
    path126.lineTo(size.width * 0.6132000, size.height * 0.2288215);
    path126.lineTo(size.width * 0.6114000, size.height * 0.2290548);
    path126.lineTo(size.width * 0.6087500, size.height * 0.2241540);
    path126.lineTo(size.width * 0.6096000, size.height * 0.2185531);
    path126.lineTo(size.width * 0.6087000, size.height * 0.2171529);
    path126.lineTo(size.width * 0.6098000, size.height * 0.2091015);
    path126.lineTo(size.width * 0.6128000, size.height * 0.2133022);
    path126.lineTo(size.width * 0.6125000, size.height * 0.2080513);
    path126.lineTo(size.width * 0.6165500, size.height * 0.2002334);
    path126.lineTo(size.width * 0.6203500, size.height * 0.2000000);
    path126.lineTo(size.width * 0.6263500, size.height * 0.2050175);
    path126.lineTo(size.width * 0.6296500, size.height * 0.2079347);
    path126.lineTo(size.width * 0.6318500, size.height * 0.2049008);
    path126.lineTo(size.width * 0.6357000, size.height * 0.2047841);
    path126.lineTo(size.width * 0.6393500, size.height * 0.2085181);
    path126.lineTo(size.width * 0.6397500, size.height * 0.2063011);
    path126.lineTo(size.width * 0.6432500, size.height * 0.2066511);
    path126.lineTo(size.width * 0.6433500, size.height * 0.2032672);
    path126.lineTo(size.width * 0.6386500, size.height * 0.1982497);
    path126.lineTo(size.width * 0.6404000, size.height * 0.1947491);
    path126.lineTo(size.width * 0.6396500, size.height * 0.1928821);
    path126.lineTo(size.width * 0.6416500, size.height * 0.1910152);
    path126.lineTo(size.width * 0.6391000, size.height * 0.1861144);
    path126.lineTo(size.width * 0.6398000, size.height * 0.1836639);
    path126.lineTo(size.width * 0.6483000, size.height * 0.1812135);
    path126.lineTo(size.width * 0.6491500, size.height * 0.1794632);
    path126.lineTo(size.width * 0.6546000, size.height * 0.1767795);
    path126.lineTo(size.width * 0.6561500, size.height * 0.1738623);
    path126.lineTo(size.width * 0.6607000, size.height * 0.1753792);
    path126.lineTo(size.width * 0.6629000, size.height * 0.1827305);
    path126.lineTo(size.width * 0.6650500, size.height * 0.1809802);
    path126.lineTo(size.width * 0.6686000, size.height * 0.1834306);
    path126.lineTo(size.width * 0.6691500, size.height * 0.1872812);
    path126.close();

    Paint paint126fill = Paint()..style = PaintingStyle.fill;
    paint126fill.color = countryColors.kZ ?? defaultCountryColor;
    canvas.drawPath(path126, paint126fill);

    Path path127 = Path();
    path127.moveTo(size.width * 0.6117500, size.height * 0.5562427);
    path127.lineTo(size.width * 0.6093000, size.height * 0.5646441);
    path127.lineTo(size.width * 0.6094000, size.height * 0.5919487);
    path127.lineTo(size.width * 0.6110500, size.height * 0.5981330);
    path127.lineTo(size.width * 0.6090500, size.height * 0.6011669);
    path127.lineTo(size.width * 0.6083500, size.height * 0.6043174);
    path127.lineTo(size.width * 0.6072500, size.height * 0.6047841);
    path127.lineTo(size.width * 0.6068500, size.height * 0.6101517);
    path127.lineTo(size.width * 0.6059000, size.height * 0.6131855);
    path127.lineTo(size.width * 0.6053500, size.height * 0.6180863);
    path127.lineTo(size.width * 0.6042000, size.height * 0.6205368);
    path127.lineTo(size.width * 0.6001500, size.height * 0.6130688);
    path127.lineTo(size.width * 0.6000000, size.height * 0.6087515);
    path127.lineTo(size.width * 0.5897500, size.height * 0.5934656);
    path127.lineTo(size.width * 0.5899500, size.height * 0.5879813);
    path127.lineTo(size.width * 0.5892500, size.height * 0.5850642);
    path127.lineTo(size.width * 0.5892500, size.height * 0.5847141);
    path127.lineTo(size.width * 0.5900500, size.height * 0.5816803);
    path127.lineTo(size.width * 0.5914500, size.height * 0.5767795);
    path127.lineTo(size.width * 0.5925000, size.height * 0.5712952);
    path127.lineTo(size.width * 0.5912000, size.height * 0.5626604);
    path127.lineTo(size.width * 0.5908500, size.height * 0.5589265);
    path127.lineTo(size.width * 0.5895000, size.height * 0.5536756);
    path127.lineTo(size.width * 0.5912000, size.height * 0.5492415);
    path127.lineTo(size.width * 0.5931000, size.height * 0.5443407);
    path127.lineTo(size.width * 0.5945500, size.height * 0.5456243);
    path127.lineTo(size.width * 0.5946000, size.height * 0.5498250);
    path127.lineTo(size.width * 0.5955500, size.height * 0.5522754);
    path127.lineTo(size.width * 0.5975500, size.height * 0.5522754);
    path127.lineTo(size.width * 0.6011500, size.height * 0.5585764);
    path127.lineTo(size.width * 0.6020500, size.height * 0.5586931);
    path127.lineTo(size.width * 0.6027000, size.height * 0.5584597);
    path127.lineTo(size.width * 0.6033500, size.height * 0.5592765);
    path127.lineTo(size.width * 0.6052500, size.height * 0.5599767);
    path127.lineTo(size.width * 0.6060500, size.height * 0.5568261);
    path127.lineTo(size.width * 0.6086500, size.height * 0.5536756);
    path127.lineTo(size.width * 0.6098000, size.height * 0.5562427);
    path127.lineTo(size.width * 0.6117500, size.height * 0.5562427);
    path127.close();

    Paint paint127fill = Paint()..style = PaintingStyle.fill;
    paint127fill.color = countryColors.kE ?? defaultCountryColor;
    canvas.drawPath(path127, paint127fill);

    Path path128 = Path();
    path128.moveTo(size.width * 0.7002500, size.height * 0.2686114);
    path128.lineTo(size.width * 0.7001500, size.height * 0.2702450);
    path128.lineTo(size.width * 0.6967000, size.height * 0.2742124);
    path128.lineTo(size.width * 0.6962000, size.height * 0.2772462);
    path128.lineTo(size.width * 0.6930000, size.height * 0.2780630);
    path128.lineTo(size.width * 0.6927000, size.height * 0.2828471);
    path128.lineTo(size.width * 0.6898000, size.height * 0.2817970);
    path128.lineTo(size.width * 0.6882000, size.height * 0.2833139);
    path128.lineTo(size.width * 0.6861500, size.height * 0.2868145);
    path128.lineTo(size.width * 0.6867500, size.height * 0.2885648);
    path128.lineTo(size.width * 0.6862000, size.height * 0.2901984);
    path128.lineTo(size.width * 0.6814000, size.height * 0.2913652);
    path128.lineTo(size.width * 0.6778500, size.height * 0.2889148);
    path128.lineTo(size.width * 0.6751000, size.height * 0.2894982);
    path128.lineTo(size.width * 0.6748000, size.height * 0.2852975);
    path128.lineTo(size.width * 0.6778000, size.height * 0.2864644);
    path128.lineTo(size.width * 0.6785000, size.height * 0.2842474);
    path128.lineTo(size.width * 0.6805500, size.height * 0.2849475);
    path128.lineTo(size.width * 0.6832000, size.height * 0.2795799);
    path128.lineTo(size.width * 0.6796000, size.height * 0.2756126);
    path128.lineTo(size.width * 0.6780000, size.height * 0.2774796);
    path128.lineTo(size.width * 0.6757000, size.height * 0.2746791);
    path128.lineTo(size.width * 0.6772000, size.height * 0.2698950);
    path128.lineTo(size.width * 0.6763500, size.height * 0.2691949);
    path128.lineTo(size.width * 0.6765000, size.height * 0.2659277);
    path128.lineTo(size.width * 0.6780500, size.height * 0.2648775);
    path128.lineTo(size.width * 0.6826500, size.height * 0.2674446);
    path128.lineTo(size.width * 0.6824000, size.height * 0.2631272);
    path128.lineTo(size.width * 0.6836500, size.height * 0.2614936);
    path128.lineTo(size.width * 0.6877500, size.height * 0.2646441);
    path128.lineTo(size.width * 0.6885500, size.height * 0.2638273);
    path128.lineTo(size.width * 0.6928500, size.height * 0.2640607);
    path128.lineTo(size.width * 0.6968000, size.height * 0.2647608);
    path128.lineTo(size.width * 0.6985000, size.height * 0.2674446);
    path128.lineTo(size.width * 0.7002500, size.height * 0.2686114);
    path128.close();

    Paint paint128fill = Paint()..style = PaintingStyle.fill;
    paint128fill.color = countryColors.kG ?? defaultCountryColor;
    canvas.drawPath(path128, paint128fill);

    Path path129 = Path();
    path129.moveTo(size.width * 0.7949000, size.height * 0.4791132);
    path129.lineTo(size.width * 0.7958000, size.height * 0.4841307);
    path129.lineTo(size.width * 0.7958500, size.height * 0.4931155);
    path129.lineTo(size.width * 0.7913500, size.height * 0.4989498);
    path129.lineTo(size.width * 0.7927500, size.height * 0.5033839);
    path129.lineTo(size.width * 0.7898000, size.height * 0.5039673);
    path129.lineTo(size.width * 0.7875000, size.height * 0.5070012);
    path129.lineTo(size.width * 0.7851000, size.height * 0.5059510);
    path129.lineTo(size.width * 0.7838000, size.height * 0.5019837);
    path129.lineTo(size.width * 0.7820500, size.height * 0.4942824);
    path129.lineTo(size.width * 0.7810000, size.height * 0.4851809);
    path129.lineTo(size.width * 0.7825500, size.height * 0.4789965);
    path129.lineTo(size.width * 0.7861000, size.height * 0.4775963);
    path129.lineTo(size.width * 0.7887500, size.height * 0.4786464);
    path129.lineTo(size.width * 0.7912500, size.height * 0.4815636);
    path129.lineTo(size.width * 0.7922500, size.height * 0.4764294);
    path129.lineTo(size.width * 0.7949000, size.height * 0.4791132);
    path129.close();

    Paint paint129fill = Paint()..style = PaintingStyle.fill;
    paint129fill.color = countryColors.kH ?? defaultCountryColor;
    canvas.drawPath(path129, paint129fill);

    Path path130 = Path();
    path130.moveTo(size.width * 0.8264500, size.height * 0.3028005);
    path130.lineTo(size.width * 0.8264500, size.height * 0.3021004);
    path130.lineTo(size.width * 0.8277000, size.height * 0.3023337);
    path130.lineTo(size.width * 0.8280000, size.height * 0.2990665);
    path130.lineTo(size.width * 0.8298000, size.height * 0.2985998);
    path130.lineTo(size.width * 0.8308000, size.height * 0.2981330);
    path130.lineTo(size.width * 0.8308000, size.height * 0.2963827);
    path130.lineTo(size.width * 0.8349500, size.height * 0.3051342);
    path130.lineTo(size.width * 0.8366000, size.height * 0.3100350);
    path130.lineTo(size.width * 0.8383000, size.height * 0.3186698);
    path130.lineTo(size.width * 0.8380500, size.height * 0.3227538);
    path130.lineTo(size.width * 0.8359000, size.height * 0.3241540);
    path130.lineTo(size.width * 0.8343500, size.height * 0.3273046);
    path130.lineTo(size.width * 0.8320500, size.height * 0.3278880);
    path130.lineTo(size.width * 0.8310000, size.height * 0.3238040);
    path130.lineTo(size.width * 0.8304500, size.height * 0.3182030);
    path130.lineTo(size.width * 0.8278000, size.height * 0.3105018);
    path130.lineTo(size.width * 0.8295000, size.height * 0.3092182);
    path130.lineTo(size.width * 0.8264500, size.height * 0.3028005);
    path130.close();

    Paint paint130fill = Paint()..style = PaintingStyle.fill;
    paint130fill.color = countryColors.kR ?? defaultCountryColor;
    canvas.drawPath(path130, paint130fill);

    Path path131 = Path();
    path131.moveTo(size.width * 0.6237500, size.height * 0.3610268);
    path131.lineTo(size.width * 0.6245000, size.height * 0.3642940);
    path131.lineTo(size.width * 0.6243500, size.height * 0.3660443);
    path131.lineTo(size.width * 0.6255500, size.height * 0.3716453);
    path131.lineTo(size.width * 0.6236000, size.height * 0.3718786);
    path131.lineTo(size.width * 0.6227500, size.height * 0.3682614);
    path131.lineTo(size.width * 0.6202500, size.height * 0.3675613);
    path131.lineTo(size.width * 0.6219000, size.height * 0.3603267);
    path131.lineTo(size.width * 0.6237500, size.height * 0.3610268);
    path131.close();

    Paint paint131fill = Paint()..style = PaintingStyle.fill;
    paint131fill.color = countryColors.kW ?? defaultCountryColor;
    canvas.drawPath(path131, paint131fill);

    Path path132 = Path();
    path132.moveTo(size.width * 0.7949000, size.height * 0.4791132);
    path132.lineTo(size.width * 0.7922500, size.height * 0.4764294);
    path132.lineTo(size.width * 0.7912500, size.height * 0.4815636);
    path132.lineTo(size.width * 0.7887500, size.height * 0.4786464);
    path132.lineTo(size.width * 0.7895000, size.height * 0.4752625);
    path132.lineTo(size.width * 0.7893000, size.height * 0.4689615);
    path132.lineTo(size.width * 0.7866500, size.height * 0.4624271);
    path132.lineTo(size.width * 0.7860000, size.height * 0.4549592);
    path132.lineTo(size.width * 0.7835000, size.height * 0.4488915);
    path132.lineTo(size.width * 0.7813500, size.height * 0.4484247);
    path132.lineTo(size.width * 0.7809500, size.height * 0.4509918);
    path132.lineTo(size.width * 0.7793500, size.height * 0.4512252);
    path132.lineTo(size.width * 0.7784000, size.height * 0.4499417);
    path132.lineTo(size.width * 0.7757500, size.height * 0.4543757);
    path132.lineTo(size.width * 0.7752500, size.height * 0.4476079);
    path132.lineTo(size.width * 0.7754500, size.height * 0.4397900);
    path132.lineTo(size.width * 0.7735500, size.height * 0.4394399);
    path132.lineTo(size.width * 0.7731000, size.height * 0.4348891);
    path132.lineTo(size.width * 0.7717500, size.height * 0.4325554);
    path132.lineTo(size.width * 0.7721500, size.height * 0.4298716);
    path132.lineTo(size.width * 0.7742000, size.height * 0.4249708);
    path132.lineTo(size.width * 0.7746000, size.height * 0.4267211);
    path132.lineTo(size.width * 0.7761000, size.height * 0.4269545);
    path132.lineTo(size.width * 0.7751000, size.height * 0.4183197);
    path132.lineTo(size.width * 0.7764500, size.height * 0.4172695);
    path132.lineTo(size.width * 0.7784500, size.height * 0.4232205);
    path132.lineTo(size.width * 0.7802000, size.height * 0.4299883);
    path132.lineTo(size.width * 0.7836000, size.height * 0.4299883);
    path132.lineTo(size.width * 0.7851000, size.height * 0.4365228);
    path132.lineTo(size.width * 0.7834500, size.height * 0.4385064);
    path132.lineTo(size.width * 0.7828500, size.height * 0.4411902);
    path132.lineTo(size.width * 0.7865000, size.height * 0.4457410);
    path132.lineTo(size.width * 0.7893500, size.height * 0.4546091);
    path132.lineTo(size.width * 0.7915500, size.height * 0.4611435);
    path132.lineTo(size.width * 0.7940000, size.height * 0.4663944);
    path132.lineTo(size.width * 0.7950000, size.height * 0.4716453);
    path132.lineTo(size.width * 0.7949000, size.height * 0.4791132);
    path132.close();

    Paint paint132fill = Paint()..style = PaintingStyle.fill;
    paint132fill.color = countryColors.lA ?? defaultCountryColor;
    canvas.drawPath(path132, paint132fill);

    Path path133 = Path();
    path133.moveTo(size.width * 0.5895500, size.height * 0.3362894);
    path133.lineTo(size.width * 0.5888500, size.height * 0.3364061);
    path133.lineTo(size.width * 0.5886500, size.height * 0.3376896);
    path133.lineTo(size.width * 0.5877500, size.height * 0.3376896);
    path133.lineTo(size.width * 0.5884000, size.height * 0.3315053);
    path133.lineTo(size.width * 0.5895000, size.height * 0.3262544);
    path133.lineTo(size.width * 0.5895000, size.height * 0.3260210);
    path133.lineTo(size.width * 0.5907500, size.height * 0.3263711);
    path133.lineTo(size.width * 0.5913500, size.height * 0.3292882);
    path133.lineTo(size.width * 0.5900000, size.height * 0.3322054);
    path133.lineTo(size.width * 0.5895500, size.height * 0.3362894);
    path133.close();

    Paint paint133fill = Paint()..style = PaintingStyle.fill;
    paint133fill.color = countryColors.lB ?? defaultCountryColor;
    canvas.drawPath(path133, paint133fill);

    Path path134 = Path();
    path134.moveTo(size.width * 0.4693000, size.height * 0.5280047);
    path134.lineTo(size.width * 0.4692000, size.height * 0.5301050);
    path134.lineTo(size.width * 0.4694500, size.height * 0.5337223);
    path134.lineTo(size.width * 0.4688500, size.height * 0.5371062);
    path134.lineTo(size.width * 0.4696500, size.height * 0.5392065);
    path134.lineTo(size.width * 0.4705500, size.height * 0.5396733);
    path134.lineTo(size.width * 0.4717500, size.height * 0.5428238);
    path134.lineTo(size.width * 0.4718500, size.height * 0.5457410);
    path134.lineTo(size.width * 0.4715500, size.height * 0.5466744);
    path134.lineTo(size.width * 0.4713500, size.height * 0.5528588);
    path134.lineTo(size.width * 0.4706000, size.height * 0.5529755);
    path134.lineTo(size.width * 0.4677000, size.height * 0.5493582);
    path134.lineTo(size.width * 0.4651000, size.height * 0.5436406);
    path134.lineTo(size.width * 0.4627000, size.height * 0.5395566);
    path134.lineTo(size.width * 0.4608000, size.height * 0.5347725);
    path134.lineTo(size.width * 0.4615000, size.height * 0.5323221);
    path134.lineTo(size.width * 0.4616500, size.height * 0.5301050);
    path134.lineTo(size.width * 0.4629500, size.height * 0.5261377);
    path134.lineTo(size.width * 0.4642500, size.height * 0.5226371);
    path134.lineTo(size.width * 0.4649000, size.height * 0.5224037);
    path134.lineTo(size.width * 0.4656000, size.height * 0.5215869);
    path134.lineTo(size.width * 0.4668000, size.height * 0.5261377);
    path134.lineTo(size.width * 0.4666000, size.height * 0.5291715);
    path134.lineTo(size.width * 0.4671500, size.height * 0.5308051);
    path134.lineTo(size.width * 0.4679500, size.height * 0.5308051);
    path134.lineTo(size.width * 0.4685000, size.height * 0.5277713);
    path134.lineTo(size.width * 0.4693000, size.height * 0.5280047);
    path134.close();

    Paint paint134fill = Paint()..style = PaintingStyle.fill;
    paint134fill.color = countryColors.lR ?? defaultCountryColor;
    canvas.drawPath(path134, paint134fill);

    Path path135 = Path();
    path135.moveTo(size.width * 0.5613000, size.height * 0.3490082);
    path135.lineTo(size.width * 0.5604500, size.height * 0.3526254);
    path135.lineTo(size.width * 0.5609500, size.height * 0.3558926);
    path135.lineTo(size.width * 0.5604000, size.height * 0.3604434);
    path135.lineTo(size.width * 0.5614000, size.height * 0.3665111);
    path135.lineTo(size.width * 0.5620500, size.height * 0.3931155);
    path135.lineTo(size.width * 0.5625500, size.height * 0.4207701);
    path135.lineTo(size.width * 0.5628000, size.height * 0.4357060);
    path135.lineTo(size.width * 0.5596000, size.height * 0.4357060);
    path135.lineTo(size.width * 0.5596000, size.height * 0.4388565);
    path135.lineTo(size.width * 0.5483000, size.height * 0.4245041);
    path135.lineTo(size.width * 0.5370500, size.height * 0.4101517);
    path135.lineTo(size.width * 0.5343000, size.height * 0.4142357);
    path135.lineTo(size.width * 0.5324000, size.height * 0.4170362);
    path135.lineTo(size.width * 0.5308000, size.height * 0.4129522);
    path135.lineTo(size.width * 0.5264000, size.height * 0.4096849);
    path135.lineTo(size.width * 0.5251500, size.height * 0.4050175);
    path135.lineTo(size.width * 0.5229000, size.height * 0.4015169);
    path135.lineTo(size.width * 0.5216500, size.height * 0.4029172);
    path135.lineTo(size.width * 0.5206000, size.height * 0.3987165);
    path135.lineTo(size.width * 0.5205000, size.height * 0.3955659);
    path135.lineTo(size.width * 0.5188000, size.height * 0.3900817);
    path135.lineTo(size.width * 0.5199000, size.height * 0.3869312);
    path135.lineTo(size.width * 0.5196000, size.height * 0.3822637);
    path135.lineTo(size.width * 0.5199000, size.height * 0.3781797);
    path135.lineTo(size.width * 0.5197000, size.height * 0.3746791);
    path135.lineTo(size.width * 0.5201000, size.height * 0.3686114);
    path135.lineTo(size.width * 0.5199000, size.height * 0.3651109);
    path135.lineTo(size.width * 0.5189500, size.height * 0.3584597);
    path135.lineTo(size.width * 0.5202500, size.height * 0.3568261);
    path135.lineTo(size.width * 0.5204500, size.height * 0.3535589);
    path135.lineTo(size.width * 0.5201500, size.height * 0.3505251);
    path135.lineTo(size.width * 0.5219500, size.height * 0.3476079);
    path135.lineTo(size.width * 0.5227500, size.height * 0.3451575);
    path135.lineTo(size.width * 0.5240500, size.height * 0.3430572);
    path135.lineTo(size.width * 0.5241000, size.height * 0.3373396);
    path135.lineTo(size.width * 0.5273000, size.height * 0.3399067);
    path135.lineTo(size.width * 0.5284500, size.height * 0.3392065);
    path135.lineTo(size.width * 0.5307000, size.height * 0.3404901);
    path135.lineTo(size.width * 0.5343500, size.height * 0.3438740);
    path135.lineTo(size.width * 0.5357500, size.height * 0.3505251);
    path135.lineTo(size.width * 0.5382000, size.height * 0.3519253);
    path135.lineTo(size.width * 0.5421000, size.height * 0.3550758);
    path135.lineTo(size.width * 0.5451000, size.height * 0.3588098);
    path135.lineTo(size.width * 0.5463500, size.height * 0.3568261);
    path135.lineTo(size.width * 0.5476000, size.height * 0.3534422);
    path135.lineTo(size.width * 0.5468000, size.height * 0.3477246);
    path135.lineTo(size.width * 0.5475500, size.height * 0.3439907);
    path135.lineTo(size.width * 0.5494000, size.height * 0.3404901);
    path135.lineTo(size.width * 0.5512500, size.height * 0.3395566);
    path135.lineTo(size.width * 0.5549500, size.height * 0.3410735);
    path135.lineTo(size.width * 0.5559500, size.height * 0.3443407);
    path135.lineTo(size.width * 0.5569500, size.height * 0.3444574);
    path135.lineTo(size.width * 0.5578500, size.height * 0.3457410);
    path135.lineTo(size.width * 0.5605500, size.height * 0.3465578);
    path135.lineTo(size.width * 0.5613000, size.height * 0.3490082);
    path135.close();

    Paint paint135fill = Paint()..style = PaintingStyle.fill;
    paint135fill.color = countryColors.lY ?? defaultCountryColor;
    canvas.drawPath(path135, paint135fill);

    Path path136 = Path();
    path136.moveTo(size.width * 0.7229500, size.height * 0.5390898);
    path136.lineTo(size.width * 0.7205500, size.height * 0.5408401);
    path136.lineTo(size.width * 0.7191000, size.height * 0.5348891);
    path136.lineTo(size.width * 0.7184000, size.height * 0.5241540);
    path136.lineTo(size.width * 0.7194000, size.height * 0.5120187);
    path136.lineTo(size.width * 0.7214500, size.height * 0.5161027);
    path136.lineTo(size.width * 0.7228500, size.height * 0.5213536);
    path136.lineTo(size.width * 0.7244000, size.height * 0.5291715);
    path136.lineTo(size.width * 0.7241000, size.height * 0.5369895);
    path136.lineTo(size.width * 0.7229500, size.height * 0.5390898);
    path136.close();

    Paint paint136fill = Paint()..style = PaintingStyle.fill;
    paint136fill.color = countryColors.lK ?? defaultCountryColor;
    canvas.drawPath(path136, paint136fill);

    Path path137 = Path();
    path137.moveTo(size.width * 0.5695500, size.height * 0.8143524);
    path137.lineTo(size.width * 0.5685500, size.height * 0.8151692);
    path137.lineTo(size.width * 0.5667000, size.height * 0.8093349);
    path137.lineTo(size.width * 0.5683000, size.height * 0.8046674);
    path137.lineTo(size.width * 0.5698500, size.height * 0.8017503);
    path137.lineTo(size.width * 0.5712000, size.height * 0.8001167);
    path137.lineTo(size.width * 0.5723000, size.height * 0.8024504);
    path137.lineTo(size.width * 0.5731500, size.height * 0.8047841);
    path137.lineTo(size.width * 0.5722000, size.height * 0.8084014);
    path137.lineTo(size.width * 0.5716500, size.height * 0.8108518);
    path137.lineTo(size.width * 0.5701000, size.height * 0.8120187);
    path137.lineTo(size.width * 0.5695500, size.height * 0.8143524);
    path137.close();

    Paint paint137fill = Paint()..style = PaintingStyle.fill;
    paint137fill.color = countryColors.lS ?? defaultCountryColor;
    canvas.drawPath(path137, paint137fill);

    Path path138 = Path();
    path138.moveTo(size.width * 0.5555500, size.height * 0.1722287);
    path138.lineTo(size.width * 0.5560500, size.height * 0.1753792);
    path138.lineTo(size.width * 0.5542500, size.height * 0.1777130);
    path138.lineTo(size.width * 0.5540000, size.height * 0.1816803);
    path138.lineTo(size.width * 0.5516000, size.height * 0.1843641);
    path138.lineTo(size.width * 0.5492500, size.height * 0.1843641);
    path138.lineTo(size.width * 0.5485500, size.height * 0.1821470);
    path138.lineTo(size.width * 0.5473000, size.height * 0.1813302);
    path138.lineTo(size.width * 0.5470000, size.height * 0.1795799);
    path138.lineTo(size.width * 0.5471000, size.height * 0.1775963);
    path138.lineTo(size.width * 0.5460000, size.height * 0.1765461);
    path138.lineTo(size.width * 0.5434500, size.height * 0.1752625);
    path138.lineTo(size.width * 0.5426000, size.height * 0.1693116);
    path138.lineTo(size.width * 0.5451500, size.height * 0.1672112);
    path138.lineTo(size.width * 0.5491000, size.height * 0.1676779);
    path138.lineTo(size.width * 0.5513500, size.height * 0.1669778);
    path138.lineTo(size.width * 0.5518000, size.height * 0.1683781);
    path138.lineTo(size.width * 0.5530500, size.height * 0.1688448);
    path138.lineTo(size.width * 0.5555500, size.height * 0.1722287);
    path138.close();

    Paint paint138fill = Paint()..style = PaintingStyle.fill;
    paint138fill.color = countryColors.lT ?? defaultCountryColor;
    canvas.drawPath(path138, paint138fill);

    Path path139 = Path();
    path139.moveTo(size.width * 0.5084500, size.height * 0.2163361);
    path139.lineTo(size.width * 0.5077500, size.height * 0.2164527);
    path139.lineTo(size.width * 0.5072000, size.height * 0.2158693);
    path139.lineTo(size.width * 0.5074000, size.height * 0.2117853);
    path139.lineTo(size.width * 0.5080500, size.height * 0.2115519);
    path139.lineTo(size.width * 0.5085500, size.height * 0.2131855);
    path139.lineTo(size.width * 0.5084500, size.height * 0.2163361);
    path139.close();

    Paint paint139fill = Paint()..style = PaintingStyle.fill;
    paint139fill.color = countryColors.lU ?? defaultCountryColor;
    canvas.drawPath(path139, paint139fill);

    Path path140 = Path();
    path140.moveTo(size.width * 0.5564000, size.height * 0.1592765);
    path140.lineTo(size.width * 0.5576500, size.height * 0.1607935);
    path140.lineTo(size.width * 0.5581500, size.height * 0.1641774);
    path140.lineTo(size.width * 0.5592000, size.height * 0.1683781);
    path140.lineTo(size.width * 0.5569000, size.height * 0.1710618);
    path140.lineTo(size.width * 0.5555500, size.height * 0.1722287);
    path140.lineTo(size.width * 0.5530500, size.height * 0.1688448);
    path140.lineTo(size.width * 0.5518000, size.height * 0.1683781);
    path140.lineTo(size.width * 0.5513500, size.height * 0.1669778);
    path140.lineTo(size.width * 0.5491000, size.height * 0.1676779);
    path140.lineTo(size.width * 0.5451500, size.height * 0.1672112);
    path140.lineTo(size.width * 0.5426000, size.height * 0.1693116);
    path140.lineTo(size.width * 0.5423500, size.height * 0.1640607);
    path140.lineTo(size.width * 0.5432000, size.height * 0.1596266);
    path140.lineTo(size.width * 0.5452500, size.height * 0.1572929);
    path140.lineTo(size.width * 0.5474500, size.height * 0.1625438);
    path140.lineTo(size.width * 0.5493000, size.height * 0.1623104);
    path140.lineTo(size.width * 0.5493500, size.height * 0.1569428);
    path140.lineTo(size.width * 0.5512500, size.height * 0.1557760);
    path140.lineTo(size.width * 0.5523000, size.height * 0.1565928);
    path140.lineTo(size.width * 0.5545000, size.height * 0.1591599);
    path140.lineTo(size.width * 0.5564000, size.height * 0.1592765);
    path140.close();

    Paint paint140fill = Paint()..style = PaintingStyle.fill;
    paint140fill.color = countryColors.lV ?? defaultCountryColor;
    canvas.drawPath(path140, paint140fill);

    Path path141 = Path();
    path141.moveTo(size.width * 0.4874000, size.height * 0.3220537);
    path141.lineTo(size.width * 0.4883500, size.height * 0.3268378);
    path141.lineTo(size.width * 0.4885000, size.height * 0.3313886);
    path141.lineTo(size.width * 0.4894500, size.height * 0.3393232);
    path141.lineTo(size.width * 0.4901500, size.height * 0.3409568);
    path141.lineTo(size.width * 0.4896500, size.height * 0.3438740);
    path141.lineTo(size.width * 0.4861000, size.height * 0.3451575);
    path141.lineTo(size.width * 0.4848500, size.height * 0.3478413);
    path141.lineTo(size.width * 0.4833000, size.height * 0.3485414);
    path141.lineTo(size.width * 0.4831500, size.height * 0.3541424);
    path141.lineTo(size.width * 0.4799500, size.height * 0.3570595);
    path141.lineTo(size.width * 0.4789000, size.height * 0.3607935);
    path141.lineTo(size.width * 0.4766500, size.height * 0.3627771);
    path141.lineTo(size.width * 0.4739500, size.height * 0.3639440);
    path141.lineTo(size.width * 0.4695000, size.height * 0.3695449);
    path141.lineTo(size.width * 0.4694500, size.height * 0.3784131);
    path141.lineTo(size.width * 0.4690000, size.height * 0.3784131);
    path141.lineTo(size.width * 0.4690500, size.height * 0.3823804);
    path141.lineTo(size.width * 0.4673500, size.height * 0.3826138);
    path141.lineTo(size.width * 0.4664500, size.height * 0.3843641);
    path141.lineTo(size.width * 0.4652000, size.height * 0.3843641);
    path141.lineTo(size.width * 0.4642000, size.height * 0.3833139);
    path141.lineTo(size.width * 0.4619000, size.height * 0.3841307);
    path141.lineTo(size.width * 0.4609500, size.height * 0.3899650);
    path141.lineTo(size.width * 0.4600500, size.height * 0.3905484);
    path141.lineTo(size.width * 0.4587000, size.height * 0.4000000);
    path141.lineTo(size.width * 0.4547500, size.height * 0.4080513);
    path141.lineTo(size.width * 0.4537500, size.height * 0.4184364);
    path141.lineTo(size.width * 0.4525500, size.height * 0.4218203);
    path141.lineTo(size.width * 0.4522000, size.height * 0.4245041);
    path141.lineTo(size.width * 0.4459500, size.height * 0.4250875);
    path141.lineTo(size.width * 0.4459000, size.height * 0.4250875);
    path141.lineTo(size.width * 0.4460500, size.height * 0.4215869);
    path141.lineTo(size.width * 0.4471500, size.height * 0.4196033);
    path141.lineTo(size.width * 0.4481000, size.height * 0.4156359);
    path141.lineTo(size.width * 0.4479500, size.height * 0.4130688);
    path141.lineTo(size.width * 0.4489500, size.height * 0.4078180);
    path141.lineTo(size.width * 0.4505500, size.height * 0.4030338);
    path141.lineTo(size.width * 0.4515000, size.height * 0.4018670);
    path141.lineTo(size.width * 0.4523000, size.height * 0.3975496);
    path141.lineTo(size.width * 0.4524000, size.height * 0.3934656);
    path141.lineTo(size.width * 0.4534500, size.height * 0.3889148);
    path141.lineTo(size.width * 0.4553500, size.height * 0.3861144);
    path141.lineTo(size.width * 0.4571500, size.height * 0.3785298);
    path141.lineTo(size.width * 0.4572000, size.height * 0.3784131);
    path141.lineTo(size.width * 0.4586500, size.height * 0.3754959);
    path141.lineTo(size.width * 0.4612000, size.height * 0.3746791);
    path141.lineTo(size.width * 0.4634000, size.height * 0.3695449);
    path141.lineTo(size.width * 0.4648000, size.height * 0.3675613);
    path141.lineTo(size.width * 0.4671500, size.height * 0.3612602);
    path141.lineTo(size.width * 0.4665500, size.height * 0.3520420);
    path141.lineTo(size.width * 0.4676500, size.height * 0.3455076);
    path141.lineTo(size.width * 0.4681000, size.height * 0.3415403);
    path141.lineTo(size.width * 0.4699000, size.height * 0.3365228);
    path141.lineTo(size.width * 0.4726000, size.height * 0.3331389);
    path141.lineTo(size.width * 0.4746500, size.height * 0.3299883);
    path141.lineTo(size.width * 0.4765000, size.height * 0.3222870);
    path141.lineTo(size.width * 0.4774000, size.height * 0.3176196);
    path141.lineTo(size.width * 0.4793500, size.height * 0.3177363);
    path141.lineTo(size.width * 0.4809000, size.height * 0.3208868);
    path141.lineTo(size.width * 0.4834500, size.height * 0.3204201);
    path141.lineTo(size.width * 0.4862000, size.height * 0.3220537);
    path141.lineTo(size.width * 0.4874000, size.height * 0.3220537);
    path141.close();

    Paint paint141fill = Paint()..style = PaintingStyle.fill;
    paint141fill.color = countryColors.mA ?? defaultCountryColor;
    canvas.drawPath(path141, paint141fill);

    Path path142 = Path();
    path142.moveTo(size.width * 0.5647000, size.height * 0.2453909);
    path142.lineTo(size.width * 0.5640500, size.height * 0.2420070);
    path142.lineTo(size.width * 0.5641500, size.height * 0.2388565);
    path142.lineTo(size.width * 0.5638500, size.height * 0.2357060);
    path142.lineTo(size.width * 0.5621500, size.height * 0.2312719);
    path142.lineTo(size.width * 0.5611500, size.height * 0.2282380);
    path142.lineTo(size.width * 0.5602500, size.height * 0.2261377);
    path142.lineTo(size.width * 0.5594500, size.height * 0.2253209);
    path142.lineTo(size.width * 0.5600000, size.height * 0.2242707);
    path142.lineTo(size.width * 0.5616000, size.height * 0.2235706);
    path142.lineTo(size.width * 0.5636000, size.height * 0.2257876);
    path142.lineTo(size.width * 0.5646000, size.height * 0.2261377);
    path142.lineTo(size.width * 0.5659000, size.height * 0.2281214);
    path142.lineTo(size.width * 0.5658500, size.height * 0.2305718);
    path142.lineTo(size.width * 0.5668500, size.height * 0.2317386);
    path142.lineTo(size.width * 0.5674000, size.height * 0.2347725);
    path142.lineTo(size.width * 0.5684000, size.height * 0.2366394);
    path142.lineTo(size.width * 0.5683000, size.height * 0.2378063);
    path142.lineTo(size.width * 0.5688000, size.height * 0.2385064);
    path142.lineTo(size.width * 0.5681500, size.height * 0.2390898);
    path142.lineTo(size.width * 0.5666500, size.height * 0.2388565);
    path142.lineTo(size.width * 0.5663500, size.height * 0.2378063);
    path142.lineTo(size.width * 0.5658500, size.height * 0.2383897);
    path142.lineTo(size.width * 0.5661500, size.height * 0.2396733);
    path142.lineTo(size.width * 0.5656000, size.height * 0.2421237);
    path142.lineTo(size.width * 0.5653000, size.height * 0.2445741);
    path142.lineTo(size.width * 0.5647000, size.height * 0.2453909);
    path142.close();

    Paint paint142fill = Paint()..style = PaintingStyle.fill;
    paint142fill.color = countryColors.mD ?? defaultCountryColor;
    canvas.drawPath(path142, paint142fill);

    Path path143 = Path();
    path143.moveTo(size.width * 0.6339500, size.height * 0.6871645);
    path143.lineTo(size.width * 0.6341500, size.height * 0.6961494);
    path143.lineTo(size.width * 0.6348000, size.height * 0.6996499);
    path143.lineTo(size.width * 0.6344500, size.height * 0.7032672);
    path143.lineTo(size.width * 0.6338500, size.height * 0.7053676);
    path143.lineTo(size.width * 0.6330500, size.height * 0.7010502);
    path143.lineTo(size.width * 0.6324500, size.height * 0.7032672);
    path143.lineTo(size.width * 0.6328500, size.height * 0.7087515);
    path143.lineTo(size.width * 0.6325000, size.height * 0.7120187);
    path143.lineTo(size.width * 0.6316500, size.height * 0.7136523);
    path143.lineTo(size.width * 0.6313000, size.height * 0.7200700);
    path143.lineTo(size.width * 0.6299500, size.height * 0.7288215);
    path143.lineTo(size.width * 0.6282500, size.height * 0.7390898);
    path143.lineTo(size.width * 0.6261000, size.height * 0.7533256);
    path143.lineTo(size.width * 0.6246500, size.height * 0.7637106);
    path143.lineTo(size.width * 0.6231000, size.height * 0.7724621);
    path143.lineTo(size.width * 0.6208000, size.height * 0.7742124);
    path143.lineTo(size.width * 0.6182500, size.height * 0.7773629);
    path143.lineTo(size.width * 0.6167500, size.height * 0.7754959);
    path143.lineTo(size.width * 0.6146500, size.height * 0.7728121);
    path143.lineTo(size.width * 0.6140500, size.height * 0.7688448);
    path143.lineTo(size.width * 0.6140500, size.height * 0.7621937);
    path143.lineTo(size.width * 0.6133000, size.height * 0.7562427);
    path143.lineTo(size.width * 0.6132000, size.height * 0.7507585);
    path143.lineTo(size.width * 0.6138500, size.height * 0.7453909);
    path143.lineTo(size.width * 0.6151500, size.height * 0.7441074);
    path143.lineTo(size.width * 0.6152500, size.height * 0.7416569);
    path143.lineTo(size.width * 0.6167000, size.height * 0.7359393);
    path143.lineTo(size.width * 0.6171000, size.height * 0.7311552);
    path143.lineTo(size.width * 0.6165500, size.height * 0.7276546);
    path143.lineTo(size.width * 0.6161500, size.height * 0.7228705);
    path143.lineTo(size.width * 0.6161000, size.height * 0.7159860);
    path143.lineTo(size.width * 0.6172000, size.height * 0.7117853);
    path143.lineTo(size.width * 0.6177000, size.height * 0.7070012);
    path143.lineTo(size.width * 0.6191000, size.height * 0.7067678);
    path143.lineTo(size.width * 0.6207000, size.height * 0.7052509);
    path143.lineTo(size.width * 0.6218000, size.height * 0.7038506);
    path143.lineTo(size.width * 0.6230000, size.height * 0.7037340);
    path143.lineTo(size.width * 0.6247000, size.height * 0.6995333);
    path143.lineTo(size.width * 0.6271500, size.height * 0.6948658);
    path143.lineTo(size.width * 0.6280500, size.height * 0.6911319);
    path143.lineTo(size.width * 0.6277500, size.height * 0.6878646);
    path143.lineTo(size.width * 0.6289500, size.height * 0.6887981);
    path143.lineTo(size.width * 0.6306000, size.height * 0.6836639);
    path143.lineTo(size.width * 0.6307500, size.height * 0.6791132);
    path143.lineTo(size.width * 0.6317500, size.height * 0.6757293);
    path143.lineTo(size.width * 0.6326500, size.height * 0.6789965);
    path143.lineTo(size.width * 0.6333500, size.height * 0.6821470);
    path143.lineTo(size.width * 0.6339500, size.height * 0.6871645);
    path143.close();

    Paint paint143fill = Paint()..style = PaintingStyle.fill;
    paint143fill.color = countryColors.mG ?? defaultCountryColor;
    canvas.drawPath(path143, paint143fill);

    Path path144 = Path();
    path144.moveTo(size.width * 0.2246500, size.height * 0.3919487);
    path144.lineTo(size.width * 0.2257500, size.height * 0.3917153);
    path144.lineTo(size.width * 0.2241500, size.height * 0.3983664);
    path144.lineTo(size.width * 0.2232500, size.height * 0.4037340);
    path144.lineTo(size.width * 0.2223500, size.height * 0.4137690);
    path144.lineTo(size.width * 0.2218000, size.height * 0.4173862);
    path144.lineTo(size.width * 0.2220000, size.height * 0.4214702);
    path144.lineTo(size.width * 0.2226500, size.height * 0.4252042);
    path144.lineTo(size.width * 0.2228500, size.height * 0.4309218);
    path144.lineTo(size.width * 0.2243500, size.height * 0.4365228);
    path144.lineTo(size.width * 0.2247500, size.height * 0.4408401);
    path144.lineTo(size.width * 0.2256000, size.height * 0.4444574);
    path144.lineTo(size.width * 0.2284500, size.height * 0.4464411);
    path144.lineTo(size.width * 0.2294000, size.height * 0.4495916);
    path144.lineTo(size.width * 0.2320000, size.height * 0.4474912);
    path144.lineTo(size.width * 0.2341500, size.height * 0.4467911);
    path144.lineTo(size.width * 0.2363500, size.height * 0.4453909);
    path144.lineTo(size.width * 0.2381500, size.height * 0.4441074);
    path144.lineTo(size.width * 0.2401000, size.height * 0.4410735);
    path144.lineTo(size.width * 0.2410000, size.height * 0.4367561);
    path144.lineTo(size.width * 0.2416000, size.height * 0.4304551);
    path144.lineTo(size.width * 0.2422000, size.height * 0.4282380);
    path144.lineTo(size.width * 0.2442000, size.height * 0.4262544);
    path144.lineTo(size.width * 0.2472500, size.height * 0.4245041);
    path144.lineTo(size.width * 0.2497000, size.height * 0.4248541);
    path144.lineTo(size.width * 0.2514000, size.height * 0.4241540);
    path144.lineTo(size.width * 0.2520000, size.height * 0.4257876);
    path144.lineTo(size.width * 0.2517000, size.height * 0.4294049);
    path144.lineTo(size.width * 0.2499500, size.height * 0.4338390);
    path144.lineTo(size.width * 0.2490500, size.height * 0.4383897);
    path144.lineTo(size.width * 0.2495000, size.height * 0.4396733);
    path144.lineTo(size.width * 0.2489000, size.height * 0.4429405);
    path144.lineTo(size.width * 0.2478500, size.height * 0.4487748);
    path144.lineTo(size.width * 0.2472500, size.height * 0.4467911);
    path144.lineTo(size.width * 0.2467000, size.height * 0.4469078);
    path144.lineTo(size.width * 0.2461500, size.height * 0.4470245);
    path144.lineTo(size.width * 0.2449000, size.height * 0.4515753);
    path144.lineTo(size.width * 0.2444500, size.height * 0.4506418);
    path144.lineTo(size.width * 0.2441000, size.height * 0.4509918);
    path144.lineTo(size.width * 0.2440500, size.height * 0.4521587);
    path144.lineTo(size.width * 0.2414500, size.height * 0.4520420);
    path144.lineTo(size.width * 0.2388500, size.height * 0.4520420);
    path144.lineTo(size.width * 0.2386000, size.height * 0.4562427);
    path144.lineTo(size.width * 0.2373500, size.height * 0.4563594);
    path144.lineTo(size.width * 0.2382500, size.height * 0.4588098);
    path144.lineTo(size.width * 0.2392000, size.height * 0.4605601);
    path144.lineTo(size.width * 0.2394500, size.height * 0.4621937);
    path144.lineTo(size.width * 0.2398500, size.height * 0.4626604);
    path144.lineTo(size.width * 0.2396500, size.height * 0.4652275);
    path144.lineTo(size.width * 0.2360500, size.height * 0.4652275);
    path144.lineTo(size.width * 0.2344000, size.height * 0.4712952);
    path144.lineTo(size.width * 0.2347500, size.height * 0.4726954);
    path144.lineTo(size.width * 0.2343500, size.height * 0.4744457);
    path144.lineTo(size.width * 0.2341500, size.height * 0.4766628);
    path144.lineTo(size.width * 0.2313500, size.height * 0.4686114);
    path144.lineTo(size.width * 0.2300500, size.height * 0.4661610);
    path144.lineTo(size.width * 0.2278500, size.height * 0.4641774);
    path144.lineTo(size.width * 0.2262500, size.height * 0.4647608);
    path144.lineTo(size.width * 0.2238500, size.height * 0.4675613);
    path144.lineTo(size.width * 0.2224000, size.height * 0.4682614);
    path144.lineTo(size.width * 0.2205500, size.height * 0.4662777);
    path144.lineTo(size.width * 0.2185000, size.height * 0.4648775);
    path144.lineTo(size.width * 0.2161000, size.height * 0.4614936);
    path144.lineTo(size.width * 0.2140500, size.height * 0.4604434);
    path144.lineTo(size.width * 0.2111000, size.height * 0.4569428);
    path144.lineTo(size.width * 0.2089500, size.height * 0.4533256);
    path144.lineTo(size.width * 0.2084000, size.height * 0.4513419);
    path144.lineTo(size.width * 0.2068500, size.height * 0.4508751);
    path144.lineTo(size.width * 0.2041500, size.height * 0.4485414);
    path144.lineTo(size.width * 0.2032000, size.height * 0.4451575);
    path144.lineTo(size.width * 0.2005000, size.height * 0.4408401);
    path144.lineTo(size.width * 0.1994000, size.height * 0.4361727);
    path144.lineTo(size.width * 0.1990000, size.height * 0.4324387);
    path144.lineTo(size.width * 0.1999500, size.height * 0.4317386);
    path144.lineTo(size.width * 0.1998000, size.height * 0.4296383);
    path144.lineTo(size.width * 0.2006000, size.height * 0.4276546);
    path144.lineTo(size.width * 0.2008000, size.height * 0.4250875);
    path144.lineTo(size.width * 0.2000500, size.height * 0.4217036);
    path144.lineTo(size.width * 0.2000500, size.height * 0.4187865);
    path144.lineTo(size.width * 0.1994000, size.height * 0.4149358);
    path144.lineTo(size.width * 0.1975000, size.height * 0.4074679);
    path144.lineTo(size.width * 0.1952000, size.height * 0.4016336);
    path144.lineTo(size.width * 0.1942500, size.height * 0.3969662);
    path144.lineTo(size.width * 0.1922000, size.height * 0.3939323);
    path144.lineTo(size.width * 0.1918500, size.height * 0.3920653);
    path144.lineTo(size.width * 0.1927000, size.height * 0.3875146);
    path144.lineTo(size.width * 0.1915000, size.height * 0.3857643);
    path144.lineTo(size.width * 0.1902500, size.height * 0.3820303);
    path144.lineTo(size.width * 0.1901500, size.height * 0.3768961);
    path144.lineTo(size.width * 0.1887500, size.height * 0.3761960);
    path144.lineTo(size.width * 0.1876000, size.height * 0.3723454);
    path144.lineTo(size.width * 0.1867500, size.height * 0.3686114);
    path144.lineTo(size.width * 0.1869000, size.height * 0.3662777);
    path144.lineTo(size.width * 0.1861500, size.height * 0.3606768);
    path144.lineTo(size.width * 0.1860000, size.height * 0.3549592);
    path144.lineTo(size.width * 0.1864000, size.height * 0.3520420);
    path144.lineTo(size.width * 0.1848500, size.height * 0.3490082);
    path144.lineTo(size.width * 0.1839000, size.height * 0.3493582);
    path144.lineTo(size.width * 0.1827000, size.height * 0.3473746);
    path144.lineTo(size.width * 0.1818000, size.height * 0.3504084);
    path144.lineTo(size.width * 0.1817500, size.height * 0.3539090);
    path144.lineTo(size.width * 0.1812500, size.height * 0.3596266);
    path144.lineTo(size.width * 0.1817500, size.height * 0.3626604);
    path144.lineTo(size.width * 0.1831500, size.height * 0.3677946);
    path144.lineTo(size.width * 0.1833500, size.height * 0.3696616);
    path144.lineTo(size.width * 0.1837000, size.height * 0.3701284);
    path144.lineTo(size.width * 0.1837500, size.height * 0.3726954);
    path144.lineTo(size.width * 0.1842500, size.height * 0.3725788);
    path144.lineTo(size.width * 0.1842500, size.height * 0.3774796);
    path144.lineTo(size.width * 0.1849000, size.height * 0.3793466);
    path144.lineTo(size.width * 0.1851500, size.height * 0.3820303);
    path144.lineTo(size.width * 0.1865000, size.height * 0.3857643);
    path144.lineTo(size.width * 0.1867000, size.height * 0.3927655);
    path144.lineTo(size.width * 0.1872000, size.height * 0.3960327);
    path144.lineTo(size.width * 0.1876500, size.height * 0.3995333);
    path144.lineTo(size.width * 0.1875000, size.height * 0.4035006);
    path144.lineTo(size.width * 0.1888000, size.height * 0.4037340);
    path144.lineTo(size.width * 0.1896000, size.height * 0.4071179);
    path144.lineTo(size.width * 0.1903500, size.height * 0.4105018);
    path144.lineTo(size.width * 0.1902000, size.height * 0.4119020);
    path144.lineTo(size.width * 0.1888000, size.height * 0.4145858);
    path144.lineTo(size.width * 0.1883000, size.height * 0.4145858);
    path144.lineTo(size.width * 0.1879500, size.height * 0.4100350);
    path144.lineTo(size.width * 0.1865000, size.height * 0.4057176);
    path144.lineTo(size.width * 0.1848000, size.height * 0.4021004);
    path144.lineTo(size.width * 0.1835500, size.height * 0.4002334);
    path144.lineTo(size.width * 0.1841500, size.height * 0.3947491);
    path144.lineTo(size.width * 0.1841000, size.height * 0.3906651);
    path144.lineTo(size.width * 0.1830500, size.height * 0.3883314);
    path144.lineTo(size.width * 0.1815000, size.height * 0.3850642);
    path144.lineTo(size.width * 0.1810500, size.height * 0.3859977);
    path144.lineTo(size.width * 0.1805500, size.height * 0.3840140);
    path144.lineTo(size.width * 0.1790500, size.height * 0.3822637);
    path144.lineTo(size.width * 0.1779500, size.height * 0.3778296);
    path144.lineTo(size.width * 0.1782000, size.height * 0.3773629);
    path144.lineTo(size.width * 0.1792500, size.height * 0.3777130);
    path144.lineTo(size.width * 0.1806000, size.height * 0.3749125);
    path144.lineTo(size.width * 0.1811000, size.height * 0.3715286);
    path144.lineTo(size.width * 0.1796500, size.height * 0.3661610);
    path144.lineTo(size.width * 0.1783500, size.height * 0.3641774);
    path144.lineTo(size.width * 0.1779500, size.height * 0.3595099);
    path144.lineTo(size.width * 0.1776500, size.height * 0.3544924);
    path144.lineTo(size.width * 0.1772500, size.height * 0.3485414);
    path144.lineTo(size.width * 0.1771500, size.height * 0.3417736);
    path144.lineTo(size.width * 0.1803000, size.height * 0.3411902);
    path144.lineTo(size.width * 0.1838500, size.height * 0.3403734);
    path144.lineTo(size.width * 0.1834000, size.height * 0.3418903);
    path144.lineTo(size.width * 0.1869000, size.height * 0.3455076);
    path144.lineTo(size.width * 0.1923500, size.height * 0.3507585);
    path144.lineTo(size.width * 0.1977500, size.height * 0.3507585);
    path144.lineTo(size.width * 0.1999000, size.height * 0.3507585);
    path144.lineTo(size.width * 0.2003000, size.height * 0.3476079);
    path144.lineTo(size.width * 0.2050000, size.height * 0.3476079);
    path144.lineTo(size.width * 0.2056500, size.height * 0.3502917);
    path144.lineTo(size.width * 0.2067000, size.height * 0.3527421);
    path144.lineTo(size.width * 0.2079000, size.height * 0.3560093);
    path144.lineTo(size.width * 0.2083000, size.height * 0.3598600);
    path144.lineTo(size.width * 0.2085000, size.height * 0.3640607);
    path144.lineTo(size.width * 0.2096500, size.height * 0.3662777);
    path144.lineTo(size.width * 0.2116500, size.height * 0.3684947);
    path144.lineTo(size.width * 0.2140500, size.height * 0.3626604);
    path144.lineTo(size.width * 0.2163000, size.height * 0.3624271);
    path144.lineTo(size.width * 0.2179000, size.height * 0.3654609);
    path144.lineTo(size.width * 0.2187000, size.height * 0.3705951);
    path144.lineTo(size.width * 0.2191500, size.height * 0.3750292);
    path144.lineTo(size.width * 0.2203500, size.height * 0.3792299);
    path144.lineTo(size.width * 0.2204500, size.height * 0.3844807);
    path144.lineTo(size.width * 0.2209000, size.height * 0.3879813);
    path144.lineTo(size.width * 0.2228500, size.height * 0.3903151);
    path144.lineTo(size.width * 0.2246500, size.height * 0.3919487);
    path144.close();

    Paint paint144fill = Paint()..style = PaintingStyle.fill;
    paint144fill.color = countryColors.mX ?? defaultCountryColor;
    canvas.drawPath(path144, paint144fill);

    Path path145 = Path();
    path145.moveTo(size.width * 0.5527500, size.height * 0.2760793);
    path145.lineTo(size.width * 0.5522500, size.height * 0.2763127);
    path145.lineTo(size.width * 0.5518500, size.height * 0.2775963);
    path145.lineTo(size.width * 0.5504500, size.height * 0.2774796);
    path145.lineTo(size.width * 0.5495500, size.height * 0.2791132);
    path145.lineTo(size.width * 0.5478500, size.height * 0.2796966);
    path145.lineTo(size.width * 0.5467000, size.height * 0.2779463);
    path145.lineTo(size.width * 0.5462000, size.height * 0.2747958);
    path145.lineTo(size.width * 0.5464500, size.height * 0.2722287);
    path145.lineTo(size.width * 0.5468000, size.height * 0.2723454);
    path145.lineTo(size.width * 0.5468500, size.height * 0.2708285);
    path145.lineTo(size.width * 0.5483000, size.height * 0.2696616);
    path145.lineTo(size.width * 0.5489000, size.height * 0.2693116);
    path145.lineTo(size.width * 0.5497500, size.height * 0.2689615);
    path145.lineTo(size.width * 0.5509500, size.height * 0.2687281);
    path145.lineTo(size.width * 0.5523500, size.height * 0.2711785);
    path145.lineTo(size.width * 0.5527500, size.height * 0.2760793);
    path145.close();

    Paint paint145fill = Paint()..style = PaintingStyle.fill;
    paint145fill.color = countryColors.mK ?? defaultCountryColor;
    canvas.drawPath(path145, paint145fill);

    Path path146 = Path();
    path146.moveTo(size.width * 0.5051000, size.height * 0.4420070);
    path146.lineTo(size.width * 0.5051500, size.height * 0.4592765);
    path146.lineTo(size.width * 0.5036000, size.height * 0.4642940);
    path146.lineTo(size.width * 0.5034000, size.height * 0.4689615);
    path146.lineTo(size.width * 0.5009000, size.height * 0.4701284);
    path146.lineTo(size.width * 0.4970500, size.height * 0.4707118);
    path146.lineTo(size.width * 0.4960500, size.height * 0.4733956);
    path146.lineTo(size.width * 0.4942500, size.height * 0.4737456);
    path146.lineTo(size.width * 0.4924500, size.height * 0.4737456);
    path146.lineTo(size.width * 0.4917500, size.height * 0.4723454);
    path146.lineTo(size.width * 0.4902000, size.height * 0.4733956);
    path146.lineTo(size.width * 0.4875500, size.height * 0.4765461);
    path146.lineTo(size.width * 0.4870000, size.height * 0.4788798);
    path146.lineTo(size.width * 0.4848500, size.height * 0.4821470);
    path146.lineTo(size.width * 0.4844500, size.height * 0.4841307);
    path146.lineTo(size.width * 0.4832500, size.height * 0.4856476);
    path146.lineTo(size.width * 0.4819000, size.height * 0.4845974);
    path146.lineTo(size.width * 0.4811500, size.height * 0.4864644);
    path146.lineTo(size.width * 0.4807000, size.height * 0.4915986);
    path146.lineTo(size.width * 0.4784500, size.height * 0.4977830);
    path146.lineTo(size.width * 0.4785500, size.height * 0.5003501);
    path146.lineTo(size.width * 0.4777500, size.height * 0.5035006);
    path146.lineTo(size.width * 0.4779500, size.height * 0.5078180);
    path146.lineTo(size.width * 0.4767500, size.height * 0.5089848);
    path146.lineTo(size.width * 0.4761000, size.height * 0.5099183);
    path146.lineTo(size.width * 0.4756500, size.height * 0.5067678);
    path146.lineTo(size.width * 0.4748500, size.height * 0.5075846);
    path146.lineTo(size.width * 0.4743500, size.height * 0.5074679);
    path146.lineTo(size.width * 0.4738500, size.height * 0.5095683);
    path146.lineTo(size.width * 0.4716500, size.height * 0.5095683);
    path146.lineTo(size.width * 0.4709000, size.height * 0.5084014);
    path146.lineTo(size.width * 0.4705000, size.height * 0.5091015);
    path146.lineTo(size.width * 0.4696500, size.height * 0.5068845);
    path146.lineTo(size.width * 0.4698000, size.height * 0.5046674);
    path146.lineTo(size.width * 0.4694500, size.height * 0.5038506);
    path146.lineTo(size.width * 0.4688500, size.height * 0.5045508);
    path146.lineTo(size.width * 0.4690000, size.height * 0.5021004);
    path146.lineTo(size.width * 0.4695500, size.height * 0.5002334);
    path146.lineTo(size.width * 0.4684000, size.height * 0.4970828);
    path146.lineTo(size.width * 0.4681000, size.height * 0.4949825);
    path146.lineTo(size.width * 0.4674500, size.height * 0.4933489);
    path146.lineTo(size.width * 0.4669000, size.height * 0.4931155);
    path146.lineTo(size.width * 0.4662500, size.height * 0.4941657);
    path146.lineTo(size.width * 0.4653000, size.height * 0.4952159);
    path146.lineTo(size.width * 0.4645500, size.height * 0.4968495);
    path146.lineTo(size.width * 0.4633500, size.height * 0.4962660);
    path146.lineTo(size.width * 0.4625500, size.height * 0.4942824);
    path146.lineTo(size.width * 0.4621000, size.height * 0.4940490);
    path146.lineTo(size.width * 0.4613500, size.height * 0.4950992);
    path146.lineTo(size.width * 0.4609000, size.height * 0.4950992);
    path146.lineTo(size.width * 0.4607500, size.height * 0.4922987);
    path146.lineTo(size.width * 0.4609000, size.height * 0.4899650);
    path146.lineTo(size.width * 0.4606500, size.height * 0.4871645);
    path146.lineTo(size.width * 0.4596500, size.height * 0.4850642);
    path146.lineTo(size.width * 0.4591000, size.height * 0.4807468);
    path146.lineTo(size.width * 0.4590000, size.height * 0.4760793);
    path146.lineTo(size.width * 0.4599500, size.height * 0.4746791);
    path146.lineTo(size.width * 0.4604500, size.height * 0.4702450);
    path146.lineTo(size.width * 0.4613500, size.height * 0.4701284);
    path146.lineTo(size.width * 0.4633000, size.height * 0.4722287);
    path146.lineTo(size.width * 0.4649000, size.height * 0.4707118);
    path146.lineTo(size.width * 0.4659500, size.height * 0.4711785);
    path146.lineTo(size.width * 0.4664000, size.height * 0.4695449);
    path146.lineTo(size.width * 0.4776500, size.height * 0.4694282);
    path146.lineTo(size.width * 0.4783000, size.height * 0.4641774);
    path146.lineTo(size.width * 0.4778000, size.height * 0.4632439);
    path146.lineTo(size.width * 0.4765500, size.height * 0.4309218);
    path146.lineTo(size.width * 0.4753500, size.height * 0.3985998);
    path146.lineTo(size.width * 0.4796000, size.height * 0.3984831);
    path146.lineTo(size.width * 0.4889000, size.height * 0.4148191);
    path146.lineTo(size.width * 0.4982500, size.height * 0.4311552);
    path146.lineTo(size.width * 0.4989000, size.height * 0.4346558);
    path146.lineTo(size.width * 0.5006500, size.height * 0.4367561);
    path146.lineTo(size.width * 0.5019500, size.height * 0.4380397);
    path146.lineTo(size.width * 0.5020000, size.height * 0.4428238);
    path146.lineTo(size.width * 0.5051000, size.height * 0.4420070);
    path146.close();

    Paint paint146fill = Paint()..style = PaintingStyle.fill;
    paint146fill.color = countryColors.mL ?? defaultCountryColor;
    canvas.drawPath(path146, paint146fill);

    Path path147 = Path();
    path147.moveTo(size.width * 0.7742000, size.height * 0.4249708);
    path147.lineTo(size.width * 0.7721500, size.height * 0.4298716);
    path147.lineTo(size.width * 0.7717500, size.height * 0.4325554);
    path147.lineTo(size.width * 0.7702500, size.height * 0.4343057);
    path147.lineTo(size.width * 0.7688500, size.height * 0.4375729);
    path147.lineTo(size.width * 0.7669000, size.height * 0.4379230);
    path147.lineTo(size.width * 0.7661500, size.height * 0.4459743);
    path147.lineTo(size.width * 0.7650500, size.height * 0.4473746);
    path147.lineTo(size.width * 0.7668000, size.height * 0.4539090);
    path147.lineTo(size.width * 0.7688500, size.height * 0.4593932);
    path147.lineTo(size.width * 0.7703000, size.height * 0.4644107);
    path147.lineTo(size.width * 0.7696000, size.height * 0.4708285);
    path147.lineTo(size.width * 0.7687000, size.height * 0.4722287);
    path147.lineTo(size.width * 0.7696000, size.height * 0.4759627);
    path147.lineTo(size.width * 0.7717500, size.height * 0.4819137);
    path147.lineTo(size.width * 0.7722500, size.height * 0.4861144);
    path147.lineTo(size.width * 0.7723500, size.height * 0.4896149);
    path147.lineTo(size.width * 0.7737000, size.height * 0.4964994);
    path147.lineTo(size.width * 0.7724000, size.height * 0.5035006);
    path147.lineTo(size.width * 0.7713000, size.height * 0.5112019);
    path147.lineTo(size.width * 0.7708500, size.height * 0.5056009);
    path147.lineTo(size.width * 0.7715000, size.height * 0.4998833);
    path147.lineTo(size.width * 0.7704000, size.height * 0.4954492);
    path147.lineTo(size.width * 0.7703000, size.height * 0.4872812);
    path147.lineTo(size.width * 0.7690000, size.height * 0.4833139);
    path147.lineTo(size.width * 0.7676500, size.height * 0.4744457);
    path147.lineTo(size.width * 0.7666500, size.height * 0.4649942);
    path147.lineTo(size.width * 0.7651000, size.height * 0.4586931);
    path147.lineTo(size.width * 0.7635000, size.height * 0.4625438);
    path147.lineTo(size.width * 0.7606000, size.height * 0.4677946);
    path147.lineTo(size.width * 0.7589500, size.height * 0.4672112);
    path147.lineTo(size.width * 0.7571500, size.height * 0.4654609);
    path147.lineTo(size.width * 0.7576000, size.height * 0.4561260);
    path147.lineTo(size.width * 0.7566000, size.height * 0.4491249);
    path147.lineTo(size.width * 0.7539500, size.height * 0.4404901);
    path147.lineTo(size.width * 0.7541000, size.height * 0.4378063);
    path147.lineTo(size.width * 0.7524000, size.height * 0.4367561);
    path147.lineTo(size.width * 0.7501000, size.height * 0.4306884);
    path147.lineTo(size.width * 0.7495500, size.height * 0.4246208);
    path147.lineTo(size.width * 0.7506000, size.height * 0.4257876);
    path147.lineTo(size.width * 0.7503000, size.height * 0.4204201);
    path147.lineTo(size.width * 0.7515500, size.height * 0.4186698);
    path147.lineTo(size.width * 0.7510500, size.height * 0.4155193);
    path147.lineTo(size.width * 0.7515500, size.height * 0.4129522);
    path147.lineTo(size.width * 0.7511000, size.height * 0.4051342);
    path147.lineTo(size.width * 0.7534000, size.height * 0.4068845);
    path147.lineTo(size.width * 0.7542000, size.height * 0.4007001);
    path147.lineTo(size.width * 0.7540500, size.height * 0.3970828);
    path147.lineTo(size.width * 0.7550500, size.height * 0.3907818);
    path147.lineTo(size.width * 0.7546000, size.height * 0.3864644);
    path147.lineTo(size.width * 0.7577000, size.height * 0.3813302);
    path147.lineTo(size.width * 0.7598000, size.height * 0.3826138);
    path147.lineTo(size.width * 0.7591000, size.height * 0.3780630);
    path147.lineTo(size.width * 0.7599500, size.height * 0.3766628);
    path147.lineTo(size.width * 0.7594500, size.height * 0.3738623);
    path147.lineTo(size.width * 0.7610000, size.height * 0.3732789);
    path147.lineTo(size.width * 0.7623500, size.height * 0.3777130);
    path147.lineTo(size.width * 0.7637000, size.height * 0.3794632);
    path147.lineTo(size.width * 0.7643500, size.height * 0.3851809);
    path147.lineTo(size.width * 0.7648000, size.height * 0.3913652);
    path147.lineTo(size.width * 0.7627000, size.height * 0.3976663);
    path147.lineTo(size.width * 0.7630500, size.height * 0.4065344);
    path147.lineTo(size.width * 0.7658500, size.height * 0.4052509);
    path147.lineTo(size.width * 0.7670500, size.height * 0.4121354);
    path147.lineTo(size.width * 0.7689000, size.height * 0.4136523);
    path147.lineTo(size.width * 0.7685000, size.height * 0.4198366);
    path147.lineTo(size.width * 0.7707500, size.height * 0.4226371);
    path147.lineTo(size.width * 0.7720500, size.height * 0.4240373);
    path147.lineTo(size.width * 0.7739500, size.height * 0.4218203);
    path147.lineTo(size.width * 0.7742000, size.height * 0.4249708);
    path147.close();

    Paint paint147fill = Paint()..style = PaintingStyle.fill;
    paint147fill.color = countryColors.mM ?? defaultCountryColor;
    canvas.drawPath(path147, paint147fill);

    Path path148 = Path();
    path148.moveTo(size.width * 0.5453000, size.height * 0.2651109);
    path148.lineTo(size.width * 0.5449000, size.height * 0.2667445);
    path148.lineTo(size.width * 0.5442000, size.height * 0.2674446);
    path148.lineTo(size.width * 0.5440000, size.height * 0.2660443);
    path148.lineTo(size.width * 0.5430500, size.height * 0.2696616);
    path148.lineTo(size.width * 0.5433000, size.height * 0.2721120);
    path148.lineTo(size.width * 0.5427500, size.height * 0.2715286);
    path148.lineTo(size.width * 0.5419000, size.height * 0.2690782);
    path148.lineTo(size.width * 0.5407500, size.height * 0.2675613);
    path148.lineTo(size.width * 0.5410000, size.height * 0.2663944);
    path148.lineTo(size.width * 0.5412000, size.height * 0.2623104);
    path148.lineTo(size.width * 0.5420000, size.height * 0.2605601);
    path148.lineTo(size.width * 0.5424500, size.height * 0.2598600);
    path148.lineTo(size.width * 0.5431500, size.height * 0.2611435);
    path148.lineTo(size.width * 0.5436000, size.height * 0.2621937);
    path148.lineTo(size.width * 0.5444500, size.height * 0.2630105);
    path148.lineTo(size.width * 0.5455000, size.height * 0.2645274);
    path148.lineTo(size.width * 0.5453000, size.height * 0.2651109);
    path148.close();

    Paint paint148fill = Paint()..style = PaintingStyle.fill;
    paint148fill.color = countryColors.mE ?? defaultCountryColor;
    canvas.drawPath(path148, paint148fill);

    Path path149 = Path();
    path149.moveTo(size.width * 0.7481000, size.height * 0.2117853);
    path149.lineTo(size.width * 0.7501000, size.height * 0.2103851);
    path149.lineTo(size.width * 0.7529500, size.height * 0.2094516);
    path149.lineTo(size.width * 0.7556500, size.height * 0.2105018);
    path149.lineTo(size.width * 0.7589500, size.height * 0.2138856);
    path149.lineTo(size.width * 0.7614000, size.height * 0.2176196);
    path149.lineTo(size.width * 0.7637000, size.height * 0.2176196);
    path149.lineTo(size.width * 0.7671000, size.height * 0.2187865);
    path149.lineTo(size.width * 0.7689000, size.height * 0.2169195);
    path149.lineTo(size.width * 0.7718500, size.height * 0.2157526);
    path149.lineTo(size.width * 0.7740500, size.height * 0.2106184);
    path149.lineTo(size.width * 0.7757500, size.height * 0.2114352);
    path149.lineTo(size.width * 0.7777000, size.height * 0.2138856);
    path149.lineTo(size.width * 0.7805000, size.height * 0.2131855);
    path149.lineTo(size.width * 0.7808000, size.height * 0.2186698);
    path149.lineTo(size.width * 0.7809500, size.height * 0.2260210);
    path149.lineTo(size.width * 0.7823500, size.height * 0.2289382);
    path149.lineTo(size.width * 0.7835000, size.height * 0.2280047);
    path149.lineTo(size.width * 0.7862500, size.height * 0.2291715);
    path149.lineTo(size.width * 0.7875000, size.height * 0.2264877);
    path149.lineTo(size.width * 0.7901000, size.height * 0.2288215);
    path149.lineTo(size.width * 0.7937000, size.height * 0.2339557);
    path149.lineTo(size.width * 0.7941000, size.height * 0.2365228);
    path149.lineTo(size.width * 0.7919000, size.height * 0.2357060);
    path149.lineTo(size.width * 0.7885000, size.height * 0.2366394);
    path149.lineTo(size.width * 0.7872500, size.height * 0.2387398);
    path149.lineTo(size.width * 0.7866000, size.height * 0.2436406);
    path149.lineTo(size.width * 0.7834000, size.height * 0.2464411);
    path149.lineTo(size.width * 0.7818000, size.height * 0.2504084);
    path149.lineTo(size.width * 0.7788500, size.height * 0.2488915);
    path149.lineTo(size.width * 0.7772500, size.height * 0.2481914);
    path149.lineTo(size.width * 0.7770000, size.height * 0.2529755);
    path149.lineTo(size.width * 0.7784500, size.height * 0.2557760);
    path149.lineTo(size.width * 0.7794000, size.height * 0.2582264);
    path149.lineTo(size.width * 0.7782000, size.height * 0.2607935);
    path149.lineTo(size.width * 0.7772000, size.height * 0.2647608);
    path149.lineTo(size.width * 0.7747500, size.height * 0.2673279);
    path149.lineTo(size.width * 0.7709500, size.height * 0.2675613);
    path149.lineTo(size.width * 0.7673500, size.height * 0.2701284);
    path149.lineTo(size.width * 0.7651500, size.height * 0.2740957);
    path149.lineTo(size.width * 0.7635000, size.height * 0.2718786);
    path149.lineTo(size.width * 0.7604000, size.height * 0.2718786);
    path149.lineTo(size.width * 0.7557000, size.height * 0.2673279);
    path149.lineTo(size.width * 0.7529000, size.height * 0.2662777);
    path149.lineTo(size.width * 0.7497000, size.height * 0.2673279);
    path149.lineTo(size.width * 0.7440500, size.height * 0.2655776);
    path149.lineTo(size.width * 0.7412500, size.height * 0.2658110);
    path149.lineTo(size.width * 0.7389000, size.height * 0.2613769);
    path149.lineTo(size.width * 0.7364000, size.height * 0.2546091);
    path149.lineTo(size.width * 0.7347000, size.height * 0.2537923);
    path149.lineTo(size.width * 0.7307000, size.height * 0.2491249);
    path149.lineTo(size.width * 0.7271000, size.height * 0.2481914);
    path149.lineTo(size.width * 0.7238500, size.height * 0.2469078);
    path149.lineTo(size.width * 0.7223500, size.height * 0.2436406);
    path149.lineTo(size.width * 0.7216500, size.height * 0.2351225);
    path149.lineTo(size.width * 0.7187500, size.height * 0.2291715);
    path149.lineTo(size.width * 0.7146500, size.height * 0.2264877);
    path149.lineTo(size.width * 0.7118000, size.height * 0.2226371);
    path149.lineTo(size.width * 0.7101500, size.height * 0.2175029);
    path149.lineTo(size.width * 0.7125000, size.height * 0.2162194);
    path149.lineTo(size.width * 0.7158500, size.height * 0.2100350);
    path149.lineTo(size.width * 0.7188000, size.height * 0.2066511);
    path149.lineTo(size.width * 0.7214500, size.height * 0.2088681);
    path149.lineTo(size.width * 0.7240500, size.height * 0.2089848);
    path149.lineTo(size.width * 0.7264500, size.height * 0.2123687);
    path149.lineTo(size.width * 0.7289500, size.height * 0.2126021);
    path149.lineTo(size.width * 0.7329500, size.height * 0.2144691);
    path149.lineTo(size.width * 0.7341500, size.height * 0.2093349);
    path149.lineTo(size.width * 0.7321500, size.height * 0.2051342);
    path149.lineTo(size.width * 0.7328000, size.height * 0.1976663);
    path149.lineTo(size.width * 0.7363000, size.height * 0.2005834);
    path149.lineTo(size.width * 0.7387000, size.height * 0.2015169);
    path149.lineTo(size.width * 0.7420500, size.height * 0.2033839);
    path149.lineTo(size.width * 0.7438500, size.height * 0.2087515);
    path149.lineTo(size.width * 0.7481000, size.height * 0.2117853);
    path149.close();

    Paint paint149fill = Paint()..style = PaintingStyle.fill;
    paint149fill.color = countryColors.mN ?? defaultCountryColor;
    canvas.drawPath(path149, paint149fill);

    Path path150 = Path();
    path150.moveTo(size.width * 0.5833500, size.height * 0.7858810);
    path150.lineTo(size.width * 0.5813000, size.height * 0.7858810);
    path150.lineTo(size.width * 0.5811500, size.height * 0.7824971);
    path150.lineTo(size.width * 0.5808500, size.height * 0.7791132);
    path150.lineTo(size.width * 0.5806500, size.height * 0.7764294);
    path150.lineTo(size.width * 0.5813500, size.height * 0.7681447);
    path150.lineTo(size.width * 0.5808000, size.height * 0.7627771);
    path150.lineTo(size.width * 0.5797000, size.height * 0.7522754);
    path150.lineTo(size.width * 0.5828000, size.height * 0.7437573);
    path150.lineTo(size.width * 0.5836500, size.height * 0.7383897);
    path150.lineTo(size.width * 0.5840500, size.height * 0.7376896);
    path150.lineTo(size.width * 0.5845000, size.height * 0.7332555);
    path150.lineTo(size.width * 0.5841000, size.height * 0.7310385);
    path150.lineTo(size.width * 0.5843000, size.height * 0.7254376);
    path150.lineTo(size.width * 0.5849500, size.height * 0.7203034);
    path150.lineTo(size.width * 0.5851500, size.height * 0.7107351);
    path150.lineTo(size.width * 0.5837500, size.height * 0.7084014);
    path150.lineTo(size.width * 0.5824000, size.height * 0.7078180);
    path150.lineTo(size.width * 0.5818500, size.height * 0.7059510);
    path150.lineTo(size.width * 0.5805500, size.height * 0.7044341);
    path150.lineTo(size.width * 0.5782000, size.height * 0.7045508);
    path150.lineTo(size.width * 0.5781000, size.height * 0.7017503);
    path150.lineTo(size.width * 0.5779000, size.height * 0.6963827);
    path150.lineTo(size.width * 0.5865000, size.height * 0.6901984);
    path150.lineTo(size.width * 0.5881000, size.height * 0.6938156);
    path150.lineTo(size.width * 0.5888500, size.height * 0.6931155);
    path150.lineTo(size.width * 0.5899500, size.height * 0.6949825);
    path150.lineTo(size.width * 0.5900500, size.height * 0.6980163);
    path150.lineTo(size.width * 0.5894000, size.height * 0.7015169);
    path150.lineTo(size.width * 0.5895000, size.height * 0.7067678);
    path150.lineTo(size.width * 0.5912500, size.height * 0.7114352);
    path150.lineTo(size.width * 0.5922000, size.height * 0.7061844);
    path150.lineTo(size.width * 0.5934500, size.height * 0.7046674);
    path150.lineTo(size.width * 0.5934000, size.height * 0.6949825);
    path150.lineTo(size.width * 0.5923000, size.height * 0.6896149);
    path150.lineTo(size.width * 0.5913500, size.height * 0.6871645);
    path150.lineTo(size.width * 0.5911500, size.height * 0.6871645);
    path150.lineTo(size.width * 0.5908500, size.height * 0.6786464);
    path150.lineTo(size.width * 0.5916000, size.height * 0.6715286);
    path150.lineTo(size.width * 0.5927000, size.height * 0.6712952);
    path150.lineTo(size.width * 0.5960500, size.height * 0.6733956);
    path150.lineTo(size.width * 0.5968000, size.height * 0.6724621);
    path150.lineTo(size.width * 0.5987500, size.height * 0.6722287);
    path150.lineTo(size.width * 0.5998000, size.height * 0.6700117);
    path150.lineTo(size.width * 0.6015000, size.height * 0.6701284);
    path150.lineTo(size.width * 0.6046000, size.height * 0.6672112);
    path150.lineTo(size.width * 0.6069000, size.height * 0.6628938);
    path150.lineTo(size.width * 0.6073500, size.height * 0.6661610);
    path150.lineTo(size.width * 0.6071000, size.height * 0.6736289);
    path150.lineTo(size.width * 0.6073500, size.height * 0.6802800);
    path150.lineTo(size.width * 0.6072500, size.height * 0.6919487);
    path150.lineTo(size.width * 0.6076500, size.height * 0.6955659);
    path150.lineTo(size.width * 0.6067000, size.height * 0.7009335);
    path150.lineTo(size.width * 0.6055000, size.height * 0.7061844);
    path150.lineTo(size.width * 0.6036500, size.height * 0.7108518);
    path150.lineTo(size.width * 0.6010000, size.height * 0.7136523);
    path150.lineTo(size.width * 0.5977500, size.height * 0.7172695);
    path150.lineTo(size.width * 0.5944500, size.height * 0.7253209);
    path150.lineTo(size.width * 0.5933500, size.height * 0.7267211);
    path150.lineTo(size.width * 0.5912500, size.height * 0.7320887);
    path150.lineTo(size.width * 0.5901000, size.height * 0.7337223);
    path150.lineTo(size.width * 0.5897000, size.height * 0.7390898);
    path150.lineTo(size.width * 0.5909000, size.height * 0.7448075);
    path150.lineTo(size.width * 0.5913500, size.height * 0.7491249);
    path150.lineTo(size.width * 0.5913500, size.height * 0.7514586);
    path150.lineTo(size.width * 0.5918500, size.height * 0.7509918);
    path150.lineTo(size.width * 0.5916000, size.height * 0.7583431);
    path150.lineTo(size.width * 0.5910500, size.height * 0.7618436);
    path150.lineTo(size.width * 0.5916500, size.height * 0.7631272);
    path150.lineTo(size.width * 0.5911500, size.height * 0.7662777);
    path150.lineTo(size.width * 0.5899500, size.height * 0.7689615);
    path150.lineTo(size.width * 0.5876000, size.height * 0.7714119);
    path150.lineTo(size.width * 0.5841500, size.height * 0.7754959);
    path150.lineTo(size.width * 0.5829000, size.height * 0.7782964);
    path150.lineTo(size.width * 0.5830500, size.height * 0.7814469);
    path150.lineTo(size.width * 0.5837000, size.height * 0.7819137);
    path150.lineTo(size.width * 0.5833500, size.height * 0.7858810);
    path150.close();

    Paint paint150fill = Paint()..style = PaintingStyle.fill;
    paint150fill.color = countryColors.mZ ?? defaultCountryColor;
    canvas.drawPath(path150, paint150fill);

    Path path151 = Path();
    path151.moveTo(size.width * 0.4796000, size.height * 0.3984831);
    path151.lineTo(size.width * 0.4753500, size.height * 0.3985998);
    path151.lineTo(size.width * 0.4765500, size.height * 0.4309218);
    path151.lineTo(size.width * 0.4778000, size.height * 0.4632439);
    path151.lineTo(size.width * 0.4783000, size.height * 0.4641774);
    path151.lineTo(size.width * 0.4776500, size.height * 0.4694282);
    path151.lineTo(size.width * 0.4664000, size.height * 0.4695449);
    path151.lineTo(size.width * 0.4659500, size.height * 0.4711785);
    path151.lineTo(size.width * 0.4649000, size.height * 0.4707118);
    path151.lineTo(size.width * 0.4633000, size.height * 0.4722287);
    path151.lineTo(size.width * 0.4613500, size.height * 0.4701284);
    path151.lineTo(size.width * 0.4604500, size.height * 0.4702450);
    path151.lineTo(size.width * 0.4599500, size.height * 0.4746791);
    path151.lineTo(size.width * 0.4590000, size.height * 0.4760793);
    path151.lineTo(size.width * 0.4572000, size.height * 0.4709452);
    path151.lineTo(size.width * 0.4555000, size.height * 0.4653442);
    path151.lineTo(size.width * 0.4537000, size.height * 0.4633606);
    path151.lineTo(size.width * 0.4523500, size.height * 0.4612602);
    path151.lineTo(size.width * 0.4508000, size.height * 0.4612602);
    path151.lineTo(size.width * 0.4494000, size.height * 0.4628938);
    path151.lineTo(size.width * 0.4480500, size.height * 0.4623104);
    path151.lineTo(size.width * 0.4470500, size.height * 0.4646441);
    path151.lineTo(size.width * 0.4468500, size.height * 0.4606768);
    path151.lineTo(size.width * 0.4476500, size.height * 0.4569428);
    path151.lineTo(size.width * 0.4480500, size.height * 0.4499417);
    path151.lineTo(size.width * 0.4478500, size.height * 0.4424737);
    path151.lineTo(size.width * 0.4475500, size.height * 0.4387398);
    path151.lineTo(size.width * 0.4478500, size.height * 0.4350058);
    path151.lineTo(size.width * 0.4471500, size.height * 0.4315053);
    path151.lineTo(size.width * 0.4457500, size.height * 0.4282380);
    path151.lineTo(size.width * 0.4464000, size.height * 0.4257876);
    path151.lineTo(size.width * 0.4572500, size.height * 0.4257876);
    path151.lineTo(size.width * 0.4568000, size.height * 0.4149358);
    path151.lineTo(size.width * 0.4575500, size.height * 0.4110852);
    path151.lineTo(size.width * 0.4601500, size.height * 0.4105018);
    path151.lineTo(size.width * 0.4602500, size.height * 0.3912485);
    path151.lineTo(size.width * 0.4692500, size.height * 0.3917153);
    path151.lineTo(size.width * 0.4693500, size.height * 0.3802800);
    path151.lineTo(size.width * 0.4796000, size.height * 0.3984831);
    path151.close();

    Paint paint151fill = Paint()..style = PaintingStyle.fill;
    paint151fill.color = countryColors.mR ?? defaultCountryColor;
    canvas.drawPath(path151, paint151fill);

    Path path152 = Path();
    path152.moveTo(size.width * 0.5911500, size.height * 0.6871645);
    path152.lineTo(size.width * 0.5913500, size.height * 0.6871645);
    path152.lineTo(size.width * 0.5923000, size.height * 0.6896149);
    path152.lineTo(size.width * 0.5934000, size.height * 0.6949825);
    path152.lineTo(size.width * 0.5934500, size.height * 0.7046674);
    path152.lineTo(size.width * 0.5922000, size.height * 0.7061844);
    path152.lineTo(size.width * 0.5912500, size.height * 0.7114352);
    path152.lineTo(size.width * 0.5895000, size.height * 0.7067678);
    path152.lineTo(size.width * 0.5894000, size.height * 0.7015169);
    path152.lineTo(size.width * 0.5900500, size.height * 0.6980163);
    path152.lineTo(size.width * 0.5899500, size.height * 0.6949825);
    path152.lineTo(size.width * 0.5888500, size.height * 0.6931155);
    path152.lineTo(size.width * 0.5881000, size.height * 0.6938156);
    path152.lineTo(size.width * 0.5865000, size.height * 0.6901984);
    path152.lineTo(size.width * 0.5850500, size.height * 0.6883314);
    path152.lineTo(size.width * 0.5860500, size.height * 0.6813302);
    path152.lineTo(size.width * 0.5869500, size.height * 0.6787631);
    path152.lineTo(size.width * 0.5865000, size.height * 0.6724621);
    path152.lineTo(size.width * 0.5871500, size.height * 0.6663944);
    path152.lineTo(size.width * 0.5876500, size.height * 0.6644107);
    path152.lineTo(size.width * 0.5870000, size.height * 0.6581097);
    path152.lineTo(size.width * 0.5857000, size.height * 0.6547258);
    path152.lineTo(size.width * 0.5884500, size.height * 0.6561260);
    path152.lineTo(size.width * 0.5889500, size.height * 0.6581097);
    path152.lineTo(size.width * 0.5889000, size.height * 0.6590432);
    path152.lineTo(size.width * 0.5898000, size.height * 0.6638273);
    path152.lineTo(size.width * 0.5899000, size.height * 0.6728121);
    path152.lineTo(size.width * 0.5890000, size.height * 0.6770128);
    path152.lineTo(size.width * 0.5898000, size.height * 0.6824971);
    path152.lineTo(size.width * 0.5897000, size.height * 0.6857643);
    path152.lineTo(size.width * 0.5903000, size.height * 0.6879813);
    path152.lineTo(size.width * 0.5902500, size.height * 0.6907818);
    path152.lineTo(size.width * 0.5907000, size.height * 0.6924154);
    path152.lineTo(size.width * 0.5912000, size.height * 0.6905484);
    path152.lineTo(size.width * 0.5921500, size.height * 0.6934656);
    path152.lineTo(size.width * 0.5922500, size.height * 0.6925321);
    path152.lineTo(size.width * 0.5917500, size.height * 0.6885648);
    path152.lineTo(size.width * 0.5912000, size.height * 0.6882147);
    path152.lineTo(size.width * 0.5911500, size.height * 0.6871645);
    path152.close();

    Paint paint152fill = Paint()..style = PaintingStyle.fill;
    paint152fill.color = countryColors.mW ?? defaultCountryColor;
    canvas.drawPath(path152, paint152fill);

    Path path153 = Path();
    path153.moveTo(size.width * 0.7821500, size.height * 0.5389732);
    path153.lineTo(size.width * 0.7828500, size.height * 0.5396733);
    path153.lineTo(size.width * 0.7846000, size.height * 0.5442240);
    path153.lineTo(size.width * 0.7858500, size.height * 0.5492415);
    path153.lineTo(size.width * 0.7861500, size.height * 0.5542590);
    path153.lineTo(size.width * 0.7859000, size.height * 0.5576429);
    path153.lineTo(size.width * 0.7862000, size.height * 0.5602100);
    path153.lineTo(size.width * 0.7864500, size.height * 0.5646441);
    path153.lineTo(size.width * 0.7875000, size.height * 0.5667445);
    path153.lineTo(size.width * 0.7886500, size.height * 0.5733956);
    path153.lineTo(size.width * 0.7886500, size.height * 0.5758460);
    path153.lineTo(size.width * 0.7866500, size.height * 0.5764294);
    path153.lineTo(size.width * 0.7839000, size.height * 0.5708285);
    path153.lineTo(size.width * 0.7805000, size.height * 0.5648775);
    path153.lineTo(size.width * 0.7801000, size.height * 0.5610268);
    path153.lineTo(size.width * 0.7784000, size.height * 0.5560093);
    path153.lineTo(size.width * 0.7779000, size.height * 0.5498250);
    path153.lineTo(size.width * 0.7768000, size.height * 0.5457410);
    path153.lineTo(size.width * 0.7770000, size.height * 0.5402567);
    path153.lineTo(size.width * 0.7763000, size.height * 0.5371062);
    path153.lineTo(size.width * 0.7767500, size.height * 0.5358226);
    path153.lineTo(size.width * 0.7791500, size.height * 0.5390898);
    path153.lineTo(size.width * 0.7794500, size.height * 0.5429405);
    path153.lineTo(size.width * 0.7813000, size.height * 0.5420070);
    path153.lineTo(size.width * 0.7821500, size.height * 0.5389732);
    path153.close();

    Paint paint153fill = Paint()..style = PaintingStyle.fill;
    paint153fill.color = countryColors.mY ?? defaultCountryColor;
    canvas.drawPath(path153, paint153fill);

    Path path154 = Path();
    path154.moveTo(size.width * 0.8270500, size.height * 0.5546091);
    path154.lineTo(size.width * 0.8245500, size.height * 0.5533256);
    path154.lineTo(size.width * 0.8213000, size.height * 0.5533256);
    path154.lineTo(size.width * 0.8204500, size.height * 0.5618436);
    path154.lineTo(size.width * 0.8194000, size.height * 0.5644107);
    path154.lineTo(size.width * 0.8181000, size.height * 0.5747958);
    path154.lineTo(size.width * 0.8158000, size.height * 0.5764294);
    path154.lineTo(size.width * 0.8131000, size.height * 0.5743291);
    path154.lineTo(size.width * 0.8117500, size.height * 0.5750292);
    path154.lineTo(size.width * 0.8101000, size.height * 0.5787631);
    path154.lineTo(size.width * 0.8083000, size.height * 0.5782964);
    path154.lineTo(size.width * 0.8064500, size.height * 0.5798133);
    path154.lineTo(size.width * 0.8045000, size.height * 0.5754959);
    path154.lineTo(size.width * 0.8040000, size.height * 0.5704784);
    path154.lineTo(size.width * 0.8061000, size.height * 0.5730455);
    path154.lineTo(size.width * 0.8082500, size.height * 0.5716453);
    path154.lineTo(size.width * 0.8087500, size.height * 0.5653442);
    path154.lineTo(size.width * 0.8099500, size.height * 0.5639440);
    path154.lineTo(size.width * 0.8133500, size.height * 0.5623104);
    path154.lineTo(size.width * 0.8152500, size.height * 0.5563594);
    path154.lineTo(size.width * 0.8165500, size.height * 0.5516919);
    path154.lineTo(size.width * 0.8179500, size.height * 0.5555426);
    path154.lineTo(size.width * 0.8185000, size.height * 0.5529755);
    path154.lineTo(size.width * 0.8198500, size.height * 0.5532089);
    path154.lineTo(size.width * 0.8199000, size.height * 0.5484247);
    path154.lineTo(size.width * 0.8199500, size.height * 0.5446908);
    path154.lineTo(size.width * 0.8220000, size.height * 0.5395566);
    path154.lineTo(size.width * 0.8233000, size.height * 0.5337223);
    path154.lineTo(size.width * 0.8244500, size.height * 0.5336056);
    path154.lineTo(size.width * 0.8260000, size.height * 0.5374562);
    path154.lineTo(size.width * 0.8262000, size.height * 0.5407235);
    path154.lineTo(size.width * 0.8281000, size.height * 0.5428238);
    path154.lineTo(size.width * 0.8305000, size.height * 0.5450408);
    path154.lineTo(size.width * 0.8304000, size.height * 0.5479580);
    path154.lineTo(size.width * 0.8285000, size.height * 0.5483081);
    path154.lineTo(size.width * 0.8290500, size.height * 0.5520420);
    path154.lineTo(size.width * 0.8270500, size.height * 0.5546091);
    path154.close();

    Paint paint154fill = Paint()..style = PaintingStyle.fill;
    paint154fill.color = countryColors.mY ?? defaultCountryColor;
    canvas.drawPath(path154, paint154fill);

    Path path155 = Path();
    path155.moveTo(size.width * 0.5581000, size.height * 0.7168028);
    path155.lineTo(size.width * 0.5604000, size.height * 0.7151692);
    path155.lineTo(size.width * 0.5622000, size.height * 0.7155193);
    path155.lineTo(size.width * 0.5633000, size.height * 0.7172695);
    path155.lineTo(size.width * 0.5633000, size.height * 0.7178530);
    path155.lineTo(size.width * 0.5617000, size.height * 0.7196033);
    path155.lineTo(size.width * 0.5608500, size.height * 0.7196033);
    path155.lineTo(size.width * 0.5590000, size.height * 0.7225204);
    path155.lineTo(size.width * 0.5580000, size.height * 0.7193699);
    path155.lineTo(size.width * 0.5536500, size.height * 0.7220537);
    path155.lineTo(size.width * 0.5515500, size.height * 0.7222870);
    path155.lineTo(size.width * 0.5511500, size.height * 0.7490082);
    path155.lineTo(size.width * 0.5484000, size.height * 0.7492415);
    path155.lineTo(size.width * 0.5481000, size.height * 0.7710618);
    path155.lineTo(size.width * 0.5475500, size.height * 0.7987165);
    path155.lineTo(size.width * 0.5450500, size.height * 0.8025671);
    path155.lineTo(size.width * 0.5436000, size.height * 0.8031505);
    path155.lineTo(size.width * 0.5419000, size.height * 0.8017503);
    path155.lineTo(size.width * 0.5406500, size.height * 0.8011669);
    path155.lineTo(size.width * 0.5402500, size.height * 0.7980163);
    path155.lineTo(size.width * 0.5392500, size.height * 0.7959160);
    path155.lineTo(size.width * 0.5378500, size.height * 0.7996499);
    path155.lineTo(size.width * 0.5359000, size.height * 0.7939323);
    path155.lineTo(size.width * 0.5349000, size.height * 0.7885648);
    path155.lineTo(size.width * 0.5344000, size.height * 0.7812135);
    path155.lineTo(size.width * 0.5338000, size.height * 0.7758460);
    path155.lineTo(size.width * 0.5330000, size.height * 0.7642940);
    path155.lineTo(size.width * 0.5330500, size.height * 0.7553092);
    path155.lineTo(size.width * 0.5327500, size.height * 0.7512252);
    path155.lineTo(size.width * 0.5317000, size.height * 0.7480747);
    path155.lineTo(size.width * 0.5303000, size.height * 0.7418903);
    path155.lineTo(size.width * 0.5289000, size.height * 0.7329055);
    path155.lineTo(size.width * 0.5283500, size.height * 0.7282380);
    path155.lineTo(size.width * 0.5261500, size.height * 0.7208868);
    path155.lineTo(size.width * 0.5260000, size.height * 0.7151692);
    path155.lineTo(size.width * 0.5273500, size.height * 0.7137690);
    path155.lineTo(size.width * 0.5290500, size.height * 0.7124854);
    path155.lineTo(size.width * 0.5308500, size.height * 0.7127188);
    path155.lineTo(size.width * 0.5325000, size.height * 0.7161027);
    path155.lineTo(size.width * 0.5329000, size.height * 0.7155193);
    path155.lineTo(size.width * 0.5442500, size.height * 0.7152859);
    path155.lineTo(size.width * 0.5461500, size.height * 0.7187865);
    path155.lineTo(size.width * 0.5529000, size.height * 0.7198366);
    path155.lineTo(size.width * 0.5581000, size.height * 0.7168028);
    path155.close();

    Paint paint155fill = Paint()..style = PaintingStyle.fill;
    paint155fill.color = countryColors.nA ?? defaultCountryColor;
    canvas.drawPath(path155, paint155fill);

    Path path156 = Path();
    path156.moveTo(size.width * 0.5343000, size.height * 0.4142357);
    path156.lineTo(size.width * 0.5351000, size.height * 0.4259043);
    path156.lineTo(size.width * 0.5362000, size.height * 0.4278880);
    path156.lineTo(size.width * 0.5362500, size.height * 0.4302217);
    path156.lineTo(size.width * 0.5374500, size.height * 0.4327888);
    path156.lineTo(size.width * 0.5368500, size.height * 0.4360560);
    path156.lineTo(size.width * 0.5359500, size.height * 0.4512252);
    path156.lineTo(size.width * 0.5358500, size.height * 0.4610268);
    path156.lineTo(size.width * 0.5323500, size.height * 0.4680280);
    path156.lineTo(size.width * 0.5312000, size.height * 0.4779463);
    path156.lineTo(size.width * 0.5324000, size.height * 0.4807468);
    path156.lineTo(size.width * 0.5324000, size.height * 0.4855309);
    path156.lineTo(size.width * 0.5342500, size.height * 0.4856476);
    path156.lineTo(size.width * 0.5339500, size.height * 0.4892649);
    path156.lineTo(size.width * 0.5332000, size.height * 0.4896149);
    path156.lineTo(size.width * 0.5331000, size.height * 0.4920653);
    path156.lineTo(size.width * 0.5326000, size.height * 0.4921820);
    path156.lineTo(size.width * 0.5306500, size.height * 0.4840140);
    path156.lineTo(size.width * 0.5299500, size.height * 0.4836639);
    path156.lineTo(size.width * 0.5278000, size.height * 0.4878646);
    path156.lineTo(size.width * 0.5256000, size.height * 0.4856476);
    path156.lineTo(size.width * 0.5241000, size.height * 0.4852975);
    path156.lineTo(size.width * 0.5233000, size.height * 0.4863477);
    path156.lineTo(size.width * 0.5216500, size.height * 0.4861144);
    path156.lineTo(size.width * 0.5200000, size.height * 0.4892649);
    path156.lineTo(size.width * 0.5185500, size.height * 0.4894982);
    path156.lineTo(size.width * 0.5151500, size.height * 0.4856476);
    path156.lineTo(size.width * 0.5138000, size.height * 0.4873979);
    path156.lineTo(size.width * 0.5123500, size.height * 0.4872812);
    path156.lineTo(size.width * 0.5113000, size.height * 0.4844807);
    path156.lineTo(size.width * 0.5085000, size.height * 0.4816803);
    path156.lineTo(size.width * 0.5054500, size.height * 0.4826138);
    path156.lineTo(size.width * 0.5047500, size.height * 0.4841307);
    path156.lineTo(size.width * 0.5043500, size.height * 0.4884481);
    path156.lineTo(size.width * 0.5035500, size.height * 0.4914819);
    path156.lineTo(size.width * 0.5033500, size.height * 0.4982497);
    path156.lineTo(size.width * 0.5012000, size.height * 0.4939323);
    path156.lineTo(size.width * 0.5002000, size.height * 0.4939323);
    path156.lineTo(size.width * 0.4992500, size.height * 0.4961494);
    path156.lineTo(size.width * 0.4993000, size.height * 0.4910152);
    path156.lineTo(size.width * 0.4960500, size.height * 0.4892649);
    path156.lineTo(size.width * 0.4959500, size.height * 0.4856476);
    path156.lineTo(size.width * 0.4944000, size.height * 0.4807468);
    path156.lineTo(size.width * 0.4940000, size.height * 0.4773629);
    path156.lineTo(size.width * 0.4942500, size.height * 0.4737456);
    path156.lineTo(size.width * 0.4960500, size.height * 0.4733956);
    path156.lineTo(size.width * 0.4970500, size.height * 0.4707118);
    path156.lineTo(size.width * 0.5009000, size.height * 0.4701284);
    path156.lineTo(size.width * 0.5034000, size.height * 0.4689615);
    path156.lineTo(size.width * 0.5036000, size.height * 0.4642940);
    path156.lineTo(size.width * 0.5051500, size.height * 0.4592765);
    path156.lineTo(size.width * 0.5051000, size.height * 0.4420070);
    path156.lineTo(size.width * 0.5090000, size.height * 0.4387398);
    path156.lineTo(size.width * 0.5170000, size.height * 0.4240373);
    path156.lineTo(size.width * 0.5264000, size.height * 0.4096849);
    path156.lineTo(size.width * 0.5308000, size.height * 0.4129522);
    path156.lineTo(size.width * 0.5324000, size.height * 0.4170362);
    path156.lineTo(size.width * 0.5343000, size.height * 0.4142357);
    path156.close();

    Paint paint156fill = Paint()..style = PaintingStyle.fill;
    paint156fill.color = countryColors.nE ?? defaultCountryColor;
    canvas.drawPath(path156, paint156fill);

    Path path157 = Path();
    path157.moveTo(size.width * 0.5331000, size.height * 0.4920653);
    path157.lineTo(size.width * 0.5342500, size.height * 0.4949825);
    path157.lineTo(size.width * 0.5339500, size.height * 0.4963827);
    path157.lineTo(size.width * 0.5338000, size.height * 0.4988331);
    path157.lineTo(size.width * 0.5314500, size.height * 0.5046674);
    path157.lineTo(size.width * 0.5307500, size.height * 0.5094516);
    path157.lineTo(size.width * 0.5303500, size.height * 0.5133022);
    path157.lineTo(size.width * 0.5297500, size.height * 0.5150525);
    path157.lineTo(size.width * 0.5292000, size.height * 0.5203034);
    path157.lineTo(size.width * 0.5277000, size.height * 0.5233372);
    path157.lineTo(size.width * 0.5273000, size.height * 0.5270712);
    path157.lineTo(size.width * 0.5266500, size.height * 0.5301050);
    path157.lineTo(size.width * 0.5264000, size.height * 0.5332555);
    path157.lineTo(size.width * 0.5244500, size.height * 0.5358226);
    path157.lineTo(size.width * 0.5228500, size.height * 0.5326721);
    path157.lineTo(size.width * 0.5218000, size.height * 0.5327888);
    path157.lineTo(size.width * 0.5201000, size.height * 0.5372229);
    path157.lineTo(size.width * 0.5193000, size.height * 0.5372229);
    path157.lineTo(size.width * 0.5179500, size.height * 0.5444574);
    path157.lineTo(size.width * 0.5172500, size.height * 0.5498250);
    path157.lineTo(size.width * 0.5143000, size.height * 0.5525088);
    path157.lineTo(size.width * 0.5132500, size.height * 0.5521587);
    path157.lineTo(size.width * 0.5121500, size.height * 0.5537923);
    path157.lineTo(size.width * 0.5099000, size.height * 0.5536756);
    path157.lineTo(size.width * 0.5083500, size.height * 0.5488915);
    path157.lineTo(size.width * 0.5074000, size.height * 0.5435239);
    path157.lineTo(size.width * 0.5054000, size.height * 0.5386231);
    path157.lineTo(size.width * 0.5033000, size.height * 0.5386231);
    path157.lineTo(size.width * 0.5008000, size.height * 0.5386231);
    path157.lineTo(size.width * 0.5009500, size.height * 0.5266044);
    path157.lineTo(size.width * 0.5008500, size.height * 0.5218203);
    path157.lineTo(size.width * 0.5014000, size.height * 0.5171529);
    path157.lineTo(size.width * 0.5022500, size.height * 0.5148191);
    path157.lineTo(size.width * 0.5036500, size.height * 0.5101517);
    path157.lineTo(size.width * 0.5033500, size.height * 0.5081680);
    path157.lineTo(size.width * 0.5039000, size.height * 0.5051342);
    path157.lineTo(size.width * 0.5032500, size.height * 0.5007001);
    path157.lineTo(size.width * 0.5033500, size.height * 0.4982497);
    path157.lineTo(size.width * 0.5035500, size.height * 0.4914819);
    path157.lineTo(size.width * 0.5043500, size.height * 0.4884481);
    path157.lineTo(size.width * 0.5047500, size.height * 0.4841307);
    path157.lineTo(size.width * 0.5054500, size.height * 0.4826138);
    path157.lineTo(size.width * 0.5085000, size.height * 0.4816803);
    path157.lineTo(size.width * 0.5113000, size.height * 0.4844807);
    path157.lineTo(size.width * 0.5123500, size.height * 0.4872812);
    path157.lineTo(size.width * 0.5138000, size.height * 0.4873979);
    path157.lineTo(size.width * 0.5151500, size.height * 0.4856476);
    path157.lineTo(size.width * 0.5185500, size.height * 0.4894982);
    path157.lineTo(size.width * 0.5200000, size.height * 0.4892649);
    path157.lineTo(size.width * 0.5216500, size.height * 0.4861144);
    path157.lineTo(size.width * 0.5233000, size.height * 0.4863477);
    path157.lineTo(size.width * 0.5241000, size.height * 0.4852975);
    path157.lineTo(size.width * 0.5256000, size.height * 0.4856476);
    path157.lineTo(size.width * 0.5278000, size.height * 0.4878646);
    path157.lineTo(size.width * 0.5299500, size.height * 0.4836639);
    path157.lineTo(size.width * 0.5306500, size.height * 0.4840140);
    path157.lineTo(size.width * 0.5326000, size.height * 0.4921820);
    path157.lineTo(size.width * 0.5331000, size.height * 0.4920653);
    path157.close();

    Paint paint157fill = Paint()..style = PaintingStyle.fill;
    paint157fill.color = countryColors.nG ?? defaultCountryColor;
    canvas.drawPath(path157, paint157fill);

    Path path158 = Path();
    path158.moveTo(size.width * 0.2598000, size.height * 0.4731622);
    path158.lineTo(size.width * 0.2595500, size.height * 0.4739790);
    path158.lineTo(size.width * 0.2593000, size.height * 0.4756126);
    path158.lineTo(size.width * 0.2595000, size.height * 0.4782964);
    path158.lineTo(size.width * 0.2587500, size.height * 0.4808635);
    path158.lineTo(size.width * 0.2583500, size.height * 0.4838973);
    path158.lineTo(size.width * 0.2581000, size.height * 0.4871645);
    path158.lineTo(size.width * 0.2582000, size.height * 0.4891482);
    path158.lineTo(size.width * 0.2581500, size.height * 0.4925321);
    path158.lineTo(size.width * 0.2577000, size.height * 0.4932322);
    path158.lineTo(size.width * 0.2573500, size.height * 0.4964994);
    path158.lineTo(size.width * 0.2574500, size.height * 0.4984831);
    path158.lineTo(size.width * 0.2568500, size.height * 0.5003501);
    path158.lineTo(size.width * 0.2569000, size.height * 0.5023337);
    path158.lineTo(size.width * 0.2573000, size.height * 0.5036173);
    path158.lineTo(size.width * 0.2566000, size.height * 0.5052509);
    path158.lineTo(size.width * 0.2557500, size.height * 0.5046674);
    path158.lineTo(size.width * 0.2553500, size.height * 0.5031505);
    path158.lineTo(size.width * 0.2544500, size.height * 0.5025671);
    path158.lineTo(size.width * 0.2538000, size.height * 0.5035006);
    path158.lineTo(size.width * 0.2520000, size.height * 0.5015169);
    path158.lineTo(size.width * 0.2515500, size.height * 0.5024504);
    path158.lineTo(size.width * 0.2506500, size.height * 0.5001167);
    path158.lineTo(size.width * 0.2494000, size.height * 0.4970828);
    path158.lineTo(size.width * 0.2488500, size.height * 0.4946324);
    path158.lineTo(size.width * 0.2477500, size.height * 0.4921820);
    path158.lineTo(size.width * 0.2465000, size.height * 0.4887981);
    path158.lineTo(size.width * 0.2468500, size.height * 0.4876313);
    path158.lineTo(size.width * 0.2472500, size.height * 0.4887981);
    path158.lineTo(size.width * 0.2475000, size.height * 0.4883314);
    path158.lineTo(size.width * 0.2484000, size.height * 0.4879813);
    path158.lineTo(size.width * 0.2488000, size.height * 0.4862310);
    path158.lineTo(size.width * 0.2492000, size.height * 0.4862310);
    path158.lineTo(size.width * 0.2493000, size.height * 0.4824971);
    path158.lineTo(size.width * 0.2499500, size.height * 0.4823804);
    path158.lineTo(size.width * 0.2505500, size.height * 0.4823804);
    path158.lineTo(size.width * 0.2512500, size.height * 0.4803967);
    path158.lineTo(size.width * 0.2520000, size.height * 0.4819137);
    path158.lineTo(size.width * 0.2523000, size.height * 0.4809802);
    path158.lineTo(size.width * 0.2529000, size.height * 0.4800467);
    path158.lineTo(size.width * 0.2539500, size.height * 0.4780630);
    path158.lineTo(size.width * 0.2540500, size.height * 0.4764294);
    path158.lineTo(size.width * 0.2543000, size.height * 0.4765461);
    path158.lineTo(size.width * 0.2547500, size.height * 0.4747958);
    path158.lineTo(size.width * 0.2550500, size.height * 0.4745624);
    path158.lineTo(size.width * 0.2555000, size.height * 0.4757293);
    path158.lineTo(size.width * 0.2560500, size.height * 0.4759627);
    path158.lineTo(size.width * 0.2567000, size.height * 0.4750292);
    path158.lineTo(size.width * 0.2574000, size.height * 0.4750292);
    path158.lineTo(size.width * 0.2584000, size.height * 0.4740957);
    path158.lineTo(size.width * 0.2588500, size.height * 0.4730455);
    path158.lineTo(size.width * 0.2598000, size.height * 0.4731622);
    path158.close();

    Paint paint158fill = Paint()..style = PaintingStyle.fill;
    paint158fill.color = countryColors.nI ?? defaultCountryColor;
    canvas.drawPath(path158, paint158fill);

    Path path159 = Path();
    path159.moveTo(size.width * 0.5568500, size.height * 0.07876313);
    path159.lineTo(size.width * 0.5536500, size.height * 0.08121354);
    path159.lineTo(size.width * 0.5520500, size.height * 0.08179697);
    path159.lineTo(size.width * 0.5524500, size.height * 0.07736289);
    path159.lineTo(size.width * 0.5495500, size.height * 0.07491249);
    path159.lineTo(size.width * 0.5466000, size.height * 0.07701284);
    path159.lineTo(size.width * 0.5460500, size.height * 0.08168028);
    path159.lineTo(size.width * 0.5443500, size.height * 0.08448075);
    path159.lineTo(size.width * 0.5420000, size.height * 0.08296383);
    path159.lineTo(size.width * 0.5393500, size.height * 0.08319720);
    path159.lineTo(size.width * 0.5368000, size.height * 0.07992999);
    path159.lineTo(size.width * 0.5357000, size.height * 0.08156359);
    path159.lineTo(size.width * 0.5344000, size.height * 0.08179697);
    path159.lineTo(size.width * 0.5344500, size.height * 0.08599767);
    path159.lineTo(size.width * 0.5304500, size.height * 0.08494749);
    path159.lineTo(size.width * 0.5301500, size.height * 0.08856476);
    path159.lineTo(size.width * 0.5281500, size.height * 0.08856476);
    path159.lineTo(size.width * 0.5270000, size.height * 0.09311552);
    path159.lineTo(size.width * 0.5253000, size.height * 0.1002334);
    path159.lineTo(size.width * 0.5224500, size.height * 0.1094516);
    path159.lineTo(size.width * 0.5233500, size.height * 0.1117853);
    path159.lineTo(size.width * 0.5227000, size.height * 0.1143524);
    path159.lineTo(size.width * 0.5205500, size.height * 0.1142357);
    path159.lineTo(size.width * 0.5193500, size.height * 0.1205368);
    path159.lineTo(size.width * 0.5198500, size.height * 0.1295216);
    path159.lineTo(size.width * 0.5214000, size.height * 0.1329055);
    path159.lineTo(size.width * 0.5210000, size.height * 0.1409568);
    path159.lineTo(size.width * 0.5193000, size.height * 0.1456243);
    path159.lineTo(size.width * 0.5184000, size.height * 0.1495916);
    path159.lineTo(size.width * 0.5167500, size.height * 0.1453909);
    path159.lineTo(size.width * 0.5124500, size.height * 0.1533256);
    path159.lineTo(size.width * 0.5094000, size.height * 0.1549592);
    path159.lineTo(size.width * 0.5061500, size.height * 0.1514586);
    path159.lineTo(size.width * 0.5052500, size.height * 0.1441074);
    path159.lineTo(size.width * 0.5042500, size.height * 0.1283547);
    path159.lineTo(size.width * 0.5062500, size.height * 0.1240373);
    path159.lineTo(size.width * 0.5119000, size.height * 0.1183197);
    path159.lineTo(size.width * 0.5159500, size.height * 0.1114352);
    path159.lineTo(size.width * 0.5195500, size.height * 0.1023337);
    path159.lineTo(size.width * 0.5240000, size.height * 0.08984831);
    path159.lineTo(size.width * 0.5272000, size.height * 0.08506418);
    path159.lineTo(size.width * 0.5323500, size.height * 0.07712952);
    path159.lineTo(size.width * 0.5366000, size.height * 0.07432905);
    path159.lineTo(size.width * 0.5399500, size.height * 0.07467911);
    path159.lineTo(size.width * 0.5425500, size.height * 0.06954492);
    path159.lineTo(size.width * 0.5462500, size.height * 0.06977830);
    path159.lineTo(size.width * 0.5497500, size.height * 0.06861144);
    path159.lineTo(size.width * 0.5566000, size.height * 0.07316219);
    path159.lineTo(size.width * 0.5541500, size.height * 0.07479580);
    path159.lineTo(size.width * 0.5568500, size.height * 0.07876313);
    path159.close();

    Paint paint159fill = Paint()..style = PaintingStyle.fill;
    paint159fill.color = countryColors.nO ?? defaultCountryColor;
    canvas.drawPath(path159, paint159fill);

    Path path160 = Path();
    path160.moveTo(size.width * 0.5383000, size.height * 0.02940490);
    path160.lineTo(size.width * 0.5345000, size.height * 0.03162194);
    path160.lineTo(size.width * 0.5311000, size.height * 0.03033839);
    path160.lineTo(size.width * 0.5322000, size.height * 0.02893816);
    path160.lineTo(size.width * 0.5309000, size.height * 0.02718786);
    path160.lineTo(size.width * 0.5345500, size.height * 0.02613769);
    path160.lineTo(size.width * 0.5355000, size.height * 0.02812135);
    path160.lineTo(size.width * 0.5383000, size.height * 0.02940490);
    path160.close();

    Paint paint160fill = Paint()..style = PaintingStyle.fill;
    paint160fill.color = countryColors.sJ ?? defaultCountryColor;
    canvas.drawPath(path160, paint160fill);

    Path path161 = Path();
    path161.moveTo(size.width * 0.5255000, size.height * 0.01948658);
    path161.lineTo(size.width * 0.5318000, size.height * 0.02345391);
    path161.lineTo(size.width * 0.5275000, size.height * 0.02555426);
    path161.lineTo(size.width * 0.5269000, size.height * 0.02952159);
    path161.lineTo(size.width * 0.5254000, size.height * 0.03057176);
    path161.lineTo(size.width * 0.5249500, size.height * 0.03523921);
    path161.lineTo(size.width * 0.5227500, size.height * 0.03547258);
    path161.lineTo(size.width * 0.5185000, size.height * 0.03208868);
    path161.lineTo(size.width * 0.5200000, size.height * 0.03010502);
    path161.lineTo(size.width * 0.5171500, size.height * 0.02847141);
    path161.lineTo(size.width * 0.5133000, size.height * 0.02392065);
    path161.lineTo(size.width * 0.5117000, size.height * 0.01983664);
    path161.lineTo(size.width * 0.5163500, size.height * 0.01796966);
    path161.lineTo(size.width * 0.5175000, size.height * 0.01971995);
    path161.lineTo(size.width * 0.5200000, size.height * 0.01971995);
    path161.lineTo(size.width * 0.5205000, size.height * 0.01796966);
    path161.lineTo(size.width * 0.5231000, size.height * 0.01773629);
    path161.lineTo(size.width * 0.5255000, size.height * 0.01948658);
    path161.close();

    Paint paint161fill = Paint()..style = PaintingStyle.fill;
    paint161fill.color = countryColors.sJ ?? defaultCountryColor;
    canvas.drawPath(path161, paint161fill);

    Path path162 = Path();
    path162.moveTo(size.width * 0.5377000, size.height * 0.01598600);
    path162.lineTo(size.width * 0.5414000, size.height * 0.01773629);
    path162.lineTo(size.width * 0.5392000, size.height * 0.02053676);
    path162.lineTo(size.width * 0.5341500, size.height * 0.02112019);
    path162.lineTo(size.width * 0.5288000, size.height * 0.02018670);
    path162.lineTo(size.width * 0.5283000, size.height * 0.01878646);
    path162.lineTo(size.width * 0.5257500, size.height * 0.01878646);
    path162.lineTo(size.width * 0.5236000, size.height * 0.01645274);
    path162.lineTo(size.width * 0.5288500, size.height * 0.01505251);
    path162.lineTo(size.width * 0.5315500, size.height * 0.01621937);
    path162.lineTo(size.width * 0.5331000, size.height * 0.01470245);
    path162.lineTo(size.width * 0.5377000, size.height * 0.01598600);
    path162.close();

    Paint paint162fill = Paint()..style = PaintingStyle.fill;
    paint162fill.color = countryColors.sJ ?? defaultCountryColor;
    canvas.drawPath(path162, paint162fill);

    Path path163 = Path();
    path163.moveTo(size.width * 0.7345000, size.height * 0.3767795);
    path163.lineTo(size.width * 0.7346000, size.height * 0.3799300);
    path163.lineTo(size.width * 0.7353500, size.height * 0.3847141);
    path163.lineTo(size.width * 0.7353000, size.height * 0.3876313);
    path163.lineTo(size.width * 0.7330000, size.height * 0.3877480);
    path163.lineTo(size.width * 0.7295500, size.height * 0.3859977);
    path163.lineTo(size.width * 0.7274000, size.height * 0.3852975);
    path163.lineTo(size.width * 0.7255000, size.height * 0.3815636);
    path163.lineTo(size.width * 0.7216500, size.height * 0.3805134);
    path163.lineTo(size.width * 0.7177500, size.height * 0.3763127);
    path163.lineTo(size.width * 0.7148500, size.height * 0.3726954);
    path163.lineTo(size.width * 0.7119500, size.height * 0.3698950);
    path163.lineTo(size.width * 0.7124000, size.height * 0.3628938);
    path163.lineTo(size.width * 0.7138000, size.height * 0.3593932);
    path163.lineTo(size.width * 0.7147500, size.height * 0.3576429);
    path163.lineTo(size.width * 0.7171500, size.height * 0.3599767);
    path163.lineTo(size.width * 0.7203500, size.height * 0.3648775);
    path163.lineTo(size.width * 0.7220000, size.height * 0.3659277);
    path163.lineTo(size.width * 0.7232500, size.height * 0.3695449);
    path163.lineTo(size.width * 0.7255000, size.height * 0.3709452);
    path163.lineTo(size.width * 0.7280000, size.height * 0.3743291);
    path163.lineTo(size.width * 0.7312500, size.height * 0.3759627);
    path163.lineTo(size.width * 0.7345000, size.height * 0.3767795);
    path163.close();

    Paint paint163fill = Paint()..style = PaintingStyle.fill;
    paint163fill.color = countryColors.nP ?? defaultCountryColor;
    canvas.drawPath(path163, paint163fill);

    Path path164 = Path();
    path164.moveTo(size.width * 0.6419000, size.height * 0.4607935);
    path164.lineTo(size.width * 0.6408000, size.height * 0.4555426);
    path164.lineTo(size.width * 0.6382000, size.height * 0.4431739);
    path164.lineTo(size.width * 0.6463500, size.height * 0.4357060);
    path164.lineTo(size.width * 0.6476500, size.height * 0.4207701);
    path164.lineTo(size.width * 0.6461500, size.height * 0.4154026);
    path164.lineTo(size.width * 0.6461500, size.height * 0.4123687);
    path164.lineTo(size.width * 0.6468000, size.height * 0.4093349);
    path164.lineTo(size.width * 0.6467000, size.height * 0.4063011);
    path164.lineTo(size.width * 0.6479000, size.height * 0.4047841);
    path164.lineTo(size.width * 0.6473500, size.height * 0.4037340);
    path164.lineTo(size.width * 0.6473500, size.height * 0.3988331);
    path164.lineTo(size.width * 0.6487500, size.height * 0.3988331);
    path164.lineTo(size.width * 0.6502500, size.height * 0.4039673);
    path164.lineTo(size.width * 0.6519000, size.height * 0.4066511);
    path164.lineTo(size.width * 0.6539500, size.height * 0.4077013);
    path164.lineTo(size.width * 0.6556500, size.height * 0.4089848);
    path164.lineTo(size.width * 0.6571000, size.height * 0.4133022);
    path164.lineTo(size.width * 0.6579500, size.height * 0.4157526);
    path164.lineTo(size.width * 0.6589500, size.height * 0.4168028);
    path164.lineTo(size.width * 0.6590500, size.height * 0.4184364);
    path164.lineTo(size.width * 0.6582000, size.height * 0.4228705);
    path164.lineTo(size.width * 0.6578500, size.height * 0.4249708);
    path164.lineTo(size.width * 0.6567500, size.height * 0.4274212);
    path164.lineTo(size.width * 0.6559000, size.height * 0.4325554);
    path164.lineTo(size.width * 0.6546500, size.height * 0.4320887);
    path164.lineTo(size.width * 0.6541500, size.height * 0.4339557);
    path164.lineTo(size.width * 0.6538000, size.height * 0.4376896);
    path164.lineTo(size.width * 0.6543500, size.height * 0.4427071);
    path164.lineTo(size.width * 0.6541000, size.height * 0.4436406);
    path164.lineTo(size.width * 0.6528500, size.height * 0.4436406);
    path164.lineTo(size.width * 0.6512000, size.height * 0.4464411);
    path164.lineTo(size.width * 0.6510500, size.height * 0.4500583);
    path164.lineTo(size.width * 0.6504500, size.height * 0.4516919);
    path164.lineTo(size.width * 0.6487000, size.height * 0.4515753);
    path164.lineTo(size.width * 0.6477000, size.height * 0.4534422);
    path164.lineTo(size.width * 0.6478000, size.height * 0.4564761);
    path164.lineTo(size.width * 0.6465000, size.height * 0.4585764);
    path164.lineTo(size.width * 0.6449500, size.height * 0.4578763);
    path164.lineTo(size.width * 0.6431500, size.height * 0.4604434);
    path164.lineTo(size.width * 0.6419000, size.height * 0.4607935);
    path164.close();

    Paint paint164fill = Paint()..style = PaintingStyle.fill;
    paint164fill.color = countryColors.oM ?? defaultCountryColor;
    canvas.drawPath(path164, paint164fill);

    Path path165 = Path();
    path165.moveTo(size.width * 0.6481000, size.height * 0.3928821);
    path165.lineTo(size.width * 0.6474500, size.height * 0.3903151);
    path165.lineTo(size.width * 0.6481500, size.height * 0.3878646);
    path165.lineTo(size.width * 0.6485000, size.height * 0.3884481);
    path165.lineTo(size.width * 0.6484000, size.height * 0.3915986);
    path165.lineTo(size.width * 0.6481000, size.height * 0.3928821);
    path165.close();

    Paint paint165fill = Paint()..style = PaintingStyle.fill;
    paint165fill.color = countryColors.oM ?? defaultCountryColor;
    canvas.drawPath(path165, paint165fill);

    Path path166 = Path();
    path166.moveTo(size.width * 0.7008000, size.height * 0.3196033);
    path166.lineTo(size.width * 0.6989000, size.height * 0.3259043);
    path166.lineTo(size.width * 0.6960500, size.height * 0.3270712);
    path166.lineTo(size.width * 0.6918000, size.height * 0.3252042);
    path166.lineTo(size.width * 0.6908000, size.height * 0.3284714);
    path166.lineTo(size.width * 0.6924500, size.height * 0.3350058);
    path166.lineTo(size.width * 0.6939000, size.height * 0.3401400);
    path166.lineTo(size.width * 0.6964500, size.height * 0.3437573);
    path166.lineTo(size.width * 0.6945500, size.height * 0.3480747);
    path166.lineTo(size.width * 0.6950500, size.height * 0.3534422);
    path166.lineTo(size.width * 0.6931000, size.height * 0.3610268);
    path166.lineTo(size.width * 0.6920000, size.height * 0.3686114);
    path166.lineTo(size.width * 0.6897500, size.height * 0.3764294);
    path166.lineTo(size.width * 0.6865000, size.height * 0.3758460);
    path166.lineTo(size.width * 0.6840500, size.height * 0.3837806);
    path166.lineTo(size.width * 0.6860500, size.height * 0.3870478);
    path166.lineTo(size.width * 0.6867500, size.height * 0.3928821);
    path166.lineTo(size.width * 0.6885000, size.height * 0.3966161);
    path166.lineTo(size.width * 0.6894000, size.height * 0.4030338);
    path166.lineTo(size.width * 0.6833500, size.height * 0.4030338);
    path166.lineTo(size.width * 0.6817500, size.height * 0.4080513);
    path166.lineTo(size.width * 0.6796500, size.height * 0.4061844);
    path166.lineTo(size.width * 0.6785500, size.height * 0.4008168);
    path166.lineTo(size.width * 0.6761000, size.height * 0.3950992);
    path166.lineTo(size.width * 0.6711000, size.height * 0.3964994);
    path166.lineTo(size.width * 0.6666000, size.height * 0.3966161);
    path166.lineTo(size.width * 0.6628000, size.height * 0.3976663);
    path166.lineTo(size.width * 0.6633500, size.height * 0.3890315);
    path166.lineTo(size.width * 0.6671000, size.height * 0.3850642);
    path166.lineTo(size.width * 0.6666500, size.height * 0.3816803);
    path166.lineTo(size.width * 0.6653000, size.height * 0.3803967);
    path166.lineTo(size.width * 0.6648000, size.height * 0.3738623);
    path166.lineTo(size.width * 0.6619500, size.height * 0.3705951);
    path166.lineTo(size.width * 0.6605500, size.height * 0.3660443);
    path166.lineTo(size.width * 0.6589500, size.height * 0.3620770);
    path166.lineTo(size.width * 0.6637500, size.height * 0.3659277);
    path166.lineTo(size.width * 0.6664000, size.height * 0.3647608);
    path166.lineTo(size.width * 0.6681000, size.height * 0.3656943);
    path166.lineTo(size.width * 0.6685500, size.height * 0.3640607);
    path166.lineTo(size.width * 0.6705000, size.height * 0.3647608);
    path166.lineTo(size.width * 0.6738000, size.height * 0.3616103);
    path166.lineTo(size.width * 0.6734000, size.height * 0.3553092);
    path166.lineTo(size.width * 0.6745500, size.height * 0.3509918);
    path166.lineTo(size.width * 0.6766000, size.height * 0.3509918);
    path166.lineTo(size.width * 0.6767000, size.height * 0.3490082);
    path166.lineTo(size.width * 0.6787000, size.height * 0.3479580);
    path166.lineTo(size.width * 0.6797500, size.height * 0.3486581);
    path166.lineTo(size.width * 0.6806500, size.height * 0.3465578);
    path166.lineTo(size.width * 0.6801000, size.height * 0.3420070);
    path166.lineTo(size.width * 0.6808000, size.height * 0.3375729);
    path166.lineTo(size.width * 0.6823500, size.height * 0.3355893);
    path166.lineTo(size.width * 0.6808000, size.height * 0.3306884);
    path166.lineTo(size.width * 0.6834000, size.height * 0.3309218);
    path166.lineTo(size.width * 0.6838500, size.height * 0.3282380);
    path166.lineTo(size.width * 0.6834500, size.height * 0.3253209);
    path166.lineTo(size.width * 0.6844500, size.height * 0.3221704);
    path166.lineTo(size.width * 0.6837500, size.height * 0.3184364);
    path166.lineTo(size.width * 0.6828000, size.height * 0.3152859);
    path166.lineTo(size.width * 0.6840000, size.height * 0.3120187);
    path166.lineTo(size.width * 0.6866500, size.height * 0.3105018);
    path166.lineTo(size.width * 0.6896000, size.height * 0.3095683);
    path166.lineTo(size.width * 0.6908000, size.height * 0.3082847);
    path166.lineTo(size.width * 0.6922500, size.height * 0.3073512);
    path166.lineTo(size.width * 0.6946000, size.height * 0.3108518);
    path166.lineTo(size.width * 0.6960500, size.height * 0.3166861);
    path166.lineTo(size.width * 0.7008000, size.height * 0.3196033);
    path166.close();

    Paint paint166fill = Paint()..style = PaintingStyle.fill;
    paint166fill.color = countryColors.pK ?? defaultCountryColor;
    canvas.drawPath(path166, paint166fill);

    Path path167 = Path();
    path167.moveTo(size.width * 0.2746500, size.height * 0.5206534);
    path167.lineTo(size.width * 0.2743000, size.height * 0.5217036);
    path167.lineTo(size.width * 0.2748500, size.height * 0.5261377);
    path167.lineTo(size.width * 0.2743000, size.height * 0.5283547);
    path167.lineTo(size.width * 0.2734000, size.height * 0.5277713);
    path167.lineTo(size.width * 0.2729500, size.height * 0.5313886);
    path167.lineTo(size.width * 0.2720500, size.height * 0.5292882);
    path167.lineTo(size.width * 0.2715500, size.height * 0.5252042);
    path167.lineTo(size.width * 0.2722500, size.height * 0.5232205);
    path167.lineTo(size.width * 0.2715500, size.height * 0.5227538);
    path167.lineTo(size.width * 0.2711000, size.height * 0.5203034);
    path167.lineTo(size.width * 0.2697000, size.height * 0.5182030);
    path167.lineTo(size.width * 0.2685000, size.height * 0.5186698);
    path167.lineTo(size.width * 0.2678500, size.height * 0.5212369);
    path167.lineTo(size.width * 0.2666500, size.height * 0.5231039);
    path167.lineTo(size.width * 0.2660500, size.height * 0.5233372);
    path167.lineTo(size.width * 0.2657500, size.height * 0.5249708);
    path167.lineTo(size.width * 0.2670000, size.height * 0.5290548);
    path167.lineTo(size.width * 0.2662000, size.height * 0.5299883);
    path167.lineTo(size.width * 0.2658000, size.height * 0.5310385);
    path167.lineTo(size.width * 0.2644500, size.height * 0.5315053);
    path167.lineTo(size.width * 0.2640500, size.height * 0.5269545);
    path167.lineTo(size.width * 0.2636500, size.height * 0.5282380);
    path167.lineTo(size.width * 0.2627500, size.height * 0.5277713);
    path167.lineTo(size.width * 0.2622500, size.height * 0.5248541);
    path167.lineTo(size.width * 0.2611000, size.height * 0.5242707);
    path167.lineTo(size.width * 0.2603500, size.height * 0.5234539);
    path167.lineTo(size.width * 0.2591500, size.height * 0.5234539);
    path167.lineTo(size.width * 0.2590500, size.height * 0.5250875);
    path167.lineTo(size.width * 0.2587500, size.height * 0.5239207);
    path167.lineTo(size.width * 0.2589000, size.height * 0.5224037);
    path167.lineTo(size.width * 0.2592000, size.height * 0.5208868);
    path167.lineTo(size.width * 0.2591000, size.height * 0.5196033);
    path167.lineTo(size.width * 0.2595500, size.height * 0.5186698);
    path167.lineTo(size.width * 0.2590000, size.height * 0.5176196);
    path167.lineTo(size.width * 0.2590500, size.height * 0.5145858);
    path167.lineTo(size.width * 0.2601500, size.height * 0.5138856);
    path167.lineTo(size.width * 0.2611000, size.height * 0.5165694);
    path167.lineTo(size.width * 0.2610000, size.height * 0.5182030);
    path167.lineTo(size.width * 0.2621000, size.height * 0.5185531);
    path167.lineTo(size.width * 0.2624000, size.height * 0.5178530);
    path167.lineTo(size.width * 0.2631500, size.height * 0.5197200);
    path167.lineTo(size.width * 0.2645500, size.height * 0.5191365);
    path167.lineTo(size.width * 0.2658000, size.height * 0.5172695);
    path167.lineTo(size.width * 0.2675500, size.height * 0.5157526);
    path167.lineTo(size.width * 0.2685500, size.height * 0.5135356);
    path167.lineTo(size.width * 0.2701000, size.height * 0.5140023);
    path167.lineTo(size.width * 0.2700000, size.height * 0.5147025);
    path167.lineTo(size.width * 0.2715500, size.height * 0.5149358);
    path167.lineTo(size.width * 0.2727500, size.height * 0.5163361);
    path167.lineTo(size.width * 0.2736500, size.height * 0.5185531);
    path167.lineTo(size.width * 0.2746500, size.height * 0.5206534);
    path167.close();

    Paint paint167fill = Paint()..style = PaintingStyle.fill;
    paint167fill.color = countryColors.pA ?? defaultCountryColor;
    canvas.drawPath(path167, paint167fill);

    Path path168 = Path();
    path168.moveTo(size.width * 0.2952500, size.height * 0.6177363);
    path168.lineTo(size.width * 0.2927000, size.height * 0.6173862);
    path168.lineTo(size.width * 0.2923000, size.height * 0.6185531);
    path168.lineTo(size.width * 0.2900000, size.height * 0.6199533);
    path168.lineTo(size.width * 0.2868500, size.height * 0.6250875);
    path168.lineTo(size.width * 0.2867000, size.height * 0.6285881);
    path168.lineTo(size.width * 0.2860000, size.height * 0.6311552);
    path168.lineTo(size.width * 0.2863500, size.height * 0.6352392);
    path168.lineTo(size.width * 0.2846500, size.height * 0.6373396);
    path168.lineTo(size.width * 0.2847500, size.height * 0.6406068);
    path168.lineTo(size.width * 0.2840000, size.height * 0.6418903);
    path168.lineTo(size.width * 0.2853000, size.height * 0.6486581);
    path168.lineTo(size.width * 0.2869500, size.height * 0.6532089);
    path168.lineTo(size.width * 0.2864500, size.height * 0.6564761);
    path168.lineTo(size.width * 0.2883500, size.height * 0.6568261);
    path168.lineTo(size.width * 0.2895000, size.height * 0.6609102);
    path168.lineTo(size.width * 0.2920000, size.height * 0.6610268);
    path168.lineTo(size.width * 0.2942000, size.height * 0.6567095);
    path168.lineTo(size.width * 0.2942500, size.height * 0.6680280);
    path168.lineTo(size.width * 0.2955500, size.height * 0.6688448);
    path168.lineTo(size.width * 0.2971500, size.height * 0.6675613);
    path168.lineTo(size.width * 0.2999000, size.height * 0.6796966);
    path168.lineTo(size.width * 0.2993500, size.height * 0.6821470);
    path168.lineTo(size.width * 0.2993500, size.height * 0.6875146);
    path168.lineTo(size.width * 0.2995000, size.height * 0.6938156);
    path168.lineTo(size.width * 0.2985500, size.height * 0.6975496);
    path168.lineTo(size.width * 0.2991500, size.height * 0.7003501);
    path168.lineTo(size.width * 0.2986000, size.height * 0.7029172);
    path168.lineTo(size.width * 0.3000500, size.height * 0.7092182);
    path168.lineTo(size.width * 0.2986000, size.height * 0.7172695);
    path168.lineTo(size.width * 0.2980500, size.height * 0.7211202);
    path168.lineTo(size.width * 0.2966500, size.height * 0.7229872);
    path168.lineTo(size.width * 0.2937000, size.height * 0.7186698);
    path168.lineTo(size.width * 0.2933000, size.height * 0.7156359);
    path168.lineTo(size.width * 0.2874500, size.height * 0.7081680);
    path168.lineTo(size.width * 0.2821000, size.height * 0.6998833);
    path168.lineTo(size.width * 0.2797500, size.height * 0.6953326);
    path168.lineTo(size.width * 0.2783500, size.height * 0.6891482);
    path168.lineTo(size.width * 0.2787500, size.height * 0.6869312);
    path168.lineTo(size.width * 0.2760500, size.height * 0.6771295);
    path168.lineTo(size.width * 0.2728500, size.height * 0.6633606);
    path168.lineTo(size.width * 0.2698500, size.height * 0.6484247);
    path168.lineTo(size.width * 0.2686500, size.height * 0.6449242);
    path168.lineTo(size.width * 0.2676500, size.height * 0.6394399);
    path168.lineTo(size.width * 0.2653500, size.height * 0.6345391);
    path168.lineTo(size.width * 0.2633000, size.height * 0.6315053);
    path168.lineTo(size.width * 0.2641500, size.height * 0.6282380);
    path168.lineTo(size.width * 0.2626500, size.height * 0.6210035);
    path168.lineTo(size.width * 0.2635000, size.height * 0.6157526);
    path168.lineTo(size.width * 0.2657000, size.height * 0.6110852);
    path168.lineTo(size.width * 0.2660500, size.height * 0.6142357);
    path168.lineTo(size.width * 0.2652500, size.height * 0.6159860);
    path168.lineTo(size.width * 0.2654000, size.height * 0.6186698);
    path168.lineTo(size.width * 0.2665500, size.height * 0.6180863);
    path168.lineTo(size.width * 0.2677000, size.height * 0.6189032);
    path168.lineTo(size.width * 0.2689500, size.height * 0.6227538);
    path168.lineTo(size.width * 0.2705000, size.height * 0.6196033);
    path168.lineTo(size.width * 0.2709500, size.height * 0.6145858);
    path168.lineTo(size.width * 0.2726500, size.height * 0.6080513);
    path168.lineTo(size.width * 0.2760000, size.height * 0.6051342);
    path168.lineTo(size.width * 0.2790500, size.height * 0.5971995);
    path168.lineTo(size.width * 0.2799000, size.height * 0.5924154);
    path168.lineTo(size.width * 0.2795000, size.height * 0.5866978);
    path168.lineTo(size.width * 0.2802500, size.height * 0.5859977);
    path168.lineTo(size.width * 0.2821500, size.height * 0.5894982);
    path168.lineTo(size.width * 0.2830500, size.height * 0.5931155);
    path168.lineTo(size.width * 0.2843500, size.height * 0.5949825);
    path168.lineTo(size.width * 0.2861000, size.height * 0.6028005);
    path168.lineTo(size.width * 0.2882000, size.height * 0.6038506);
    path168.lineTo(size.width * 0.2897500, size.height * 0.6018670);
    path168.lineTo(size.width * 0.2908000, size.height * 0.6031505);
    path168.lineTo(size.width * 0.2925000, size.height * 0.6024504);
    path168.lineTo(size.width * 0.2947000, size.height * 0.6059510);
    path168.lineTo(size.width * 0.2929500, size.height * 0.6136523);
    path168.lineTo(size.width * 0.2938000, size.height * 0.6137690);
    path168.lineTo(size.width * 0.2952500, size.height * 0.6177363);
    path168.close();

    Paint paint168fill = Paint()..style = PaintingStyle.fill;
    paint168fill.color = countryColors.pE ?? defaultCountryColor;
    canvas.drawPath(path168, paint168fill);

    Path path169 = Path();
    path169.moveTo(size.width * 0.8502500, size.height * 0.5225204);
    path169.lineTo(size.width * 0.8507000, size.height * 0.5275379);
    path169.lineTo(size.width * 0.8510000, size.height * 0.5317386);
    path169.lineTo(size.width * 0.8502000, size.height * 0.5385064);
    path169.lineTo(size.width * 0.8489500, size.height * 0.5309218);
    path169.lineTo(size.width * 0.8477500, size.height * 0.5347725);
    path169.lineTo(size.width * 0.8488000, size.height * 0.5402567);
    path169.lineTo(size.width * 0.8481000, size.height * 0.5437573);
    path169.lineTo(size.width * 0.8446500, size.height * 0.5394399);
    path169.lineTo(size.width * 0.8437000, size.height * 0.5339557);
    path169.lineTo(size.width * 0.8444500, size.height * 0.5304551);
    path169.lineTo(size.width * 0.8425500, size.height * 0.5268378);
    path169.lineTo(size.width * 0.8417500, size.height * 0.5299883);
    path169.lineTo(size.width * 0.8404500, size.height * 0.5296383);
    path169.lineTo(size.width * 0.8384500, size.height * 0.5338390);
    path169.lineTo(size.width * 0.8379500, size.height * 0.5316219);
    path169.lineTo(size.width * 0.8388500, size.height * 0.5253209);
    path169.lineTo(size.width * 0.8405500, size.height * 0.5232205);
    path169.lineTo(size.width * 0.8420000, size.height * 0.5204201);
    path169.lineTo(size.width * 0.8431000, size.height * 0.5238040);
    path169.lineTo(size.width * 0.8452000, size.height * 0.5218203);
    path169.lineTo(size.width * 0.8455500, size.height * 0.5184364);
    path169.lineTo(size.width * 0.8475500, size.height * 0.5182030);
    path169.lineTo(size.width * 0.8471500, size.height * 0.5124854);
    path169.lineTo(size.width * 0.8496000, size.height * 0.5159860);
    path169.lineTo(size.width * 0.8499500, size.height * 0.5197200);
    path169.lineTo(size.width * 0.8502500, size.height * 0.5225204);
    path169.close();

    Paint paint169fill = Paint()..style = PaintingStyle.fill;
    paint169fill.color = countryColors.pH ?? defaultCountryColor;
    canvas.drawPath(path169, paint169fill);

    Path path170 = Path();
    path170.moveTo(size.width * 0.8429500, size.height * 0.5085181);
    path170.lineTo(size.width * 0.8420500, size.height * 0.5109685);
    path170.lineTo(size.width * 0.8413500, size.height * 0.5157526);
    path170.lineTo(size.width * 0.8405500, size.height * 0.5179697);
    path170.lineTo(size.width * 0.8386000, size.height * 0.5128355);
    path170.lineTo(size.width * 0.8391000, size.height * 0.5107351);
    path170.lineTo(size.width * 0.8397500, size.height * 0.5086348);
    path170.lineTo(size.width * 0.8398500, size.height * 0.5040840);
    path170.lineTo(size.width * 0.8414000, size.height * 0.5036173);
    path170.lineTo(size.width * 0.8411500, size.height * 0.5086348);
    path170.lineTo(size.width * 0.8429500, size.height * 0.5014002);
    path170.lineTo(size.width * 0.8429500, size.height * 0.5085181);
    path170.close();

    Paint paint170fill = Paint()..style = PaintingStyle.fill;
    paint170fill.color = countryColors.pH ?? defaultCountryColor;
    canvas.drawPath(path170, paint170fill);

    Path path171 = Path();
    path171.moveTo(size.width * 0.8278000, size.height * 0.5157526);
    path171.lineTo(size.width * 0.8242500, size.height * 0.5228705);
    path171.lineTo(size.width * 0.8254500, size.height * 0.5176196);
    path171.lineTo(size.width * 0.8273500, size.height * 0.5129522);
    path171.lineTo(size.width * 0.8288500, size.height * 0.5078180);
    path171.lineTo(size.width * 0.8300000, size.height * 0.5003501);
    path171.lineTo(size.width * 0.8308000, size.height * 0.5065344);
    path171.lineTo(size.width * 0.8290500, size.height * 0.5106184);
    path171.lineTo(size.width * 0.8278000, size.height * 0.5157526);
    path171.close();

    Paint paint171fill = Paint()..style = PaintingStyle.fill;
    paint171fill.color = countryColors.pH ?? defaultCountryColor;
    canvas.drawPath(path171, paint171fill);

    Path path172 = Path();
    path172.moveTo(size.width * 0.8365500, size.height * 0.4964994);
    path172.lineTo(size.width * 0.8383500, size.height * 0.4988331);
    path172.lineTo(size.width * 0.8401000, size.height * 0.4988331);
    path172.lineTo(size.width * 0.8402000, size.height * 0.5018670);
    path172.lineTo(size.width * 0.8390500, size.height * 0.5051342);
    path172.lineTo(size.width * 0.8373500, size.height * 0.5073512);
    path172.lineTo(size.width * 0.8371000, size.height * 0.5038506);
    path172.lineTo(size.width * 0.8371500, size.height * 0.5000000);
    path172.lineTo(size.width * 0.8365500, size.height * 0.4964994);
    path172.close();

    Paint paint172fill = Paint()..style = PaintingStyle.fill;
    paint172fill.color = countryColors.pH ?? defaultCountryColor;
    canvas.drawPath(path172, paint172fill);

    Path path173 = Path();
    path173.moveTo(size.width * 0.8466000, size.height * 0.4943991);
    path173.lineTo(size.width * 0.8478000, size.height * 0.5028005);
    path173.lineTo(size.width * 0.8455500, size.height * 0.5008168);
    path173.lineTo(size.width * 0.8457000, size.height * 0.5033839);
    path173.lineTo(size.width * 0.8466000, size.height * 0.5079347);
    path173.lineTo(size.width * 0.8453000, size.height * 0.5096849);
    path173.lineTo(size.width * 0.8450000, size.height * 0.5043174);
    path173.lineTo(size.width * 0.8441000, size.height * 0.5039673);
    path173.lineTo(size.width * 0.8435000, size.height * 0.4994166);
    path173.lineTo(size.width * 0.8451500, size.height * 0.5000000);
    path173.lineTo(size.width * 0.8450000, size.height * 0.4971995);
    path173.lineTo(size.width * 0.8430000, size.height * 0.4914819);
    path173.lineTo(size.width * 0.8457000, size.height * 0.4915986);
    path173.lineTo(size.width * 0.8466000, size.height * 0.4943991);
    path173.close();

    Paint paint173fill = Paint()..style = PaintingStyle.fill;
    paint173fill.color = countryColors.pH ?? defaultCountryColor;
    canvas.drawPath(path173, paint173fill);

    Path path174 = Path();
    path174.moveTo(size.width * 0.8351000, size.height * 0.4876313);
    path174.lineTo(size.width * 0.8346500, size.height * 0.4941657);
    path174.lineTo(size.width * 0.8333000, size.height * 0.4904317);
    path174.lineTo(size.width * 0.8315500, size.height * 0.4847141);
    path174.lineTo(size.width * 0.8339500, size.height * 0.4849475);
    path174.lineTo(size.width * 0.8351000, size.height * 0.4876313);
    path174.close();

    Paint paint174fill = Paint()..style = PaintingStyle.fill;
    paint174fill.color = countryColors.pH ?? defaultCountryColor;
    canvas.drawPath(path174, paint174fill);

    Path path175 = Path();
    path175.moveTo(size.width * 0.8318500, size.height * 0.4469078);
    path175.lineTo(size.width * 0.8337500, size.height * 0.4491249);
    path175.lineTo(size.width * 0.8344500, size.height * 0.4471412);
    path175.lineTo(size.width * 0.8348500, size.height * 0.4490082);
    path175.lineTo(size.width * 0.8346500, size.height * 0.4521587);
    path175.lineTo(size.width * 0.8359500, size.height * 0.4575263);
    path175.lineTo(size.width * 0.8356500, size.height * 0.4637106);
    path175.lineTo(size.width * 0.8342000, size.height * 0.4661610);
    path175.lineTo(size.width * 0.8341500, size.height * 0.4722287);
    path175.lineTo(size.width * 0.8351500, size.height * 0.4781797);
    path175.lineTo(size.width * 0.8366500, size.height * 0.4789965);
    path175.lineTo(size.width * 0.8378500, size.height * 0.4781797);
    path175.lineTo(size.width * 0.8416000, size.height * 0.4822637);
    path175.lineTo(size.width * 0.8415500, size.height * 0.4863477);
    path175.lineTo(size.width * 0.8426000, size.height * 0.4882147);
    path175.lineTo(size.width * 0.8424500, size.height * 0.4915986);
    path175.lineTo(size.width * 0.8401000, size.height * 0.4879813);
    path175.lineTo(size.width * 0.8388500, size.height * 0.4840140);
    path175.lineTo(size.width * 0.8382500, size.height * 0.4868145);
    path175.lineTo(size.width * 0.8362500, size.height * 0.4822637);
    path175.lineTo(size.width * 0.8337500, size.height * 0.4834306);
    path175.lineTo(size.width * 0.8322500, size.height * 0.4817970);
    path175.lineTo(size.width * 0.8322000, size.height * 0.4786464);
    path175.lineTo(size.width * 0.8330000, size.height * 0.4767795);
    path175.lineTo(size.width * 0.8320500, size.height * 0.4750292);
    path175.lineTo(size.width * 0.8318500, size.height * 0.4777130);
    path175.lineTo(size.width * 0.8302000, size.height * 0.4733956);
    path175.lineTo(size.width * 0.8295500, size.height * 0.4701284);
    path175.lineTo(size.width * 0.8290000, size.height * 0.4630105);
    path175.lineTo(size.width * 0.8303000, size.height * 0.4654609);
    path175.lineTo(size.width * 0.8297500, size.height * 0.4536756);
    path175.lineTo(size.width * 0.8301500, size.height * 0.4469078);
    path175.lineTo(size.width * 0.8318500, size.height * 0.4469078);
    path175.close();

    Paint paint175fill = Paint()..style = PaintingStyle.fill;
    paint175fill.color = countryColors.pH ?? defaultCountryColor;
    canvas.drawPath(path175, paint175fill);

    Path path176 = Path();
    path176.moveTo(size.width * 0.9340500, size.height * 0.6366394);
    path176.lineTo(size.width * 0.9332500, size.height * 0.6374562);
    path176.lineTo(size.width * 0.9321000, size.height * 0.6345391);
    path176.lineTo(size.width * 0.9310000, size.height * 0.6297550);
    path176.lineTo(size.width * 0.9306000, size.height * 0.6240373);
    path176.lineTo(size.width * 0.9310000, size.height * 0.6233372);
    path176.lineTo(size.width * 0.9312500, size.height * 0.6255543);
    path176.lineTo(size.width * 0.9320500, size.height * 0.6273046);
    path176.lineTo(size.width * 0.9332500, size.height * 0.6319720);
    path176.lineTo(size.width * 0.9345000, size.height * 0.6345391);
    path176.lineTo(size.width * 0.9340500, size.height * 0.6366394);
    path176.close();

    Paint paint176fill = Paint()..style = PaintingStyle.fill;
    paint176fill.color = countryColors.pG ?? defaultCountryColor;
    canvas.drawPath(path176, paint176fill);

    Path path177 = Path();
    path177.moveTo(size.width * 0.9233500, size.height * 0.6266044);
    path177.lineTo(size.width * 0.9218500, size.height * 0.6271879);
    path177.lineTo(size.width * 0.9213500, size.height * 0.6292882);
    path177.lineTo(size.width * 0.9197500, size.height * 0.6311552);
    path177.lineTo(size.width * 0.9182500, size.height * 0.6329055);
    path177.lineTo(size.width * 0.9167000, size.height * 0.6329055);
    path177.lineTo(size.width * 0.9144500, size.height * 0.6306884);
    path177.lineTo(size.width * 0.9129000, size.height * 0.6285881);
    path177.lineTo(size.width * 0.9132000, size.height * 0.6262544);
    path177.lineTo(size.width * 0.9157000, size.height * 0.6274212);
    path177.lineTo(size.width * 0.9173000, size.height * 0.6268378);
    path177.lineTo(size.width * 0.9178000, size.height * 0.6232205);
    path177.lineTo(size.width * 0.9182500, size.height * 0.6229872);
    path177.lineTo(size.width * 0.9184000, size.height * 0.6269545);
    path177.lineTo(size.width * 0.9200000, size.height * 0.6264877);
    path177.lineTo(size.width * 0.9209000, size.height * 0.6239207);
    path177.lineTo(size.width * 0.9225500, size.height * 0.6212369);
    path177.lineTo(size.width * 0.9223500, size.height * 0.6168028);
    path177.lineTo(size.width * 0.9240500, size.height * 0.6166861);
    path177.lineTo(size.width * 0.9246000, size.height * 0.6178530);
    path177.lineTo(size.width * 0.9244000, size.height * 0.6220537);
    path177.lineTo(size.width * 0.9233500, size.height * 0.6266044);
    path177.close();

    Paint paint177fill = Paint()..style = PaintingStyle.fill;
    paint177fill.color = countryColors.pG ?? defaultCountryColor;
    canvas.drawPath(path177, paint177fill);

    Path path178 = Path();
    path178.moveTo(size.width * 0.8914500, size.height * 0.6539090);
    path178.lineTo(size.width * 0.8922500, size.height * 0.6294049);
    path178.lineTo(size.width * 0.8927500, size.height * 0.6050175);
    path178.lineTo(size.width * 0.8975500, size.height * 0.6101517);
    path178.lineTo(size.width * 0.9027000, size.height * 0.6144691);
    path178.lineTo(size.width * 0.9045500, size.height * 0.6183197);
    path178.lineTo(size.width * 0.9060500, size.height * 0.6220537);
    path178.lineTo(size.width * 0.9063500, size.height * 0.6264877);
    path178.lineTo(size.width * 0.9109500, size.height * 0.6311552);
    path178.lineTo(size.width * 0.9115000, size.height * 0.6351225);
    path178.lineTo(size.width * 0.9089000, size.height * 0.6359393);
    path178.lineTo(size.width * 0.9093500, size.height * 0.6409568);
    path178.lineTo(size.width * 0.9117000, size.height * 0.6458576);
    path178.lineTo(size.width * 0.9132000, size.height * 0.6537923);
    path178.lineTo(size.width * 0.9148500, size.height * 0.6535589);
    path178.lineTo(size.width * 0.9145500, size.height * 0.6568261);
    path178.lineTo(size.width * 0.9167000, size.height * 0.6581097);
    path178.lineTo(size.width * 0.9158000, size.height * 0.6595099);
    path178.lineTo(size.width * 0.9186500, size.height * 0.6626604);
    path178.lineTo(size.width * 0.9182000, size.height * 0.6648775);
    path178.lineTo(size.width * 0.9163000, size.height * 0.6653442);
    path178.lineTo(size.width * 0.9157000, size.height * 0.6634772);
    path178.lineTo(size.width * 0.9133500, size.height * 0.6625438);
    path178.lineTo(size.width * 0.9105500, size.height * 0.6614936);
    path178.lineTo(size.width * 0.9085500, size.height * 0.6567095);
    path178.lineTo(size.width * 0.9071500, size.height * 0.6525088);
    path178.lineTo(size.width * 0.9059000, size.height * 0.6459743);
    path178.lineTo(size.width * 0.9023500, size.height * 0.6427071);
    path178.lineTo(size.width * 0.8999000, size.height * 0.6448075);
    path178.lineTo(size.width * 0.8980500, size.height * 0.6473746);
    path178.lineTo(size.width * 0.8982000, size.height * 0.6528588);
    path178.lineTo(size.width * 0.8959000, size.height * 0.6554259);
    path178.lineTo(size.width * 0.8943500, size.height * 0.6541424);
    path178.lineTo(size.width * 0.8914500, size.height * 0.6539090);
    path178.close();

    Paint paint178fill = Paint()..style = PaintingStyle.fill;
    paint178fill.color = countryColors.pG ?? defaultCountryColor;
    canvas.drawPath(path178, paint178fill);

    Path path179 = Path();
    path179.moveTo(size.width * 0.9268000, size.height * 0.6192532);
    path179.lineTo(size.width * 0.9259000, size.height * 0.6212369);
    path179.lineTo(size.width * 0.9254500, size.height * 0.6168028);
    path179.lineTo(size.width * 0.9249000, size.height * 0.6140023);
    path179.lineTo(size.width * 0.9236500, size.height * 0.6115519);
    path179.lineTo(size.width * 0.9221000, size.height * 0.6082847);
    path179.lineTo(size.width * 0.9201000, size.height * 0.6060677);
    path179.lineTo(size.width * 0.9209000, size.height * 0.6043174);
    path179.lineTo(size.width * 0.9224000, size.height * 0.6064177);
    path179.lineTo(size.width * 0.9233500, size.height * 0.6080513);
    path179.lineTo(size.width * 0.9245000, size.height * 0.6098016);
    path179.lineTo(size.width * 0.9255500, size.height * 0.6129522);
    path179.lineTo(size.width * 0.9266000, size.height * 0.6154026);
    path179.lineTo(size.width * 0.9268000, size.height * 0.6192532);
    path179.close();

    Paint paint179fill = Paint()..style = PaintingStyle.fill;
    paint179fill.color = countryColors.pG ?? defaultCountryColor;
    canvas.drawPath(path179, paint179fill);

    Path path180 = Path();
    path180.moveTo(size.width * 0.5399500, size.height * 0.1806301);
    path180.lineTo(size.width * 0.5429000, size.height * 0.1814469);
    path180.lineTo(size.width * 0.5473000, size.height * 0.1813302);
    path180.lineTo(size.width * 0.5485500, size.height * 0.1821470);
    path180.lineTo(size.width * 0.5492500, size.height * 0.1843641);
    path180.lineTo(size.width * 0.5495500, size.height * 0.1875146);
    path180.lineTo(size.width * 0.5504000, size.height * 0.1901984);
    path180.lineTo(size.width * 0.5506000, size.height * 0.1929988);
    path180.lineTo(size.width * 0.5492000, size.height * 0.1945158);
    path180.lineTo(size.width * 0.5501500, size.height * 0.1977830);
    path180.lineTo(size.width * 0.5504000, size.height * 0.2010502);
    path180.lineTo(size.width * 0.5520000, size.height * 0.2073512);
    path180.lineTo(size.width * 0.5518500, size.height * 0.2093349);
    path180.lineTo(size.width * 0.5507000, size.height * 0.2101517);
    path180.lineTo(size.width * 0.5488000, size.height * 0.2162194);
    path180.lineTo(size.width * 0.5496000, size.height * 0.2194866);
    path180.lineTo(size.width * 0.5490500, size.height * 0.2190198);
    path180.lineTo(size.width * 0.5465500, size.height * 0.2162194);
    path180.lineTo(size.width * 0.5448000, size.height * 0.2172695);
    path180.lineTo(size.width * 0.5436000, size.height * 0.2165694);
    path180.lineTo(size.width * 0.5422000, size.height * 0.2180863);
    path180.lineTo(size.width * 0.5408500, size.height * 0.2155193);
    path180.lineTo(size.width * 0.5399000, size.height * 0.2165694);
    path180.lineTo(size.width * 0.5397500, size.height * 0.2161027);
    path180.lineTo(size.width * 0.5384500, size.height * 0.2124854);
    path180.lineTo(size.width * 0.5366000, size.height * 0.2121354);
    path180.lineTo(size.width * 0.5362500, size.height * 0.2098016);
    path180.lineTo(size.width * 0.5345500, size.height * 0.2089848);
    path180.lineTo(size.width * 0.5342500, size.height * 0.2108518);
    path180.lineTo(size.width * 0.5328500, size.height * 0.2093349);
    path180.lineTo(size.width * 0.5329500, size.height * 0.2073512);
    path180.lineTo(size.width * 0.5311000, size.height * 0.2067678);
    path180.lineTo(size.width * 0.5298500, size.height * 0.2044341);
    path180.lineTo(size.width * 0.5286500, size.height * 0.1998833);
    path180.lineTo(size.width * 0.5287500, size.height * 0.1973162);
    path180.lineTo(size.width * 0.5280000, size.height * 0.1934656);
    path180.lineTo(size.width * 0.5270500, size.height * 0.1910152);
    path180.lineTo(size.width * 0.5276500, size.height * 0.1890315);
    path180.lineTo(size.width * 0.5269500, size.height * 0.1854142);
    path180.lineTo(size.width * 0.5285000, size.height * 0.1833139);
    path180.lineTo(size.width * 0.5320500, size.height * 0.1800467);
    path180.lineTo(size.width * 0.5349500, size.height * 0.1777130);
    path180.lineTo(size.width * 0.5373500, size.height * 0.1788798);
    path180.lineTo(size.width * 0.5376500, size.height * 0.1806301);
    path180.lineTo(size.width * 0.5399500, size.height * 0.1806301);
    path180.close();

    Paint paint180fill = Paint()..style = PaintingStyle.fill;
    paint180fill.color = countryColors.pL ?? defaultCountryColor;
    canvas.drawPath(path180, paint180fill);

    Path path181 = Path();
    path181.moveTo(size.width * 0.8301500, size.height * 0.2682614);
    path181.lineTo(size.width * 0.8308500, size.height * 0.2695449);
    path181.lineTo(size.width * 0.8297500, size.height * 0.2690782);
    path181.lineTo(size.width * 0.8292500, size.height * 0.2716453);
    path181.lineTo(size.width * 0.8291000, size.height * 0.2740957);
    path181.lineTo(size.width * 0.8305000, size.height * 0.2794632);
    path181.lineTo(size.width * 0.8295500, size.height * 0.2810968);
    path181.lineTo(size.width * 0.8294000, size.height * 0.2823804);
    path181.lineTo(size.width * 0.8289500, size.height * 0.2845974);
    path181.lineTo(size.width * 0.8275000, size.height * 0.2858810);
    path181.lineTo(size.width * 0.8268000, size.height * 0.2878646);
    path181.lineTo(size.width * 0.8274500, size.height * 0.2910152);
    path181.lineTo(size.width * 0.8273000, size.height * 0.2918320);
    path181.lineTo(size.width * 0.8286000, size.height * 0.2931155);
    path181.lineTo(size.width * 0.8308000, size.height * 0.2963827);
    path181.lineTo(size.width * 0.8308000, size.height * 0.2981330);
    path181.lineTo(size.width * 0.8298000, size.height * 0.2985998);
    path181.lineTo(size.width * 0.8280000, size.height * 0.2990665);
    path181.lineTo(size.width * 0.8277000, size.height * 0.3023337);
    path181.lineTo(size.width * 0.8264500, size.height * 0.3021004);
    path181.lineTo(size.width * 0.8264500, size.height * 0.3028005);
    path181.lineTo(size.width * 0.8248500, size.height * 0.3014002);
    path181.lineTo(size.width * 0.8248000, size.height * 0.3028005);
    path181.lineTo(size.width * 0.8241500, size.height * 0.3033839);
    path181.lineTo(size.width * 0.8238000, size.height * 0.3019837);
    path181.lineTo(size.width * 0.8229500, size.height * 0.3012835);
    path181.lineTo(size.width * 0.8220000, size.height * 0.3001167);
    path181.lineTo(size.width * 0.8220500, size.height * 0.2968495);
    path181.lineTo(size.width * 0.8225000, size.height * 0.2959160);
    path181.lineTo(size.width * 0.8220000, size.height * 0.2946324);
    path181.lineTo(size.width * 0.8218000, size.height * 0.2905484);
    path181.lineTo(size.width * 0.8213500, size.height * 0.2893816);
    path181.lineTo(size.width * 0.8196500, size.height * 0.2885648);
    path181.lineTo(size.width * 0.8179500, size.height * 0.2865811);
    path181.lineTo(size.width * 0.8190000, size.height * 0.2817970);
    path181.lineTo(size.width * 0.8209500, size.height * 0.2778296);
    path181.lineTo(size.width * 0.8215000, size.height * 0.2724621);
    path181.lineTo(size.width * 0.8233000, size.height * 0.2747958);
    path181.lineTo(size.width * 0.8256000, size.height * 0.2751459);
    path181.lineTo(size.width * 0.8242000, size.height * 0.2711785);
    path181.lineTo(size.width * 0.8274000, size.height * 0.2680280);
    path181.lineTo(size.width * 0.8274000, size.height * 0.2638273);
    path181.lineTo(size.width * 0.8301500, size.height * 0.2682614);
    path181.close();

    Paint paint181fill = Paint()..style = PaintingStyle.fill;
    paint181fill.color = countryColors.kP ?? defaultCountryColor;
    canvas.drawPath(path181, paint181fill);

    Path path182 = Path();
    path182.moveTo(size.width * 0.3312500, size.height * 0.7367561);
    path182.lineTo(size.width * 0.3322500, size.height * 0.7408401);
    path182.lineTo(size.width * 0.3324500, size.height * 0.7509918);
    path182.lineTo(size.width * 0.3354000, size.height * 0.7525088);
    path182.lineTo(size.width * 0.3365000, size.height * 0.7509918);
    path182.lineTo(size.width * 0.3384500, size.height * 0.7530922);
    path182.lineTo(size.width * 0.3390500, size.height * 0.7553092);
    path182.lineTo(size.width * 0.3396000, size.height * 0.7621937);
    path182.lineTo(size.width * 0.3400000, size.height * 0.7649942);
    path182.lineTo(size.width * 0.3410500, size.height * 0.7653442);
    path182.lineTo(size.width * 0.3420500, size.height * 0.7641774);
    path182.lineTo(size.width * 0.3431000, size.height * 0.7654609);
    path182.lineTo(size.width * 0.3432500, size.height * 0.7696616);
    path182.lineTo(size.width * 0.3431000, size.height * 0.7740957);
    path182.lineTo(size.width * 0.3427500, size.height * 0.7784131);
    path182.lineTo(size.width * 0.3426000, size.height * 0.7849475);
    path182.lineTo(size.width * 0.3404500, size.height * 0.7907818);
    path182.lineTo(size.width * 0.3383500, size.height * 0.7919487);
    path182.lineTo(size.width * 0.3352000, size.height * 0.7907818);
    path182.lineTo(size.width * 0.3323000, size.height * 0.7887981);
    path182.lineTo(size.width * 0.3344000, size.height * 0.7773629);
    path182.lineTo(size.width * 0.3338500, size.height * 0.7740957);
    path182.lineTo(size.width * 0.3309000, size.height * 0.7711785);
    path182.lineTo(size.width * 0.3272500, size.height * 0.7655776);
    path182.lineTo(size.width * 0.3249500, size.height * 0.7644107);
    path182.lineTo(size.width * 0.3193000, size.height * 0.7522754);
    path182.lineTo(size.width * 0.3200500, size.height * 0.7432905);
    path182.lineTo(size.width * 0.3199500, size.height * 0.7392065);
    path182.lineTo(size.width * 0.3210000, size.height * 0.7326721);
    path182.lineTo(size.width * 0.3258000, size.height * 0.7304551);
    path182.lineTo(size.width * 0.3284000, size.height * 0.7305718);
    path182.lineTo(size.width * 0.3311000, size.height * 0.7344224);
    path182.lineTo(size.width * 0.3312500, size.height * 0.7367561);
    path182.close();

    Paint paint182fill = Paint()..style = PaintingStyle.fill;
    paint182fill.color = countryColors.pY ?? defaultCountryColor;
    canvas.drawPath(path182, paint182fill);

    Path path183 = Path();
    path183.moveTo(size.width * 0.5891500, size.height * 0.3428238);
    path183.lineTo(size.width * 0.5893500, size.height * 0.3474912);
    path183.lineTo(size.width * 0.5890500, size.height * 0.3497083);
    path183.lineTo(size.width * 0.5878000, size.height * 0.3506418);
    path183.lineTo(size.width * 0.5878500, size.height * 0.3486581);
    path183.lineTo(size.width * 0.5885000, size.height * 0.3476079);
    path183.lineTo(size.width * 0.5877500, size.height * 0.3467911);
    path183.lineTo(size.width * 0.5881000, size.height * 0.3418903);
    path183.lineTo(size.width * 0.5891500, size.height * 0.3428238);
    path183.close();

    Paint paint183fill = Paint()..style = PaintingStyle.fill;
    paint183fill.color = countryColors.pS ?? defaultCountryColor;
    canvas.drawPath(path183, paint183fill);

    Path path184 = Path();
    path184.moveTo(size.width * 0.6350500, size.height * 0.4010502);
    path184.lineTo(size.width * 0.6343000, size.height * 0.4016336);
    path184.lineTo(size.width * 0.6334000, size.height * 0.4001167);
    path184.lineTo(size.width * 0.6330000, size.height * 0.3946324);
    path184.lineTo(size.width * 0.6335500, size.height * 0.3907818);
    path184.lineTo(size.width * 0.6343000, size.height * 0.3899650);
    path184.lineTo(size.width * 0.6352000, size.height * 0.3922987);
    path184.lineTo(size.width * 0.6354500, size.height * 0.3966161);
    path184.lineTo(size.width * 0.6350500, size.height * 0.4010502);
    path184.close();

    Paint paint184fill = Paint()..style = PaintingStyle.fill;
    paint184fill.color = countryColors.qA ?? defaultCountryColor;
    canvas.drawPath(path184, paint184fill);

    Path path185 = Path();
    path185.moveTo(size.width * 0.5594500, size.height * 0.2253209);
    path185.lineTo(size.width * 0.5602500, size.height * 0.2261377);
    path185.lineTo(size.width * 0.5611500, size.height * 0.2282380);
    path185.lineTo(size.width * 0.5621500, size.height * 0.2312719);
    path185.lineTo(size.width * 0.5638500, size.height * 0.2357060);
    path185.lineTo(size.width * 0.5641500, size.height * 0.2388565);
    path185.lineTo(size.width * 0.5640500, size.height * 0.2420070);
    path185.lineTo(size.width * 0.5647000, size.height * 0.2453909);
    path185.lineTo(size.width * 0.5659000, size.height * 0.2467911);
    path185.lineTo(size.width * 0.5670500, size.height * 0.2455076);
    path185.lineTo(size.width * 0.5682500, size.height * 0.2467911);
    path185.lineTo(size.width * 0.5684500, size.height * 0.2487748);
    path185.lineTo(size.width * 0.5673000, size.height * 0.2502917);
    path185.lineTo(size.width * 0.5665000, size.height * 0.2495916);
    path185.lineTo(size.width * 0.5663000, size.height * 0.2585764);
    path185.lineTo(size.width * 0.5647500, size.height * 0.2577596);
    path185.lineTo(size.width * 0.5627500, size.height * 0.2550758);
    path185.lineTo(size.width * 0.5598000, size.height * 0.2568261);
    path185.lineTo(size.width * 0.5586500, size.height * 0.2586931);
    path185.lineTo(size.width * 0.5548500, size.height * 0.2582264);
    path185.lineTo(size.width * 0.5528500, size.height * 0.2571762);
    path185.lineTo(size.width * 0.5519000, size.height * 0.2576429);
    path185.lineTo(size.width * 0.5510000, size.height * 0.2546091);
    path185.lineTo(size.width * 0.5505000, size.height * 0.2533256);
    path185.lineTo(size.width * 0.5510000, size.height * 0.2520420);
    path185.lineTo(size.width * 0.5503500, size.height * 0.2512252);
    path185.lineTo(size.width * 0.5496000, size.height * 0.2528588);
    path185.lineTo(size.width * 0.5480500, size.height * 0.2506418);
    path185.lineTo(size.width * 0.5477000, size.height * 0.2476079);
    path185.lineTo(size.width * 0.5461000, size.height * 0.2459743);
    path185.lineTo(size.width * 0.5457000, size.height * 0.2435239);
    path185.lineTo(size.width * 0.5442000, size.height * 0.2407235);
    path185.lineTo(size.width * 0.5461500, size.height * 0.2393232);
    path185.lineTo(size.width * 0.5474500, size.height * 0.2343057);
    path185.lineTo(size.width * 0.5484000, size.height * 0.2294049);
    path185.lineTo(size.width * 0.5498500, size.height * 0.2278880);
    path185.lineTo(size.width * 0.5508500, size.height * 0.2262544);
    path185.lineTo(size.width * 0.5524500, size.height * 0.2270712);
    path185.lineTo(size.width * 0.5540500, size.height * 0.2270712);
    path185.lineTo(size.width * 0.5553000, size.height * 0.2289382);
    path185.lineTo(size.width * 0.5561000, size.height * 0.2277713);
    path185.lineTo(size.width * 0.5579000, size.height * 0.2270712);
    path185.lineTo(size.width * 0.5584000, size.height * 0.2253209);
    path185.lineTo(size.width * 0.5594500, size.height * 0.2253209);
    path185.close();

    Paint paint185fill = Paint()..style = PaintingStyle.fill;
    paint185fill.color = countryColors.rO ?? defaultCountryColor;
    canvas.drawPath(path185, paint185fill);

    Path path186 = Path();
    path186.moveTo(size.width * 0.5794000, size.height * 0.5940490);
    path186.lineTo(size.width * 0.5805000, size.height * 0.5982497);
    path186.lineTo(size.width * 0.5803500, size.height * 0.6026838);
    path186.lineTo(size.width * 0.5795500, size.height * 0.6036173);
    path186.lineTo(size.width * 0.5780000, size.height * 0.6031505);
    path186.lineTo(size.width * 0.5771500, size.height * 0.6074679);
    path186.lineTo(size.width * 0.5754000, size.height * 0.6068845);
    path186.lineTo(size.width * 0.5757000, size.height * 0.6026838);
    path186.lineTo(size.width * 0.5761000, size.height * 0.6021004);
    path186.lineTo(size.width * 0.5762000, size.height * 0.5976663);
    path186.lineTo(size.width * 0.5770000, size.height * 0.5955659);
    path186.lineTo(size.width * 0.5777000, size.height * 0.5963827);
    path186.lineTo(size.width * 0.5794000, size.height * 0.5940490);
    path186.close();

    Paint paint186fill = Paint()..style = PaintingStyle.fill;
    paint186fill.color = countryColors.rW ?? defaultCountryColor;
    canvas.drawPath(path186, paint186fill);

    Path path187 = Path();
    path187.moveTo(size.width * 0.4694500, size.height * 0.3784131);
    path187.lineTo(size.width * 0.4694000, size.height * 0.3788798);
    path187.lineTo(size.width * 0.4693500, size.height * 0.3802800);
    path187.lineTo(size.width * 0.4692500, size.height * 0.3917153);
    path187.lineTo(size.width * 0.4602500, size.height * 0.3912485);
    path187.lineTo(size.width * 0.4601500, size.height * 0.4105018);
    path187.lineTo(size.width * 0.4575500, size.height * 0.4110852);
    path187.lineTo(size.width * 0.4568000, size.height * 0.4149358);
    path187.lineTo(size.width * 0.4572500, size.height * 0.4257876);
    path187.lineTo(size.width * 0.4464000, size.height * 0.4257876);
    path187.lineTo(size.width * 0.4457500, size.height * 0.4282380);
    path187.lineTo(size.width * 0.4459000, size.height * 0.4250875);
    path187.lineTo(size.width * 0.4459500, size.height * 0.4250875);
    path187.lineTo(size.width * 0.4522000, size.height * 0.4245041);
    path187.lineTo(size.width * 0.4525500, size.height * 0.4218203);
    path187.lineTo(size.width * 0.4537500, size.height * 0.4184364);
    path187.lineTo(size.width * 0.4547500, size.height * 0.4080513);
    path187.lineTo(size.width * 0.4587000, size.height * 0.4000000);
    path187.lineTo(size.width * 0.4600500, size.height * 0.3905484);
    path187.lineTo(size.width * 0.4609500, size.height * 0.3899650);
    path187.lineTo(size.width * 0.4619000, size.height * 0.3841307);
    path187.lineTo(size.width * 0.4642000, size.height * 0.3833139);
    path187.lineTo(size.width * 0.4652000, size.height * 0.3843641);
    path187.lineTo(size.width * 0.4664500, size.height * 0.3843641);
    path187.lineTo(size.width * 0.4673500, size.height * 0.3826138);
    path187.lineTo(size.width * 0.4690500, size.height * 0.3823804);
    path187.lineTo(size.width * 0.4690000, size.height * 0.3784131);
    path187.lineTo(size.width * 0.4694500, size.height * 0.3784131);
    path187.close();

    Paint paint187fill = Paint()..style = PaintingStyle.fill;
    paint187fill.color = countryColors.eH ?? defaultCountryColor;
    canvas.drawPath(path187, paint187fill);

    Path path188 = Path();
    path188.moveTo(size.width * 0.6202500, size.height * 0.3675613);
    path188.lineTo(size.width * 0.6227500, size.height * 0.3682614);
    path188.lineTo(size.width * 0.6236000, size.height * 0.3718786);
    path188.lineTo(size.width * 0.6255500, size.height * 0.3716453);
    path188.lineTo(size.width * 0.6269000, size.height * 0.3781797);
    path188.lineTo(size.width * 0.6283500, size.height * 0.3798133);
    path188.lineTo(size.width * 0.6289500, size.height * 0.3824971);
    path188.lineTo(size.width * 0.6309500, size.height * 0.3856476);
    path188.lineTo(size.width * 0.6313000, size.height * 0.3886814);
    path188.lineTo(size.width * 0.6311000, size.height * 0.3912485);
    path188.lineTo(size.width * 0.6315500, size.height * 0.3936989);
    path188.lineTo(size.width * 0.6324500, size.height * 0.3957993);
    path188.lineTo(size.width * 0.6329000, size.height * 0.3982497);
    path188.lineTo(size.width * 0.6334000, size.height * 0.4001167);
    path188.lineTo(size.width * 0.6343000, size.height * 0.4016336);
    path188.lineTo(size.width * 0.6350500, size.height * 0.4010502);
    path188.lineTo(size.width * 0.6357000, size.height * 0.4039673);
    path188.lineTo(size.width * 0.6358500, size.height * 0.4056009);
    path188.lineTo(size.width * 0.6372000, size.height * 0.4133022);
    path188.lineTo(size.width * 0.6456500, size.height * 0.4170362);
    path188.lineTo(size.width * 0.6461500, size.height * 0.4154026);
    path188.lineTo(size.width * 0.6476500, size.height * 0.4207701);
    path188.lineTo(size.width * 0.6463500, size.height * 0.4357060);
    path188.lineTo(size.width * 0.6382000, size.height * 0.4431739);
    path188.lineTo(size.width * 0.6302500, size.height * 0.4460910);
    path188.lineTo(size.width * 0.6277500, size.height * 0.4494749);
    path188.lineTo(size.width * 0.6260000, size.height * 0.4572929);
    path188.lineTo(size.width * 0.6247000, size.height * 0.4585764);
    path188.lineTo(size.width * 0.6239500, size.height * 0.4561260);
    path188.lineTo(size.width * 0.6229000, size.height * 0.4564761);
    path188.lineTo(size.width * 0.6201500, size.height * 0.4556593);
    path188.lineTo(size.width * 0.6196000, size.height * 0.4549592);
    path188.lineTo(size.width * 0.6164000, size.height * 0.4550758);
    path188.lineTo(size.width * 0.6156500, size.height * 0.4557760);
    path188.lineTo(size.width * 0.6144500, size.height * 0.4539090);
    path188.lineTo(size.width * 0.6138000, size.height * 0.4575263);
    path188.lineTo(size.width * 0.6142000, size.height * 0.4606768);
    path188.lineTo(size.width * 0.6130000, size.height * 0.4631272);
    path188.lineTo(size.width * 0.6125500, size.height * 0.4598600);
    path188.lineTo(size.width * 0.6116500, size.height * 0.4576429);
    path188.lineTo(size.width * 0.6114000, size.height * 0.4546091);
    path188.lineTo(size.width * 0.6098500, size.height * 0.4519253);
    path188.lineTo(size.width * 0.6082000, size.height * 0.4456243);
    path188.lineTo(size.width * 0.6072500, size.height * 0.4395566);
    path188.lineTo(size.width * 0.6052000, size.height * 0.4344224);
    path188.lineTo(size.width * 0.6039500, size.height * 0.4331389);
    path188.lineTo(size.width * 0.6019000, size.height * 0.4260210);
    path188.lineTo(size.width * 0.6014500, size.height * 0.4208868);
    path188.lineTo(size.width * 0.6014500, size.height * 0.4164527);
    path188.lineTo(size.width * 0.5996500, size.height * 0.4080513);
    path188.lineTo(size.width * 0.5982500, size.height * 0.4051342);
    path188.lineTo(size.width * 0.5967500, size.height * 0.4036173);
    path188.lineTo(size.width * 0.5957000, size.height * 0.3992999);
    path188.lineTo(size.width * 0.5958000, size.height * 0.3976663);
    path188.lineTo(size.width * 0.5949000, size.height * 0.3936989);
    path188.lineTo(size.width * 0.5940500, size.height * 0.3920653);
    path188.lineTo(size.width * 0.5928000, size.height * 0.3864644);
    path188.lineTo(size.width * 0.5909000, size.height * 0.3805134);
    path188.lineTo(size.width * 0.5893500, size.height * 0.3753792);
    path188.lineTo(size.width * 0.5880000, size.height * 0.3753792);
    path188.lineTo(size.width * 0.5882500, size.height * 0.3712952);
    path188.lineTo(size.width * 0.5883000, size.height * 0.3686114);
    path188.lineTo(size.width * 0.5885000, size.height * 0.3655776);
    path188.lineTo(size.width * 0.5916000, size.height * 0.3668611);
    path188.lineTo(size.width * 0.5926500, size.height * 0.3645274);
    path188.lineTo(size.width * 0.5932000, size.height * 0.3618436);
    path188.lineTo(size.width * 0.5952500, size.height * 0.3607935);
    path188.lineTo(size.width * 0.5956000, size.height * 0.3582264);
    path188.lineTo(size.width * 0.5964000, size.height * 0.3570595);
    path188.lineTo(size.width * 0.5934000, size.height * 0.3494749);
    path188.lineTo(size.width * 0.5986000, size.height * 0.3457410);
    path188.lineTo(size.width * 0.5990500, size.height * 0.3445741);
    path188.lineTo(size.width * 0.6024500, size.height * 0.3466744);
    path188.lineTo(size.width * 0.6067500, size.height * 0.3519253);
    path188.lineTo(size.width * 0.6151500, size.height * 0.3669778);
    path188.lineTo(size.width * 0.6202500, size.height * 0.3675613);
    path188.close();

    Paint paint188fill = Paint()..style = PaintingStyle.fill;
    paint188fill.color = countryColors.sA ?? defaultCountryColor;
    canvas.drawPath(path188, paint188fill);

    Path path189 = Path();
    path189.moveTo(size.width * 0.5955000, size.height * 0.4774796);
    path189.lineTo(size.width * 0.5951500, size.height * 0.4838973);
    path189.lineTo(size.width * 0.5941500, size.height * 0.4913652);
    path189.lineTo(size.width * 0.5925000, size.height * 0.4949825);
    path189.lineTo(size.width * 0.5913500, size.height * 0.5008168);
    path189.lineTo(size.width * 0.5911000, size.height * 0.5038506);
    path189.lineTo(size.width * 0.5898000, size.height * 0.5059510);
    path189.lineTo(size.width * 0.5890500, size.height * 0.5137690);
    path189.lineTo(size.width * 0.5890500, size.height * 0.5147025);
    path189.lineTo(size.width * 0.5886500, size.height * 0.5144691);
    path189.lineTo(size.width * 0.5887000, size.height * 0.5107351);
    path189.lineTo(size.width * 0.5883000, size.height * 0.5081680);
    path189.lineTo(size.width * 0.5868500, size.height * 0.5052509);
    path189.lineTo(size.width * 0.5864000, size.height * 0.4998833);
    path189.lineTo(size.width * 0.5867000, size.height * 0.4942824);
    path189.lineTo(size.width * 0.5854000, size.height * 0.4938156);
    path189.lineTo(size.width * 0.5852000, size.height * 0.4954492);
    path189.lineTo(size.width * 0.5835000, size.height * 0.4959160);
    path189.lineTo(size.width * 0.5842500, size.height * 0.4980163);
    path189.lineTo(size.width * 0.5845000, size.height * 0.5025671);
    path189.lineTo(size.width * 0.5830000, size.height * 0.5066511);
    path189.lineTo(size.width * 0.5816500, size.height * 0.5120187);
    path189.lineTo(size.width * 0.5802000, size.height * 0.5128355);
    path189.lineTo(size.width * 0.5778000, size.height * 0.5085181);
    path189.lineTo(size.width * 0.5767500, size.height * 0.5100350);
    path189.lineTo(size.width * 0.5765000, size.height * 0.5121354);
    path189.lineTo(size.width * 0.5750500, size.height * 0.5136523);
    path189.lineTo(size.width * 0.5749500, size.height * 0.5151692);
    path189.lineTo(size.width * 0.5721500, size.height * 0.5151692);
    path189.lineTo(size.width * 0.5717500, size.height * 0.5136523);
    path189.lineTo(size.width * 0.5697000, size.height * 0.5133022);
    path189.lineTo(size.width * 0.5687000, size.height * 0.5145858);
    path189.lineTo(size.width * 0.5679000, size.height * 0.5140023);
    path189.lineTo(size.width * 0.5664500, size.height * 0.5095683);
    path189.lineTo(size.width * 0.5659500, size.height * 0.5075846);
    path189.lineTo(size.width * 0.5639000, size.height * 0.5086348);
    path189.lineTo(size.width * 0.5631500, size.height * 0.5120187);
    path189.lineTo(size.width * 0.5625000, size.height * 0.5187865);
    path189.lineTo(size.width * 0.5615000, size.height * 0.5201867);
    path189.lineTo(size.width * 0.5606500, size.height * 0.5210035);
    path189.lineTo(size.width * 0.5604000, size.height * 0.5206534);
    path189.lineTo(size.width * 0.5594500, size.height * 0.5184364);
    path189.lineTo(size.width * 0.5592500, size.height * 0.5161027);
    path189.lineTo(size.width * 0.5596500, size.height * 0.5130688);
    path189.lineTo(size.width * 0.5596500, size.height * 0.5099183);
    path189.lineTo(size.width * 0.5580000, size.height * 0.5052509);
    path189.lineTo(size.width * 0.5576500, size.height * 0.5021004);
    path189.lineTo(size.width * 0.5576500, size.height * 0.5002334);
    path189.lineTo(size.width * 0.5566000, size.height * 0.4980163);
    path189.lineTo(size.width * 0.5565500, size.height * 0.4936989);
    path189.lineTo(size.width * 0.5559000, size.height * 0.4907818);
    path189.lineTo(size.width * 0.5549500, size.height * 0.4912485);
    path189.lineTo(size.width * 0.5552000, size.height * 0.4884481);
    path189.lineTo(size.width * 0.5559000, size.height * 0.4854142);
    path189.lineTo(size.width * 0.5555500, size.height * 0.4822637);
    path189.lineTo(size.width * 0.5564500, size.height * 0.4799300);
    path189.lineTo(size.width * 0.5558500, size.height * 0.4781797);
    path189.lineTo(size.width * 0.5565000, size.height * 0.4736289);
    path189.lineTo(size.width * 0.5577500, size.height * 0.4680280);
    path189.lineTo(size.width * 0.5601500, size.height * 0.4686114);
    path189.lineTo(size.width * 0.5596000, size.height * 0.4388565);
    path189.lineTo(size.width * 0.5596000, size.height * 0.4357060);
    path189.lineTo(size.width * 0.5628000, size.height * 0.4357060);
    path189.lineTo(size.width * 0.5625500, size.height * 0.4207701);
    path189.lineTo(size.width * 0.5737000, size.height * 0.4207701);
    path189.lineTo(size.width * 0.5844500, size.height * 0.4207701);
    path189.lineTo(size.width * 0.5955000, size.height * 0.4207701);
    path189.lineTo(size.width * 0.5965500, size.height * 0.4281214);
    path189.lineTo(size.width * 0.5959500, size.height * 0.4294049);
    path189.lineTo(size.width * 0.5965500, size.height * 0.4372229);
    path189.lineTo(size.width * 0.5978000, size.height * 0.4460910);
    path189.lineTo(size.width * 0.5989000, size.height * 0.4479580);
    path189.lineTo(size.width * 0.6005000, size.height * 0.4507585);
    path189.lineTo(size.width * 0.5991500, size.height * 0.4549592);
    path189.lineTo(size.width * 0.5971500, size.height * 0.4562427);
    path189.lineTo(size.width * 0.5963000, size.height * 0.4585764);
    path189.lineTo(size.width * 0.5961500, size.height * 0.4634772);
    path189.lineTo(size.width * 0.5951500, size.height * 0.4745624);
    path189.lineTo(size.width * 0.5955000, size.height * 0.4774796);
    path189.close();

    Paint paint189fill = Paint()..style = PaintingStyle.fill;
    paint189fill.color = countryColors.sD ?? defaultCountryColor;
    canvas.drawPath(path189, paint189fill);

    Path path190 = Path();
    path190.moveTo(size.width * 0.5890500, size.height * 0.5147025);
    path190.lineTo(size.width * 0.5891500, size.height * 0.5205368);
    path190.lineTo(size.width * 0.5887500, size.height * 0.5227538);
    path190.lineTo(size.width * 0.5872500, size.height * 0.5229872);
    path190.lineTo(size.width * 0.5863000, size.height * 0.5271879);
    path190.lineTo(size.width * 0.5880500, size.height * 0.5277713);
    path190.lineTo(size.width * 0.5895500, size.height * 0.5313886);
    path190.lineTo(size.width * 0.5900500, size.height * 0.5344224);
    path190.lineTo(size.width * 0.5913500, size.height * 0.5361727);
    path190.lineTo(size.width * 0.5931000, size.height * 0.5443407);
    path190.lineTo(size.width * 0.5912000, size.height * 0.5492415);
    path190.lineTo(size.width * 0.5895000, size.height * 0.5536756);
    path190.lineTo(size.width * 0.5877500, size.height * 0.5571762);
    path190.lineTo(size.width * 0.5857500, size.height * 0.5571762);
    path190.lineTo(size.width * 0.5835000, size.height * 0.5589265);
    path190.lineTo(size.width * 0.5817000, size.height * 0.5571762);
    path190.lineTo(size.width * 0.5805500, size.height * 0.5592765);
    path190.lineTo(size.width * 0.5780000, size.height * 0.5542590);
    path190.lineTo(size.width * 0.5773000, size.height * 0.5511085);
    path190.lineTo(size.width * 0.5757500, size.height * 0.5526254);
    path190.lineTo(size.width * 0.5744500, size.height * 0.5521587);
    path190.lineTo(size.width * 0.5737000, size.height * 0.5534422);
    path190.lineTo(size.width * 0.5724000, size.height * 0.5525088);
    path190.lineTo(size.width * 0.5706500, size.height * 0.5463244);
    path190.lineTo(size.width * 0.5702000, size.height * 0.5439907);
    path190.lineTo(size.width * 0.5680500, size.height * 0.5409568);
    path190.lineTo(size.width * 0.5673500, size.height * 0.5365228);
    path190.lineTo(size.width * 0.5661500, size.height * 0.5332555);
    path190.lineTo(size.width * 0.5642000, size.height * 0.5294049);
    path190.lineTo(size.width * 0.5641500, size.height * 0.5269545);
    path190.lineTo(size.width * 0.5626000, size.height * 0.5239207);
    path190.lineTo(size.width * 0.5606500, size.height * 0.5210035);
    path190.lineTo(size.width * 0.5615000, size.height * 0.5201867);
    path190.lineTo(size.width * 0.5625000, size.height * 0.5187865);
    path190.lineTo(size.width * 0.5631500, size.height * 0.5120187);
    path190.lineTo(size.width * 0.5639000, size.height * 0.5086348);
    path190.lineTo(size.width * 0.5659500, size.height * 0.5075846);
    path190.lineTo(size.width * 0.5664500, size.height * 0.5095683);
    path190.lineTo(size.width * 0.5679000, size.height * 0.5140023);
    path190.lineTo(size.width * 0.5687000, size.height * 0.5145858);
    path190.lineTo(size.width * 0.5697000, size.height * 0.5133022);
    path190.lineTo(size.width * 0.5717500, size.height * 0.5136523);
    path190.lineTo(size.width * 0.5721500, size.height * 0.5151692);
    path190.lineTo(size.width * 0.5749500, size.height * 0.5151692);
    path190.lineTo(size.width * 0.5750500, size.height * 0.5136523);
    path190.lineTo(size.width * 0.5765000, size.height * 0.5121354);
    path190.lineTo(size.width * 0.5767500, size.height * 0.5100350);
    path190.lineTo(size.width * 0.5778000, size.height * 0.5085181);
    path190.lineTo(size.width * 0.5802000, size.height * 0.5128355);
    path190.lineTo(size.width * 0.5816500, size.height * 0.5120187);
    path190.lineTo(size.width * 0.5830000, size.height * 0.5066511);
    path190.lineTo(size.width * 0.5845000, size.height * 0.5025671);
    path190.lineTo(size.width * 0.5842500, size.height * 0.4980163);
    path190.lineTo(size.width * 0.5835000, size.height * 0.4959160);
    path190.lineTo(size.width * 0.5852000, size.height * 0.4954492);
    path190.lineTo(size.width * 0.5854000, size.height * 0.4938156);
    path190.lineTo(size.width * 0.5867000, size.height * 0.4942824);
    path190.lineTo(size.width * 0.5864000, size.height * 0.4998833);
    path190.lineTo(size.width * 0.5868500, size.height * 0.5052509);
    path190.lineTo(size.width * 0.5883000, size.height * 0.5081680);
    path190.lineTo(size.width * 0.5887000, size.height * 0.5107351);
    path190.lineTo(size.width * 0.5886500, size.height * 0.5144691);
    path190.lineTo(size.width * 0.5890500, size.height * 0.5147025);
    path190.close();

    Paint paint190fill = Paint()..style = PaintingStyle.fill;
    paint190fill.color = countryColors.sS ?? defaultCountryColor;
    canvas.drawPath(path190, paint190fill);

    Path path191 = Path();
    path191.moveTo(size.width * 0.4590000, size.height * 0.4760793);
    path191.lineTo(size.width * 0.4591000, size.height * 0.4807468);
    path191.lineTo(size.width * 0.4596500, size.height * 0.4850642);
    path191.lineTo(size.width * 0.4606500, size.height * 0.4871645);
    path191.lineTo(size.width * 0.4609000, size.height * 0.4899650);
    path191.lineTo(size.width * 0.4607500, size.height * 0.4922987);
    path191.lineTo(size.width * 0.4603500, size.height * 0.4927655);
    path191.lineTo(size.width * 0.4588000, size.height * 0.4921820);
    path191.lineTo(size.width * 0.4586000, size.height * 0.4929988);
    path191.lineTo(size.width * 0.4580000, size.height * 0.4931155);
    path191.lineTo(size.width * 0.4559500, size.height * 0.4913652);
    path191.lineTo(size.width * 0.4546000, size.height * 0.4912485);
    path191.lineTo(size.width * 0.4494000, size.height * 0.4908985);
    path191.lineTo(size.width * 0.4486500, size.height * 0.4918320);
    path191.lineTo(size.width * 0.4477000, size.height * 0.4915986);
    path191.lineTo(size.width * 0.4462000, size.height * 0.4927655);
    path191.lineTo(size.width * 0.4458000, size.height * 0.4870478);
    path191.lineTo(size.width * 0.4483500, size.height * 0.4871645);
    path191.lineTo(size.width * 0.4490500, size.height * 0.4861144);
    path191.lineTo(size.width * 0.4495500, size.height * 0.4861144);
    path191.lineTo(size.width * 0.4506000, size.height * 0.4843641);
    path191.lineTo(size.width * 0.4518000, size.height * 0.4858810);
    path191.lineTo(size.width * 0.4530000, size.height * 0.4861144);
    path191.lineTo(size.width * 0.4542500, size.height * 0.4843641);
    path191.lineTo(size.width * 0.4537000, size.height * 0.4822637);
    path191.lineTo(size.width * 0.4527500, size.height * 0.4834306);
    path191.lineTo(size.width * 0.4519000, size.height * 0.4834306);
    path191.lineTo(size.width * 0.4508000, size.height * 0.4815636);
    path191.lineTo(size.width * 0.4499000, size.height * 0.4816803);
    path191.lineTo(size.width * 0.4492500, size.height * 0.4835473);
    path191.lineTo(size.width * 0.4462000, size.height * 0.4836639);
    path191.lineTo(size.width * 0.4450500, size.height * 0.4778296);
    path191.lineTo(size.width * 0.4437000, size.height * 0.4752625);
    path191.lineTo(size.width * 0.4449500, size.height * 0.4737456);
    path191.lineTo(size.width * 0.4463500, size.height * 0.4684947);
    path191.lineTo(size.width * 0.4470500, size.height * 0.4646441);
    path191.lineTo(size.width * 0.4480500, size.height * 0.4623104);
    path191.lineTo(size.width * 0.4494000, size.height * 0.4628938);
    path191.lineTo(size.width * 0.4508000, size.height * 0.4612602);
    path191.lineTo(size.width * 0.4523500, size.height * 0.4612602);
    path191.lineTo(size.width * 0.4537000, size.height * 0.4633606);
    path191.lineTo(size.width * 0.4555000, size.height * 0.4653442);
    path191.lineTo(size.width * 0.4572000, size.height * 0.4709452);
    path191.lineTo(size.width * 0.4590000, size.height * 0.4760793);
    path191.close();

    Paint paint191fill = Paint()..style = PaintingStyle.fill;
    paint191fill.color = countryColors.sN ?? defaultCountryColor;
    canvas.drawPath(path191, paint191fill);

    Path path192 = Path();
    path192.moveTo(size.width * 0.4642500, size.height * 0.5226371);
    path192.lineTo(size.width * 0.4629500, size.height * 0.5261377);
    path192.lineTo(size.width * 0.4616500, size.height * 0.5301050);
    path192.lineTo(size.width * 0.4615000, size.height * 0.5323221);
    path192.lineTo(size.width * 0.4608000, size.height * 0.5347725);
    path192.lineTo(size.width * 0.4600500, size.height * 0.5341890);
    path192.lineTo(size.width * 0.4580500, size.height * 0.5311552);
    path192.lineTo(size.width * 0.4565500, size.height * 0.5271879);
    path192.lineTo(size.width * 0.4561000, size.height * 0.5243874);
    path192.lineTo(size.width * 0.4557500, size.height * 0.5189032);
    path192.lineTo(size.width * 0.4573000, size.height * 0.5155193);
    path192.lineTo(size.width * 0.4576000, size.height * 0.5135356);
    path192.lineTo(size.width * 0.4581000, size.height * 0.5119020);
    path192.lineTo(size.width * 0.4589000, size.height * 0.5116686);
    path192.lineTo(size.width * 0.4595500, size.height * 0.5102684);
    path192.lineTo(size.width * 0.4618000, size.height * 0.5102684);
    path192.lineTo(size.width * 0.4626000, size.height * 0.5129522);
    path192.lineTo(size.width * 0.4632000, size.height * 0.5161027);
    path192.lineTo(size.width * 0.4631000, size.height * 0.5183197);
    path192.lineTo(size.width * 0.4635500, size.height * 0.5203034);
    path192.lineTo(size.width * 0.4635000, size.height * 0.5229872);
    path192.lineTo(size.width * 0.4642500, size.height * 0.5226371);
    path192.close();

    Paint paint192fill = Paint()..style = PaintingStyle.fill;
    paint192fill.color = countryColors.sL ?? defaultCountryColor;
    canvas.drawPath(path192, paint192fill);

    Path path193 = Path();
    path193.moveTo(size.width * 0.2462500, size.height * 0.4852975);
    path193.lineTo(size.width * 0.2459000, size.height * 0.4870478);
    path193.lineTo(size.width * 0.2442500, size.height * 0.4869312);
    path193.lineTo(size.width * 0.2432500, size.height * 0.4862310);
    path193.lineTo(size.width * 0.2421500, size.height * 0.4847141);
    path193.lineTo(size.width * 0.2406500, size.height * 0.4842474);
    path193.lineTo(size.width * 0.2399000, size.height * 0.4826138);
    path193.lineTo(size.width * 0.2400500, size.height * 0.4815636);
    path193.lineTo(size.width * 0.2410500, size.height * 0.4796966);
    path193.lineTo(size.width * 0.2416500, size.height * 0.4788798);
    path193.lineTo(size.width * 0.2415000, size.height * 0.4779463);
    path193.lineTo(size.width * 0.2422000, size.height * 0.4774796);
    path193.lineTo(size.width * 0.2430000, size.height * 0.4781797);
    path193.lineTo(size.width * 0.2435500, size.height * 0.4795799);
    path193.lineTo(size.width * 0.2443500, size.height * 0.4808635);
    path193.lineTo(size.width * 0.2444000, size.height * 0.4817970);
    path193.lineTo(size.width * 0.2456500, size.height * 0.4809802);
    path193.lineTo(size.width * 0.2462500, size.height * 0.4814469);
    path193.lineTo(size.width * 0.2466000, size.height * 0.4822637);
    path193.lineTo(size.width * 0.2462500, size.height * 0.4852975);
    path193.close();

    Paint paint193fill = Paint()..style = PaintingStyle.fill;
    paint193fill.color = countryColors.sV ?? defaultCountryColor;
    canvas.drawPath(path193, paint193fill);

    Path path194 = Path();
    path194.moveTo(size.width * 0.5510000, size.height * 0.2546091);
    path194.lineTo(size.width * 0.5504500, size.height * 0.2562427);
    path194.lineTo(size.width * 0.5508000, size.height * 0.2590432);
    path194.lineTo(size.width * 0.5522000, size.height * 0.2621937);
    path194.lineTo(size.width * 0.5513000, size.height * 0.2645274);
    path194.lineTo(size.width * 0.5510000, size.height * 0.2668611);
    path194.lineTo(size.width * 0.5513000, size.height * 0.2677946);
    path194.lineTo(size.width * 0.5509500, size.height * 0.2687281);
    path194.lineTo(size.width * 0.5497500, size.height * 0.2689615);
    path194.lineTo(size.width * 0.5489000, size.height * 0.2693116);
    path194.lineTo(size.width * 0.5487500, size.height * 0.2687281);
    path194.lineTo(size.width * 0.5490500, size.height * 0.2679113);
    path194.lineTo(size.width * 0.5492500, size.height * 0.2660443);
    path194.lineTo(size.width * 0.5489000, size.height * 0.2661610);
    path194.lineTo(size.width * 0.5483500, size.height * 0.2647608);
    path194.lineTo(size.width * 0.5479000, size.height * 0.2644107);
    path194.lineTo(size.width * 0.5475000, size.height * 0.2632439);
    path194.lineTo(size.width * 0.5470000, size.height * 0.2627771);
    path194.lineTo(size.width * 0.5466000, size.height * 0.2617270);
    path194.lineTo(size.width * 0.5461500, size.height * 0.2621937);
    path194.lineTo(size.width * 0.5459000, size.height * 0.2646441);
    path194.lineTo(size.width * 0.5453000, size.height * 0.2651109);
    path194.lineTo(size.width * 0.5455000, size.height * 0.2645274);
    path194.lineTo(size.width * 0.5444500, size.height * 0.2630105);
    path194.lineTo(size.width * 0.5436000, size.height * 0.2621937);
    path194.lineTo(size.width * 0.5431500, size.height * 0.2611435);
    path194.lineTo(size.width * 0.5424500, size.height * 0.2598600);
    path194.lineTo(size.width * 0.5430000, size.height * 0.2595099);
    path194.lineTo(size.width * 0.5432500, size.height * 0.2561260);
    path194.lineTo(size.width * 0.5419000, size.height * 0.2532089);
    path194.lineTo(size.width * 0.5424500, size.height * 0.2499417);
    path194.lineTo(size.width * 0.5415000, size.height * 0.2500583);
    path194.lineTo(size.width * 0.5423500, size.height * 0.2472579);
    path194.lineTo(size.width * 0.5415000, size.height * 0.2451575);
    path194.lineTo(size.width * 0.5407500, size.height * 0.2422404);
    path194.lineTo(size.width * 0.5426000, size.height * 0.2403734);
    path194.lineTo(size.width * 0.5442000, size.height * 0.2407235);
    path194.lineTo(size.width * 0.5457000, size.height * 0.2435239);
    path194.lineTo(size.width * 0.5461000, size.height * 0.2459743);
    path194.lineTo(size.width * 0.5477000, size.height * 0.2476079);
    path194.lineTo(size.width * 0.5480500, size.height * 0.2506418);
    path194.lineTo(size.width * 0.5496000, size.height * 0.2528588);
    path194.lineTo(size.width * 0.5503500, size.height * 0.2512252);
    path194.lineTo(size.width * 0.5510000, size.height * 0.2520420);
    path194.lineTo(size.width * 0.5505000, size.height * 0.2533256);
    path194.lineTo(size.width * 0.5510000, size.height * 0.2546091);
    path194.close();

    Paint paint194fill = Paint()..style = PaintingStyle.fill;
    paint194fill.color = countryColors.rS ?? defaultCountryColor;
    canvas.drawPath(path194, paint194fill);

    Path path195 = Path();
    path195.moveTo(size.width * 0.3405000, size.height * 0.5424737);
    path195.lineTo(size.width * 0.3389500, size.height * 0.5488915);
    path195.lineTo(size.width * 0.3391000, size.height * 0.5540257);
    path195.lineTo(size.width * 0.3402000, size.height * 0.5584597);
    path195.lineTo(size.width * 0.3396500, size.height * 0.5616103);
    path195.lineTo(size.width * 0.3394000, size.height * 0.5651109);
    path195.lineTo(size.width * 0.3386500, size.height * 0.5682614);
    path195.lineTo(size.width * 0.3370500, size.height * 0.5666278);
    path195.lineTo(size.width * 0.3357000, size.height * 0.5674446);
    path195.lineTo(size.width * 0.3345500, size.height * 0.5667445);
    path195.lineTo(size.width * 0.3342500, size.height * 0.5689615);
    path195.lineTo(size.width * 0.3347500, size.height * 0.5703617);
    path195.lineTo(size.width * 0.3344500, size.height * 0.5719953);
    path195.lineTo(size.width * 0.3329000, size.height * 0.5712952);
    path195.lineTo(size.width * 0.3312500, size.height * 0.5647608);
    path195.lineTo(size.width * 0.3309000, size.height * 0.5605601);
    path195.lineTo(size.width * 0.3300000, size.height * 0.5605601);
    path195.lineTo(size.width * 0.3288000, size.height * 0.5551925);
    path195.lineTo(size.width * 0.3293500, size.height * 0.5512252);
    path195.lineTo(size.width * 0.3292000, size.height * 0.5494749);
    path195.lineTo(size.width * 0.3309500, size.height * 0.5476079);
    path195.lineTo(size.width * 0.3314500, size.height * 0.5408401);
    path195.lineTo(size.width * 0.3348500, size.height * 0.5423571);
    path195.lineTo(size.width * 0.3351500, size.height * 0.5409568);
    path195.lineTo(size.width * 0.3374500, size.height * 0.5403734);
    path195.lineTo(size.width * 0.3405000, size.height * 0.5424737);
    path195.close();

    Paint paint195fill = Paint()..style = PaintingStyle.fill;
    paint195fill.color = countryColors.sR ?? defaultCountryColor;
    canvas.drawPath(path195, paint195fill);

    Path path196 = Path();
    path196.moveTo(size.width * 0.5490500, size.height * 0.2190198);
    path196.lineTo(size.width * 0.5484500, size.height * 0.2210035);
    path196.lineTo(size.width * 0.5481000, size.height * 0.2239207);
    path196.lineTo(size.width * 0.5476000, size.height * 0.2246208);
    path196.lineTo(size.width * 0.5448500, size.height * 0.2224037);
    path196.lineTo(size.width * 0.5440500, size.height * 0.2228705);
    path196.lineTo(size.width * 0.5435500, size.height * 0.2246208);
    path196.lineTo(size.width * 0.5424000, size.height * 0.2255543);
    path196.lineTo(size.width * 0.5421000, size.height * 0.2250875);
    path196.lineTo(size.width * 0.5409500, size.height * 0.2261377);
    path196.lineTo(size.width * 0.5400000, size.height * 0.2263711);
    path196.lineTo(size.width * 0.5398500, size.height * 0.2278880);
    path196.lineTo(size.width * 0.5378000, size.height * 0.2287048);
    path196.lineTo(size.width * 0.5368500, size.height * 0.2280047);
    path196.lineTo(size.width * 0.5355000, size.height * 0.2260210);
    path196.lineTo(size.width * 0.5351500, size.height * 0.2235706);
    path196.lineTo(size.width * 0.5353000, size.height * 0.2226371);
    path196.lineTo(size.width * 0.5356000, size.height * 0.2210035);
    path196.lineTo(size.width * 0.5367000, size.height * 0.2211202);
    path196.lineTo(size.width * 0.5375000, size.height * 0.2204201);
    path196.lineTo(size.width * 0.5375500, size.height * 0.2197200);
    path196.lineTo(size.width * 0.5380000, size.height * 0.2193699);
    path196.lineTo(size.width * 0.5381000, size.height * 0.2177363);
    path196.lineTo(size.width * 0.5386500, size.height * 0.2173862);
    path196.lineTo(size.width * 0.5390000, size.height * 0.2161027);
    path196.lineTo(size.width * 0.5397500, size.height * 0.2161027);
    path196.lineTo(size.width * 0.5399000, size.height * 0.2165694);
    path196.lineTo(size.width * 0.5408500, size.height * 0.2155193);
    path196.lineTo(size.width * 0.5422000, size.height * 0.2180863);
    path196.lineTo(size.width * 0.5436000, size.height * 0.2165694);
    path196.lineTo(size.width * 0.5448000, size.height * 0.2172695);
    path196.lineTo(size.width * 0.5465500, size.height * 0.2162194);
    path196.lineTo(size.width * 0.5490500, size.height * 0.2190198);
    path196.close();

    Paint paint196fill = Paint()..style = PaintingStyle.fill;
    paint196fill.color = countryColors.sK ?? defaultCountryColor;
    canvas.drawPath(path196, paint196fill);

    Path path197 = Path();
    path197.moveTo(size.width * 0.5349000, size.height * 0.2379230);
    path197.lineTo(size.width * 0.5329500, size.height * 0.2399067);
    path197.lineTo(size.width * 0.5328000, size.height * 0.2428238);
    path197.lineTo(size.width * 0.5319500, size.height * 0.2436406);
    path197.lineTo(size.width * 0.5320000, size.height * 0.2456243);
    path197.lineTo(size.width * 0.5310000, size.height * 0.2455076);
    path197.lineTo(size.width * 0.5301000, size.height * 0.2443407);
    path197.lineTo(size.width * 0.5297000, size.height * 0.2455076);
    path197.lineTo(size.width * 0.5279000, size.height * 0.2452742);
    path197.lineTo(size.width * 0.5284500, size.height * 0.2446908);
    path197.lineTo(size.width * 0.5277500, size.height * 0.2415403);
    path197.lineTo(size.width * 0.5279500, size.height * 0.2379230);
    path197.lineTo(size.width * 0.5300500, size.height * 0.2385064);
    path197.lineTo(size.width * 0.5312500, size.height * 0.2367561);
    path197.lineTo(size.width * 0.5334500, size.height * 0.2366394);
    path197.lineTo(size.width * 0.5339000, size.height * 0.2353559);
    path197.lineTo(size.width * 0.5343000, size.height * 0.2354726);
    path197.lineTo(size.width * 0.5349000, size.height * 0.2379230);
    path197.close();

    Paint paint197fill = Paint()..style = PaintingStyle.fill;
    paint197fill.color = countryColors.sI ?? defaultCountryColor;
    canvas.drawPath(path197, paint197fill);

    Path path198 = Path();
    path198.moveTo(size.width * 0.5441000, size.height * 0.1015169);
    path198.lineTo(size.width * 0.5406000, size.height * 0.1033839);
    path198.lineTo(size.width * 0.5388500, size.height * 0.1079347);
    path198.lineTo(size.width * 0.5395000, size.height * 0.1120187);
    path198.lineTo(size.width * 0.5364000, size.height * 0.1172695);
    path198.lineTo(size.width * 0.5325000, size.height * 0.1231039);
    path198.lineTo(size.width * 0.5314500, size.height * 0.1325554);
    path198.lineTo(size.width * 0.5333000, size.height * 0.1373396);
    path198.lineTo(size.width * 0.5357000, size.height * 0.1411902);
    path198.lineTo(size.width * 0.5340500, size.height * 0.1488915);
    path198.lineTo(size.width * 0.5317500, size.height * 0.1505251);
    path198.lineTo(size.width * 0.5314500, size.height * 0.1621937);
    path198.lineTo(size.width * 0.5304000, size.height * 0.1688448);
    path198.lineTo(size.width * 0.5275500, size.height * 0.1681447);
    path198.lineTo(size.width * 0.5264500, size.height * 0.1737456);
    path198.lineTo(size.width * 0.5237000, size.height * 0.1740957);
    path198.lineTo(size.width * 0.5227500, size.height * 0.1674446);
    path198.lineTo(size.width * 0.5205000, size.height * 0.1593932);
    path198.lineTo(size.width * 0.5184000, size.height * 0.1495916);
    path198.lineTo(size.width * 0.5193000, size.height * 0.1456243);
    path198.lineTo(size.width * 0.5210000, size.height * 0.1409568);
    path198.lineTo(size.width * 0.5214000, size.height * 0.1329055);
    path198.lineTo(size.width * 0.5198500, size.height * 0.1295216);
    path198.lineTo(size.width * 0.5193500, size.height * 0.1205368);
    path198.lineTo(size.width * 0.5205500, size.height * 0.1142357);
    path198.lineTo(size.width * 0.5227000, size.height * 0.1143524);
    path198.lineTo(size.width * 0.5233500, size.height * 0.1117853);
    path198.lineTo(size.width * 0.5224500, size.height * 0.1094516);
    path198.lineTo(size.width * 0.5253000, size.height * 0.1002334);
    path198.lineTo(size.width * 0.5270000, size.height * 0.09311552);
    path198.lineTo(size.width * 0.5281500, size.height * 0.08856476);
    path198.lineTo(size.width * 0.5301500, size.height * 0.08856476);
    path198.lineTo(size.width * 0.5304500, size.height * 0.08494749);
    path198.lineTo(size.width * 0.5344500, size.height * 0.08599767);
    path198.lineTo(size.width * 0.5344000, size.height * 0.08179697);
    path198.lineTo(size.width * 0.5357000, size.height * 0.08156359);
    path198.lineTo(size.width * 0.5387000, size.height * 0.08471412);
    path198.lineTo(size.width * 0.5423000, size.height * 0.08903151);
    path198.lineTo(size.width * 0.5432000, size.height * 0.09894982);
    path198.lineTo(size.width * 0.5441000, size.height * 0.1015169);
    path198.close();

    Paint paint198fill = Paint()..style = PaintingStyle.fill;
    paint198fill.color = countryColors.sE ?? defaultCountryColor;
    canvas.drawPath(path198, paint198fill);

    Path path199 = Path();
    path199.moveTo(size.width * 0.5808500, size.height * 0.7791132);
    path199.lineTo(size.width * 0.5811500, size.height * 0.7824971);
    path199.lineTo(size.width * 0.5813000, size.height * 0.7858810);
    path199.lineTo(size.width * 0.5806000, size.height * 0.7891482);
    path199.lineTo(size.width * 0.5790000, size.height * 0.7899650);
    path199.lineTo(size.width * 0.5774500, size.height * 0.7858810);
    path199.lineTo(size.width * 0.5775000, size.height * 0.7833139);
    path199.lineTo(size.width * 0.5783500, size.height * 0.7805134);
    path199.lineTo(size.width * 0.5786500, size.height * 0.7782964);
    path199.lineTo(size.width * 0.5795000, size.height * 0.7778296);
    path199.lineTo(size.width * 0.5808500, size.height * 0.7791132);
    path199.close();

    Paint paint199fill = Paint()..style = PaintingStyle.fill;
    paint199fill.color = countryColors.sZ ?? defaultCountryColor;
    canvas.drawPath(path199, paint199fill);

    Path path200 = Path();
    path200.moveTo(size.width * 0.5975000, size.height * 0.3354726);
    path200.lineTo(size.width * 0.5926500, size.height * 0.3435239);
    path200.lineTo(size.width * 0.5895000, size.height * 0.3404901);
    path200.lineTo(size.width * 0.5894500, size.height * 0.3404901);
    path200.lineTo(size.width * 0.5897500, size.height * 0.3393232);
    path200.lineTo(size.width * 0.5895500, size.height * 0.3362894);
    path200.lineTo(size.width * 0.5900000, size.height * 0.3322054);
    path200.lineTo(size.width * 0.5913500, size.height * 0.3292882);
    path200.lineTo(size.width * 0.5907500, size.height * 0.3263711);
    path200.lineTo(size.width * 0.5895000, size.height * 0.3260210);
    path200.lineTo(size.width * 0.5889500, size.height * 0.3203034);
    path200.lineTo(size.width * 0.5894500, size.height * 0.3171529);
    path200.lineTo(size.width * 0.5901000, size.height * 0.3155193);
    path200.lineTo(size.width * 0.5907000, size.height * 0.3138856);
    path200.lineTo(size.width * 0.5906000, size.height * 0.3098016);
    path200.lineTo(size.width * 0.5915500, size.height * 0.3112019);
    path200.lineTo(size.width * 0.5943500, size.height * 0.3091015);
    path200.lineTo(size.width * 0.5958500, size.height * 0.3105018);
    path200.lineTo(size.width * 0.5980500, size.height * 0.3105018);
    path200.lineTo(size.width * 0.6009000, size.height * 0.3077013);
    path200.lineTo(size.width * 0.6023500, size.height * 0.3078180);
    path200.lineTo(size.width * 0.6053000, size.height * 0.3066511);
    path200.lineTo(size.width * 0.6042500, size.height * 0.3113186);
    path200.lineTo(size.width * 0.6029000, size.height * 0.3131855);
    path200.lineTo(size.width * 0.6035000, size.height * 0.3186698);
    path200.lineTo(size.width * 0.6030000, size.height * 0.3276546);
    path200.lineTo(size.width * 0.5975000, size.height * 0.3354726);
    path200.close();

    Paint paint200fill = Paint()..style = PaintingStyle.fill;
    paint200fill.color = countryColors.sY ?? defaultCountryColor;
    canvas.drawPath(path200, paint200fill);

    Path path201 = Path();
    path201.moveTo(size.width * 0.5596000, size.height * 0.4388565);
    path201.lineTo(size.width * 0.5601500, size.height * 0.4686114);
    path201.lineTo(size.width * 0.5577500, size.height * 0.4680280);
    path201.lineTo(size.width * 0.5565000, size.height * 0.4736289);
    path201.lineTo(size.width * 0.5558500, size.height * 0.4781797);
    path201.lineTo(size.width * 0.5564500, size.height * 0.4799300);
    path201.lineTo(size.width * 0.5555500, size.height * 0.4822637);
    path201.lineTo(size.width * 0.5559000, size.height * 0.4854142);
    path201.lineTo(size.width * 0.5552000, size.height * 0.4884481);
    path201.lineTo(size.width * 0.5549500, size.height * 0.4912485);
    path201.lineTo(size.width * 0.5559000, size.height * 0.4907818);
    path201.lineTo(size.width * 0.5565500, size.height * 0.4936989);
    path201.lineTo(size.width * 0.5566000, size.height * 0.4980163);
    path201.lineTo(size.width * 0.5576500, size.height * 0.5002334);
    path201.lineTo(size.width * 0.5576500, size.height * 0.5021004);
    path201.lineTo(size.width * 0.5558500, size.height * 0.5033839);
    path201.lineTo(size.width * 0.5544500, size.height * 0.5064177);
    path201.lineTo(size.width * 0.5524500, size.height * 0.5145858);
    path201.lineTo(size.width * 0.5498500, size.height * 0.5180863);
    path201.lineTo(size.width * 0.5471000, size.height * 0.5176196);
    path201.lineTo(size.width * 0.5463000, size.height * 0.5183197);
    path201.lineTo(size.width * 0.5466000, size.height * 0.5208868);
    path201.lineTo(size.width * 0.5451500, size.height * 0.5235706);
    path201.lineTo(size.width * 0.5439500, size.height * 0.5264877);
    path201.lineTo(size.width * 0.5404000, size.height * 0.5292882);
    path201.lineTo(size.width * 0.5397000, size.height * 0.5276546);
    path201.lineTo(size.width * 0.5392000, size.height * 0.5274212);
    path201.lineTo(size.width * 0.5387000, size.height * 0.5294049);
    path201.lineTo(size.width * 0.5364000, size.height * 0.5299883);
    path201.lineTo(size.width * 0.5368000, size.height * 0.5278880);
    path201.lineTo(size.width * 0.5359000, size.height * 0.5227538);
    path201.lineTo(size.width * 0.5355000, size.height * 0.5197200);
    path201.lineTo(size.width * 0.5342500, size.height * 0.5184364);
    path201.lineTo(size.width * 0.5325500, size.height * 0.5140023);
    path201.lineTo(size.width * 0.5331500, size.height * 0.5105018);
    path201.lineTo(size.width * 0.5344500, size.height * 0.5112019);
    path201.lineTo(size.width * 0.5352500, size.height * 0.5107351);
    path201.lineTo(size.width * 0.5368500, size.height * 0.5107351);
    path201.lineTo(size.width * 0.5352500, size.height * 0.5039673);
    path201.lineTo(size.width * 0.5353500, size.height * 0.4989498);
    path201.lineTo(size.width * 0.5351000, size.height * 0.4940490);
    path201.lineTo(size.width * 0.5339500, size.height * 0.4892649);
    path201.lineTo(size.width * 0.5342500, size.height * 0.4856476);
    path201.lineTo(size.width * 0.5324000, size.height * 0.4855309);
    path201.lineTo(size.width * 0.5324000, size.height * 0.4807468);
    path201.lineTo(size.width * 0.5312000, size.height * 0.4779463);
    path201.lineTo(size.width * 0.5323500, size.height * 0.4680280);
    path201.lineTo(size.width * 0.5358500, size.height * 0.4610268);
    path201.lineTo(size.width * 0.5359500, size.height * 0.4512252);
    path201.lineTo(size.width * 0.5368500, size.height * 0.4360560);
    path201.lineTo(size.width * 0.5374500, size.height * 0.4327888);
    path201.lineTo(size.width * 0.5362500, size.height * 0.4302217);
    path201.lineTo(size.width * 0.5362000, size.height * 0.4278880);
    path201.lineTo(size.width * 0.5351000, size.height * 0.4259043);
    path201.lineTo(size.width * 0.5343000, size.height * 0.4142357);
    path201.lineTo(size.width * 0.5370500, size.height * 0.4101517);
    path201.lineTo(size.width * 0.5483000, size.height * 0.4245041);
    path201.lineTo(size.width * 0.5596000, size.height * 0.4388565);
    path201.close();

    Paint paint201fill = Paint()..style = PaintingStyle.fill;
    paint201fill.color = countryColors.tD ?? defaultCountryColor;
    canvas.drawPath(path201, paint201fill);

    Path path202 = Path();
    path202.moveTo(size.width * 0.4957000, size.height * 0.5031505);
    path202.lineTo(size.width * 0.4953500, size.height * 0.5071179);
    path202.lineTo(size.width * 0.4962000, size.height * 0.5093349);
    path202.lineTo(size.width * 0.4972000, size.height * 0.5119020);
    path202.lineTo(size.width * 0.4973000, size.height * 0.5156359);
    path202.lineTo(size.width * 0.4979000, size.height * 0.5171529);
    path202.lineTo(size.width * 0.4977500, size.height * 0.5344224);
    path202.lineTo(size.width * 0.4984500, size.height * 0.5395566);
    path202.lineTo(size.width * 0.4962000, size.height * 0.5411902);
    path202.lineTo(size.width * 0.4955500, size.height * 0.5385064);
    path202.lineTo(size.width * 0.4948000, size.height * 0.5337223);
    path202.lineTo(size.width * 0.4945500, size.height * 0.5299883);
    path202.lineTo(size.width * 0.4952000, size.height * 0.5233372);
    path202.lineTo(size.width * 0.4945000, size.height * 0.5205368);
    path202.lineTo(size.width * 0.4942000, size.height * 0.5147025);
    path202.lineTo(size.width * 0.4942000, size.height * 0.5092182);
    path202.lineTo(size.width * 0.4930500, size.height * 0.5053676);
    path202.lineTo(size.width * 0.4932500, size.height * 0.5030338);
    path202.lineTo(size.width * 0.4957000, size.height * 0.5031505);
    path202.close();

    Paint paint202fill = Paint()..style = PaintingStyle.fill;
    paint202fill.color = countryColors.tG ?? defaultCountryColor;
    canvas.drawPath(path202, paint202fill);

    Path path203 = Path();
    path203.moveTo(size.width * 0.7887500, size.height * 0.4786464);
    path203.lineTo(size.width * 0.7861000, size.height * 0.4775963);
    path203.lineTo(size.width * 0.7825500, size.height * 0.4789965);
    path203.lineTo(size.width * 0.7810000, size.height * 0.4851809);
    path203.lineTo(size.width * 0.7820500, size.height * 0.4942824);
    path203.lineTo(size.width * 0.7794000, size.height * 0.4907818);
    path203.lineTo(size.width * 0.7770000, size.height * 0.4910152);
    path203.lineTo(size.width * 0.7771500, size.height * 0.4850642);
    path203.lineTo(size.width * 0.7747000, size.height * 0.4850642);
    path203.lineTo(size.width * 0.7748000, size.height * 0.4933489);
    path203.lineTo(size.width * 0.7737000, size.height * 0.5043174);
    path203.lineTo(size.width * 0.7730000, size.height * 0.5109685);
    path203.lineTo(size.width * 0.7733500, size.height * 0.5163361);
    path203.lineTo(size.width * 0.7752000, size.height * 0.5165694);
    path203.lineTo(size.width * 0.7765500, size.height * 0.5234539);
    path203.lineTo(size.width * 0.7772000, size.height * 0.5298716);
    path203.lineTo(size.width * 0.7789000, size.height * 0.5341890);
    path203.lineTo(size.width * 0.7806000, size.height * 0.5350058);
    path203.lineTo(size.width * 0.7821500, size.height * 0.5389732);
    path203.lineTo(size.width * 0.7813000, size.height * 0.5420070);
    path203.lineTo(size.width * 0.7794500, size.height * 0.5429405);
    path203.lineTo(size.width * 0.7791500, size.height * 0.5390898);
    path203.lineTo(size.width * 0.7767500, size.height * 0.5358226);
    path203.lineTo(size.width * 0.7763000, size.height * 0.5371062);
    path203.lineTo(size.width * 0.7751500, size.height * 0.5343057);
    path203.lineTo(size.width * 0.7745500, size.height * 0.5305718);
    path203.lineTo(size.width * 0.7729500, size.height * 0.5263711);
    path203.lineTo(size.width * 0.7715000, size.height * 0.5227538);
    path203.lineTo(size.width * 0.7711500, size.height * 0.5271879);
    path203.lineTo(size.width * 0.7705000, size.height * 0.5229872);
    path203.lineTo(size.width * 0.7707000, size.height * 0.5183197);
    path203.lineTo(size.width * 0.7713000, size.height * 0.5112019);
    path203.lineTo(size.width * 0.7724000, size.height * 0.5035006);
    path203.lineTo(size.width * 0.7737000, size.height * 0.4964994);
    path203.lineTo(size.width * 0.7723500, size.height * 0.4896149);
    path203.lineTo(size.width * 0.7722500, size.height * 0.4861144);
    path203.lineTo(size.width * 0.7717500, size.height * 0.4819137);
    path203.lineTo(size.width * 0.7696000, size.height * 0.4759627);
    path203.lineTo(size.width * 0.7687000, size.height * 0.4722287);
    path203.lineTo(size.width * 0.7696000, size.height * 0.4708285);
    path203.lineTo(size.width * 0.7703000, size.height * 0.4644107);
    path203.lineTo(size.width * 0.7688500, size.height * 0.4593932);
    path203.lineTo(size.width * 0.7668000, size.height * 0.4539090);
    path203.lineTo(size.width * 0.7650500, size.height * 0.4473746);
    path203.lineTo(size.width * 0.7661500, size.height * 0.4459743);
    path203.lineTo(size.width * 0.7669000, size.height * 0.4379230);
    path203.lineTo(size.width * 0.7688500, size.height * 0.4375729);
    path203.lineTo(size.width * 0.7702500, size.height * 0.4343057);
    path203.lineTo(size.width * 0.7717500, size.height * 0.4325554);
    path203.lineTo(size.width * 0.7731000, size.height * 0.4348891);
    path203.lineTo(size.width * 0.7735500, size.height * 0.4394399);
    path203.lineTo(size.width * 0.7754500, size.height * 0.4397900);
    path203.lineTo(size.width * 0.7752500, size.height * 0.4476079);
    path203.lineTo(size.width * 0.7757500, size.height * 0.4543757);
    path203.lineTo(size.width * 0.7784000, size.height * 0.4499417);
    path203.lineTo(size.width * 0.7793500, size.height * 0.4512252);
    path203.lineTo(size.width * 0.7809500, size.height * 0.4509918);
    path203.lineTo(size.width * 0.7813500, size.height * 0.4484247);
    path203.lineTo(size.width * 0.7835000, size.height * 0.4488915);
    path203.lineTo(size.width * 0.7860000, size.height * 0.4549592);
    path203.lineTo(size.width * 0.7866500, size.height * 0.4624271);
    path203.lineTo(size.width * 0.7893000, size.height * 0.4689615);
    path203.lineTo(size.width * 0.7895000, size.height * 0.4752625);
    path203.lineTo(size.width * 0.7887500, size.height * 0.4786464);
    path203.close();

    Paint paint203fill = Paint()..style = PaintingStyle.fill;
    paint203fill.color = countryColors.tH ?? defaultCountryColor;
    canvas.drawPath(path203, paint203fill);

    Path path204 = Path();
    path204.moveTo(size.width * 0.6785000, size.height * 0.2842474);
    path204.lineTo(size.width * 0.6778000, size.height * 0.2864644);
    path204.lineTo(size.width * 0.6748000, size.height * 0.2852975);
    path204.lineTo(size.width * 0.6751000, size.height * 0.2894982);
    path204.lineTo(size.width * 0.6778500, size.height * 0.2889148);
    path204.lineTo(size.width * 0.6814000, size.height * 0.2913652);
    path204.lineTo(size.width * 0.6862000, size.height * 0.2901984);
    path204.lineTo(size.width * 0.6877500, size.height * 0.2971995);
    path204.lineTo(size.width * 0.6885000, size.height * 0.2963827);
    path204.lineTo(size.width * 0.6903500, size.height * 0.2981330);
    path204.lineTo(size.width * 0.6906000, size.height * 0.3010502);
    path204.lineTo(size.width * 0.6915000, size.height * 0.3052509);
    path204.lineTo(size.width * 0.6888000, size.height * 0.3052509);
    path204.lineTo(size.width * 0.6869000, size.height * 0.3046674);
    path204.lineTo(size.width * 0.6856500, size.height * 0.3080513);
    path204.lineTo(size.width * 0.6845500, size.height * 0.3087515);
    path204.lineTo(size.width * 0.6838000, size.height * 0.3103851);
    path204.lineTo(size.width * 0.6824500, size.height * 0.3079347);
    path204.lineTo(size.width * 0.6820000, size.height * 0.3016336);
    path204.lineTo(size.width * 0.6811500, size.height * 0.3012835);
    path204.lineTo(size.width * 0.6812000, size.height * 0.2989498);
    path204.lineTo(size.width * 0.6795500, size.height * 0.2973162);
    path204.lineTo(size.width * 0.6787000, size.height * 0.2998833);
    path204.lineTo(size.width * 0.6788000, size.height * 0.3029172);
    path204.lineTo(size.width * 0.6785000, size.height * 0.3039673);
    path204.lineTo(size.width * 0.6769000, size.height * 0.3038506);
    path204.lineTo(size.width * 0.6764500, size.height * 0.3072345);
    path204.lineTo(size.width * 0.6754000, size.height * 0.3058343);
    path204.lineTo(size.width * 0.6737000, size.height * 0.3081680);
    path204.lineTo(size.width * 0.6728000, size.height * 0.3073512);
    path204.lineTo(size.width * 0.6734500, size.height * 0.2997666);
    path204.lineTo(size.width * 0.6722500, size.height * 0.2941657);
    path204.lineTo(size.width * 0.6701500, size.height * 0.2924154);
    path204.lineTo(size.width * 0.6704500, size.height * 0.2891482);
    path204.lineTo(size.width * 0.6726500, size.height * 0.2894982);
    path204.lineTo(size.width * 0.6734000, size.height * 0.2854142);
    path204.lineTo(size.width * 0.6736500, size.height * 0.2806301);
    path204.lineTo(size.width * 0.6769000, size.height * 0.2788798);
    path204.lineTo(size.width * 0.6768000, size.height * 0.2823804);
    path204.lineTo(size.width * 0.6774500, size.height * 0.2843641);
    path204.lineTo(size.width * 0.6785000, size.height * 0.2842474);
    path204.close();

    Paint paint204fill = Paint()..style = PaintingStyle.fill;
    paint204fill.color = countryColors.tJ ?? defaultCountryColor;
    canvas.drawPath(path204, paint204fill);

    Path path205 = Path();
    path205.moveTo(size.width * 0.6691500, size.height * 0.3057176);
    path205.lineTo(size.width * 0.6683500, size.height * 0.3054842);
    path205.lineTo(size.width * 0.6669000, size.height * 0.3035006);
    path205.lineTo(size.width * 0.6667500, size.height * 0.3060677);
    path205.lineTo(size.width * 0.6646500, size.height * 0.3075846);
    path205.lineTo(size.width * 0.6647500, size.height * 0.3135356);
    path205.lineTo(size.width * 0.6634500, size.height * 0.3158693);
    path205.lineTo(size.width * 0.6614500, size.height * 0.3169195);
    path205.lineTo(size.width * 0.6612500, size.height * 0.3203034);
    path205.lineTo(size.width * 0.6593000, size.height * 0.3213536);
    path205.lineTo(size.width * 0.6563500, size.height * 0.3184364);
    path205.lineTo(size.width * 0.6555000, size.height * 0.3122520);
    path205.lineTo(size.width * 0.6535000, size.height * 0.3119020);
    path205.lineTo(size.width * 0.6498500, size.height * 0.3053676);
    path205.lineTo(size.width * 0.6477000, size.height * 0.3045508);
    path205.lineTo(size.width * 0.6444000, size.height * 0.3007001);
    path205.lineTo(size.width * 0.6424500, size.height * 0.3000000);
    path205.lineTo(size.width * 0.6414500, size.height * 0.3014002);
    path205.lineTo(size.width * 0.6396500, size.height * 0.3011669);
    path205.lineTo(size.width * 0.6381500, size.height * 0.3054842);
    path205.lineTo(size.width * 0.6359500, size.height * 0.3068845);
    path205.lineTo(size.width * 0.6350000, size.height * 0.3016336);
    path205.lineTo(size.width * 0.6347000, size.height * 0.2938156);
    path205.lineTo(size.width * 0.6324000, size.height * 0.2912485);
    path205.lineTo(size.width * 0.6326000, size.height * 0.2862310);
    path205.lineTo(size.width * 0.6308500, size.height * 0.2857643);
    path205.lineTo(size.width * 0.6308000, size.height * 0.2794632);
    path205.lineTo(size.width * 0.6334500, size.height * 0.2813302);
    path205.lineTo(size.width * 0.6355000, size.height * 0.2789965);
    path205.lineTo(size.width * 0.6331500, size.height * 0.2744457);
    path205.lineTo(size.width * 0.6319500, size.height * 0.2702450);
    path205.lineTo(size.width * 0.6300500, size.height * 0.2721120);
    path205.lineTo(size.width * 0.6303500, size.height * 0.2775963);
    path205.lineTo(size.width * 0.6290500, size.height * 0.2728121);
    path205.lineTo(size.width * 0.6299500, size.height * 0.2702450);
    path205.lineTo(size.width * 0.6327500, size.height * 0.2687281);
    path205.lineTo(size.width * 0.6347000, size.height * 0.2708285);
    path205.lineTo(size.width * 0.6371000, size.height * 0.2766628);
    path205.lineTo(size.width * 0.6384000, size.height * 0.2763127);
    path205.lineTo(size.width * 0.6413500, size.height * 0.2761960);
    path205.lineTo(size.width * 0.6405000, size.height * 0.2724621);
    path205.lineTo(size.width * 0.6424000, size.height * 0.2698950);
    path205.lineTo(size.width * 0.6441000, size.height * 0.2655776);
    path205.lineTo(size.width * 0.6480500, size.height * 0.2695449);
    path205.lineTo(size.width * 0.6490000, size.height * 0.2753792);
    path205.lineTo(size.width * 0.6501500, size.height * 0.2768961);
    path205.lineTo(size.width * 0.6529000, size.height * 0.2765461);
    path205.lineTo(size.width * 0.6539500, size.height * 0.2779463);
    path205.lineTo(size.width * 0.6561000, size.height * 0.2856476);
    path205.lineTo(size.width * 0.6596500, size.height * 0.2907818);
    path205.lineTo(size.width * 0.6617500, size.height * 0.2942824);
    path205.lineTo(size.width * 0.6649000, size.height * 0.2978996);
    path205.lineTo(size.width * 0.6687500, size.height * 0.3011669);
    path205.lineTo(size.width * 0.6691500, size.height * 0.3057176);
    path205.close();

    Paint paint205fill = Paint()..style = PaintingStyle.fill;
    paint205fill.color = countryColors.tM ?? defaultCountryColor;
    canvas.drawPath(path205, paint205fill);

    Path path206 = Path();
    path206.moveTo(size.width * 0.8463500, size.height * 0.6558926);
    path206.lineTo(size.width * 0.8464000, size.height * 0.6536756);
    path206.lineTo(size.width * 0.8461500, size.height * 0.6521587);
    path206.lineTo(size.width * 0.8465500, size.height * 0.6504084);
    path206.lineTo(size.width * 0.8490000, size.height * 0.6487748);
    path206.lineTo(size.width * 0.8510000, size.height * 0.6484247);
    path206.lineTo(size.width * 0.8519000, size.height * 0.6474912);
    path206.lineTo(size.width * 0.8529500, size.height * 0.6484247);
    path206.lineTo(size.width * 0.8518500, size.height * 0.6505251);
    path206.lineTo(size.width * 0.8488000, size.height * 0.6537923);
    path206.lineTo(size.width * 0.8463500, size.height * 0.6558926);
    path206.close();

    Paint paint206fill = Paint()..style = PaintingStyle.fill;
    paint206fill.color = countryColors.tL ?? defaultCountryColor;
    canvas.drawPath(path206, paint206fill);

    Path path207 = Path();
    path207.moveTo(size.width * 0.5241000, size.height * 0.3373396);
    path207.lineTo(size.width * 0.5240500, size.height * 0.3430572);
    path207.lineTo(size.width * 0.5227500, size.height * 0.3451575);
    path207.lineTo(size.width * 0.5219500, size.height * 0.3476079);
    path207.lineTo(size.width * 0.5201500, size.height * 0.3505251);
    path207.lineTo(size.width * 0.5204500, size.height * 0.3535589);
    path207.lineTo(size.width * 0.5202500, size.height * 0.3568261);
    path207.lineTo(size.width * 0.5189500, size.height * 0.3584597);
    path207.lineTo(size.width * 0.5176500, size.height * 0.3450408);
    path207.lineTo(size.width * 0.5159500, size.height * 0.3420070);
    path207.lineTo(size.width * 0.5159000, size.height * 0.3402567);
    path207.lineTo(size.width * 0.5136500, size.height * 0.3357060);
    path207.lineTo(size.width * 0.5133500, size.height * 0.3301050);
    path207.lineTo(size.width * 0.5149500, size.height * 0.3259043);
    path207.lineTo(size.width * 0.5155000, size.height * 0.3197200);
    path207.lineTo(size.width * 0.5150000, size.height * 0.3126021);
    path207.lineTo(size.width * 0.5155000, size.height * 0.3087515);
    path207.lineTo(size.width * 0.5183500, size.height * 0.3058343);
    path207.lineTo(size.width * 0.5202000, size.height * 0.3066511);
    path207.lineTo(size.width * 0.5202000, size.height * 0.3105018);
    path207.lineTo(size.width * 0.5224000, size.height * 0.3077013);
    path207.lineTo(size.width * 0.5226000, size.height * 0.3091015);
    path207.lineTo(size.width * 0.5213500, size.height * 0.3128355);
    path207.lineTo(size.width * 0.5214000, size.height * 0.3162194);
    path207.lineTo(size.width * 0.5223500, size.height * 0.3180863);
    path207.lineTo(size.width * 0.5221000, size.height * 0.3246208);
    path207.lineTo(size.width * 0.5203500, size.height * 0.3283547);
    path207.lineTo(size.width * 0.5209500, size.height * 0.3324387);
    path207.lineTo(size.width * 0.5223500, size.height * 0.3325554);
    path207.lineTo(size.width * 0.5230500, size.height * 0.3361727);
    path207.lineTo(size.width * 0.5241000, size.height * 0.3373396);
    path207.close();

    Paint paint207fill = Paint()..style = PaintingStyle.fill;
    paint207fill.color = countryColors.tN ?? defaultCountryColor;
    canvas.drawPath(path207, paint207fill);

    Path path208 = Path();
    path208.moveTo(size.width * 0.6008500, size.height * 0.2745624);
    path208.lineTo(size.width * 0.6036000, size.height * 0.2742124);
    path208.lineTo(size.width * 0.6064000, size.height * 0.2779463);
    path208.lineTo(size.width * 0.6070500, size.height * 0.2805134);
    path208.lineTo(size.width * 0.6071000, size.height * 0.2841307);
    path208.lineTo(size.width * 0.6092000, size.height * 0.2859977);
    path208.lineTo(size.width * 0.6104000, size.height * 0.2880980);
    path208.lineTo(size.width * 0.6087500, size.height * 0.2903151);
    path208.lineTo(size.width * 0.6102000, size.height * 0.2988331);
    path208.lineTo(size.width * 0.6098500, size.height * 0.3011669);
    path208.lineTo(size.width * 0.6117500, size.height * 0.3071179);
    path208.lineTo(size.width * 0.6105500, size.height * 0.3084014);
    path208.lineTo(size.width * 0.6095000, size.height * 0.3065344);
    path208.lineTo(size.width * 0.6063500, size.height * 0.3054842);
    path208.lineTo(size.width * 0.6053000, size.height * 0.3066511);
    path208.lineTo(size.width * 0.6023500, size.height * 0.3078180);
    path208.lineTo(size.width * 0.6009000, size.height * 0.3077013);
    path208.lineTo(size.width * 0.5980500, size.height * 0.3105018);
    path208.lineTo(size.width * 0.5958500, size.height * 0.3105018);
    path208.lineTo(size.width * 0.5943500, size.height * 0.3091015);
    path208.lineTo(size.width * 0.5915500, size.height * 0.3112019);
    path208.lineTo(size.width * 0.5906000, size.height * 0.3098016);
    path208.lineTo(size.width * 0.5907000, size.height * 0.3138856);
    path208.lineTo(size.width * 0.5901000, size.height * 0.3155193);
    path208.lineTo(size.width * 0.5894500, size.height * 0.3171529);
    path208.lineTo(size.width * 0.5883000, size.height * 0.3137690);
    path208.lineTo(size.width * 0.5891500, size.height * 0.3109685);
    path208.lineTo(size.width * 0.5875500, size.height * 0.3116686);
    path208.lineTo(size.width * 0.5852500, size.height * 0.3099183);
    path208.lineTo(size.width * 0.5836500, size.height * 0.3142357);
    path208.lineTo(size.width * 0.5796500, size.height * 0.3150525);
    path208.lineTo(size.width * 0.5773000, size.height * 0.3110852);
    path208.lineTo(size.width * 0.5744500, size.height * 0.3108518);
    path208.lineTo(size.width * 0.5739500, size.height * 0.3138856);
    path208.lineTo(size.width * 0.5721500, size.height * 0.3148191);
    path208.lineTo(size.width * 0.5694500, size.height * 0.3108518);
    path208.lineTo(size.width * 0.5665500, size.height * 0.3109685);
    path208.lineTo(size.width * 0.5646500, size.height * 0.3035006);
    path208.lineTo(size.width * 0.5625500, size.height * 0.2994166);
    path208.lineTo(size.width * 0.5635500, size.height * 0.2935823);
    path208.lineTo(size.width * 0.5617500, size.height * 0.2899650);
    path208.lineTo(size.width * 0.5643000, size.height * 0.2828471);
    path208.lineTo(size.width * 0.5683000, size.height * 0.2826138);
    path208.lineTo(size.width * 0.5691000, size.height * 0.2768961);
    path208.lineTo(size.width * 0.5741000, size.height * 0.2779463);
    path208.lineTo(size.width * 0.5769000, size.height * 0.2731622);
    path208.lineTo(size.width * 0.5798000, size.height * 0.2710618);
    path208.lineTo(size.width * 0.5840500, size.height * 0.2708285);
    path208.lineTo(size.width * 0.5889500, size.height * 0.2760793);
    path208.lineTo(size.width * 0.5929000, size.height * 0.2789965);
    path208.lineTo(size.width * 0.5958000, size.height * 0.2778296);
    path208.lineTo(size.width * 0.5981000, size.height * 0.2785298);
    path208.lineTo(size.width * 0.6008500, size.height * 0.2745624);
    path208.close();

    Paint paint208fill = Paint()..style = PaintingStyle.fill;
    paint208fill.color = countryColors.tR ?? defaultCountryColor;
    canvas.drawPath(path208, paint208fill);

    Path path209 = Path();
    path209.moveTo(size.width * 0.5609500, size.height * 0.2799300);
    path209.lineTo(size.width * 0.5615500, size.height * 0.2791132);
    path209.lineTo(size.width * 0.5621000, size.height * 0.2744457);
    path209.lineTo(size.width * 0.5607500, size.height * 0.2724621);
    path209.lineTo(size.width * 0.5632500, size.height * 0.2701284);
    path209.lineTo(size.width * 0.5655500, size.height * 0.2710618);
    path209.lineTo(size.width * 0.5660000, size.height * 0.2739790);
    path209.lineTo(size.width * 0.5684000, size.height * 0.2763127);
    path209.lineTo(size.width * 0.5680500, size.height * 0.2781797);
    path209.lineTo(size.width * 0.5649500, size.height * 0.2785298);
    path209.lineTo(size.width * 0.5639500, size.height * 0.2808635);
    path209.lineTo(size.width * 0.5620000, size.height * 0.2848308);
    path209.lineTo(size.width * 0.5610000, size.height * 0.2814469);
    path209.lineTo(size.width * 0.5609500, size.height * 0.2799300);
    path209.close();

    Paint paint209fill = Paint()..style = PaintingStyle.fill;
    paint209fill.color = countryColors.tR ?? defaultCountryColor;
    canvas.drawPath(path209, paint209fill);

    Path path210 = Path();
    path210.moveTo(size.width * 0.8289500, size.height * 0.4148191);
    path210.lineTo(size.width * 0.8282500, size.height * 0.4210035);
    path210.lineTo(size.width * 0.8262500, size.height * 0.4145858);
    path210.lineTo(size.width * 0.8255000, size.height * 0.4091015);
    path210.lineTo(size.width * 0.8264500, size.height * 0.4017503);
    path210.lineTo(size.width * 0.8281000, size.height * 0.3960327);
    path210.lineTo(size.width * 0.8296000, size.height * 0.3982497);
    path210.lineTo(size.width * 0.8295500, size.height * 0.4028005);
    path210.lineTo(size.width * 0.8289500, size.height * 0.4148191);
    path210.close();

    Paint paint210fill = Paint()..style = PaintingStyle.fill;
    paint210fill.color = countryColors.tW ?? defaultCountryColor;
    canvas.drawPath(path210, paint210fill);

    Path path211 = Path();
    path211.moveTo(size.width * 0.5835000, size.height * 0.5932322);
    path211.lineTo(size.width * 0.5834000, size.height * 0.5977830);
    path211.lineTo(size.width * 0.5828500, size.height * 0.6030338);
    path211.lineTo(size.width * 0.5836500, size.height * 0.6059510);
    path211.lineTo(size.width * 0.5849000, size.height * 0.6042007);
    path211.lineTo(size.width * 0.5865500, size.height * 0.6037340);
    path211.lineTo(size.width * 0.5869000, size.height * 0.6046674);
    path211.lineTo(size.width * 0.5885500, size.height * 0.6028005);
    path211.lineTo(size.width * 0.5874000, size.height * 0.6002334);
    path211.lineTo(size.width * 0.5883500, size.height * 0.5968495);
    path211.lineTo(size.width * 0.5897500, size.height * 0.5934656);
    path211.lineTo(size.width * 0.6000000, size.height * 0.6087515);
    path211.lineTo(size.width * 0.6001500, size.height * 0.6130688);
    path211.lineTo(size.width * 0.6042000, size.height * 0.6205368);
    path211.lineTo(size.width * 0.6028000, size.height * 0.6298716);
    path211.lineTo(size.width * 0.6029500, size.height * 0.6340723);
    path211.lineTo(size.width * 0.6047000, size.height * 0.6367561);
    path211.lineTo(size.width * 0.6048000, size.height * 0.6387398);
    path211.lineTo(size.width * 0.6039500, size.height * 0.6432905);
    path211.lineTo(size.width * 0.6041000, size.height * 0.6455076);
    path211.lineTo(size.width * 0.6039000, size.height * 0.6491249);
    path211.lineTo(size.width * 0.6048000, size.height * 0.6537923);
    path211.lineTo(size.width * 0.6059000, size.height * 0.6612602);
    path211.lineTo(size.width * 0.6069000, size.height * 0.6628938);
    path211.lineTo(size.width * 0.6046000, size.height * 0.6672112);
    path211.lineTo(size.width * 0.6015000, size.height * 0.6701284);
    path211.lineTo(size.width * 0.5998000, size.height * 0.6700117);
    path211.lineTo(size.width * 0.5987500, size.height * 0.6722287);
    path211.lineTo(size.width * 0.5968000, size.height * 0.6724621);
    path211.lineTo(size.width * 0.5960500, size.height * 0.6733956);
    path211.lineTo(size.width * 0.5927000, size.height * 0.6712952);
    path211.lineTo(size.width * 0.5916000, size.height * 0.6715286);
    path211.lineTo(size.width * 0.5916500, size.height * 0.6714119);
    path211.lineTo(size.width * 0.5907500, size.height * 0.6686114);
    path211.lineTo(size.width * 0.5906000, size.height * 0.6606768);
    path211.lineTo(size.width * 0.5891500, size.height * 0.6567095);
    path211.lineTo(size.width * 0.5889500, size.height * 0.6581097);
    path211.lineTo(size.width * 0.5884500, size.height * 0.6561260);
    path211.lineTo(size.width * 0.5857000, size.height * 0.6547258);
    path211.lineTo(size.width * 0.5841000, size.height * 0.6525088);
    path211.lineTo(size.width * 0.5823000, size.height * 0.6512252);
    path211.lineTo(size.width * 0.5812000, size.height * 0.6499417);
    path211.lineTo(size.width * 0.5810500, size.height * 0.6497083);
    path211.lineTo(size.width * 0.5797000, size.height * 0.6420070);
    path211.lineTo(size.width * 0.5795000, size.height * 0.6374562);
    path211.lineTo(size.width * 0.5772500, size.height * 0.6323221);
    path211.lineTo(size.width * 0.5779500, size.height * 0.6295216);
    path211.lineTo(size.width * 0.5774000, size.height * 0.6264877);
    path211.lineTo(size.width * 0.5775000, size.height * 0.6233372);
    path211.lineTo(size.width * 0.5770000, size.height * 0.6222870);
    path211.lineTo(size.width * 0.5771500, size.height * 0.6190198);
    path211.lineTo(size.width * 0.5774500, size.height * 0.6189032);
    path211.lineTo(size.width * 0.5784500, size.height * 0.6162194);
    path211.lineTo(size.width * 0.5796000, size.height * 0.6122520);
    path211.lineTo(size.width * 0.5803000, size.height * 0.6107351);
    path211.lineTo(size.width * 0.5803000, size.height * 0.6082847);
    path211.lineTo(size.width * 0.5797000, size.height * 0.6065344);
    path211.lineTo(size.width * 0.5795500, size.height * 0.6036173);
    path211.lineTo(size.width * 0.5803500, size.height * 0.6026838);
    path211.lineTo(size.width * 0.5805000, size.height * 0.5982497);
    path211.lineTo(size.width * 0.5794000, size.height * 0.5940490);
    path211.lineTo(size.width * 0.5804000, size.height * 0.5931155);
    path211.lineTo(size.width * 0.5835000, size.height * 0.5932322);
    path211.close();

    Paint paint211fill = Paint()..style = PaintingStyle.fill;
    paint211fill.color = countryColors.tZ ?? defaultCountryColor;
    canvas.drawPath(path211, paint211fill);

    Path path212 = Path();
    path212.moveTo(size.width * 0.5895000, size.height * 0.5536756);
    path212.lineTo(size.width * 0.5908500, size.height * 0.5589265);
    path212.lineTo(size.width * 0.5912000, size.height * 0.5626604);
    path212.lineTo(size.width * 0.5925000, size.height * 0.5712952);
    path212.lineTo(size.width * 0.5914500, size.height * 0.5767795);
    path212.lineTo(size.width * 0.5900500, size.height * 0.5816803);
    path212.lineTo(size.width * 0.5892500, size.height * 0.5847141);
    path212.lineTo(size.width * 0.5892500, size.height * 0.5850642);
    path212.lineTo(size.width * 0.5891500, size.height * 0.5845974);
    path212.lineTo(size.width * 0.5876500, size.height * 0.5830805);
    path212.lineTo(size.width * 0.5864500, size.height * 0.5849475);
    path212.lineTo(size.width * 0.5846500, size.height * 0.5859977);
    path212.lineTo(size.width * 0.5833500, size.height * 0.5903151);
    path212.lineTo(size.width * 0.5835000, size.height * 0.5932322);
    path212.lineTo(size.width * 0.5804000, size.height * 0.5931155);
    path212.lineTo(size.width * 0.5794000, size.height * 0.5940490);
    path212.lineTo(size.width * 0.5777000, size.height * 0.5963827);
    path212.lineTo(size.width * 0.5770000, size.height * 0.5955659);
    path212.lineTo(size.width * 0.5770500, size.height * 0.5899650);
    path212.lineTo(size.width * 0.5777000, size.height * 0.5870478);
    path212.lineTo(size.width * 0.5778500, size.height * 0.5810968);
    path212.lineTo(size.width * 0.5784500, size.height * 0.5775963);
    path212.lineTo(size.width * 0.5795500, size.height * 0.5737456);
    path212.lineTo(size.width * 0.5806000, size.height * 0.5716453);
    path212.lineTo(size.width * 0.5815500, size.height * 0.5690782);
    path212.lineTo(size.width * 0.5804000, size.height * 0.5680280);
    path212.lineTo(size.width * 0.5805500, size.height * 0.5592765);
    path212.lineTo(size.width * 0.5817000, size.height * 0.5571762);
    path212.lineTo(size.width * 0.5835000, size.height * 0.5589265);
    path212.lineTo(size.width * 0.5857500, size.height * 0.5571762);
    path212.lineTo(size.width * 0.5877500, size.height * 0.5571762);
    path212.lineTo(size.width * 0.5895000, size.height * 0.5536756);
    path212.close();

    Paint paint212fill = Paint()..style = PaintingStyle.fill;
    paint212fill.color = countryColors.uG ?? defaultCountryColor;
    canvas.drawPath(path212, paint212fill);

    Path path213 = Path();
    path213.moveTo(size.width * 0.5786000, size.height * 0.2037340);
    path213.lineTo(size.width * 0.5797500, size.height * 0.2068845);
    path213.lineTo(size.width * 0.5798000, size.height * 0.2082847);
    path213.lineTo(size.width * 0.5831500, size.height * 0.2108518);
    path213.lineTo(size.width * 0.5849500, size.height * 0.2096849);
    path213.lineTo(size.width * 0.5867500, size.height * 0.2130688);
    path213.lineTo(size.width * 0.5882000, size.height * 0.2129522);
    path213.lineTo(size.width * 0.5920500, size.height * 0.2152859);
    path213.lineTo(size.width * 0.5922500, size.height * 0.2175029);
    path213.lineTo(size.width * 0.5916000, size.height * 0.2212369);
    path213.lineTo(size.width * 0.5925000, size.height * 0.2253209);
    path213.lineTo(size.width * 0.5923500, size.height * 0.2277713);
    path213.lineTo(size.width * 0.5899500, size.height * 0.2282380);
    path213.lineTo(size.width * 0.5888500, size.height * 0.2303384);
    path213.lineTo(size.width * 0.5890500, size.height * 0.2334889);
    path213.lineTo(size.width * 0.5871000, size.height * 0.2340723);
    path213.lineTo(size.width * 0.5856000, size.height * 0.2365228);
    path213.lineTo(size.width * 0.5833000, size.height * 0.2368728);
    path213.lineTo(size.width * 0.5813000, size.height * 0.2396733);
    path213.lineTo(size.width * 0.5818000, size.height * 0.2442240);
    path213.lineTo(size.width * 0.5832000, size.height * 0.2459743);
    path213.lineTo(size.width * 0.5857500, size.height * 0.2455076);
    path213.lineTo(size.width * 0.5854500, size.height * 0.2481914);
    path213.lineTo(size.width * 0.5827500, size.height * 0.2494749);
    path213.lineTo(size.width * 0.5796000, size.height * 0.2536756);
    path213.lineTo(size.width * 0.5780500, size.height * 0.2521587);
    path213.lineTo(size.width * 0.5784000, size.height * 0.2487748);
    path213.lineTo(size.width * 0.5754500, size.height * 0.2465578);
    path213.lineTo(size.width * 0.5758000, size.height * 0.2451575);
    path213.lineTo(size.width * 0.5781000, size.height * 0.2427071);
    path213.lineTo(size.width * 0.5772500, size.height * 0.2410735);
    path213.lineTo(size.width * 0.5732000, size.height * 0.2392065);
    path213.lineTo(size.width * 0.5728000, size.height * 0.2364061);
    path213.lineTo(size.width * 0.5705500, size.height * 0.2373396);
    path213.lineTo(size.width * 0.5699000, size.height * 0.2414236);
    path213.lineTo(size.width * 0.5682500, size.height * 0.2467911);
    path213.lineTo(size.width * 0.5670500, size.height * 0.2455076);
    path213.lineTo(size.width * 0.5659000, size.height * 0.2467911);
    path213.lineTo(size.width * 0.5647000, size.height * 0.2453909);
    path213.lineTo(size.width * 0.5653000, size.height * 0.2445741);
    path213.lineTo(size.width * 0.5656000, size.height * 0.2421237);
    path213.lineTo(size.width * 0.5661500, size.height * 0.2396733);
    path213.lineTo(size.width * 0.5658500, size.height * 0.2383897);
    path213.lineTo(size.width * 0.5663500, size.height * 0.2378063);
    path213.lineTo(size.width * 0.5666500, size.height * 0.2388565);
    path213.lineTo(size.width * 0.5681500, size.height * 0.2390898);
    path213.lineTo(size.width * 0.5688000, size.height * 0.2385064);
    path213.lineTo(size.width * 0.5683000, size.height * 0.2378063);
    path213.lineTo(size.width * 0.5684000, size.height * 0.2366394);
    path213.lineTo(size.width * 0.5674000, size.height * 0.2347725);
    path213.lineTo(size.width * 0.5668500, size.height * 0.2317386);
    path213.lineTo(size.width * 0.5658500, size.height * 0.2305718);
    path213.lineTo(size.width * 0.5659000, size.height * 0.2281214);
    path213.lineTo(size.width * 0.5646000, size.height * 0.2261377);
    path213.lineTo(size.width * 0.5636000, size.height * 0.2257876);
    path213.lineTo(size.width * 0.5616000, size.height * 0.2235706);
    path213.lineTo(size.width * 0.5600000, size.height * 0.2242707);
    path213.lineTo(size.width * 0.5594500, size.height * 0.2253209);
    path213.lineTo(size.width * 0.5584000, size.height * 0.2253209);
    path213.lineTo(size.width * 0.5579000, size.height * 0.2270712);
    path213.lineTo(size.width * 0.5561000, size.height * 0.2277713);
    path213.lineTo(size.width * 0.5553000, size.height * 0.2289382);
    path213.lineTo(size.width * 0.5540500, size.height * 0.2270712);
    path213.lineTo(size.width * 0.5524500, size.height * 0.2270712);
    path213.lineTo(size.width * 0.5508500, size.height * 0.2262544);
    path213.lineTo(size.width * 0.5498500, size.height * 0.2278880);
    path213.lineTo(size.width * 0.5496000, size.height * 0.2259043);
    path213.lineTo(size.width * 0.5481000, size.height * 0.2239207);
    path213.lineTo(size.width * 0.5484500, size.height * 0.2210035);
    path213.lineTo(size.width * 0.5490500, size.height * 0.2190198);
    path213.lineTo(size.width * 0.5496000, size.height * 0.2194866);
    path213.lineTo(size.width * 0.5488000, size.height * 0.2162194);
    path213.lineTo(size.width * 0.5507000, size.height * 0.2101517);
    path213.lineTo(size.width * 0.5518500, size.height * 0.2093349);
    path213.lineTo(size.width * 0.5520000, size.height * 0.2073512);
    path213.lineTo(size.width * 0.5504000, size.height * 0.2010502);
    path213.lineTo(size.width * 0.5515500, size.height * 0.2007001);
    path213.lineTo(size.width * 0.5527500, size.height * 0.1988331);
    path213.lineTo(size.width * 0.5546500, size.height * 0.1985998);
    path213.lineTo(size.width * 0.5571000, size.height * 0.1991832);
    path213.lineTo(size.width * 0.5599500, size.height * 0.2009335);
    path213.lineTo(size.width * 0.5619000, size.height * 0.2010502);
    path213.lineTo(size.width * 0.5628500, size.height * 0.2021004);
    path213.lineTo(size.width * 0.5637000, size.height * 0.2008168);
    path213.lineTo(size.width * 0.5644500, size.height * 0.2025671);
    path213.lineTo(size.width * 0.5666000, size.height * 0.2022170);
    path213.lineTo(size.width * 0.5676500, size.height * 0.2029172);
    path213.lineTo(size.width * 0.5675000, size.height * 0.1992999);
    path213.lineTo(size.width * 0.5681500, size.height * 0.1976663);
    path213.lineTo(size.width * 0.5702000, size.height * 0.1973162);
    path213.lineTo(size.width * 0.5711000, size.height * 0.1975496);
    path213.lineTo(size.width * 0.5716000, size.height * 0.1959160);
    path213.lineTo(size.width * 0.5723500, size.height * 0.1962660);
    path213.lineTo(size.width * 0.5748000, size.height * 0.1955659);
    path213.lineTo(size.width * 0.5767000, size.height * 0.1996499);
    path213.lineTo(size.width * 0.5762500, size.height * 0.2011669);
    path213.lineTo(size.width * 0.5766500, size.height * 0.2033839);
    path213.lineTo(size.width * 0.5786000, size.height * 0.2037340);
    path213.close();

    Paint paint213fill = Paint()..style = PaintingStyle.fill;
    paint213fill.color = countryColors.uA ?? defaultCountryColor;
    canvas.drawPath(path213, paint213fill);

    Path path214 = Path();
    path214.moveTo(size.width * 0.3498500, size.height * 0.8385064);
    path214.lineTo(size.width * 0.3490500, size.height * 0.8432905);
    path214.lineTo(size.width * 0.3463500, size.height * 0.8473746);
    path214.lineTo(size.width * 0.3442500, size.height * 0.8458576);
    path214.lineTo(size.width * 0.3428500, size.height * 0.8466744);
    path214.lineTo(size.width * 0.3401000, size.height * 0.8435239);
    path214.lineTo(size.width * 0.3383000, size.height * 0.8437573);
    path214.lineTo(size.width * 0.3363500, size.height * 0.8395566);
    path214.lineTo(size.width * 0.3361500, size.height * 0.8347725);
    path214.lineTo(size.width * 0.3366000, size.height * 0.8331389);
    path214.lineTo(size.width * 0.3360000, size.height * 0.8256709);
    path214.lineTo(size.width * 0.3362000, size.height * 0.8179697);
    path214.lineTo(size.width * 0.3364500, size.height * 0.8119020);
    path214.lineTo(size.width * 0.3381500, size.height * 0.8110852);
    path214.lineTo(size.width * 0.3413000, size.height * 0.8169195);
    path214.lineTo(size.width * 0.3422500, size.height * 0.8166861);
    path214.lineTo(size.width * 0.3454000, size.height * 0.8214702);
    path214.lineTo(size.width * 0.3478000, size.height * 0.8256709);
    path214.lineTo(size.width * 0.3497000, size.height * 0.8306884);
    path214.lineTo(size.width * 0.3488000, size.height * 0.8343057);
    path214.lineTo(size.width * 0.3498500, size.height * 0.8385064);
    path214.close();

    Paint paint214fill = Paint()..style = PaintingStyle.fill;
    paint214fill.color = countryColors.uY ?? defaultCountryColor;
    canvas.drawPath(path214, paint214fill);

    Path path215 = Path();
    path215.moveTo(size.width * 0.6763500, size.height * 0.2691949);
    path215.lineTo(size.width * 0.6772000, size.height * 0.2698950);
    path215.lineTo(size.width * 0.6757000, size.height * 0.2746791);
    path215.lineTo(size.width * 0.6780000, size.height * 0.2774796);
    path215.lineTo(size.width * 0.6796000, size.height * 0.2756126);
    path215.lineTo(size.width * 0.6832000, size.height * 0.2795799);
    path215.lineTo(size.width * 0.6805500, size.height * 0.2849475);
    path215.lineTo(size.width * 0.6785000, size.height * 0.2842474);
    path215.lineTo(size.width * 0.6774500, size.height * 0.2843641);
    path215.lineTo(size.width * 0.6768000, size.height * 0.2823804);
    path215.lineTo(size.width * 0.6769000, size.height * 0.2788798);
    path215.lineTo(size.width * 0.6736500, size.height * 0.2806301);
    path215.lineTo(size.width * 0.6734000, size.height * 0.2854142);
    path215.lineTo(size.width * 0.6726500, size.height * 0.2894982);
    path215.lineTo(size.width * 0.6704500, size.height * 0.2891482);
    path215.lineTo(size.width * 0.6701500, size.height * 0.2924154);
    path215.lineTo(size.width * 0.6722500, size.height * 0.2941657);
    path215.lineTo(size.width * 0.6734500, size.height * 0.2997666);
    path215.lineTo(size.width * 0.6728000, size.height * 0.3073512);
    path215.lineTo(size.width * 0.6706500, size.height * 0.3057176);
    path215.lineTo(size.width * 0.6691500, size.height * 0.3057176);
    path215.lineTo(size.width * 0.6687500, size.height * 0.3011669);
    path215.lineTo(size.width * 0.6649000, size.height * 0.2978996);
    path215.lineTo(size.width * 0.6617500, size.height * 0.2942824);
    path215.lineTo(size.width * 0.6596500, size.height * 0.2907818);
    path215.lineTo(size.width * 0.6561000, size.height * 0.2856476);
    path215.lineTo(size.width * 0.6539500, size.height * 0.2779463);
    path215.lineTo(size.width * 0.6529000, size.height * 0.2765461);
    path215.lineTo(size.width * 0.6501500, size.height * 0.2768961);
    path215.lineTo(size.width * 0.6490000, size.height * 0.2753792);
    path215.lineTo(size.width * 0.6480500, size.height * 0.2695449);
    path215.lineTo(size.width * 0.6441000, size.height * 0.2655776);
    path215.lineTo(size.width * 0.6424000, size.height * 0.2698950);
    path215.lineTo(size.width * 0.6405000, size.height * 0.2724621);
    path215.lineTo(size.width * 0.6413500, size.height * 0.2761960);
    path215.lineTo(size.width * 0.6384000, size.height * 0.2763127);
    path215.lineTo(size.width * 0.6353000, size.height * 0.2490082);
    path215.lineTo(size.width * 0.6413000, size.height * 0.2446908);
    path215.lineTo(size.width * 0.6418500, size.height * 0.2452742);
    path215.lineTo(size.width * 0.6464500, size.height * 0.2505251);
    path215.lineTo(size.width * 0.6488500, size.height * 0.2533256);
    path215.lineTo(size.width * 0.6521500, size.height * 0.2599767);
    path215.lineTo(size.width * 0.6550000, size.height * 0.2589265);
    path215.lineTo(size.width * 0.6593000, size.height * 0.2583431);
    path215.lineTo(size.width * 0.6631000, size.height * 0.2637106);
    path215.lineTo(size.width * 0.6638500, size.height * 0.2711785);
    path215.lineTo(size.width * 0.6651500, size.height * 0.2712952);
    path215.lineTo(size.width * 0.6664000, size.height * 0.2773629);
    path215.lineTo(size.width * 0.6697500, size.height * 0.2775963);
    path215.lineTo(size.width * 0.6709000, size.height * 0.2810968);
    path215.lineTo(size.width * 0.6719000, size.height * 0.2810968);
    path215.lineTo(size.width * 0.6723500, size.height * 0.2757293);
    path215.lineTo(size.width * 0.6750500, size.height * 0.2705951);
    path215.lineTo(size.width * 0.6763500, size.height * 0.2691949);
    path215.close();

    Paint paint215fill = Paint()..style = PaintingStyle.fill;
    paint215fill.color = countryColors.uZ ?? defaultCountryColor;
    canvas.drawPath(path215, paint215fill);

    Path path216 = Path();
    path216.moveTo(size.width * 0.3243500, size.height * 0.5228705);
    path216.lineTo(size.width * 0.3220000, size.height * 0.5273046);
    path216.lineTo(size.width * 0.3217500, size.height * 0.5299883);
    path216.lineTo(size.width * 0.3226500, size.height * 0.5327888);
    path216.lineTo(size.width * 0.3219500, size.height * 0.5341890);
    path216.lineTo(size.width * 0.3202000, size.height * 0.5353559);
    path216.lineTo(size.width * 0.3202000, size.height * 0.5388565);
    path216.lineTo(size.width * 0.3194000, size.height * 0.5409568);
    path216.lineTo(size.width * 0.3212500, size.height * 0.5465578);
    path216.lineTo(size.width * 0.3216000, size.height * 0.5486581);
    path216.lineTo(size.width * 0.3205500, size.height * 0.5515753);
    path216.lineTo(size.width * 0.3173500, size.height * 0.5543757);
    path216.lineTo(size.width * 0.3153000, size.height * 0.5555426);
    path216.lineTo(size.width * 0.3144500, size.height * 0.5572929);
    path216.lineTo(size.width * 0.3122000, size.height * 0.5554259);
    path216.lineTo(size.width * 0.3101500, size.height * 0.5544924);
    path216.lineTo(size.width * 0.3096000, size.height * 0.5551925);
    path216.lineTo(size.width * 0.3108500, size.height * 0.5570595);
    path216.lineTo(size.width * 0.3107000, size.height * 0.5620770);
    path216.lineTo(size.width * 0.3110500, size.height * 0.5668611);
    path216.lineTo(size.width * 0.3134500, size.height * 0.5674446);
    path216.lineTo(size.width * 0.3136000, size.height * 0.5690782);
    path216.lineTo(size.width * 0.3115500, size.height * 0.5711785);
    path216.lineTo(size.width * 0.3112000, size.height * 0.5743291);
    path216.lineTo(size.width * 0.3100000, size.height * 0.5756126);
    path216.lineTo(size.width * 0.3079000, size.height * 0.5773629);
    path216.lineTo(size.width * 0.3073500, size.height * 0.5796966);
    path216.lineTo(size.width * 0.3051500, size.height * 0.5801634);
    path216.lineTo(size.width * 0.3036000, size.height * 0.5761960);
    path216.lineTo(size.width * 0.3028000, size.height * 0.5687281);
    path216.lineTo(size.width * 0.3020500, size.height * 0.5660443);
    path216.lineTo(size.width * 0.3010500, size.height * 0.5644107);
    path216.lineTo(size.width * 0.3025000, size.height * 0.5606768);
    path216.lineTo(size.width * 0.3024000, size.height * 0.5590432);
    path216.lineTo(size.width * 0.3016500, size.height * 0.5568261);
    path216.lineTo(size.width * 0.3011000, size.height * 0.5518086);
    path216.lineTo(size.width * 0.3014000, size.height * 0.5464411);
    path216.lineTo(size.width * 0.3020500, size.height * 0.5438740);
    path216.lineTo(size.width * 0.3026500, size.height * 0.5399067);
    path216.lineTo(size.width * 0.3016500, size.height * 0.5386231);
    path216.lineTo(size.width * 0.3000500, size.height * 0.5394399);
    path216.lineTo(size.width * 0.2980000, size.height * 0.5390898);
    path216.lineTo(size.width * 0.2968500, size.height * 0.5399067);
    path216.lineTo(size.width * 0.2949500, size.height * 0.5333722);
    path216.lineTo(size.width * 0.2933000, size.height * 0.5324387);
    path216.lineTo(size.width * 0.2896500, size.height * 0.5331389);
    path216.lineTo(size.width * 0.2890500, size.height * 0.5305718);
    path216.lineTo(size.width * 0.2883500, size.height * 0.5299883);
    path216.lineTo(size.width * 0.2883000, size.height * 0.5283547);
    path216.lineTo(size.width * 0.2886500, size.height * 0.5255543);
    path216.lineTo(size.width * 0.2885000, size.height * 0.5226371);
    path216.lineTo(size.width * 0.2879000, size.height * 0.5208868);
    path216.lineTo(size.width * 0.2876000, size.height * 0.5175029);
    path216.lineTo(size.width * 0.2861500, size.height * 0.5170362);
    path216.lineTo(size.width * 0.2870500, size.height * 0.5126021);
    path216.lineTo(size.width * 0.2875000, size.height * 0.5072345);
    path216.lineTo(size.width * 0.2884000, size.height * 0.5044341);
    path216.lineTo(size.width * 0.2895500, size.height * 0.5023337);
    path216.lineTo(size.width * 0.2903500, size.height * 0.4985998);
    path216.lineTo(size.width * 0.2922000, size.height * 0.4973162);
    path216.lineTo(size.width * 0.2921000, size.height * 0.4990665);
    path216.lineTo(size.width * 0.2904000, size.height * 0.5000000);
    path216.lineTo(size.width * 0.2912500, size.height * 0.5033839);
    path216.lineTo(size.width * 0.2911000, size.height * 0.5073512);
    path216.lineTo(size.width * 0.2897500, size.height * 0.5116686);
    path216.lineTo(size.width * 0.2907000, size.height * 0.5176196);
    path216.lineTo(size.width * 0.2919500, size.height * 0.5171529);
    path216.lineTo(size.width * 0.2927000, size.height * 0.5116686);
    path216.lineTo(size.width * 0.2918500, size.height * 0.5091015);
    path216.lineTo(size.width * 0.2918500, size.height * 0.5033839);
    path216.lineTo(size.width * 0.2954500, size.height * 0.5003501);
    path216.lineTo(size.width * 0.2951500, size.height * 0.4968495);
    path216.lineTo(size.width * 0.2962000, size.height * 0.4943991);
    path216.lineTo(size.width * 0.2970500, size.height * 0.4997666);
    path216.lineTo(size.width * 0.2990500, size.height * 0.4998833);
    path216.lineTo(size.width * 0.3007500, size.height * 0.5039673);
    path216.lineTo(size.width * 0.3008500, size.height * 0.5065344);
    path216.lineTo(size.width * 0.3033500, size.height * 0.5065344);
    path216.lineTo(size.width * 0.3064000, size.height * 0.5058343);
    path216.lineTo(size.width * 0.3079500, size.height * 0.5091015);
    path216.lineTo(size.width * 0.3100500, size.height * 0.5100350);
    path216.lineTo(size.width * 0.3117000, size.height * 0.5077013);
    path216.lineTo(size.width * 0.3117500, size.height * 0.5058343);
    path216.lineTo(size.width * 0.3153000, size.height * 0.5053676);
    path216.lineTo(size.width * 0.3186500, size.height * 0.5052509);
    path216.lineTo(size.width * 0.3162000, size.height * 0.5074679);
    path216.lineTo(size.width * 0.3171000, size.height * 0.5110852);
    path216.lineTo(size.width * 0.3193500, size.height * 0.5115519);
    path216.lineTo(size.width * 0.3214500, size.height * 0.5152859);
    path216.lineTo(size.width * 0.3218000, size.height * 0.5212369);
    path216.lineTo(size.width * 0.3232500, size.height * 0.5211202);
    path216.lineTo(size.width * 0.3243500, size.height * 0.5228705);
    path216.close();

    Paint paint216fill = Paint()..style = PaintingStyle.fill;
    paint216fill.color = countryColors.vE ?? defaultCountryColor;
    canvas.drawPath(path216, paint216fill);

    Path path217 = Path();
    path217.moveTo(size.width * 0.7932500, size.height * 0.4241540);
    path217.lineTo(size.width * 0.7900000, size.height * 0.4304551);
    path217.lineTo(size.width * 0.7881500, size.height * 0.4375729);
    path217.lineTo(size.width * 0.7878500, size.height * 0.4428238);
    path217.lineTo(size.width * 0.7905000, size.height * 0.4506418);
    path217.lineTo(size.width * 0.7937500, size.height * 0.4604434);
    path217.lineTo(size.width * 0.7966000, size.height * 0.4651109);
    path217.lineTo(size.width * 0.7986500, size.height * 0.4710618);
    path217.lineTo(size.width * 0.8006500, size.height * 0.4849475);
    path217.lineTo(size.width * 0.8008500, size.height * 0.4981330);
    path217.lineTo(size.width * 0.7987000, size.height * 0.5030338);
    path217.lineTo(size.width * 0.7956500, size.height * 0.5079347);
    path217.lineTo(size.width * 0.7935500, size.height * 0.5141190);
    path217.lineTo(size.width * 0.7902500, size.height * 0.5211202);
    path217.lineTo(size.width * 0.7891000, size.height * 0.5163361);
    path217.lineTo(size.width * 0.7897000, size.height * 0.5112019);
    path217.lineTo(size.width * 0.7875000, size.height * 0.5070012);
    path217.lineTo(size.width * 0.7898000, size.height * 0.5039673);
    path217.lineTo(size.width * 0.7927500, size.height * 0.5033839);
    path217.lineTo(size.width * 0.7913500, size.height * 0.4989498);
    path217.lineTo(size.width * 0.7958500, size.height * 0.4931155);
    path217.lineTo(size.width * 0.7958000, size.height * 0.4841307);
    path217.lineTo(size.width * 0.7949000, size.height * 0.4791132);
    path217.lineTo(size.width * 0.7950000, size.height * 0.4716453);
    path217.lineTo(size.width * 0.7940000, size.height * 0.4663944);
    path217.lineTo(size.width * 0.7915500, size.height * 0.4611435);
    path217.lineTo(size.width * 0.7893500, size.height * 0.4546091);
    path217.lineTo(size.width * 0.7865000, size.height * 0.4457410);
    path217.lineTo(size.width * 0.7828500, size.height * 0.4411902);
    path217.lineTo(size.width * 0.7834500, size.height * 0.4385064);
    path217.lineTo(size.width * 0.7851000, size.height * 0.4365228);
    path217.lineTo(size.width * 0.7836000, size.height * 0.4299883);
    path217.lineTo(size.width * 0.7802000, size.height * 0.4299883);
    path217.lineTo(size.width * 0.7784500, size.height * 0.4232205);
    path217.lineTo(size.width * 0.7764500, size.height * 0.4172695);
    path217.lineTo(size.width * 0.7778000, size.height * 0.4154026);
    path217.lineTo(size.width * 0.7800000, size.height * 0.4155193);
    path217.lineTo(size.width * 0.7826500, size.height * 0.4145858);
    path217.lineTo(size.width * 0.7847000, size.height * 0.4106184);
    path217.lineTo(size.width * 0.7862500, size.height * 0.4134189);
    path217.lineTo(size.width * 0.7889000, size.height * 0.4148191);
    path217.lineTo(size.width * 0.7887500, size.height * 0.4191365);
    path217.lineTo(size.width * 0.7903000, size.height * 0.4221704);
    path217.lineTo(size.width * 0.7932500, size.height * 0.4241540);
    path217.close();

    Paint paint217fill = Paint()..style = PaintingStyle.fill;
    paint217fill.color = countryColors.vN ?? defaultCountryColor;
    canvas.drawPath(path217, paint217fill);

    Path path218 = Path();
    path218.moveTo(size.width * 0.6419000, size.height * 0.4607935);
    path218.lineTo(size.width * 0.6399000, size.height * 0.4627771);
    path218.lineTo(size.width * 0.6394500, size.height * 0.4661610);
    path218.lineTo(size.width * 0.6394500, size.height * 0.4687281);
    path218.lineTo(size.width * 0.6367500, size.height * 0.4718786);
    path218.lineTo(size.width * 0.6323500, size.height * 0.4753792);
    path218.lineTo(size.width * 0.6300000, size.height * 0.4806301);
    path218.lineTo(size.width * 0.6287500, size.height * 0.4810968);
    path218.lineTo(size.width * 0.6279000, size.height * 0.4806301);
    path218.lineTo(size.width * 0.6263000, size.height * 0.4837806);
    path218.lineTo(size.width * 0.6245500, size.height * 0.4851809);
    path218.lineTo(size.width * 0.6222000, size.height * 0.4855309);
    path218.lineTo(size.width * 0.6215000, size.height * 0.4859977);
    path218.lineTo(size.width * 0.6209500, size.height * 0.4879813);
    path218.lineTo(size.width * 0.6202000, size.height * 0.4885648);
    path218.lineTo(size.width * 0.6198000, size.height * 0.4904317);
    path218.lineTo(size.width * 0.6184000, size.height * 0.4901984);
    path218.lineTo(size.width * 0.6175500, size.height * 0.4912485);
    path218.lineTo(size.width * 0.6155500, size.height * 0.4908985);
    path218.lineTo(size.width * 0.6147500, size.height * 0.4864644);
    path218.lineTo(size.width * 0.6147500, size.height * 0.4823804);
    path218.lineTo(size.width * 0.6142500, size.height * 0.4801634);
    path218.lineTo(size.width * 0.6136000, size.height * 0.4746791);
    path218.lineTo(size.width * 0.6127000, size.height * 0.4716453);
    path218.lineTo(size.width * 0.6132500, size.height * 0.4711785);
    path218.lineTo(size.width * 0.6129000, size.height * 0.4677946);
    path218.lineTo(size.width * 0.6132000, size.height * 0.4663944);
    path218.lineTo(size.width * 0.6130000, size.height * 0.4631272);
    path218.lineTo(size.width * 0.6142000, size.height * 0.4606768);
    path218.lineTo(size.width * 0.6138000, size.height * 0.4575263);
    path218.lineTo(size.width * 0.6144500, size.height * 0.4539090);
    path218.lineTo(size.width * 0.6156500, size.height * 0.4557760);
    path218.lineTo(size.width * 0.6164000, size.height * 0.4550758);
    path218.lineTo(size.width * 0.6196000, size.height * 0.4549592);
    path218.lineTo(size.width * 0.6201500, size.height * 0.4556593);
    path218.lineTo(size.width * 0.6229000, size.height * 0.4564761);
    path218.lineTo(size.width * 0.6239500, size.height * 0.4561260);
    path218.lineTo(size.width * 0.6247000, size.height * 0.4585764);
    path218.lineTo(size.width * 0.6260000, size.height * 0.4572929);
    path218.lineTo(size.width * 0.6277500, size.height * 0.4494749);
    path218.lineTo(size.width * 0.6302500, size.height * 0.4460910);
    path218.lineTo(size.width * 0.6382000, size.height * 0.4431739);
    path218.lineTo(size.width * 0.6408000, size.height * 0.4555426);
    path218.lineTo(size.width * 0.6419000, size.height * 0.4607935);
    path218.close();

    Paint paint218fill = Paint()..style = PaintingStyle.fill;
    paint218fill.color = countryColors.yE ?? defaultCountryColor;
    canvas.drawPath(path218, paint218fill);

    Path path219 = Path();
    path219.moveTo(size.width * 0.5810500, size.height * 0.6497083);
    path219.lineTo(size.width * 0.5812000, size.height * 0.6499417);
    path219.lineTo(size.width * 0.5823000, size.height * 0.6512252);
    path219.lineTo(size.width * 0.5841000, size.height * 0.6525088);
    path219.lineTo(size.width * 0.5857000, size.height * 0.6547258);
    path219.lineTo(size.width * 0.5870000, size.height * 0.6581097);
    path219.lineTo(size.width * 0.5876500, size.height * 0.6644107);
    path219.lineTo(size.width * 0.5871500, size.height * 0.6663944);
    path219.lineTo(size.width * 0.5865000, size.height * 0.6724621);
    path219.lineTo(size.width * 0.5869500, size.height * 0.6787631);
    path219.lineTo(size.width * 0.5860500, size.height * 0.6813302);
    path219.lineTo(size.width * 0.5850500, size.height * 0.6883314);
    path219.lineTo(size.width * 0.5865000, size.height * 0.6901984);
    path219.lineTo(size.width * 0.5779000, size.height * 0.6963827);
    path219.lineTo(size.width * 0.5781000, size.height * 0.7017503);
    path219.lineTo(size.width * 0.5759500, size.height * 0.7028005);
    path219.lineTo(size.width * 0.5743000, size.height * 0.7057176);
    path219.lineTo(size.width * 0.5739000, size.height * 0.7082847);
    path219.lineTo(size.width * 0.5729000, size.height * 0.7089848);
    path219.lineTo(size.width * 0.5703500, size.height * 0.7150525);
    path219.lineTo(size.width * 0.5687500, size.height * 0.7199533);
    path219.lineTo(size.width * 0.5678000, size.height * 0.7200700);
    path219.lineTo(size.width * 0.5669000, size.height * 0.7192532);
    path219.lineTo(size.width * 0.5638000, size.height * 0.7184364);
    path219.lineTo(size.width * 0.5633000, size.height * 0.7178530);
    path219.lineTo(size.width * 0.5633000, size.height * 0.7172695);
    path219.lineTo(size.width * 0.5622000, size.height * 0.7155193);
    path219.lineTo(size.width * 0.5604000, size.height * 0.7151692);
    path219.lineTo(size.width * 0.5581000, size.height * 0.7168028);
    path219.lineTo(size.width * 0.5563000, size.height * 0.7121354);
    path219.lineTo(size.width * 0.5545000, size.height * 0.7060677);
    path219.lineTo(size.width * 0.5549000, size.height * 0.6821470);
    path219.lineTo(size.width * 0.5607500, size.height * 0.6822637);
    path219.lineTo(size.width * 0.5605500, size.height * 0.6796966);
    path219.lineTo(size.width * 0.5610000, size.height * 0.6768961);
    path219.lineTo(size.width * 0.5605500, size.height * 0.6733956);
    path219.lineTo(size.width * 0.5609000, size.height * 0.6697783);
    path219.lineTo(size.width * 0.5606000, size.height * 0.6674446);
    path219.lineTo(size.width * 0.5615500, size.height * 0.6675613);
    path219.lineTo(size.width * 0.5617000, size.height * 0.6698950);
    path219.lineTo(size.width * 0.5630500, size.height * 0.6697783);
    path219.lineTo(size.width * 0.5648000, size.height * 0.6704784);
    path219.lineTo(size.width * 0.5657500, size.height * 0.6738623);
    path219.lineTo(size.width * 0.5679500, size.height * 0.6749125);
    path219.lineTo(size.width * 0.5697000, size.height * 0.6725788);
    path219.lineTo(size.width * 0.5703000, size.height * 0.6764294);
    path219.lineTo(size.width * 0.5724500, size.height * 0.6774796);
    path219.lineTo(size.width * 0.5734500, size.height * 0.6807468);
    path219.lineTo(size.width * 0.5745500, size.height * 0.6848308);
    path219.lineTo(size.width * 0.5767000, size.height * 0.6848308);
    path219.lineTo(size.width * 0.5766000, size.height * 0.6767795);
    path219.lineTo(size.width * 0.5758000, size.height * 0.6781797);
    path219.lineTo(size.width * 0.5738500, size.height * 0.6752625);
    path219.lineTo(size.width * 0.5731000, size.height * 0.6738623);
    path219.lineTo(size.width * 0.5735500, size.height * 0.6663944);
    path219.lineTo(size.width * 0.5741000, size.height * 0.6575263);
    path219.lineTo(size.width * 0.5735000, size.height * 0.6542590);
    path219.lineTo(size.width * 0.5743500, size.height * 0.6494749);
    path219.lineTo(size.width * 0.5751000, size.height * 0.6485414);
    path219.lineTo(size.width * 0.5789500, size.height * 0.6472579);
    path219.lineTo(size.width * 0.5794000, size.height * 0.6476079);
    path219.lineTo(size.width * 0.5792500, size.height * 0.6492415);
    path219.lineTo(size.width * 0.5802000, size.height * 0.6498250);
    path219.lineTo(size.width * 0.5808000, size.height * 0.6513419);
    path219.lineTo(size.width * 0.5813000, size.height * 0.6509918);
    path219.lineTo(size.width * 0.5810500, size.height * 0.6497083);
    path219.close();

    Paint paint219fill = Paint()..style = PaintingStyle.fill;
    paint219fill.color = countryColors.zM ?? defaultCountryColor;
    canvas.drawPath(path219, paint219fill);

    Path path220 = Path();
    path220.moveTo(size.width * 0.5797000, size.height * 0.7522754);
    path220.lineTo(size.width * 0.5782500, size.height * 0.7514586);
    path220.lineTo(size.width * 0.5773000, size.height * 0.7523921);
    path220.lineTo(size.width * 0.5759500, size.height * 0.7511085);
    path220.lineTo(size.width * 0.5748500, size.height * 0.7511085);
    path220.lineTo(size.width * 0.5731500, size.height * 0.7477246);
    path220.lineTo(size.width * 0.5710000, size.height * 0.7465578);
    path220.lineTo(size.width * 0.5702500, size.height * 0.7417736);
    path220.lineTo(size.width * 0.5703000, size.height * 0.7390898);
    path220.lineTo(size.width * 0.5691500, size.height * 0.7382730);
    path220.lineTo(size.width * 0.5661000, size.height * 0.7301050);
    path220.lineTo(size.width * 0.5653000, size.height * 0.7257876);
    path220.lineTo(size.width * 0.5647500, size.height * 0.7243874);
    path220.lineTo(size.width * 0.5638000, size.height * 0.7184364);
    path220.lineTo(size.width * 0.5669000, size.height * 0.7192532);
    path220.lineTo(size.width * 0.5678000, size.height * 0.7200700);
    path220.lineTo(size.width * 0.5687500, size.height * 0.7199533);
    path220.lineTo(size.width * 0.5703500, size.height * 0.7150525);
    path220.lineTo(size.width * 0.5729000, size.height * 0.7089848);
    path220.lineTo(size.width * 0.5739000, size.height * 0.7082847);
    path220.lineTo(size.width * 0.5743000, size.height * 0.7057176);
    path220.lineTo(size.width * 0.5759500, size.height * 0.7028005);
    path220.lineTo(size.width * 0.5781000, size.height * 0.7017503);
    path220.lineTo(size.width * 0.5782000, size.height * 0.7045508);
    path220.lineTo(size.width * 0.5805500, size.height * 0.7044341);
    path220.lineTo(size.width * 0.5818500, size.height * 0.7059510);
    path220.lineTo(size.width * 0.5824000, size.height * 0.7078180);
    path220.lineTo(size.width * 0.5837500, size.height * 0.7084014);
    path220.lineTo(size.width * 0.5851500, size.height * 0.7107351);
    path220.lineTo(size.width * 0.5849500, size.height * 0.7203034);
    path220.lineTo(size.width * 0.5843000, size.height * 0.7254376);
    path220.lineTo(size.width * 0.5841000, size.height * 0.7310385);
    path220.lineTo(size.width * 0.5845000, size.height * 0.7332555);
    path220.lineTo(size.width * 0.5840500, size.height * 0.7376896);
    path220.lineTo(size.width * 0.5836500, size.height * 0.7383897);
    path220.lineTo(size.width * 0.5828000, size.height * 0.7437573);
    path220.lineTo(size.width * 0.5797000, size.height * 0.7522754);
    path220.close();

    Paint paint220fill = Paint()..style = PaintingStyle.fill;
    paint220fill.color = countryColors.zM ?? defaultCountryColor;
    canvas.drawPath(path220, paint220fill);

    Path path221 = Path();
    path221.moveTo(size.width * 0.6110500, size.height * 0.5981330);
    path221.lineTo(size.width * 0.6094000, size.height * 0.5919487);
    path221.lineTo(size.width * 0.6093000, size.height * 0.5646441);
    path221.lineTo(size.width * 0.6117500, size.height * 0.5562427);
    path221.lineTo(size.width * 0.6125000, size.height * 0.5537923);
    path221.lineTo(size.width * 0.6143000, size.height * 0.5536756);
    path221.lineTo(size.width * 0.6168000, size.height * 0.5484247);
    path221.lineTo(size.width * 0.6204500, size.height * 0.5480747);
    path221.lineTo(size.width * 0.6282500, size.height * 0.5255543);
    path221.lineTo(size.width * 0.6258500, size.height * 0.5256709);
    path221.lineTo(size.width * 0.6165000, size.height * 0.5168028);
    path221.lineTo(size.width * 0.6154000, size.height * 0.5141190);
    path221.lineTo(size.width * 0.6143000, size.height * 0.5105018);
    path221.lineTo(size.width * 0.6132000, size.height * 0.5063011);
    path221.lineTo(size.width * 0.6138000, size.height * 0.5037340);
    path221.lineTo(size.width * 0.6147500, size.height * 0.4996499);
    path221.lineTo(size.width * 0.6157000, size.height * 0.5010502);
    path221.lineTo(size.width * 0.6163000, size.height * 0.5042007);
    path221.lineTo(size.width * 0.6176500, size.height * 0.5073512);
    path221.lineTo(size.width * 0.6190500, size.height * 0.5073512);
    path221.lineTo(size.width * 0.6216500, size.height * 0.5053676);
    path221.lineTo(size.width * 0.6247000, size.height * 0.5045508);
    path221.lineTo(size.width * 0.6271500, size.height * 0.5022170);
    path221.lineTo(size.width * 0.6285500, size.height * 0.5017503);
    path221.lineTo(size.width * 0.6295500, size.height * 0.5003501);
    path221.lineTo(size.width * 0.6311500, size.height * 0.5001167);
    path221.lineTo(size.width * 0.6320500, size.height * 0.4998833);
    path221.lineTo(size.width * 0.6333000, size.height * 0.4988331);
    path221.lineTo(size.width * 0.6348000, size.height * 0.4980163);
    path221.lineTo(size.width * 0.6360500, size.height * 0.4954492);
    path221.lineTo(size.width * 0.6371500, size.height * 0.4954492);
    path221.lineTo(size.width * 0.6372500, size.height * 0.4975496);
    path221.lineTo(size.width * 0.6370500, size.height * 0.5018670);
    path221.lineTo(size.width * 0.6371500, size.height * 0.5058343);
    path221.lineTo(size.width * 0.6366000, size.height * 0.5085181);
    path221.lineTo(size.width * 0.6359000, size.height * 0.5166861);
    path221.lineTo(size.width * 0.6347000, size.height * 0.5249708);
    path221.lineTo(size.width * 0.6330500, size.height * 0.5345391);
    path221.lineTo(size.width * 0.6307500, size.height * 0.5455076);
    path221.lineTo(size.width * 0.6284000, size.height * 0.5539090);
    path221.lineTo(size.width * 0.6251000, size.height * 0.5641774);
    path221.lineTo(size.width * 0.6223000, size.height * 0.5702450);
    path221.lineTo(size.width * 0.6181000, size.height * 0.5777130);
    path221.lineTo(size.width * 0.6154500, size.height * 0.5833139);
    path221.lineTo(size.width * 0.6123500, size.height * 0.5924154);
    path221.lineTo(size.width * 0.6117000, size.height * 0.5963827);
    path221.lineTo(size.width * 0.6110500, size.height * 0.5981330);
    path221.close();

    Paint paint221fill = Paint()..style = PaintingStyle.fill;
    paint221fill.color = countryColors.sO ?? defaultCountryColor;
    canvas.drawPath(path221, paint221fill);

    Path path222 = Path();
    path222.moveTo(size.width * 0.5489000, size.height * 0.2693116);
    path222.lineTo(size.width * 0.5483000, size.height * 0.2696616);
    path222.lineTo(size.width * 0.5468500, size.height * 0.2708285);
    path222.lineTo(size.width * 0.5468000, size.height * 0.2723454);
    path222.lineTo(size.width * 0.5464500, size.height * 0.2722287);
    path222.lineTo(size.width * 0.5461500, size.height * 0.2695449);
    path222.lineTo(size.width * 0.5455000, size.height * 0.2687281);
    path222.lineTo(size.width * 0.5449000, size.height * 0.2667445);
    path222.lineTo(size.width * 0.5453000, size.height * 0.2651109);
    path222.lineTo(size.width * 0.5459000, size.height * 0.2646441);
    path222.lineTo(size.width * 0.5461500, size.height * 0.2621937);
    path222.lineTo(size.width * 0.5466000, size.height * 0.2617270);
    path222.lineTo(size.width * 0.5470000, size.height * 0.2627771);
    path222.lineTo(size.width * 0.5475000, size.height * 0.2632439);
    path222.lineTo(size.width * 0.5479000, size.height * 0.2644107);
    path222.lineTo(size.width * 0.5483500, size.height * 0.2647608);
    path222.lineTo(size.width * 0.5489000, size.height * 0.2661610);
    path222.lineTo(size.width * 0.5492500, size.height * 0.2660443);
    path222.lineTo(size.width * 0.5490500, size.height * 0.2679113);
    path222.lineTo(size.width * 0.5487500, size.height * 0.2687281);
    path222.lineTo(size.width * 0.5489000, size.height * 0.2693116);
    path222.close();

    Paint paint222fill = Paint()..style = PaintingStyle.fill;
    paint222fill.color = countryColors.xK ?? defaultCountryColor;
    canvas.drawPath(path222, paint222fill);

    Path path223 = Path();
    path223.moveTo(size.width * 0.5797000, size.height * 0.7522754);
    path223.lineTo(size.width * 0.5808000, size.height * 0.7627771);
    path223.lineTo(size.width * 0.5813500, size.height * 0.7681447);
    path223.lineTo(size.width * 0.5806500, size.height * 0.7764294);
    path223.lineTo(size.width * 0.5808500, size.height * 0.7791132);
    path223.lineTo(size.width * 0.5795000, size.height * 0.7778296);
    path223.lineTo(size.width * 0.5786500, size.height * 0.7782964);
    path223.lineTo(size.width * 0.5783500, size.height * 0.7805134);
    path223.lineTo(size.width * 0.5775000, size.height * 0.7833139);
    path223.lineTo(size.width * 0.5774500, size.height * 0.7858810);
    path223.lineTo(size.width * 0.5790000, size.height * 0.7899650);
    path223.lineTo(size.width * 0.5806000, size.height * 0.7891482);
    path223.lineTo(size.width * 0.5813000, size.height * 0.7858810);
    path223.lineTo(size.width * 0.5833500, size.height * 0.7858810);
    path223.lineTo(size.width * 0.5825000, size.height * 0.7913652);
    path223.lineTo(size.width * 0.5820000, size.height * 0.7975496);
    path223.lineTo(size.width * 0.5811500, size.height * 0.8009335);
    path223.lineTo(size.width * 0.5791500, size.height * 0.8047841);
    path223.lineTo(size.width * 0.5786000, size.height * 0.8058343);
    path223.lineTo(size.width * 0.5773000, size.height * 0.8096849);
    path223.lineTo(size.width * 0.5764000, size.height * 0.8135356);
    path223.lineTo(size.width * 0.5746500, size.height * 0.8189032);
    path223.lineTo(size.width * 0.5713000, size.height * 0.8266044);
    path223.lineTo(size.width * 0.5692500, size.height * 0.8310385);
    path223.lineTo(size.width * 0.5671000, size.height * 0.8345391);
    path223.lineTo(size.width * 0.5641500, size.height * 0.8373396);
    path223.lineTo(size.width * 0.5628000, size.height * 0.8378063);
    path223.lineTo(size.width * 0.5623500, size.height * 0.8399067);
    path223.lineTo(size.width * 0.5607500, size.height * 0.8387398);
    path223.lineTo(size.width * 0.5594000, size.height * 0.8401400);
    path223.lineTo(size.width * 0.5565500, size.height * 0.8387398);
    path223.lineTo(size.width * 0.5549000, size.height * 0.8396733);
    path223.lineTo(size.width * 0.5538000, size.height * 0.8392065);
    path223.lineTo(size.width * 0.5509000, size.height * 0.8422404);
    path223.lineTo(size.width * 0.5486000, size.height * 0.8434072);
    path223.lineTo(size.width * 0.5468500, size.height * 0.8462077);
    path223.lineTo(size.width * 0.5456500, size.height * 0.8464411);
    path223.lineTo(size.width * 0.5446000, size.height * 0.8437573);
    path223.lineTo(size.width * 0.5437000, size.height * 0.8436406);
    path223.lineTo(size.width * 0.5426000, size.height * 0.8402567);
    path223.lineTo(size.width * 0.5424500, size.height * 0.8413069);
    path223.lineTo(size.width * 0.5421500, size.height * 0.8393232);
    path223.lineTo(size.width * 0.5423000, size.height * 0.8348891);
    path223.lineTo(size.width * 0.5415500, size.height * 0.8298716);
    path223.lineTo(size.width * 0.5424500, size.height * 0.8284714);
    path223.lineTo(size.width * 0.5425000, size.height * 0.8227538);
    path223.lineTo(size.width * 0.5408500, size.height * 0.8157526);
    path223.lineTo(size.width * 0.5396500, size.height * 0.8094516);
    path223.lineTo(size.width * 0.5396500, size.height * 0.8093349);
    path223.lineTo(size.width * 0.5378500, size.height * 0.7996499);
    path223.lineTo(size.width * 0.5392500, size.height * 0.7959160);
    path223.lineTo(size.width * 0.5402500, size.height * 0.7980163);
    path223.lineTo(size.width * 0.5406500, size.height * 0.8011669);
    path223.lineTo(size.width * 0.5419000, size.height * 0.8017503);
    path223.lineTo(size.width * 0.5436000, size.height * 0.8031505);
    path223.lineTo(size.width * 0.5450500, size.height * 0.8025671);
    path223.lineTo(size.width * 0.5475500, size.height * 0.7987165);
    path223.lineTo(size.width * 0.5481000, size.height * 0.7710618);
    path223.lineTo(size.width * 0.5488000, size.height * 0.7722287);
    path223.lineTo(size.width * 0.5503000, size.height * 0.7793466);
    path223.lineTo(size.width * 0.5500000, size.height * 0.7838973);
    path223.lineTo(size.width * 0.5505500, size.height * 0.7865811);
    path223.lineTo(size.width * 0.5525500, size.height * 0.7857643);
    path223.lineTo(size.width * 0.5539500, size.height * 0.7823804);
    path223.lineTo(size.width * 0.5553000, size.height * 0.7801634);
    path223.lineTo(size.width * 0.5560500, size.height * 0.7765461);
    path223.lineTo(size.width * 0.5574500, size.height * 0.7749125);
    path223.lineTo(size.width * 0.5586000, size.height * 0.7757293);
    path223.lineTo(size.width * 0.5598500, size.height * 0.7778296);
    path223.lineTo(size.width * 0.5621000, size.height * 0.7781797);
    path223.lineTo(size.width * 0.5639000, size.height * 0.7765461);
    path223.lineTo(size.width * 0.5642000, size.height * 0.7742124);
    path223.lineTo(size.width * 0.5648000, size.height * 0.7705951);
    path223.lineTo(size.width * 0.5663000, size.height * 0.7700117);
    path223.lineTo(size.width * 0.5672000, size.height * 0.7672112);
    path223.lineTo(size.width * 0.5682000, size.height * 0.7621937);
    path223.lineTo(size.width * 0.5708000, size.height * 0.7565928);
    path223.lineTo(size.width * 0.5748500, size.height * 0.7511085);
    path223.lineTo(size.width * 0.5759500, size.height * 0.7511085);
    path223.lineTo(size.width * 0.5773000, size.height * 0.7523921);
    path223.lineTo(size.width * 0.5782500, size.height * 0.7514586);
    path223.lineTo(size.width * 0.5797000, size.height * 0.7522754);
    path223.close();
    path223.moveTo(size.width * 0.5695500, size.height * 0.8143524);
    path223.lineTo(size.width * 0.5701000, size.height * 0.8120187);
    path223.lineTo(size.width * 0.5716500, size.height * 0.8108518);
    path223.lineTo(size.width * 0.5722000, size.height * 0.8084014);
    path223.lineTo(size.width * 0.5731500, size.height * 0.8047841);
    path223.lineTo(size.width * 0.5723000, size.height * 0.8024504);
    path223.lineTo(size.width * 0.5712000, size.height * 0.8001167);
    path223.lineTo(size.width * 0.5698500, size.height * 0.8017503);
    path223.lineTo(size.width * 0.5683000, size.height * 0.8046674);
    path223.lineTo(size.width * 0.5667000, size.height * 0.8093349);
    path223.lineTo(size.width * 0.5685500, size.height * 0.8151692);
    path223.lineTo(size.width * 0.5695500, size.height * 0.8143524);
    path223.close();

    Paint paint223fill = Paint()..style = PaintingStyle.fill;
    paint223fill.color = countryColors.zA ?? defaultCountryColor;
    canvas.drawPath(path223, paint223fill);

    Path path224 = Path();
    path224.moveTo(size.width * 0.9431000, size.height * 0.8919487);
    path224.lineTo(size.width * 0.9427000, size.height * 0.8949825);
    path224.lineTo(size.width * 0.9455000, size.height * 0.8919487);
    path224.lineTo(size.width * 0.9452500, size.height * 0.8950992);
    path224.lineTo(size.width * 0.9442000, size.height * 0.8982497);
    path224.lineTo(size.width * 0.9421000, size.height * 0.9016336);
    path224.lineTo(size.width * 0.9385500, size.height * 0.9071179);
    path224.lineTo(size.width * 0.9362000, size.height * 0.9101517);
    path224.lineTo(size.width * 0.9359000, size.height * 0.9136523);
    path224.lineTo(size.width * 0.9339000, size.height * 0.9137690);
    path224.lineTo(size.width * 0.9307500, size.height * 0.9165694);
    path224.lineTo(size.width * 0.9284000, size.height * 0.9213536);
    path224.lineTo(size.width * 0.9243000, size.height * 0.9288215);
    path224.lineTo(size.width * 0.9211500, size.height * 0.9320887);
    path224.lineTo(size.width * 0.9191500, size.height * 0.9341890);
    path224.lineTo(size.width * 0.9168500, size.height * 0.9340723);
    path224.lineTo(size.width * 0.9161000, size.height * 0.9316219);
    path224.lineTo(size.width * 0.9135500, size.height * 0.9311552);
    path224.lineTo(size.width * 0.9140500, size.height * 0.9283547);
    path224.lineTo(size.width * 0.9173000, size.height * 0.9229872);
    path224.lineTo(size.width * 0.9230000, size.height * 0.9156359);
    path224.lineTo(size.width * 0.9251500, size.height * 0.9142357);
    path224.lineTo(size.width * 0.9279500, size.height * 0.9114352);
    path224.lineTo(size.width * 0.9314500, size.height * 0.9075846);
    path224.lineTo(size.width * 0.9343000, size.height * 0.9037340);
    path224.lineTo(size.width * 0.9373000, size.height * 0.8982497);
    path224.lineTo(size.width * 0.9388500, size.height * 0.8963827);
    path224.lineTo(size.width * 0.9406000, size.height * 0.8921820);
    path224.lineTo(size.width * 0.9435000, size.height * 0.8887981);
    path224.lineTo(size.width * 0.9431000, size.height * 0.8919487);
    path224.close();

    Paint paint224fill = Paint()..style = PaintingStyle.fill;
    paint224fill.color = countryColors.nZ ?? defaultCountryColor;
    canvas.drawPath(path224, paint224fill);

    Path path225 = Path();
    path225.moveTo(size.width * 0.9576000, size.height * 0.8563594);
    path225.lineTo(size.width * 0.9574000, size.height * 0.8642940);
    path225.lineTo(size.width * 0.9588500, size.height * 0.8591599);
    path225.lineTo(size.width * 0.9595000, size.height * 0.8612602);
    path225.lineTo(size.width * 0.9583000, size.height * 0.8668611);
    path225.lineTo(size.width * 0.9597500, size.height * 0.8693116);
    path225.lineTo(size.width * 0.9613500, size.height * 0.8698950);
    path225.lineTo(size.width * 0.9637000, size.height * 0.8670945);
    path225.lineTo(size.width * 0.9648000, size.height * 0.8679113);
    path225.lineTo(size.width * 0.9622000, size.height * 0.8745624);
    path225.lineTo(size.width * 0.9601000, size.height * 0.8788798);
    path225.lineTo(size.width * 0.9581500, size.height * 0.8787631);
    path225.lineTo(size.width * 0.9567500, size.height * 0.8809802);
    path225.lineTo(size.width * 0.9560000, size.height * 0.8842474);
    path225.lineTo(size.width * 0.9552000, size.height * 0.8855309);
    path225.lineTo(size.width * 0.9529000, size.height * 0.8896149);
    path225.lineTo(size.width * 0.9499500, size.height * 0.8946324);
    path225.lineTo(size.width * 0.9469500, size.height * 0.8976663);
    path225.lineTo(size.width * 0.9472000, size.height * 0.8956826);
    path225.lineTo(size.width * 0.9464500, size.height * 0.8946324);
    path225.lineTo(size.width * 0.9499000, size.height * 0.8885648);
    path225.lineTo(size.width * 0.9503500, size.height * 0.8843641);
    path225.lineTo(size.width * 0.9484500, size.height * 0.8814469);
    path225.lineTo(size.width * 0.9493500, size.height * 0.8787631);
    path225.lineTo(size.width * 0.9520000, size.height * 0.8761960);
    path225.lineTo(size.width * 0.9541000, size.height * 0.8703617);
    path225.lineTo(size.width * 0.9553500, size.height * 0.8655776);
    path225.lineTo(size.width * 0.9556500, size.height * 0.8605601);
    path225.lineTo(size.width * 0.9560500, size.height * 0.8592765);
    path225.lineTo(size.width * 0.9556000, size.height * 0.8561260);
    path225.lineTo(size.width * 0.9552500, size.height * 0.8495916);
    path225.lineTo(size.width * 0.9554500, size.height * 0.8442240);
    path225.lineTo(size.width * 0.9565500, size.height * 0.8436406);
    path225.lineTo(size.width * 0.9570000, size.height * 0.8478413);
    path225.lineTo(size.width * 0.9586000, size.height * 0.8497083);
    path225.lineTo(size.width * 0.9576000, size.height * 0.8563594);
    path225.close();

    Paint paint225fill = Paint()..style = PaintingStyle.fill;
    paint225fill.color = countryColors.nZ ?? defaultCountryColor;
    canvas.drawPath(path225, paint225fill);

    Path path226 = Path();
    path226.moveTo(size.width * 0.3275500, size.height * 0.9777130);
    path226.lineTo(size.width * 0.3305500, size.height * 0.9935823);
    path226.lineTo(size.width * 0.3330500, size.height * 0.9935823);
    path226.lineTo(size.width * 0.3345500, size.height * 0.9938156);
    path226.lineTo(size.width * 0.3343000, size.height * 0.9966161);
    path226.lineTo(size.width * 0.3327000, size.height * 0.9988331);
    path226.lineTo(size.width * 0.3315000, size.height * 0.9985998);
    path226.lineTo(size.width * 0.3299500, size.height * 0.9980163);
    path226.lineTo(size.width * 0.3278500, size.height * 0.9959160);
    path226.lineTo(size.width * 0.3251500, size.height * 0.9948658);
    path226.lineTo(size.width * 0.3214000, size.height * 0.9908985);
    path226.lineTo(size.width * 0.3182000, size.height * 0.9871645);
    path226.lineTo(size.width * 0.3133000, size.height * 0.9791132);
    path226.lineTo(size.width * 0.3156000, size.height * 0.9806301);
    path226.lineTo(size.width * 0.3199000, size.height * 0.9854142);
    path226.lineTo(size.width * 0.3235500, size.height * 0.9879813);
    path226.lineTo(size.width * 0.3241500, size.height * 0.9847141);
    path226.lineTo(size.width * 0.3240000, size.height * 0.9798133);
    path226.lineTo(size.width * 0.3257000, size.height * 0.9767795);
    path226.lineTo(size.width * 0.3275500, size.height * 0.9777130);
    path226.close();

    Paint paint226fill = Paint()..style = PaintingStyle.fill;
    paint226fill.color = countryColors.cL ?? defaultCountryColor;
    canvas.drawPath(path226, paint226fill);

    Path path227 = Path();
    path227.moveTo(size.width * 0.3072000, size.height * 0.7558926);
    path227.lineTo(size.width * 0.3076500, size.height * 0.7577596);
    path227.lineTo(size.width * 0.3070500, size.height * 0.7655776);
    path227.lineTo(size.width * 0.3042500, size.height * 0.7691949);
    path227.lineTo(size.width * 0.3050500, size.height * 0.7816803);
    path227.lineTo(size.width * 0.3046500, size.height * 0.7841307);
    path227.lineTo(size.width * 0.3056500, size.height * 0.7870478);
    path227.lineTo(size.width * 0.3040000, size.height * 0.7917153);
    path227.lineTo(size.width * 0.3027000, size.height * 0.7987165);
    path227.lineTo(size.width * 0.3022500, size.height * 0.8056009);
    path227.lineTo(size.width * 0.3031000, size.height * 0.8128355);
    path227.lineTo(size.width * 0.3020500, size.height * 0.8205368);
    path227.lineTo(size.width * 0.3045000, size.height * 0.8334889);
    path227.lineTo(size.width * 0.3053000, size.height * 0.8348891);
    path227.lineTo(size.width * 0.3060000, size.height * 0.8417736);
    path227.lineTo(size.width * 0.3052000, size.height * 0.8490082);
    path227.lineTo(size.width * 0.3059000, size.height * 0.8553092);
    path227.lineTo(size.width * 0.3044000, size.height * 0.8602100);
    path227.lineTo(size.width * 0.3052000, size.height * 0.8669778);
    path227.lineTo(size.width * 0.3068500, size.height * 0.8743291);
    path227.lineTo(size.width * 0.3056000, size.height * 0.8770128);
    path227.lineTo(size.width * 0.3057000, size.height * 0.8836639);
    path227.lineTo(size.width * 0.3061000, size.height * 0.8912485);
    path227.lineTo(size.width * 0.3077500, size.height * 0.9003501);
    path227.lineTo(size.width * 0.3069000, size.height * 0.9018670);
    path227.lineTo(size.width * 0.3087500, size.height * 0.9103851);
    path227.lineTo(size.width * 0.3103000, size.height * 0.9131855);
    path227.lineTo(size.width * 0.3099000, size.height * 0.9163361);
    path227.lineTo(size.width * 0.3113000, size.height * 0.9177363);
    path227.lineTo(size.width * 0.3120000, size.height * 0.9205368);
    path227.lineTo(size.width * 0.3111000, size.height * 0.9219370);
    path227.lineTo(size.width * 0.3120000, size.height * 0.9262544);
    path227.lineTo(size.width * 0.3125500, size.height * 0.9359393);
    path227.lineTo(size.width * 0.3122000, size.height * 0.9422404);
    path227.lineTo(size.width * 0.3131000, size.height * 0.9459743);
    path227.lineTo(size.width * 0.3130500, size.height * 0.9505251);
    path227.lineTo(size.width * 0.3117000, size.height * 0.9537923);
    path227.lineTo(size.width * 0.3132500, size.height * 0.9613769);
    path227.lineTo(size.width * 0.3145500, size.height * 0.9640607);
    path227.lineTo(size.width * 0.3161000, size.height * 0.9635939);
    path227.lineTo(size.width * 0.3170500, size.height * 0.9689615);
    path227.lineTo(size.width * 0.3188000, size.height * 0.9731622);
    path227.lineTo(size.width * 0.3248500, size.height * 0.9740957);
    path227.lineTo(size.width * 0.3273000, size.height * 0.9752625);
    path227.lineTo(size.width * 0.3251500, size.height * 0.9752625);
    path227.lineTo(size.width * 0.3243000, size.height * 0.9770128);
    path227.lineTo(size.width * 0.3226000, size.height * 0.9795799);
    path227.lineTo(size.width * 0.3234500, size.height * 0.9862310);
    path227.lineTo(size.width * 0.3225000, size.height * 0.9863477);
    path227.lineTo(size.width * 0.3193500, size.height * 0.9841307);
    path227.lineTo(size.width * 0.3156000, size.height * 0.9791132);
    path227.lineTo(size.width * 0.3118000, size.height * 0.9750292);
    path227.lineTo(size.width * 0.3102000, size.height * 0.9704784);
    path227.lineTo(size.width * 0.3100500, size.height * 0.9662777);
    path227.lineTo(size.width * 0.3079500, size.height * 0.9613769);
    path227.lineTo(size.width * 0.3054500, size.height * 0.9490082);
    path227.lineTo(size.width * 0.3053500, size.height * 0.9420070);
    path227.lineTo(size.width * 0.3070500, size.height * 0.9364061);
    path227.lineTo(size.width * 0.3029000, size.height * 0.9341890);
    path227.lineTo(size.width * 0.3042500, size.height * 0.9277713);
    path227.lineTo(size.width * 0.3032500, size.height * 0.9155193);
    path227.lineTo(size.width * 0.3065000, size.height * 0.9180863);
    path227.lineTo(size.width * 0.3056000, size.height * 0.9028005);
    path227.lineTo(size.width * 0.3036000, size.height * 0.9008168);
    path227.lineTo(size.width * 0.3041000, size.height * 0.9100350);
    path227.lineTo(size.width * 0.3023500, size.height * 0.9089848);
    path227.lineTo(size.width * 0.3016000, size.height * 0.8984831);
    path227.lineTo(size.width * 0.3006000, size.height * 0.8847141);
    path227.lineTo(size.width * 0.3011500, size.height * 0.8795799);
    path227.lineTo(size.width * 0.2995000, size.height * 0.8723454);
    path227.lineTo(size.width * 0.2983000, size.height * 0.8639440);
    path227.lineTo(size.width * 0.2994000, size.height * 0.8635939);
    path227.lineTo(size.width * 0.2997000, size.height * 0.8515753);
    path227.lineTo(size.width * 0.3003000, size.height * 0.8395566);
    path227.lineTo(size.width * 0.3003500, size.height * 0.8284714);
    path227.lineTo(size.width * 0.2987000, size.height * 0.8171529);
    path227.lineTo(size.width * 0.2990000, size.height * 0.8109685);
    path227.lineTo(size.width * 0.2979500, size.height * 0.8017503);
    path227.lineTo(size.width * 0.2988500, size.height * 0.7926488);
    path227.lineTo(size.width * 0.2984000, size.height * 0.7781797);
    path227.lineTo(size.width * 0.2984000, size.height * 0.7625438);
    path227.lineTo(size.width * 0.2984500, size.height * 0.7458576);
    path227.lineTo(size.width * 0.2977000, size.height * 0.7336056);
    path227.lineTo(size.width * 0.2966500, size.height * 0.7229872);
    path227.lineTo(size.width * 0.2980500, size.height * 0.7211202);
    path227.lineTo(size.width * 0.2986000, size.height * 0.7172695);
    path227.lineTo(size.width * 0.3002000, size.height * 0.7224037);
    path227.lineTo(size.width * 0.3008000, size.height * 0.7277713);
    path227.lineTo(size.width * 0.3024000, size.height * 0.7309218);
    path227.lineTo(size.width * 0.3018500, size.height * 0.7381564);
    path227.lineTo(size.width * 0.3037000, size.height * 0.7465578);
    path227.lineTo(size.width * 0.3052500, size.height * 0.7569428);
    path227.lineTo(size.width * 0.3072000, size.height * 0.7558926);
    path227.close();

    Paint paint227fill = Paint()..style = PaintingStyle.fill;
    paint227fill.color = countryColors.cL ?? defaultCountryColor;
    canvas.drawPath(path227, paint227fill);

    Path path228 = Path();
    path228.moveTo(size.width * 0.5082500, size.height * 0.2066511);
    path228.lineTo(size.width * 0.5068500, size.height * 0.2049008);
    path228.lineTo(size.width * 0.5053000, size.height * 0.2017503);
    path228.lineTo(size.width * 0.5030500, size.height * 0.2032672);
    path228.lineTo(size.width * 0.5012500, size.height * 0.2026838);
    path228.lineTo(size.width * 0.5025000, size.height * 0.2007001);
    path228.lineTo(size.width * 0.5045000, size.height * 0.1901984);
    path228.lineTo(size.width * 0.5077500, size.height * 0.1871645);
    path228.lineTo(size.width * 0.5097500, size.height * 0.1873979);
    path228.lineTo(size.width * 0.5102000, size.height * 0.1898483);
    path228.lineTo(size.width * 0.5097500, size.height * 0.1963827);
    path228.lineTo(size.width * 0.5091500, size.height * 0.1990665);
    path228.lineTo(size.width * 0.5077000, size.height * 0.1990665);
    path228.lineTo(size.width * 0.5082500, size.height * 0.2066511);
    path228.close();

    Paint paint228fill = Paint()..style = PaintingStyle.fill;
    paint228fill.color = countryColors.nL ?? defaultCountryColor;
    canvas.drawPath(path228, paint228fill);

    Path path229 = Path();
    path229.moveTo(size.width * 0.4734500, size.height * 0.3077013);
    path229.lineTo(size.width * 0.4723500, size.height * 0.3095683);
    path229.lineTo(size.width * 0.4709500, size.height * 0.3085181);
    path229.lineTo(size.width * 0.4696000, size.height * 0.3093349);
    path229.lineTo(size.width * 0.4700500, size.height * 0.3035006);
    path229.lineTo(size.width * 0.4699000, size.height * 0.2989498);
    path229.lineTo(size.width * 0.4687000, size.height * 0.2982497);
    path229.lineTo(size.width * 0.4681500, size.height * 0.2954492);
    path229.lineTo(size.width * 0.4684000, size.height * 0.2905484);
    path229.lineTo(size.width * 0.4695000, size.height * 0.2878646);
    path229.lineTo(size.width * 0.4697500, size.height * 0.2848308);
    path229.lineTo(size.width * 0.4703500, size.height * 0.2803967);
    path229.lineTo(size.width * 0.4703500, size.height * 0.2772462);
    path229.lineTo(size.width * 0.4699000, size.height * 0.2745624);
    path229.lineTo(size.width * 0.4698000, size.height * 0.2719953);
    path229.lineTo(size.width * 0.4707500, size.height * 0.2701284);
    path229.lineTo(size.width * 0.4718500, size.height * 0.2690782);
    path229.lineTo(size.width * 0.4724500, size.height * 0.2726954);
    path229.lineTo(size.width * 0.4739500, size.height * 0.2726954);
    path229.lineTo(size.width * 0.4744000, size.height * 0.2717620);
    path229.lineTo(size.width * 0.4759500, size.height * 0.2719953);
    path229.lineTo(size.width * 0.4766000, size.height * 0.2757293);
    path229.lineTo(size.width * 0.4754000, size.height * 0.2777130);
    path229.lineTo(size.width * 0.4752500, size.height * 0.2835473);
    path229.lineTo(size.width * 0.4748500, size.height * 0.2845974);
    path229.lineTo(size.width * 0.4747000, size.height * 0.2882147);
    path229.lineTo(size.width * 0.4735500, size.height * 0.2887981);
    path229.lineTo(size.width * 0.4745500, size.height * 0.2932322);
    path229.lineTo(size.width * 0.4737500, size.height * 0.2981330);
    path229.lineTo(size.width * 0.4746500, size.height * 0.3003501);
    path229.lineTo(size.width * 0.4742500, size.height * 0.3023337);
    path229.lineTo(size.width * 0.4732500, size.height * 0.3051342);
    path229.lineTo(size.width * 0.4734500, size.height * 0.3077013);
    path229.close();

    Paint paint229fill = Paint()..style = PaintingStyle.fill;
    paint229fill.color = countryColors.pT ?? defaultCountryColor;
    canvas.drawPath(path229, paint229fill);

    Path path230 = Path();
    path230.moveTo(size.width * 0.8447500, size.height * 0.2070012);
    path230.lineTo(size.width * 0.8516000, size.height * 0.2198366);
    path230.lineTo(size.width * 0.8471500, size.height * 0.2175029);
    path230.lineTo(size.width * 0.8490000, size.height * 0.2280047);
    path230.lineTo(size.width * 0.8538000, size.height * 0.2354726);
    path230.lineTo(size.width * 0.8553000, size.height * 0.2406068);
    path230.lineTo(size.width * 0.8520500, size.height * 0.2361727);
    path230.lineTo(size.width * 0.8521000, size.height * 0.2418903);
    path230.lineTo(size.width * 0.8497500, size.height * 0.2357060);
    path230.lineTo(size.width * 0.8478500, size.height * 0.2285881);
    path230.lineTo(size.width * 0.8450500, size.height * 0.2207701);
    path230.lineTo(size.width * 0.8438500, size.height * 0.2151692);
    path230.lineTo(size.width * 0.8406500, size.height * 0.2056009);
    path230.lineTo(size.width * 0.8366500, size.height * 0.1984831);
    path230.lineTo(size.width * 0.8332500, size.height * 0.1886814);
    path230.lineTo(size.width * 0.8342000, size.height * 0.1854142);
    path230.lineTo(size.width * 0.8320000, size.height * 0.1821470);
    path230.lineTo(size.width * 0.8326500, size.height * 0.1810968);
    path230.lineTo(size.width * 0.8351000, size.height * 0.1857643);
    path230.lineTo(size.width * 0.8385500, size.height * 0.1926488);
    path230.lineTo(size.width * 0.8411500, size.height * 0.1997666);
    path230.lineTo(size.width * 0.8447500, size.height * 0.2070012);
    path230.close();

    Paint paint230fill = Paint()..style = PaintingStyle.fill;
    paint230fill.color = countryColors.rU ?? defaultCountryColor;
    canvas.drawPath(path230, paint230fill);

    Path path231 = Path();
    path231.moveTo(size.width * 0.5473000, size.height * 0.1813302);
    path231.lineTo(size.width * 0.5429000, size.height * 0.1814469);
    path231.lineTo(size.width * 0.5399500, size.height * 0.1806301);
    path231.lineTo(size.width * 0.5403000, size.height * 0.1775963);
    path231.lineTo(size.width * 0.5434500, size.height * 0.1752625);
    path231.lineTo(size.width * 0.5460000, size.height * 0.1765461);
    path231.lineTo(size.width * 0.5471000, size.height * 0.1775963);
    path231.lineTo(size.width * 0.5470000, size.height * 0.1795799);
    path231.lineTo(size.width * 0.5473000, size.height * 0.1813302);
    path231.close();

    Paint paint231fill = Paint()..style = PaintingStyle.fill;
    paint231fill.color = countryColors.rU ?? defaultCountryColor;
    canvas.drawPath(path231, paint231fill);

    Path path232 = Path();
    path232.moveTo(size.width * 0.7742000, size.height * 0.05624271);
    path232.lineTo(size.width * 0.7712500, size.height * 0.05635939);
    path232.lineTo(size.width * 0.7668000, size.height * 0.05565928);
    path232.lineTo(size.width * 0.7663000, size.height * 0.05530922);
    path232.lineTo(size.width * 0.7666500, size.height * 0.05297550);
    path232.lineTo(size.width * 0.7687500, size.height * 0.05239207);
    path232.lineTo(size.width * 0.7729500, size.height * 0.05472579);
    path232.lineTo(size.width * 0.7742000, size.height * 0.05624271);
    path232.close();

    Paint paint232fill = Paint()..style = PaintingStyle.fill;
    paint232fill.color = countryColors.rU ?? defaultCountryColor;
    canvas.drawPath(path232, paint232fill);

    Path path233 = Path();
    path233.moveTo(size.width * 0.7805000, size.height * 0.04515753);
    path233.lineTo(size.width * 0.7799500, size.height * 0.04749125);
    path233.lineTo(size.width * 0.7765000, size.height * 0.04702450);
    path233.lineTo(size.width * 0.7713500, size.height * 0.04469078);
    path233.lineTo(size.width * 0.7704500, size.height * 0.04282380);
    path233.lineTo(size.width * 0.7746000, size.height * 0.04364061);
    path233.lineTo(size.width * 0.7805000, size.height * 0.04515753);
    path233.close();

    Paint paint233fill = Paint()..style = PaintingStyle.fill;
    paint233fill.color = countryColors.rU ?? defaultCountryColor;
    canvas.drawPath(path233, paint233fill);

    Path path234 = Path();
    path234.moveTo(size.width * 0.7677500, size.height * 0.04235706);
    path234.lineTo(size.width * 0.7693000, size.height * 0.04679113);
    path234.lineTo(size.width * 0.7621500, size.height * 0.04655776);
    path234.lineTo(size.width * 0.7598500, size.height * 0.04795799);
    path234.lineTo(size.width * 0.7536000, size.height * 0.04410735);
    path234.lineTo(size.width * 0.7519000, size.height * 0.04014002);
    path234.lineTo(size.width * 0.7536500, size.height * 0.03908985);
    path234.lineTo(size.width * 0.7587500, size.height * 0.03932322);
    path234.lineTo(size.width * 0.7677500, size.height * 0.04235706);
    path234.close();

    Paint paint234fill = Paint()..style = PaintingStyle.fill;
    paint234fill.color = countryColors.rU ?? defaultCountryColor;
    canvas.drawPath(path234, paint234fill);

    Path path235 = Path();
    path235.moveTo(size.width * 0.6094000, size.height * 0.07152859);
    path235.lineTo(size.width * 0.6083000, size.height * 0.07199533);
    path235.lineTo(size.width * 0.6015500, size.height * 0.07117853);
    path235.lineTo(size.width * 0.6004000, size.height * 0.06849475);
    path235.lineTo(size.width * 0.5964500, size.height * 0.06686114);
    path235.lineTo(size.width * 0.5954500, size.height * 0.06347725);
    path235.lineTo(size.width * 0.5972000, size.height * 0.06219370);
    path235.lineTo(size.width * 0.5964000, size.height * 0.05892649);
    path235.lineTo(size.width * 0.5991000, size.height * 0.05379230);
    path235.lineTo(size.width * 0.5971000, size.height * 0.05309218);
    path235.lineTo(size.width * 0.6004500, size.height * 0.04784131);
    path235.lineTo(size.width * 0.5992000, size.height * 0.04515753);
    path235.lineTo(size.width * 0.6026000, size.height * 0.04212369);
    path235.lineTo(size.width * 0.6077500, size.height * 0.03838973);
    path235.lineTo(size.width * 0.6136000, size.height * 0.03733956);
    path235.lineTo(size.width * 0.6161000, size.height * 0.03523921);
    path235.lineTo(size.width * 0.6194500, size.height * 0.03453909);
    path235.lineTo(size.width * 0.6215500, size.height * 0.03675613);
    path235.lineTo(size.width * 0.6209000, size.height * 0.03850642);
    path235.lineTo(size.width * 0.6152000, size.height * 0.04142357);
    path235.lineTo(size.width * 0.6102500, size.height * 0.04410735);
    path235.lineTo(size.width * 0.6059000, size.height * 0.04970828);
    path235.lineTo(size.width * 0.6045000, size.height * 0.05554259);
    path235.lineTo(size.width * 0.6028500, size.height * 0.06137690);
    path235.lineTo(size.width * 0.6044000, size.height * 0.06639440);
    path235.lineTo(size.width * 0.6094000, size.height * 0.07152859);
    path235.close();

    Paint paint235fill = Paint()..style = PaintingStyle.fill;
    paint235fill.color = countryColors.rU ?? defaultCountryColor;
    canvas.drawPath(path235, paint235fill);

    Path path236 = Path();
    path236.moveTo(size.width * 0.8308500, size.height * 0.2695449);
    path236.lineTo(size.width * 0.8301500, size.height * 0.2682614);
    path236.lineTo(size.width * 0.8292000, size.height * 0.2644107);
    path236.lineTo(size.width * 0.8304500, size.height * 0.2642940);
    path236.lineTo(size.width * 0.8285000, size.height * 0.2555426);
    path236.lineTo(size.width * 0.8261500, size.height * 0.2492415);
    path236.lineTo(size.width * 0.8276000, size.height * 0.2466744);
    path236.lineTo(size.width * 0.8310500, size.height * 0.2479580);
    path236.lineTo(size.width * 0.8307500, size.height * 0.2407235);
    path236.lineTo(size.width * 0.8293500, size.height * 0.2327888);
    path236.lineTo(size.width * 0.8295000, size.height * 0.2301050);
    path236.lineTo(size.width * 0.8288500, size.height * 0.2234539);
    path236.lineTo(size.width * 0.8254000, size.height * 0.2256709);
    path236.lineTo(size.width * 0.8241000, size.height * 0.2284714);
    path236.lineTo(size.width * 0.8203000, size.height * 0.2284714);
    path236.lineTo(size.width * 0.8173000, size.height * 0.2217036);
    path236.lineTo(size.width * 0.8128000, size.height * 0.2164527);
    path236.lineTo(size.width * 0.8078000, size.height * 0.2141190);
    path236.lineTo(size.width * 0.8047000, size.height * 0.2071179);
    path236.lineTo(size.width * 0.8024500, size.height * 0.2026838);
    path236.lineTo(size.width * 0.8005500, size.height * 0.1995333);
    path236.lineTo(size.width * 0.7967000, size.height * 0.1922987);
    path236.lineTo(size.width * 0.7937000, size.height * 0.1897316);
    path236.lineTo(size.width * 0.7894000, size.height * 0.1875146);
    path236.lineTo(size.width * 0.7863000, size.height * 0.1877480);
    path236.lineTo(size.width * 0.7837500, size.height * 0.1890315);
    path236.lineTo(size.width * 0.7829000, size.height * 0.1926488);
    path236.lineTo(size.width * 0.7847500, size.height * 0.1942824);
    path236.lineTo(size.width * 0.7860000, size.height * 0.1982497);
    path236.lineTo(size.width * 0.7853500, size.height * 0.2005834);
    path236.lineTo(size.width * 0.7854500, size.height * 0.2081680);
    path236.lineTo(size.width * 0.7864000, size.height * 0.2114352);
    path236.lineTo(size.width * 0.7842000, size.height * 0.2159860);
    path236.lineTo(size.width * 0.7805000, size.height * 0.2131855);
    path236.lineTo(size.width * 0.7777000, size.height * 0.2138856);
    path236.lineTo(size.width * 0.7757500, size.height * 0.2114352);
    path236.lineTo(size.width * 0.7740500, size.height * 0.2106184);
    path236.lineTo(size.width * 0.7718500, size.height * 0.2157526);
    path236.lineTo(size.width * 0.7689000, size.height * 0.2169195);
    path236.lineTo(size.width * 0.7671000, size.height * 0.2187865);
    path236.lineTo(size.width * 0.7637000, size.height * 0.2176196);
    path236.lineTo(size.width * 0.7614000, size.height * 0.2176196);
    path236.lineTo(size.width * 0.7589500, size.height * 0.2138856);
    path236.lineTo(size.width * 0.7556500, size.height * 0.2105018);
    path236.lineTo(size.width * 0.7529500, size.height * 0.2094516);
    path236.lineTo(size.width * 0.7501000, size.height * 0.2103851);
    path236.lineTo(size.width * 0.7481000, size.height * 0.2117853);
    path236.lineTo(size.width * 0.7438500, size.height * 0.2087515);
    path236.lineTo(size.width * 0.7420500, size.height * 0.2033839);
    path236.lineTo(size.width * 0.7387000, size.height * 0.2015169);
    path236.lineTo(size.width * 0.7363000, size.height * 0.2005834);
    path236.lineTo(size.width * 0.7328000, size.height * 0.1976663);
    path236.lineTo(size.width * 0.7321500, size.height * 0.2051342);
    path236.lineTo(size.width * 0.7341500, size.height * 0.2093349);
    path236.lineTo(size.width * 0.7329500, size.height * 0.2144691);
    path236.lineTo(size.width * 0.7289500, size.height * 0.2126021);
    path236.lineTo(size.width * 0.7264500, size.height * 0.2123687);
    path236.lineTo(size.width * 0.7240500, size.height * 0.2089848);
    path236.lineTo(size.width * 0.7214500, size.height * 0.2088681);
    path236.lineTo(size.width * 0.7188000, size.height * 0.2066511);
    path236.lineTo(size.width * 0.7158500, size.height * 0.2100350);
    path236.lineTo(size.width * 0.7125000, size.height * 0.2162194);
    path236.lineTo(size.width * 0.7101500, size.height * 0.2175029);
    path236.lineTo(size.width * 0.7093000, size.height * 0.2180863);
    path236.lineTo(size.width * 0.7071000, size.height * 0.2136523);
    path236.lineTo(size.width * 0.7041000, size.height * 0.2147025);
    path236.lineTo(size.width * 0.7024500, size.height * 0.2115519);
    path236.lineTo(size.width * 0.7004500, size.height * 0.2101517);
    path236.lineTo(size.width * 0.6984000, size.height * 0.2059510);
    path236.lineTo(size.width * 0.6967500, size.height * 0.2046674);
    path236.lineTo(size.width * 0.6936500, size.height * 0.2065344);
    path236.lineTo(size.width * 0.6894500, size.height * 0.2024504);
    path236.lineTo(size.width * 0.6889000, size.height * 0.2061844);
    path236.lineTo(size.width * 0.6797500, size.height * 0.1879813);
    path236.lineTo(size.width * 0.6755500, size.height * 0.1824971);
    path236.lineTo(size.width * 0.6759500, size.height * 0.1801634);
    path236.lineTo(size.width * 0.6713500, size.height * 0.1869312);
    path236.lineTo(size.width * 0.6691500, size.height * 0.1872812);
    path236.lineTo(size.width * 0.6686000, size.height * 0.1834306);
    path236.lineTo(size.width * 0.6650500, size.height * 0.1809802);
    path236.lineTo(size.width * 0.6629000, size.height * 0.1827305);
    path236.lineTo(size.width * 0.6607000, size.height * 0.1753792);
    path236.lineTo(size.width * 0.6561500, size.height * 0.1738623);
    path236.lineTo(size.width * 0.6546000, size.height * 0.1767795);
    path236.lineTo(size.width * 0.6491500, size.height * 0.1794632);
    path236.lineTo(size.width * 0.6483000, size.height * 0.1812135);
    path236.lineTo(size.width * 0.6398000, size.height * 0.1836639);
    path236.lineTo(size.width * 0.6391000, size.height * 0.1861144);
    path236.lineTo(size.width * 0.6416500, size.height * 0.1910152);
    path236.lineTo(size.width * 0.6396500, size.height * 0.1928821);
    path236.lineTo(size.width * 0.6404000, size.height * 0.1947491);
    path236.lineTo(size.width * 0.6386500, size.height * 0.1982497);
    path236.lineTo(size.width * 0.6433500, size.height * 0.2032672);
    path236.lineTo(size.width * 0.6432500, size.height * 0.2066511);
    path236.lineTo(size.width * 0.6397500, size.height * 0.2063011);
    path236.lineTo(size.width * 0.6393500, size.height * 0.2085181);
    path236.lineTo(size.width * 0.6357000, size.height * 0.2047841);
    path236.lineTo(size.width * 0.6318500, size.height * 0.2049008);
    path236.lineTo(size.width * 0.6296500, size.height * 0.2079347);
    path236.lineTo(size.width * 0.6263500, size.height * 0.2050175);
    path236.lineTo(size.width * 0.6203500, size.height * 0.2000000);
    path236.lineTo(size.width * 0.6165500, size.height * 0.2002334);
    path236.lineTo(size.width * 0.6125000, size.height * 0.2080513);
    path236.lineTo(size.width * 0.6128000, size.height * 0.2133022);
    path236.lineTo(size.width * 0.6098000, size.height * 0.2091015);
    path236.lineTo(size.width * 0.6087000, size.height * 0.2171529);
    path236.lineTo(size.width * 0.6096000, size.height * 0.2185531);
    path236.lineTo(size.width * 0.6087500, size.height * 0.2241540);
    path236.lineTo(size.width * 0.6114000, size.height * 0.2290548);
    path236.lineTo(size.width * 0.6132000, size.height * 0.2288215);
    path236.lineTo(size.width * 0.6153500, size.height * 0.2337223);
    path236.lineTo(size.width * 0.6154500, size.height * 0.2374562);
    path236.lineTo(size.width * 0.6168500, size.height * 0.2387398);
    path236.lineTo(size.width * 0.6161500, size.height * 0.2430572);
    path236.lineTo(size.width * 0.6138500, size.height * 0.2442240);
    path236.lineTo(size.width * 0.6120500, size.height * 0.2518086);
    path236.lineTo(size.width * 0.6150500, size.height * 0.2589265);
    path236.lineTo(size.width * 0.6152500, size.height * 0.2638273);
    path236.lineTo(size.width * 0.6189000, size.height * 0.2725788);
    path236.lineTo(size.width * 0.6176500, size.height * 0.2756126);
    path236.lineTo(size.width * 0.6173500, size.height * 0.2774796);
    path236.lineTo(size.width * 0.6161500, size.height * 0.2768961);
    path236.lineTo(size.width * 0.6140000, size.height * 0.2724621);
    path236.lineTo(size.width * 0.6132500, size.height * 0.2722287);
    path236.lineTo(size.width * 0.6114500, size.height * 0.2704784);
    path236.lineTo(size.width * 0.6104000, size.height * 0.2674446);
    path236.lineTo(size.width * 0.6078500, size.height * 0.2659277);
    path236.lineTo(size.width * 0.6064000, size.height * 0.2670945);
    path236.lineTo(size.width * 0.6058000, size.height * 0.2656943);
    path236.lineTo(size.width * 0.6020000, size.height * 0.2620770);
    path236.lineTo(size.width * 0.5981500, size.height * 0.2609102);
    path236.lineTo(size.width * 0.5958500, size.height * 0.2596266);
    path236.lineTo(size.width * 0.5956500, size.height * 0.2605601);
    path236.lineTo(size.width * 0.5918500, size.height * 0.2542590);
    path236.lineTo(size.width * 0.5887500, size.height * 0.2514586);
    path236.lineTo(size.width * 0.5862000, size.height * 0.2471412);
    path236.lineTo(size.width * 0.5880000, size.height * 0.2459743);
    path236.lineTo(size.width * 0.5896000, size.height * 0.2399067);
    path236.lineTo(size.width * 0.5879500, size.height * 0.2369895);
    path236.lineTo(size.width * 0.5914000, size.height * 0.2339557);
    path236.lineTo(size.width * 0.5912000, size.height * 0.2323221);
    path236.lineTo(size.width * 0.5890500, size.height * 0.2334889);
    path236.lineTo(size.width * 0.5888500, size.height * 0.2303384);
    path236.lineTo(size.width * 0.5899500, size.height * 0.2282380);
    path236.lineTo(size.width * 0.5923500, size.height * 0.2277713);
    path236.lineTo(size.width * 0.5925000, size.height * 0.2253209);
    path236.lineTo(size.width * 0.5916000, size.height * 0.2212369);
    path236.lineTo(size.width * 0.5922500, size.height * 0.2175029);
    path236.lineTo(size.width * 0.5920500, size.height * 0.2152859);
    path236.lineTo(size.width * 0.5882000, size.height * 0.2129522);
    path236.lineTo(size.width * 0.5867500, size.height * 0.2130688);
    path236.lineTo(size.width * 0.5849500, size.height * 0.2096849);
    path236.lineTo(size.width * 0.5831500, size.height * 0.2108518);
    path236.lineTo(size.width * 0.5798000, size.height * 0.2082847);
    path236.lineTo(size.width * 0.5797500, size.height * 0.2068845);
    path236.lineTo(size.width * 0.5786000, size.height * 0.2037340);
    path236.lineTo(size.width * 0.5766500, size.height * 0.2033839);
    path236.lineTo(size.width * 0.5762500, size.height * 0.2011669);
    path236.lineTo(size.width * 0.5767000, size.height * 0.1996499);
    path236.lineTo(size.width * 0.5748000, size.height * 0.1955659);
    path236.lineTo(size.width * 0.5723500, size.height * 0.1962660);
    path236.lineTo(size.width * 0.5716000, size.height * 0.1959160);
    path236.lineTo(size.width * 0.5711000, size.height * 0.1975496);
    path236.lineTo(size.width * 0.5702000, size.height * 0.1973162);
    path236.lineTo(size.width * 0.5692000, size.height * 0.1926488);
    path236.lineTo(size.width * 0.5684500, size.height * 0.1903151);
    path236.lineTo(size.width * 0.5688500, size.height * 0.1896149);
    path236.lineTo(size.width * 0.5708000, size.height * 0.1898483);
    path236.lineTo(size.width * 0.5716000, size.height * 0.1883314);
    path236.lineTo(size.width * 0.5707500, size.height * 0.1864644);
    path236.lineTo(size.width * 0.5690500, size.height * 0.1851809);
    path236.lineTo(size.width * 0.5690500, size.height * 0.1838973);
    path236.lineTo(size.width * 0.5680000, size.height * 0.1826138);
    path236.lineTo(size.width * 0.5661000, size.height * 0.1779463);
    path236.lineTo(size.width * 0.5664500, size.height * 0.1760793);
    path236.lineTo(size.width * 0.5659000, size.height * 0.1726954);
    path236.lineTo(size.width * 0.5635000, size.height * 0.1710618);
    path236.lineTo(size.width * 0.5623000, size.height * 0.1718786);
    path236.lineTo(size.width * 0.5618500, size.height * 0.1701284);
    path236.lineTo(size.width * 0.5592000, size.height * 0.1683781);
    path236.lineTo(size.width * 0.5581500, size.height * 0.1641774);
    path236.lineTo(size.width * 0.5576500, size.height * 0.1607935);
    path236.lineTo(size.width * 0.5564000, size.height * 0.1592765);
    path236.lineTo(size.width * 0.5572000, size.height * 0.1570595);
    path236.lineTo(size.width * 0.5560000, size.height * 0.1505251);
    path236.lineTo(size.width * 0.5573000, size.height * 0.1465578);
    path236.lineTo(size.width * 0.5568500, size.height * 0.1453909);
    path236.lineTo(size.width * 0.5591000, size.height * 0.1415403);
    path236.lineTo(size.width * 0.5564000, size.height * 0.1382730);
    path236.lineTo(size.width * 0.5604000, size.height * 0.1296383);
    path236.lineTo(size.width * 0.5621000, size.height * 0.1256709);
    path236.lineTo(size.width * 0.5625500, size.height * 0.1222870);
    path236.lineTo(size.width * 0.5588500, size.height * 0.1177363);
    path236.lineTo(size.width * 0.5593000, size.height * 0.1133022);
    path236.lineTo(size.width * 0.5568500, size.height * 0.1084014);
    path236.lineTo(size.width * 0.5577000, size.height * 0.1028005);
    path236.lineTo(size.width * 0.5544500, size.height * 0.09544924);
    path236.lineTo(size.width * 0.5559000, size.height * 0.09054842);
    path236.lineTo(size.width * 0.5522500, size.height * 0.08623104);
    path236.lineTo(size.width * 0.5520500, size.height * 0.08179697);
    path236.lineTo(size.width * 0.5536500, size.height * 0.08121354);
    path236.lineTo(size.width * 0.5568500, size.height * 0.07876313);
    path236.lineTo(size.width * 0.5587000, size.height * 0.07654609);
    path236.lineTo(size.width * 0.5625500, size.height * 0.08028005);
    path236.lineTo(size.width * 0.5684000, size.height * 0.08179697);
    path236.lineTo(size.width * 0.5772500, size.height * 0.08903151);
    path236.lineTo(size.width * 0.5793000, size.height * 0.09206534);
    path236.lineTo(size.width * 0.5800500, size.height * 0.09638273);
    path236.lineTo(size.width * 0.5782000, size.height * 0.09976663);
    path236.lineTo(size.width * 0.5749500, size.height * 0.1015169);
    path236.lineTo(size.width * 0.5648500, size.height * 0.09661610);
    path236.lineTo(size.width * 0.5634000, size.height * 0.09743291);
    path236.lineTo(size.width * 0.5674500, size.height * 0.1022170);
    path236.lineTo(size.width * 0.5679500, size.height * 0.1052509);
    path236.lineTo(size.width * 0.5689000, size.height * 0.1120187);
    path236.lineTo(size.width * 0.5719500, size.height * 0.1140023);
    path236.lineTo(size.width * 0.5738500, size.height * 0.1157526);
    path236.lineTo(size.width * 0.5737500, size.height * 0.1124854);
    path236.lineTo(size.width * 0.5720500, size.height * 0.1096849);
    path236.lineTo(size.width * 0.5731000, size.height * 0.1071179);
    path236.lineTo(size.width * 0.5789000, size.height * 0.1113186);
    path236.lineTo(size.width * 0.5805000, size.height * 0.1096849);
    path236.lineTo(size.width * 0.5783500, size.height * 0.1047841);
    path236.lineTo(size.width * 0.5824000, size.height * 0.09848308);
    path236.lineTo(size.width * 0.5844500, size.height * 0.09883314);
    path236.lineTo(size.width * 0.5867500, size.height * 0.1010502);
    path236.lineTo(size.width * 0.5873000, size.height * 0.09661610);
    path236.lineTo(size.width * 0.5849500, size.height * 0.09276546);
    path236.lineTo(size.width * 0.5853500, size.height * 0.08891482);
    path236.lineTo(size.width * 0.5832000, size.height * 0.08494749);
    path236.lineTo(size.width * 0.5893500, size.height * 0.08704784);
    path236.lineTo(size.width * 0.5911500, size.height * 0.09054842);
    path236.lineTo(size.width * 0.5886000, size.height * 0.09136523);
    path236.lineTo(size.width * 0.5892000, size.height * 0.09498250);
    path236.lineTo(size.width * 0.5912500, size.height * 0.09719953);
    path236.lineTo(size.width * 0.5942500, size.height * 0.09579930);
    path236.lineTo(size.width * 0.5940500, size.height * 0.09171529);
    path236.lineTo(size.width * 0.5979000, size.height * 0.08856476);
    path236.lineTo(size.width * 0.6041000, size.height * 0.08319720);
    path236.lineTo(size.width * 0.6057000, size.height * 0.08343057);
    path236.lineTo(size.width * 0.6044500, size.height * 0.08728121);
    path236.lineTo(size.width * 0.6071500, size.height * 0.08798133);
    path236.lineTo(size.width * 0.6082000, size.height * 0.08576429);
    path236.lineTo(size.width * 0.6120500, size.height * 0.08564761);
    path236.lineTo(size.width * 0.6145500, size.height * 0.08296383);
    path236.lineTo(size.width * 0.6177500, size.height * 0.08681447);
    path236.lineTo(size.width * 0.6191500, size.height * 0.08261377);
    path236.lineTo(size.width * 0.6161500, size.height * 0.07899650);
    path236.lineTo(size.width * 0.6167500, size.height * 0.07689615);
    path236.lineTo(size.width * 0.6232500, size.height * 0.07876313);
    path236.lineTo(size.width * 0.6265500, size.height * 0.08074679);
    path236.lineTo(size.width * 0.6358500, size.height * 0.08798133);
    path236.lineTo(size.width * 0.6364000, size.height * 0.08471412);
    path236.lineTo(size.width * 0.6334500, size.height * 0.08133022);
    path236.lineTo(size.width * 0.6330500, size.height * 0.08004667);
    path236.lineTo(size.width * 0.6304000, size.height * 0.07934656);
    path236.lineTo(size.width * 0.6303000, size.height * 0.07642940);
    path236.lineTo(size.width * 0.6279500, size.height * 0.07152859);
    path236.lineTo(size.width * 0.6274000, size.height * 0.06954492);
    path236.lineTo(size.width * 0.6295500, size.height * 0.06406068);
    path236.lineTo(size.width * 0.6292500, size.height * 0.05845974);
    path236.lineTo(size.width * 0.6303500, size.height * 0.05729288);
    path236.lineTo(size.width * 0.6360500, size.height * 0.05892649);
    path236.lineTo(size.width * 0.6375000, size.height * 0.06231039);
    path236.lineTo(size.width * 0.6370500, size.height * 0.06721120);
    path236.lineTo(size.width * 0.6389000, size.height * 0.06919487);
    path236.lineTo(size.width * 0.6408000, size.height * 0.07351225);
    path236.lineTo(size.width * 0.6427000, size.height * 0.08214702);
    path236.lineTo(size.width * 0.6460500, size.height * 0.08599767);
    path236.lineTo(size.width * 0.6463000, size.height * 0.09031505);
    path236.lineTo(size.width * 0.6445500, size.height * 0.09941657);
    path236.lineTo(size.width * 0.6472000, size.height * 0.1003501);
    path236.lineTo(size.width * 0.6474500, size.height * 0.09801634);
    path236.lineTo(size.width * 0.6493500, size.height * 0.09638273);
    path236.lineTo(size.width * 0.6491000, size.height * 0.09323221);
    path236.lineTo(size.width * 0.6500500, size.height * 0.09008168);
    path236.lineTo(size.width * 0.6478500, size.height * 0.08646441);
    path236.lineTo(size.width * 0.6476500, size.height * 0.08226371);
    path236.lineTo(size.width * 0.6452500, size.height * 0.08179697);
    path236.lineTo(size.width * 0.6438000, size.height * 0.07829638);
    path236.lineTo(size.width * 0.6436000, size.height * 0.07199533);
    path236.lineTo(size.width * 0.6395000, size.height * 0.06697783);
    path236.lineTo(size.width * 0.6418500, size.height * 0.06289382);
    path236.lineTo(size.width * 0.6400000, size.height * 0.05857643);
    path236.lineTo(size.width * 0.6409500, size.height * 0.05845974);
    path236.lineTo(size.width * 0.6430500, size.height * 0.06172695);
    path236.lineTo(size.width * 0.6441000, size.height * 0.06767795);
    path236.lineTo(size.width * 0.6466000, size.height * 0.06884481);
    path236.lineTo(size.width * 0.6443000, size.height * 0.06441074);
    path236.lineTo(size.width * 0.6468500, size.height * 0.06196033);
    path236.lineTo(size.width * 0.6509000, size.height * 0.06161027);
    path236.lineTo(size.width * 0.6557000, size.height * 0.06511085);
    path236.lineTo(size.width * 0.6522500, size.height * 0.06009335);
    path236.lineTo(size.width * 0.6498000, size.height * 0.05367561);
    path236.lineTo(size.width * 0.6527500, size.height * 0.05250875);
    path236.lineTo(size.width * 0.6575000, size.height * 0.05274212);
    path236.lineTo(size.width * 0.6614000, size.height * 0.05192532);
    path236.lineTo(size.width * 0.6586000, size.height * 0.04889148);
    path236.lineTo(size.width * 0.6592500, size.height * 0.04504084);
    path236.lineTo(size.width * 0.6613500, size.height * 0.04480747);
    path236.lineTo(size.width * 0.6638000, size.height * 0.04200700);
    path236.lineTo(size.width * 0.6684500, size.height * 0.04119020);
    path236.lineTo(size.width * 0.6683500, size.height * 0.03955659);
    path236.lineTo(size.width * 0.6730000, size.height * 0.03908985);
    path236.lineTo(size.width * 0.6751500, size.height * 0.04037340);
    path236.lineTo(size.width * 0.6778500, size.height * 0.03733956);
    path236.lineTo(size.width * 0.6813500, size.height * 0.03745624);
    path236.lineTo(size.width * 0.6806000, size.height * 0.03488915);
    path236.lineTo(size.width * 0.6810500, size.height * 0.03255543);
    path236.lineTo(size.width * 0.6841500, size.height * 0.03022170);
    path236.lineTo(size.width * 0.6883000, size.height * 0.03208868);
    path236.lineTo(size.width * 0.6865500, size.height * 0.03348891);
    path236.lineTo(size.width * 0.6912500, size.height * 0.03430572);
    path236.lineTo(size.width * 0.6933000, size.height * 0.03710618);
    path236.lineTo(size.width * 0.6942500, size.height * 0.03570595);
    path236.lineTo(size.width * 0.6997000, size.height * 0.03582264);
    path236.lineTo(size.width * 0.7055000, size.height * 0.03862310);
    path236.lineTo(size.width * 0.7082500, size.height * 0.04072345);
    path236.lineTo(size.width * 0.7095000, size.height * 0.04375729);
    path236.lineTo(size.width * 0.7083000, size.height * 0.04550758);
    path236.lineTo(size.width * 0.7050000, size.height * 0.04877480);
    path236.lineTo(size.width * 0.7044500, size.height * 0.05052509);
    path236.lineTo(size.width * 0.7072500, size.height * 0.05134189);
    path236.lineTo(size.width * 0.7108500, size.height * 0.05285881);
    path236.lineTo(size.width * 0.7120500, size.height * 0.05169195);
    path236.lineTo(size.width * 0.7149500, size.height * 0.05554259);
    path236.lineTo(size.width * 0.7150500, size.height * 0.05402567);
    path236.lineTo(size.width * 0.7176500, size.height * 0.05309218);
    path236.lineTo(size.width * 0.7244500, size.height * 0.05402567);
    path236.lineTo(size.width * 0.7263500, size.height * 0.05682614);
    path236.lineTo(size.width * 0.7350500, size.height * 0.05775963);
    path236.lineTo(size.width * 0.7326500, size.height * 0.05320887);
    path236.lineTo(size.width * 0.7374000, size.height * 0.05425904);
    path236.lineTo(size.width * 0.7404500, size.height * 0.05414236);
    path236.lineTo(size.width * 0.7454000, size.height * 0.05729288);
    path236.lineTo(size.width * 0.7484000, size.height * 0.06114352);
    path236.lineTo(size.width * 0.7486000, size.height * 0.06371062);
    path236.lineTo(size.width * 0.7536500, size.height * 0.06861144);
    path236.lineTo(size.width * 0.7581500, size.height * 0.07106184);
    path236.lineTo(size.width * 0.7566500, size.height * 0.06464411);
    path236.lineTo(size.width * 0.7613500, size.height * 0.06732789);
    path236.lineTo(size.width * 0.7638500, size.height * 0.06569428);
    path236.lineTo(size.width * 0.7687500, size.height * 0.06756126);
    path236.lineTo(size.width * 0.7692500, size.height * 0.06592765);
    path236.lineTo(size.width * 0.7730500, size.height * 0.06674446);
    path236.lineTo(size.width * 0.7683500, size.height * 0.06102684);
    path236.lineTo(size.width * 0.7694000, size.height * 0.05845974);
    path236.lineTo(size.width * 0.7896000, size.height * 0.06242707);
    path236.lineTo(size.width * 0.7935500, size.height * 0.06604434);
    path236.lineTo(size.width * 0.8017000, size.height * 0.07071179);
    path236.lineTo(size.width * 0.8091000, size.height * 0.06954492);
    path236.lineTo(size.width * 0.8137500, size.height * 0.07059510);
    path236.lineTo(size.width * 0.8170500, size.height * 0.07316219);
    path236.lineTo(size.width * 0.8196000, size.height * 0.07771295);
    path236.lineTo(size.width * 0.8232500, size.height * 0.07946324);
    path236.lineTo(size.width * 0.8252000, size.height * 0.07817970);
    path236.lineTo(size.width * 0.8287000, size.height * 0.07806301);
    path236.lineTo(size.width * 0.8333500, size.height * 0.07922987);
    path236.lineTo(size.width * 0.8368000, size.height * 0.07852975);
    path236.lineTo(size.width * 0.8439500, size.height * 0.08413069);
    path236.lineTo(size.width * 0.8452000, size.height * 0.08214702);
    path236.lineTo(size.width * 0.8409500, size.height * 0.07817970);
    path236.lineTo(size.width * 0.8400500, size.height * 0.07537923);
    path236.lineTo(size.width * 0.8477000, size.height * 0.07712952);
    path236.lineTo(size.width * 0.8517000, size.height * 0.07677946);
    path236.lineTo(size.width * 0.8596000, size.height * 0.07969662);
    path236.lineTo(size.width * 0.8643500, size.height * 0.08249708);
    path236.lineTo(size.width * 0.8809500, size.height * 0.1082847);
    path236.lineTo(size.width * 0.8799500, size.height * 0.1112019);
    path236.lineTo(size.width * 0.8768500, size.height * 0.1107351);
    path236.lineTo(size.width * 0.8809500, size.height * 0.1142357);
    path236.lineTo(size.width * 0.8855000, size.height * 0.1197200);
    path236.lineTo(size.width * 0.8876000, size.height * 0.1214702);
    path236.lineTo(size.width * 0.8895000, size.height * 0.1242707);
    path236.lineTo(size.width * 0.8900000, size.height * 0.1260210);
    path236.lineTo(size.width * 0.8850000, size.height * 0.1246208);
    path236.lineTo(size.width * 0.8817000, size.height * 0.1296383);
    path236.lineTo(size.width * 0.8802000, size.height * 0.1304551);
    path236.lineTo(size.width * 0.8794000, size.height * 0.1352392);
    path236.lineTo(size.width * 0.8784000, size.height * 0.1394399);
    path236.lineTo(size.width * 0.8792500, size.height * 0.1425904);
    path236.lineTo(size.width * 0.8735000, size.height * 0.1378063);
    path236.lineTo(size.width * 0.8704500, size.height * 0.1431739);
    path236.lineTo(size.width * 0.8681000, size.height * 0.1406068);
    path236.lineTo(size.width * 0.8674000, size.height * 0.1436406);
    path236.lineTo(size.width * 0.8639000, size.height * 0.1425904);
    path236.lineTo(size.width * 0.8654500, size.height * 0.1471412);
    path236.lineTo(size.width * 0.8660000, size.height * 0.1539090);
    path236.lineTo(size.width * 0.8674500, size.height * 0.1567095);
    path236.lineTo(size.width * 0.8708500, size.height * 0.1582264);
    path236.lineTo(size.width * 0.8754000, size.height * 0.1683781);
    path236.lineTo(size.width * 0.8733500, size.height * 0.1687281);
    path236.lineTo(size.width * 0.8750500, size.height * 0.1745624);
    path236.lineTo(size.width * 0.8774000, size.height * 0.1775963);
    path236.lineTo(size.width * 0.8749000, size.height * 0.1812135);
    path236.lineTo(size.width * 0.8776000, size.height * 0.1893816);
    path236.lineTo(size.width * 0.8747500, size.height * 0.1911319);
    path236.lineTo(size.width * 0.8770000, size.height * 0.1983664);
    path236.lineTo(size.width * 0.8761500, size.height * 0.2051342);
    path236.lineTo(size.width * 0.8733000, size.height * 0.2001167);
    path236.lineTo(size.width * 0.8680500, size.height * 0.1897316);
    path236.lineTo(size.width * 0.8599500, size.height * 0.1738623);
    path236.lineTo(size.width * 0.8567000, size.height * 0.1641774);
    path236.lineTo(size.width * 0.8567500, size.height * 0.1599767);
    path236.lineTo(size.width * 0.8553500, size.height * 0.1567095);
    path236.lineTo(size.width * 0.8582000, size.height * 0.1551925);
    path236.lineTo(size.width * 0.8581000, size.height * 0.1464411);
    path236.lineTo(size.width * 0.8584500, size.height * 0.1394399);
    path236.lineTo(size.width * 0.8597000, size.height * 0.1339557);
    path236.lineTo(size.width * 0.8564000, size.height * 0.1243874);
    path236.lineTo(size.width * 0.8540500, size.height * 0.1249708);
    path236.lineTo(size.width * 0.8556500, size.height * 0.1305718);
    path236.lineTo(size.width * 0.8538500, size.height * 0.1380397);
    path236.lineTo(size.width * 0.8477000, size.height * 0.1296383);
    path236.lineTo(size.width * 0.8431500, size.height * 0.1319720);
    path236.lineTo(size.width * 0.8431500, size.height * 0.1434072);
    path236.lineTo(size.width * 0.8470000, size.height * 0.1476079);
    path236.lineTo(size.width * 0.8427500, size.height * 0.1494749);
    path236.lineTo(size.width * 0.8395500, size.height * 0.1501750);
    path236.lineTo(size.width * 0.8374000, size.height * 0.1451575);
    path236.lineTo(size.width * 0.8334000, size.height * 0.1441074);
    path236.lineTo(size.width * 0.8321500, size.height * 0.1474912);
    path236.lineTo(size.width * 0.8246000, size.height * 0.1463244);
    path236.lineTo(size.width * 0.8180000, size.height * 0.1483081);
    path236.lineTo(size.width * 0.8162500, size.height * 0.1619603);
    path236.lineTo(size.width * 0.8137500, size.height * 0.1785298);
    path236.lineTo(size.width * 0.8178500, size.height * 0.1794632);
    path236.lineTo(size.width * 0.8207000, size.height * 0.1838973);
    path236.lineTo(size.width * 0.8236000, size.height * 0.1854142);
    path236.lineTo(size.width * 0.8238000, size.height * 0.1819137);
    path236.lineTo(size.width * 0.8266000, size.height * 0.1823804);
    path236.lineTo(size.width * 0.8330000, size.height * 0.1901984);
    path236.lineTo(size.width * 0.8353500, size.height * 0.1962660);
    path236.lineTo(size.width * 0.8360500, size.height * 0.2035006);
    path236.lineTo(size.width * 0.8388000, size.height * 0.2121354);
    path236.lineTo(size.width * 0.8414500, size.height * 0.2236873);
    path236.lineTo(size.width * 0.8409500, size.height * 0.2343057);
    path236.lineTo(size.width * 0.8416000, size.height * 0.2393232);
    path236.lineTo(size.width * 0.8406000, size.height * 0.2479580);
    path236.lineTo(size.width * 0.8395500, size.height * 0.2564761);
    path236.lineTo(size.width * 0.8391000, size.height * 0.2607935);
    path236.lineTo(size.width * 0.8368000, size.height * 0.2651109);
    path236.lineTo(size.width * 0.8352500, size.height * 0.2652275);
    path236.lineTo(size.width * 0.8326500, size.height * 0.2616103);
    path236.lineTo(size.width * 0.8306000, size.height * 0.2670945);
    path236.lineTo(size.width * 0.8308500, size.height * 0.2695449);
    path236.close();

    Paint paint236fill = Paint()..style = PaintingStyle.fill;
    paint236fill.color = countryColors.rU ?? defaultCountryColor;
    canvas.drawPath(path236, paint236fill);

    Path path237 = Path();
    path237.moveTo(size.width * 0.6835500, size.height * 0.02695449);
    path237.lineTo(size.width * 0.6745000, size.height * 0.02905484);
    path237.lineTo(size.width * 0.6738500, size.height * 0.02193699);
    path237.lineTo(size.width * 0.6749500, size.height * 0.02135356);
    path237.lineTo(size.width * 0.6765000, size.height * 0.02170362);
    path237.lineTo(size.width * 0.6828000, size.height * 0.02473746);
    path237.lineTo(size.width * 0.6835500, size.height * 0.02695449);
    path237.close();

    Paint paint237fill = Paint()..style = PaintingStyle.fill;
    paint237fill.color = countryColors.rU ?? defaultCountryColor;
    canvas.drawPath(path237, paint237fill);

    Path path238 = Path();
    path238.moveTo(size.width * 0.5824000, size.height * 0.01528588);
    path238.lineTo(size.width * 0.5802500, size.height * 0.01586931);
    path238.lineTo(size.width * 0.5788000, size.height * 0.01633606);
    path238.lineTo(size.width * 0.5788000, size.height * 0.01715286);
    path238.lineTo(size.width * 0.5770000, size.height * 0.01796966);
    path238.lineTo(size.width * 0.5747500, size.height * 0.01680280);
    path238.lineTo(size.width * 0.5753000, size.height * 0.01516919);
    path238.lineTo(size.width * 0.5714000, size.height * 0.01505251);
    path238.lineTo(size.width * 0.5745500, size.height * 0.01411902);
    path238.lineTo(size.width * 0.5771500, size.height * 0.01411902);
    path238.lineTo(size.width * 0.5779000, size.height * 0.01540257);
    path238.lineTo(size.width * 0.5785500, size.height * 0.01423571);
    path238.lineTo(size.width * 0.5799500, size.height * 0.01341890);
    path238.lineTo(size.width * 0.5828500, size.height * 0.01446908);
    path238.lineTo(size.width * 0.5824000, size.height * 0.01528588);
    path238.close();

    Paint paint238fill = Paint()..style = PaintingStyle.fill;
    paint238fill.color = countryColors.rU ?? defaultCountryColor;
    canvas.drawPath(path238, paint238fill);

    Path path239 = Path();
    path239.moveTo(size.width * 0.6725500, size.height * 0.02380397);
    path239.lineTo(size.width * 0.6690000, size.height * 0.02450408);
    path239.lineTo(size.width * 0.6631500, size.height * 0.02298716);
    path239.lineTo(size.width * 0.6591000, size.height * 0.02100350);
    path239.lineTo(size.width * 0.6558000, size.height * 0.01726954);
    path239.lineTo(size.width * 0.6528500, size.height * 0.01633606);
    path239.lineTo(size.width * 0.6555500, size.height * 0.01295216);
    path239.lineTo(size.width * 0.6586500, size.height * 0.01190198);
    path239.lineTo(size.width * 0.6634500, size.height * 0.01423571);
    path239.lineTo(size.width * 0.6703000, size.height * 0.01913652);
    path239.lineTo(size.width * 0.6725500, size.height * 0.02380397);
    path239.close();

    Paint paint239fill = Paint()..style = PaintingStyle.fill;
    paint239fill.color = countryColors.rU ?? defaultCountryColor;
    canvas.drawPath(path239, paint239fill);

    Path path240 = Path();
    path240.moveTo(size.width * 0.4883000, size.height * 0.2606768);
    path240.lineTo(size.width * 0.4893000, size.height * 0.2634772);
    path240.lineTo(size.width * 0.4940500, size.height * 0.2668611);
    path240.lineTo(size.width * 0.4950000, size.height * 0.2652275);
    path240.lineTo(size.width * 0.4979000, size.height * 0.2686114);
    path240.lineTo(size.width * 0.5008500, size.height * 0.2676779);
    path240.lineTo(size.width * 0.5010500, size.height * 0.2719953);
    path240.lineTo(size.width * 0.4986000, size.height * 0.2768961);
    path240.lineTo(size.width * 0.4953000, size.height * 0.2785298);
    path240.lineTo(size.width * 0.4950500, size.height * 0.2809802);
    path240.lineTo(size.width * 0.4934500, size.height * 0.2850642);
    path240.lineTo(size.width * 0.4924500, size.height * 0.2911319);
    path240.lineTo(size.width * 0.4934500, size.height * 0.2954492);
    path240.lineTo(size.width * 0.4919500, size.height * 0.2987165);
    path240.lineTo(size.width * 0.4913500, size.height * 0.3036173);
    path240.lineTo(size.width * 0.4893500, size.height * 0.3051342);
    path240.lineTo(size.width * 0.4875000, size.height * 0.3108518);
    path240.lineTo(size.width * 0.4841000, size.height * 0.3109685);
    path240.lineTo(size.width * 0.4816000, size.height * 0.3108518);
    path240.lineTo(size.width * 0.4799000, size.height * 0.3134189);
    path240.lineTo(size.width * 0.4788500, size.height * 0.3162194);
    path240.lineTo(size.width * 0.4775500, size.height * 0.3156359);
    path240.lineTo(size.width * 0.4766000, size.height * 0.3130688);
    path240.lineTo(size.width * 0.4759000, size.height * 0.3088681);
    path240.lineTo(size.width * 0.4734500, size.height * 0.3077013);
    path240.lineTo(size.width * 0.4732500, size.height * 0.3051342);
    path240.lineTo(size.width * 0.4742500, size.height * 0.3023337);
    path240.lineTo(size.width * 0.4746500, size.height * 0.3003501);
    path240.lineTo(size.width * 0.4737500, size.height * 0.2981330);
    path240.lineTo(size.width * 0.4745500, size.height * 0.2932322);
    path240.lineTo(size.width * 0.4735500, size.height * 0.2887981);
    path240.lineTo(size.width * 0.4747000, size.height * 0.2882147);
    path240.lineTo(size.width * 0.4748500, size.height * 0.2845974);
    path240.lineTo(size.width * 0.4752500, size.height * 0.2835473);
    path240.lineTo(size.width * 0.4754000, size.height * 0.2777130);
    path240.lineTo(size.width * 0.4766000, size.height * 0.2757293);
    path240.lineTo(size.width * 0.4759500, size.height * 0.2719953);
    path240.lineTo(size.width * 0.4744000, size.height * 0.2717620);
    path240.lineTo(size.width * 0.4739500, size.height * 0.2726954);
    path240.lineTo(size.width * 0.4724500, size.height * 0.2726954);
    path240.lineTo(size.width * 0.4718500, size.height * 0.2690782);
    path240.lineTo(size.width * 0.4707500, size.height * 0.2701284);
    path240.lineTo(size.width * 0.4698000, size.height * 0.2719953);
    path240.lineTo(size.width * 0.4700500, size.height * 0.2667445);
    path240.lineTo(size.width * 0.4690500, size.height * 0.2635939);
    path240.lineTo(size.width * 0.4727500, size.height * 0.2582264);
    path240.lineTo(size.width * 0.4758500, size.height * 0.2595099);
    path240.lineTo(size.width * 0.4793000, size.height * 0.2595099);
    path240.lineTo(size.width * 0.4820000, size.height * 0.2607935);
    path240.lineTo(size.width * 0.4841500, size.height * 0.2603267);
    path240.lineTo(size.width * 0.4883000, size.height * 0.2606768);
    path240.close();

    Paint paint240fill = Paint()..style = PaintingStyle.fill;
    paint240fill.color = countryColors.eS ?? defaultCountryColor;
    canvas.drawPath(path240, paint240fill);

    Path path241 = Path();
    path241.moveTo(size.width * 0.5178500, size.height * 0.2700117);
    path241.lineTo(size.width * 0.5171000, size.height * 0.2757293);
    path241.lineTo(size.width * 0.5159000, size.height * 0.2742124);
    path241.lineTo(size.width * 0.5152500, size.height * 0.2693116);
    path241.lineTo(size.width * 0.5157000, size.height * 0.2665111);
    path241.lineTo(size.width * 0.5173000, size.height * 0.2637106);
    path241.lineTo(size.width * 0.5178500, size.height * 0.2700117);
    path241.close();

    Paint paint241fill = Paint()..style = PaintingStyle.fill;
    paint241fill.color = countryColors.fR ?? defaultCountryColor;
    canvas.drawPath(path241, paint241fill);

    Path path242 = Path();
    path242.moveTo(size.width * 0.5072000, size.height * 0.2158693);
    path242.lineTo(size.width * 0.5077500, size.height * 0.2164527);
    path242.lineTo(size.width * 0.5084500, size.height * 0.2163361);
    path242.lineTo(size.width * 0.5096500, size.height * 0.2182030);
    path242.lineTo(size.width * 0.5132500, size.height * 0.2196033);
    path242.lineTo(size.width * 0.5120500, size.height * 0.2245041);
    path242.lineTo(size.width * 0.5118500, size.height * 0.2297550);
    path242.lineTo(size.width * 0.5112000, size.height * 0.2310385);
    path242.lineTo(size.width * 0.5100500, size.height * 0.2303384);
    path242.lineTo(size.width * 0.5101500, size.height * 0.2322054);
    path242.lineTo(size.width * 0.5083500, size.height * 0.2362894);
    path242.lineTo(size.width * 0.5083500, size.height * 0.2396733);
    path242.lineTo(size.width * 0.5095500, size.height * 0.2385064);
    path242.lineTo(size.width * 0.5104500, size.height * 0.2416569);
    path242.lineTo(size.width * 0.5104000, size.height * 0.2437573);
    path242.lineTo(size.width * 0.5111500, size.height * 0.2465578);
    path242.lineTo(size.width * 0.5103000, size.height * 0.2487748);
    path242.lineTo(size.width * 0.5110500, size.height * 0.2544924);
    path242.lineTo(size.width * 0.5124500, size.height * 0.2554259);
    path242.lineTo(size.width * 0.5122000, size.height * 0.2585764);
    path242.lineTo(size.width * 0.5099500, size.height * 0.2627771);
    path242.lineTo(size.width * 0.5048500, size.height * 0.2607935);
    path242.lineTo(size.width * 0.5011500, size.height * 0.2632439);
    path242.lineTo(size.width * 0.5008500, size.height * 0.2676779);
    path242.lineTo(size.width * 0.4979000, size.height * 0.2686114);
    path242.lineTo(size.width * 0.4950000, size.height * 0.2652275);
    path242.lineTo(size.width * 0.4940500, size.height * 0.2668611);
    path242.lineTo(size.width * 0.4893000, size.height * 0.2634772);
    path242.lineTo(size.width * 0.4883000, size.height * 0.2606768);
    path242.lineTo(size.width * 0.4896500, size.height * 0.2562427);
    path242.lineTo(size.width * 0.4901500, size.height * 0.2415403);
    path242.lineTo(size.width * 0.4876000, size.height * 0.2338390);
    path242.lineTo(size.width * 0.4857500, size.height * 0.2301050);
    path242.lineTo(size.width * 0.4819500, size.height * 0.2273046);
    path242.lineTo(size.width * 0.4817500, size.height * 0.2219370);
    path242.lineTo(size.width * 0.4850000, size.height * 0.2204201);
    path242.lineTo(size.width * 0.4891500, size.height * 0.2222870);
    path242.lineTo(size.width * 0.4884000, size.height * 0.2140023);
    path242.lineTo(size.width * 0.4907500, size.height * 0.2171529);
    path242.lineTo(size.width * 0.4964500, size.height * 0.2115519);
    path242.lineTo(size.width * 0.4972000, size.height * 0.2056009);
    path242.lineTo(size.width * 0.4993000, size.height * 0.2040840);
    path242.lineTo(size.width * 0.4997000, size.height * 0.2066511);
    path242.lineTo(size.width * 0.5008000, size.height * 0.2067678);
    path242.lineTo(size.width * 0.5020000, size.height * 0.2096849);
    path242.lineTo(size.width * 0.5037500, size.height * 0.2130688);
    path242.lineTo(size.width * 0.5050000, size.height * 0.2124854);
    path242.lineTo(size.width * 0.5072000, size.height * 0.2158693);
    path242.close();

    Paint paint242fill = Paint()..style = PaintingStyle.fill;
    paint242fill.color = countryColors.fR ?? defaultCountryColor;
    canvas.drawPath(path242, paint242fill);

    Path path243 = Path();
    path243.moveTo(size.width * 0.05940000, size.height * 0.4425904);
    path243.lineTo(size.width * 0.05885000, size.height * 0.4438740);
    path243.lineTo(size.width * 0.05825000, size.height * 0.4428238);
    path243.lineTo(size.width * 0.05855000, size.height * 0.4407235);
    path243.lineTo(size.width * 0.05835000, size.height * 0.4379230);
    path243.lineTo(size.width * 0.05860000, size.height * 0.4371062);
    path243.lineTo(size.width * 0.05920000, size.height * 0.4359393);
    path243.lineTo(size.width * 0.05915000, size.height * 0.4344224);
    path243.lineTo(size.width * 0.05935000, size.height * 0.4337223);
    path243.lineTo(size.width * 0.05955000, size.height * 0.4338390);
    path243.lineTo(size.width * 0.06050000, size.height * 0.4351225);
    path243.lineTo(size.width * 0.06095000, size.height * 0.4358226);
    path243.lineTo(size.width * 0.06130000, size.height * 0.4367561);
    path243.lineTo(size.width * 0.06175000, size.height * 0.4394399);
    path243.lineTo(size.width * 0.06165000, size.height * 0.4397900);
    path243.lineTo(size.width * 0.06040000, size.height * 0.4414236);
    path243.lineTo(size.width * 0.05940000, size.height * 0.4425904);
    path243.close();

    Paint paint243fill = Paint()..style = PaintingStyle.fill;
    paint243fill.color = countryColors.uS ?? defaultCountryColor;
    canvas.drawPath(path243, paint243fill);

    Path path244 = Path();
    path244.moveTo(size.width * 0.05905000, size.height * 0.4309218);
    path244.lineTo(size.width * 0.05805000, size.height * 0.4313886);
    path244.lineTo(size.width * 0.05775000, size.height * 0.4298716);
    path244.lineTo(size.width * 0.05750000, size.height * 0.4292882);
    path244.lineTo(size.width * 0.05750000, size.height * 0.4288215);
    path244.lineTo(size.width * 0.05785000, size.height * 0.4281214);
    path244.lineTo(size.width * 0.05875000, size.height * 0.4288215);
    path244.lineTo(size.width * 0.05935000, size.height * 0.4299883);
    path244.lineTo(size.width * 0.05905000, size.height * 0.4309218);
    path244.close();

    Paint paint244fill = Paint()..style = PaintingStyle.fill;
    paint244fill.color = countryColors.uS ?? defaultCountryColor;
    canvas.drawPath(path244, paint244fill);

    Path path245 = Path();
    path245.moveTo(size.width * 0.05755000, size.height * 0.4269545);
    path245.lineTo(size.width * 0.05740000, size.height * 0.4277713);
    path245.lineTo(size.width * 0.05590000, size.height * 0.4275379);
    path245.lineTo(size.width * 0.05620000, size.height * 0.4266044);
    path245.lineTo(size.width * 0.05755000, size.height * 0.4269545);
    path245.close();

    Paint paint245fill = Paint()..style = PaintingStyle.fill;
    paint245fill.color = countryColors.uS ?? defaultCountryColor;
    canvas.drawPath(path245, paint245fill);

    Path path246 = Path();
    path246.moveTo(size.width * 0.05520000, size.height * 0.4257876);
    path246.lineTo(size.width * 0.05500000, size.height * 0.4262544);
    path246.lineTo(size.width * 0.05480000, size.height * 0.4261377);
    path246.lineTo(size.width * 0.05385000, size.height * 0.4259043);
    path246.lineTo(size.width * 0.05370000, size.height * 0.4241540);
    path246.lineTo(size.width * 0.05360000, size.height * 0.4239207);
    path246.lineTo(size.width * 0.05445000, size.height * 0.4228705);
    path246.lineTo(size.width * 0.05465000, size.height * 0.4233372);
    path246.lineTo(size.width * 0.05520000, size.height * 0.4257876);
    path246.close();

    Paint paint246fill = Paint()..style = PaintingStyle.fill;
    paint246fill.color = countryColors.uS ?? defaultCountryColor;
    canvas.drawPath(path246, paint246fill);

    Path path247 = Path();
    path247.moveTo(size.width * 0.05100000, size.height * 0.4208868);
    path247.lineTo(size.width * 0.05060000, size.height * 0.4215869);
    path247.lineTo(size.width * 0.04980000, size.height * 0.4203034);
    path247.lineTo(size.width * 0.05000000, size.height * 0.4197200);
    path247.lineTo(size.width * 0.05050000, size.height * 0.4190198);
    path247.lineTo(size.width * 0.05115000, size.height * 0.4191365);
    path247.lineTo(size.width * 0.05100000, size.height * 0.4208868);
    path247.close();

    Paint paint247fill = Paint()..style = PaintingStyle.fill;
    paint247fill.color = countryColors.uS ?? defaultCountryColor;
    canvas.drawPath(path247, paint247fill);

    Path path248 = Path();
    path248.moveTo(size.width * 0.2697500, size.height * 0.2269545);
    path248.lineTo(size.width * 0.2667000, size.height * 0.2292882);
    path248.lineTo(size.width * 0.2643500, size.height * 0.2322054);
    path248.lineTo(size.width * 0.2620500, size.height * 0.2353559);
    path248.lineTo(size.width * 0.2618000, size.height * 0.2364061);
    path248.lineTo(size.width * 0.2646500, size.height * 0.2348891);
    path248.lineTo(size.width * 0.2657000, size.height * 0.2373396);
    path248.lineTo(size.width * 0.2680000, size.height * 0.2355893);
    path248.lineTo(size.width * 0.2704500, size.height * 0.2331389);
    path248.lineTo(size.width * 0.2731500, size.height * 0.2306884);
    path248.lineTo(size.width * 0.2716000, size.height * 0.2345391);
    path248.lineTo(size.width * 0.2728500, size.height * 0.2354726);
    path248.lineTo(size.width * 0.2741000, size.height * 0.2382730);
    path248.lineTo(size.width * 0.2766500, size.height * 0.2366394);
    path248.lineTo(size.width * 0.2792000, size.height * 0.2360560);
    path248.lineTo(size.width * 0.2793500, size.height * 0.2381564);
    path248.lineTo(size.width * 0.2801000, size.height * 0.2383897);
    path248.lineTo(size.width * 0.2807000, size.height * 0.2386231);
    path248.lineTo(size.width * 0.2814500, size.height * 0.2415403);
    path248.lineTo(size.width * 0.2791000, size.height * 0.2422404);
    path248.lineTo(size.width * 0.2790500, size.height * 0.2422404);
    path248.lineTo(size.width * 0.2772000, size.height * 0.2414236);
    path248.lineTo(size.width * 0.2749500, size.height * 0.2428238);
    path248.lineTo(size.width * 0.2731000, size.height * 0.2435239);
    path248.lineTo(size.width * 0.2707500, size.height * 0.2483081);
    path248.lineTo(size.width * 0.2692500, size.height * 0.2509918);
    path248.lineTo(size.width * 0.2694500, size.height * 0.2518086);
    path248.lineTo(size.width * 0.2722000, size.height * 0.2470245);
    path248.lineTo(size.width * 0.2725500, size.height * 0.2470245);
    path248.lineTo(size.width * 0.2702000, size.height * 0.2527421);
    path248.lineTo(size.width * 0.2687500, size.height * 0.2578763);
    path248.lineTo(size.width * 0.2675000, size.height * 0.2620770);
    path248.lineTo(size.width * 0.2672000, size.height * 0.2656943);
    path248.lineTo(size.width * 0.2668000, size.height * 0.2674446);
    path248.lineTo(size.width * 0.2665000, size.height * 0.2694282);
    path248.lineTo(size.width * 0.2665500, size.height * 0.2732789);
    path248.lineTo(size.width * 0.2667000, size.height * 0.2738623);
    path248.lineTo(size.width * 0.2676000, size.height * 0.2737456);
    path248.lineTo(size.width * 0.2684000, size.height * 0.2729288);
    path248.lineTo(size.width * 0.2691000, size.height * 0.2719953);
    path248.lineTo(size.width * 0.2707500, size.height * 0.2683781);
    path248.lineTo(size.width * 0.2716500, size.height * 0.2634772);
    path248.lineTo(size.width * 0.2716000, size.height * 0.2589265);
    path248.lineTo(size.width * 0.2723000, size.height * 0.2557760);
    path248.lineTo(size.width * 0.2736000, size.height * 0.2521587);
    path248.lineTo(size.width * 0.2746500, size.height * 0.2495916);
    path248.lineTo(size.width * 0.2760000, size.height * 0.2478413);
    path248.lineTo(size.width * 0.2758000, size.height * 0.2502917);
    path248.lineTo(size.width * 0.2769000, size.height * 0.2466744);
    path248.lineTo(size.width * 0.2775500, size.height * 0.2459743);
    path248.lineTo(size.width * 0.2784000, size.height * 0.2431739);
    path248.lineTo(size.width * 0.2803000, size.height * 0.2446908);
    path248.lineTo(size.width * 0.2817000, size.height * 0.2474912);
    path248.lineTo(size.width * 0.2813000, size.height * 0.2508751);
    path248.lineTo(size.width * 0.2805000, size.height * 0.2542590);
    path248.lineTo(size.width * 0.2786000, size.height * 0.2571762);
    path248.lineTo(size.width * 0.2784000, size.height * 0.2590432);
    path248.lineTo(size.width * 0.2789000, size.height * 0.2590432);
    path248.lineTo(size.width * 0.2810500, size.height * 0.2558926);
    path248.lineTo(size.width * 0.2818500, size.height * 0.2565928);
    path248.lineTo(size.width * 0.2816000, size.height * 0.2609102);
    path248.lineTo(size.width * 0.2812500, size.height * 0.2639440);
    path248.lineTo(size.width * 0.2794000, size.height * 0.2680280);
    path248.lineTo(size.width * 0.2784000, size.height * 0.2705951);
    path248.lineTo(size.width * 0.2770500, size.height * 0.2733956);
    path248.lineTo(size.width * 0.2784000, size.height * 0.2749125);
    path248.lineTo(size.width * 0.2796500, size.height * 0.2753792);
    path248.lineTo(size.width * 0.2816500, size.height * 0.2743291);
    path248.lineTo(size.width * 0.2835000, size.height * 0.2723454);
    path248.lineTo(size.width * 0.2850000, size.height * 0.2712952);
    path248.lineTo(size.width * 0.2873000, size.height * 0.2691949);
    path248.lineTo(size.width * 0.2902000, size.height * 0.2647608);
    path248.lineTo(size.width * 0.2902500, size.height * 0.2640607);
    path248.lineTo(size.width * 0.2904000, size.height * 0.2618436);
    path248.lineTo(size.width * 0.2917500, size.height * 0.2609102);
    path248.lineTo(size.width * 0.2937000, size.height * 0.2612602);
    path248.lineTo(size.width * 0.2957000, size.height * 0.2618436);
    path248.lineTo(size.width * 0.2980000, size.height * 0.2593932);
    path248.lineTo(size.width * 0.2983000, size.height * 0.2564761);
    path248.lineTo(size.width * 0.2982000, size.height * 0.2554259);
    path248.lineTo(size.width * 0.3016000, size.height * 0.2502917);
    path248.lineTo(size.width * 0.3029500, size.height * 0.2490082);
    path248.lineTo(size.width * 0.3068500, size.height * 0.2488915);
    path248.lineTo(size.width * 0.3115000, size.height * 0.2488915);
    path248.lineTo(size.width * 0.3120500, size.height * 0.2471412);
    path248.lineTo(size.width * 0.3129000, size.height * 0.2467911);
    path248.lineTo(size.width * 0.3141500, size.height * 0.2456243);
    path248.lineTo(size.width * 0.3155500, size.height * 0.2422404);
    path248.lineTo(size.width * 0.3171500, size.height * 0.2365228);
    path248.lineTo(size.width * 0.3199000, size.height * 0.2310385);
    path248.lineTo(size.width * 0.3204500, size.height * 0.2329055);
    path248.lineTo(size.width * 0.3223000, size.height * 0.2317386);
    path248.lineTo(size.width * 0.3231000, size.height * 0.2338390);
    path248.lineTo(size.width * 0.3216500, size.height * 0.2437573);
    path248.lineTo(size.width * 0.3227500, size.height * 0.2479580);
    path248.lineTo(size.width * 0.3228500, size.height * 0.2504084);
    path248.lineTo(size.width * 0.3196500, size.height * 0.2539090);
    path248.lineTo(size.width * 0.3166500, size.height * 0.2564761);
    path248.lineTo(size.width * 0.3136500, size.height * 0.2586931);
    path248.lineTo(size.width * 0.3116500, size.height * 0.2631272);
    path248.lineTo(size.width * 0.3110000, size.height * 0.2647608);
    path248.lineTo(size.width * 0.3104000, size.height * 0.2687281);
    path248.lineTo(size.width * 0.3107500, size.height * 0.2725788);
    path248.lineTo(size.width * 0.3118000, size.height * 0.2728121);
    path248.lineTo(size.width * 0.3119000, size.height * 0.2701284);
    path248.lineTo(size.width * 0.3124500, size.height * 0.2717620);
    path248.lineTo(size.width * 0.3119500, size.height * 0.2738623);
    path248.lineTo(size.width * 0.3100500, size.height * 0.2750292);
    path248.lineTo(size.width * 0.3088000, size.height * 0.2749125);
    path248.lineTo(size.width * 0.3067000, size.height * 0.2761960);
    path248.lineTo(size.width * 0.3055500, size.height * 0.2765461);
    path248.lineTo(size.width * 0.3040000, size.height * 0.2768961);
    path248.lineTo(size.width * 0.3015000, size.height * 0.2791132);
    path248.lineTo(size.width * 0.3055500, size.height * 0.2777130);
    path248.lineTo(size.width * 0.3061000, size.height * 0.2791132);
    path248.lineTo(size.width * 0.3021500, size.height * 0.2813302);
    path248.lineTo(size.width * 0.3005000, size.height * 0.2813302);
    path248.lineTo(size.width * 0.3007000, size.height * 0.2803967);
    path248.lineTo(size.width * 0.2996500, size.height * 0.2824971);
    path248.lineTo(size.width * 0.3003500, size.height * 0.2828471);
    path248.lineTo(size.width * 0.2991000, size.height * 0.2882147);
    path248.lineTo(size.width * 0.2964500, size.height * 0.2939323);
    path248.lineTo(size.width * 0.2965000, size.height * 0.2919487);
    path248.lineTo(size.width * 0.2959500, size.height * 0.2915986);
    path248.lineTo(size.width * 0.2953500, size.height * 0.2897316);
    path248.lineTo(size.width * 0.2953500, size.height * 0.2938156);
    path248.lineTo(size.width * 0.2958500, size.height * 0.2950992);
    path248.lineTo(size.width * 0.2955500, size.height * 0.2978996);
    path248.lineTo(size.width * 0.2943500, size.height * 0.3008168);
    path248.lineTo(size.width * 0.2921000, size.height * 0.3067678);
    path248.lineTo(size.width * 0.2919000, size.height * 0.3065344);
    path248.lineTo(size.width * 0.2933500, size.height * 0.3014002);
    path248.lineTo(size.width * 0.2923500, size.height * 0.2985998);
    path248.lineTo(size.width * 0.2928500, size.height * 0.2922987);
    path248.lineTo(size.width * 0.2919000, size.height * 0.2955659);
    path248.lineTo(size.width * 0.2919000, size.height * 0.3003501);
    path248.lineTo(size.width * 0.2903000, size.height * 0.2991832);
    path248.lineTo(size.width * 0.2918000, size.height * 0.3015169);
    path248.lineTo(size.width * 0.2910500, size.height * 0.3086348);
    path248.lineTo(size.width * 0.2917500, size.height * 0.3092182);
    path248.lineTo(size.width * 0.2917500, size.height * 0.3117853);
    path248.lineTo(size.width * 0.2912500, size.height * 0.3192532);
    path248.lineTo(size.width * 0.2889500, size.height * 0.3247375);
    path248.lineTo(size.width * 0.2859000, size.height * 0.3269545);
    path248.lineTo(size.width * 0.2837000, size.height * 0.3313886);
    path248.lineTo(size.width * 0.2823000, size.height * 0.3318553);
    path248.lineTo(size.width * 0.2806000, size.height * 0.3346558);
    path248.lineTo(size.width * 0.2799500, size.height * 0.3371062);
    path248.lineTo(size.width * 0.2765000, size.height * 0.3420070);
    path248.lineTo(size.width * 0.2746000, size.height * 0.3456243);
    path248.lineTo(size.width * 0.2728500, size.height * 0.3500583);
    path248.lineTo(size.width * 0.2719000, size.height * 0.3553092);
    path248.lineTo(size.width * 0.2719000, size.height * 0.3605601);
    path248.lineTo(size.width * 0.2722000, size.height * 0.3669778);
    path248.lineTo(size.width * 0.2729500, size.height * 0.3722287);
    path248.lineTo(size.width * 0.2727000, size.height * 0.3754959);
    path248.lineTo(size.width * 0.2733500, size.height * 0.3841307);
    path248.lineTo(size.width * 0.2728500, size.height * 0.3892649);
    path248.lineTo(size.width * 0.2725500, size.height * 0.3921820);
    path248.lineTo(size.width * 0.2715500, size.height * 0.3967328);
    path248.lineTo(size.width * 0.2706500, size.height * 0.3976663);
    path248.lineTo(size.width * 0.2693500, size.height * 0.3967328);
    path248.lineTo(size.width * 0.2691500, size.height * 0.3934656);
    path248.lineTo(size.width * 0.2682500, size.height * 0.3917153);
    path248.lineTo(size.width * 0.2672500, size.height * 0.3852975);
    path248.lineTo(size.width * 0.2664500, size.height * 0.3795799);
    path248.lineTo(size.width * 0.2662500, size.height * 0.3766628);
    path248.lineTo(size.width * 0.2672500, size.height * 0.3716453);
    path248.lineTo(size.width * 0.2668500, size.height * 0.3675613);
    path248.lineTo(size.width * 0.2653000, size.height * 0.3612602);
    path248.lineTo(size.width * 0.2643500, size.height * 0.3600933);
    path248.lineTo(size.width * 0.2613000, size.height * 0.3635939);
    path248.lineTo(size.width * 0.2608500, size.height * 0.3631272);
    path248.lineTo(size.width * 0.2598500, size.height * 0.3596266);
    path248.lineTo(size.width * 0.2583500, size.height * 0.3577596);
    path248.lineTo(size.width * 0.2551500, size.height * 0.3588098);
    path248.lineTo(size.width * 0.2528500, size.height * 0.3578763);
    path248.lineTo(size.width * 0.2507000, size.height * 0.3584597);
    path248.lineTo(size.width * 0.2494500, size.height * 0.3596266);
    path248.lineTo(size.width * 0.2497500, size.height * 0.3616103);
    path248.lineTo(size.width * 0.2494000, size.height * 0.3646441);
    path248.lineTo(size.width * 0.2498000, size.height * 0.3661610);
    path248.lineTo(size.width * 0.2492000, size.height * 0.3670945);
    path248.lineTo(size.width * 0.2483000, size.height * 0.3660443);
    path248.lineTo(size.width * 0.2471500, size.height * 0.3674446);
    path248.lineTo(size.width * 0.2452000, size.height * 0.3672112);
    path248.lineTo(size.width * 0.2435500, size.height * 0.3632439);
    path248.lineTo(size.width * 0.2411000, size.height * 0.3641774);
    path248.lineTo(size.width * 0.2393000, size.height * 0.3624271);
    path248.lineTo(size.width * 0.2375500, size.height * 0.3630105);
    path248.lineTo(size.width * 0.2350500, size.height * 0.3647608);
    path248.lineTo(size.width * 0.2320000, size.height * 0.3702450);
    path248.lineTo(size.width * 0.2289500, size.height * 0.3735123);
    path248.lineTo(size.width * 0.2271000, size.height * 0.3770128);
    path248.lineTo(size.width * 0.2261500, size.height * 0.3803967);
    path248.lineTo(size.width * 0.2256500, size.height * 0.3856476);
    path248.lineTo(size.width * 0.2254500, size.height * 0.3891482);
    path248.lineTo(size.width * 0.2257500, size.height * 0.3917153);
    path248.lineTo(size.width * 0.2246500, size.height * 0.3919487);
    path248.lineTo(size.width * 0.2228500, size.height * 0.3903151);
    path248.lineTo(size.width * 0.2209000, size.height * 0.3879813);
    path248.lineTo(size.width * 0.2204500, size.height * 0.3844807);
    path248.lineTo(size.width * 0.2203500, size.height * 0.3792299);
    path248.lineTo(size.width * 0.2191500, size.height * 0.3750292);
    path248.lineTo(size.width * 0.2187000, size.height * 0.3705951);
    path248.lineTo(size.width * 0.2179000, size.height * 0.3654609);
    path248.lineTo(size.width * 0.2163000, size.height * 0.3624271);
    path248.lineTo(size.width * 0.2140500, size.height * 0.3626604);
    path248.lineTo(size.width * 0.2116500, size.height * 0.3684947);
    path248.lineTo(size.width * 0.2096500, size.height * 0.3662777);
    path248.lineTo(size.width * 0.2085000, size.height * 0.3640607);
    path248.lineTo(size.width * 0.2083000, size.height * 0.3598600);
    path248.lineTo(size.width * 0.2079000, size.height * 0.3560093);
    path248.lineTo(size.width * 0.2067000, size.height * 0.3527421);
    path248.lineTo(size.width * 0.2056500, size.height * 0.3502917);
    path248.lineTo(size.width * 0.2050000, size.height * 0.3476079);
    path248.lineTo(size.width * 0.2003000, size.height * 0.3476079);
    path248.lineTo(size.width * 0.1999000, size.height * 0.3507585);
    path248.lineTo(size.width * 0.1977500, size.height * 0.3507585);
    path248.lineTo(size.width * 0.1923500, size.height * 0.3507585);
    path248.lineTo(size.width * 0.1869000, size.height * 0.3455076);
    path248.lineTo(size.width * 0.1834000, size.height * 0.3418903);
    path248.lineTo(size.width * 0.1838500, size.height * 0.3403734);
    path248.lineTo(size.width * 0.1803000, size.height * 0.3411902);
    path248.lineTo(size.width * 0.1771500, size.height * 0.3417736);
    path248.lineTo(size.width * 0.1773000, size.height * 0.3380397);
    path248.lineTo(size.width * 0.1762500, size.height * 0.3337223);
    path248.lineTo(size.width * 0.1751500, size.height * 0.3327888);
    path248.lineTo(size.width * 0.1752000, size.height * 0.3306884);
    path248.lineTo(size.width * 0.1737500, size.height * 0.3302217);
    path248.lineTo(size.width * 0.1731500, size.height * 0.3282380);
    path248.lineTo(size.width * 0.1707500, size.height * 0.3275379);
    path248.lineTo(size.width * 0.1703000, size.height * 0.3262544);
    path248.lineTo(size.width * 0.1707000, size.height * 0.3221704);
    path248.lineTo(size.width * 0.1694500, size.height * 0.3147025);
    path248.lineTo(size.width * 0.1692000, size.height * 0.3043174);
    path248.lineTo(size.width * 0.1696500, size.height * 0.3025671);
    path248.lineTo(size.width * 0.1690000, size.height * 0.3001167);
    path248.lineTo(size.width * 0.1682500, size.height * 0.2938156);
    path248.lineTo(size.width * 0.1691500, size.height * 0.2877480);
    path248.lineTo(size.width * 0.1687000, size.height * 0.2836639);
    path248.lineTo(size.width * 0.1706500, size.height * 0.2774796);
    path248.lineTo(size.width * 0.1720500, size.height * 0.2711785);
    path248.lineTo(size.width * 0.1726000, size.height * 0.2654609);
    path248.lineTo(size.width * 0.1753500, size.height * 0.2584597);
    path248.lineTo(size.width * 0.1773500, size.height * 0.2518086);
    path248.lineTo(size.width * 0.1793500, size.height * 0.2451575);
    path248.lineTo(size.width * 0.1815000, size.height * 0.2352392);
    path248.lineTo(size.width * 0.1824000, size.height * 0.2290548);
    path248.lineTo(size.width * 0.1826000, size.height * 0.2256709);
    path248.lineTo(size.width * 0.1833000, size.height * 0.2241540);
    path248.lineTo(size.width * 0.1862000, size.height * 0.2267211);
    path248.lineTo(size.width * 0.1857000, size.height * 0.2336056);
    path248.lineTo(size.width * 0.1868000, size.height * 0.2316219);
    path248.lineTo(size.width * 0.1880500, size.height * 0.2256709);
    path248.lineTo(size.width * 0.1888500, size.height * 0.2197200);
    path248.lineTo(size.width * 0.1959000, size.height * 0.2197200);
    path248.lineTo(size.width * 0.2032500, size.height * 0.2197200);
    path248.lineTo(size.width * 0.2056500, size.height * 0.2197200);
    path248.lineTo(size.width * 0.2132000, size.height * 0.2197200);
    path248.lineTo(size.width * 0.2205500, size.height * 0.2197200);
    path248.lineTo(size.width * 0.2279500, size.height * 0.2197200);
    path248.lineTo(size.width * 0.2354000, size.height * 0.2197200);
    path248.lineTo(size.width * 0.2438000, size.height * 0.2197200);
    path248.lineTo(size.width * 0.2523000, size.height * 0.2197200);
    path248.lineTo(size.width * 0.2574000, size.height * 0.2197200);
    path248.lineTo(size.width * 0.2580500, size.height * 0.2169195);
    path248.lineTo(size.width * 0.2589000, size.height * 0.2169195);
    path248.lineTo(size.width * 0.2584500, size.height * 0.2208868);
    path248.lineTo(size.width * 0.2589500, size.height * 0.2220537);
    path248.lineTo(size.width * 0.2606000, size.height * 0.2225204);
    path248.lineTo(size.width * 0.2629000, size.height * 0.2236873);
    path248.lineTo(size.width * 0.2648500, size.height * 0.2259043);
    path248.lineTo(size.width * 0.2670500, size.height * 0.2249708);
    path248.lineTo(size.width * 0.2697500, size.height * 0.2269545);
    path248.close();

    Paint paint248fill = Paint()..style = PaintingStyle.fill;
    paint248fill.color = countryColors.uS ?? defaultCountryColor;
    canvas.drawPath(path248, paint248fill);

    Path path249 = Path();
    path249.moveTo(size.width * 0.1375000, size.height * 0.1617270);
    path249.lineTo(size.width * 0.1340000, size.height * 0.1644107);
    path249.lineTo(size.width * 0.1336000, size.height * 0.1625438);
    path249.lineTo(size.width * 0.1347500, size.height * 0.1592765);
    path249.lineTo(size.width * 0.1379500, size.height * 0.1568261);
    path249.lineTo(size.width * 0.1397000, size.height * 0.1557760);
    path249.lineTo(size.width * 0.1410000, size.height * 0.1562427);
    path249.lineTo(size.width * 0.1410000, size.height * 0.1584597);
    path249.lineTo(size.width * 0.1375000, size.height * 0.1617270);
    path249.close();

    Paint paint249fill = Paint()..style = PaintingStyle.fill;
    paint249fill.color = countryColors.uS ?? defaultCountryColor;
    canvas.drawPath(path249, paint249fill);

    Path path250 = Path();
    path250.moveTo(size.width * 0.1180000, size.height * 0.1423571);
    path250.lineTo(size.width * 0.1160500, size.height * 0.1434072);
    path250.lineTo(size.width * 0.1152000, size.height * 0.1421237);
    path250.lineTo(size.width * 0.1148000, size.height * 0.1402567);
    path250.lineTo(size.width * 0.1176500, size.height * 0.1390898);
    path250.lineTo(size.width * 0.1191500, size.height * 0.1397900);
    path250.lineTo(size.width * 0.1180000, size.height * 0.1423571);
    path250.close();

    Paint paint250fill = Paint()..style = PaintingStyle.fill;
    paint250fill.color = countryColors.uS ?? defaultCountryColor;
    canvas.drawPath(path250, paint250fill);

    Path path251 = Path();
    path251.moveTo(size.width * 0.1186000, size.height * 0.1162194);
    path251.lineTo(size.width * 0.1192000, size.height * 0.1173862);
    path251.lineTo(size.width * 0.1209500, size.height * 0.1168028);
    path251.lineTo(size.width * 0.1217500, size.height * 0.1185531);
    path251.lineTo(size.width * 0.1234000, size.height * 0.1193699);
    path251.lineTo(size.width * 0.1228000, size.height * 0.1201867);
    path251.lineTo(size.width * 0.1203500, size.height * 0.1215869);
    path251.lineTo(size.width * 0.1195000, size.height * 0.1200700);
    path251.lineTo(size.width * 0.1193500, size.height * 0.1189032);
    path251.lineTo(size.width * 0.1172000, size.height * 0.1192532);
    path251.lineTo(size.width * 0.1170500, size.height * 0.1186698);
    path251.lineTo(size.width * 0.1186000, size.height * 0.1162194);
    path251.close();

    Paint paint251fill = Paint()..style = PaintingStyle.fill;
    paint251fill.color = countryColors.uS ?? defaultCountryColor;
    canvas.drawPath(path251, paint251fill);

    Path path252 = Path();
    path252.moveTo(size.width * 0.2050000, size.height * 0.07771295);
    path252.lineTo(size.width * 0.1927000, size.height * 0.1015169);
    path252.lineTo(size.width * 0.1749000, size.height * 0.1396733);
    path252.lineTo(size.width * 0.1770000, size.height * 0.1399067);
    path252.lineTo(size.width * 0.1784000, size.height * 0.1417736);
    path252.lineTo(size.width * 0.1786500, size.height * 0.1448075);
    path252.lineTo(size.width * 0.1788000, size.height * 0.1492415);
    path252.lineTo(size.width * 0.1826000, size.height * 0.1453909);
    path252.lineTo(size.width * 0.1858500, size.height * 0.1431739);
    path252.lineTo(size.width * 0.1855500, size.height * 0.1467911);
    path252.lineTo(size.width * 0.1859500, size.height * 0.1495916);
    path252.lineTo(size.width * 0.1867500, size.height * 0.1527421);
    path252.lineTo(size.width * 0.1862000, size.height * 0.1576429);
    path252.lineTo(size.width * 0.1855000, size.height * 0.1656943);
    path252.lineTo(size.width * 0.1878000, size.height * 0.1701284);
    path252.lineTo(size.width * 0.1862000, size.height * 0.1745624);
    path252.lineTo(size.width * 0.1836500, size.height * 0.1779463);
    path252.lineTo(size.width * 0.1833500, size.height * 0.1753792);
    path252.lineTo(size.width * 0.1821000, size.height * 0.1730455);
    path252.lineTo(size.width * 0.1837500, size.height * 0.1669778);
    path252.lineTo(size.width * 0.1829500, size.height * 0.1612602);
    path252.lineTo(size.width * 0.1843000, size.height * 0.1547258);
    path252.lineTo(size.width * 0.1822500, size.height * 0.1542590);
    path252.lineTo(size.width * 0.1787000, size.height * 0.1541424);
    path252.lineTo(size.width * 0.1768000, size.height * 0.1520420);
    path252.lineTo(size.width * 0.1751500, size.height * 0.1449242);
    path252.lineTo(size.width * 0.1735000, size.height * 0.1436406);
    path252.lineTo(size.width * 0.1706500, size.height * 0.1411902);
    path252.lineTo(size.width * 0.1672500, size.height * 0.1417736);
    path252.lineTo(size.width * 0.1642500, size.height * 0.1386231);
    path252.lineTo(size.width * 0.1629000, size.height * 0.1357060);
    path252.lineTo(size.width * 0.1597500, size.height * 0.1371062);
    path252.lineTo(size.width * 0.1580000, size.height * 0.1418903);
    path252.lineTo(size.width * 0.1565500, size.height * 0.1423571);
    path252.lineTo(size.width * 0.1532500, size.height * 0.1437573);
    path252.lineTo(size.width * 0.1501500, size.height * 0.1460910);
    path252.lineTo(size.width * 0.1469500, size.height * 0.1476079);
    path252.lineTo(size.width * 0.1485500, size.height * 0.1435239);
    path252.lineTo(size.width * 0.1527500, size.height * 0.1367561);
    path252.lineTo(size.width * 0.1561500, size.height * 0.1346558);
    path252.lineTo(size.width * 0.1563500, size.height * 0.1330222);
    path252.lineTo(size.width * 0.1516500, size.height * 0.1367561);
    path252.lineTo(size.width * 0.1479500, size.height * 0.1413069);
    path252.lineTo(size.width * 0.1423500, size.height * 0.1462077);
    path252.lineTo(size.width * 0.1424500, size.height * 0.1495916);
    path252.lineTo(size.width * 0.1379500, size.height * 0.1544924);
    path252.lineTo(size.width * 0.1341000, size.height * 0.1574096);
    path252.lineTo(size.width * 0.1308000, size.height * 0.1596266);
    path252.lineTo(size.width * 0.1288000, size.height * 0.1626604);
    path252.lineTo(size.width * 0.1235000, size.height * 0.1662777);
    path252.lineTo(size.width * 0.1212500, size.height * 0.1695449);
    path252.lineTo(size.width * 0.1171500, size.height * 0.1725788);
    path252.lineTo(size.width * 0.1158000, size.height * 0.1721120);
    path252.lineTo(size.width * 0.1127000, size.height * 0.1739790);
    path252.lineTo(size.width * 0.1092000, size.height * 0.1764294);
    path252.lineTo(size.width * 0.1061500, size.height * 0.1787631);
    path252.lineTo(size.width * 0.1011500, size.height * 0.1808635);
    path252.lineTo(size.width * 0.1013500, size.height * 0.1795799);
    path252.lineTo(size.width * 0.1054500, size.height * 0.1763127);
    path252.lineTo(size.width * 0.1087500, size.height * 0.1740957);
    path252.lineTo(size.width * 0.1130500, size.height * 0.1702450);
    path252.lineTo(size.width * 0.1163000, size.height * 0.1695449);
    path252.lineTo(size.width * 0.1188000, size.height * 0.1666278);
    path252.lineTo(size.width * 0.1240000, size.height * 0.1624271);
    path252.lineTo(size.width * 0.1251500, size.height * 0.1610268);
    path252.lineTo(size.width * 0.1280000, size.height * 0.1585764);
    path252.lineTo(size.width * 0.1309000, size.height * 0.1533256);
    path252.lineTo(size.width * 0.1340000, size.height * 0.1492415);
    path252.lineTo(size.width * 0.1303500, size.height * 0.1513419);
    path252.lineTo(size.width * 0.1302000, size.height * 0.1500583);
    path252.lineTo(size.width * 0.1277500, size.height * 0.1526254);
    path252.lineTo(size.width * 0.1279500, size.height * 0.1491249);
    path252.lineTo(size.width * 0.1261500, size.height * 0.1515753);
    path252.lineTo(size.width * 0.1269500, size.height * 0.1481914);
    path252.lineTo(size.width * 0.1233000, size.height * 0.1508751);
    path252.lineTo(size.width * 0.1219000, size.height * 0.1508751);
    path252.lineTo(size.width * 0.1237500, size.height * 0.1467911);
    path252.lineTo(size.width * 0.1254000, size.height * 0.1442240);
    path252.lineTo(size.width * 0.1252000, size.height * 0.1417736);
    path252.lineTo(size.width * 0.1216000, size.height * 0.1431739);
    path252.lineTo(size.width * 0.1213000, size.height * 0.1399067);
    path252.lineTo(size.width * 0.1206500, size.height * 0.1382730);
    path252.lineTo(size.width * 0.1226500, size.height * 0.1344224);
    path252.lineTo(size.width * 0.1224500, size.height * 0.1315053);
    path252.lineTo(size.width * 0.1254000, size.height * 0.1276546);
    path252.lineTo(size.width * 0.1292500, size.height * 0.1238040);
    path252.lineTo(size.width * 0.1319000, size.height * 0.1204201);
    path252.lineTo(size.width * 0.1339500, size.height * 0.1199533);
    path252.lineTo(size.width * 0.1348500, size.height * 0.1210035);
    path252.lineTo(size.width * 0.1384000, size.height * 0.1177363);
    path252.lineTo(size.width * 0.1396500, size.height * 0.1183197);
    path252.lineTo(size.width * 0.1424500, size.height * 0.1162194);
    path252.lineTo(size.width * 0.1437000, size.height * 0.1131855);
    path252.lineTo(size.width * 0.1431500, size.height * 0.1120187);
    path252.lineTo(size.width * 0.1461500, size.height * 0.1094516);
    path252.lineTo(size.width * 0.1447500, size.height * 0.1095683);
    path252.lineTo(size.width * 0.1416500, size.height * 0.1109685);
    path252.lineTo(size.width * 0.1402000, size.height * 0.1124854);
    path252.lineTo(size.width * 0.1393000, size.height * 0.1109685);
    path252.lineTo(size.width * 0.1358500, size.height * 0.1117853);
    path252.lineTo(size.width * 0.1335500, size.height * 0.1101517);
    path252.lineTo(size.width * 0.1341500, size.height * 0.1074679);
    path252.lineTo(size.width * 0.1336500, size.height * 0.1037340);
    path252.lineTo(size.width * 0.1382500, size.height * 0.1009335);
    path252.lineTo(size.width * 0.1448500, size.height * 0.09778296);
    path252.lineTo(size.width * 0.1466000, size.height * 0.09778296);
    path252.lineTo(size.width * 0.1444500, size.height * 0.1010502);
    path252.lineTo(size.width * 0.1490500, size.height * 0.1008168);
    path252.lineTo(size.width * 0.1496500, size.height * 0.09673279);
    path252.lineTo(size.width * 0.1485000, size.height * 0.09428238);
    path252.lineTo(size.width * 0.1489000, size.height * 0.09101517);
    path252.lineTo(size.width * 0.1485500, size.height * 0.08833139);
    path252.lineTo(size.width * 0.1469000, size.height * 0.08634772);
    path252.lineTo(size.width * 0.1501500, size.height * 0.08296383);
    path252.lineTo(size.width * 0.1539000, size.height * 0.08273046);
    path252.lineTo(size.width * 0.1583000, size.height * 0.07992999);
    path252.lineTo(size.width * 0.1607000, size.height * 0.07689615);
    path252.lineTo(size.width * 0.1646500, size.height * 0.07386231);
    path252.lineTo(size.width * 0.1670500, size.height * 0.07316219);
    path252.lineTo(size.width * 0.1726500, size.height * 0.07036173);
    path252.lineTo(size.width * 0.1742000, size.height * 0.07082847);
    path252.lineTo(size.width * 0.1794000, size.height * 0.06756126);
    path252.lineTo(size.width * 0.1816000, size.height * 0.06884481);
    path252.lineTo(size.width * 0.1813500, size.height * 0.07164527);
    path252.lineTo(size.width * 0.1830000, size.height * 0.07047841);
    path252.lineTo(size.width * 0.1861500, size.height * 0.07082847);
    path252.lineTo(size.width * 0.1852000, size.height * 0.07222870);
    path252.lineTo(size.width * 0.1876500, size.height * 0.07327888);
    path252.lineTo(size.width * 0.1901000, size.height * 0.07269545);
    path252.lineTo(size.width * 0.1932000, size.height * 0.07456243);
    path252.lineTo(size.width * 0.1968000, size.height * 0.07526254);
    path252.lineTo(size.width * 0.1979000, size.height * 0.07596266);
    path252.lineTo(size.width * 0.2012000, size.height * 0.07502917);
    path252.lineTo(size.width * 0.2032500, size.height * 0.07689615);
    path252.lineTo(size.width * 0.2050000, size.height * 0.07771295);
    path252.close();

    Paint paint252fill = Paint()..style = PaintingStyle.fill;
    paint252fill.color = countryColors.uS ?? defaultCountryColor;
    canvas.drawPath(path252, paint252fill);

    Path path253 = Path();
    path253.moveTo(size.width * 0.3386500, size.height * 0.5682614);
    path253.lineTo(size.width * 0.3394000, size.height * 0.5649942);
    path253.lineTo(size.width * 0.3396500, size.height * 0.5616103);
    path253.lineTo(size.width * 0.3401500, size.height * 0.5584597);
    path253.lineTo(size.width * 0.3391000, size.height * 0.5540257);
    path253.lineTo(size.width * 0.3389500, size.height * 0.5488915);
    path253.lineTo(size.width * 0.3405000, size.height * 0.5424737);
    path253.lineTo(size.width * 0.3414500, size.height * 0.5432905);
    path253.lineTo(size.width * 0.3435000, size.height * 0.5450408);
    path253.lineTo(size.width * 0.3464500, size.height * 0.5513419);
    path253.lineTo(size.width * 0.3468500, size.height * 0.5543757);
    path253.lineTo(size.width * 0.3451500, size.height * 0.5612602);
    path253.lineTo(size.width * 0.3442500, size.height * 0.5667445);
    path253.lineTo(size.width * 0.3431500, size.height * 0.5696616);
    path253.lineTo(size.width * 0.3418000, size.height * 0.5701284);
    path253.lineTo(size.width * 0.3414000, size.height * 0.5680280);
    path253.lineTo(size.width * 0.3407500, size.height * 0.5677946);
    path253.lineTo(size.width * 0.3399000, size.height * 0.5697783);
    path253.lineTo(size.width * 0.3386500, size.height * 0.5682614);
    path253.close();

    Paint paint253fill = Paint()..style = PaintingStyle.fill;
    paint253fill.color = countryColors.gF ?? defaultCountryColor;
    canvas.drawPath(path253, paint253fill);

    Path path254 = Path();
    path254.moveTo(size.width * 0.2964500, size.height * 0.4924154);
    path254.lineTo(size.width * 0.2962000, size.height * 0.4921820);
    path254.lineTo(size.width * 0.2959500, size.height * 0.4915986);
    path254.lineTo(size.width * 0.2960000, size.height * 0.4908985);
    path254.lineTo(size.width * 0.2961000, size.height * 0.4912485);
    path254.lineTo(size.width * 0.2963000, size.height * 0.4917153);
    path254.lineTo(size.width * 0.2964500, size.height * 0.4922987);
    path254.lineTo(size.width * 0.2964500, size.height * 0.4924154);
    path254.close();

    Paint paint254fill = Paint()..style = PaintingStyle.fill;
    paint254fill.color = countryColors.aW ?? defaultCountryColor;
    canvas.drawPath(path254, paint254fill);

    Path path255 = Path();
    path255.moveTo(size.width * 0.3171000, size.height * 0.4491249);
    path255.lineTo(size.width * 0.3170000, size.height * 0.4491249);
    path255.lineTo(size.width * 0.3171500, size.height * 0.4486581);
    path255.lineTo(size.width * 0.3173000, size.height * 0.4486581);
    path255.lineTo(size.width * 0.3172000, size.height * 0.4490082);
    path255.lineTo(size.width * 0.3171000, size.height * 0.4491249);
    path255.close();

    Paint paint255fill = Paint()..style = PaintingStyle.fill;
    paint255fill.color = countryColors.aI ?? defaultCountryColor;
    canvas.drawPath(path255, paint255fill);

    Path path256 = Path();
    path256.moveTo(size.width * 0.01385000, size.height * 0.6922987);
    path256.lineTo(size.width * 0.01370000, size.height * 0.6927655);
    path256.lineTo(size.width * 0.01360000, size.height * 0.6931155);
    path256.lineTo(size.width * 0.01350000, size.height * 0.6932322);
    path256.lineTo(size.width * 0.01330000, size.height * 0.6928821);
    path256.lineTo(size.width * 0.01340000, size.height * 0.6926488);
    path256.lineTo(size.width * 0.01355000, size.height * 0.6926488);
    path256.lineTo(size.width * 0.01360000, size.height * 0.6924154);
    path256.lineTo(size.width * 0.01385000, size.height * 0.6922987);
    path256.close();

    Paint paint256fill = Paint()..style = PaintingStyle.fill;
    paint256fill.color = countryColors.aS ?? defaultCountryColor;
    canvas.drawPath(path256, paint256fill);

    Path path257 = Path();
    path257.moveTo(size.width * 0.01715000, size.height * 0.6922987);
    path257.lineTo(size.width * 0.01690000, size.height * 0.6924154);
    path257.lineTo(size.width * 0.01685000, size.height * 0.6921820);
    path257.lineTo(size.width * 0.01705000, size.height * 0.6920653);
    path257.lineTo(size.width * 0.01715000, size.height * 0.6922987);
    path257.close();

    Paint paint257fill = Paint()..style = PaintingStyle.fill;
    paint257fill.color = countryColors.aS ?? defaultCountryColor;
    canvas.drawPath(path257, paint257fill);

    Path path258 = Path();
    path258.moveTo(size.width * 0.3203500, size.height * 0.4572929);
    path258.lineTo(size.width * 0.3206500, size.height * 0.4576429);
    path258.lineTo(size.width * 0.3205500, size.height * 0.4579930);
    path258.lineTo(size.width * 0.3204500, size.height * 0.4579930);
    path258.lineTo(size.width * 0.3201000, size.height * 0.4581097);
    path258.lineTo(size.width * 0.3200000, size.height * 0.4579930);
    path258.lineTo(size.width * 0.3200000, size.height * 0.4574096);
    path258.lineTo(size.width * 0.3201500, size.height * 0.4572929);
    path258.lineTo(size.width * 0.3202000, size.height * 0.4569428);
    path258.lineTo(size.width * 0.3203000, size.height * 0.4569428);
    path258.lineTo(size.width * 0.3203500, size.height * 0.4572929);
    path258.close();

    Paint paint258fill = Paint()..style = PaintingStyle.fill;
    paint258fill.color = countryColors.aG ?? defaultCountryColor;
    canvas.drawPath(path258, paint258fill);

    Path path259 = Path();
    path259.moveTo(size.width * 0.3203500, size.height * 0.4529755);
    path259.lineTo(size.width * 0.3204500, size.height * 0.4529755);
    path259.lineTo(size.width * 0.3205500, size.height * 0.4532089);
    path259.lineTo(size.width * 0.3206000, size.height * 0.4536756);
    path259.lineTo(size.width * 0.3205500, size.height * 0.4540257);
    path259.lineTo(size.width * 0.3204500, size.height * 0.4541424);
    path259.lineTo(size.width * 0.3204000, size.height * 0.4539090);
    path259.lineTo(size.width * 0.3202500, size.height * 0.4536756);
    path259.lineTo(size.width * 0.3202500, size.height * 0.4530922);
    path259.lineTo(size.width * 0.3203500, size.height * 0.4529755);
    path259.close();

    Paint paint259fill = Paint()..style = PaintingStyle.fill;
    paint259fill.color = countryColors.aG ?? defaultCountryColor;
    canvas.drawPath(path259, paint259fill);

    Path path260 = Path();
    path260.moveTo(size.width * 0.6320500, size.height * 0.3889148);
    path260.lineTo(size.width * 0.6322000, size.height * 0.3890315);
    path260.lineTo(size.width * 0.6323000, size.height * 0.3889148);
    path260.lineTo(size.width * 0.6325000, size.height * 0.3897316);
    path260.lineTo(size.width * 0.6324500, size.height * 0.3899650);
    path260.lineTo(size.width * 0.6325000, size.height * 0.3910152);
    path260.lineTo(size.width * 0.6325000, size.height * 0.3918320);
    path260.lineTo(size.width * 0.6324000, size.height * 0.3922987);
    path260.lineTo(size.width * 0.6323500, size.height * 0.3918320);
    path260.lineTo(size.width * 0.6320500, size.height * 0.3908985);
    path260.lineTo(size.width * 0.6321000, size.height * 0.3904317);
    path260.lineTo(size.width * 0.6320000, size.height * 0.3896149);
    path260.lineTo(size.width * 0.6320000, size.height * 0.3891482);
    path260.lineTo(size.width * 0.6320500, size.height * 0.3889148);
    path260.close();

    Paint paint260fill = Paint()..style = PaintingStyle.fill;
    paint260fill.color = countryColors.bH ?? defaultCountryColor;
    canvas.drawPath(path260, paint260fill);

    Path path261 = Path();
    path261.moveTo(size.width * 0.2902000, size.height * 0.4270712);
    path261.lineTo(size.width * 0.2900000, size.height * 0.4276546);
    path261.lineTo(size.width * 0.2899000, size.height * 0.4282380);
    path261.lineTo(size.width * 0.2896000, size.height * 0.4285881);
    path261.lineTo(size.width * 0.2893500, size.height * 0.4285881);
    path261.lineTo(size.width * 0.2893000, size.height * 0.4284714);
    path261.lineTo(size.width * 0.2891000, size.height * 0.4287048);
    path261.lineTo(size.width * 0.2888500, size.height * 0.4288215);
    path261.lineTo(size.width * 0.2885500, size.height * 0.4285881);
    path261.lineTo(size.width * 0.2883500, size.height * 0.4287048);
    path261.lineTo(size.width * 0.2883000, size.height * 0.4281214);
    path261.lineTo(size.width * 0.2884500, size.height * 0.4278880);
    path261.lineTo(size.width * 0.2885500, size.height * 0.4275379);
    path261.lineTo(size.width * 0.2887500, size.height * 0.4273046);
    path261.lineTo(size.width * 0.2889000, size.height * 0.4268378);
    path261.lineTo(size.width * 0.2891000, size.height * 0.4268378);
    path261.lineTo(size.width * 0.2892500, size.height * 0.4266044);
    path261.lineTo(size.width * 0.2893500, size.height * 0.4269545);
    path261.lineTo(size.width * 0.2896000, size.height * 0.4271879);
    path261.lineTo(size.width * 0.2898500, size.height * 0.4269545);
    path261.lineTo(size.width * 0.2902000, size.height * 0.4257876);
    path261.lineTo(size.width * 0.2903500, size.height * 0.4257876);
    path261.lineTo(size.width * 0.2903500, size.height * 0.4260210);
    path261.lineTo(size.width * 0.2902000, size.height * 0.4270712);
    path261.close();

    Paint paint261fill = Paint()..style = PaintingStyle.fill;
    paint261fill.color = countryColors.bS ?? defaultCountryColor;
    canvas.drawPath(path261, paint261fill);

    Path path262 = Path();
    path262.moveTo(size.width * 0.2903000, size.height * 0.4250875);
    path262.lineTo(size.width * 0.2902000, size.height * 0.4243874);
    path262.lineTo(size.width * 0.2905000, size.height * 0.4240373);
    path262.lineTo(size.width * 0.2906500, size.height * 0.4243874);
    path262.lineTo(size.width * 0.2906500, size.height * 0.4246208);
    path262.lineTo(size.width * 0.2905000, size.height * 0.4247375);
    path262.lineTo(size.width * 0.2903000, size.height * 0.4250875);
    path262.close();

    Paint paint262fill = Paint()..style = PaintingStyle.fill;
    paint262fill.color = countryColors.bS ?? defaultCountryColor;
    canvas.drawPath(path262, paint262fill);

    Path path263 = Path();
    path263.moveTo(size.width * 0.2905000, size.height * 0.4175029);
    path263.lineTo(size.width * 0.2906000, size.height * 0.4173862);
    path263.lineTo(size.width * 0.2908500, size.height * 0.4177363);
    path263.lineTo(size.width * 0.2910500, size.height * 0.4177363);
    path263.lineTo(size.width * 0.2912500, size.height * 0.4178530);
    path263.lineTo(size.width * 0.2914000, size.height * 0.4180863);
    path263.lineTo(size.width * 0.2914000, size.height * 0.4184364);
    path263.lineTo(size.width * 0.2913000, size.height * 0.4185531);
    path263.lineTo(size.width * 0.2910500, size.height * 0.4180863);
    path263.lineTo(size.width * 0.2908500, size.height * 0.4180863);
    path263.lineTo(size.width * 0.2908000, size.height * 0.4179697);
    path263.lineTo(size.width * 0.2905500, size.height * 0.4182030);
    path263.lineTo(size.width * 0.2903000, size.height * 0.4179697);
    path263.lineTo(size.width * 0.2903000, size.height * 0.4178530);
    path263.lineTo(size.width * 0.2904000, size.height * 0.4172695);
    path263.lineTo(size.width * 0.2905000, size.height * 0.4175029);
    path263.close();

    Paint paint263fill = Paint()..style = PaintingStyle.fill;
    paint263fill.color = countryColors.bS ?? defaultCountryColor;
    canvas.drawPath(path263, paint263fill);

    Path path264 = Path();
    path264.moveTo(size.width * 0.2885500, size.height * 0.4154026);
    path264.lineTo(size.width * 0.2884500, size.height * 0.4158693);
    path264.lineTo(size.width * 0.2884500, size.height * 0.4166861);
    path264.lineTo(size.width * 0.2884000, size.height * 0.4171529);
    path264.lineTo(size.width * 0.2882000, size.height * 0.4175029);
    path264.lineTo(size.width * 0.2881000, size.height * 0.4179697);
    path264.lineTo(size.width * 0.2879000, size.height * 0.4183197);
    path264.lineTo(size.width * 0.2875500, size.height * 0.4186698);
    path264.lineTo(size.width * 0.2875000, size.height * 0.4189032);
    path264.lineTo(size.width * 0.2874000, size.height * 0.4186698);
    path264.lineTo(size.width * 0.2874500, size.height * 0.4184364);
    path264.lineTo(size.width * 0.2876500, size.height * 0.4183197);
    path264.lineTo(size.width * 0.2877500, size.height * 0.4180863);
    path264.lineTo(size.width * 0.2877500, size.height * 0.4178530);
    path264.lineTo(size.width * 0.2879500, size.height * 0.4177363);
    path264.lineTo(size.width * 0.2880500, size.height * 0.4172695);
    path264.lineTo(size.width * 0.2882500, size.height * 0.4171529);
    path264.lineTo(size.width * 0.2884000, size.height * 0.4166861);
    path264.lineTo(size.width * 0.2883000, size.height * 0.4163361);
    path264.lineTo(size.width * 0.2881000, size.height * 0.4163361);
    path264.lineTo(size.width * 0.2880000, size.height * 0.4161027);
    path264.lineTo(size.width * 0.2882000, size.height * 0.4155193);
    path264.lineTo(size.width * 0.2882500, size.height * 0.4154026);
    path264.lineTo(size.width * 0.2885500, size.height * 0.4154026);
    path264.close();

    Paint paint264fill = Paint()..style = PaintingStyle.fill;
    paint264fill.color = countryColors.bS ?? defaultCountryColor;
    canvas.drawPath(path264, paint264fill);

    Path path265 = Path();
    path265.moveTo(size.width * 0.2876000, size.height * 0.4150525);
    path265.lineTo(size.width * 0.2876500, size.height * 0.4151692);
    path265.lineTo(size.width * 0.2878500, size.height * 0.4151692);
    path265.lineTo(size.width * 0.2880500, size.height * 0.4154026);
    path265.lineTo(size.width * 0.2878500, size.height * 0.4158693);
    path265.lineTo(size.width * 0.2878000, size.height * 0.4156359);
    path265.lineTo(size.width * 0.2877000, size.height * 0.4156359);
    path265.lineTo(size.width * 0.2875000, size.height * 0.4155193);
    path265.lineTo(size.width * 0.2873000, size.height * 0.4152859);
    path265.lineTo(size.width * 0.2871500, size.height * 0.4145858);
    path265.lineTo(size.width * 0.2873000, size.height * 0.4144691);
    path265.lineTo(size.width * 0.2875000, size.height * 0.4145858);
    path265.lineTo(size.width * 0.2876000, size.height * 0.4150525);
    path265.close();

    Paint paint265fill = Paint()..style = PaintingStyle.fill;
    paint265fill.color = countryColors.bS ?? defaultCountryColor;
    canvas.drawPath(path265, paint265fill);

    Path path266 = Path();
    path266.moveTo(size.width * 0.2830000, size.height * 0.4081680);
    path266.lineTo(size.width * 0.2833000, size.height * 0.4089848);
    path266.lineTo(size.width * 0.2834500, size.height * 0.4092182);
    path266.lineTo(size.width * 0.2836000, size.height * 0.4098016);
    path266.lineTo(size.width * 0.2834500, size.height * 0.4096849);
    path266.lineTo(size.width * 0.2834000, size.height * 0.4094516);
    path266.lineTo(size.width * 0.2832500, size.height * 0.4093349);
    path266.lineTo(size.width * 0.2830500, size.height * 0.4088681);
    path266.lineTo(size.width * 0.2829500, size.height * 0.4087515);
    path266.lineTo(size.width * 0.2828500, size.height * 0.4082847);
    path266.lineTo(size.width * 0.2830000, size.height * 0.4081680);
    path266.close();

    Paint paint266fill = Paint()..style = PaintingStyle.fill;
    paint266fill.color = countryColors.bS ?? defaultCountryColor;
    canvas.drawPath(path266, paint266fill);

    Path path267 = Path();
    path267.moveTo(size.width * 0.2848500, size.height * 0.4081680);
    path267.lineTo(size.width * 0.2850000, size.height * 0.4088681);
    path267.lineTo(size.width * 0.2851000, size.height * 0.4094516);
    path267.lineTo(size.width * 0.2851000, size.height * 0.4099183);
    path267.lineTo(size.width * 0.2852000, size.height * 0.4101517);
    path267.lineTo(size.width * 0.2853000, size.height * 0.4109685);
    path267.lineTo(size.width * 0.2853000, size.height * 0.4120187);
    path267.lineTo(size.width * 0.2854000, size.height * 0.4123687);
    path267.lineTo(size.width * 0.2856500, size.height * 0.4126021);
    path267.lineTo(size.width * 0.2858500, size.height * 0.4133022);
    path267.lineTo(size.width * 0.2858500, size.height * 0.4142357);
    path267.lineTo(size.width * 0.2856500, size.height * 0.4134189);
    path267.lineTo(size.width * 0.2856500, size.height * 0.4131855);
    path267.lineTo(size.width * 0.2855000, size.height * 0.4127188);
    path267.lineTo(size.width * 0.2852000, size.height * 0.4124854);
    path267.lineTo(size.width * 0.2853000, size.height * 0.4122520);
    path267.lineTo(size.width * 0.2851500, size.height * 0.4119020);
    path267.lineTo(size.width * 0.2851500, size.height * 0.4115519);
    path267.lineTo(size.width * 0.2852500, size.height * 0.4112019);
    path267.lineTo(size.width * 0.2852000, size.height * 0.4106184);
    path267.lineTo(size.width * 0.2850500, size.height * 0.4101517);
    path267.lineTo(size.width * 0.2851000, size.height * 0.4100350);
    path267.lineTo(size.width * 0.2849500, size.height * 0.4095683);
    path267.lineTo(size.width * 0.2849000, size.height * 0.4088681);
    path267.lineTo(size.width * 0.2848000, size.height * 0.4089848);
    path267.lineTo(size.width * 0.2848500, size.height * 0.4081680);
    path267.close();

    Paint paint267fill = Paint()..style = PaintingStyle.fill;
    paint267fill.color = countryColors.bS ?? defaultCountryColor;
    canvas.drawPath(path267, paint267fill);

    Path path268 = Path();
    path268.moveTo(size.width * 0.2863000, size.height * 0.4081680);
    path268.lineTo(size.width * 0.2861500, size.height * 0.4084014);
    path268.lineTo(size.width * 0.2860000, size.height * 0.4082847);
    path268.lineTo(size.width * 0.2859500, size.height * 0.4080513);
    path268.lineTo(size.width * 0.2862500, size.height * 0.4078180);
    path268.lineTo(size.width * 0.2863000, size.height * 0.4081680);
    path268.close();

    Paint paint268fill = Paint()..style = PaintingStyle.fill;
    paint268fill.color = countryColors.bS ?? defaultCountryColor;
    canvas.drawPath(path268, paint268fill);

    Path path269 = Path();
    path269.moveTo(size.width * 0.2822000, size.height * 0.4059510);
    path269.lineTo(size.width * 0.2821500, size.height * 0.4058343);
    path269.lineTo(size.width * 0.2820000, size.height * 0.4050175);
    path269.lineTo(size.width * 0.2821000, size.height * 0.4050175);
    path269.lineTo(size.width * 0.2822000, size.height * 0.4059510);
    path269.close();

    Paint paint269fill = Paint()..style = PaintingStyle.fill;
    paint269fill.color = countryColors.bS ?? defaultCountryColor;
    canvas.drawPath(path269, paint269fill);

    Path path270 = Path();
    path270.moveTo(size.width * 0.2874500, size.height * 0.4053676);
    path270.lineTo(size.width * 0.2872500, size.height * 0.4060677);
    path270.lineTo(size.width * 0.2870500, size.height * 0.4060677);
    path270.lineTo(size.width * 0.2871500, size.height * 0.4057176);
    path270.lineTo(size.width * 0.2872000, size.height * 0.4050175);
    path270.lineTo(size.width * 0.2874000, size.height * 0.4046674);
    path270.lineTo(size.width * 0.2874500, size.height * 0.4051342);
    path270.lineTo(size.width * 0.2874500, size.height * 0.4053676);
    path270.close();

    Paint paint270fill = Paint()..style = PaintingStyle.fill;
    paint270fill.color = countryColors.bS ?? defaultCountryColor;
    canvas.drawPath(path270, paint270fill);

    Path path271 = Path();
    path271.moveTo(size.width * 0.2782000, size.height * 0.4039673);
    path271.lineTo(size.width * 0.2780500, size.height * 0.4040840);
    path271.lineTo(size.width * 0.2779500, size.height * 0.4044341);
    path271.lineTo(size.width * 0.2778000, size.height * 0.4043174);
    path271.lineTo(size.width * 0.2781000, size.height * 0.4038506);
    path271.lineTo(size.width * 0.2782000, size.height * 0.4039673);
    path271.close();

    Paint paint271fill = Paint()..style = PaintingStyle.fill;
    paint271fill.color = countryColors.bS ?? defaultCountryColor;
    canvas.drawPath(path271, paint271fill);

    Path path272 = Path();
    path272.moveTo(size.width * 0.2783000, size.height * 0.4047841);
    path272.lineTo(size.width * 0.2785000, size.height * 0.4050175);
    path272.lineTo(size.width * 0.2786000, size.height * 0.4047841);
    path272.lineTo(size.width * 0.2786500, size.height * 0.4042007);
    path272.lineTo(size.width * 0.2787500, size.height * 0.4040840);
    path272.lineTo(size.width * 0.2788500, size.height * 0.4047841);
    path272.lineTo(size.width * 0.2788500, size.height * 0.4053676);
    path272.lineTo(size.width * 0.2788000, size.height * 0.4057176);
    path272.lineTo(size.width * 0.2788500, size.height * 0.4064177);
    path272.lineTo(size.width * 0.2788500, size.height * 0.4067678);
    path272.lineTo(size.width * 0.2786500, size.height * 0.4077013);
    path272.lineTo(size.width * 0.2785500, size.height * 0.4078180);
    path272.lineTo(size.width * 0.2783500, size.height * 0.4075846);
    path272.lineTo(size.width * 0.2784500, size.height * 0.4072345);
    path272.lineTo(size.width * 0.2786500, size.height * 0.4070012);
    path272.lineTo(size.width * 0.2786000, size.height * 0.4068845);
    path272.lineTo(size.width * 0.2783000, size.height * 0.4073512);
    path272.lineTo(size.width * 0.2782000, size.height * 0.4071179);
    path272.lineTo(size.width * 0.2784000, size.height * 0.4067678);
    path272.lineTo(size.width * 0.2782000, size.height * 0.4067678);
    path272.lineTo(size.width * 0.2781000, size.height * 0.4068845);
    path272.lineTo(size.width * 0.2780000, size.height * 0.4066511);
    path272.lineTo(size.width * 0.2780000, size.height * 0.4058343);
    path272.lineTo(size.width * 0.2780500, size.height * 0.4056009);
    path272.lineTo(size.width * 0.2778500, size.height * 0.4050175);
    path272.lineTo(size.width * 0.2778500, size.height * 0.4047841);
    path272.lineTo(size.width * 0.2780500, size.height * 0.4045508);
    path272.lineTo(size.width * 0.2781000, size.height * 0.4042007);
    path272.lineTo(size.width * 0.2782500, size.height * 0.4040840);
    path272.lineTo(size.width * 0.2783000, size.height * 0.4038506);
    path272.lineTo(size.width * 0.2786000, size.height * 0.4035006);
    path272.lineTo(size.width * 0.2786500, size.height * 0.4039673);
    path272.lineTo(size.width * 0.2784000, size.height * 0.4044341);
    path272.lineTo(size.width * 0.2783000, size.height * 0.4047841);
    path272.close();

    Paint paint272fill = Paint()..style = PaintingStyle.fill;
    paint272fill.color = countryColors.bS ?? defaultCountryColor;
    canvas.drawPath(path272, paint272fill);

    Path path273 = Path();
    path273.moveTo(size.width * 0.2850500, size.height * 0.4040840);
    path273.lineTo(size.width * 0.2851000, size.height * 0.4046674);
    path273.lineTo(size.width * 0.2850000, size.height * 0.4045508);
    path273.lineTo(size.width * 0.2847500, size.height * 0.4046674);
    path273.lineTo(size.width * 0.2845500, size.height * 0.4047841);
    path273.lineTo(size.width * 0.2845000, size.height * 0.4045508);
    path273.lineTo(size.width * 0.2846500, size.height * 0.4043174);
    path273.lineTo(size.width * 0.2848500, size.height * 0.4039673);
    path273.lineTo(size.width * 0.2848500, size.height * 0.4037340);
    path273.lineTo(size.width * 0.2846500, size.height * 0.4035006);
    path273.lineTo(size.width * 0.2845500, size.height * 0.4028005);
    path273.lineTo(size.width * 0.2845000, size.height * 0.4021004);
    path273.lineTo(size.width * 0.2843000, size.height * 0.4016336);
    path273.lineTo(size.width * 0.2843000, size.height * 0.4014002);
    path273.lineTo(size.width * 0.2840500, size.height * 0.4008168);
    path273.lineTo(size.width * 0.2842000, size.height * 0.4004667);
    path273.lineTo(size.width * 0.2844000, size.height * 0.4009335);
    path273.lineTo(size.width * 0.2844000, size.height * 0.4015169);
    path273.lineTo(size.width * 0.2845000, size.height * 0.4018670);
    path273.lineTo(size.width * 0.2845500, size.height * 0.4024504);
    path273.lineTo(size.width * 0.2847000, size.height * 0.4030338);
    path273.lineTo(size.width * 0.2849000, size.height * 0.4033839);
    path273.lineTo(size.width * 0.2849500, size.height * 0.4037340);
    path273.lineTo(size.width * 0.2850500, size.height * 0.4040840);
    path273.close();

    Paint paint273fill = Paint()..style = PaintingStyle.fill;
    paint273fill.color = countryColors.bS ?? defaultCountryColor;
    canvas.drawPath(path273, paint273fill);

    Path path274 = Path();
    path274.moveTo(size.width * 0.2799000, size.height * 0.3976663);
    path274.lineTo(size.width * 0.2800500, size.height * 0.3978996);
    path274.lineTo(size.width * 0.2797500, size.height * 0.3982497);
    path274.lineTo(size.width * 0.2796000, size.height * 0.3981330);
    path274.lineTo(size.width * 0.2795000, size.height * 0.3983664);
    path274.lineTo(size.width * 0.2792500, size.height * 0.3982497);
    path274.lineTo(size.width * 0.2793500, size.height * 0.3978996);
    path274.lineTo(size.width * 0.2795500, size.height * 0.3976663);
    path274.lineTo(size.width * 0.2799000, size.height * 0.3976663);
    path274.close();

    Paint paint274fill = Paint()..style = PaintingStyle.fill;
    paint274fill.color = countryColors.bS ?? defaultCountryColor;
    canvas.drawPath(path274, paint274fill);

    Path path275 = Path();
    path275.moveTo(size.width * 0.2778000, size.height * 0.3970828);
    path275.lineTo(size.width * 0.2780000, size.height * 0.3968495);
    path275.lineTo(size.width * 0.2781500, size.height * 0.3971995);
    path275.lineTo(size.width * 0.2781000, size.height * 0.3974329);
    path275.lineTo(size.width * 0.2781500, size.height * 0.3976663);
    path275.lineTo(size.width * 0.2780500, size.height * 0.3981330);
    path275.lineTo(size.width * 0.2782000, size.height * 0.3984831);
    path275.lineTo(size.width * 0.2783000, size.height * 0.3995333);
    path275.lineTo(size.width * 0.2784000, size.height * 0.3998833);
    path275.lineTo(size.width * 0.2786000, size.height * 0.4004667);
    path275.lineTo(size.width * 0.2785000, size.height * 0.4012835);
    path275.lineTo(size.width * 0.2785500, size.height * 0.4019837);
    path275.lineTo(size.width * 0.2784500, size.height * 0.4023337);
    path275.lineTo(size.width * 0.2783000, size.height * 0.4024504);
    path275.lineTo(size.width * 0.2781000, size.height * 0.4029172);
    path275.lineTo(size.width * 0.2779500, size.height * 0.4031505);
    path275.lineTo(size.width * 0.2778000, size.height * 0.4031505);
    path275.lineTo(size.width * 0.2776500, size.height * 0.4033839);
    path275.lineTo(size.width * 0.2775000, size.height * 0.4033839);
    path275.lineTo(size.width * 0.2775000, size.height * 0.4029172);
    path275.lineTo(size.width * 0.2773500, size.height * 0.4026838);
    path275.lineTo(size.width * 0.2774000, size.height * 0.4019837);
    path275.lineTo(size.width * 0.2772500, size.height * 0.4023337);
    path275.lineTo(size.width * 0.2771500, size.height * 0.4022170);
    path275.lineTo(size.width * 0.2768500, size.height * 0.4017503);
    path275.lineTo(size.width * 0.2767000, size.height * 0.4014002);
    path275.lineTo(size.width * 0.2766000, size.height * 0.4010502);
    path275.lineTo(size.width * 0.2769500, size.height * 0.4007001);
    path275.lineTo(size.width * 0.2772000, size.height * 0.4015169);
    path275.lineTo(size.width * 0.2772500, size.height * 0.4008168);
    path275.lineTo(size.width * 0.2771000, size.height * 0.4007001);
    path275.lineTo(size.width * 0.2770500, size.height * 0.4003501);
    path275.lineTo(size.width * 0.2771000, size.height * 0.4000000);
    path275.lineTo(size.width * 0.2774000, size.height * 0.3992999);
    path275.lineTo(size.width * 0.2775000, size.height * 0.3988331);
    path275.lineTo(size.width * 0.2774500, size.height * 0.3987165);
    path275.lineTo(size.width * 0.2776000, size.height * 0.3982497);
    path275.lineTo(size.width * 0.2776000, size.height * 0.3976663);
    path275.lineTo(size.width * 0.2775000, size.height * 0.3968495);
    path275.lineTo(size.width * 0.2775500, size.height * 0.3967328);
    path275.lineTo(size.width * 0.2777000, size.height * 0.3967328);
    path275.lineTo(size.width * 0.2778000, size.height * 0.3970828);
    path275.close();

    Paint paint275fill = Paint()..style = PaintingStyle.fill;
    paint275fill.color = countryColors.bS ?? defaultCountryColor;
    canvas.drawPath(path275, paint275fill);

    Path path276 = Path();
    path276.moveTo(size.width * 0.2818500, size.height * 0.3940490);
    path276.lineTo(size.width * 0.2819000, size.height * 0.3942824);
    path276.lineTo(size.width * 0.2820500, size.height * 0.3947491);
    path276.lineTo(size.width * 0.2824500, size.height * 0.3955659);
    path276.lineTo(size.width * 0.2827000, size.height * 0.3956826);
    path276.lineTo(size.width * 0.2827500, size.height * 0.3957993);
    path276.lineTo(size.width * 0.2828500, size.height * 0.3962660);
    path276.lineTo(size.width * 0.2830000, size.height * 0.3967328);
    path276.lineTo(size.width * 0.2832500, size.height * 0.3971995);
    path276.lineTo(size.width * 0.2832500, size.height * 0.3974329);
    path276.lineTo(size.width * 0.2831500, size.height * 0.3983664);
    path276.lineTo(size.width * 0.2831000, size.height * 0.3985998);
    path276.lineTo(size.width * 0.2831000, size.height * 0.3989498);
    path276.lineTo(size.width * 0.2830500, size.height * 0.3995333);
    path276.lineTo(size.width * 0.2829500, size.height * 0.3998833);
    path276.lineTo(size.width * 0.2829000, size.height * 0.4007001);
    path276.lineTo(size.width * 0.2828500, size.height * 0.4008168);
    path276.lineTo(size.width * 0.2827500, size.height * 0.4001167);
    path276.lineTo(size.width * 0.2825500, size.height * 0.3997666);
    path276.lineTo(size.width * 0.2826000, size.height * 0.3995333);
    path276.lineTo(size.width * 0.2828500, size.height * 0.3996499);
    path276.lineTo(size.width * 0.2829500, size.height * 0.3994166);
    path276.lineTo(size.width * 0.2829000, size.height * 0.3991832);
    path276.lineTo(size.width * 0.2829500, size.height * 0.3987165);
    path276.lineTo(size.width * 0.2831000, size.height * 0.3982497);
    path276.lineTo(size.width * 0.2831500, size.height * 0.3976663);
    path276.lineTo(size.width * 0.2831500, size.height * 0.3973162);
    path276.lineTo(size.width * 0.2829000, size.height * 0.3968495);
    path276.lineTo(size.width * 0.2827000, size.height * 0.3960327);
    path276.lineTo(size.width * 0.2825500, size.height * 0.3957993);
    path276.lineTo(size.width * 0.2822500, size.height * 0.3954492);
    path276.lineTo(size.width * 0.2821000, size.height * 0.3950992);
    path276.lineTo(size.width * 0.2818000, size.height * 0.3948658);
    path276.lineTo(size.width * 0.2816000, size.height * 0.3950992);
    path276.lineTo(size.width * 0.2818000, size.height * 0.3940490);
    path276.lineTo(size.width * 0.2818500, size.height * 0.3940490);
    path276.close();

    Paint paint276fill = Paint()..style = PaintingStyle.fill;
    paint276fill.color = countryColors.bS ?? defaultCountryColor;
    canvas.drawPath(path276, paint276fill);

    Path path277 = Path();
    path277.moveTo(size.width * 0.2774500, size.height * 0.3852975);
    path277.lineTo(size.width * 0.2777000, size.height * 0.3855309);
    path277.lineTo(size.width * 0.2777500, size.height * 0.3855309);
    path277.lineTo(size.width * 0.2781000, size.height * 0.3856476);
    path277.lineTo(size.width * 0.2782000, size.height * 0.3854142);
    path277.lineTo(size.width * 0.2783000, size.height * 0.3855309);
    path277.lineTo(size.width * 0.2785500, size.height * 0.3855309);
    path277.lineTo(size.width * 0.2787500, size.height * 0.3852975);
    path277.lineTo(size.width * 0.2789500, size.height * 0.3852975);
    path277.lineTo(size.width * 0.2791000, size.height * 0.3850642);
    path277.lineTo(size.width * 0.2791500, size.height * 0.3856476);
    path277.lineTo(size.width * 0.2791000, size.height * 0.3858810);
    path277.lineTo(size.width * 0.2789500, size.height * 0.3858810);
    path277.lineTo(size.width * 0.2787500, size.height * 0.3858810);
    path277.lineTo(size.width * 0.2782000, size.height * 0.3861144);
    path277.lineTo(size.width * 0.2780500, size.height * 0.3861144);
    path277.lineTo(size.width * 0.2773000, size.height * 0.3865811);
    path277.lineTo(size.width * 0.2769500, size.height * 0.3870478);
    path277.lineTo(size.width * 0.2767500, size.height * 0.3870478);
    path277.lineTo(size.width * 0.2766500, size.height * 0.3869312);
    path277.lineTo(size.width * 0.2765000, size.height * 0.3865811);
    path277.lineTo(size.width * 0.2762500, size.height * 0.3858810);
    path277.lineTo(size.width * 0.2765500, size.height * 0.3862310);
    path277.lineTo(size.width * 0.2766000, size.height * 0.3864644);
    path277.lineTo(size.width * 0.2768500, size.height * 0.3864644);
    path277.lineTo(size.width * 0.2771000, size.height * 0.3862310);
    path277.lineTo(size.width * 0.2773000, size.height * 0.3855309);
    path277.lineTo(size.width * 0.2771500, size.height * 0.3854142);
    path277.lineTo(size.width * 0.2772500, size.height * 0.3850642);
    path277.lineTo(size.width * 0.2773000, size.height * 0.3847141);
    path277.lineTo(size.width * 0.2774500, size.height * 0.3852975);
    path277.close();

    Paint paint277fill = Paint()..style = PaintingStyle.fill;
    paint277fill.color = countryColors.bS ?? defaultCountryColor;
    canvas.drawPath(path277, paint277fill);

    Path path278 = Path();
    path278.moveTo(size.width * 0.2796000, size.height * 0.3837806);
    path278.lineTo(size.width * 0.2800000, size.height * 0.3840140);
    path278.lineTo(size.width * 0.2801000, size.height * 0.3838973);
    path278.lineTo(size.width * 0.2803000, size.height * 0.3842474);
    path278.lineTo(size.width * 0.2807500, size.height * 0.3854142);
    path278.lineTo(size.width * 0.2808500, size.height * 0.3861144);
    path278.lineTo(size.width * 0.2810500, size.height * 0.3862310);
    path278.lineTo(size.width * 0.2814000, size.height * 0.3868145);
    path278.lineTo(size.width * 0.2814000, size.height * 0.3870478);
    path278.lineTo(size.width * 0.2813000, size.height * 0.3876313);
    path278.lineTo(size.width * 0.2814000, size.height * 0.3884481);
    path278.lineTo(size.width * 0.2812000, size.height * 0.3884481);
    path278.lineTo(size.width * 0.2809500, size.height * 0.3889148);
    path278.lineTo(size.width * 0.2809000, size.height * 0.3891482);
    path278.lineTo(size.width * 0.2807500, size.height * 0.3903151);
    path278.lineTo(size.width * 0.2807000, size.height * 0.3913652);
    path278.lineTo(size.width * 0.2806000, size.height * 0.3915986);
    path278.lineTo(size.width * 0.2804500, size.height * 0.3913652);
    path278.lineTo(size.width * 0.2804000, size.height * 0.3908985);
    path278.lineTo(size.width * 0.2802000, size.height * 0.3907818);
    path278.lineTo(size.width * 0.2803500, size.height * 0.3901984);
    path278.lineTo(size.width * 0.2804500, size.height * 0.3901984);
    path278.lineTo(size.width * 0.2807000, size.height * 0.3897316);
    path278.lineTo(size.width * 0.2806500, size.height * 0.3892649);
    path278.lineTo(size.width * 0.2807500, size.height * 0.3887981);
    path278.lineTo(size.width * 0.2807500, size.height * 0.3884481);
    path278.lineTo(size.width * 0.2808500, size.height * 0.3880980);
    path278.lineTo(size.width * 0.2808500, size.height * 0.3873979);
    path278.lineTo(size.width * 0.2809500, size.height * 0.3872812);
    path278.lineTo(size.width * 0.2810500, size.height * 0.3869312);
    path278.lineTo(size.width * 0.2811000, size.height * 0.3865811);
    path278.lineTo(size.width * 0.2809500, size.height * 0.3864644);
    path278.lineTo(size.width * 0.2807000, size.height * 0.3863477);
    path278.lineTo(size.width * 0.2806500, size.height * 0.3859977);
    path278.lineTo(size.width * 0.2806500, size.height * 0.3857643);
    path278.lineTo(size.width * 0.2804500, size.height * 0.3855309);
    path278.lineTo(size.width * 0.2804500, size.height * 0.3851809);
    path278.lineTo(size.width * 0.2803000, size.height * 0.3843641);
    path278.lineTo(size.width * 0.2802000, size.height * 0.3842474);
    path278.lineTo(size.width * 0.2800500, size.height * 0.3843641);
    path278.lineTo(size.width * 0.2798000, size.height * 0.3842474);
    path278.lineTo(size.width * 0.2796500, size.height * 0.3842474);
    path278.lineTo(size.width * 0.2793500, size.height * 0.3837806);
    path278.lineTo(size.width * 0.2796000, size.height * 0.3837806);
    path278.close();

    Paint paint278fill = Paint()..style = PaintingStyle.fill;
    paint278fill.color = countryColors.bS ?? defaultCountryColor;
    canvas.drawPath(path278, paint278fill);

    Path path279 = Path();
    path279.moveTo(size.width * 0.3176000, size.height * 0.4515753);
    path279.lineTo(size.width * 0.3175500, size.height * 0.4512252);
    path279.lineTo(size.width * 0.3177000, size.height * 0.4513419);
    path279.lineTo(size.width * 0.3176000, size.height * 0.4515753);
    path279.close();

    Paint paint279fill = Paint()..style = PaintingStyle.fill;
    paint279fill.color = countryColors.bL ?? defaultCountryColor;
    canvas.drawPath(path279, paint279fill);

    Path path280 = Path();
    path280.moveTo(size.width * 0.3186500, size.height * 0.3430572);
    path280.lineTo(size.width * 0.3185000, size.height * 0.3430572);
    path280.lineTo(size.width * 0.3184500, size.height * 0.3431739);
    path280.lineTo(size.width * 0.3185000, size.height * 0.3434072);
    path280.lineTo(size.width * 0.3183000, size.height * 0.3436406);
    path280.lineTo(size.width * 0.3182500, size.height * 0.3435239);
    path280.lineTo(size.width * 0.3183500, size.height * 0.3434072);
    path280.lineTo(size.width * 0.3184000, size.height * 0.3434072);
    path280.lineTo(size.width * 0.3184500, size.height * 0.3430572);
    path280.lineTo(size.width * 0.3186000, size.height * 0.3429405);
    path280.lineTo(size.width * 0.3186500, size.height * 0.3430572);
    path280.close();

    Paint paint280fill = Paint()..style = PaintingStyle.fill;
    paint280fill.color = countryColors.bM ?? defaultCountryColor;
    canvas.drawPath(path280, paint280fill);

    Path path281 = Path();
    path281.moveTo(size.width * 0.3257500, size.height * 0.4877480);
    path281.lineTo(size.width * 0.3254500, size.height * 0.4875146);
    path281.lineTo(size.width * 0.3254000, size.height * 0.4869312);
    path281.lineTo(size.width * 0.3254000, size.height * 0.4859977);
    path281.lineTo(size.width * 0.3255000, size.height * 0.4855309);
    path281.lineTo(size.width * 0.3256000, size.height * 0.4857643);
    path281.lineTo(size.width * 0.3257000, size.height * 0.4864644);
    path281.lineTo(size.width * 0.3259500, size.height * 0.4868145);
    path281.lineTo(size.width * 0.3260000, size.height * 0.4872812);
    path281.lineTo(size.width * 0.3257500, size.height * 0.4877480);
    path281.close();

    Paint paint281fill = Paint()..style = PaintingStyle.fill;
    paint281fill.color = countryColors.bB ?? defaultCountryColor;
    canvas.drawPath(path281, paint281fill);

    Path path282 = Path();
    path282.moveTo(size.width * 0.6166000, size.height * 0.6782964);
    path282.lineTo(size.width * 0.6161500, size.height * 0.6781797);
    path282.lineTo(size.width * 0.6160500, size.height * 0.6777130);
    path282.lineTo(size.width * 0.6160500, size.height * 0.6773629);
    path282.lineTo(size.width * 0.6163000, size.height * 0.6774796);
    path282.lineTo(size.width * 0.6166500, size.height * 0.6780630);
    path282.lineTo(size.width * 0.6166000, size.height * 0.6782964);
    path282.close();

    Paint paint282fill = Paint()..style = PaintingStyle.fill;
    paint282fill.color = countryColors.kM ?? defaultCountryColor;
    canvas.drawPath(path282, paint282fill);

    Path path283 = Path();
    path283.moveTo(size.width * 0.6184500, size.height * 0.6760793);
    path283.lineTo(size.width * 0.6185500, size.height * 0.6772462);
    path283.lineTo(size.width * 0.6185500, size.height * 0.6780630);
    path283.lineTo(size.width * 0.6185000, size.height * 0.6782964);
    path283.lineTo(size.width * 0.6184000, size.height * 0.6779463);
    path283.lineTo(size.width * 0.6182000, size.height * 0.6775963);
    path283.lineTo(size.width * 0.6181500, size.height * 0.6773629);
    path283.lineTo(size.width * 0.6180000, size.height * 0.6772462);
    path283.lineTo(size.width * 0.6177000, size.height * 0.6767795);
    path283.lineTo(size.width * 0.6177500, size.height * 0.6766628);
    path283.lineTo(size.width * 0.6180000, size.height * 0.6768961);
    path283.lineTo(size.width * 0.6181500, size.height * 0.6767795);
    path283.lineTo(size.width * 0.6182500, size.height * 0.6763127);
    path283.lineTo(size.width * 0.6182500, size.height * 0.6760793);
    path283.lineTo(size.width * 0.6184000, size.height * 0.6759627);
    path283.lineTo(size.width * 0.6184500, size.height * 0.6760793);
    path283.close();

    Paint paint283fill = Paint()..style = PaintingStyle.fill;
    paint283fill.color = countryColors.kM ?? defaultCountryColor;
    canvas.drawPath(path283, paint283fill);

    Path path284 = Path();
    path284.moveTo(size.width * 0.6156000, size.height * 0.6749125);
    path284.lineTo(size.width * 0.6153500, size.height * 0.6744457);
    path284.lineTo(size.width * 0.6152000, size.height * 0.6743291);
    path284.lineTo(size.width * 0.6150500, size.height * 0.6740957);
    path284.lineTo(size.width * 0.6149500, size.height * 0.6733956);
    path284.lineTo(size.width * 0.6150000, size.height * 0.6730455);
    path284.lineTo(size.width * 0.6150000, size.height * 0.6728121);
    path284.lineTo(size.width * 0.6151000, size.height * 0.6714119);
    path284.lineTo(size.width * 0.6150500, size.height * 0.6712952);
    path284.lineTo(size.width * 0.6151500, size.height * 0.6708285);
    path284.lineTo(size.width * 0.6154000, size.height * 0.6707118);
    path284.lineTo(size.width * 0.6155000, size.height * 0.6710618);
    path284.lineTo(size.width * 0.6154000, size.height * 0.6724621);
    path284.lineTo(size.width * 0.6154500, size.height * 0.6728121);
    path284.lineTo(size.width * 0.6155500, size.height * 0.6732789);
    path284.lineTo(size.width * 0.6156000, size.height * 0.6738623);
    path284.lineTo(size.width * 0.6157000, size.height * 0.6745624);
    path284.lineTo(size.width * 0.6156000, size.height * 0.6749125);
    path284.close();

    Paint paint284fill = Paint()..style = PaintingStyle.fill;
    paint284fill.color = countryColors.kM ?? defaultCountryColor;
    canvas.drawPath(path284, paint284fill);

    Path path285 = Path();
    path285.moveTo(size.width * 0.4239000, size.height * 0.4743291);
    path285.lineTo(size.width * 0.4238000, size.height * 0.4746791);
    path285.lineTo(size.width * 0.4237000, size.height * 0.4744457);
    path285.lineTo(size.width * 0.4237000, size.height * 0.4740957);
    path285.lineTo(size.width * 0.4238500, size.height * 0.4739790);
    path285.lineTo(size.width * 0.4239000, size.height * 0.4743291);
    path285.close();

    Paint paint285fill = Paint()..style = PaintingStyle.fill;
    paint285fill.color = countryColors.cV ?? defaultCountryColor;
    canvas.drawPath(path285, paint285fill);

    Path path286 = Path();
    path286.moveTo(size.width * 0.4248500, size.height * 0.4744457);
    path286.lineTo(size.width * 0.4247500, size.height * 0.4745624);
    path286.lineTo(size.width * 0.4245500, size.height * 0.4744457);
    path286.lineTo(size.width * 0.4244000, size.height * 0.4740957);
    path286.lineTo(size.width * 0.4243500, size.height * 0.4737456);
    path286.lineTo(size.width * 0.4244500, size.height * 0.4732789);
    path286.lineTo(size.width * 0.4247000, size.height * 0.4729288);
    path286.lineTo(size.width * 0.4249000, size.height * 0.4729288);
    path286.lineTo(size.width * 0.4250000, size.height * 0.4737456);
    path286.lineTo(size.width * 0.4249500, size.height * 0.4742124);
    path286.lineTo(size.width * 0.4248500, size.height * 0.4744457);
    path286.close();

    Paint paint286fill = Paint()..style = PaintingStyle.fill;
    paint286fill.color = countryColors.cV ?? defaultCountryColor;
    canvas.drawPath(path286, paint286fill);

    Path path287 = Path();
    path287.moveTo(size.width * 0.4266000, size.height * 0.4708285);
    path287.lineTo(size.width * 0.4267000, size.height * 0.4709452);
    path287.lineTo(size.width * 0.4267000, size.height * 0.4711785);
    path287.lineTo(size.width * 0.4268000, size.height * 0.4714119);
    path287.lineTo(size.width * 0.4270000, size.height * 0.4719953);
    path287.lineTo(size.width * 0.4271000, size.height * 0.4719953);
    path287.lineTo(size.width * 0.4272000, size.height * 0.4723454);
    path287.lineTo(size.width * 0.4273000, size.height * 0.4729288);
    path287.lineTo(size.width * 0.4274000, size.height * 0.4731622);
    path287.lineTo(size.width * 0.4272500, size.height * 0.4737456);
    path287.lineTo(size.width * 0.4271000, size.height * 0.4738623);
    path287.lineTo(size.width * 0.4268500, size.height * 0.4737456);
    path287.lineTo(size.width * 0.4267000, size.height * 0.4736289);
    path287.lineTo(size.width * 0.4265500, size.height * 0.4732789);
    path287.lineTo(size.width * 0.4265500, size.height * 0.4730455);
    path287.lineTo(size.width * 0.4264500, size.height * 0.4729288);
    path287.lineTo(size.width * 0.4264000, size.height * 0.4724621);
    path287.lineTo(size.width * 0.4264500, size.height * 0.4722287);
    path287.lineTo(size.width * 0.4264500, size.height * 0.4718786);
    path287.lineTo(size.width * 0.4265500, size.height * 0.4714119);
    path287.lineTo(size.width * 0.4264500, size.height * 0.4708285);
    path287.lineTo(size.width * 0.4266000, size.height * 0.4708285);
    path287.close();

    Paint paint287fill = Paint()..style = PaintingStyle.fill;
    paint287fill.color = countryColors.cV ?? defaultCountryColor;
    canvas.drawPath(path287, paint287fill);

    Path path288 = Path();
    path288.moveTo(size.width * 0.4281500, size.height * 0.4708285);
    path288.lineTo(size.width * 0.4283000, size.height * 0.4709452);
    path288.lineTo(size.width * 0.4283500, size.height * 0.4716453);
    path288.lineTo(size.width * 0.4283000, size.height * 0.4721120);
    path288.lineTo(size.width * 0.4281000, size.height * 0.4723454);
    path288.lineTo(size.width * 0.4279000, size.height * 0.4718786);
    path288.lineTo(size.width * 0.4280000, size.height * 0.4714119);
    path288.lineTo(size.width * 0.4279500, size.height * 0.4711785);
    path288.lineTo(size.width * 0.4281500, size.height * 0.4708285);
    path288.close();

    Paint paint288fill = Paint()..style = PaintingStyle.fill;
    paint288fill.color = countryColors.cV ?? defaultCountryColor;
    canvas.drawPath(path288, paint288fill);

    Path path289 = Path();
    path289.moveTo(size.width * 0.4291500, size.height * 0.4641774);
    path289.lineTo(size.width * 0.4293000, size.height * 0.4639440);
    path289.lineTo(size.width * 0.4295500, size.height * 0.4641774);
    path289.lineTo(size.width * 0.4296000, size.height * 0.4644107);
    path289.lineTo(size.width * 0.4296000, size.height * 0.4652275);
    path289.lineTo(size.width * 0.4294000, size.height * 0.4655776);
    path289.lineTo(size.width * 0.4292500, size.height * 0.4658110);
    path289.lineTo(size.width * 0.4291000, size.height * 0.4658110);
    path289.lineTo(size.width * 0.4288500, size.height * 0.4655776);
    path289.lineTo(size.width * 0.4288500, size.height * 0.4649942);
    path289.lineTo(size.width * 0.4289500, size.height * 0.4647608);
    path289.lineTo(size.width * 0.4289500, size.height * 0.4640607);
    path289.lineTo(size.width * 0.4290000, size.height * 0.4639440);
    path289.lineTo(size.width * 0.4291500, size.height * 0.4641774);
    path289.close();

    Paint paint289fill = Paint()..style = PaintingStyle.fill;
    paint289fill.color = countryColors.cV ?? defaultCountryColor;
    canvas.drawPath(path289, paint289fill);

    Path path290 = Path();
    path290.moveTo(size.width * 0.4251500, size.height * 0.4609102);
    path290.lineTo(size.width * 0.4253500, size.height * 0.4607935);
    path290.lineTo(size.width * 0.4255000, size.height * 0.4610268);
    path290.lineTo(size.width * 0.4257000, size.height * 0.4610268);
    path290.lineTo(size.width * 0.4258500, size.height * 0.4612602);
    path290.lineTo(size.width * 0.4259000, size.height * 0.4614936);
    path290.lineTo(size.width * 0.4256500, size.height * 0.4614936);
    path290.lineTo(size.width * 0.4253000, size.height * 0.4611435);
    path290.lineTo(size.width * 0.4252000, size.height * 0.4612602);
    path290.lineTo(size.width * 0.4250500, size.height * 0.4619603);
    path290.lineTo(size.width * 0.4249000, size.height * 0.4612602);
    path290.lineTo(size.width * 0.4248500, size.height * 0.4611435);
    path290.lineTo(size.width * 0.4248000, size.height * 0.4606768);
    path290.lineTo(size.width * 0.4249500, size.height * 0.4605601);
    path290.lineTo(size.width * 0.4251500, size.height * 0.4609102);
    path290.close();

    Paint paint290fill = Paint()..style = PaintingStyle.fill;
    paint290fill.color = countryColors.cV ?? defaultCountryColor;
    canvas.drawPath(path290, paint290fill);

    Path path291 = Path();
    path291.moveTo(size.width * 0.4290500, size.height * 0.4603267);
    path291.lineTo(size.width * 0.4291000, size.height * 0.4604434);
    path291.lineTo(size.width * 0.4290500, size.height * 0.4611435);
    path291.lineTo(size.width * 0.4289500, size.height * 0.4612602);
    path291.lineTo(size.width * 0.4289500, size.height * 0.4606768);
    path291.lineTo(size.width * 0.4288500, size.height * 0.4603267);
    path291.lineTo(size.width * 0.4288500, size.height * 0.4599767);
    path291.lineTo(size.width * 0.4288000, size.height * 0.4596266);
    path291.lineTo(size.width * 0.4290000, size.height * 0.4592765);
    path291.lineTo(size.width * 0.4291000, size.height * 0.4595099);
    path291.lineTo(size.width * 0.4290500, size.height * 0.4602100);
    path291.lineTo(size.width * 0.4290500, size.height * 0.4603267);
    path291.close();

    Paint paint291fill = Paint()..style = PaintingStyle.fill;
    paint291fill.color = countryColors.cV ?? defaultCountryColor;
    canvas.drawPath(path291, paint291fill);

    Path path292 = Path();
    path292.moveTo(size.width * 0.4234000, size.height * 0.4588098);
    path292.lineTo(size.width * 0.4235000, size.height * 0.4591599);
    path292.lineTo(size.width * 0.4235500, size.height * 0.4595099);
    path292.lineTo(size.width * 0.4232000, size.height * 0.4598600);
    path292.lineTo(size.width * 0.4230500, size.height * 0.4596266);
    path292.lineTo(size.width * 0.4229500, size.height * 0.4593932);
    path292.lineTo(size.width * 0.4231500, size.height * 0.4589265);
    path292.lineTo(size.width * 0.4234000, size.height * 0.4588098);
    path292.close();

    Paint paint292fill = Paint()..style = PaintingStyle.fill;
    paint292fill.color = countryColors.cV ?? defaultCountryColor;
    canvas.drawPath(path292, paint292fill);

    Path path293 = Path();
    path293.moveTo(size.width * 0.4230000, size.height * 0.4567095);
    path293.lineTo(size.width * 0.4231500, size.height * 0.4568261);
    path293.lineTo(size.width * 0.4231500, size.height * 0.4570595);
    path293.lineTo(size.width * 0.4233000, size.height * 0.4574096);
    path293.lineTo(size.width * 0.4232000, size.height * 0.4578763);
    path293.lineTo(size.width * 0.4229000, size.height * 0.4582264);
    path293.lineTo(size.width * 0.4227000, size.height * 0.4586931);
    path293.lineTo(size.width * 0.4223500, size.height * 0.4588098);
    path293.lineTo(size.width * 0.4223500, size.height * 0.4586931);
    path293.lineTo(size.width * 0.4223500, size.height * 0.4581097);
    path293.lineTo(size.width * 0.4222500, size.height * 0.4578763);
    path293.lineTo(size.width * 0.4222500, size.height * 0.4576429);
    path293.lineTo(size.width * 0.4223500, size.height * 0.4574096);
    path293.lineTo(size.width * 0.4224500, size.height * 0.4574096);
    path293.lineTo(size.width * 0.4225500, size.height * 0.4571762);
    path293.lineTo(size.width * 0.4229000, size.height * 0.4567095);
    path293.lineTo(size.width * 0.4230000, size.height * 0.4567095);
    path293.close();

    Paint paint293fill = Paint()..style = PaintingStyle.fill;
    paint293fill.color = countryColors.cV ?? defaultCountryColor;
    canvas.drawPath(path293, paint293fill);

    Path path294 = Path();
    path294.moveTo(size.width * 0.2995000, size.height * 0.4953326);
    path294.lineTo(size.width * 0.2993500, size.height * 0.4953326);
    path294.lineTo(size.width * 0.2991500, size.height * 0.4949825);
    path294.lineTo(size.width * 0.2990000, size.height * 0.4948658);
    path294.lineTo(size.width * 0.2988500, size.height * 0.4945158);
    path294.lineTo(size.width * 0.2988000, size.height * 0.4942824);
    path294.lineTo(size.width * 0.2986500, size.height * 0.4941657);
    path294.lineTo(size.width * 0.2985500, size.height * 0.4936989);
    path294.lineTo(size.width * 0.2984000, size.height * 0.4933489);
    path294.lineTo(size.width * 0.2984500, size.height * 0.4927655);
    path294.lineTo(size.width * 0.2987000, size.height * 0.4931155);
    path294.lineTo(size.width * 0.2987500, size.height * 0.4936989);
    path294.lineTo(size.width * 0.2989500, size.height * 0.4941657);
    path294.lineTo(size.width * 0.2993000, size.height * 0.4943991);
    path294.lineTo(size.width * 0.2994000, size.height * 0.4947491);
    path294.lineTo(size.width * 0.2995500, size.height * 0.4952159);
    path294.lineTo(size.width * 0.2995000, size.height * 0.4953326);
    path294.close();

    Paint paint294fill = Paint()..style = PaintingStyle.fill;
    paint294fill.color = countryColors.cW ?? defaultCountryColor;
    canvas.drawPath(path294, paint294fill);

    Path path295 = Path();
    path295.moveTo(size.width * 0.2663500, size.height * 0.4408401);
    path295.lineTo(size.width * 0.2665000, size.height * 0.4409568);
    path295.lineTo(size.width * 0.2666000, size.height * 0.4404901);
    path295.lineTo(size.width * 0.2668000, size.height * 0.4406068);
    path295.lineTo(size.width * 0.2670500, size.height * 0.4406068);
    path295.lineTo(size.width * 0.2671000, size.height * 0.4408401);
    path295.lineTo(size.width * 0.2670000, size.height * 0.4410735);
    path295.lineTo(size.width * 0.2669000, size.height * 0.4409568);
    path295.lineTo(size.width * 0.2667000, size.height * 0.4410735);
    path295.lineTo(size.width * 0.2666000, size.height * 0.4411902);
    path295.lineTo(size.width * 0.2662500, size.height * 0.4411902);
    path295.lineTo(size.width * 0.2663500, size.height * 0.4408401);
    path295.close();

    Paint paint295fill = Paint()..style = PaintingStyle.fill;
    paint295fill.color = countryColors.kY ?? defaultCountryColor;
    canvas.drawPath(path295, paint295fill);

    Path path296 = Path();
    path296.moveTo(size.width * 0.2704000, size.height * 0.4379230);
    path296.lineTo(size.width * 0.2700500, size.height * 0.4382730);
    path296.lineTo(size.width * 0.2701500, size.height * 0.4379230);
    path296.lineTo(size.width * 0.2704000, size.height * 0.4379230);
    path296.close();

    Paint paint296fill = Paint()..style = PaintingStyle.fill;
    paint296fill.color = countryColors.kY ?? defaultCountryColor;
    canvas.drawPath(path296, paint296fill);

    Path path297 = Path();
    path297.moveTo(size.width * 0.2707000, size.height * 0.4380397);
    path297.lineTo(size.width * 0.2706500, size.height * 0.4379230);
    path297.lineTo(size.width * 0.2710500, size.height * 0.4375729);
    path297.lineTo(size.width * 0.2709500, size.height * 0.4379230);
    path297.lineTo(size.width * 0.2707000, size.height * 0.4380397);
    path297.close();

    Paint paint297fill = Paint()..style = PaintingStyle.fill;
    paint297fill.color = countryColors.kY ?? defaultCountryColor;
    canvas.drawPath(path297, paint297fill);

    Path path298 = Path();
    path298.moveTo(size.width * 0.5841000, size.height * 0.3228705);
    path298.lineTo(size.width * 0.5841500, size.height * 0.3231039);
    path298.lineTo(size.width * 0.5843000, size.height * 0.3235706);
    path298.lineTo(size.width * 0.5841000, size.height * 0.3234539);
    path298.lineTo(size.width * 0.5839500, size.height * 0.3234539);
    path298.lineTo(size.width * 0.5837500, size.height * 0.3236873);
    path298.lineTo(size.width * 0.5836000, size.height * 0.3233372);
    path298.lineTo(size.width * 0.5836000, size.height * 0.3229872);
    path298.lineTo(size.width * 0.5837500, size.height * 0.3228705);
    path298.lineTo(size.width * 0.5838500, size.height * 0.3229872);
    path298.lineTo(size.width * 0.5841000, size.height * 0.3228705);
    path298.close();

    Paint paint298fill = Paint()..style = PaintingStyle.fill;
    paint298fill.color = countryColors.cY ?? defaultCountryColor;
    canvas.drawPath(path298, paint298fill);

    Path path299 = Path();
    path299.moveTo(size.width * 0.5832500, size.height * 0.3234539);
    path299.lineTo(size.width * 0.5832500, size.height * 0.3235706);
    path299.lineTo(size.width * 0.5831500, size.height * 0.3238040);
    path299.lineTo(size.width * 0.5831000, size.height * 0.3245041);
    path299.lineTo(size.width * 0.5830500, size.height * 0.3247375);
    path299.lineTo(size.width * 0.5829000, size.height * 0.3247375);
    path299.lineTo(size.width * 0.5828000, size.height * 0.3249708);
    path299.lineTo(size.width * 0.5825500, size.height * 0.3252042);
    path299.lineTo(size.width * 0.5824500, size.height * 0.3253209);
    path299.lineTo(size.width * 0.5821500, size.height * 0.3256709);
    path299.lineTo(size.width * 0.5819500, size.height * 0.3255543);
    path299.lineTo(size.width * 0.5817000, size.height * 0.3256709);
    path299.lineTo(size.width * 0.5815500, size.height * 0.3261377);
    path299.lineTo(size.width * 0.5814500, size.height * 0.3257876);
    path299.lineTo(size.width * 0.5813000, size.height * 0.3259043);
    path299.lineTo(size.width * 0.5812000, size.height * 0.3259043);
    path299.lineTo(size.width * 0.5810500, size.height * 0.3255543);
    path299.lineTo(size.width * 0.5808500, size.height * 0.3259043);
    path299.lineTo(size.width * 0.5806000, size.height * 0.3259043);
    path299.lineTo(size.width * 0.5803500, size.height * 0.3256709);
    path299.lineTo(size.width * 0.5801000, size.height * 0.3255543);
    path299.lineTo(size.width * 0.5799000, size.height * 0.3252042);
    path299.lineTo(size.width * 0.5797500, size.height * 0.3245041);
    path299.lineTo(size.width * 0.5796000, size.height * 0.3241540);
    path299.lineTo(size.width * 0.5795000, size.height * 0.3233372);
    path299.lineTo(size.width * 0.5794000, size.height * 0.3229872);
    path299.lineTo(size.width * 0.5794500, size.height * 0.3226371);
    path299.lineTo(size.width * 0.5797000, size.height * 0.3229872);
    path299.lineTo(size.width * 0.5799000, size.height * 0.3228705);
    path299.lineTo(size.width * 0.5800000, size.height * 0.3225204);
    path299.lineTo(size.width * 0.5800500, size.height * 0.3221704);
    path299.lineTo(size.width * 0.5802000, size.height * 0.3220537);
    path299.lineTo(size.width * 0.5803000, size.height * 0.3221704);
    path299.lineTo(size.width * 0.5804000, size.height * 0.3219370);
    path299.lineTo(size.width * 0.5805000, size.height * 0.3219370);
    path299.lineTo(size.width * 0.5805500, size.height * 0.3224037);
    path299.lineTo(size.width * 0.5808000, size.height * 0.3226371);
    path299.lineTo(size.width * 0.5808500, size.height * 0.3228705);
    path299.lineTo(size.width * 0.5811500, size.height * 0.3228705);
    path299.lineTo(size.width * 0.5814500, size.height * 0.3222870);
    path299.lineTo(size.width * 0.5816500, size.height * 0.3224037);
    path299.lineTo(size.width * 0.5818000, size.height * 0.3221704);
    path299.lineTo(size.width * 0.5819500, size.height * 0.3222870);
    path299.lineTo(size.width * 0.5821500, size.height * 0.3225204);
    path299.lineTo(size.width * 0.5822500, size.height * 0.3221704);
    path299.lineTo(size.width * 0.5824000, size.height * 0.3221704);
    path299.lineTo(size.width * 0.5825500, size.height * 0.3226371);
    path299.lineTo(size.width * 0.5825500, size.height * 0.3233372);
    path299.lineTo(size.width * 0.5827000, size.height * 0.3231039);
    path299.lineTo(size.width * 0.5828500, size.height * 0.3233372);
    path299.lineTo(size.width * 0.5829000, size.height * 0.3232205);
    path299.lineTo(size.width * 0.5832500, size.height * 0.3234539);
    path299.close();

    Paint paint299fill = Paint()..style = PaintingStyle.fill;
    paint299fill.color = countryColors.cY ?? defaultCountryColor;
    canvas.drawPath(path299, paint299fill);

    Path path300 = Path();
    path300.moveTo(size.width * 0.3210000, size.height * 0.4687281);
    path300.lineTo(size.width * 0.3212500, size.height * 0.4688448);
    path300.lineTo(size.width * 0.3213500, size.height * 0.4694282);
    path300.lineTo(size.width * 0.3213500, size.height * 0.4701284);
    path300.lineTo(size.width * 0.3213000, size.height * 0.4710618);
    path300.lineTo(size.width * 0.3212500, size.height * 0.4712952);
    path300.lineTo(size.width * 0.3211500, size.height * 0.4714119);
    path300.lineTo(size.width * 0.3209500, size.height * 0.4716453);
    path300.lineTo(size.width * 0.3210000, size.height * 0.4711785);
    path300.lineTo(size.width * 0.3209500, size.height * 0.4709452);
    path300.lineTo(size.width * 0.3209000, size.height * 0.4701284);
    path300.lineTo(size.width * 0.3207500, size.height * 0.4695449);
    path300.lineTo(size.width * 0.3207500, size.height * 0.4691949);
    path300.lineTo(size.width * 0.3208000, size.height * 0.4688448);
    path300.lineTo(size.width * 0.3208000, size.height * 0.4684947);
    path300.lineTo(size.width * 0.3209000, size.height * 0.4684947);
    path300.lineTo(size.width * 0.3210000, size.height * 0.4687281);
    path300.close();

    Paint paint300fill = Paint()..style = PaintingStyle.fill;
    paint300fill.color = countryColors.dM ?? defaultCountryColor;
    canvas.drawPath(path300, paint300fill);

    Path path301 = Path();
    path301.moveTo(size.width * 0.3487000, size.height * 0.9757293);
    path301.lineTo(size.width * 0.3489000, size.height * 0.9756126);
    path301.lineTo(size.width * 0.3489000, size.height * 0.9760793);
    path301.lineTo(size.width * 0.3485000, size.height * 0.9757293);
    path301.lineTo(size.width * 0.3486500, size.height * 0.9753792);
    path301.lineTo(size.width * 0.3487500, size.height * 0.9752625);
    path301.lineTo(size.width * 0.3487000, size.height * 0.9757293);
    path301.close();

    Paint paint301fill = Paint()..style = PaintingStyle.fill;
    paint301fill.color = countryColors.fK ?? defaultCountryColor;
    canvas.drawPath(path301, paint301fill);

    Path path302 = Path();
    path302.moveTo(size.width * 0.3483500, size.height * 0.9740957);
    path302.lineTo(size.width * 0.3484500, size.height * 0.9743291);
    path302.lineTo(size.width * 0.3486500, size.height * 0.9744457);
    path302.lineTo(size.width * 0.3487000, size.height * 0.9749125);
    path302.lineTo(size.width * 0.3485500, size.height * 0.9750292);
    path302.lineTo(size.width * 0.3485000, size.height * 0.9745624);
    path302.lineTo(size.width * 0.3484000, size.height * 0.9743291);
    path302.lineTo(size.width * 0.3483500, size.height * 0.9740957);
    path302.close();

    Paint paint302fill = Paint()..style = PaintingStyle.fill;
    paint302fill.color = countryColors.fK ?? defaultCountryColor;
    canvas.drawPath(path302, paint302fill);

    Path path303 = Path();
    path303.moveTo(size.width * 0.3514500, size.height * 0.9731622);
    path303.lineTo(size.width * 0.3515500, size.height * 0.9732789);
    path303.lineTo(size.width * 0.3515000, size.height * 0.9737456);
    path303.lineTo(size.width * 0.3513500, size.height * 0.9736289);
    path303.lineTo(size.width * 0.3512500, size.height * 0.9732789);
    path303.lineTo(size.width * 0.3514000, size.height * 0.9730455);
    path303.lineTo(size.width * 0.3514500, size.height * 0.9731622);
    path303.close();

    Paint paint303fill = Paint()..style = PaintingStyle.fill;
    paint303fill.color = countryColors.fK ?? defaultCountryColor;
    canvas.drawPath(path303, paint303fill);

    Path path304 = Path();
    path304.moveTo(size.width * 0.3454000, size.height * 0.9721120);
    path304.lineTo(size.width * 0.3454000, size.height * 0.9723454);
    path304.lineTo(size.width * 0.3454500, size.height * 0.9726954);
    path304.lineTo(size.width * 0.3452500, size.height * 0.9728121);
    path304.lineTo(size.width * 0.3451000, size.height * 0.9726954);
    path304.lineTo(size.width * 0.3450000, size.height * 0.9724621);
    path304.lineTo(size.width * 0.3448500, size.height * 0.9723454);
    path304.lineTo(size.width * 0.3448000, size.height * 0.9718786);
    path304.lineTo(size.width * 0.3449000, size.height * 0.9718786);
    path304.lineTo(size.width * 0.3449500, size.height * 0.9716453);
    path304.lineTo(size.width * 0.3451000, size.height * 0.9715286);
    path304.lineTo(size.width * 0.3452000, size.height * 0.9716453);
    path304.lineTo(size.width * 0.3450500, size.height * 0.9719953);
    path304.lineTo(size.width * 0.3452000, size.height * 0.9721120);
    path304.lineTo(size.width * 0.3453500, size.height * 0.9717620);
    path304.lineTo(size.width * 0.3454000, size.height * 0.9721120);
    path304.close();

    Paint paint304fill = Paint()..style = PaintingStyle.fill;
    paint304fill.color = countryColors.fK ?? defaultCountryColor;
    canvas.drawPath(path304, paint304fill);

    Path path305 = Path();
    path305.moveTo(size.width * 0.3468500, size.height * 0.9705951);
    path305.lineTo(size.width * 0.3466500, size.height * 0.9703617);
    path305.lineTo(size.width * 0.3464000, size.height * 0.9700117);
    path305.lineTo(size.width * 0.3460000, size.height * 0.9696616);
    path305.lineTo(size.width * 0.3460500, size.height * 0.9691949);
    path305.lineTo(size.width * 0.3457000, size.height * 0.9690782);
    path305.lineTo(size.width * 0.3455500, size.height * 0.9689615);
    path305.lineTo(size.width * 0.3454000, size.height * 0.9684947);
    path305.lineTo(size.width * 0.3455000, size.height * 0.9683781);
    path305.lineTo(size.width * 0.3459000, size.height * 0.9687281);
    path305.lineTo(size.width * 0.3463000, size.height * 0.9691949);
    path305.lineTo(size.width * 0.3465500, size.height * 0.9693116);
    path305.lineTo(size.width * 0.3467500, size.height * 0.9694282);
    path305.lineTo(size.width * 0.3469000, size.height * 0.9690782);
    path305.lineTo(size.width * 0.3469500, size.height * 0.9687281);
    path305.lineTo(size.width * 0.3470500, size.height * 0.9688448);
    path305.lineTo(size.width * 0.3472500, size.height * 0.9686114);
    path305.lineTo(size.width * 0.3473000, size.height * 0.9688448);
    path305.lineTo(size.width * 0.3475500, size.height * 0.9688448);
    path305.lineTo(size.width * 0.3475500, size.height * 0.9691949);
    path305.lineTo(size.width * 0.3477000, size.height * 0.9691949);
    path305.lineTo(size.width * 0.3481500, size.height * 0.9689615);
    path305.lineTo(size.width * 0.3482000, size.height * 0.9691949);
    path305.lineTo(size.width * 0.3483500, size.height * 0.9691949);
    path305.lineTo(size.width * 0.3485500, size.height * 0.9690782);
    path305.lineTo(size.width * 0.3484000, size.height * 0.9688448);
    path305.lineTo(size.width * 0.3483500, size.height * 0.9684947);
    path305.lineTo(size.width * 0.3485500, size.height * 0.9684947);
    path305.lineTo(size.width * 0.3488500, size.height * 0.9687281);
    path305.lineTo(size.width * 0.3489000, size.height * 0.9691949);
    path305.lineTo(size.width * 0.3487000, size.height * 0.9697783);
    path305.lineTo(size.width * 0.3487500, size.height * 0.9701284);
    path305.lineTo(size.width * 0.3486500, size.height * 0.9703617);
    path305.lineTo(size.width * 0.3484500, size.height * 0.9703617);
    path305.lineTo(size.width * 0.3483000, size.height * 0.9712952);
    path305.lineTo(size.width * 0.3481500, size.height * 0.9716453);
    path305.lineTo(size.width * 0.3480000, size.height * 0.9723454);
    path305.lineTo(size.width * 0.3479500, size.height * 0.9726954);
    path305.lineTo(size.width * 0.3477000, size.height * 0.9730455);
    path305.lineTo(size.width * 0.3476500, size.height * 0.9728121);
    path305.lineTo(size.width * 0.3474500, size.height * 0.9728121);
    path305.lineTo(size.width * 0.3474500, size.height * 0.9731622);
    path305.lineTo(size.width * 0.3470500, size.height * 0.9730455);
    path305.lineTo(size.width * 0.3470000, size.height * 0.9731622);
    path305.lineTo(size.width * 0.3471500, size.height * 0.9736289);
    path305.lineTo(size.width * 0.3471000, size.height * 0.9737456);
    path305.lineTo(size.width * 0.3470000, size.height * 0.9742124);
    path305.lineTo(size.width * 0.3468000, size.height * 0.9742124);
    path305.lineTo(size.width * 0.3466500, size.height * 0.9746791);
    path305.lineTo(size.width * 0.3465000, size.height * 0.9747958);
    path305.lineTo(size.width * 0.3464000, size.height * 0.9747958);
    path305.lineTo(size.width * 0.3463000, size.height * 0.9744457);
    path305.lineTo(size.width * 0.3461000, size.height * 0.9740957);
    path305.lineTo(size.width * 0.3461000, size.height * 0.9738623);
    path305.lineTo(size.width * 0.3458500, size.height * 0.9738623);
    path305.lineTo(size.width * 0.3461500, size.height * 0.9743291);
    path305.lineTo(size.width * 0.3459500, size.height * 0.9743291);
    path305.lineTo(size.width * 0.3457000, size.height * 0.9739790);
    path305.lineTo(size.width * 0.3456000, size.height * 0.9738623);
    path305.lineTo(size.width * 0.3454000, size.height * 0.9736289);
    path305.lineTo(size.width * 0.3452500, size.height * 0.9733956);
    path305.lineTo(size.width * 0.3452500, size.height * 0.9731622);
    path305.lineTo(size.width * 0.3456000, size.height * 0.9733956);
    path305.lineTo(size.width * 0.3459000, size.height * 0.9731622);
    path305.lineTo(size.width * 0.3456500, size.height * 0.9729288);
    path305.lineTo(size.width * 0.3456000, size.height * 0.9728121);
    path305.lineTo(size.width * 0.3460500, size.height * 0.9728121);
    path305.lineTo(size.width * 0.3462500, size.height * 0.9729288);
    path305.lineTo(size.width * 0.3464000, size.height * 0.9731622);
    path305.lineTo(size.width * 0.3464000, size.height * 0.9729288);
    path305.lineTo(size.width * 0.3466000, size.height * 0.9728121);
    path305.lineTo(size.width * 0.3466500, size.height * 0.9724621);
    path305.lineTo(size.width * 0.3464500, size.height * 0.9722287);
    path305.lineTo(size.width * 0.3463500, size.height * 0.9716453);
    path305.lineTo(size.width * 0.3464000, size.height * 0.9714119);
    path305.lineTo(size.width * 0.3467000, size.height * 0.9714119);
    path305.lineTo(size.width * 0.3468000, size.height * 0.9715286);
    path305.lineTo(size.width * 0.3470000, size.height * 0.9714119);
    path305.lineTo(size.width * 0.3469500, size.height * 0.9710618);
    path305.lineTo(size.width * 0.3465500, size.height * 0.9710618);
    path305.lineTo(size.width * 0.3465500, size.height * 0.9711785);
    path305.lineTo(size.width * 0.3463500, size.height * 0.9714119);
    path305.lineTo(size.width * 0.3460500, size.height * 0.9714119);
    path305.lineTo(size.width * 0.3458000, size.height * 0.9710618);
    path305.lineTo(size.width * 0.3458000, size.height * 0.9707118);
    path305.lineTo(size.width * 0.3461500, size.height * 0.9709452);
    path305.lineTo(size.width * 0.3464500, size.height * 0.9707118);
    path305.lineTo(size.width * 0.3466000, size.height * 0.9707118);
    path305.lineTo(size.width * 0.3468500, size.height * 0.9705951);
    path305.lineTo(size.width * 0.3470500, size.height * 0.9708285);
    path305.lineTo(size.width * 0.3470500, size.height * 0.9707118);
    path305.lineTo(size.width * 0.3468500, size.height * 0.9705951);
    path305.close();

    Paint paint305fill = Paint()..style = PaintingStyle.fill;
    paint305fill.color = countryColors.fK ?? defaultCountryColor;
    canvas.drawPath(path305, paint305fill);

    Path path306 = Path();
    path306.moveTo(size.width * 0.3476500, size.height * 0.9683781);
    path306.lineTo(size.width * 0.3478000, size.height * 0.9683781);
    path306.lineTo(size.width * 0.3479500, size.height * 0.9687281);
    path306.lineTo(size.width * 0.3478000, size.height * 0.9688448);
    path306.lineTo(size.width * 0.3476500, size.height * 0.9688448);
    path306.lineTo(size.width * 0.3476500, size.height * 0.9683781);
    path306.close();

    Paint paint306fill = Paint()..style = PaintingStyle.fill;
    paint306fill.color = countryColors.fK ?? defaultCountryColor;
    canvas.drawPath(path306, paint306fill);

    Path path307 = Path();
    path307.moveTo(size.width * 0.3471500, size.height * 0.9683781);
    path307.lineTo(size.width * 0.3470000, size.height * 0.9683781);
    path307.lineTo(size.width * 0.3469500, size.height * 0.9680280);
    path307.lineTo(size.width * 0.3471500, size.height * 0.9681447);
    path307.lineTo(size.width * 0.3471500, size.height * 0.9683781);
    path307.close();

    Paint paint307fill = Paint()..style = PaintingStyle.fill;
    paint307fill.color = countryColors.fK ?? defaultCountryColor;
    canvas.drawPath(path307, paint307fill);

    Path path308 = Path();
    path308.moveTo(size.width * 0.3464500, size.height * 0.9681447);
    path308.lineTo(size.width * 0.3467500, size.height * 0.9680280);
    path308.lineTo(size.width * 0.3468500, size.height * 0.9683781);
    path308.lineTo(size.width * 0.3467000, size.height * 0.9688448);
    path308.lineTo(size.width * 0.3466000, size.height * 0.9687281);
    path308.lineTo(size.width * 0.3464500, size.height * 0.9688448);
    path308.lineTo(size.width * 0.3463000, size.height * 0.9686114);
    path308.lineTo(size.width * 0.3464500, size.height * 0.9683781);
    path308.lineTo(size.width * 0.3466000, size.height * 0.9686114);
    path308.lineTo(size.width * 0.3466500, size.height * 0.9683781);
    path308.lineTo(size.width * 0.3464000, size.height * 0.9682614);
    path308.lineTo(size.width * 0.3464500, size.height * 0.9681447);
    path308.close();

    Paint paint308fill = Paint()..style = PaintingStyle.fill;
    paint308fill.color = countryColors.fK ?? defaultCountryColor;
    canvas.drawPath(path308, paint308fill);

    Path path309 = Path();
    path309.moveTo(size.width * 0.3500500, size.height * 0.9682614);
    path309.lineTo(size.width * 0.3503500, size.height * 0.9682614);
    path309.lineTo(size.width * 0.3504000, size.height * 0.9681447);
    path309.lineTo(size.width * 0.3506500, size.height * 0.9680280);
    path309.lineTo(size.width * 0.3508500, size.height * 0.9682614);
    path309.lineTo(size.width * 0.3510500, size.height * 0.9686114);
    path309.lineTo(size.width * 0.3511000, size.height * 0.9689615);
    path309.lineTo(size.width * 0.3511000, size.height * 0.9690782);
    path309.lineTo(size.width * 0.3508500, size.height * 0.9691949);
    path309.lineTo(size.width * 0.3507500, size.height * 0.9688448);
    path309.lineTo(size.width * 0.3506500, size.height * 0.9687281);
    path309.lineTo(size.width * 0.3506000, size.height * 0.9690782);
    path309.lineTo(size.width * 0.3507000, size.height * 0.9691949);
    path309.lineTo(size.width * 0.3507500, size.height * 0.9695449);
    path309.lineTo(size.width * 0.3509000, size.height * 0.9693116);
    path309.lineTo(size.width * 0.3510000, size.height * 0.9694282);
    path309.lineTo(size.width * 0.3510500, size.height * 0.9698950);
    path309.lineTo(size.width * 0.3512000, size.height * 0.9700117);
    path309.lineTo(size.width * 0.3512500, size.height * 0.9698950);
    path309.lineTo(size.width * 0.3515000, size.height * 0.9702450);
    path309.lineTo(size.width * 0.3515500, size.height * 0.9697783);
    path309.lineTo(size.width * 0.3511500, size.height * 0.9695449);
    path309.lineTo(size.width * 0.3512000, size.height * 0.9689615);
    path309.lineTo(size.width * 0.3513500, size.height * 0.9687281);
    path309.lineTo(size.width * 0.3521000, size.height * 0.9686114);
    path309.lineTo(size.width * 0.3524500, size.height * 0.9693116);
    path309.lineTo(size.width * 0.3525500, size.height * 0.9694282);
    path309.lineTo(size.width * 0.3525500, size.height * 0.9698950);
    path309.lineTo(size.width * 0.3522500, size.height * 0.9697783);
    path309.lineTo(size.width * 0.3520000, size.height * 0.9695449);
    path309.lineTo(size.width * 0.3517000, size.height * 0.9697783);
    path309.lineTo(size.width * 0.3518500, size.height * 0.9700117);
    path309.lineTo(size.width * 0.3520500, size.height * 0.9701284);
    path309.lineTo(size.width * 0.3525000, size.height * 0.9702450);
    path309.lineTo(size.width * 0.3526500, size.height * 0.9703617);
    path309.lineTo(size.width * 0.3527000, size.height * 0.9705951);
    path309.lineTo(size.width * 0.3526000, size.height * 0.9711785);
    path309.lineTo(size.width * 0.3523500, size.height * 0.9711785);
    path309.lineTo(size.width * 0.3523000, size.height * 0.9712952);
    path309.lineTo(size.width * 0.3519500, size.height * 0.9714119);
    path309.lineTo(size.width * 0.3517000, size.height * 0.9716453);
    path309.lineTo(size.width * 0.3518500, size.height * 0.9718786);
    path309.lineTo(size.width * 0.3514000, size.height * 0.9723454);
    path309.lineTo(size.width * 0.3512000, size.height * 0.9722287);
    path309.lineTo(size.width * 0.3509500, size.height * 0.9723454);
    path309.lineTo(size.width * 0.3506000, size.height * 0.9723454);
    path309.lineTo(size.width * 0.3503000, size.height * 0.9721120);
    path309.lineTo(size.width * 0.3500000, size.height * 0.9716453);
    path309.lineTo(size.width * 0.3500000, size.height * 0.9719953);
    path309.lineTo(size.width * 0.3501500, size.height * 0.9722287);
    path309.lineTo(size.width * 0.3504500, size.height * 0.9724621);
    path309.lineTo(size.width * 0.3506000, size.height * 0.9728121);
    path309.lineTo(size.width * 0.3507000, size.height * 0.9726954);
    path309.lineTo(size.width * 0.3509000, size.height * 0.9728121);
    path309.lineTo(size.width * 0.3511000, size.height * 0.9731622);
    path309.lineTo(size.width * 0.3510000, size.height * 0.9732789);
    path309.lineTo(size.width * 0.3511000, size.height * 0.9738623);
    path309.lineTo(size.width * 0.3510000, size.height * 0.9738623);
    path309.lineTo(size.width * 0.3508500, size.height * 0.9735123);
    path309.lineTo(size.width * 0.3506500, size.height * 0.9733956);
    path309.lineTo(size.width * 0.3504000, size.height * 0.9738623);
    path309.lineTo(size.width * 0.3503000, size.height * 0.9735123);
    path309.lineTo(size.width * 0.3501500, size.height * 0.9732789);
    path309.lineTo(size.width * 0.3500000, size.height * 0.9732789);
    path309.lineTo(size.width * 0.3497500, size.height * 0.9730455);
    path309.lineTo(size.width * 0.3496500, size.height * 0.9731622);
    path309.lineTo(size.width * 0.3497500, size.height * 0.9736289);
    path309.lineTo(size.width * 0.3499000, size.height * 0.9736289);
    path309.lineTo(size.width * 0.3500000, size.height * 0.9738623);
    path309.lineTo(size.width * 0.3499000, size.height * 0.9739790);
    path309.lineTo(size.width * 0.3502500, size.height * 0.9746791);
    path309.lineTo(size.width * 0.3501500, size.height * 0.9747958);
    path309.lineTo(size.width * 0.3499500, size.height * 0.9745624);
    path309.lineTo(size.width * 0.3498000, size.height * 0.9745624);
    path309.lineTo(size.width * 0.3496500, size.height * 0.9742124);
    path309.lineTo(size.width * 0.3495000, size.height * 0.9740957);
    path309.lineTo(size.width * 0.3493500, size.height * 0.9739790);
    path309.lineTo(size.width * 0.3493000, size.height * 0.9746791);
    path309.lineTo(size.width * 0.3495500, size.height * 0.9747958);
    path309.lineTo(size.width * 0.3495500, size.height * 0.9751459);
    path309.lineTo(size.width * 0.3495000, size.height * 0.9753792);
    path309.lineTo(size.width * 0.3493000, size.height * 0.9752625);
    path309.lineTo(size.width * 0.3492500, size.height * 0.9750292);
    path309.lineTo(size.width * 0.3490000, size.height * 0.9747958);
    path309.lineTo(size.width * 0.3489500, size.height * 0.9745624);
    path309.lineTo(size.width * 0.3488500, size.height * 0.9745624);
    path309.lineTo(size.width * 0.3486500, size.height * 0.9739790);
    path309.lineTo(size.width * 0.3488000, size.height * 0.9735123);
    path309.lineTo(size.width * 0.3488000, size.height * 0.9732789);
    path309.lineTo(size.width * 0.3486000, size.height * 0.9726954);
    path309.lineTo(size.width * 0.3486000, size.height * 0.9724621);
    path309.lineTo(size.width * 0.3488500, size.height * 0.9722287);
    path309.lineTo(size.width * 0.3488000, size.height * 0.9719953);
    path309.lineTo(size.width * 0.3490500, size.height * 0.9718786);
    path309.lineTo(size.width * 0.3490000, size.height * 0.9715286);
    path309.lineTo(size.width * 0.3493000, size.height * 0.9710618);
    path309.lineTo(size.width * 0.3496000, size.height * 0.9708285);
    path309.lineTo(size.width * 0.3498000, size.height * 0.9712952);
    path309.lineTo(size.width * 0.3498000, size.height * 0.9717620);
    path309.lineTo(size.width * 0.3499500, size.height * 0.9716453);
    path309.lineTo(size.width * 0.3497000, size.height * 0.9709452);
    path309.lineTo(size.width * 0.3497500, size.height * 0.9705951);
    path309.lineTo(size.width * 0.3494500, size.height * 0.9703617);
    path309.lineTo(size.width * 0.3492500, size.height * 0.9700117);
    path309.lineTo(size.width * 0.3493000, size.height * 0.9697783);
    path309.lineTo(size.width * 0.3495000, size.height * 0.9700117);
    path309.lineTo(size.width * 0.3495500, size.height * 0.9694282);
    path309.lineTo(size.width * 0.3492000, size.height * 0.9691949);
    path309.lineTo(size.width * 0.3492500, size.height * 0.9688448);
    path309.lineTo(size.width * 0.3493500, size.height * 0.9689615);
    path309.lineTo(size.width * 0.3495000, size.height * 0.9687281);
    path309.lineTo(size.width * 0.3496500, size.height * 0.9687281);
    path309.lineTo(size.width * 0.3497500, size.height * 0.9683781);
    path309.lineTo(size.width * 0.3496000, size.height * 0.9680280);
    path309.lineTo(size.width * 0.3498000, size.height * 0.9680280);
    path309.lineTo(size.width * 0.3500500, size.height * 0.9682614);
    path309.close();

    Paint paint309fill = Paint()..style = PaintingStyle.fill;
    paint309fill.color = countryColors.fK ?? defaultCountryColor;
    canvas.drawPath(path309, paint309fill);

    Path path310 = Path();
    path310.moveTo(size.width * 0.3475500, size.height * 0.9677946);
    path310.lineTo(size.width * 0.3479000, size.height * 0.9677946);
    path310.lineTo(size.width * 0.3480000, size.height * 0.9680280);
    path310.lineTo(size.width * 0.3481000, size.height * 0.9677946);
    path310.lineTo(size.width * 0.3482000, size.height * 0.9679113);
    path310.lineTo(size.width * 0.3483000, size.height * 0.9682614);
    path310.lineTo(size.width * 0.3482000, size.height * 0.9683781);
    path310.lineTo(size.width * 0.3480000, size.height * 0.9682614);
    path310.lineTo(size.width * 0.3478000, size.height * 0.9680280);
    path310.lineTo(size.width * 0.3474000, size.height * 0.9679113);
    path310.lineTo(size.width * 0.3474500, size.height * 0.9676779);
    path310.lineTo(size.width * 0.3475500, size.height * 0.9677946);
    path310.close();

    Paint paint310fill = Paint()..style = PaintingStyle.fill;
    paint310fill.color = countryColors.fK ?? defaultCountryColor;
    canvas.drawPath(path310, paint310fill);

    Path path311 = Path();
    path311.moveTo(size.width * 0.3441500, size.height * 0.9665111);
    path311.lineTo(size.width * 0.3439000, size.height * 0.9663944);
    path311.lineTo(size.width * 0.3439500, size.height * 0.9661610);
    path311.lineTo(size.width * 0.3441500, size.height * 0.9665111);
    path311.close();

    Paint paint311fill = Paint()..style = PaintingStyle.fill;
    paint311fill.color = countryColors.fK ?? defaultCountryColor;
    canvas.drawPath(path311, paint311fill);

    Path path312 = Path();
    path312.moveTo(size.width * 0.4778000, size.height * 0.1306884);
    path312.lineTo(size.width * 0.4780000, size.height * 0.1309218);
    path312.lineTo(size.width * 0.4781500, size.height * 0.1309218);
    path312.lineTo(size.width * 0.4782000, size.height * 0.1311552);
    path312.lineTo(size.width * 0.4782000, size.height * 0.1316219);
    path312.lineTo(size.width * 0.4783000, size.height * 0.1319720);
    path312.lineTo(size.width * 0.4782500, size.height * 0.1322054);
    path312.lineTo(size.width * 0.4779500, size.height * 0.1317386);
    path312.lineTo(size.width * 0.4778500, size.height * 0.1312719);
    path312.lineTo(size.width * 0.4777500, size.height * 0.1310385);
    path312.lineTo(size.width * 0.4776500, size.height * 0.1306884);
    path312.lineTo(size.width * 0.4778000, size.height * 0.1306884);
    path312.close();

    Paint paint312fill = Paint()..style = PaintingStyle.fill;
    paint312fill.color = countryColors.fO ?? defaultCountryColor;
    canvas.drawPath(path312, paint312fill);

    Path path313 = Path();
    path313.moveTo(size.width * 0.4779500, size.height * 0.1288215);
    path313.lineTo(size.width * 0.4783500, size.height * 0.1290548);
    path313.lineTo(size.width * 0.4784500, size.height * 0.1292882);
    path313.lineTo(size.width * 0.4784000, size.height * 0.1297550);
    path313.lineTo(size.width * 0.4783500, size.height * 0.1298716);
    path313.lineTo(size.width * 0.4781500, size.height * 0.1292882);
    path313.lineTo(size.width * 0.4779000, size.height * 0.1291715);
    path313.lineTo(size.width * 0.4778000, size.height * 0.1287048);
    path313.lineTo(size.width * 0.4779500, size.height * 0.1288215);
    path313.close();

    Paint paint313fill = Paint()..style = PaintingStyle.fill;
    paint313fill.color = countryColors.fO ?? defaultCountryColor;
    canvas.drawPath(path313, paint313fill);

    Path path314 = Path();
    path314.moveTo(size.width * 0.4773100, size.height * 0.1272345);
    path314.lineTo(size.width * 0.4773500, size.height * 0.1274212);
    path314.lineTo(size.width * 0.4775000, size.height * 0.1274212);
    path314.lineTo(size.width * 0.4775000, size.height * 0.1277713);
    path314.lineTo(size.width * 0.4773000, size.height * 0.1277713);
    path314.lineTo(size.width * 0.4772000, size.height * 0.1280047);
    path314.lineTo(size.width * 0.4769000, size.height * 0.1277713);
    path314.lineTo(size.width * 0.4768000, size.height * 0.1276546);
    path314.lineTo(size.width * 0.4767000, size.height * 0.1273046);
    path314.lineTo(size.width * 0.4769500, size.height * 0.1271879);
    path314.lineTo(size.width * 0.4770000, size.height * 0.1270712);
    path314.lineTo(size.width * 0.4772786, size.height * 0.1271795);
    path314.lineTo(size.width * 0.4771500, size.height * 0.1269545);
    path314.lineTo(size.width * 0.4772500, size.height * 0.1260210);
    path314.lineTo(size.width * 0.4775000, size.height * 0.1261377);
    path314.lineTo(size.width * 0.4776500, size.height * 0.1267211);
    path314.lineTo(size.width * 0.4776500, size.height * 0.1268378);
    path314.lineTo(size.width * 0.4779500, size.height * 0.1270712);
    path314.lineTo(size.width * 0.4781000, size.height * 0.1276546);
    path314.lineTo(size.width * 0.4782500, size.height * 0.1278880);
    path314.lineTo(size.width * 0.4782000, size.height * 0.1285881);
    path314.lineTo(size.width * 0.4779500, size.height * 0.1281214);
    path314.lineTo(size.width * 0.4778500, size.height * 0.1278880);
    path314.lineTo(size.width * 0.4777500, size.height * 0.1277713);
    path314.lineTo(size.width * 0.4777000, size.height * 0.1275379);
    path314.lineTo(size.width * 0.4776000, size.height * 0.1273046);
    path314.lineTo(size.width * 0.4773500, size.height * 0.1273046);
    path314.lineTo(size.width * 0.4773100, size.height * 0.1272345);
    path314.close();

    Paint paint314fill = Paint()..style = PaintingStyle.fill;
    paint314fill.color = countryColors.fO ?? defaultCountryColor;
    canvas.drawPath(path314, paint314fill);

    Path path315 = Path();
    path315.moveTo(size.width * 0.4791500, size.height * 0.1264877);
    path315.lineTo(size.width * 0.4790500, size.height * 0.1262544);
    path315.lineTo(size.width * 0.4792000, size.height * 0.1260210);
    path315.lineTo(size.width * 0.4791500, size.height * 0.1264877);
    path315.close();

    Paint paint315fill = Paint()..style = PaintingStyle.fill;
    paint315fill.color = countryColors.fO ?? defaultCountryColor;
    canvas.drawPath(path315, paint315fill);

    Path path316 = Path();
    path316.moveTo(size.width * 0.4779500, size.height * 0.1270712);
    path316.lineTo(size.width * 0.4777500, size.height * 0.1268378);
    path316.lineTo(size.width * 0.4776000, size.height * 0.1264877);
    path316.lineTo(size.width * 0.4775500, size.height * 0.1261377);
    path316.lineTo(size.width * 0.4776000, size.height * 0.1260210);
    path316.lineTo(size.width * 0.4778000, size.height * 0.1259043);
    path316.lineTo(size.width * 0.4779500, size.height * 0.1259043);
    path316.lineTo(size.width * 0.4782500, size.height * 0.1263711);
    path316.lineTo(size.width * 0.4782000, size.height * 0.1266044);
    path316.lineTo(size.width * 0.4782500, size.height * 0.1268378);
    path316.lineTo(size.width * 0.4785500, size.height * 0.1270712);
    path316.lineTo(size.width * 0.4785500, size.height * 0.1273046);
    path316.lineTo(size.width * 0.4783500, size.height * 0.1276546);
    path316.lineTo(size.width * 0.4779500, size.height * 0.1270712);
    path316.close();

    Paint paint316fill = Paint()..style = PaintingStyle.fill;
    paint316fill.color = countryColors.fO ?? defaultCountryColor;
    canvas.drawPath(path316, paint316fill);

    Path path317 = Path();
    path317.moveTo(size.width * 0.4790500, size.height * 0.1263711);
    path317.lineTo(size.width * 0.4789000, size.height * 0.1268378);
    path317.lineTo(size.width * 0.4787500, size.height * 0.1266044);
    path317.lineTo(size.width * 0.4786000, size.height * 0.1266044);
    path317.lineTo(size.width * 0.4787000, size.height * 0.1262544);
    path317.lineTo(size.width * 0.4786500, size.height * 0.1257876);
    path317.lineTo(size.width * 0.4787000, size.height * 0.1256709);
    path317.lineTo(size.width * 0.4788000, size.height * 0.1261377);
    path317.lineTo(size.width * 0.4790500, size.height * 0.1263711);
    path317.close();

    Paint paint317fill = Paint()..style = PaintingStyle.fill;
    paint317fill.color = countryColors.fO ?? defaultCountryColor;
    canvas.drawPath(path317, paint317fill);

    Path path318 = Path();
    path318.moveTo(size.width * 0.4786000, size.height * 0.1263711);
    path318.lineTo(size.width * 0.4785000, size.height * 0.1263711);
    path318.lineTo(size.width * 0.4784000, size.height * 0.1259043);
    path318.lineTo(size.width * 0.4784500, size.height * 0.1255543);
    path318.lineTo(size.width * 0.4785500, size.height * 0.1260210);
    path318.lineTo(size.width * 0.4786000, size.height * 0.1263711);
    path318.close();

    Paint paint318fill = Paint()..style = PaintingStyle.fill;
    paint318fill.color = countryColors.fO ?? defaultCountryColor;
    canvas.drawPath(path318, paint318fill);

    Path path319 = Path();
    path319.moveTo(size.width * 0.9547000, size.height * 0.5457410);
    path319.lineTo(size.width * 0.9546000, size.height * 0.5460910);
    path319.lineTo(size.width * 0.9543500, size.height * 0.5459743);
    path319.lineTo(size.width * 0.9543500, size.height * 0.5457410);
    path319.lineTo(size.width * 0.9546000, size.height * 0.5452742);
    path319.lineTo(size.width * 0.9547000, size.height * 0.5457410);
    path319.close();

    Paint paint319fill = Paint()..style = PaintingStyle.fill;
    paint319fill.color = countryColors.fM ?? defaultCountryColor;
    canvas.drawPath(path319, paint319fill);

    Path path320 = Path();
    path320.moveTo(size.width * 0.9406000, size.height * 0.5333722);
    path320.lineTo(size.width * 0.9408000, size.height * 0.5333722);
    path320.lineTo(size.width * 0.9409500, size.height * 0.5336056);
    path320.lineTo(size.width * 0.9410000, size.height * 0.5340723);
    path320.lineTo(size.width * 0.9409000, size.height * 0.5341890);
    path320.lineTo(size.width * 0.9409500, size.height * 0.5344224);
    path320.lineTo(size.width * 0.9409000, size.height * 0.5346558);
    path320.lineTo(size.width * 0.9406000, size.height * 0.5346558);
    path320.lineTo(size.width * 0.9405000, size.height * 0.5344224);
    path320.lineTo(size.width * 0.9405000, size.height * 0.5341890);
    path320.lineTo(size.width * 0.9404000, size.height * 0.5338390);
    path320.lineTo(size.width * 0.9404000, size.height * 0.5334889);
    path320.lineTo(size.width * 0.9406000, size.height * 0.5333722);
    path320.close();

    Paint paint320fill = Paint()..style = PaintingStyle.fill;
    paint320fill.color = countryColors.fM ?? defaultCountryColor;
    canvas.drawPath(path320, paint320fill);

    Path path321 = Path();
    path321.moveTo(size.width * 0.8832500, size.height * 0.5140023);
    path321.lineTo(size.width * 0.8833000, size.height * 0.5143524);
    path321.lineTo(size.width * 0.8831500, size.height * 0.5143524);
    path321.lineTo(size.width * 0.8830000, size.height * 0.5149358);
    path321.lineTo(size.width * 0.8829500, size.height * 0.5148191);
    path321.lineTo(size.width * 0.8831000, size.height * 0.5138856);
    path321.lineTo(size.width * 0.8833000, size.height * 0.5137690);
    path321.lineTo(size.width * 0.8832500, size.height * 0.5140023);
    path321.close();

    Paint paint321fill = Paint()..style = PaintingStyle.fill;
    paint321fill.color = countryColors.fM ?? defaultCountryColor;
    canvas.drawPath(path321, paint321fill);

    Path path322 = Path();
    path322.moveTo(size.width * 0.3196000, size.height * 0.4953326);
    path322.lineTo(size.width * 0.3194000, size.height * 0.4956826);
    path322.lineTo(size.width * 0.3193000, size.height * 0.4955659);
    path322.lineTo(size.width * 0.3192500, size.height * 0.4949825);
    path322.lineTo(size.width * 0.3193500, size.height * 0.4943991);
    path322.lineTo(size.width * 0.3195000, size.height * 0.4939323);
    path322.lineTo(size.width * 0.3196500, size.height * 0.4939323);
    path322.lineTo(size.width * 0.3197000, size.height * 0.4942824);
    path322.lineTo(size.width * 0.3196500, size.height * 0.4950992);
    path322.lineTo(size.width * 0.3196000, size.height * 0.4953326);
    path322.close();

    Paint paint322fill = Paint()..style = PaintingStyle.fill;
    paint322fill.color = countryColors.gD ?? defaultCountryColor;
    canvas.drawPath(path322, paint322fill);

    Path path323 = Path();
    path323.moveTo(size.width * 0.9004000, size.height * 0.4848308);
    path323.lineTo(size.width * 0.9003500, size.height * 0.4852975);
    path323.lineTo(size.width * 0.9003500, size.height * 0.4859977);
    path323.lineTo(size.width * 0.9003000, size.height * 0.4863477);
    path323.lineTo(size.width * 0.9001500, size.height * 0.4863477);
    path323.lineTo(size.width * 0.9000500, size.height * 0.4859977);
    path323.lineTo(size.width * 0.9000000, size.height * 0.4854142);
    path323.lineTo(size.width * 0.9000000, size.height * 0.4848308);
    path323.lineTo(size.width * 0.9003000, size.height * 0.4842474);
    path323.lineTo(size.width * 0.9003500, size.height * 0.4840140);
    path323.lineTo(size.width * 0.9004000, size.height * 0.4834306);
    path323.lineTo(size.width * 0.9005000, size.height * 0.4833139);
    path323.lineTo(size.width * 0.9005500, size.height * 0.4835473);
    path323.lineTo(size.width * 0.9007500, size.height * 0.4836639);
    path323.lineTo(size.width * 0.9006500, size.height * 0.4842474);
    path323.lineTo(size.width * 0.9004000, size.height * 0.4848308);
    path323.close();

    Paint paint323fill = Paint()..style = PaintingStyle.fill;
    paint323fill.color = countryColors.gU ?? defaultCountryColor;
    canvas.drawPath(path323, paint323fill);

    Path path324 = Path();
    path324.moveTo(size.width * 0.3181500, size.height * 0.4574096);
    path324.lineTo(size.width * 0.3180000, size.height * 0.4574096);
    path324.lineTo(size.width * 0.3179500, size.height * 0.4571762);
    path324.lineTo(size.width * 0.3180500, size.height * 0.4567095);
    path324.lineTo(size.width * 0.3181500, size.height * 0.4567095);
    path324.lineTo(size.width * 0.3182000, size.height * 0.4569428);
    path324.lineTo(size.width * 0.3181500, size.height * 0.4574096);
    path324.close();

    Paint paint324fill = Paint()..style = PaintingStyle.fill;
    paint324fill.color = countryColors.kN ?? defaultCountryColor;
    canvas.drawPath(path324, paint324fill);

    Path path325 = Path();
    path325.moveTo(size.width * 0.3178000, size.height * 0.4556593);
    path325.lineTo(size.width * 0.3177500, size.height * 0.4560093);
    path325.lineTo(size.width * 0.3176500, size.height * 0.4560093);
    path325.lineTo(size.width * 0.3174500, size.height * 0.4557760);
    path325.lineTo(size.width * 0.3173500, size.height * 0.4555426);
    path325.lineTo(size.width * 0.3175000, size.height * 0.4550758);
    path325.lineTo(size.width * 0.3177500, size.height * 0.4555426);
    path325.lineTo(size.width * 0.3178000, size.height * 0.4556593);
    path325.close();

    Paint paint325fill = Paint()..style = PaintingStyle.fill;
    paint325fill.color = countryColors.kN ?? defaultCountryColor;
    canvas.drawPath(path325, paint325fill);

    Path path326 = Path();
    path326.moveTo(size.width * 0.3218500, size.height * 0.4828471);
    path326.lineTo(size.width * 0.3217500, size.height * 0.4826138);
    path326.lineTo(size.width * 0.3215500, size.height * 0.4823804);
    path326.lineTo(size.width * 0.3215000, size.height * 0.4821470);
    path326.lineTo(size.width * 0.3215000, size.height * 0.4814469);
    path326.lineTo(size.width * 0.3215500, size.height * 0.4812135);
    path326.lineTo(size.width * 0.3219000, size.height * 0.4799300);
    path326.lineTo(size.width * 0.3220500, size.height * 0.4801634);
    path326.lineTo(size.width * 0.3220500, size.height * 0.4809802);
    path326.lineTo(size.width * 0.3220000, size.height * 0.4819137);
    path326.lineTo(size.width * 0.3219500, size.height * 0.4823804);
    path326.lineTo(size.width * 0.3218500, size.height * 0.4828471);
    path326.close();

    Paint paint326fill = Paint()..style = PaintingStyle.fill;
    paint326fill.color = countryColors.lC ?? defaultCountryColor;
    canvas.drawPath(path326, paint326fill);

    Path path327 = Path();
    path327.moveTo(size.width * 0.3171000, size.height * 0.4504084);
    path327.lineTo(size.width * 0.3169000, size.height * 0.4502917);
    path327.lineTo(size.width * 0.3170000, size.height * 0.4499417);
    path327.lineTo(size.width * 0.3171500, size.height * 0.4498250);
    path327.lineTo(size.width * 0.3171000, size.height * 0.4504084);
    path327.close();

    Paint paint327fill = Paint()..style = PaintingStyle.fill;
    paint327fill.color = countryColors.mF ?? defaultCountryColor;
    canvas.drawPath(path327, paint327fill);

    Path path328 = Path();
    path328.moveTo(size.width * 0.7014500, size.height * 0.5540257);
    path328.lineTo(size.width * 0.7014500, size.height * 0.5542590);
    path328.lineTo(size.width * 0.7013500, size.height * 0.5541424);
    path328.lineTo(size.width * 0.7014500, size.height * 0.5539090);
    path328.lineTo(size.width * 0.7014500, size.height * 0.5540257);
    path328.close();

    Paint paint328fill = Paint()..style = PaintingStyle.fill;
    paint328fill.color = countryColors.mV ?? defaultCountryColor;
    canvas.drawPath(path328, paint328fill);

    Path path329 = Path();
    path329.moveTo(size.width * 0.9769000, size.height * 0.5320887);
    path329.lineTo(size.width * 0.9774000, size.height * 0.5325554);
    path329.lineTo(size.width * 0.9773000, size.height * 0.5325554);
    path329.lineTo(size.width * 0.9769000, size.height * 0.5320887);
    path329.close();

    Paint paint329fill = Paint()..style = PaintingStyle.fill;
    paint329fill.color = countryColors.mH ?? defaultCountryColor;
    canvas.drawPath(path329, paint329fill);

    Path path330 = Path();
    path330.moveTo(size.width * 0.5319500, size.height * 0.3170362);
    path330.lineTo(size.width * 0.5318500, size.height * 0.3173862);
    path330.lineTo(size.width * 0.5316000, size.height * 0.3171529);
    path330.lineTo(size.width * 0.5313500, size.height * 0.3168028);
    path330.lineTo(size.width * 0.5313500, size.height * 0.3162194);
    path330.lineTo(size.width * 0.5313000, size.height * 0.3161027);
    path330.lineTo(size.width * 0.5316000, size.height * 0.3161027);
    path330.lineTo(size.width * 0.5318000, size.height * 0.3164527);
    path330.lineTo(size.width * 0.5319000, size.height * 0.3166861);
    path330.lineTo(size.width * 0.5319500, size.height * 0.3170362);
    path330.close();

    Paint paint330fill = Paint()..style = PaintingStyle.fill;
    paint330fill.color = countryColors.mT ?? defaultCountryColor;
    canvas.drawPath(path330, paint330fill);

    Path path331 = Path();
    path331.moveTo(size.width * 0.5311500, size.height * 0.3157526);
    path331.lineTo(size.width * 0.5309000, size.height * 0.3156359);
    path331.lineTo(size.width * 0.5309000, size.height * 0.3154026);
    path331.lineTo(size.width * 0.5311000, size.height * 0.3152859);
    path331.lineTo(size.width * 0.5313000, size.height * 0.3156359);
    path331.lineTo(size.width * 0.5311500, size.height * 0.3157526);
    path331.close();

    Paint paint331fill = Paint()..style = PaintingStyle.fill;
    paint331fill.color = countryColors.mT ?? defaultCountryColor;
    canvas.drawPath(path331, paint331fill);

    Path path332 = Path();
    path332.moveTo(size.width * 0.9012500, size.height * 0.4796966);
    path332.lineTo(size.width * 0.9012000, size.height * 0.4798133);
    path332.lineTo(size.width * 0.9011000, size.height * 0.4796966);
    path332.lineTo(size.width * 0.9010500, size.height * 0.4794632);
    path332.lineTo(size.width * 0.9013000, size.height * 0.4792299);
    path332.lineTo(size.width * 0.9014000, size.height * 0.4794632);
    path332.lineTo(size.width * 0.9012500, size.height * 0.4796966);
    path332.close();

    Paint paint332fill = Paint()..style = PaintingStyle.fill;
    paint332fill.color = countryColors.mP ?? defaultCountryColor;
    canvas.drawPath(path332, paint332fill);

    Path path333 = Path();
    path333.moveTo(size.width * 0.9020000, size.height * 0.4737456);
    path333.lineTo(size.width * 0.9019000, size.height * 0.4737456);
    path333.lineTo(size.width * 0.9017500, size.height * 0.4730455);
    path333.lineTo(size.width * 0.9018000, size.height * 0.4726954);
    path333.lineTo(size.width * 0.9019500, size.height * 0.4726954);
    path333.lineTo(size.width * 0.9019500, size.height * 0.4730455);
    path333.lineTo(size.width * 0.9020500, size.height * 0.4732789);
    path333.lineTo(size.width * 0.9020000, size.height * 0.4737456);
    path333.close();

    Paint paint333fill = Paint()..style = PaintingStyle.fill;
    paint333fill.color = countryColors.mP ?? defaultCountryColor;
    canvas.drawPath(path333, paint333fill);

    Path path334 = Path();
    path334.moveTo(size.width * 0.9022500, size.height * 0.4718786);
    path334.lineTo(size.width * 0.9021500, size.height * 0.4721120);
    path334.lineTo(size.width * 0.9022000, size.height * 0.4724621);
    path334.lineTo(size.width * 0.9020000, size.height * 0.4724621);
    path334.lineTo(size.width * 0.9020000, size.height * 0.4716453);
    path334.lineTo(size.width * 0.9020500, size.height * 0.4714119);
    path334.lineTo(size.width * 0.9022500, size.height * 0.4711785);
    path334.lineTo(size.width * 0.9022000, size.height * 0.4717620);
    path334.lineTo(size.width * 0.9022500, size.height * 0.4718786);
    path334.close();

    Paint paint334fill = Paint()..style = PaintingStyle.fill;
    paint334fill.color = countryColors.mP ?? defaultCountryColor;
    canvas.drawPath(path334, paint334fill);

    Path path335 = Path();
    path335.moveTo(size.width * 0.9013000, size.height * 0.4631272);
    path335.lineTo(size.width * 0.9011500, size.height * 0.4631272);
    path335.lineTo(size.width * 0.9011000, size.height * 0.4628938);
    path335.lineTo(size.width * 0.9013000, size.height * 0.4628938);
    path335.lineTo(size.width * 0.9013000, size.height * 0.4631272);
    path335.close();

    Paint paint335fill = Paint()..style = PaintingStyle.fill;
    paint335fill.color = countryColors.mP ?? defaultCountryColor;
    canvas.drawPath(path335, paint335fill);

    Path path336 = Path();
    path336.moveTo(size.width * 0.9003500, size.height * 0.4502917);
    path336.lineTo(size.width * 0.9003000, size.height * 0.4500583);
    path336.lineTo(size.width * 0.9003000, size.height * 0.4494749);
    path336.lineTo(size.width * 0.9004500, size.height * 0.4493582);
    path336.lineTo(size.width * 0.9005500, size.height * 0.4497083);
    path336.lineTo(size.width * 0.9003500, size.height * 0.4502917);
    path336.close();

    Paint paint336fill = Paint()..style = PaintingStyle.fill;
    paint336fill.color = countryColors.mP ?? defaultCountryColor;
    canvas.drawPath(path336, paint336fill);

    Path path337 = Path();
    path337.moveTo(size.width * 0.8997500, size.height * 0.4452742);
    path337.lineTo(size.width * 0.8995500, size.height * 0.4451575);
    path337.lineTo(size.width * 0.8995500, size.height * 0.4448075);
    path337.lineTo(size.width * 0.8996500, size.height * 0.4446908);
    path337.lineTo(size.width * 0.8997500, size.height * 0.4449242);
    path337.lineTo(size.width * 0.8997500, size.height * 0.4452742);
    path337.close();

    Paint paint337fill = Paint()..style = PaintingStyle.fill;
    paint337fill.color = countryColors.mP ?? defaultCountryColor;
    canvas.drawPath(path337, paint337fill);

    Path path338 = Path();
    path338.moveTo(size.width * 0.3191000, size.height * 0.4596266);
    path338.lineTo(size.width * 0.3192000, size.height * 0.4600933);
    path338.lineTo(size.width * 0.3192000, size.height * 0.4604434);
    path338.lineTo(size.width * 0.3191000, size.height * 0.4606768);
    path338.lineTo(size.width * 0.3190000, size.height * 0.4605601);
    path338.lineTo(size.width * 0.3189500, size.height * 0.4602100);
    path338.lineTo(size.width * 0.3191000, size.height * 0.4596266);
    path338.close();

    Paint paint338fill = Paint()..style = PaintingStyle.fill;
    paint338fill.color = countryColors.mS ?? defaultCountryColor;
    canvas.drawPath(path338, paint338fill);

    Path path339 = Path();
    path339.moveTo(size.width * 0.6538500, size.height * 0.7360560);
    path339.lineTo(size.width * 0.6540500, size.height * 0.7371062);
    path339.lineTo(size.width * 0.6539500, size.height * 0.7378063);
    path339.lineTo(size.width * 0.6537500, size.height * 0.7382730);
    path339.lineTo(size.width * 0.6538000, size.height * 0.7386231);
    path339.lineTo(size.width * 0.6536500, size.height * 0.7389732);
    path339.lineTo(size.width * 0.6534000, size.height * 0.7392065);
    path339.lineTo(size.width * 0.6531500, size.height * 0.7392065);
    path339.lineTo(size.width * 0.6528500, size.height * 0.7390898);
    path339.lineTo(size.width * 0.6528000, size.height * 0.7392065);
    path339.lineTo(size.width * 0.6526500, size.height * 0.7388565);
    path339.lineTo(size.width * 0.6527500, size.height * 0.7386231);
    path339.lineTo(size.width * 0.6528000, size.height * 0.7381564);
    path339.lineTo(size.width * 0.6528500, size.height * 0.7373396);
    path339.lineTo(size.width * 0.6529500, size.height * 0.7368728);
    path339.lineTo(size.width * 0.6532000, size.height * 0.7364061);
    path339.lineTo(size.width * 0.6532500, size.height * 0.7361727);
    path339.lineTo(size.width * 0.6533500, size.height * 0.7355893);
    path339.lineTo(size.width * 0.6535500, size.height * 0.7352392);
    path339.lineTo(size.width * 0.6537500, size.height * 0.7353559);
    path339.lineTo(size.width * 0.6538500, size.height * 0.7360560);
    path339.close();

    Paint paint339fill = Paint()..style = PaintingStyle.fill;
    paint339fill.color = countryColors.mU ?? defaultCountryColor;
    canvas.drawPath(path339, paint339fill);

    Path path340 = Path();
    path340.moveTo(size.width * 0.6697500, size.height * 0.7336056);
    path340.lineTo(size.width * 0.6696000, size.height * 0.7332555);
    path340.lineTo(size.width * 0.6698000, size.height * 0.7330222);
    path340.lineTo(size.width * 0.6699500, size.height * 0.7329055);
    path340.lineTo(size.width * 0.6700500, size.height * 0.7330222);
    path340.lineTo(size.width * 0.6700000, size.height * 0.7332555);
    path340.lineTo(size.width * 0.6697500, size.height * 0.7336056);
    path340.close();

    Paint paint340fill = Paint()..style = PaintingStyle.fill;
    paint340fill.color = countryColors.mU ?? defaultCountryColor;
    canvas.drawPath(path340, paint340fill);

    Path path341 = Path();
    path341.moveTo(size.width * 0.9576000, size.height * 0.7548425);
    path341.lineTo(size.width * 0.9575000, size.height * 0.7549592);
    path341.lineTo(size.width * 0.9574000, size.height * 0.7554259);
    path341.lineTo(size.width * 0.9572000, size.height * 0.7551925);
    path341.lineTo(size.width * 0.9573000, size.height * 0.7546091);
    path341.lineTo(size.width * 0.9573500, size.height * 0.7543757);
    path341.lineTo(size.width * 0.9575000, size.height * 0.7544924);
    path341.lineTo(size.width * 0.9576000, size.height * 0.7548425);
    path341.close();

    Paint paint341fill = Paint()..style = PaintingStyle.fill;
    paint341fill.color = countryColors.nC ?? defaultCountryColor;
    canvas.drawPath(path341, paint341fill);

    Path path342 = Path();
    path342.moveTo(size.width * 0.9598000, size.height * 0.7457410);
    path342.lineTo(size.width * 0.9597500, size.height * 0.7458576);
    path342.lineTo(size.width * 0.9598500, size.height * 0.7463244);
    path342.lineTo(size.width * 0.9600000, size.height * 0.7463244);
    path342.lineTo(size.width * 0.9602000, size.height * 0.7460910);
    path342.lineTo(size.width * 0.9601500, size.height * 0.7467911);
    path342.lineTo(size.width * 0.9600500, size.height * 0.7470245);
    path342.lineTo(size.width * 0.9600000, size.height * 0.7474912);
    path342.lineTo(size.width * 0.9597500, size.height * 0.7478413);
    path342.lineTo(size.width * 0.9595500, size.height * 0.7476079);
    path342.lineTo(size.width * 0.9595500, size.height * 0.7474912);
    path342.lineTo(size.width * 0.9594000, size.height * 0.7471412);
    path342.lineTo(size.width * 0.9594500, size.height * 0.7469078);
    path342.lineTo(size.width * 0.9593500, size.height * 0.7466744);
    path342.lineTo(size.width * 0.9594000, size.height * 0.7462077);
    path342.lineTo(size.width * 0.9593500, size.height * 0.7457410);
    path342.lineTo(size.width * 0.9594000, size.height * 0.7457410);
    path342.lineTo(size.width * 0.9596000, size.height * 0.7458576);
    path342.lineTo(size.width * 0.9598000, size.height * 0.7457410);
    path342.close();

    Paint paint342fill = Paint()..style = PaintingStyle.fill;
    paint342fill.color = countryColors.nC ?? defaultCountryColor;
    canvas.drawPath(path342, paint342fill);

    Path path343 = Path();
    path343.moveTo(size.width * 0.9584500, size.height * 0.7407235);
    path343.lineTo(size.width * 0.9583500, size.height * 0.7413069);
    path343.lineTo(size.width * 0.9583500, size.height * 0.7417736);
    path343.lineTo(size.width * 0.9582500, size.height * 0.7421237);
    path343.lineTo(size.width * 0.9584000, size.height * 0.7423571);
    path343.lineTo(size.width * 0.9585000, size.height * 0.7424737);
    path343.lineTo(size.width * 0.9585500, size.height * 0.7427071);
    path343.lineTo(size.width * 0.9585000, size.height * 0.7429405);
    path343.lineTo(size.width * 0.9586500, size.height * 0.7434072);
    path343.lineTo(size.width * 0.9585500, size.height * 0.7434072);
    path343.lineTo(size.width * 0.9584500, size.height * 0.7439907);
    path343.lineTo(size.width * 0.9583500, size.height * 0.7442240);
    path343.lineTo(size.width * 0.9582000, size.height * 0.7441074);
    path343.lineTo(size.width * 0.9581000, size.height * 0.7437573);
    path343.lineTo(size.width * 0.9580500, size.height * 0.7435239);
    path343.lineTo(size.width * 0.9577500, size.height * 0.7434072);
    path343.lineTo(size.width * 0.9576000, size.height * 0.7428238);
    path343.lineTo(size.width * 0.9576000, size.height * 0.7425904);
    path343.lineTo(size.width * 0.9575500, size.height * 0.7422404);
    path343.lineTo(size.width * 0.9577000, size.height * 0.7422404);
    path343.lineTo(size.width * 0.9578500, size.height * 0.7420070);
    path343.lineTo(size.width * 0.9580500, size.height * 0.7416569);
    path343.lineTo(size.width * 0.9581000, size.height * 0.7413069);
    path343.lineTo(size.width * 0.9579000, size.height * 0.7410735);
    path343.lineTo(size.width * 0.9577000, size.height * 0.7411902);
    path343.lineTo(size.width * 0.9578000, size.height * 0.7407235);
    path343.lineTo(size.width * 0.9579500, size.height * 0.7406068);
    path343.lineTo(size.width * 0.9580500, size.height * 0.7407235);
    path343.lineTo(size.width * 0.9582500, size.height * 0.7403734);
    path343.lineTo(size.width * 0.9584500, size.height * 0.7407235);
    path343.close();

    Paint paint343fill = Paint()..style = PaintingStyle.fill;
    paint343fill.color = countryColors.nC ?? defaultCountryColor;
    canvas.drawPath(path343, paint343fill);

    Path path344 = Path();
    path344.moveTo(size.width * 0.9567500, size.height * 0.7388565);
    path344.lineTo(size.width * 0.9566000, size.height * 0.7395566);
    path344.lineTo(size.width * 0.9565500, size.height * 0.7399067);
    path344.lineTo(size.width * 0.9567000, size.height * 0.7399067);
    path344.lineTo(size.width * 0.9564500, size.height * 0.7404901);
    path344.lineTo(size.width * 0.9563500, size.height * 0.7407235);
    path344.lineTo(size.width * 0.9563000, size.height * 0.7404901);
    path344.lineTo(size.width * 0.9564500, size.height * 0.7400233);
    path344.lineTo(size.width * 0.9565500, size.height * 0.7394399);
    path344.lineTo(size.width * 0.9567500, size.height * 0.7388565);
    path344.close();

    Paint paint344fill = Paint()..style = PaintingStyle.fill;
    paint344fill.color = countryColors.nC ?? defaultCountryColor;
    canvas.drawPath(path344, paint344fill);

    Path path345 = Path();
    path345.moveTo(size.width * 0.9567500, size.height * 0.7388565);
    path345.lineTo(size.width * 0.9566500, size.height * 0.7383897);
    path345.lineTo(size.width * 0.9568500, size.height * 0.7383897);
    path345.lineTo(size.width * 0.9569000, size.height * 0.7388565);
    path345.lineTo(size.width * 0.9567500, size.height * 0.7388565);
    path345.close();

    Paint paint345fill = Paint()..style = PaintingStyle.fill;
    paint345fill.color = countryColors.nC ?? defaultCountryColor;
    canvas.drawPath(path345, paint345fill);

    Path path346 = Path();
    path346.moveTo(size.width * 0.9498000, size.height * 0.7360560);
    path346.lineTo(size.width * 0.9499000, size.height * 0.7361727);
    path346.lineTo(size.width * 0.9501500, size.height * 0.7372229);
    path346.lineTo(size.width * 0.9503000, size.height * 0.7375729);
    path346.lineTo(size.width * 0.9504500, size.height * 0.7374562);
    path346.lineTo(size.width * 0.9505500, size.height * 0.7371062);
    path346.lineTo(size.width * 0.9510000, size.height * 0.7376896);
    path346.lineTo(size.width * 0.9511500, size.height * 0.7382730);
    path346.lineTo(size.width * 0.9515000, size.height * 0.7389732);
    path346.lineTo(size.width * 0.9516500, size.height * 0.7394399);
    path346.lineTo(size.width * 0.9517000, size.height * 0.7397900);
    path346.lineTo(size.width * 0.9519000, size.height * 0.7402567);
    path346.lineTo(size.width * 0.9519500, size.height * 0.7404901);
    path346.lineTo(size.width * 0.9520500, size.height * 0.7404901);
    path346.lineTo(size.width * 0.9522000, size.height * 0.7408401);
    path346.lineTo(size.width * 0.9526500, size.height * 0.7410735);
    path346.lineTo(size.width * 0.9527000, size.height * 0.7414236);
    path346.lineTo(size.width * 0.9527000, size.height * 0.7418903);
    path346.lineTo(size.width * 0.9528500, size.height * 0.7423571);
    path346.lineTo(size.width * 0.9530500, size.height * 0.7424737);
    path346.lineTo(size.width * 0.9529000, size.height * 0.7430572);
    path346.lineTo(size.width * 0.9529500, size.height * 0.7432905);
    path346.lineTo(size.width * 0.9531500, size.height * 0.7438740);
    path346.lineTo(size.width * 0.9532000, size.height * 0.7438740);
    path346.lineTo(size.width * 0.9534000, size.height * 0.7444574);
    path346.lineTo(size.width * 0.9533500, size.height * 0.7449242);
    path346.lineTo(size.width * 0.9537000, size.height * 0.7451575);
    path346.lineTo(size.width * 0.9539000, size.height * 0.7457410);
    path346.lineTo(size.width * 0.9540500, size.height * 0.7457410);
    path346.lineTo(size.width * 0.9542000, size.height * 0.7459743);
    path346.lineTo(size.width * 0.9544500, size.height * 0.7464411);
    path346.lineTo(size.width * 0.9544000, size.height * 0.7467911);
    path346.lineTo(size.width * 0.9545500, size.height * 0.7467911);
    path346.lineTo(size.width * 0.9547500, size.height * 0.7473746);
    path346.lineTo(size.width * 0.9550500, size.height * 0.7478413);
    path346.lineTo(size.width * 0.9550500, size.height * 0.7480747);
    path346.lineTo(size.width * 0.9552000, size.height * 0.7481914);
    path346.lineTo(size.width * 0.9553500, size.height * 0.7485414);
    path346.lineTo(size.width * 0.9553500, size.height * 0.7487748);
    path346.lineTo(size.width * 0.9555000, size.height * 0.7494749);
    path346.lineTo(size.width * 0.9557000, size.height * 0.7499417);
    path346.lineTo(size.width * 0.9557500, size.height * 0.7498250);
    path346.lineTo(size.width * 0.9559500, size.height * 0.7505251);
    path346.lineTo(size.width * 0.9562000, size.height * 0.7506418);
    path346.lineTo(size.width * 0.9563500, size.height * 0.7509918);
    path346.lineTo(size.width * 0.9563500, size.height * 0.7514586);
    path346.lineTo(size.width * 0.9564000, size.height * 0.7519253);
    path346.lineTo(size.width * 0.9564500, size.height * 0.7520420);
    path346.lineTo(size.width * 0.9563500, size.height * 0.7527421);
    path346.lineTo(size.width * 0.9560000, size.height * 0.7532089);
    path346.lineTo(size.width * 0.9559500, size.height * 0.7528588);
    path346.lineTo(size.width * 0.9558000, size.height * 0.7529755);
    path346.lineTo(size.width * 0.9556500, size.height * 0.7533256);
    path346.lineTo(size.width * 0.9553500, size.height * 0.7523921);
    path346.lineTo(size.width * 0.9551500, size.height * 0.7523921);
    path346.lineTo(size.width * 0.9551000, size.height * 0.7521587);
    path346.lineTo(size.width * 0.9550000, size.height * 0.7521587);
    path346.lineTo(size.width * 0.9549000, size.height * 0.7525088);
    path346.lineTo(size.width * 0.9544500, size.height * 0.7514586);
    path346.lineTo(size.width * 0.9543500, size.height * 0.7514586);
    path346.lineTo(size.width * 0.9541500, size.height * 0.7508751);
    path346.lineTo(size.width * 0.9542000, size.height * 0.7499417);
    path346.lineTo(size.width * 0.9540500, size.height * 0.7499417);
    path346.lineTo(size.width * 0.9538500, size.height * 0.7499417);
    path346.lineTo(size.width * 0.9537000, size.height * 0.7497083);
    path346.lineTo(size.width * 0.9536500, size.height * 0.7494749);
    path346.lineTo(size.width * 0.9535500, size.height * 0.7493582);
    path346.lineTo(size.width * 0.9534000, size.height * 0.7493582);
    path346.lineTo(size.width * 0.9534000, size.height * 0.7490082);
    path346.lineTo(size.width * 0.9533000, size.height * 0.7484247);
    path346.lineTo(size.width * 0.9531000, size.height * 0.7485414);
    path346.lineTo(size.width * 0.9527000, size.height * 0.7479580);
    path346.lineTo(size.width * 0.9526500, size.height * 0.7477246);
    path346.lineTo(size.width * 0.9526500, size.height * 0.7473746);
    path346.lineTo(size.width * 0.9525000, size.height * 0.7476079);
    path346.lineTo(size.width * 0.9522000, size.height * 0.7472579);
    path346.lineTo(size.width * 0.9521500, size.height * 0.7467911);
    path346.lineTo(size.width * 0.9519500, size.height * 0.7464411);
    path346.lineTo(size.width * 0.9518500, size.height * 0.7458576);
    path346.lineTo(size.width * 0.9516000, size.height * 0.7457410);
    path346.lineTo(size.width * 0.9517000, size.height * 0.7455076);
    path346.lineTo(size.width * 0.9515500, size.height * 0.7451575);
    path346.lineTo(size.width * 0.9514000, size.height * 0.7450408);
    path346.lineTo(size.width * 0.9512500, size.height * 0.7442240);
    path346.lineTo(size.width * 0.9512500, size.height * 0.7437573);
    path346.lineTo(size.width * 0.9511500, size.height * 0.7434072);
    path346.lineTo(size.width * 0.9510000, size.height * 0.7434072);
    path346.lineTo(size.width * 0.9509000, size.height * 0.7427071);
    path346.lineTo(size.width * 0.9509500, size.height * 0.7424737);
    path346.lineTo(size.width * 0.9506000, size.height * 0.7420070);
    path346.lineTo(size.width * 0.9504500, size.height * 0.7417736);
    path346.lineTo(size.width * 0.9502500, size.height * 0.7410735);
    path346.lineTo(size.width * 0.9504000, size.height * 0.7408401);
    path346.lineTo(size.width * 0.9503000, size.height * 0.7406068);
    path346.lineTo(size.width * 0.9502000, size.height * 0.7402567);
    path346.lineTo(size.width * 0.9502000, size.height * 0.7396733);
    path346.lineTo(size.width * 0.9499500, size.height * 0.7393232);
    path346.lineTo(size.width * 0.9499500, size.height * 0.7386231);
    path346.lineTo(size.width * 0.9498500, size.height * 0.7382730);
    path346.lineTo(size.width * 0.9500000, size.height * 0.7382730);
    path346.lineTo(size.width * 0.9500500, size.height * 0.7379230);
    path346.lineTo(size.width * 0.9500000, size.height * 0.7376896);
    path346.lineTo(size.width * 0.9497000, size.height * 0.7376896);
    path346.lineTo(size.width * 0.9496000, size.height * 0.7373396);
    path346.lineTo(size.width * 0.9498500, size.height * 0.7365228);
    path346.lineTo(size.width * 0.9497000, size.height * 0.7361727);
    path346.lineTo(size.width * 0.9498000, size.height * 0.7360560);
    path346.close();

    Paint paint346fill = Paint()..style = PaintingStyle.fill;
    paint346fill.color = countryColors.nC ?? defaultCountryColor;
    canvas.drawPath(path346, paint346fill);

    Path path347 = Path();
    path347.moveTo(size.width * 0.9503500, size.height * 0.7364061);
    path347.lineTo(size.width * 0.9502000, size.height * 0.7362894);
    path347.lineTo(size.width * 0.9502500, size.height * 0.7358226);
    path347.lineTo(size.width * 0.9503500, size.height * 0.7364061);
    path347.close();

    Paint paint347fill = Paint()..style = PaintingStyle.fill;
    paint347fill.color = countryColors.nC ?? defaultCountryColor;
    canvas.drawPath(path347, paint347fill);

    Path path348 = Path();
    path348.moveTo(size.width * 0.9492000, size.height * 0.7336056);
    path348.lineTo(size.width * 0.9491000, size.height * 0.7338390);
    path348.lineTo(size.width * 0.9490500, size.height * 0.7333722);
    path348.lineTo(size.width * 0.9491500, size.height * 0.7331389);
    path348.lineTo(size.width * 0.9492000, size.height * 0.7336056);
    path348.close();

    Paint paint348fill = Paint()..style = PaintingStyle.fill;
    paint348fill.color = countryColors.nC ?? defaultCountryColor;
    canvas.drawPath(path348, paint348fill);

    Path path349 = Path();
    path349.moveTo(size.width * 0.9665000, size.height * 0.5896149);
    path349.lineTo(size.width * 0.9664000, size.height * 0.5896149);
    path349.lineTo(size.width * 0.9663500, size.height * 0.5892649);
    path349.lineTo(size.width * 0.9665000, size.height * 0.5892649);
    path349.lineTo(size.width * 0.9665000, size.height * 0.5896149);
    path349.close();

    Paint paint349fill = Paint()..style = PaintingStyle.fill;
    paint349fill.color = countryColors.nR ?? defaultCountryColor;
    canvas.drawPath(path349, paint349fill);

    Path path350 = Path();
    path350.moveTo(size.width * 0.8738500, size.height * 0.5287048);
    path350.lineTo(size.width * 0.8737500, size.height * 0.5291715);
    path350.lineTo(size.width * 0.8738000, size.height * 0.5292882);
    path350.lineTo(size.width * 0.8737000, size.height * 0.5299883);
    path350.lineTo(size.width * 0.8737500, size.height * 0.5302217);
    path350.lineTo(size.width * 0.8735000, size.height * 0.5304551);
    path350.lineTo(size.width * 0.8734000, size.height * 0.5296383);
    path350.lineTo(size.width * 0.8735500, size.height * 0.5294049);
    path350.lineTo(size.width * 0.8734500, size.height * 0.5291715);
    path350.lineTo(size.width * 0.8736000, size.height * 0.5284714);
    path350.lineTo(size.width * 0.8737500, size.height * 0.5283547);
    path350.lineTo(size.width * 0.8738500, size.height * 0.5287048);
    path350.close();

    Paint paint350fill = Paint()..style = PaintingStyle.fill;
    paint350fill.color = countryColors.pW ?? defaultCountryColor;
    canvas.drawPath(path350, paint350fill);

    Path path351 = Path();
    path351.moveTo(size.width * 0.3035500, size.height * 0.4502917);
    path351.lineTo(size.width * 0.3034000, size.height * 0.4500583);
    path351.lineTo(size.width * 0.3034500, size.height * 0.4498250);
    path351.lineTo(size.width * 0.3036000, size.height * 0.4498250);
    path351.lineTo(size.width * 0.3036500, size.height * 0.4499417);
    path351.lineTo(size.width * 0.3035500, size.height * 0.4502917);
    path351.close();

    Paint paint351fill = Paint()..style = PaintingStyle.fill;
    paint351fill.color = countryColors.pR ?? defaultCountryColor;
    canvas.drawPath(path351, paint351fill);

    Path path352 = Path();
    path352.moveTo(size.width * 0.3108500, size.height * 0.4497083);
    path352.lineTo(size.width * 0.3107500, size.height * 0.4497083);
    path352.lineTo(size.width * 0.3103000, size.height * 0.4500583);
    path352.lineTo(size.width * 0.3100000, size.height * 0.4500583);
    path352.lineTo(size.width * 0.3101000, size.height * 0.4498250);
    path352.lineTo(size.width * 0.3103000, size.height * 0.4495916);
    path352.lineTo(size.width * 0.3105000, size.height * 0.4494749);
    path352.lineTo(size.width * 0.3108000, size.height * 0.4495916);
    path352.lineTo(size.width * 0.3108500, size.height * 0.4497083);
    path352.close();

    Paint paint352fill = Paint()..style = PaintingStyle.fill;
    paint352fill.color = countryColors.pR ?? defaultCountryColor;
    canvas.drawPath(path352, paint352fill);

    Path path353 = Path();
    path353.moveTo(size.width * 0.3061000, size.height * 0.4469078);
    path353.lineTo(size.width * 0.3064000, size.height * 0.4470245);
    path353.lineTo(size.width * 0.3067000, size.height * 0.4470245);
    path353.lineTo(size.width * 0.3068500, size.height * 0.4471412);
    path353.lineTo(size.width * 0.3071500, size.height * 0.4470245);
    path353.lineTo(size.width * 0.3073000, size.height * 0.4471412);
    path353.lineTo(size.width * 0.3075000, size.height * 0.4470245);
    path353.lineTo(size.width * 0.3076000, size.height * 0.4471412);
    path353.lineTo(size.width * 0.3078500, size.height * 0.4470245);
    path353.lineTo(size.width * 0.3080500, size.height * 0.4471412);
    path353.lineTo(size.width * 0.3082000, size.height * 0.4471412);
    path353.lineTo(size.width * 0.3086000, size.height * 0.4473746);
    path353.lineTo(size.width * 0.3086000, size.height * 0.4471412);
    path353.lineTo(size.width * 0.3089000, size.height * 0.4473746);
    path353.lineTo(size.width * 0.3089500, size.height * 0.4472579);
    path353.lineTo(size.width * 0.3093500, size.height * 0.4473746);
    path353.lineTo(size.width * 0.3094500, size.height * 0.4476079);
    path353.lineTo(size.width * 0.3095500, size.height * 0.4476079);
    path353.lineTo(size.width * 0.3098500, size.height * 0.4479580);
    path353.lineTo(size.width * 0.3099500, size.height * 0.4478413);
    path353.lineTo(size.width * 0.3099000, size.height * 0.4486581);
    path353.lineTo(size.width * 0.3100000, size.height * 0.4490082);
    path353.lineTo(size.width * 0.3095500, size.height * 0.4493582);
    path353.lineTo(size.width * 0.3094000, size.height * 0.4498250);
    path353.lineTo(size.width * 0.3092500, size.height * 0.4505251);
    path353.lineTo(size.width * 0.3091000, size.height * 0.4507585);
    path353.lineTo(size.width * 0.3089500, size.height * 0.4508751);
    path353.lineTo(size.width * 0.3087500, size.height * 0.4508751);
    path353.lineTo(size.width * 0.3084500, size.height * 0.4509918);
    path353.lineTo(size.width * 0.3083000, size.height * 0.4512252);
    path353.lineTo(size.width * 0.3079500, size.height * 0.4511085);
    path353.lineTo(size.width * 0.3078500, size.height * 0.4508751);
    path353.lineTo(size.width * 0.3076000, size.height * 0.4511085);
    path353.lineTo(size.width * 0.3074500, size.height * 0.4507585);
    path353.lineTo(size.width * 0.3071000, size.height * 0.4509918);
    path353.lineTo(size.width * 0.3066500, size.height * 0.4508751);
    path353.lineTo(size.width * 0.3065000, size.height * 0.4509918);
    path353.lineTo(size.width * 0.3062000, size.height * 0.4511085);
    path353.lineTo(size.width * 0.3061000, size.height * 0.4512252);
    path353.lineTo(size.width * 0.3060000, size.height * 0.4509918);
    path353.lineTo(size.width * 0.3058000, size.height * 0.4508751);
    path353.lineTo(size.width * 0.3056500, size.height * 0.4511085);
    path353.lineTo(size.width * 0.3053500, size.height * 0.4509918);
    path353.lineTo(size.width * 0.3055000, size.height * 0.4501750);
    path353.lineTo(size.width * 0.3055000, size.height * 0.4497083);
    path353.lineTo(size.width * 0.3056000, size.height * 0.4492415);
    path353.lineTo(size.width * 0.3055000, size.height * 0.4485414);
    path353.lineTo(size.width * 0.3054000, size.height * 0.4484247);
    path353.lineTo(size.width * 0.3053500, size.height * 0.4479580);
    path353.lineTo(size.width * 0.3055500, size.height * 0.4477246);
    path353.lineTo(size.width * 0.3056500, size.height * 0.4476079);
    path353.lineTo(size.width * 0.3056500, size.height * 0.4470245);
    path353.lineTo(size.width * 0.3058500, size.height * 0.4467911);
    path353.lineTo(size.width * 0.3061000, size.height * 0.4469078);
    path353.close();

    Paint paint353fill = Paint()..style = PaintingStyle.fill;
    paint353fill.color = countryColors.pR ?? defaultCountryColor;
    canvas.drawPath(path353, paint353fill);

    Path path354 = Path();
    path354.moveTo(size.width * 0.09765000, size.height * 0.7926488);
    path354.lineTo(size.width * 0.09760000, size.height * 0.7925321);
    path354.lineTo(size.width * 0.09750000, size.height * 0.7921820);
    path354.lineTo(size.width * 0.09755000, size.height * 0.7919487);
    path354.lineTo(size.width * 0.09770000, size.height * 0.7921820);
    path354.lineTo(size.width * 0.09765000, size.height * 0.7926488);
    path354.close();

    Paint paint354fill = Paint()..style = PaintingStyle.fill;
    paint354fill.color = countryColors.pF ?? defaultCountryColor;
    canvas.drawPath(path354, paint354fill);

    Path path355 = Path();
    path355.moveTo(size.width * 0.1028000, size.height * 0.7481914);
    path355.lineTo(size.width * 0.1027500, size.height * 0.7483081);
    path355.lineTo(size.width * 0.1026000, size.height * 0.7480747);
    path355.lineTo(size.width * 0.1027000, size.height * 0.7478413);
    path355.lineTo(size.width * 0.1028000, size.height * 0.7481914);
    path355.close();

    Paint paint355fill = Paint()..style = PaintingStyle.fill;
    paint355fill.color = countryColors.pF ?? defaultCountryColor;
    canvas.drawPath(path355, paint355fill);

    Path path356 = Path();
    path356.moveTo(size.width * 0.09970000, size.height * 0.7193699);
    path356.lineTo(size.width * 0.09960000, size.height * 0.7192532);
    path356.lineTo(size.width * 0.09970000, size.height * 0.7185531);
    path356.lineTo(size.width * 0.09995000, size.height * 0.7180863);
    path356.lineTo(size.width * 0.1001000, size.height * 0.7180863);
    path356.lineTo(size.width * 0.1001000, size.height * 0.7183197);
    path356.lineTo(size.width * 0.1000000, size.height * 0.7187865);
    path356.lineTo(size.width * 0.09970000, size.height * 0.7193699);
    path356.close();

    Paint paint356fill = Paint()..style = PaintingStyle.fill;
    paint356fill.color = countryColors.pF ?? defaultCountryColor;
    canvas.drawPath(path356, paint356fill);

    Path path357 = Path();
    path357.moveTo(size.width * 0.07585000, size.height * 0.7182030);
    path357.lineTo(size.width * 0.07620000, size.height * 0.7184364);
    path357.lineTo(size.width * 0.07635000, size.height * 0.7189032);
    path357.lineTo(size.width * 0.07635000, size.height * 0.7192532);
    path357.lineTo(size.width * 0.07625000, size.height * 0.7193699);
    path357.lineTo(size.width * 0.07600000, size.height * 0.7192532);
    path357.lineTo(size.width * 0.07580000, size.height * 0.7185531);
    path357.lineTo(size.width * 0.07575000, size.height * 0.7183197);
    path357.lineTo(size.width * 0.07545000, size.height * 0.7185531);
    path357.lineTo(size.width * 0.07535000, size.height * 0.7185531);
    path357.lineTo(size.width * 0.07505000, size.height * 0.7184364);
    path357.lineTo(size.width * 0.07495000, size.height * 0.7179697);
    path357.lineTo(size.width * 0.07480000, size.height * 0.7173862);
    path357.lineTo(size.width * 0.07480000, size.height * 0.7170362);
    path357.lineTo(size.width * 0.07485000, size.height * 0.7168028);
    path357.lineTo(size.width * 0.07510000, size.height * 0.7166861);
    path357.lineTo(size.width * 0.07535000, size.height * 0.7166861);
    path357.lineTo(size.width * 0.07560000, size.height * 0.7169195);
    path357.lineTo(size.width * 0.07570000, size.height * 0.7173862);
    path357.lineTo(size.width * 0.07575000, size.height * 0.7180863);
    path357.lineTo(size.width * 0.07585000, size.height * 0.7182030);
    path357.close();

    Paint paint357fill = Paint()..style = PaintingStyle.fill;
    paint357fill.color = countryColors.pF ?? defaultCountryColor;
    canvas.drawPath(path357, paint357fill);

    Path path358 = Path();
    path358.moveTo(size.width * 0.07435000, size.height * 0.7164527);
    path358.lineTo(size.width * 0.07425000, size.height * 0.7171529);
    path358.lineTo(size.width * 0.07400000, size.height * 0.7169195);
    path358.lineTo(size.width * 0.07405000, size.height * 0.7165694);
    path358.lineTo(size.width * 0.07430000, size.height * 0.7163361);
    path358.lineTo(size.width * 0.07435000, size.height * 0.7164527);
    path358.close();

    Paint paint358fill = Paint()..style = PaintingStyle.fill;
    paint358fill.color = countryColors.pF ?? defaultCountryColor;
    canvas.drawPath(path358, paint358fill);

    Path path359 = Path();
    path359.moveTo(size.width * 0.07055000, size.height * 0.7114352);
    path359.lineTo(size.width * 0.07045000, size.height * 0.7115519);
    path359.lineTo(size.width * 0.07035000, size.height * 0.7112019);
    path359.lineTo(size.width * 0.07050000, size.height * 0.7110852);
    path359.lineTo(size.width * 0.07055000, size.height * 0.7114352);
    path359.close();

    Paint paint359fill = Paint()..style = PaintingStyle.fill;
    paint359fill.color = countryColors.pF ?? defaultCountryColor;
    canvas.drawPath(path359, paint359fill);

    Path path360 = Path();
    path360.moveTo(size.width * 0.06950000, size.height * 0.7119020);
    path360.lineTo(size.width * 0.06935000, size.height * 0.7121354);
    path360.lineTo(size.width * 0.06920000, size.height * 0.7121354);
    path360.lineTo(size.width * 0.06910000, size.height * 0.7112019);
    path360.lineTo(size.width * 0.06920000, size.height * 0.7109685);
    path360.lineTo(size.width * 0.06955000, size.height * 0.7119020);
    path360.lineTo(size.width * 0.06950000, size.height * 0.7119020);
    path360.close();

    Paint paint360fill = Paint()..style = PaintingStyle.fill;
    paint360fill.color = countryColors.pF ?? defaultCountryColor;
    canvas.drawPath(path360, paint360fill);

    Path path361 = Path();
    path361.moveTo(size.width * 0.06900000, size.height * 0.7098016);
    path361.lineTo(size.width * 0.06910000, size.height * 0.7099183);
    path361.lineTo(size.width * 0.06910000, size.height * 0.7105018);
    path361.lineTo(size.width * 0.06890000, size.height * 0.7102684);
    path361.lineTo(size.width * 0.06885000, size.height * 0.7099183);
    path361.lineTo(size.width * 0.06900000, size.height * 0.7098016);
    path361.close();

    Paint paint361fill = Paint()..style = PaintingStyle.fill;
    paint361fill.color = countryColors.pF ?? defaultCountryColor;
    canvas.drawPath(path361, paint361fill);

    Path path362 = Path();
    path362.moveTo(size.width * 0.08315000, size.height * 0.7064177);
    path362.lineTo(size.width * 0.08300000, size.height * 0.7065344);
    path362.lineTo(size.width * 0.08305000, size.height * 0.7061844);
    path362.lineTo(size.width * 0.08315000, size.height * 0.7064177);
    path362.close();

    Paint paint362fill = Paint()..style = PaintingStyle.fill;
    paint362fill.color = countryColors.pF ?? defaultCountryColor;
    canvas.drawPath(path362, paint362fill);

    Path path363 = Path();
    path363.moveTo(size.width * 0.1021500, size.height * 0.6645274);
    path363.lineTo(size.width * 0.1020000, size.height * 0.6645274);
    path363.lineTo(size.width * 0.1020000, size.height * 0.6640607);
    path363.lineTo(size.width * 0.1019000, size.height * 0.6637106);
    path363.lineTo(size.width * 0.1021000, size.height * 0.6638273);
    path363.lineTo(size.width * 0.1021500, size.height * 0.6642940);
    path363.lineTo(size.width * 0.1021500, size.height * 0.6645274);
    path363.close();

    Paint paint363fill = Paint()..style = PaintingStyle.fill;
    paint363fill.color = countryColors.pF ?? defaultCountryColor;
    canvas.drawPath(path363, paint363fill);

    Path path364 = Path();
    path364.moveTo(size.width * 0.1006000, size.height * 0.6604434);
    path364.lineTo(size.width * 0.1005000, size.height * 0.6604434);
    path364.lineTo(size.width * 0.1005000, size.height * 0.6599767);
    path364.lineTo(size.width * 0.1006000, size.height * 0.6596266);
    path364.lineTo(size.width * 0.1007500, size.height * 0.6598600);
    path364.lineTo(size.width * 0.1006500, size.height * 0.6600933);
    path364.lineTo(size.width * 0.1006000, size.height * 0.6604434);
    path364.close();

    Paint paint364fill = Paint()..style = PaintingStyle.fill;
    paint364fill.color = countryColors.pF ?? defaultCountryColor;
    canvas.drawPath(path364, paint364fill);

    Path path365 = Path();
    path365.moveTo(size.width * 0.1012000, size.height * 0.6585764);
    path365.lineTo(size.width * 0.1012000, size.height * 0.6589265);
    path365.lineTo(size.width * 0.1010000, size.height * 0.6590432);
    path365.lineTo(size.width * 0.1007000, size.height * 0.6590432);
    path365.lineTo(size.width * 0.1007000, size.height * 0.6593932);
    path365.lineTo(size.width * 0.1005000, size.height * 0.6592765);
    path365.lineTo(size.width * 0.1004000, size.height * 0.6590432);
    path365.lineTo(size.width * 0.1003500, size.height * 0.6586931);
    path365.lineTo(size.width * 0.1007000, size.height * 0.6582264);
    path365.lineTo(size.width * 0.1008500, size.height * 0.6582264);
    path365.lineTo(size.width * 0.1009500, size.height * 0.6584597);
    path365.lineTo(size.width * 0.1012000, size.height * 0.6585764);
    path365.close();

    Paint paint365fill = Paint()..style = PaintingStyle.fill;
    paint365fill.color = countryColors.pF ?? defaultCountryColor;
    canvas.drawPath(path365, paint365fill);

    Path path366 = Path();
    path366.moveTo(size.width * 0.09775000, size.height * 0.6555426);
    path366.lineTo(size.width * 0.09775000, size.height * 0.6560093);
    path366.lineTo(size.width * 0.09775000, size.height * 0.6562427);
    path366.lineTo(size.width * 0.09760000, size.height * 0.6562427);
    path366.lineTo(size.width * 0.09745000, size.height * 0.6557760);
    path366.lineTo(size.width * 0.09760000, size.height * 0.6554259);
    path366.lineTo(size.width * 0.09775000, size.height * 0.6555426);
    path366.close();

    Paint paint366fill = Paint()..style = PaintingStyle.fill;
    paint366fill.color = countryColors.pF ?? defaultCountryColor;
    canvas.drawPath(path366, paint366fill);

    Path path367 = Path();
    path367.moveTo(size.width * 0.09895000, size.height * 0.6520420);
    path367.lineTo(size.width * 0.09910000, size.height * 0.6521587);
    path367.lineTo(size.width * 0.09915000, size.height * 0.6522754);
    path367.lineTo(size.width * 0.09885000, size.height * 0.6525088);
    path367.lineTo(size.width * 0.09880000, size.height * 0.6521587);
    path367.lineTo(size.width * 0.09895000, size.height * 0.6520420);
    path367.close();

    Paint paint367fill = Paint()..style = PaintingStyle.fill;
    paint367fill.color = countryColors.pF ?? defaultCountryColor;
    canvas.drawPath(path367, paint367fill);

    Path path368 = Path();
    path368.moveTo(size.width * 0.09710000, size.height * 0.6513419);
    path368.lineTo(size.width * 0.09755000, size.height * 0.6514586);
    path368.lineTo(size.width * 0.09770000, size.height * 0.6518086);
    path368.lineTo(size.width * 0.09770000, size.height * 0.6520420);
    path368.lineTo(size.width * 0.09750000, size.height * 0.6523921);
    path368.lineTo(size.width * 0.09710000, size.height * 0.6523921);
    path368.lineTo(size.width * 0.09705000, size.height * 0.6518086);
    path368.lineTo(size.width * 0.09700000, size.height * 0.6513419);
    path368.lineTo(size.width * 0.09710000, size.height * 0.6513419);
    path368.close();

    Paint paint368fill = Paint()..style = PaintingStyle.fill;
    paint368fill.color = countryColors.pF ?? defaultCountryColor;
    canvas.drawPath(path368, paint368fill);

    Path path369 = Path();
    path369.moveTo(size.width * 0.9634000, size.height * 0.6723454);
    path369.lineTo(size.width * 0.9635500, size.height * 0.6725788);
    path369.lineTo(size.width * 0.9635000, size.height * 0.6730455);
    path369.lineTo(size.width * 0.9636500, size.height * 0.6730455);
    path369.lineTo(size.width * 0.9636500, size.height * 0.6732789);
    path369.lineTo(size.width * 0.9632500, size.height * 0.6732789);
    path369.lineTo(size.width * 0.9631000, size.height * 0.6726954);
    path369.lineTo(size.width * 0.9632000, size.height * 0.6723454);
    path369.lineTo(size.width * 0.9634000, size.height * 0.6723454);
    path369.close();

    Paint paint369fill = Paint()..style = PaintingStyle.fill;
    paint369fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path369, paint369fill);

    Path path370 = Path();
    path370.moveTo(size.width * 0.9442500, size.height * 0.6716453);
    path370.lineTo(size.width * 0.9443500, size.height * 0.6716453);
    path370.lineTo(size.width * 0.9448500, size.height * 0.6725788);
    path370.lineTo(size.width * 0.9451000, size.height * 0.6729288);
    path370.lineTo(size.width * 0.9455500, size.height * 0.6737456);
    path370.lineTo(size.width * 0.9455000, size.height * 0.6740957);
    path370.lineTo(size.width * 0.9454000, size.height * 0.6740957);
    path370.lineTo(size.width * 0.9453000, size.height * 0.6743291);
    path370.lineTo(size.width * 0.9452000, size.height * 0.6739790);
    path370.lineTo(size.width * 0.9451500, size.height * 0.6739790);
    path370.lineTo(size.width * 0.9450500, size.height * 0.6737456);
    path370.lineTo(size.width * 0.9450000, size.height * 0.6732789);
    path370.lineTo(size.width * 0.9448000, size.height * 0.6731622);
    path370.lineTo(size.width * 0.9448000, size.height * 0.6728121);
    path370.lineTo(size.width * 0.9446500, size.height * 0.6726954);
    path370.lineTo(size.width * 0.9446000, size.height * 0.6728121);
    path370.lineTo(size.width * 0.9445000, size.height * 0.6728121);
    path370.lineTo(size.width * 0.9440500, size.height * 0.6723454);
    path370.lineTo(size.width * 0.9439500, size.height * 0.6718786);
    path370.lineTo(size.width * 0.9441000, size.height * 0.6714119);
    path370.lineTo(size.width * 0.9442500, size.height * 0.6716453);
    path370.close();

    Paint paint370fill = Paint()..style = PaintingStyle.fill;
    paint370fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path370, paint370fill);

    Path path371 = Path();
    path371.moveTo(size.width * 0.9627000, size.height * 0.6698950);
    path371.lineTo(size.width * 0.9626000, size.height * 0.6702450);
    path371.lineTo(size.width * 0.9624500, size.height * 0.6700117);
    path371.lineTo(size.width * 0.9624500, size.height * 0.6697783);
    path371.lineTo(size.width * 0.9626000, size.height * 0.6695449);
    path371.lineTo(size.width * 0.9627000, size.height * 0.6698950);
    path371.close();

    Paint paint371fill = Paint()..style = PaintingStyle.fill;
    paint371fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path371, paint371fill);

    Path path372 = Path();
    path372.moveTo(size.width * 0.9615500, size.height * 0.6653442);
    path372.lineTo(size.width * 0.9616000, size.height * 0.6654609);
    path372.lineTo(size.width * 0.9617500, size.height * 0.6654609);
    path372.lineTo(size.width * 0.9617000, size.height * 0.6659277);
    path372.lineTo(size.width * 0.9614500, size.height * 0.6661610);
    path372.lineTo(size.width * 0.9613000, size.height * 0.6661610);
    path372.lineTo(size.width * 0.9611000, size.height * 0.6662777);
    path372.lineTo(size.width * 0.9609000, size.height * 0.6669778);
    path372.lineTo(size.width * 0.9608500, size.height * 0.6666278);
    path372.lineTo(size.width * 0.9607000, size.height * 0.6667445);
    path372.lineTo(size.width * 0.9606000, size.height * 0.6665111);
    path372.lineTo(size.width * 0.9606000, size.height * 0.6661610);
    path372.lineTo(size.width * 0.9608500, size.height * 0.6660443);
    path372.lineTo(size.width * 0.9608500, size.height * 0.6658110);
    path372.lineTo(size.width * 0.9610000, size.height * 0.6653442);
    path372.lineTo(size.width * 0.9613500, size.height * 0.6654609);
    path372.lineTo(size.width * 0.9615500, size.height * 0.6653442);
    path372.close();

    Paint paint372fill = Paint()..style = PaintingStyle.fill;
    paint372fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path372, paint372fill);

    Path path373 = Path();
    path373.moveTo(size.width * 0.9484000, size.height * 0.6620770);
    path373.lineTo(size.width * 0.9485500, size.height * 0.6619603);
    path373.lineTo(size.width * 0.9488500, size.height * 0.6623104);
    path373.lineTo(size.width * 0.9491000, size.height * 0.6628938);
    path373.lineTo(size.width * 0.9492500, size.height * 0.6632439);
    path373.lineTo(size.width * 0.9493500, size.height * 0.6632439);
    path373.lineTo(size.width * 0.9494500, size.height * 0.6634772);
    path373.lineTo(size.width * 0.9495500, size.height * 0.6634772);
    path373.lineTo(size.width * 0.9497000, size.height * 0.6638273);
    path373.lineTo(size.width * 0.9498500, size.height * 0.6637106);
    path373.lineTo(size.width * 0.9500500, size.height * 0.6638273);
    path373.lineTo(size.width * 0.9501500, size.height * 0.6640607);
    path373.lineTo(size.width * 0.9503500, size.height * 0.6640607);
    path373.lineTo(size.width * 0.9505000, size.height * 0.6639440);
    path373.lineTo(size.width * 0.9506000, size.height * 0.6642940);
    path373.lineTo(size.width * 0.9507000, size.height * 0.6652275);
    path373.lineTo(size.width * 0.9508500, size.height * 0.6655776);
    path373.lineTo(size.width * 0.9508500, size.height * 0.6661610);
    path373.lineTo(size.width * 0.9507500, size.height * 0.6663944);
    path373.lineTo(size.width * 0.9508000, size.height * 0.6667445);
    path373.lineTo(size.width * 0.9506000, size.height * 0.6665111);
    path373.lineTo(size.width * 0.9504500, size.height * 0.6667445);
    path373.lineTo(size.width * 0.9503000, size.height * 0.6666278);
    path373.lineTo(size.width * 0.9500500, size.height * 0.6662777);
    path373.lineTo(size.width * 0.9499500, size.height * 0.6662777);
    path373.lineTo(size.width * 0.9496500, size.height * 0.6660443);
    path373.lineTo(size.width * 0.9494500, size.height * 0.6659277);
    path373.lineTo(size.width * 0.9493500, size.height * 0.6655776);
    path373.lineTo(size.width * 0.9492000, size.height * 0.6653442);
    path373.lineTo(size.width * 0.9490500, size.height * 0.6652275);
    path373.lineTo(size.width * 0.9489500, size.height * 0.6648775);
    path373.lineTo(size.width * 0.9487500, size.height * 0.6646441);
    path373.lineTo(size.width * 0.9488500, size.height * 0.6641774);
    path373.lineTo(size.width * 0.9488000, size.height * 0.6637106);
    path373.lineTo(size.width * 0.9488000, size.height * 0.6632439);
    path373.lineTo(size.width * 0.9487000, size.height * 0.6631272);
    path373.lineTo(size.width * 0.9484000, size.height * 0.6628938);
    path373.lineTo(size.width * 0.9482500, size.height * 0.6630105);
    path373.lineTo(size.width * 0.9482000, size.height * 0.6627771);
    path373.lineTo(size.width * 0.9482500, size.height * 0.6624271);
    path373.lineTo(size.width * 0.9483000, size.height * 0.6620770);
    path373.lineTo(size.width * 0.9484000, size.height * 0.6620770);
    path373.close();

    Paint paint373fill = Paint()..style = PaintingStyle.fill;
    paint373fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path373, paint373fill);

    Path path374 = Path();
    path374.moveTo(size.width * 0.9504000, size.height * 0.6581097);
    path374.lineTo(size.width * 0.9503500, size.height * 0.6583431);
    path374.lineTo(size.width * 0.9503500, size.height * 0.6591599);
    path374.lineTo(size.width * 0.9502500, size.height * 0.6589265);
    path374.lineTo(size.width * 0.9502500, size.height * 0.6583431);
    path374.lineTo(size.width * 0.9504000, size.height * 0.6581097);
    path374.close();

    Paint paint374fill = Paint()..style = PaintingStyle.fill;
    paint374fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path374, paint374fill);

    Path path375 = Path();
    path375.moveTo(size.width * 0.9489500, size.height * 0.6560093);
    path375.lineTo(size.width * 0.9491000, size.height * 0.6570595);
    path375.lineTo(size.width * 0.9492000, size.height * 0.6575263);
    path375.lineTo(size.width * 0.9492000, size.height * 0.6579930);
    path375.lineTo(size.width * 0.9492500, size.height * 0.6585764);
    path375.lineTo(size.width * 0.9491500, size.height * 0.6589265);
    path375.lineTo(size.width * 0.9489500, size.height * 0.6581097);
    path375.lineTo(size.width * 0.9489000, size.height * 0.6584597);
    path375.lineTo(size.width * 0.9487500, size.height * 0.6578763);
    path375.lineTo(size.width * 0.9488000, size.height * 0.6567095);
    path375.lineTo(size.width * 0.9488500, size.height * 0.6564761);
    path375.lineTo(size.width * 0.9488500, size.height * 0.6561260);
    path375.lineTo(size.width * 0.9489500, size.height * 0.6560093);
    path375.close();

    Paint paint375fill = Paint()..style = PaintingStyle.fill;
    paint375fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path375, paint375fill);

    Path path376 = Path();
    path376.moveTo(size.width * 0.9447500, size.height * 0.6562427);
    path376.lineTo(size.width * 0.9449000, size.height * 0.6562427);
    path376.lineTo(size.width * 0.9450500, size.height * 0.6561260);
    path376.lineTo(size.width * 0.9452500, size.height * 0.6562427);
    path376.lineTo(size.width * 0.9453000, size.height * 0.6561260);
    path376.lineTo(size.width * 0.9455500, size.height * 0.6561260);
    path376.lineTo(size.width * 0.9459500, size.height * 0.6561260);
    path376.lineTo(size.width * 0.9460500, size.height * 0.6564761);
    path376.lineTo(size.width * 0.9462000, size.height * 0.6565928);
    path376.lineTo(size.width * 0.9463000, size.height * 0.6569428);
    path376.lineTo(size.width * 0.9464000, size.height * 0.6569428);
    path376.lineTo(size.width * 0.9465000, size.height * 0.6570595);
    path376.lineTo(size.width * 0.9467000, size.height * 0.6575263);
    path376.lineTo(size.width * 0.9467000, size.height * 0.6582264);
    path376.lineTo(size.width * 0.9468000, size.height * 0.6582264);
    path376.lineTo(size.width * 0.9470000, size.height * 0.6584597);
    path376.lineTo(size.width * 0.9470500, size.height * 0.6588098);
    path376.lineTo(size.width * 0.9470500, size.height * 0.6595099);
    path376.lineTo(size.width * 0.9470000, size.height * 0.6596266);
    path376.lineTo(size.width * 0.9466500, size.height * 0.6598600);
    path376.lineTo(size.width * 0.9465500, size.height * 0.6599767);
    path376.lineTo(size.width * 0.9463500, size.height * 0.6598600);
    path376.lineTo(size.width * 0.9461500, size.height * 0.6596266);
    path376.lineTo(size.width * 0.9459500, size.height * 0.6596266);
    path376.lineTo(size.width * 0.9459000, size.height * 0.6593932);
    path376.lineTo(size.width * 0.9456500, size.height * 0.6590432);
    path376.lineTo(size.width * 0.9453500, size.height * 0.6590432);
    path376.lineTo(size.width * 0.9451000, size.height * 0.6591599);
    path376.lineTo(size.width * 0.9448500, size.height * 0.6591599);
    path376.lineTo(size.width * 0.9446000, size.height * 0.6590432);
    path376.lineTo(size.width * 0.9444500, size.height * 0.6588098);
    path376.lineTo(size.width * 0.9443000, size.height * 0.6589265);
    path376.lineTo(size.width * 0.9441500, size.height * 0.6584597);
    path376.lineTo(size.width * 0.9440000, size.height * 0.6582264);
    path376.lineTo(size.width * 0.9438500, size.height * 0.6572929);
    path376.lineTo(size.width * 0.9437500, size.height * 0.6568261);
    path376.lineTo(size.width * 0.9438500, size.height * 0.6565928);
    path376.lineTo(size.width * 0.9438000, size.height * 0.6563594);
    path376.lineTo(size.width * 0.9438000, size.height * 0.6555426);
    path376.lineTo(size.width * 0.9438500, size.height * 0.6551925);
    path376.lineTo(size.width * 0.9441500, size.height * 0.6548425);
    path376.lineTo(size.width * 0.9443500, size.height * 0.6550758);
    path376.lineTo(size.width * 0.9445500, size.height * 0.6556593);
    path376.lineTo(size.width * 0.9446000, size.height * 0.6560093);
    path376.lineTo(size.width * 0.9447500, size.height * 0.6562427);
    path376.close();

    Paint paint376fill = Paint()..style = PaintingStyle.fill;
    paint376fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path376, paint376fill);

    Path path377 = Path();
    path377.moveTo(size.width * 0.9459000, size.height * 0.6534422);
    path377.lineTo(size.width * 0.9461500, size.height * 0.6540257);
    path377.lineTo(size.width * 0.9460000, size.height * 0.6543757);
    path377.lineTo(size.width * 0.9458500, size.height * 0.6541424);
    path377.lineTo(size.width * 0.9458500, size.height * 0.6540257);
    path377.lineTo(size.width * 0.9459000, size.height * 0.6534422);
    path377.close();

    Paint paint377fill = Paint()..style = PaintingStyle.fill;
    paint377fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path377, paint377fill);

    Path path378 = Path();
    path378.moveTo(size.width * 0.9459000, size.height * 0.6534422);
    path378.lineTo(size.width * 0.9458000, size.height * 0.6539090);
    path378.lineTo(size.width * 0.9457500, size.height * 0.6539090);
    path378.lineTo(size.width * 0.9455500, size.height * 0.6535589);
    path378.lineTo(size.width * 0.9454000, size.height * 0.6536756);
    path378.lineTo(size.width * 0.9453000, size.height * 0.6535589);
    path378.lineTo(size.width * 0.9452500, size.height * 0.6533256);
    path378.lineTo(size.width * 0.9454000, size.height * 0.6532089);
    path378.lineTo(size.width * 0.9455000, size.height * 0.6529755);
    path378.lineTo(size.width * 0.9457500, size.height * 0.6530922);
    path378.lineTo(size.width * 0.9459000, size.height * 0.6534422);
    path378.close();

    Paint paint378fill = Paint()..style = PaintingStyle.fill;
    paint378fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path378, paint378fill);

    Path path379 = Path();
    path379.moveTo(size.width * 0.9426000, size.height * 0.6528588);
    path379.lineTo(size.width * 0.9426500, size.height * 0.6530922);
    path379.lineTo(size.width * 0.9427500, size.height * 0.6532089);
    path379.lineTo(size.width * 0.9426500, size.height * 0.6536756);
    path379.lineTo(size.width * 0.9424500, size.height * 0.6539090);
    path379.lineTo(size.width * 0.9423000, size.height * 0.6534422);
    path379.lineTo(size.width * 0.9426000, size.height * 0.6528588);
    path379.close();

    Paint paint379fill = Paint()..style = PaintingStyle.fill;
    paint379fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path379, paint379fill);

    Path path380 = Path();
    path380.moveTo(size.width * 0.9383500, size.height * 0.6507585);
    path380.lineTo(size.width * 0.9384500, size.height * 0.6511085);
    path380.lineTo(size.width * 0.9384000, size.height * 0.6514586);
    path380.lineTo(size.width * 0.9380000, size.height * 0.6509918);
    path380.lineTo(size.width * 0.9382500, size.height * 0.6506418);
    path380.lineTo(size.width * 0.9383500, size.height * 0.6507585);
    path380.close();

    Paint paint380fill = Paint()..style = PaintingStyle.fill;
    paint380fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path380, paint380fill);

    Path path381 = Path();
    path381.moveTo(size.width * 0.9400500, size.height * 0.6516919);
    path381.lineTo(size.width * 0.9399000, size.height * 0.6514586);
    path381.lineTo(size.width * 0.9399500, size.height * 0.6511085);
    path381.lineTo(size.width * 0.9401000, size.height * 0.6507585);
    path381.lineTo(size.width * 0.9401000, size.height * 0.6513419);
    path381.lineTo(size.width * 0.9401500, size.height * 0.6515753);
    path381.lineTo(size.width * 0.9400500, size.height * 0.6516919);
    path381.close();

    Paint paint381fill = Paint()..style = PaintingStyle.fill;
    paint381fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path381, paint381fill);

    Path path382 = Path();
    path382.moveTo(size.width * 0.9396000, size.height * 0.6495916);
    path382.lineTo(size.width * 0.9397000, size.height * 0.6494749);
    path382.lineTo(size.width * 0.9399000, size.height * 0.6494749);
    path382.lineTo(size.width * 0.9399000, size.height * 0.6497083);
    path382.lineTo(size.width * 0.9397000, size.height * 0.6500583);
    path382.lineTo(size.width * 0.9398000, size.height * 0.6502917);
    path382.lineTo(size.width * 0.9398000, size.height * 0.6506418);
    path382.lineTo(size.width * 0.9396000, size.height * 0.6511085);
    path382.lineTo(size.width * 0.9395000, size.height * 0.6512252);
    path382.lineTo(size.width * 0.9393500, size.height * 0.6511085);
    path382.lineTo(size.width * 0.9391500, size.height * 0.6506418);
    path382.lineTo(size.width * 0.9392000, size.height * 0.6499417);
    path382.lineTo(size.width * 0.9393500, size.height * 0.6498250);
    path382.lineTo(size.width * 0.9394500, size.height * 0.6493582);
    path382.lineTo(size.width * 0.9396000, size.height * 0.6492415);
    path382.lineTo(size.width * 0.9396000, size.height * 0.6495916);
    path382.close();

    Paint paint382fill = Paint()..style = PaintingStyle.fill;
    paint382fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path382, paint382fill);

    Path path383 = Path();
    path383.moveTo(size.width * 0.9378000, size.height * 0.6497083);
    path383.lineTo(size.width * 0.9377000, size.height * 0.6498250);
    path383.lineTo(size.width * 0.9376000, size.height * 0.6504084);
    path383.lineTo(size.width * 0.9378000, size.height * 0.6509918);
    path383.lineTo(size.width * 0.9375500, size.height * 0.6507585);
    path383.lineTo(size.width * 0.9375500, size.height * 0.6505251);
    path383.lineTo(size.width * 0.9375000, size.height * 0.6501750);
    path383.lineTo(size.width * 0.9373000, size.height * 0.6497083);
    path383.lineTo(size.width * 0.9373000, size.height * 0.6494749);
    path383.lineTo(size.width * 0.9375000, size.height * 0.6492415);
    path383.lineTo(size.width * 0.9375500, size.height * 0.6488915);
    path383.lineTo(size.width * 0.9377500, size.height * 0.6485414);
    path383.lineTo(size.width * 0.9379000, size.height * 0.6487748);
    path383.lineTo(size.width * 0.9379000, size.height * 0.6492415);
    path383.lineTo(size.width * 0.9378000, size.height * 0.6497083);
    path383.close();

    Paint paint383fill = Paint()..style = PaintingStyle.fill;
    paint383fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path383, paint383fill);

    Path path384 = Path();
    path384.moveTo(size.width * 0.9442500, size.height * 0.6491249);
    path384.lineTo(size.width * 0.9443500, size.height * 0.6493582);
    path384.lineTo(size.width * 0.9443000, size.height * 0.6495916);
    path384.lineTo(size.width * 0.9442000, size.height * 0.6494749);
    path384.lineTo(size.width * 0.9439000, size.height * 0.6488915);
    path384.lineTo(size.width * 0.9440000, size.height * 0.6484247);
    path384.lineTo(size.width * 0.9441500, size.height * 0.6483081);
    path384.lineTo(size.width * 0.9442500, size.height * 0.6485414);
    path384.lineTo(size.width * 0.9442000, size.height * 0.6488915);
    path384.lineTo(size.width * 0.9442500, size.height * 0.6491249);
    path384.close();

    Paint paint384fill = Paint()..style = PaintingStyle.fill;
    paint384fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path384, paint384fill);

    Path path385 = Path();
    path385.moveTo(size.width * 0.9475000, size.height * 0.6481914);
    path385.lineTo(size.width * 0.9477000, size.height * 0.6491249);
    path385.lineTo(size.width * 0.9480000, size.height * 0.6500583);
    path385.lineTo(size.width * 0.9480000, size.height * 0.6504084);
    path385.lineTo(size.width * 0.9478000, size.height * 0.6506418);
    path385.lineTo(size.width * 0.9478000, size.height * 0.6512252);
    path385.lineTo(size.width * 0.9478000, size.height * 0.6515753);
    path385.lineTo(size.width * 0.9478500, size.height * 0.6518086);
    path385.lineTo(size.width * 0.9479500, size.height * 0.6518086);
    path385.lineTo(size.width * 0.9480500, size.height * 0.6521587);
    path385.lineTo(size.width * 0.9483000, size.height * 0.6526254);
    path385.lineTo(size.width * 0.9483500, size.height * 0.6532089);
    path385.lineTo(size.width * 0.9484000, size.height * 0.6535589);
    path385.lineTo(size.width * 0.9485000, size.height * 0.6537923);
    path385.lineTo(size.width * 0.9484000, size.height * 0.6540257);
    path385.lineTo(size.width * 0.9485500, size.height * 0.6543757);
    path385.lineTo(size.width * 0.9485000, size.height * 0.6544924);
    path385.lineTo(size.width * 0.9485500, size.height * 0.6550758);
    path385.lineTo(size.width * 0.9484500, size.height * 0.6553092);
    path385.lineTo(size.width * 0.9486000, size.height * 0.6556593);
    path385.lineTo(size.width * 0.9486500, size.height * 0.6562427);
    path385.lineTo(size.width * 0.9487500, size.height * 0.6568261);
    path385.lineTo(size.width * 0.9487500, size.height * 0.6575263);
    path385.lineTo(size.width * 0.9487000, size.height * 0.6576429);
    path385.lineTo(size.width * 0.9485500, size.height * 0.6572929);
    path385.lineTo(size.width * 0.9484000, size.height * 0.6567095);
    path385.lineTo(size.width * 0.9484000, size.height * 0.6563594);
    path385.lineTo(size.width * 0.9482500, size.height * 0.6558926);
    path385.lineTo(size.width * 0.9480500, size.height * 0.6555426);
    path385.lineTo(size.width * 0.9479000, size.height * 0.6551925);
    path385.lineTo(size.width * 0.9476500, size.height * 0.6544924);
    path385.lineTo(size.width * 0.9474500, size.height * 0.6541424);
    path385.lineTo(size.width * 0.9473000, size.height * 0.6530922);
    path385.lineTo(size.width * 0.9472000, size.height * 0.6519253);
    path385.lineTo(size.width * 0.9471000, size.height * 0.6511085);
    path385.lineTo(size.width * 0.9471000, size.height * 0.6505251);
    path385.lineTo(size.width * 0.9470500, size.height * 0.6500583);
    path385.lineTo(size.width * 0.9472500, size.height * 0.6495916);
    path385.lineTo(size.width * 0.9472000, size.height * 0.6492415);
    path385.lineTo(size.width * 0.9469500, size.height * 0.6484247);
    path385.lineTo(size.width * 0.9469000, size.height * 0.6480747);
    path385.lineTo(size.width * 0.9469500, size.height * 0.6479580);
    path385.lineTo(size.width * 0.9471500, size.height * 0.6480747);
    path385.lineTo(size.width * 0.9472500, size.height * 0.6481914);
    path385.lineTo(size.width * 0.9474000, size.height * 0.6478413);
    path385.lineTo(size.width * 0.9475000, size.height * 0.6481914);
    path385.close();

    Paint paint385fill = Paint()..style = PaintingStyle.fill;
    paint385fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path385, paint385fill);

    Path path386 = Path();
    path386.moveTo(size.width * 0.9371500, size.height * 0.6478413);
    path386.lineTo(size.width * 0.9370500, size.height * 0.6473746);
    path386.lineTo(size.width * 0.9369000, size.height * 0.6470245);
    path386.lineTo(size.width * 0.9371000, size.height * 0.6470245);
    path386.lineTo(size.width * 0.9371500, size.height * 0.6478413);
    path386.close();

    Paint paint386fill = Paint()..style = PaintingStyle.fill;
    paint386fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path386, paint386fill);

    Path path387 = Path();
    path387.moveTo(size.width * 0.9371000, size.height * 0.6466744);
    path387.lineTo(size.width * 0.9373000, size.height * 0.6467911);
    path387.lineTo(size.width * 0.9373500, size.height * 0.6469078);
    path387.lineTo(size.width * 0.9374000, size.height * 0.6474912);
    path387.lineTo(size.width * 0.9373000, size.height * 0.6474912);
    path387.lineTo(size.width * 0.9372000, size.height * 0.6470245);
    path387.lineTo(size.width * 0.9371000, size.height * 0.6466744);
    path387.close();

    Paint paint387fill = Paint()..style = PaintingStyle.fill;
    paint387fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path387, paint387fill);

    Path path388 = Path();
    path388.moveTo(size.width * 0.9386500, size.height * 0.6469078);
    path388.lineTo(size.width * 0.9386000, size.height * 0.6472579);
    path388.lineTo(size.width * 0.9387000, size.height * 0.6472579);
    path388.lineTo(size.width * 0.9389500, size.height * 0.6472579);
    path388.lineTo(size.width * 0.9391500, size.height * 0.6480747);
    path388.lineTo(size.width * 0.9391500, size.height * 0.6483081);
    path388.lineTo(size.width * 0.9392500, size.height * 0.6486581);
    path388.lineTo(size.width * 0.9393000, size.height * 0.6492415);
    path388.lineTo(size.width * 0.9392000, size.height * 0.6494749);
    path388.lineTo(size.width * 0.9392000, size.height * 0.6498250);
    path388.lineTo(size.width * 0.9389000, size.height * 0.6495916);
    path388.lineTo(size.width * 0.9388000, size.height * 0.6493582);
    path388.lineTo(size.width * 0.9386500, size.height * 0.6493582);
    path388.lineTo(size.width * 0.9384500, size.height * 0.6490082);
    path388.lineTo(size.width * 0.9384000, size.height * 0.6487748);
    path388.lineTo(size.width * 0.9383500, size.height * 0.6484247);
    path388.lineTo(size.width * 0.9385500, size.height * 0.6485414);
    path388.lineTo(size.width * 0.9384000, size.height * 0.6476079);
    path388.lineTo(size.width * 0.9383500, size.height * 0.6473746);
    path388.lineTo(size.width * 0.9381000, size.height * 0.6474912);
    path388.lineTo(size.width * 0.9380000, size.height * 0.6476079);
    path388.lineTo(size.width * 0.9378000, size.height * 0.6476079);
    path388.lineTo(size.width * 0.9376500, size.height * 0.6480747);
    path388.lineTo(size.width * 0.9374500, size.height * 0.6478413);
    path388.lineTo(size.width * 0.9374500, size.height * 0.6471412);
    path388.lineTo(size.width * 0.9375500, size.height * 0.6469078);
    path388.lineTo(size.width * 0.9377500, size.height * 0.6469078);
    path388.lineTo(size.width * 0.9377500, size.height * 0.6464411);
    path388.lineTo(size.width * 0.9379500, size.height * 0.6457410);
    path388.lineTo(size.width * 0.9381500, size.height * 0.6453909);
    path388.lineTo(size.width * 0.9383000, size.height * 0.6451575);
    path388.lineTo(size.width * 0.9385000, size.height * 0.6455076);
    path388.lineTo(size.width * 0.9386000, size.height * 0.6459743);
    path388.lineTo(size.width * 0.9385500, size.height * 0.6467911);
    path388.lineTo(size.width * 0.9386500, size.height * 0.6469078);
    path388.close();

    Paint paint388fill = Paint()..style = PaintingStyle.fill;
    paint388fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path388, paint388fill);

    Path path389 = Path();
    path389.moveTo(size.width * 0.9357000, size.height * 0.6469078);
    path389.lineTo(size.width * 0.9356500, size.height * 0.6469078);
    path389.lineTo(size.width * 0.9355500, size.height * 0.6459743);
    path389.lineTo(size.width * 0.9356000, size.height * 0.6456243);
    path389.lineTo(size.width * 0.9356000, size.height * 0.6451575);
    path389.lineTo(size.width * 0.9357000, size.height * 0.6452742);
    path389.lineTo(size.width * 0.9357500, size.height * 0.6457410);
    path389.lineTo(size.width * 0.9357500, size.height * 0.6465578);
    path389.lineTo(size.width * 0.9357000, size.height * 0.6469078);
    path389.close();

    Paint paint389fill = Paint()..style = PaintingStyle.fill;
    paint389fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path389, paint389fill);

    Path path390 = Path();
    path390.moveTo(size.width * 0.9374000, size.height * 0.6463244);
    path390.lineTo(size.width * 0.9372500, size.height * 0.6465578);
    path390.lineTo(size.width * 0.9372000, size.height * 0.6464411);
    path390.lineTo(size.width * 0.9370000, size.height * 0.6464411);
    path390.lineTo(size.width * 0.9368500, size.height * 0.6460910);
    path390.lineTo(size.width * 0.9368000, size.height * 0.6457410);
    path390.lineTo(size.width * 0.9367500, size.height * 0.6453909);
    path390.lineTo(size.width * 0.9368000, size.height * 0.6450408);
    path390.lineTo(size.width * 0.9369500, size.height * 0.6445741);
    path390.lineTo(size.width * 0.9372000, size.height * 0.6443407);
    path390.lineTo(size.width * 0.9373000, size.height * 0.6445741);
    path390.lineTo(size.width * 0.9374500, size.height * 0.6451575);
    path390.lineTo(size.width * 0.9374500, size.height * 0.6458576);
    path390.lineTo(size.width * 0.9374000, size.height * 0.6463244);
    path390.close();

    Paint paint390fill = Paint()..style = PaintingStyle.fill;
    paint390fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path390, paint390fill);

    Path path391 = Path();
    path391.moveTo(size.width * 0.9359000, size.height * 0.6422404);
    path391.lineTo(size.width * 0.9361000, size.height * 0.6428238);
    path391.lineTo(size.width * 0.9361000, size.height * 0.6429405);
    path391.lineTo(size.width * 0.9364500, size.height * 0.6434072);
    path391.lineTo(size.width * 0.9364000, size.height * 0.6437573);
    path391.lineTo(size.width * 0.9361000, size.height * 0.6445741);
    path391.lineTo(size.width * 0.9361000, size.height * 0.6449242);
    path391.lineTo(size.width * 0.9359500, size.height * 0.6450408);
    path391.lineTo(size.width * 0.9359500, size.height * 0.6445741);
    path391.lineTo(size.width * 0.9358500, size.height * 0.6445741);
    path391.lineTo(size.width * 0.9358500, size.height * 0.6441074);
    path391.lineTo(size.width * 0.9357500, size.height * 0.6436406);
    path391.lineTo(size.width * 0.9356000, size.height * 0.6434072);
    path391.lineTo(size.width * 0.9355500, size.height * 0.6430572);
    path391.lineTo(size.width * 0.9356000, size.height * 0.6427071);
    path391.lineTo(size.width * 0.9357000, size.height * 0.6424737);
    path391.lineTo(size.width * 0.9358000, size.height * 0.6422404);
    path391.lineTo(size.width * 0.9359000, size.height * 0.6422404);
    path391.close();

    Paint paint391fill = Paint()..style = PaintingStyle.fill;
    paint391fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path391, paint391fill);

    Path path392 = Path();
    path392.moveTo(size.width * 0.9410500, size.height * 0.6423571);
    path392.lineTo(size.width * 0.9412000, size.height * 0.6425904);
    path392.lineTo(size.width * 0.9411000, size.height * 0.6427071);
    path392.lineTo(size.width * 0.9408500, size.height * 0.6428238);
    path392.lineTo(size.width * 0.9408000, size.height * 0.6424737);
    path392.lineTo(size.width * 0.9409000, size.height * 0.6422404);
    path392.lineTo(size.width * 0.9410500, size.height * 0.6423571);
    path392.close();

    Paint paint392fill = Paint()..style = PaintingStyle.fill;
    paint392fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path392, paint392fill);

    Path path393 = Path();
    path393.moveTo(size.width * 0.9415000, size.height * 0.6423571);
    path393.lineTo(size.width * 0.9416000, size.height * 0.6422404);
    path393.lineTo(size.width * 0.9418500, size.height * 0.6425904);
    path393.lineTo(size.width * 0.9420000, size.height * 0.6427071);
    path393.lineTo(size.width * 0.9421000, size.height * 0.6429405);
    path393.lineTo(size.width * 0.9422500, size.height * 0.6435239);
    path393.lineTo(size.width * 0.9424000, size.height * 0.6436406);
    path393.lineTo(size.width * 0.9425500, size.height * 0.6439907);
    path393.lineTo(size.width * 0.9425500, size.height * 0.6443407);
    path393.lineTo(size.width * 0.9428000, size.height * 0.6444574);
    path393.lineTo(size.width * 0.9428000, size.height * 0.6448075);
    path393.lineTo(size.width * 0.9429500, size.height * 0.6449242);
    path393.lineTo(size.width * 0.9431000, size.height * 0.6448075);
    path393.lineTo(size.width * 0.9431500, size.height * 0.6449242);
    path393.lineTo(size.width * 0.9433500, size.height * 0.6451575);
    path393.lineTo(size.width * 0.9434000, size.height * 0.6453909);
    path393.lineTo(size.width * 0.9435500, size.height * 0.6452742);
    path393.lineTo(size.width * 0.9437000, size.height * 0.6453909);
    path393.lineTo(size.width * 0.9437500, size.height * 0.6457410);
    path393.lineTo(size.width * 0.9439500, size.height * 0.6460910);
    path393.lineTo(size.width * 0.9441000, size.height * 0.6464411);
    path393.lineTo(size.width * 0.9443000, size.height * 0.6467911);
    path393.lineTo(size.width * 0.9448000, size.height * 0.6479580);
    path393.lineTo(size.width * 0.9446500, size.height * 0.6484247);
    path393.lineTo(size.width * 0.9448000, size.height * 0.6490082);
    path393.lineTo(size.width * 0.9448500, size.height * 0.6497083);
    path393.lineTo(size.width * 0.9447000, size.height * 0.6495916);
    path393.lineTo(size.width * 0.9445500, size.height * 0.6491249);
    path393.lineTo(size.width * 0.9442000, size.height * 0.6481914);
    path393.lineTo(size.width * 0.9440000, size.height * 0.6480747);
    path393.lineTo(size.width * 0.9437500, size.height * 0.6476079);
    path393.lineTo(size.width * 0.9434500, size.height * 0.6474912);
    path393.lineTo(size.width * 0.9434000, size.height * 0.6471412);
    path393.lineTo(size.width * 0.9431000, size.height * 0.6469078);
    path393.lineTo(size.width * 0.9428500, size.height * 0.6463244);
    path393.lineTo(size.width * 0.9427500, size.height * 0.6463244);
    path393.lineTo(size.width * 0.9423500, size.height * 0.6456243);
    path393.lineTo(size.width * 0.9421000, size.height * 0.6452742);
    path393.lineTo(size.width * 0.9421000, size.height * 0.6450408);
    path393.lineTo(size.width * 0.9419000, size.height * 0.6448075);
    path393.lineTo(size.width * 0.9418000, size.height * 0.6445741);
    path393.lineTo(size.width * 0.9417000, size.height * 0.6441074);
    path393.lineTo(size.width * 0.9415000, size.height * 0.6437573);
    path393.lineTo(size.width * 0.9414500, size.height * 0.6435239);
    path393.lineTo(size.width * 0.9414500, size.height * 0.6430572);
    path393.lineTo(size.width * 0.9412500, size.height * 0.6424737);
    path393.lineTo(size.width * 0.9411500, size.height * 0.6423571);
    path393.lineTo(size.width * 0.9411500, size.height * 0.6420070);
    path393.lineTo(size.width * 0.9415000, size.height * 0.6423571);
    path393.close();

    Paint paint393fill = Paint()..style = PaintingStyle.fill;
    paint393fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path393, paint393fill);

    Path path394 = Path();
    path394.moveTo(size.width * 0.9407500, size.height * 0.6416569);
    path394.lineTo(size.width * 0.9408500, size.height * 0.6418903);
    path394.lineTo(size.width * 0.9409500, size.height * 0.6417736);
    path394.lineTo(size.width * 0.9411000, size.height * 0.6420070);
    path394.lineTo(size.width * 0.9410500, size.height * 0.6422404);
    path394.lineTo(size.width * 0.9409000, size.height * 0.6421237);
    path394.lineTo(size.width * 0.9407500, size.height * 0.6416569);
    path394.close();

    Paint paint394fill = Paint()..style = PaintingStyle.fill;
    paint394fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path394, paint394fill);

    Path path395 = Path();
    path395.moveTo(size.width * 0.9385000, size.height * 0.6409568);
    path395.lineTo(size.width * 0.9387500, size.height * 0.6409568);
    path395.lineTo(size.width * 0.9386500, size.height * 0.6411902);
    path395.lineTo(size.width * 0.9385000, size.height * 0.6410735);
    path395.lineTo(size.width * 0.9385000, size.height * 0.6409568);
    path395.close();

    Paint paint395fill = Paint()..style = PaintingStyle.fill;
    paint395fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path395, paint395fill);

    Path path396 = Path();
    path396.moveTo(size.width * 0.9406500, size.height * 0.6409568);
    path396.lineTo(size.width * 0.9405500, size.height * 0.6415403);
    path396.lineTo(size.width * 0.9405000, size.height * 0.6413069);
    path396.lineTo(size.width * 0.9406500, size.height * 0.6409568);
    path396.close();

    Paint paint396fill = Paint()..style = PaintingStyle.fill;
    paint396fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path396, paint396fill);

    Path path397 = Path();
    path397.moveTo(size.width * 0.9393000, size.height * 0.6414236);
    path397.lineTo(size.width * 0.9390500, size.height * 0.6415403);
    path397.lineTo(size.width * 0.9389500, size.height * 0.6413069);
    path397.lineTo(size.width * 0.9391000, size.height * 0.6408401);
    path397.lineTo(size.width * 0.9392500, size.height * 0.6409568);
    path397.lineTo(size.width * 0.9393000, size.height * 0.6414236);
    path397.close();

    Paint paint397fill = Paint()..style = PaintingStyle.fill;
    paint397fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path397, paint397fill);

    Path path398 = Path();
    path398.moveTo(size.width * 0.9330500, size.height * 0.6403734);
    path398.lineTo(size.width * 0.9331500, size.height * 0.6407235);
    path398.lineTo(size.width * 0.9330500, size.height * 0.6409568);
    path398.lineTo(size.width * 0.9329000, size.height * 0.6408401);
    path398.lineTo(size.width * 0.9328500, size.height * 0.6407235);
    path398.lineTo(size.width * 0.9330500, size.height * 0.6403734);
    path398.close();

    Paint paint398fill = Paint()..style = PaintingStyle.fill;
    paint398fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path398, paint398fill);

    Path path399 = Path();
    path399.moveTo(size.width * 0.9338000, size.height * 0.6381564);
    path399.lineTo(size.width * 0.9339500, size.height * 0.6383897);
    path399.lineTo(size.width * 0.9339000, size.height * 0.6387398);
    path399.lineTo(size.width * 0.9335500, size.height * 0.6389732);
    path399.lineTo(size.width * 0.9334000, size.height * 0.6386231);
    path399.lineTo(size.width * 0.9335500, size.height * 0.6379230);
    path399.lineTo(size.width * 0.9336500, size.height * 0.6378063);
    path399.lineTo(size.width * 0.9338000, size.height * 0.6381564);
    path399.close();

    Paint paint399fill = Paint()..style = PaintingStyle.fill;
    paint399fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path399, paint399fill);

    Path path400 = Path();
    path400.moveTo(size.width * 0.9346500, size.height * 0.6371062);
    path400.lineTo(size.width * 0.9346500, size.height * 0.6376896);
    path400.lineTo(size.width * 0.9345500, size.height * 0.6374562);
    path400.lineTo(size.width * 0.9345500, size.height * 0.6372229);
    path400.lineTo(size.width * 0.9346500, size.height * 0.6371062);
    path400.close();

    Paint paint400fill = Paint()..style = PaintingStyle.fill;
    paint400fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path400, paint400fill);

    Path path401 = Path();
    path401.moveTo(size.width * 0.9361000, size.height * 0.6353559);
    path401.lineTo(size.width * 0.9362500, size.height * 0.6354726);
    path401.lineTo(size.width * 0.9364500, size.height * 0.6360560);
    path401.lineTo(size.width * 0.9366000, size.height * 0.6362894);
    path401.lineTo(size.width * 0.9367500, size.height * 0.6364061);
    path401.lineTo(size.width * 0.9369000, size.height * 0.6367561);
    path401.lineTo(size.width * 0.9373000, size.height * 0.6372229);
    path401.lineTo(size.width * 0.9375000, size.height * 0.6378063);
    path401.lineTo(size.width * 0.9375000, size.height * 0.6382730);
    path401.lineTo(size.width * 0.9375500, size.height * 0.6389732);
    path401.lineTo(size.width * 0.9376500, size.height * 0.6392065);
    path401.lineTo(size.width * 0.9378000, size.height * 0.6395566);
    path401.lineTo(size.width * 0.9379000, size.height * 0.6395566);
    path401.lineTo(size.width * 0.9379500, size.height * 0.6400233);
    path401.lineTo(size.width * 0.9383000, size.height * 0.6403734);
    path401.lineTo(size.width * 0.9385000, size.height * 0.6402567);
    path401.lineTo(size.width * 0.9385500, size.height * 0.6403734);
    path401.lineTo(size.width * 0.9385500, size.height * 0.6407235);
    path401.lineTo(size.width * 0.9384000, size.height * 0.6408401);
    path401.lineTo(size.width * 0.9383000, size.height * 0.6411902);
    path401.lineTo(size.width * 0.9380500, size.height * 0.6409568);
    path401.lineTo(size.width * 0.9376500, size.height * 0.6404901);
    path401.lineTo(size.width * 0.9374000, size.height * 0.6404901);
    path401.lineTo(size.width * 0.9372500, size.height * 0.6400233);
    path401.lineTo(size.width * 0.9369000, size.height * 0.6395566);
    path401.lineTo(size.width * 0.9366000, size.height * 0.6383897);
    path401.lineTo(size.width * 0.9363000, size.height * 0.6372229);
    path401.lineTo(size.width * 0.9360500, size.height * 0.6368728);
    path401.lineTo(size.width * 0.9357000, size.height * 0.6360560);
    path401.lineTo(size.width * 0.9357000, size.height * 0.6354726);
    path401.lineTo(size.width * 0.9357000, size.height * 0.6352392);
    path401.lineTo(size.width * 0.9358500, size.height * 0.6350058);
    path401.lineTo(size.width * 0.9360000, size.height * 0.6351225);
    path401.lineTo(size.width * 0.9361000, size.height * 0.6353559);
    path401.close();

    Paint paint401fill = Paint()..style = PaintingStyle.fill;
    paint401fill.color = countryColors.sB ?? defaultCountryColor;
    canvas.drawPath(path401, paint401fill);

    Path path402 = Path();
    path402.moveTo(size.width * 0.5119500, size.height * 0.5849475);
    path402.lineTo(size.width * 0.5118500, size.height * 0.5849475);
    path402.lineTo(size.width * 0.5117500, size.height * 0.5852975);
    path402.lineTo(size.width * 0.5116500, size.height * 0.5852975);
    path402.lineTo(size.width * 0.5116000, size.height * 0.5848308);
    path402.lineTo(size.width * 0.5115000, size.height * 0.5838973);
    path402.lineTo(size.width * 0.5115000, size.height * 0.5835473);
    path402.lineTo(size.width * 0.5117000, size.height * 0.5829638);
    path402.lineTo(size.width * 0.5118500, size.height * 0.5828471);
    path402.lineTo(size.width * 0.5120000, size.height * 0.5824971);
    path402.lineTo(size.width * 0.5122000, size.height * 0.5826138);
    path402.lineTo(size.width * 0.5123000, size.height * 0.5830805);
    path402.lineTo(size.width * 0.5123500, size.height * 0.5834306);
    path402.lineTo(size.width * 0.5123000, size.height * 0.5838973);
    path402.lineTo(size.width * 0.5122000, size.height * 0.5842474);
    path402.lineTo(size.width * 0.5120500, size.height * 0.5847141);
    path402.lineTo(size.width * 0.5119500, size.height * 0.5849475);
    path402.close();

    Paint paint402fill = Paint()..style = PaintingStyle.fill;
    paint402fill.color = countryColors.sT ?? defaultCountryColor;
    canvas.drawPath(path402, paint402fill);

    Path path403 = Path();
    path403.moveTo(size.width * 0.5142500, size.height * 0.5735123);
    path403.lineTo(size.width * 0.5142000, size.height * 0.5738623);
    path403.lineTo(size.width * 0.5141000, size.height * 0.5739790);
    path403.lineTo(size.width * 0.5139500, size.height * 0.5738623);
    path403.lineTo(size.width * 0.5139500, size.height * 0.5735123);
    path403.lineTo(size.width * 0.5140500, size.height * 0.5733956);
    path403.lineTo(size.width * 0.5140500, size.height * 0.5730455);
    path403.lineTo(size.width * 0.5141500, size.height * 0.5728121);
    path403.lineTo(size.width * 0.5143000, size.height * 0.5729288);
    path403.lineTo(size.width * 0.5142500, size.height * 0.5735123);
    path403.close();

    Paint paint403fill = Paint()..style = PaintingStyle.fill;
    paint403fill.color = countryColors.sT ?? defaultCountryColor;
    canvas.drawPath(path403, paint403fill);

    Path path404 = Path();
    path404.moveTo(size.width * 0.3171000, size.height * 0.4504084);
    path404.lineTo(size.width * 0.3171000, size.height * 0.4505251);
    path404.lineTo(size.width * 0.3169000, size.height * 0.4504084);
    path404.lineTo(size.width * 0.3169000, size.height * 0.4502917);
    path404.lineTo(size.width * 0.3171000, size.height * 0.4504084);
    path404.close();

    Paint paint404fill = Paint()..style = PaintingStyle.fill;
    paint404fill.color = countryColors.sX ?? defaultCountryColor;
    canvas.drawPath(path404, paint404fill);

    Path path405 = Path();
    path405.moveTo(size.width * 0.6245000, size.height * 0.6558926);
    path405.lineTo(size.width * 0.6243500, size.height * 0.6561260);
    path405.lineTo(size.width * 0.6241000, size.height * 0.6561260);
    path405.lineTo(size.width * 0.6239000, size.height * 0.6563594);
    path405.lineTo(size.width * 0.6237000, size.height * 0.6563594);
    path405.lineTo(size.width * 0.6237000, size.height * 0.6561260);
    path405.lineTo(size.width * 0.6239500, size.height * 0.6561260);
    path405.lineTo(size.width * 0.6241500, size.height * 0.6560093);
    path405.lineTo(size.width * 0.6243500, size.height * 0.6556593);
    path405.lineTo(size.width * 0.6244500, size.height * 0.6556593);
    path405.lineTo(size.width * 0.6245000, size.height * 0.6558926);
    path405.close();

    Paint paint405fill = Paint()..style = PaintingStyle.fill;
    paint405fill.color = countryColors.sC ?? defaultCountryColor;
    canvas.drawPath(path405, paint405fill);

    Path path406 = Path();
    path406.moveTo(size.width * 0.6242500, size.height * 0.6555426);
    path406.lineTo(size.width * 0.6241500, size.height * 0.6556593);
    path406.lineTo(size.width * 0.6239500, size.height * 0.6556593);
    path406.lineTo(size.width * 0.6239500, size.height * 0.6554259);
    path406.lineTo(size.width * 0.6242500, size.height * 0.6555426);
    path406.close();

    Paint paint406fill = Paint()..style = PaintingStyle.fill;
    paint406fill.color = countryColors.sC ?? defaultCountryColor;
    canvas.drawPath(path406, paint406fill);

    Path path407 = Path();
    path407.moveTo(size.width * 0.6502000, size.height * 0.6201867);
    path407.lineTo(size.width * 0.6504000, size.height * 0.6206534);
    path407.lineTo(size.width * 0.6503000, size.height * 0.6210035);
    path407.lineTo(size.width * 0.6502000, size.height * 0.6206534);
    path407.lineTo(size.width * 0.6500500, size.height * 0.6204201);
    path407.lineTo(size.width * 0.6501500, size.height * 0.6198366);
    path407.lineTo(size.width * 0.6502000, size.height * 0.6201867);
    path407.close();

    Paint paint407fill = Paint()..style = PaintingStyle.fill;
    paint407fill.color = countryColors.sC ?? defaultCountryColor;
    canvas.drawPath(path407, paint407fill);

    Path path408 = Path();
    path408.moveTo(size.width * 0.2938500, size.height * 0.4219370);
    path408.lineTo(size.width * 0.2942000, size.height * 0.4219370);
    path408.lineTo(size.width * 0.2943500, size.height * 0.4224037);
    path408.lineTo(size.width * 0.2942000, size.height * 0.4224037);
    path408.lineTo(size.width * 0.2940500, size.height * 0.4222870);
    path408.lineTo(size.width * 0.2938000, size.height * 0.4224037);
    path408.lineTo(size.width * 0.2937500, size.height * 0.4220537);
    path408.lineTo(size.width * 0.2938500, size.height * 0.4219370);
    path408.close();

    Paint paint408fill = Paint()..style = PaintingStyle.fill;
    paint408fill.color = countryColors.tC ?? defaultCountryColor;
    canvas.drawPath(path408, paint408fill);

    Path path409 = Path();
    path409.moveTo(size.width * 0.2925000, size.height * 0.4218203);
    path409.lineTo(size.width * 0.2926500, size.height * 0.4222870);
    path409.lineTo(size.width * 0.2929500, size.height * 0.4221704);
    path409.lineTo(size.width * 0.2928500, size.height * 0.4224037);
    path409.lineTo(size.width * 0.2925500, size.height * 0.4224037);
    path409.lineTo(size.width * 0.2923500, size.height * 0.4221704);
    path409.lineTo(size.width * 0.2925000, size.height * 0.4218203);
    path409.close();

    Paint paint409fill = Paint()..style = PaintingStyle.fill;
    paint409fill.color = countryColors.tC ?? defaultCountryColor;
    canvas.drawPath(path409, paint409fill);

    Path path410 = Path();
    path410.moveTo(size.width * 0.2936000, size.height * 0.4211202);
    path410.lineTo(size.width * 0.2936000, size.height * 0.4217036);
    path410.lineTo(size.width * 0.2933500, size.height * 0.4214702);
    path410.lineTo(size.width * 0.2933000, size.height * 0.4211202);
    path410.lineTo(size.width * 0.2933500, size.height * 0.4210035);
    path410.lineTo(size.width * 0.2936000, size.height * 0.4211202);
    path410.close();

    Paint paint410fill = Paint()..style = PaintingStyle.fill;
    paint410fill.color = countryColors.tC ?? defaultCountryColor;
    canvas.drawPath(path410, paint410fill);

    Path path411 = Path();
    path411.moveTo(size.width * 0.007350000, size.height * 0.7462077);
    path411.lineTo(size.width * 0.007100000, size.height * 0.7458576);
    path411.lineTo(size.width * 0.007100000, size.height * 0.7456243);
    path411.lineTo(size.width * 0.007250000, size.height * 0.7453909);
    path411.lineTo(size.width * 0.007350000, size.height * 0.7462077);
    path411.close();

    Paint paint411fill = Paint()..style = PaintingStyle.fill;
    paint411fill.color = countryColors.tO ?? defaultCountryColor;
    canvas.drawPath(path411, paint411fill);

    Path path412 = Path();
    path412.moveTo(size.width * 0.005950000, size.height * 0.7437573);
    path412.lineTo(size.width * 0.006100000, size.height * 0.7437573);
    path412.lineTo(size.width * 0.006300000, size.height * 0.7441074);
    path412.lineTo(size.width * 0.006450000, size.height * 0.7442240);
    path412.lineTo(size.width * 0.006550000, size.height * 0.7437573);
    path412.lineTo(size.width * 0.006700000, size.height * 0.7441074);
    path412.lineTo(size.width * 0.006550000, size.height * 0.7444574);
    path412.lineTo(size.width * 0.006600000, size.height * 0.7446908);
    path412.lineTo(size.width * 0.006550000, size.height * 0.7449242);
    path412.lineTo(size.width * 0.006450000, size.height * 0.7448075);
    path412.lineTo(size.width * 0.006300000, size.height * 0.7444574);
    path412.lineTo(size.width * 0.005950000, size.height * 0.7442240);
    path412.lineTo(size.width * 0.005950000, size.height * 0.7437573);
    path412.close();

    Paint paint412fill = Paint()..style = PaintingStyle.fill;
    paint412fill.color = countryColors.tO ?? defaultCountryColor;
    canvas.drawPath(path412, paint412fill);

    Path path413 = Path();
    path413.moveTo(size.width * 0.005550000, size.height * 0.7337223);
    path413.lineTo(size.width * 0.005450000, size.height * 0.7338390);
    path413.lineTo(size.width * 0.005400000, size.height * 0.7332555);
    path413.lineTo(size.width * 0.005500000, size.height * 0.7333722);
    path413.lineTo(size.width * 0.005550000, size.height * 0.7337223);
    path413.close();

    Paint paint413fill = Paint()..style = PaintingStyle.fill;
    paint413fill.color = countryColors.tO ?? defaultCountryColor;
    canvas.drawPath(path413, paint413fill);

    Path path414 = Path();
    path414.moveTo(size.width * 0.007750000, size.height * 0.7249708);
    path414.lineTo(size.width * 0.007500000, size.height * 0.7253209);
    path414.lineTo(size.width * 0.007400000, size.height * 0.7253209);
    path414.lineTo(size.width * 0.007350000, size.height * 0.7252042);
    path414.lineTo(size.width * 0.007500000, size.height * 0.7246208);
    path414.lineTo(size.width * 0.007650000, size.height * 0.7247375);
    path414.lineTo(size.width * 0.007750000, size.height * 0.7249708);
    path414.close();

    Paint paint414fill = Paint()..style = PaintingStyle.fill;
    paint414fill.color = countryColors.tO ?? defaultCountryColor;
    canvas.drawPath(path414, paint414fill);

    Path path415 = Path();
    path415.moveTo(size.width * 0.0007000000, size.height * 0.7024504);
    path415.lineTo(size.width * 0.0006500000, size.height * 0.7025671);
    path415.lineTo(size.width * 0.0005000000, size.height * 0.7024504);
    path415.lineTo(size.width * 0.0005500000, size.height * 0.7022170);
    path415.lineTo(size.width * 0.0007000000, size.height * 0.7022170);
    path415.lineTo(size.width * 0.0007000000, size.height * 0.7024504);
    path415.close();

    Paint paint415fill = Paint()..style = PaintingStyle.fill;
    paint415fill.color = countryColors.tO ?? defaultCountryColor;
    canvas.drawPath(path415, paint415fill);

    Path path416 = Path();
    path416.moveTo(size.width * 0.3214000, size.height * 0.5043174);
    path416.lineTo(size.width * 0.3213000, size.height * 0.5049008);
    path416.lineTo(size.width * 0.3211500, size.height * 0.5053676);
    path416.lineTo(size.width * 0.3210500, size.height * 0.5054842);
    path416.lineTo(size.width * 0.3210000, size.height * 0.5059510);
    path416.lineTo(size.width * 0.3211000, size.height * 0.5066511);
    path416.lineTo(size.width * 0.3210000, size.height * 0.5067678);
    path416.lineTo(size.width * 0.3210000, size.height * 0.5075846);
    path416.lineTo(size.width * 0.3211000, size.height * 0.5079347);
    path416.lineTo(size.width * 0.3212000, size.height * 0.5081680);
    path416.lineTo(size.width * 0.3211000, size.height * 0.5084014);
    path416.lineTo(size.width * 0.3210500, size.height * 0.5087515);
    path416.lineTo(size.width * 0.3210500, size.height * 0.5095683);
    path416.lineTo(size.width * 0.3209500, size.height * 0.5096849);
    path416.lineTo(size.width * 0.3207500, size.height * 0.5099183);
    path416.lineTo(size.width * 0.3205000, size.height * 0.5100350);
    path416.lineTo(size.width * 0.3203500, size.height * 0.5100350);
    path416.lineTo(size.width * 0.3201000, size.height * 0.5101517);
    path416.lineTo(size.width * 0.3198500, size.height * 0.5100350);
    path416.lineTo(size.width * 0.3196500, size.height * 0.5101517);
    path416.lineTo(size.width * 0.3195000, size.height * 0.5100350);
    path416.lineTo(size.width * 0.3192500, size.height * 0.5102684);
    path416.lineTo(size.width * 0.3190500, size.height * 0.5100350);
    path416.lineTo(size.width * 0.3187500, size.height * 0.5100350);
    path416.lineTo(size.width * 0.3186000, size.height * 0.5102684);
    path416.lineTo(size.width * 0.3184500, size.height * 0.5101517);
    path416.lineTo(size.width * 0.3187000, size.height * 0.5099183);
    path416.lineTo(size.width * 0.3188500, size.height * 0.5095683);
    path416.lineTo(size.width * 0.3190500, size.height * 0.5094516);
    path416.lineTo(size.width * 0.3192500, size.height * 0.5091015);
    path416.lineTo(size.width * 0.3193500, size.height * 0.5087515);
    path416.lineTo(size.width * 0.3196500, size.height * 0.5088681);
    path416.lineTo(size.width * 0.3198000, size.height * 0.5084014);
    path416.lineTo(size.width * 0.3197000, size.height * 0.5074679);
    path416.lineTo(size.width * 0.3198000, size.height * 0.5070012);
    path416.lineTo(size.width * 0.3198000, size.height * 0.5064177);
    path416.lineTo(size.width * 0.3198000, size.height * 0.5061844);
    path416.lineTo(size.width * 0.3196500, size.height * 0.5057176);
    path416.lineTo(size.width * 0.3195000, size.height * 0.5056009);
    path416.lineTo(size.width * 0.3193000, size.height * 0.5054842);
    path416.lineTo(size.width * 0.3192500, size.height * 0.5053676);
    path416.lineTo(size.width * 0.3194500, size.height * 0.5050175);
    path416.lineTo(size.width * 0.3200000, size.height * 0.5049008);
    path416.lineTo(size.width * 0.3201000, size.height * 0.5046674);
    path416.lineTo(size.width * 0.3206500, size.height * 0.5046674);
    path416.lineTo(size.width * 0.3207000, size.height * 0.5045508);
    path416.lineTo(size.width * 0.3213000, size.height * 0.5043174);
    path416.lineTo(size.width * 0.3214000, size.height * 0.5043174);
    path416.close();

    Paint paint416fill = Paint()..style = PaintingStyle.fill;
    paint416fill.color = countryColors.tT ?? defaultCountryColor;
    canvas.drawPath(path416, paint416fill);

    Path path417 = Path();
    path417.moveTo(size.width * 0.3226000, size.height * 0.5005834);
    path417.lineTo(size.width * 0.3225500, size.height * 0.5011669);
    path417.lineTo(size.width * 0.3224000, size.height * 0.5012835);
    path417.lineTo(size.width * 0.3222000, size.height * 0.5016336);
    path417.lineTo(size.width * 0.3221000, size.height * 0.5016336);
    path417.lineTo(size.width * 0.3217500, size.height * 0.5021004);
    path417.lineTo(size.width * 0.3216500, size.height * 0.5018670);
    path417.lineTo(size.width * 0.3218000, size.height * 0.5015169);
    path417.lineTo(size.width * 0.3221500, size.height * 0.5009335);
    path417.lineTo(size.width * 0.3226000, size.height * 0.5005834);
    path417.close();

    Paint paint417fill = Paint()..style = PaintingStyle.fill;
    paint417fill.color = countryColors.tT ?? defaultCountryColor;
    canvas.drawPath(path417, paint417fill);

    Path path418 = Path();
    path418.moveTo(size.width * 0.9994500, size.height * 0.6494749);
    path418.lineTo(size.width * 0.9994500, size.height * 0.6492415);
    path418.lineTo(size.width * 0.9995000, size.height * 0.6492415);
    path418.lineTo(size.width * 0.9995000, size.height * 0.6493582);
    path418.lineTo(size.width * 0.9994500, size.height * 0.6494749);
    path418.close();

    Paint paint418fill = Paint()..style = PaintingStyle.fill;
    paint418fill.color = countryColors.tV ?? defaultCountryColor;
    canvas.drawPath(path418, paint418fill);

    Path path419 = Path();
    path419.moveTo(size.width * 0.3211000, size.height * 0.4870478);
    path419.lineTo(size.width * 0.3210500, size.height * 0.4871645);
    path419.lineTo(size.width * 0.3208000, size.height * 0.4868145);
    path419.lineTo(size.width * 0.3208000, size.height * 0.4863477);
    path419.lineTo(size.width * 0.3209000, size.height * 0.4859977);
    path419.lineTo(size.width * 0.3210000, size.height * 0.4854142);
    path419.lineTo(size.width * 0.3212000, size.height * 0.4854142);
    path419.lineTo(size.width * 0.3212500, size.height * 0.4858810);
    path419.lineTo(size.width * 0.3212000, size.height * 0.4868145);
    path419.lineTo(size.width * 0.3211000, size.height * 0.4870478);
    path419.close();

    Paint paint419fill = Paint()..style = PaintingStyle.fill;
    paint419fill.color = countryColors.vC ?? defaultCountryColor;
    canvas.drawPath(path419, paint419fill);

    Path path420 = Path();
    path420.moveTo(size.width * 0.3130500, size.height * 0.4473746);
    path420.lineTo(size.width * 0.3128500, size.height * 0.4476079);
    path420.lineTo(size.width * 0.3128000, size.height * 0.4476079);
    path420.lineTo(size.width * 0.3126500, size.height * 0.4478413);
    path420.lineTo(size.width * 0.3126000, size.height * 0.4477246);
    path420.lineTo(size.width * 0.3126500, size.height * 0.4473746);
    path420.lineTo(size.width * 0.3129500, size.height * 0.4472579);
    path420.lineTo(size.width * 0.3130500, size.height * 0.4473746);
    path420.close();

    Paint paint420fill = Paint()..style = PaintingStyle.fill;
    paint420fill.color = countryColors.vG ?? defaultCountryColor;
    canvas.drawPath(path420, paint420fill);

    Path path421 = Path();
    path421.moveTo(size.width * 0.3122500, size.height * 0.4525088);
    path421.lineTo(size.width * 0.3124000, size.height * 0.4528588);
    path421.lineTo(size.width * 0.3118500, size.height * 0.4530922);
    path421.lineTo(size.width * 0.3118000, size.height * 0.4525088);
    path421.lineTo(size.width * 0.3121500, size.height * 0.4522754);
    path421.lineTo(size.width * 0.3122500, size.height * 0.4525088);
    path421.close();

    Paint paint421fill = Paint()..style = PaintingStyle.fill;
    paint421fill.color = countryColors.vI ?? defaultCountryColor;
    canvas.drawPath(path421, paint421fill);

    Path path422 = Path();
    path422.moveTo(size.width * 0.3126000, size.height * 0.4480747);
    path422.lineTo(size.width * 0.3125000, size.height * 0.4483081);
    path422.lineTo(size.width * 0.3122500, size.height * 0.4483081);
    path422.lineTo(size.width * 0.3122500, size.height * 0.4480747);
    path422.lineTo(size.width * 0.3124000, size.height * 0.4479580);
    path422.lineTo(size.width * 0.3126000, size.height * 0.4480747);
    path422.close();

    Paint paint422fill = Paint()..style = PaintingStyle.fill;
    paint422fill.color = countryColors.vI ?? defaultCountryColor;
    canvas.drawPath(path422, paint422fill);

    Path path423 = Path();
    path423.moveTo(size.width * 0.3119000, size.height * 0.4478413);
    path423.lineTo(size.width * 0.3121000, size.height * 0.4481914);
    path423.lineTo(size.width * 0.3120000, size.height * 0.4484247);
    path423.lineTo(size.width * 0.3118500, size.height * 0.4481914);
    path423.lineTo(size.width * 0.3116000, size.height * 0.4481914);
    path423.lineTo(size.width * 0.3117000, size.height * 0.4479580);
    path423.lineTo(size.width * 0.3119000, size.height * 0.4478413);
    path423.close();

    Paint paint423fill = Paint()..style = PaintingStyle.fill;
    paint423fill.color = countryColors.vI ?? defaultCountryColor;
    canvas.drawPath(path423, paint423fill);

    Path path424 = Path();
    path424.moveTo(size.width * 0.9659000, size.height * 0.7372229);
    path424.lineTo(size.width * 0.9656500, size.height * 0.7369895);
    path424.lineTo(size.width * 0.9657500, size.height * 0.7365228);
    path424.lineTo(size.width * 0.9660000, size.height * 0.7364061);
    path424.lineTo(size.width * 0.9661000, size.height * 0.7368728);
    path424.lineTo(size.width * 0.9660500, size.height * 0.7371062);
    path424.lineTo(size.width * 0.9659000, size.height * 0.7372229);
    path424.close();

    Paint paint424fill = Paint()..style = PaintingStyle.fill;
    paint424fill.color = countryColors.vU ?? defaultCountryColor;
    canvas.drawPath(path424, paint424fill);

    Path path425 = Path();
    path425.moveTo(size.width * 0.9653000, size.height * 0.7327888);
    path425.lineTo(size.width * 0.9652000, size.height * 0.7327888);
    path425.lineTo(size.width * 0.9650500, size.height * 0.7326721);
    path425.lineTo(size.width * 0.9648500, size.height * 0.7320887);
    path425.lineTo(size.width * 0.9648000, size.height * 0.7316219);
    path425.lineTo(size.width * 0.9648000, size.height * 0.7311552);
    path425.lineTo(size.width * 0.9649000, size.height * 0.7309218);
    path425.lineTo(size.width * 0.9649500, size.height * 0.7304551);
    path425.lineTo(size.width * 0.9651000, size.height * 0.7303384);
    path425.lineTo(size.width * 0.9653000, size.height * 0.7303384);
    path425.lineTo(size.width * 0.9652000, size.height * 0.7306884);
    path425.lineTo(size.width * 0.9652000, size.height * 0.7312719);
    path425.lineTo(size.width * 0.9655500, size.height * 0.7318553);
    path425.lineTo(size.width * 0.9654000, size.height * 0.7322054);
    path425.lineTo(size.width * 0.9653000, size.height * 0.7327888);
    path425.close();

    Paint paint425fill = Paint()..style = PaintingStyle.fill;
    paint425fill.color = countryColors.vU ?? defaultCountryColor;
    canvas.drawPath(path425, paint425fill);

    Path path426 = Path();
    path426.moveTo(size.width * 0.9653000, size.height * 0.7259043);
    path426.lineTo(size.width * 0.9654500, size.height * 0.7259043);
    path426.lineTo(size.width * 0.9655000, size.height * 0.7261377);
    path426.lineTo(size.width * 0.9652500, size.height * 0.7262544);
    path426.lineTo(size.width * 0.9653000, size.height * 0.7266044);
    path426.lineTo(size.width * 0.9655000, size.height * 0.7268378);
    path426.lineTo(size.width * 0.9655500, size.height * 0.7271879);
    path426.lineTo(size.width * 0.9655000, size.height * 0.7276546);
    path426.lineTo(size.width * 0.9653000, size.height * 0.7277713);
    path426.lineTo(size.width * 0.9651000, size.height * 0.7274212);
    path426.lineTo(size.width * 0.9649000, size.height * 0.7274212);
    path426.lineTo(size.width * 0.9648000, size.height * 0.7271879);
    path426.lineTo(size.width * 0.9646500, size.height * 0.7269545);
    path426.lineTo(size.width * 0.9647000, size.height * 0.7264877);
    path426.lineTo(size.width * 0.9647000, size.height * 0.7261377);
    path426.lineTo(size.width * 0.9648000, size.height * 0.7255543);
    path426.lineTo(size.width * 0.9649500, size.height * 0.7250875);
    path426.lineTo(size.width * 0.9652000, size.height * 0.7250875);
    path426.lineTo(size.width * 0.9653000, size.height * 0.7252042);
    path426.lineTo(size.width * 0.9652500, size.height * 0.7256709);
    path426.lineTo(size.width * 0.9653000, size.height * 0.7259043);
    path426.close();

    Paint paint426fill = Paint()..style = PaintingStyle.fill;
    paint426fill.color = countryColors.vU ?? defaultCountryColor;
    canvas.drawPath(path426, paint426fill);

    Path path427 = Path();
    path427.moveTo(size.width * 0.9638000, size.height * 0.7170362);
    path427.lineTo(size.width * 0.9641000, size.height * 0.7169195);
    path427.lineTo(size.width * 0.9641500, size.height * 0.7170362);
    path427.lineTo(size.width * 0.9642500, size.height * 0.7177363);
    path427.lineTo(size.width * 0.9643500, size.height * 0.7180863);
    path427.lineTo(size.width * 0.9644000, size.height * 0.7182030);
    path427.lineTo(size.width * 0.9642000, size.height * 0.7189032);
    path427.lineTo(size.width * 0.9638000, size.height * 0.7191365);
    path427.lineTo(size.width * 0.9636500, size.height * 0.7187865);
    path427.lineTo(size.width * 0.9636000, size.height * 0.7182030);
    path427.lineTo(size.width * 0.9634500, size.height * 0.7180863);
    path427.lineTo(size.width * 0.9632500, size.height * 0.7184364);
    path427.lineTo(size.width * 0.9632000, size.height * 0.7183197);
    path427.lineTo(size.width * 0.9633000, size.height * 0.7178530);
    path427.lineTo(size.width * 0.9635000, size.height * 0.7175029);
    path427.lineTo(size.width * 0.9637000, size.height * 0.7169195);
    path427.lineTo(size.width * 0.9638000, size.height * 0.7170362);
    path427.close();

    Paint paint427fill = Paint()..style = PaintingStyle.fill;
    paint427fill.color = countryColors.vU ?? defaultCountryColor;
    canvas.drawPath(path427, paint427fill);

    Path path428 = Path();
    path428.moveTo(size.width * 0.9649500, size.height * 0.7124854);
    path428.lineTo(size.width * 0.9649000, size.height * 0.7121354);
    path428.lineTo(size.width * 0.9650500, size.height * 0.7121354);
    path428.lineTo(size.width * 0.9649500, size.height * 0.7124854);
    path428.close();

    Paint paint428fill = Paint()..style = PaintingStyle.fill;
    paint428fill.color = countryColors.vU ?? defaultCountryColor;
    canvas.drawPath(path428, paint428fill);

    Path path429 = Path();
    path429.moveTo(size.width * 0.9641500, size.height * 0.7096849);
    path429.lineTo(size.width * 0.9642000, size.height * 0.7102684);
    path429.lineTo(size.width * 0.9642000, size.height * 0.7105018);
    path429.lineTo(size.width * 0.9644000, size.height * 0.7106184);
    path429.lineTo(size.width * 0.9645000, size.height * 0.7112019);
    path429.lineTo(size.width * 0.9647500, size.height * 0.7112019);
    path429.lineTo(size.width * 0.9647500, size.height * 0.7116686);
    path429.lineTo(size.width * 0.9647000, size.height * 0.7117853);
    path429.lineTo(size.width * 0.9645500, size.height * 0.7114352);
    path429.lineTo(size.width * 0.9644000, size.height * 0.7113186);
    path429.lineTo(size.width * 0.9641000, size.height * 0.7115519);
    path429.lineTo(size.width * 0.9639500, size.height * 0.7114352);
    path429.lineTo(size.width * 0.9639000, size.height * 0.7112019);
    path429.lineTo(size.width * 0.9638500, size.height * 0.7107351);
    path429.lineTo(size.width * 0.9639500, size.height * 0.7101517);
    path429.lineTo(size.width * 0.9640500, size.height * 0.7098016);
    path429.lineTo(size.width * 0.9641500, size.height * 0.7096849);
    path429.close();

    Paint paint429fill = Paint()..style = PaintingStyle.fill;
    paint429fill.color = countryColors.vU ?? defaultCountryColor;
    canvas.drawPath(path429, paint429fill);

    Path path430 = Path();
    path430.moveTo(size.width * 0.9646000, size.height * 0.7094516);
    path430.lineTo(size.width * 0.9645500, size.height * 0.7094516);
    path430.lineTo(size.width * 0.9645000, size.height * 0.7091015);
    path430.lineTo(size.width * 0.9646000, size.height * 0.7091015);
    path430.lineTo(size.width * 0.9646000, size.height * 0.7094516);
    path430.close();

    Paint paint430fill = Paint()..style = PaintingStyle.fill;
    paint430fill.color = countryColors.vU ?? defaultCountryColor;
    canvas.drawPath(path430, paint430fill);

    Path path431 = Path();
    path431.moveTo(size.width * 0.9647000, size.height * 0.7078180);
    path431.lineTo(size.width * 0.9646000, size.height * 0.7080513);
    path431.lineTo(size.width * 0.9643000, size.height * 0.7080513);
    path431.lineTo(size.width * 0.9641500, size.height * 0.7081680);
    path431.lineTo(size.width * 0.9640500, size.height * 0.7079347);
    path431.lineTo(size.width * 0.9638500, size.height * 0.7078180);
    path431.lineTo(size.width * 0.9636000, size.height * 0.7073512);
    path431.lineTo(size.width * 0.9636500, size.height * 0.7071179);
    path431.lineTo(size.width * 0.9639000, size.height * 0.7068845);
    path431.lineTo(size.width * 0.9641000, size.height * 0.7067678);
    path431.lineTo(size.width * 0.9643000, size.height * 0.7064177);
    path431.lineTo(size.width * 0.9643500, size.height * 0.7060677);
    path431.lineTo(size.width * 0.9644500, size.height * 0.7060677);
    path431.lineTo(size.width * 0.9645000, size.height * 0.7064177);
    path431.lineTo(size.width * 0.9645000, size.height * 0.7071179);
    path431.lineTo(size.width * 0.9647500, size.height * 0.7075846);
    path431.lineTo(size.width * 0.9647000, size.height * 0.7078180);
    path431.close();

    Paint paint431fill = Paint()..style = PaintingStyle.fill;
    paint431fill.color = countryColors.vU ?? defaultCountryColor;
    canvas.drawPath(path431, paint431fill);

    Path path432 = Path();
    path432.moveTo(size.width * 0.9623500, size.height * 0.7063011);
    path432.lineTo(size.width * 0.9624500, size.height * 0.7066511);
    path432.lineTo(size.width * 0.9627500, size.height * 0.7071179);
    path432.lineTo(size.width * 0.9631000, size.height * 0.7079347);
    path432.lineTo(size.width * 0.9631500, size.height * 0.7080513);
    path432.lineTo(size.width * 0.9631500, size.height * 0.7085181);
    path432.lineTo(size.width * 0.9632500, size.height * 0.7088681);
    path432.lineTo(size.width * 0.9631000, size.height * 0.7091015);
    path432.lineTo(size.width * 0.9629000, size.height * 0.7095683);
    path432.lineTo(size.width * 0.9629000, size.height * 0.7093349);
    path432.lineTo(size.width * 0.9627500, size.height * 0.7092182);
    path432.lineTo(size.width * 0.9625500, size.height * 0.7092182);
    path432.lineTo(size.width * 0.9624500, size.height * 0.7093349);
    path432.lineTo(size.width * 0.9624500, size.height * 0.7095683);
    path432.lineTo(size.width * 0.9622500, size.height * 0.7098016);
    path432.lineTo(size.width * 0.9621000, size.height * 0.7096849);
    path432.lineTo(size.width * 0.9621000, size.height * 0.7088681);
    path432.lineTo(size.width * 0.9620500, size.height * 0.7081680);
    path432.lineTo(size.width * 0.9621000, size.height * 0.7074679);
    path432.lineTo(size.width * 0.9621500, size.height * 0.7068845);
    path432.lineTo(size.width * 0.9620500, size.height * 0.7063011);
    path432.lineTo(size.width * 0.9617500, size.height * 0.7066511);
    path432.lineTo(size.width * 0.9616500, size.height * 0.7064177);
    path432.lineTo(size.width * 0.9616000, size.height * 0.7060677);
    path432.lineTo(size.width * 0.9616000, size.height * 0.7057176);
    path432.lineTo(size.width * 0.9617500, size.height * 0.7053676);
    path432.lineTo(size.width * 0.9617500, size.height * 0.7049008);
    path432.lineTo(size.width * 0.9618000, size.height * 0.7045508);
    path432.lineTo(size.width * 0.9619500, size.height * 0.7044341);
    path432.lineTo(size.width * 0.9622500, size.height * 0.7047841);
    path432.lineTo(size.width * 0.9622000, size.height * 0.7050175);
    path432.lineTo(size.width * 0.9623000, size.height * 0.7056009);
    path432.lineTo(size.width * 0.9622500, size.height * 0.7058343);
    path432.lineTo(size.width * 0.9623500, size.height * 0.7063011);
    path432.close();

    Paint paint432fill = Paint()..style = PaintingStyle.fill;
    paint432fill.color = countryColors.vU ?? defaultCountryColor;
    canvas.drawPath(path432, paint432fill);

    Path path433 = Path();
    path433.moveTo(size.width * 0.9620500, size.height * 0.7035006);
    path433.lineTo(size.width * 0.9619000, size.height * 0.7035006);
    path433.lineTo(size.width * 0.9616500, size.height * 0.7031505);
    path433.lineTo(size.width * 0.9616500, size.height * 0.7030338);
    path433.lineTo(size.width * 0.9617500, size.height * 0.7026838);
    path433.lineTo(size.width * 0.9618500, size.height * 0.7025671);
    path433.lineTo(size.width * 0.9621000, size.height * 0.7026838);
    path433.lineTo(size.width * 0.9620500, size.height * 0.7031505);
    path433.lineTo(size.width * 0.9620500, size.height * 0.7035006);
    path433.close();

    Paint paint433fill = Paint()..style = PaintingStyle.fill;
    paint433fill.color = countryColors.vU ?? defaultCountryColor;
    canvas.drawPath(path433, paint433fill);

    Path path434 = Path();
    path434.moveTo(size.width * 0.9618000, size.height * 0.7023337);
    path434.lineTo(size.width * 0.9620000, size.height * 0.7019837);
    path434.lineTo(size.width * 0.9620500, size.height * 0.7021004);
    path434.lineTo(size.width * 0.9621000, size.height * 0.7024504);
    path434.lineTo(size.width * 0.9618500, size.height * 0.7024504);
    path434.lineTo(size.width * 0.9618000, size.height * 0.7023337);
    path434.close();

    Paint paint434fill = Paint()..style = PaintingStyle.fill;
    paint434fill.color = countryColors.vU ?? defaultCountryColor;
    canvas.drawPath(path434, paint434fill);

    Path path435 = Path();
    path435.moveTo(size.width * 0.9646500, size.height * 0.7053676);
    path435.lineTo(size.width * 0.9645500, size.height * 0.7052509);
    path435.lineTo(size.width * 0.9646000, size.height * 0.7038506);
    path435.lineTo(size.width * 0.9645500, size.height * 0.7035006);
    path435.lineTo(size.width * 0.9646000, size.height * 0.7029172);
    path435.lineTo(size.width * 0.9647500, size.height * 0.7019837);
    path435.lineTo(size.width * 0.9648000, size.height * 0.7014002);
    path435.lineTo(size.width * 0.9649000, size.height * 0.7021004);
    path435.lineTo(size.width * 0.9648500, size.height * 0.7024504);
    path435.lineTo(size.width * 0.9648500, size.height * 0.7031505);
    path435.lineTo(size.width * 0.9648500, size.height * 0.7043174);
    path435.lineTo(size.width * 0.9648000, size.height * 0.7050175);
    path435.lineTo(size.width * 0.9646500, size.height * 0.7053676);
    path435.close();

    Paint paint435fill = Paint()..style = PaintingStyle.fill;
    paint435fill.color = countryColors.vU ?? defaultCountryColor;
    canvas.drawPath(path435, paint435fill);

    Path path436 = Path();
    path436.moveTo(size.width * 0.9640000, size.height * 0.7015169);
    path436.lineTo(size.width * 0.9636500, size.height * 0.7015169);
    path436.lineTo(size.width * 0.9635000, size.height * 0.7014002);
    path436.lineTo(size.width * 0.9635000, size.height * 0.7011669);
    path436.lineTo(size.width * 0.9639500, size.height * 0.7003501);
    path436.lineTo(size.width * 0.9642000, size.height * 0.7001167);
    path436.lineTo(size.width * 0.9644500, size.height * 0.7000000);
    path436.lineTo(size.width * 0.9644500, size.height * 0.7002334);
    path436.lineTo(size.width * 0.9643000, size.height * 0.7007001);
    path436.lineTo(size.width * 0.9642000, size.height * 0.7010502);
    path436.lineTo(size.width * 0.9640000, size.height * 0.7015169);
    path436.close();

    Paint paint436fill = Paint()..style = PaintingStyle.fill;
    paint436fill.color = countryColors.vU ?? defaultCountryColor;
    canvas.drawPath(path436, paint436fill);

    Path path437 = Path();
    path437.moveTo(size.width * 0.9649500, size.height * 0.7007001);
    path437.lineTo(size.width * 0.9649500, size.height * 0.7009335);
    path437.lineTo(size.width * 0.9648000, size.height * 0.7009335);
    path437.lineTo(size.width * 0.9648500, size.height * 0.7005834);
    path437.lineTo(size.width * 0.9649500, size.height * 0.6990665);
    path437.lineTo(size.width * 0.9649500, size.height * 0.6989498);
    path437.lineTo(size.width * 0.9650000, size.height * 0.6975496);
    path437.lineTo(size.width * 0.9651000, size.height * 0.6976663);
    path437.lineTo(size.width * 0.9650500, size.height * 0.6991832);
    path437.lineTo(size.width * 0.9651000, size.height * 0.6995333);
    path437.lineTo(size.width * 0.9650500, size.height * 0.7001167);
    path437.lineTo(size.width * 0.9649500, size.height * 0.7007001);
    path437.close();

    Paint paint437fill = Paint()..style = PaintingStyle.fill;
    paint437fill.color = countryColors.vU ?? defaultCountryColor;
    canvas.drawPath(path437, paint437fill);

    Path path438 = Path();
    path438.moveTo(size.width * 0.9618000, size.height * 0.7023337);
    path438.lineTo(size.width * 0.9613500, size.height * 0.7022170);
    path438.lineTo(size.width * 0.9610500, size.height * 0.7025671);
    path438.lineTo(size.width * 0.9610000, size.height * 0.7028005);
    path438.lineTo(size.width * 0.9609000, size.height * 0.7028005);
    path438.lineTo(size.width * 0.9608500, size.height * 0.7021004);
    path438.lineTo(size.width * 0.9607500, size.height * 0.7019837);
    path438.lineTo(size.width * 0.9605500, size.height * 0.7008168);
    path438.lineTo(size.width * 0.9607500, size.height * 0.6998833);
    path438.lineTo(size.width * 0.9607500, size.height * 0.6994166);
    path438.lineTo(size.width * 0.9607000, size.height * 0.6991832);
    path438.lineTo(size.width * 0.9607000, size.height * 0.6975496);
    path438.lineTo(size.width * 0.9606500, size.height * 0.6971995);
    path438.lineTo(size.width * 0.9606500, size.height * 0.6966161);
    path438.lineTo(size.width * 0.9607500, size.height * 0.6962660);
    path438.lineTo(size.width * 0.9607500, size.height * 0.6959160);
    path438.lineTo(size.width * 0.9608500, size.height * 0.6955659);
    path438.lineTo(size.width * 0.9608500, size.height * 0.6953326);
    path438.lineTo(size.width * 0.9610000, size.height * 0.6952159);
    path438.lineTo(size.width * 0.9610500, size.height * 0.6957993);
    path438.lineTo(size.width * 0.9611500, size.height * 0.6962660);
    path438.lineTo(size.width * 0.9612500, size.height * 0.6966161);
    path438.lineTo(size.width * 0.9613000, size.height * 0.6981330);
    path438.lineTo(size.width * 0.9612500, size.height * 0.6990665);
    path438.lineTo(size.width * 0.9612500, size.height * 0.6991832);
    path438.lineTo(size.width * 0.9615500, size.height * 0.6990665);
    path438.lineTo(size.width * 0.9617000, size.height * 0.6987165);
    path438.lineTo(size.width * 0.9618000, size.height * 0.6977830);
    path438.lineTo(size.width * 0.9618000, size.height * 0.6975496);
    path438.lineTo(size.width * 0.9619500, size.height * 0.6973162);
    path438.lineTo(size.width * 0.9621000, size.height * 0.6974329);
    path438.lineTo(size.width * 0.9620500, size.height * 0.6978996);
    path438.lineTo(size.width * 0.9620500, size.height * 0.6989498);
    path438.lineTo(size.width * 0.9622000, size.height * 0.6990665);
    path438.lineTo(size.width * 0.9622000, size.height * 0.6996499);
    path438.lineTo(size.width * 0.9621000, size.height * 0.6997666);
    path438.lineTo(size.width * 0.9622500, size.height * 0.7002334);
    path438.lineTo(size.width * 0.9621500, size.height * 0.7004667);
    path438.lineTo(size.width * 0.9621500, size.height * 0.7010502);
    path438.lineTo(size.width * 0.9622500, size.height * 0.7016336);
    path438.lineTo(size.width * 0.9622000, size.height * 0.7018670);
    path438.lineTo(size.width * 0.9620500, size.height * 0.7018670);
    path438.lineTo(size.width * 0.9618000, size.height * 0.7023337);
    path438.close();

    Paint paint438fill = Paint()..style = PaintingStyle.fill;
    paint438fill.color = countryColors.vU ?? defaultCountryColor;
    canvas.drawPath(path438, paint438fill);

    Path path439 = Path();
    path439.moveTo(size.width * 0.9639000, size.height * 0.6914819);
    path439.lineTo(size.width * 0.9641000, size.height * 0.6918320);
    path439.lineTo(size.width * 0.9640500, size.height * 0.6922987);
    path439.lineTo(size.width * 0.9639000, size.height * 0.6926488);
    path439.lineTo(size.width * 0.9638000, size.height * 0.6928821);
    path439.lineTo(size.width * 0.9635000, size.height * 0.6928821);
    path439.lineTo(size.width * 0.9635000, size.height * 0.6924154);
    path439.lineTo(size.width * 0.9635500, size.height * 0.6919487);
    path439.lineTo(size.width * 0.9636500, size.height * 0.6915986);
    path439.lineTo(size.width * 0.9639000, size.height * 0.6914819);
    path439.close();

    Paint paint439fill = Paint()..style = PaintingStyle.fill;
    paint439fill.color = countryColors.vU ?? defaultCountryColor;
    canvas.drawPath(path439, paint439fill);

    Path path440 = Path();
    path440.moveTo(size.width * 0.9642000, size.height * 0.6892649);
    path440.lineTo(size.width * 0.9640500, size.height * 0.6894982);
    path440.lineTo(size.width * 0.9639500, size.height * 0.6896149);
    path440.lineTo(size.width * 0.9639500, size.height * 0.6898483);
    path440.lineTo(size.width * 0.9638500, size.height * 0.6899650);
    path440.lineTo(size.width * 0.9638500, size.height * 0.6896149);
    path440.lineTo(size.width * 0.9637500, size.height * 0.6893816);
    path440.lineTo(size.width * 0.9637000, size.height * 0.6890315);
    path440.lineTo(size.width * 0.9637500, size.height * 0.6885648);
    path440.lineTo(size.width * 0.9638500, size.height * 0.6884481);
    path440.lineTo(size.width * 0.9640500, size.height * 0.6882147);
    path440.lineTo(size.width * 0.9641000, size.height * 0.6884481);
    path440.lineTo(size.width * 0.9641500, size.height * 0.6889148);
    path440.lineTo(size.width * 0.9641500, size.height * 0.6890315);
    path440.lineTo(size.width * 0.9642000, size.height * 0.6892649);
    path440.close();

    Paint paint440fill = Paint()..style = PaintingStyle.fill;
    paint440fill.color = countryColors.vU ?? defaultCountryColor;
    canvas.drawPath(path440, paint440fill);

    Path path441 = Path();
    path441.moveTo(size.width * 0.9617000, size.height * 0.6843641);
    path441.lineTo(size.width * 0.9616500, size.height * 0.6842474);
    path441.lineTo(size.width * 0.9617000, size.height * 0.6836639);
    path441.lineTo(size.width * 0.9618000, size.height * 0.6838973);
    path441.lineTo(size.width * 0.9617000, size.height * 0.6843641);
    path441.close();

    Paint paint441fill = Paint()..style = PaintingStyle.fill;
    paint441fill.color = countryColors.vU ?? defaultCountryColor;
    canvas.drawPath(path441, paint441fill);

    Path path442 = Path();
    path442.moveTo(size.width * 0.01095000, size.height * 0.6899650);
    path442.lineTo(size.width * 0.01110000, size.height * 0.6900817);
    path442.lineTo(size.width * 0.01125000, size.height * 0.6901984);
    path442.lineTo(size.width * 0.01140000, size.height * 0.6904317);
    path442.lineTo(size.width * 0.01135000, size.height * 0.6907818);
    path442.lineTo(size.width * 0.01085000, size.height * 0.6907818);
    path442.lineTo(size.width * 0.01070000, size.height * 0.6906651);
    path442.lineTo(size.width * 0.01055000, size.height * 0.6907818);
    path442.lineTo(size.width * 0.01045000, size.height * 0.6906651);
    path442.lineTo(size.width * 0.01025000, size.height * 0.6904317);
    path442.lineTo(size.width * 0.01010000, size.height * 0.6905484);
    path442.lineTo(size.width * 0.009950000, size.height * 0.6903151);
    path442.lineTo(size.width * 0.009850000, size.height * 0.6900817);
    path442.lineTo(size.width * 0.009550000, size.height * 0.6897316);
    path442.lineTo(size.width * 0.009600000, size.height * 0.6892649);
    path442.lineTo(size.width * 0.009800000, size.height * 0.6890315);
    path442.lineTo(size.width * 0.01000000, size.height * 0.6890315);
    path442.lineTo(size.width * 0.01025000, size.height * 0.6890315);
    path442.lineTo(size.width * 0.01070000, size.height * 0.6894982);
    path442.lineTo(size.width * 0.01095000, size.height * 0.6896149);
    path442.lineTo(size.width * 0.01095000, size.height * 0.6899650);
    path442.close();

    Paint paint442fill = Paint()..style = PaintingStyle.fill;
    paint442fill.color = countryColors.wS ?? defaultCountryColor;
    canvas.drawPath(path442, paint442fill);

    Path path443 = Path();
    path443.moveTo(size.width * 0.008700000, size.height * 0.6866978);
    path443.lineTo(size.width * 0.009000000, size.height * 0.6873979);
    path443.lineTo(size.width * 0.009100000, size.height * 0.6882147);
    path443.lineTo(size.width * 0.009050000, size.height * 0.6885648);
    path443.lineTo(size.width * 0.009100000, size.height * 0.6889148);
    path443.lineTo(size.width * 0.008950000, size.height * 0.6889148);
    path443.lineTo(size.width * 0.008800000, size.height * 0.6886814);
    path443.lineTo(size.width * 0.008650000, size.height * 0.6889148);
    path443.lineTo(size.width * 0.008200000, size.height * 0.6890315);
    path443.lineTo(size.width * 0.008050000, size.height * 0.6886814);
    path443.lineTo(size.width * 0.007950000, size.height * 0.6882147);
    path443.lineTo(size.width * 0.007850000, size.height * 0.6880980);
    path443.lineTo(size.width * 0.007700000, size.height * 0.6877480);
    path443.lineTo(size.width * 0.007450000, size.height * 0.6872812);
    path443.lineTo(size.width * 0.007350000, size.height * 0.6870478);
    path443.lineTo(size.width * 0.007350000, size.height * 0.6868145);
    path443.lineTo(size.width * 0.007550000, size.height * 0.6869312);
    path443.lineTo(size.width * 0.007700000, size.height * 0.6868145);
    path443.lineTo(size.width * 0.008000000, size.height * 0.6865811);
    path443.lineTo(size.width * 0.008200000, size.height * 0.6865811);
    path443.lineTo(size.width * 0.008450000, size.height * 0.6864644);
    path443.lineTo(size.width * 0.008600000, size.height * 0.6864644);
    path443.lineTo(size.width * 0.008700000, size.height * 0.6866978);
    path443.close();

    Paint paint443fill = Paint()..style = PaintingStyle.fill;
    paint443fill.color = countryColors.wS ?? defaultCountryColor;
    canvas.drawPath(path443, paint443fill);

    Path path444 = Path();
    path444.moveTo(size.width * 0.3010000, size.height * 0.4954492);
    path444.lineTo(size.width * 0.3009000, size.height * 0.4954492);
    path444.lineTo(size.width * 0.3008500, size.height * 0.4948658);
    path444.lineTo(size.width * 0.3009000, size.height * 0.4945158);
    path444.lineTo(size.width * 0.3008500, size.height * 0.4941657);
    path444.lineTo(size.width * 0.3006500, size.height * 0.4940490);
    path444.lineTo(size.width * 0.3005000, size.height * 0.4936989);
    path444.lineTo(size.width * 0.3005500, size.height * 0.4933489);
    path444.lineTo(size.width * 0.3011500, size.height * 0.4940490);
    path444.lineTo(size.width * 0.3011000, size.height * 0.4942824);
    path444.lineTo(size.width * 0.3011000, size.height * 0.4947491);
    path444.lineTo(size.width * 0.3010000, size.height * 0.4949825);
    path444.lineTo(size.width * 0.3010000, size.height * 0.4954492);
    path444.close();

    Paint paint444fill = Paint()..style = PaintingStyle.fill;
    paint444fill.color = countryColors.bQ ?? defaultCountryColor;
    canvas.drawPath(path444, paint444fill);

    Path path445 = Path();
    path445.moveTo(size.width * 0.3171500, size.height * 0.4546091);
    path445.lineTo(size.width * 0.3170500, size.height * 0.4547258);
    path445.lineTo(size.width * 0.3170500, size.height * 0.4544924);
    path445.lineTo(size.width * 0.3171000, size.height * 0.4543757);
    path445.lineTo(size.width * 0.3171500, size.height * 0.4546091);
    path445.close();

    Paint paint445fill = Paint()..style = PaintingStyle.fill;
    paint445fill.color = countryColors.bQ ?? defaultCountryColor;
    canvas.drawPath(path445, paint445fill);

    Path path446 = Path();
    path446.moveTo(size.width * 0.3164000, size.height * 0.4535589);
    path446.lineTo(size.width * 0.3163500, size.height * 0.4535589);
    path446.lineTo(size.width * 0.3164000, size.height * 0.4533256);
    path446.lineTo(size.width * 0.3164500, size.height * 0.4534422);
    path446.lineTo(size.width * 0.3164000, size.height * 0.4535589);
    path446.close();

    Paint paint446fill = Paint()..style = PaintingStyle.fill;
    paint446fill.color = countryColors.bQ ?? defaultCountryColor;
    canvas.drawPath(path446, paint446fill);

    Path path447 = Path();
    path447.moveTo(size.width * 0.3220000, size.height * 0.4747958);
    path447.lineTo(size.width * 0.3220000, size.height * 0.4750292);
    path447.lineTo(size.width * 0.3222000, size.height * 0.4749125);
    path447.lineTo(size.width * 0.3221000, size.height * 0.4754959);
    path447.lineTo(size.width * 0.3222000, size.height * 0.4757293);
    path447.lineTo(size.width * 0.3222000, size.height * 0.4759627);
    path447.lineTo(size.width * 0.3223000, size.height * 0.4761960);
    path447.lineTo(size.width * 0.3224000, size.height * 0.4772462);
    path447.lineTo(size.width * 0.3222500, size.height * 0.4775963);
    path447.lineTo(size.width * 0.3222000, size.height * 0.4771295);
    path447.lineTo(size.width * 0.3221500, size.height * 0.4772462);
    path447.lineTo(size.width * 0.3218500, size.height * 0.4771295);
    path447.lineTo(size.width * 0.3216500, size.height * 0.4771295);
    path447.lineTo(size.width * 0.3215500, size.height * 0.4767795);
    path447.lineTo(size.width * 0.3218500, size.height * 0.4761960);
    path447.lineTo(size.width * 0.3216500, size.height * 0.4761960);
    path447.lineTo(size.width * 0.3214500, size.height * 0.4757293);
    path447.lineTo(size.width * 0.3214000, size.height * 0.4751459);
    path447.lineTo(size.width * 0.3213000, size.height * 0.4745624);
    path447.lineTo(size.width * 0.3214500, size.height * 0.4740957);
    path447.lineTo(size.width * 0.3216500, size.height * 0.4742124);
    path447.lineTo(size.width * 0.3219000, size.height * 0.4745624);
    path447.lineTo(size.width * 0.3220000, size.height * 0.4747958);
    path447.close();

    Paint paint447fill = Paint()..style = PaintingStyle.fill;
    paint447fill.color = countryColors.mQ ?? defaultCountryColor;
    canvas.drawPath(path447, paint447fill);

    Path path448 = Path();
    path448.moveTo(size.width * 0.4442000, size.height * 0.3773629);
    path448.lineTo(size.width * 0.4440500, size.height * 0.3779463);
    path448.lineTo(size.width * 0.4438500, size.height * 0.3785298);
    path448.lineTo(size.width * 0.4437000, size.height * 0.3780630);
    path448.lineTo(size.width * 0.4435000, size.height * 0.3780630);
    path448.lineTo(size.width * 0.4434000, size.height * 0.3778296);
    path448.lineTo(size.width * 0.4435000, size.height * 0.3774796);
    path448.lineTo(size.width * 0.4437000, size.height * 0.3775963);
    path448.lineTo(size.width * 0.4439000, size.height * 0.3771295);
    path448.lineTo(size.width * 0.4440500, size.height * 0.3768961);
    path448.lineTo(size.width * 0.4441500, size.height * 0.3770128);
    path448.lineTo(size.width * 0.4442000, size.height * 0.3773629);
    path448.close();

    Paint paint448fill = Paint()..style = PaintingStyle.fill;
    paint448fill.color = countryColors.eS ?? defaultCountryColor;
    canvas.drawPath(path448, paint448fill);

    Path path449 = Path();
    path449.moveTo(size.width * 0.4510000, size.height * 0.3746791);
    path449.lineTo(size.width * 0.4510000, size.height * 0.3752625);
    path449.lineTo(size.width * 0.4511000, size.height * 0.3757293);
    path449.lineTo(size.width * 0.4510000, size.height * 0.3765461);
    path449.lineTo(size.width * 0.4510500, size.height * 0.3768961);
    path449.lineTo(size.width * 0.4508500, size.height * 0.3773629);
    path449.lineTo(size.width * 0.4506000, size.height * 0.3775963);
    path449.lineTo(size.width * 0.4505000, size.height * 0.3778296);
    path449.lineTo(size.width * 0.4502000, size.height * 0.3775963);
    path449.lineTo(size.width * 0.4499500, size.height * 0.3770128);
    path449.lineTo(size.width * 0.4498500, size.height * 0.3765461);
    path449.lineTo(size.width * 0.4498500, size.height * 0.3758460);
    path449.lineTo(size.width * 0.4501500, size.height * 0.3753792);
    path449.lineTo(size.width * 0.4502000, size.height * 0.3747958);
    path449.lineTo(size.width * 0.4502000, size.height * 0.3745624);
    path449.lineTo(size.width * 0.4505000, size.height * 0.3746791);
    path449.lineTo(size.width * 0.4507000, size.height * 0.3746791);
    path449.lineTo(size.width * 0.4508500, size.height * 0.3747958);
    path449.lineTo(size.width * 0.4510000, size.height * 0.3746791);
    path449.close();

    Paint paint449fill = Paint()..style = PaintingStyle.fill;
    paint449fill.color = countryColors.eS ?? defaultCountryColor;
    canvas.drawPath(path449, paint449fill);

    Path path450 = Path();
    path450.moveTo(size.width * 0.4460500, size.height * 0.3756126);
    path450.lineTo(size.width * 0.4459500, size.height * 0.3756126);
    path450.lineTo(size.width * 0.4458000, size.height * 0.3753792);
    path450.lineTo(size.width * 0.4457000, size.height * 0.3750292);
    path450.lineTo(size.width * 0.4457500, size.height * 0.3745624);
    path450.lineTo(size.width * 0.4458000, size.height * 0.3742124);
    path450.lineTo(size.width * 0.4459500, size.height * 0.3742124);
    path450.lineTo(size.width * 0.4461000, size.height * 0.3742124);
    path450.lineTo(size.width * 0.4463500, size.height * 0.3746791);
    path450.lineTo(size.width * 0.4464000, size.height * 0.3750292);
    path450.lineTo(size.width * 0.4461500, size.height * 0.3756126);
    path450.lineTo(size.width * 0.4460500, size.height * 0.3756126);
    path450.close();

    Paint paint450fill = Paint()..style = PaintingStyle.fill;
    paint450fill.color = countryColors.eS ?? defaultCountryColor;
    canvas.drawPath(path450, paint450fill);

    Path path451 = Path();
    path451.moveTo(size.width * 0.4491000, size.height * 0.3715286);
    path451.lineTo(size.width * 0.4491000, size.height * 0.3717620);
    path451.lineTo(size.width * 0.4488000, size.height * 0.3721120);
    path451.lineTo(size.width * 0.4486000, size.height * 0.3726954);
    path451.lineTo(size.width * 0.4484500, size.height * 0.3729288);
    path451.lineTo(size.width * 0.4484500, size.height * 0.3733956);
    path451.lineTo(size.width * 0.4482500, size.height * 0.3742124);
    path451.lineTo(size.width * 0.4482000, size.height * 0.3746791);
    path451.lineTo(size.width * 0.4479500, size.height * 0.3753792);
    path451.lineTo(size.width * 0.4479000, size.height * 0.3756126);
    path451.lineTo(size.width * 0.4478000, size.height * 0.3756126);
    path451.lineTo(size.width * 0.4475000, size.height * 0.3758460);
    path451.lineTo(size.width * 0.4474500, size.height * 0.3757293);
    path451.lineTo(size.width * 0.4474000, size.height * 0.3752625);
    path451.lineTo(size.width * 0.4472500, size.height * 0.3747958);
    path451.lineTo(size.width * 0.4472000, size.height * 0.3745624);
    path451.lineTo(size.width * 0.4471000, size.height * 0.3742124);
    path451.lineTo(size.width * 0.4471000, size.height * 0.3738623);
    path451.lineTo(size.width * 0.4469000, size.height * 0.3731622);
    path451.lineTo(size.width * 0.4471500, size.height * 0.3728121);
    path451.lineTo(size.width * 0.4473000, size.height * 0.3730455);
    path451.lineTo(size.width * 0.4476000, size.height * 0.3728121);
    path451.lineTo(size.width * 0.4478000, size.height * 0.3728121);
    path451.lineTo(size.width * 0.4480500, size.height * 0.3725788);
    path451.lineTo(size.width * 0.4483000, size.height * 0.3721120);
    path451.lineTo(size.width * 0.4483000, size.height * 0.3718786);
    path451.lineTo(size.width * 0.4486000, size.height * 0.3715286);
    path451.lineTo(size.width * 0.4489000, size.height * 0.3715286);
    path451.lineTo(size.width * 0.4490500, size.height * 0.3714119);
    path451.lineTo(size.width * 0.4491000, size.height * 0.3715286);
    path451.close();

    Paint paint451fill = Paint()..style = PaintingStyle.fill;
    paint451fill.color = countryColors.eS ?? defaultCountryColor;
    canvas.drawPath(path451, paint451fill);

    Path path452 = Path();
    path452.moveTo(size.width * 0.4542000, size.height * 0.3747958);
    path452.lineTo(size.width * 0.4540500, size.height * 0.3752625);
    path452.lineTo(size.width * 0.4538500, size.height * 0.3753792);
    path452.lineTo(size.width * 0.4537000, size.height * 0.3752625);
    path452.lineTo(size.width * 0.4535000, size.height * 0.3752625);
    path452.lineTo(size.width * 0.4535000, size.height * 0.3750292);
    path452.lineTo(size.width * 0.4536500, size.height * 0.3750292);
    path452.lineTo(size.width * 0.4539500, size.height * 0.3747958);
    path452.lineTo(size.width * 0.4541500, size.height * 0.3744457);
    path452.lineTo(size.width * 0.4543000, size.height * 0.3740957);
    path452.lineTo(size.width * 0.4543500, size.height * 0.3735123);
    path452.lineTo(size.width * 0.4544000, size.height * 0.3731622);
    path452.lineTo(size.width * 0.4545000, size.height * 0.3725788);
    path452.lineTo(size.width * 0.4546500, size.height * 0.3721120);
    path452.lineTo(size.width * 0.4548000, size.height * 0.3714119);
    path452.lineTo(size.width * 0.4549000, size.height * 0.3704784);
    path452.lineTo(size.width * 0.4550000, size.height * 0.3702450);
    path452.lineTo(size.width * 0.4552000, size.height * 0.3701284);
    path452.lineTo(size.width * 0.4553500, size.height * 0.3704784);
    path452.lineTo(size.width * 0.4554000, size.height * 0.3710618);
    path452.lineTo(size.width * 0.4553500, size.height * 0.3716453);
    path452.lineTo(size.width * 0.4553000, size.height * 0.3722287);
    path452.lineTo(size.width * 0.4553000, size.height * 0.3728121);
    path452.lineTo(size.width * 0.4552500, size.height * 0.3729288);
    path452.lineTo(size.width * 0.4551000, size.height * 0.3737456);
    path452.lineTo(size.width * 0.4549500, size.height * 0.3740957);
    path452.lineTo(size.width * 0.4546500, size.height * 0.3742124);
    path452.lineTo(size.width * 0.4543000, size.height * 0.3745624);
    path452.lineTo(size.width * 0.4542000, size.height * 0.3747958);
    path452.close();

    Paint paint452fill = Paint()..style = PaintingStyle.fill;
    paint452fill.color = countryColors.eS ?? defaultCountryColor;
    canvas.drawPath(path452, paint452fill);

    Path path453 = Path();
    path453.moveTo(size.width * 0.4444000, size.height * 0.3695449);
    path453.lineTo(size.width * 0.4445500, size.height * 0.3694282);
    path453.lineTo(size.width * 0.4446500, size.height * 0.3697783);
    path453.lineTo(size.width * 0.4447500, size.height * 0.3703617);
    path453.lineTo(size.width * 0.4446500, size.height * 0.3707118);
    path453.lineTo(size.width * 0.4447000, size.height * 0.3711785);
    path453.lineTo(size.width * 0.4444000, size.height * 0.3723454);
    path453.lineTo(size.width * 0.4443500, size.height * 0.3722287);
    path453.lineTo(size.width * 0.4443000, size.height * 0.3717620);
    path453.lineTo(size.width * 0.4441000, size.height * 0.3707118);
    path453.lineTo(size.width * 0.4440500, size.height * 0.3703617);
    path453.lineTo(size.width * 0.4440000, size.height * 0.3701284);
    path453.lineTo(size.width * 0.4441000, size.height * 0.3696616);
    path453.lineTo(size.width * 0.4442500, size.height * 0.3694282);
    path453.lineTo(size.width * 0.4444000, size.height * 0.3695449);
    path453.close();

    Paint paint453fill = Paint()..style = PaintingStyle.fill;
    paint453fill.color = countryColors.eS ?? defaultCountryColor;
    canvas.drawPath(path453, paint453fill);

    Path path454 = Path();
    path454.moveTo(size.width * 0.4564500, size.height * 0.3672112);
    path454.lineTo(size.width * 0.4564500, size.height * 0.3676779);
    path454.lineTo(size.width * 0.4563500, size.height * 0.3682614);
    path454.lineTo(size.width * 0.4560000, size.height * 0.3688448);
    path454.lineTo(size.width * 0.4557500, size.height * 0.3689615);
    path454.lineTo(size.width * 0.4555500, size.height * 0.3695449);
    path454.lineTo(size.width * 0.4553000, size.height * 0.3693116);
    path454.lineTo(size.width * 0.4553000, size.height * 0.3691949);
    path454.lineTo(size.width * 0.4554000, size.height * 0.3687281);
    path454.lineTo(size.width * 0.4554000, size.height * 0.3682614);
    path454.lineTo(size.width * 0.4555000, size.height * 0.3679113);
    path454.lineTo(size.width * 0.4556500, size.height * 0.3676779);
    path454.lineTo(size.width * 0.4558000, size.height * 0.3676779);
    path454.lineTo(size.width * 0.4559500, size.height * 0.3673279);
    path454.lineTo(size.width * 0.4562000, size.height * 0.3673279);
    path454.lineTo(size.width * 0.4562500, size.height * 0.3672112);
    path454.lineTo(size.width * 0.4563500, size.height * 0.3666278);
    path454.lineTo(size.width * 0.4564500, size.height * 0.3665111);
    path454.lineTo(size.width * 0.4565500, size.height * 0.3667445);
    path454.lineTo(size.width * 0.4564500, size.height * 0.3672112);
    path454.close();

    Paint paint454fill = Paint()..style = PaintingStyle.fill;
    paint454fill.color = countryColors.eS ?? defaultCountryColor;
    canvas.drawPath(path454, paint454fill);

    Path path455 = Path();
    path455.moveTo(size.width * 0.6201000, size.height * 0.6803967);
    path455.lineTo(size.width * 0.6202000, size.height * 0.6807468);
    path455.lineTo(size.width * 0.6204500, size.height * 0.6809802);
    path455.lineTo(size.width * 0.6204500, size.height * 0.6813302);
    path455.lineTo(size.width * 0.6203500, size.height * 0.6815636);
    path455.lineTo(size.width * 0.6204000, size.height * 0.6817970);
    path455.lineTo(size.width * 0.6202500, size.height * 0.6824971);
    path455.lineTo(size.width * 0.6203000, size.height * 0.6827305);
    path455.lineTo(size.width * 0.6201500, size.height * 0.6828471);
    path455.lineTo(size.width * 0.6200500, size.height * 0.6824971);
    path455.lineTo(size.width * 0.6200500, size.height * 0.6821470);
    path455.lineTo(size.width * 0.6201500, size.height * 0.6819137);
    path455.lineTo(size.width * 0.6200500, size.height * 0.6810968);
    path455.lineTo(size.width * 0.6200000, size.height * 0.6809802);
    path455.lineTo(size.width * 0.6199500, size.height * 0.6807468);
    path455.lineTo(size.width * 0.6201000, size.height * 0.6803967);
    path455.close();

    Paint paint455fill = Paint()..style = PaintingStyle.fill;
    paint455fill.color = countryColors.yT ?? defaultCountryColor;
    canvas.drawPath(path455, paint455fill);

    Path path456 = Path();
    path456.moveTo(size.width * 0.6475000, size.height * 0.7418903);
    path456.lineTo(size.width * 0.6477000, size.height * 0.7418903);
    path456.lineTo(size.width * 0.6479000, size.height * 0.7421237);
    path456.lineTo(size.width * 0.6480500, size.height * 0.7424737);
    path456.lineTo(size.width * 0.6480500, size.height * 0.7428238);
    path456.lineTo(size.width * 0.6481000, size.height * 0.7434072);
    path456.lineTo(size.width * 0.6482500, size.height * 0.7436406);
    path456.lineTo(size.width * 0.6483500, size.height * 0.7438740);
    path456.lineTo(size.width * 0.6484000, size.height * 0.7441074);
    path456.lineTo(size.width * 0.6483000, size.height * 0.7448075);
    path456.lineTo(size.width * 0.6482500, size.height * 0.7452742);
    path456.lineTo(size.width * 0.6481500, size.height * 0.7455076);
    path456.lineTo(size.width * 0.6479500, size.height * 0.7456243);
    path456.lineTo(size.width * 0.6475000, size.height * 0.7456243);
    path456.lineTo(size.width * 0.6474000, size.height * 0.7453909);
    path456.lineTo(size.width * 0.6470000, size.height * 0.7449242);
    path456.lineTo(size.width * 0.6468500, size.height * 0.7443407);
    path456.lineTo(size.width * 0.6468500, size.height * 0.7439907);
    path456.lineTo(size.width * 0.6467000, size.height * 0.7432905);
    path456.lineTo(size.width * 0.6467500, size.height * 0.7428238);
    path456.lineTo(size.width * 0.6468500, size.height * 0.7425904);
    path456.lineTo(size.width * 0.6469500, size.height * 0.7421237);
    path456.lineTo(size.width * 0.6470000, size.height * 0.7421237);
    path456.lineTo(size.width * 0.6472500, size.height * 0.7418903);
    path456.lineTo(size.width * 0.6475000, size.height * 0.7418903);
    path456.close();

    Paint paint456fill = Paint()..style = PaintingStyle.fill;
    paint456fill.color = countryColors.rE ?? defaultCountryColor;
    canvas.drawPath(path456, paint456fill);

    Path path457 = Path();
    path457.moveTo(size.width * 0.3215000, size.height * 0.4666278);
    path457.lineTo(size.width * 0.3213500, size.height * 0.4666278);
    path457.lineTo(size.width * 0.3212500, size.height * 0.4661610);
    path457.lineTo(size.width * 0.3213000, size.height * 0.4659277);
    path457.lineTo(size.width * 0.3214500, size.height * 0.4655776);
    path457.lineTo(size.width * 0.3216000, size.height * 0.4658110);
    path457.lineTo(size.width * 0.3216500, size.height * 0.4661610);
    path457.lineTo(size.width * 0.3216500, size.height * 0.4663944);
    path457.lineTo(size.width * 0.3215000, size.height * 0.4666278);
    path457.close();

    Paint paint457fill = Paint()..style = PaintingStyle.fill;
    paint457fill.color = countryColors.gP ?? defaultCountryColor;
    canvas.drawPath(path457, paint457fill);

    Path path458 = Path();
    path458.moveTo(size.width * 0.3206000, size.height * 0.4635939);
    path458.lineTo(size.width * 0.3207500, size.height * 0.4635939);
    path458.lineTo(size.width * 0.3207500, size.height * 0.4638273);
    path458.lineTo(size.width * 0.3207500, size.height * 0.4639440);
    path458.lineTo(size.width * 0.3206500, size.height * 0.4640607);
    path458.lineTo(size.width * 0.3206500, size.height * 0.4649942);
    path458.lineTo(size.width * 0.3206500, size.height * 0.4654609);
    path458.lineTo(size.width * 0.3205500, size.height * 0.4656943);
    path458.lineTo(size.width * 0.3202500, size.height * 0.4660443);
    path458.lineTo(size.width * 0.3202500, size.height * 0.4658110);
    path458.lineTo(size.width * 0.3201500, size.height * 0.4655776);
    path458.lineTo(size.width * 0.3201000, size.height * 0.4649942);
    path458.lineTo(size.width * 0.3201000, size.height * 0.4644107);
    path458.lineTo(size.width * 0.3200500, size.height * 0.4638273);
    path458.lineTo(size.width * 0.3200500, size.height * 0.4634772);
    path458.lineTo(size.width * 0.3201500, size.height * 0.4631272);
    path458.lineTo(size.width * 0.3203000, size.height * 0.4630105);
    path458.lineTo(size.width * 0.3205500, size.height * 0.4633606);
    path458.lineTo(size.width * 0.3206000, size.height * 0.4635939);
    path458.close();

    Paint paint458fill = Paint()..style = PaintingStyle.fill;
    paint458fill.color = countryColors.gP ?? defaultCountryColor;
    canvas.drawPath(path458, paint458fill);

    Path path459 = Path();
    path459.moveTo(size.width * 0.3213000, size.height * 0.4631272);
    path459.lineTo(size.width * 0.3215000, size.height * 0.4632439);
    path459.lineTo(size.width * 0.3217500, size.height * 0.4637106);
    path459.lineTo(size.width * 0.3211000, size.height * 0.4640607);
    path459.lineTo(size.width * 0.3209500, size.height * 0.4641774);
    path459.lineTo(size.width * 0.3207500, size.height * 0.4638273);
    path459.lineTo(size.width * 0.3208000, size.height * 0.4631272);
    path459.lineTo(size.width * 0.3209000, size.height * 0.4630105);
    path459.lineTo(size.width * 0.3208500, size.height * 0.4623104);
    path459.lineTo(size.width * 0.3209000, size.height * 0.4620770);
    path459.lineTo(size.width * 0.3210500, size.height * 0.4618436);
    path459.lineTo(size.width * 0.3212000, size.height * 0.4623104);
    path459.lineTo(size.width * 0.3212000, size.height * 0.4627771);
    path459.lineTo(size.width * 0.3213000, size.height * 0.4631272);
    path459.close();

    Paint paint459fill = Paint()..style = PaintingStyle.fill;
    paint459fill.color = countryColors.gP ?? defaultCountryColor;
    canvas.drawPath(path459, paint459fill);

    Path path460 = Path();
    path460.moveTo(size.width * 0.9945500, size.height * 0.7291715);
    path460.lineTo(size.width * 0.9944000, size.height * 0.7292882);
    path460.lineTo(size.width * 0.9944500, size.height * 0.7288215);
    path460.lineTo(size.width * 0.9945500, size.height * 0.7291715);
    path460.close();

    Paint paint460fill = Paint()..style = PaintingStyle.fill;
    paint460fill.color = countryColors.fJ ?? defaultCountryColor;
    canvas.drawPath(path460, paint460fill);

    Path path461 = Path();
    path461.moveTo(size.width * 0.9908000, size.height * 0.7273046);
    path461.lineTo(size.width * 0.9909000, size.height * 0.7275379);
    path461.lineTo(size.width * 0.9910500, size.height * 0.7276546);
    path461.lineTo(size.width * 0.9910500, size.height * 0.7280047);
    path461.lineTo(size.width * 0.9908000, size.height * 0.7282380);
    path461.lineTo(size.width * 0.9905500, size.height * 0.7278880);
    path461.lineTo(size.width * 0.9903000, size.height * 0.7282380);
    path461.lineTo(size.width * 0.9901500, size.height * 0.7282380);
    path461.lineTo(size.width * 0.9900500, size.height * 0.7285881);
    path461.lineTo(size.width * 0.9901000, size.height * 0.7289382);
    path461.lineTo(size.width * 0.9899000, size.height * 0.7288215);
    path461.lineTo(size.width * 0.9898500, size.height * 0.7290548);
    path461.lineTo(size.width * 0.9896500, size.height * 0.7289382);
    path461.lineTo(size.width * 0.9896000, size.height * 0.7290548);
    path461.lineTo(size.width * 0.9894000, size.height * 0.7288215);
    path461.lineTo(size.width * 0.9895500, size.height * 0.7287048);
    path461.lineTo(size.width * 0.9896500, size.height * 0.7285881);
    path461.lineTo(size.width * 0.9897500, size.height * 0.7283547);
    path461.lineTo(size.width * 0.9899500, size.height * 0.7284714);
    path461.lineTo(size.width * 0.9901000, size.height * 0.7281214);
    path461.lineTo(size.width * 0.9902000, size.height * 0.7277713);
    path461.lineTo(size.width * 0.9904500, size.height * 0.7276546);
    path461.lineTo(size.width * 0.9907000, size.height * 0.7273046);
    path461.lineTo(size.width * 0.9908000, size.height * 0.7273046);
    path461.close();

    Paint paint461fill = Paint()..style = PaintingStyle.fill;
    paint461fill.color = countryColors.fJ ?? defaultCountryColor;
    canvas.drawPath(path461, paint461fill);

    Path path462 = Path();
    path462.moveTo(size.width * 0.9912500, size.height * 0.7271879);
    path462.lineTo(size.width * 0.9911500, size.height * 0.7273046);
    path462.lineTo(size.width * 0.9910500, size.height * 0.7271879);
    path462.lineTo(size.width * 0.9911500, size.height * 0.7269545);
    path462.lineTo(size.width * 0.9912500, size.height * 0.7271879);
    path462.close();

    Paint paint462fill = Paint()..style = PaintingStyle.fill;
    paint462fill.color = countryColors.fJ ?? defaultCountryColor;
    canvas.drawPath(path462, paint462fill);

    Path path463 = Path();
    path463.moveTo(size.width * 0.9942000, size.height * 0.7200700);
    path463.lineTo(size.width * 0.9942500, size.height * 0.7206534);
    path463.lineTo(size.width * 0.9941500, size.height * 0.7213536);
    path463.lineTo(size.width * 0.9941000, size.height * 0.7211202);
    path463.lineTo(size.width * 0.9940500, size.height * 0.7206534);
    path463.lineTo(size.width * 0.9939500, size.height * 0.7206534);
    path463.lineTo(size.width * 0.9940000, size.height * 0.7200700);
    path463.lineTo(size.width * 0.9941000, size.height * 0.7199533);
    path463.lineTo(size.width * 0.9942000, size.height * 0.7200700);
    path463.close();

    Paint paint463fill = Paint()..style = PaintingStyle.fill;
    paint463fill.color = countryColors.fJ ?? defaultCountryColor;
    canvas.drawPath(path463, paint463fill);

    Path path464 = Path();
    path464.moveTo(size.width * 0.9929000, size.height * 0.7184364);
    path464.lineTo(size.width * 0.9928500, size.height * 0.7184364);
    path464.lineTo(size.width * 0.9928000, size.height * 0.7179697);
    path464.lineTo(size.width * 0.9929000, size.height * 0.7177363);
    path464.lineTo(size.width * 0.9931000, size.height * 0.7176196);
    path464.lineTo(size.width * 0.9931000, size.height * 0.7180863);
    path464.lineTo(size.width * 0.9930000, size.height * 0.7183197);
    path464.lineTo(size.width * 0.9929000, size.height * 0.7184364);
    path464.close();

    Paint paint464fill = Paint()..style = PaintingStyle.fill;
    paint464fill.color = countryColors.fJ ?? defaultCountryColor;
    canvas.drawPath(path464, paint464fill);

    Path path465 = Path();
    path465.moveTo(size.width * 0.9918000, size.height * 0.7155193);
    path465.lineTo(size.width * 0.9917500, size.height * 0.7159860);
    path465.lineTo(size.width * 0.9919000, size.height * 0.7162194);
    path465.lineTo(size.width * 0.9919500, size.height * 0.7165694);
    path465.lineTo(size.width * 0.9921000, size.height * 0.7170362);
    path465.lineTo(size.width * 0.9922500, size.height * 0.7171529);
    path465.lineTo(size.width * 0.9923000, size.height * 0.7175029);
    path465.lineTo(size.width * 0.9924000, size.height * 0.7175029);
    path465.lineTo(size.width * 0.9924500, size.height * 0.7179697);
    path465.lineTo(size.width * 0.9923000, size.height * 0.7185531);
    path465.lineTo(size.width * 0.9923500, size.height * 0.7187865);
    path465.lineTo(size.width * 0.9924000, size.height * 0.7193699);
    path465.lineTo(size.width * 0.9922500, size.height * 0.7196033);
    path465.lineTo(size.width * 0.9922500, size.height * 0.7201867);
    path465.lineTo(size.width * 0.9923500, size.height * 0.7201867);
    path465.lineTo(size.width * 0.9924000, size.height * 0.7207701);
    path465.lineTo(size.width * 0.9922500, size.height * 0.7211202);
    path465.lineTo(size.width * 0.9919500, size.height * 0.7213536);
    path465.lineTo(size.width * 0.9919000, size.height * 0.7211202);
    path465.lineTo(size.width * 0.9917500, size.height * 0.7212369);
    path465.lineTo(size.width * 0.9917000, size.height * 0.7214702);
    path465.lineTo(size.width * 0.9915500, size.height * 0.7211202);
    path465.lineTo(size.width * 0.9911500, size.height * 0.7214702);
    path465.lineTo(size.width * 0.9907500, size.height * 0.7222870);
    path465.lineTo(size.width * 0.9906000, size.height * 0.7221704);
    path465.lineTo(size.width * 0.9904000, size.height * 0.7224037);
    path465.lineTo(size.width * 0.9902500, size.height * 0.7222870);
    path465.lineTo(size.width * 0.9899500, size.height * 0.7224037);
    path465.lineTo(size.width * 0.9898000, size.height * 0.7221704);
    path465.lineTo(size.width * 0.9893500, size.height * 0.7218203);
    path465.lineTo(size.width * 0.9892000, size.height * 0.7217036);
    path465.lineTo(size.width * 0.9889000, size.height * 0.7215869);
    path465.lineTo(size.width * 0.9888000, size.height * 0.7214702);
    path465.lineTo(size.width * 0.9885500, size.height * 0.7212369);
    path465.lineTo(size.width * 0.9884500, size.height * 0.7200700);
    path465.lineTo(size.width * 0.9886000, size.height * 0.7192532);
    path465.lineTo(size.width * 0.9887500, size.height * 0.7192532);
    path465.lineTo(size.width * 0.9889000, size.height * 0.7191365);
    path465.lineTo(size.width * 0.9889500, size.height * 0.7185531);
    path465.lineTo(size.width * 0.9891000, size.height * 0.7184364);
    path465.lineTo(size.width * 0.9891500, size.height * 0.7179697);
    path465.lineTo(size.width * 0.9890500, size.height * 0.7177363);
    path465.lineTo(size.width * 0.9893500, size.height * 0.7172695);
    path465.lineTo(size.width * 0.9895500, size.height * 0.7166861);
    path465.lineTo(size.width * 0.9896000, size.height * 0.7168028);
    path465.lineTo(size.width * 0.9899000, size.height * 0.7162194);
    path465.lineTo(size.width * 0.9900000, size.height * 0.7162194);
    path465.lineTo(size.width * 0.9904500, size.height * 0.7157526);
    path465.lineTo(size.width * 0.9907500, size.height * 0.7159860);
    path465.lineTo(size.width * 0.9909000, size.height * 0.7158693);
    path465.lineTo(size.width * 0.9911500, size.height * 0.7156359);
    path465.lineTo(size.width * 0.9914500, size.height * 0.7155193);
    path465.lineTo(size.width * 0.9916000, size.height * 0.7151692);
    path465.lineTo(size.width * 0.9918000, size.height * 0.7155193);
    path465.close();

    Paint paint465fill = Paint()..style = PaintingStyle.fill;
    paint465fill.color = countryColors.fJ ?? defaultCountryColor;
    canvas.drawPath(path465, paint465fill);

    Path path466 = Path();
    path466.moveTo(size.width * 0.9949500, size.height * 0.7157526);
    path466.lineTo(size.width * 0.9948500, size.height * 0.7158693);
    path466.lineTo(size.width * 0.9949500, size.height * 0.7148191);
    path466.lineTo(size.width * 0.9951500, size.height * 0.7148191);
    path466.lineTo(size.width * 0.9951000, size.height * 0.7152859);
    path466.lineTo(size.width * 0.9949500, size.height * 0.7157526);
    path466.close();

    Paint paint466fill = Paint()..style = PaintingStyle.fill;
    paint466fill.color = countryColors.fJ ?? defaultCountryColor;
    canvas.drawPath(path466, paint466fill);

    Path path467 = Path();
    path467.moveTo(size.width * 0.9892500, size.height * 0.7134189);
    path467.lineTo(size.width * 0.9891500, size.height * 0.7137690);
    path467.lineTo(size.width * 0.9889000, size.height * 0.7141190);
    path467.lineTo(size.width * 0.9889000, size.height * 0.7137690);
    path467.lineTo(size.width * 0.9891000, size.height * 0.7133022);
    path467.lineTo(size.width * 0.9892500, size.height * 0.7134189);
    path467.close();

    Paint paint467fill = Paint()..style = PaintingStyle.fill;
    paint467fill.color = countryColors.fJ ?? defaultCountryColor;
    canvas.drawPath(path467, paint467fill);

    Path path468 = Path();
    path468.moveTo(size.width * 0.9967000, size.height * 0.7129522);
    path468.lineTo(size.width * 0.9966000, size.height * 0.7127188);
    path468.lineTo(size.width * 0.9966500, size.height * 0.7124854);
    path468.lineTo(size.width * 0.9969000, size.height * 0.7119020);
    path468.lineTo(size.width * 0.9970500, size.height * 0.7113186);
    path468.lineTo(size.width * 0.9969000, size.height * 0.7126021);
    path468.lineTo(size.width * 0.9967000, size.height * 0.7129522);
    path468.close();

    Paint paint468fill = Paint()..style = PaintingStyle.fill;
    paint468fill.color = countryColors.fJ ?? defaultCountryColor;
    canvas.drawPath(path468, paint468fill);

    Path path469 = Path();
    path469.moveTo(size.width * 0.9972000, size.height * 0.7071179);
    path469.lineTo(size.width * 0.9970000, size.height * 0.7075846);
    path469.lineTo(size.width * 0.9966000, size.height * 0.7088681);
    path469.lineTo(size.width * 0.9964500, size.height * 0.7089848);
    path469.lineTo(size.width * 0.9961000, size.height * 0.7094516);
    path469.lineTo(size.width * 0.9960000, size.height * 0.7101517);
    path469.lineTo(size.width * 0.9958000, size.height * 0.7103851);
    path469.lineTo(size.width * 0.9957000, size.height * 0.7107351);
    path469.lineTo(size.width * 0.9956500, size.height * 0.7109685);
    path469.lineTo(size.width * 0.9958000, size.height * 0.7110852);
    path469.lineTo(size.width * 0.9961000, size.height * 0.7107351);
    path469.lineTo(size.width * 0.9961500, size.height * 0.7106184);
    path469.lineTo(size.width * 0.9963000, size.height * 0.7102684);
    path469.lineTo(size.width * 0.9964000, size.height * 0.7099183);
    path469.lineTo(size.width * 0.9967000, size.height * 0.7095683);
    path469.lineTo(size.width * 0.9968500, size.height * 0.7092182);
    path469.lineTo(size.width * 0.9971500, size.height * 0.7088681);
    path469.lineTo(size.width * 0.9971500, size.height * 0.7092182);
    path469.lineTo(size.width * 0.9969000, size.height * 0.7100350);
    path469.lineTo(size.width * 0.9968000, size.height * 0.7101517);
    path469.lineTo(size.width * 0.9968500, size.height * 0.7108518);
    path469.lineTo(size.width * 0.9967000, size.height * 0.7112019);
    path469.lineTo(size.width * 0.9965500, size.height * 0.7108518);
    path469.lineTo(size.width * 0.9963500, size.height * 0.7108518);
    path469.lineTo(size.width * 0.9961000, size.height * 0.7109685);
    path469.lineTo(size.width * 0.9959000, size.height * 0.7113186);
    path469.lineTo(size.width * 0.9955500, size.height * 0.7114352);
    path469.lineTo(size.width * 0.9950500, size.height * 0.7114352);
    path469.lineTo(size.width * 0.9953000, size.height * 0.7108518);
    path469.lineTo(size.width * 0.9951000, size.height * 0.7106184);
    path469.lineTo(size.width * 0.9948000, size.height * 0.7108518);
    path469.lineTo(size.width * 0.9946000, size.height * 0.7110852);
    path469.lineTo(size.width * 0.9946000, size.height * 0.7113186);
    path469.lineTo(size.width * 0.9944500, size.height * 0.7114352);
    path469.lineTo(size.width * 0.9943500, size.height * 0.7115519);
    path469.lineTo(size.width * 0.9943000, size.height * 0.7120187);
    path469.lineTo(size.width * 0.9942000, size.height * 0.7123687);
    path469.lineTo(size.width * 0.9940500, size.height * 0.7122520);
    path469.lineTo(size.width * 0.9940500, size.height * 0.7120187);
    path469.lineTo(size.width * 0.9938500, size.height * 0.7119020);
    path469.lineTo(size.width * 0.9936500, size.height * 0.7121354);
    path469.lineTo(size.width * 0.9935500, size.height * 0.7127188);
    path469.lineTo(size.width * 0.9934000, size.height * 0.7129522);
    path469.lineTo(size.width * 0.9932500, size.height * 0.7129522);
    path469.lineTo(size.width * 0.9932500, size.height * 0.7126021);
    path469.lineTo(size.width * 0.9932500, size.height * 0.7121354);
    path469.lineTo(size.width * 0.9931500, size.height * 0.7116686);
    path469.lineTo(size.width * 0.9932000, size.height * 0.7114352);
    path469.lineTo(size.width * 0.9931500, size.height * 0.7113186);
    path469.lineTo(size.width * 0.9928500, size.height * 0.7115519);
    path469.lineTo(size.width * 0.9928500, size.height * 0.7110852);
    path469.lineTo(size.width * 0.9930500, size.height * 0.7107351);
    path469.lineTo(size.width * 0.9931000, size.height * 0.7107351);
    path469.lineTo(size.width * 0.9930500, size.height * 0.7101517);
    path469.lineTo(size.width * 0.9932000, size.height * 0.7100350);
    path469.lineTo(size.width * 0.9934500, size.height * 0.7103851);
    path469.lineTo(size.width * 0.9937500, size.height * 0.7099183);
    path469.lineTo(size.width * 0.9938500, size.height * 0.7099183);
    path469.lineTo(size.width * 0.9940000, size.height * 0.7095683);
    path469.lineTo(size.width * 0.9941000, size.height * 0.7095683);
    path469.lineTo(size.width * 0.9942500, size.height * 0.7092182);
    path469.lineTo(size.width * 0.9942500, size.height * 0.7089848);
    path469.lineTo(size.width * 0.9946500, size.height * 0.7088681);
    path469.lineTo(size.width * 0.9951000, size.height * 0.7085181);
    path469.lineTo(size.width * 0.9952500, size.height * 0.7084014);
    path469.lineTo(size.width * 0.9954500, size.height * 0.7085181);
    path469.lineTo(size.width * 0.9957000, size.height * 0.7082847);
    path469.lineTo(size.width * 0.9958000, size.height * 0.7078180);
    path469.lineTo(size.width * 0.9959000, size.height * 0.7078180);
    path469.lineTo(size.width * 0.9960000, size.height * 0.7073512);
    path469.lineTo(size.width * 0.9962000, size.height * 0.7074679);
    path469.lineTo(size.width * 0.9962500, size.height * 0.7072345);
    path469.lineTo(size.width * 0.9963500, size.height * 0.7073512);
    path469.lineTo(size.width * 0.9968500, size.height * 0.7067678);
    path469.lineTo(size.width * 0.9969000, size.height * 0.7071179);
    path469.lineTo(size.width * 0.9970000, size.height * 0.7070012);
    path469.lineTo(size.width * 0.9971000, size.height * 0.7071179);
    path469.lineTo(size.width * 0.9972500, size.height * 0.7067678);
    path469.lineTo(size.width * 0.9975000, size.height * 0.7065344);
    path469.lineTo(size.width * 0.9975500, size.height * 0.7066511);
    path469.lineTo(size.width * 0.9973000, size.height * 0.7071179);
    path469.lineTo(size.width * 0.9972000, size.height * 0.7071179);
    path469.close();

    Paint paint469fill = Paint()..style = PaintingStyle.fill;
    paint469fill.color = countryColors.fJ ?? defaultCountryColor;
    canvas.drawPath(path469, paint469fill);

    Paint paint470fill = Paint()..style = PaintingStyle.fill;
    paint470fill.color = defaultCountryColor;
    canvas.drawCircle(Offset(size.width * 0.4989500, size.height * 0.2206534),
        size.width * double.nan, paint470fill);

    Paint paint471fill = Paint()..style = PaintingStyle.fill;
    paint471fill.color = defaultCountryColor;
    canvas.drawCircle(Offset(size.width * 0.3367500, size.height * 0.8449242),
        size.width * double.nan, paint471fill);

    Paint paint472fill = Paint()..style = PaintingStyle.fill;
    paint472fill.color = defaultCountryColor;
    canvas.drawCircle(Offset(size.width * 0.8991000, size.height * 0.8393232),
        size.width * double.nan, paint472fill);
  }

  @override
  bool shouldRepaint(WorldMapPainter oldDelegate) =>
      oldDelegate.countryColors != countryColors;
}
